/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 58 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 58 "conf/gen_parser.m4"

#line 1041 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_IMP = 16,                       /* IMP  */
  YYSYMBOL_PO = 17,                        /* PO  */
  YYSYMBOL_PC = 18,                        /* PC  */
  YYSYMBOL_NUM = 19,                       /* NUM  */
  YYSYMBOL_ENUM = 20,                      /* ENUM  */
  YYSYMBOL_IP4 = 21,                       /* IP4  */
  YYSYMBOL_IP6 = 22,                       /* IP6  */
  YYSYMBOL_VPN_RD = 23,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 24,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 25,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_CF_SYM_METHOD_BARE = 26,        /* CF_SYM_METHOD_BARE  */
  YYSYMBOL_CF_SYM_METHOD_ARGS = 27,        /* CF_SYM_METHOD_ARGS  */
  YYSYMBOL_TEXT = 28,                      /* TEXT  */
  YYSYMBOL_BYTETEXT = 29,                  /* BYTETEXT  */
  YYSYMBOL_PREFIX_DUMMY = 30,              /* PREFIX_DUMMY  */
  YYSYMBOL_31_ = 31,                       /* '='  */
  YYSYMBOL_32_ = 32,                       /* '<'  */
  YYSYMBOL_33_ = 33,                       /* '>'  */
  YYSYMBOL_34_ = 34,                       /* '~'  */
  YYSYMBOL_NMA = 35,                       /* NMA  */
  YYSYMBOL_36_ = 36,                       /* '+'  */
  YYSYMBOL_37_ = 37,                       /* '-'  */
  YYSYMBOL_38_ = 38,                       /* '*'  */
  YYSYMBOL_39_ = 39,                       /* '/'  */
  YYSYMBOL_40_ = 40,                       /* '%'  */
  YYSYMBOL_41_ = 41,                       /* '!'  */
  YYSYMBOL_42_ = 42,                       /* '.'  */
  YYSYMBOL_DEFINE = 43,                    /* DEFINE  */
  YYSYMBOL_ON = 44,                        /* ON  */
  YYSYMBOL_OFF = 45,                       /* OFF  */
  YYSYMBOL_YES = 46,                       /* YES  */
  YYSYMBOL_NO = 47,                        /* NO  */
  YYSYMBOL_S = 48,                         /* S  */
  YYSYMBOL_MS = 49,                        /* MS  */
  YYSYMBOL_US = 50,                        /* US  */
  YYSYMBOL_PORT = 51,                      /* PORT  */
  YYSYMBOL_VPN = 52,                       /* VPN  */
  YYSYMBOL_MPLS = 53,                      /* MPLS  */
  YYSYMBOL_FROM = 54,                      /* FROM  */
  YYSYMBOL_MAX = 55,                       /* MAX  */
  YYSYMBOL_AS = 56,                        /* AS  */
  YYSYMBOL_57_ = 57,                       /* ';'  */
  YYSYMBOL_58_ = 58,                       /* '('  */
  YYSYMBOL_59_ = 59,                       /* ')'  */
  YYSYMBOL_FLOW4 = 60,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 61,                     /* FLOW6  */
  YYSYMBOL_DST = 62,                       /* DST  */
  YYSYMBOL_SRC = 63,                       /* SRC  */
  YYSYMBOL_PROTO = 64,                     /* PROTO  */
  YYSYMBOL_NEXT = 65,                      /* NEXT  */
  YYSYMBOL_HEADER = 66,                    /* HEADER  */
  YYSYMBOL_DPORT = 67,                     /* DPORT  */
  YYSYMBOL_SPORT = 68,                     /* SPORT  */
  YYSYMBOL_ICMP = 69,                      /* ICMP  */
  YYSYMBOL_TYPE = 70,                      /* TYPE  */
  YYSYMBOL_CODE = 71,                      /* CODE  */
  YYSYMBOL_TCP = 72,                       /* TCP  */
  YYSYMBOL_FLAGS = 73,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 74,                    /* LENGTH  */
  YYSYMBOL_DSCP = 75,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 76,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 77,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 78,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 79,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 80,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 81,                     /* LABEL  */
  YYSYMBOL_OFFSET = 82,                    /* OFFSET  */
  YYSYMBOL_83_ = 83,                       /* ','  */
  YYSYMBOL_84_ = 84,                       /* '{'  */
  YYSYMBOL_85_ = 85,                       /* '}'  */
  YYSYMBOL_IN = 86,                        /* IN  */
  YYSYMBOL_FUNCTION = 87,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 88,                     /* PRINT  */
  YYSYMBOL_PRINTN = 89,                    /* PRINTN  */
  YYSYMBOL_UNSET = 90,                     /* UNSET  */
  YYSYMBOL_RETURN = 91,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 92,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 93,                    /* REJECT  */
  YYSYMBOL_ERROR = 94,                     /* ERROR  */
  YYSYMBOL_INT = 95,                       /* INT  */
  YYSYMBOL_BOOL = 96,                      /* BOOL  */
  YYSYMBOL_IP = 97,                        /* IP  */
  YYSYMBOL_PREFIX = 98,                    /* PREFIX  */
  YYSYMBOL_RD = 99,                        /* RD  */
  YYSYMBOL_PAIR = 100,                     /* PAIR  */
  YYSYMBOL_QUAD = 101,                     /* QUAD  */
  YYSYMBOL_EC = 102,                       /* EC  */
  YYSYMBOL_LC = 103,                       /* LC  */
  YYSYMBOL_SET = 104,                      /* SET  */
  YYSYMBOL_STRING = 105,                   /* STRING  */
  YYSYMBOL_BYTESTRING = 106,               /* BYTESTRING  */
  YYSYMBOL_BGPMASK = 107,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 108,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 109,                    /* CLIST  */
  YYSYMBOL_ECLIST = 110,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 111,                   /* LCLIST  */
  YYSYMBOL_IF = 112,                       /* IF  */
  YYSYMBOL_THEN = 113,                     /* THEN  */
  YYSYMBOL_ELSE = 114,                     /* ELSE  */
  YYSYMBOL_CASE = 115,                     /* CASE  */
  YYSYMBOL_FOR = 116,                      /* FOR  */
  YYSYMBOL_DO = 117,                       /* DO  */
  YYSYMBOL_TRUE = 118,                     /* TRUE  */
  YYSYMBOL_FALSE = 119,                    /* FALSE  */
  YYSYMBOL_RT = 120,                       /* RT  */
  YYSYMBOL_RO = 121,                       /* RO  */
  YYSYMBOL_UNKNOWN = 122,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 123,                  /* GENERIC  */
  YYSYMBOL_GW = 124,                       /* GW  */
  YYSYMBOL_NET = 125,                      /* NET  */
  YYSYMBOL_SOURCE = 126,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 127,                    /* SCOPE  */
  YYSYMBOL_DEST = 128,                     /* DEST  */
  YYSYMBOL_IFNAME = 129,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 130,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 131,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 132,                  /* GW_MPLS  */
  YYSYMBOL_ONLINK = 133,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 134,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 135,                /* ROA_CHECK  */
  YYSYMBOL_DEFINED = 136,                  /* DEFINED  */
  YYSYMBOL_ADD = 137,                      /* ADD  */
  YYSYMBOL_DELETE = 138,                   /* DELETE  */
  YYSYMBOL_RESET = 139,                    /* RESET  */
  YYSYMBOL_PREPEND = 140,                  /* PREPEND  */
  YYSYMBOL_EMPTY = 141,                    /* EMPTY  */
  YYSYMBOL_FILTER = 142,                   /* FILTER  */
  YYSYMBOL_WHERE = 143,                    /* WHERE  */
  YYSYMBOL_EVAL = 144,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 145,                /* ATTRIBUTE  */
  YYSYMBOL_FROM_HEX = 146,                 /* FROM_HEX  */
  YYSYMBOL_BT_ASSERT = 147,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 148,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 149,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 150,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 151,                   /* FORMAT  */
  YYSYMBOL_152_ = 152,                     /* ':'  */
  YYSYMBOL_153_ = 153,                     /* '['  */
  YYSYMBOL_154_ = 154,                     /* ']'  */
  YYSYMBOL_155_ = 155,                     /* '?'  */
  YYSYMBOL_ROUTER = 156,                   /* ROUTER  */
  YYSYMBOL_ID = 157,                       /* ID  */
  YYSYMBOL_HOSTNAME = 158,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 159,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 160,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 161,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 162,                    /* DEBUG  */
  YYSYMBOL_ALL = 163,                      /* ALL  */
  YYSYMBOL_DIRECT = 164,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 165,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 166,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 167,                   /* EXPORT  */
  YYSYMBOL_NONE = 168,                     /* NONE  */
  YYSYMBOL_VRF = 169,                      /* VRF  */
  YYSYMBOL_DEFAULT = 170,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 171,                    /* TABLE  */
  YYSYMBOL_STATES = 172,                   /* STATES  */
  YYSYMBOL_ROUTES = 173,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 174,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 175,                     /* IPV4  */
  YYSYMBOL_IPV6 = 176,                     /* IPV6  */
  YYSYMBOL_VPN4 = 177,                     /* VPN4  */
  YYSYMBOL_VPN6 = 178,                     /* VPN6  */
  YYSYMBOL_ROA4 = 179,                     /* ROA4  */
  YYSYMBOL_ROA6 = 180,                     /* ROA6  */
  YYSYMBOL_SADR = 181,                     /* SADR  */
  YYSYMBOL_RECEIVE = 182,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 183,                    /* LIMIT  */
  YYSYMBOL_ACTION = 184,                   /* ACTION  */
  YYSYMBOL_WARN = 185,                     /* WARN  */
  YYSYMBOL_BLOCK = 186,                    /* BLOCK  */
  YYSYMBOL_RESTART = 187,                  /* RESTART  */
  YYSYMBOL_DISABLE = 188,                  /* DISABLE  */
  YYSYMBOL_KEEP = 189,                     /* KEEP  */
  YYSYMBOL_FILTERED = 190,                 /* FILTERED  */
  YYSYMBOL_RPKI = 191,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 192,                 /* PASSWORD  */
  YYSYMBOL_KEY = 193,                      /* KEY  */
  YYSYMBOL_PASSIVE = 194,                  /* PASSIVE  */
  YYSYMBOL_TO = 195,                       /* TO  */
  YYSYMBOL_EVENTS = 196,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 197,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 198,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 199,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 200,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 201,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 202,                    /* KEYED  */
  YYSYMBOL_HMAC = 203,                     /* HMAC  */
  YYSYMBOL_MD5 = 204,                      /* MD5  */
  YYSYMBOL_SHA1 = 205,                     /* SHA1  */
  YYSYMBOL_SHA256 = 206,                   /* SHA256  */
  YYSYMBOL_SHA384 = 207,                   /* SHA384  */
  YYSYMBOL_SHA512 = 208,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 209,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 210,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 211,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 212,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 213,                  /* PRIMARY  */
  YYSYMBOL_STATS = 214,                    /* STATS  */
  YYSYMBOL_COUNT = 215,                    /* COUNT  */
  YYSYMBOL_COMMANDS = 216,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 217,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 218,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 219,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 220,                 /* GENERATE  */
  YYSYMBOL_BGP = 221,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 222,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 223,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 224,                   /* RELOAD  */
  YYSYMBOL_OUT = 225,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 226,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 227,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 228,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 229,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 230,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 231,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 232,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 233,                      /* ISO  */
  YYSYMBOL_SHORT = 234,                    /* SHORT  */
  YYSYMBOL_LONG = 235,                     /* LONG  */
  YYSYMBOL_ROUTE = 236,                    /* ROUTE  */
  YYSYMBOL_BASE = 237,                     /* BASE  */
  YYSYMBOL_LOG = 238,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 239,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 240,                     /* WAIT  */
  YYSYMBOL_MIN = 241,                      /* MIN  */
  YYSYMBOL_IDLE = 242,                     /* IDLE  */
  YYSYMBOL_RX = 243,                       /* RX  */
  YYSYMBOL_TX = 244,                       /* TX  */
  YYSYMBOL_INTERVAL = 245,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 246,               /* MULTIPLIER  */
  YYSYMBOL_CHECK = 247,                    /* CHECK  */
  YYSYMBOL_LINK = 248,                     /* LINK  */
  YYSYMBOL_SORTED = 249,                   /* SORTED  */
  YYSYMBOL_TRIE = 250,                     /* TRIE  */
  YYSYMBOL_SETTLE = 251,                   /* SETTLE  */
  YYSYMBOL_TIME = 252,                     /* TIME  */
  YYSYMBOL_GC = 253,                       /* GC  */
  YYSYMBOL_THRESHOLD = 254,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 255,                   /* PERIOD  */
  YYSYMBOL_MPLS_LABEL = 256,               /* MPLS_LABEL  */
  YYSYMBOL_MPLS_POLICY = 257,              /* MPLS_POLICY  */
  YYSYMBOL_MPLS_CLASS = 258,               /* MPLS_CLASS  */
  YYSYMBOL_IPV4_MC = 259,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 260,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 261,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 262,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 263,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 264,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 265,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 266,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 267,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 268,                      /* PRI  */
  YYSYMBOL_SEC = 269,                      /* SEC  */
  YYSYMBOL_SHOW = 270,                     /* SHOW  */
  YYSYMBOL_STATUS = 271,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 272,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 273,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 274,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 275,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 276,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 277,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 278,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 279,                     /* ECHO  */
  YYSYMBOL_ENABLE = 280,                   /* ENABLE  */
  YYSYMBOL_DOMAIN = 281,                   /* DOMAIN  */
  YYSYMBOL_RANGE = 282,                    /* RANGE  */
  YYSYMBOL_STATIC = 283,                   /* STATIC  */
  YYSYMBOL_DYNAMIC = 284,                  /* DYNAMIC  */
  YYSYMBOL_START = 285,                    /* START  */
  YYSYMBOL_POLICY = 286,                   /* POLICY  */
  YYSYMBOL_AGGREGATE = 287,                /* AGGREGATE  */
  YYSYMBOL_RANGES = 288,                   /* RANGES  */
  YYSYMBOL_AGGREGATOR = 289,               /* AGGREGATOR  */
  YYSYMBOL_MERGE = 290,                    /* MERGE  */
  YYSYMBOL_BY = 291,                       /* BY  */
  YYSYMBOL_BABEL = 292,                    /* BABEL  */
  YYSYMBOL_METRIC = 293,                   /* METRIC  */
  YYSYMBOL_RXCOST = 294,                   /* RXCOST  */
  YYSYMBOL_HELLO = 295,                    /* HELLO  */
  YYSYMBOL_UPDATE = 296,                   /* UPDATE  */
  YYSYMBOL_WIRED = 297,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 298,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 299,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 300,                 /* PRIORITY  */
  YYSYMBOL_HOP = 301,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 302,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 303,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 304,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 305,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 306,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 307,                 /* EXTENDED  */
  YYSYMBOL_TUNNEL = 308,                   /* TUNNEL  */
  YYSYMBOL_RTT = 309,                      /* RTT  */
  YYSYMBOL_DECAY = 310,                    /* DECAY  */
  YYSYMBOL_SEND = 311,                     /* SEND  */
  YYSYMBOL_TIMESTAMPS = 312,               /* TIMESTAMPS  */
  YYSYMBOL_BFD = 313,                      /* BFD  */
  YYSYMBOL_MULTIHOP = 314,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 315,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 316,                      /* DEV  */
  YYSYMBOL_LOCAL = 317,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 318,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 319,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 320,               /* METICULOUS  */
  YYSYMBOL_STRICT = 321,                   /* STRICT  */
  YYSYMBOL_BIND = 322,                     /* BIND  */
  YYSYMBOL_SESSIONS = 323,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 324,                     /* HOLD  */
  YYSYMBOL_CONNECT = 325,                  /* CONNECT  */
  YYSYMBOL_RETRY = 326,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 327,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 328,                  /* STARTUP  */
  YYSYMBOL_VIA = 329,                      /* VIA  */
  YYSYMBOL_SELF = 330,                     /* SELF  */
  YYSYMBOL_PATH = 331,                     /* PATH  */
  YYSYMBOL_DELAY = 332,                    /* DELAY  */
  YYSYMBOL_FORGET = 333,                   /* FORGET  */
  YYSYMBOL_AFTER = 334,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 335,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 336,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 337,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 338,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 339,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 340,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 341,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 342,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 343,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 344,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 345,                  /* ADDRESS  */
  YYSYMBOL_RR = 346,                       /* RR  */
  YYSYMBOL_RS = 347,                       /* RS  */
  YYSYMBOL_CLIENT = 348,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 349,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 350,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 351,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 352,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 353,                   /* PREFER  */
  YYSYMBOL_OLDER = 354,                    /* OLDER  */
  YYSYMBOL_MISSING = 355,                  /* MISSING  */
  YYSYMBOL_LLADDR = 356,                   /* LLADDR  */
  YYSYMBOL_DROP = 357,                     /* DROP  */
  YYSYMBOL_IGNORE = 358,                   /* IGNORE  */
  YYSYMBOL_ENHANCED = 359,                 /* ENHANCED  */
  YYSYMBOL_REFRESH = 360,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 361,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 362,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 363,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 364,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 365,                      /* IGP  */
  YYSYMBOL_GATEWAY = 366,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 367,                /* RECURSIVE  */
  YYSYMBOL_MED = 368,                      /* MED  */
  YYSYMBOL_TTL = 369,                      /* TTL  */
  YYSYMBOL_SECURITY = 370,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 371,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 372,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 373,                    /* ALLOW  */
  YYSYMBOL_PATHS = 374,                    /* PATHS  */
  YYSYMBOL_AWARE = 375,                    /* AWARE  */
  YYSYMBOL_SETKEY = 376,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 377,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 378,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 379,                /* MULTICAST  */
  YYSYMBOL_LIVED = 380,                    /* LIVED  */
  YYSYMBOL_STALE = 381,                    /* STALE  */
  YYSYMBOL_IBGP = 382,                     /* IBGP  */
  YYSYMBOL_EBGP = 383,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 384,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 385,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 386,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 387,                     /* SETS  */
  YYSYMBOL_NAME = 388,                     /* NAME  */
  YYSYMBOL_DIGITS = 389,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 390,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 391,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 392,                /* ORIGINATE  */
  YYSYMBOL_COST = 393,                     /* COST  */
  YYSYMBOL_ENFORCE = 394,                  /* ENFORCE  */
  YYSYMBOL_FIRST = 395,                    /* FIRST  */
  YYSYMBOL_FREE = 396,                     /* FREE  */
  YYSYMBOL_VALIDATE = 397,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 398,                     /* ROLE  */
  YYSYMBOL_ROLES = 399,                    /* ROLES  */
  YYSYMBOL_PEER = 400,                     /* PEER  */
  YYSYMBOL_PROVIDER = 401,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 402,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 403,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 404,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 405,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 406,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 407,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 408,                    /* CEASE  */
  YYSYMBOL_HIT = 409,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 410,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 411,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 412,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 413,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 414,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 415,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 416,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 417,                /* COLLISION  */
  YYSYMBOL_OF = 418,                       /* OF  */
  YYSYMBOL_L3VPN = 419,                    /* L3VPN  */
  YYSYMBOL_TARGET = 420,                   /* TARGET  */
  YYSYMBOL_DISTINGUISHER = 421,            /* DISTINGUISHER  */
  YYSYMBOL_MRT = 422,                      /* MRT  */
  YYSYMBOL_FILENAME = 423,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 424,                   /* ALWAYS  */
  YYSYMBOL_V2 = 425,                       /* V2  */
  YYSYMBOL_V3 = 426,                       /* V3  */
  YYSYMBOL_OSPF = 427,                     /* OSPF  */
  YYSYMBOL_OSPF_METRIC1 = 428,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 429,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 430,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 431,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 432,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 433,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 434,                     /* STUB  */
  YYSYMBOL_TICK = 435,                     /* TICK  */
  YYSYMBOL_COST2 = 436,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 437,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 438,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 439,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 440,                /* BROADCAST  */
  YYSYMBOL_BCAST = 441,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 442,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 443,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 444,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 445,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 446,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 447,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 448,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 449,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 450,                     /* POLL  */
  YYSYMBOL_NETWORKS = 451,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 452,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 453,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 454,                     /* ONLY  */
  YYSYMBOL_LARGE = 455,                    /* LARGE  */
  YYSYMBOL_NORMAL = 456,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 457,                  /* STUBNET  */
  YYSYMBOL_TAG = 458,                      /* TAG  */
  YYSYMBOL_LSADB = 459,                    /* LSADB  */
  YYSYMBOL_ECMP = 460,                     /* ECMP  */
  YYSYMBOL_NSSA = 461,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 462,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 463,                /* STABILITY  */
  YYSYMBOL_LSID = 464,                     /* LSID  */
  YYSYMBOL_INSTANCE = 465,                 /* INSTANCE  */
  YYSYMBOL_REAL = 466,                     /* REAL  */
  YYSYMBOL_NETMASK = 467,                  /* NETMASK  */
  YYSYMBOL_LSA = 468,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 469,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 470,                  /* RFC5838  */
  YYSYMBOL_PE = 471,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 472,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 473,                    /* STATE  */
  YYSYMBOL_PERF = 474,                     /* PERF  */
  YYSYMBOL_EXP = 475,                      /* EXP  */
  YYSYMBOL_REPEAT = 476,                   /* REPEAT  */
  YYSYMBOL_MODE = 477,                     /* MODE  */
  YYSYMBOL_PIPE = 478,                     /* PIPE  */
  YYSYMBOL_RADV = 479,                     /* RADV  */
  YYSYMBOL_RA = 480,                       /* RA  */
  YYSYMBOL_SOLICITED = 481,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 482,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 483,                  /* MANAGED  */
  YYSYMBOL_OTHER = 484,                    /* OTHER  */
  YYSYMBOL_CONFIG = 485,                   /* CONFIG  */
  YYSYMBOL_LINGER = 486,                   /* LINGER  */
  YYSYMBOL_MTU = 487,                      /* MTU  */
  YYSYMBOL_REACHABLE = 488,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 489,                  /* RETRANS  */
  YYSYMBOL_TIMER = 490,                    /* TIMER  */
  YYSYMBOL_CURRENT = 491,                  /* CURRENT  */
  YYSYMBOL_VALID = 492,                    /* VALID  */
  YYSYMBOL_PREFERRED = 493,                /* PREFERRED  */
  YYSYMBOL_MULT = 494,                     /* MULT  */
  YYSYMBOL_LIFETIME = 495,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 496,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 497,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 498,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 499,                    /* DNSSL  */
  YYSYMBOL_NS = 500,                       /* NS  */
  YYSYMBOL_TRIGGER = 501,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 502,                /* SENSITIVE  */
  YYSYMBOL_LOW = 503,                      /* LOW  */
  YYSYMBOL_MEDIUM = 504,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 505,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 506,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 507,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 508,              /* RA_LIFETIME  */
  YYSYMBOL_CUSTOM = 509,                   /* CUSTOM  */
  YYSYMBOL_OPTION = 510,                   /* OPTION  */
  YYSYMBOL_VALUE = 511,                    /* VALUE  */
  YYSYMBOL_NG = 512,                       /* NG  */
  YYSYMBOL_RIP = 513,                      /* RIP  */
  YYSYMBOL_INFINITY = 514,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 515,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 516,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 517,                  /* VERSION  */
  YYSYMBOL_SPLIT = 518,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 519,                  /* HORIZON  */
  YYSYMBOL_POISON = 520,                   /* POISON  */
  YYSYMBOL_REVERSE = 521,                  /* REVERSE  */
  YYSYMBOL_ZERO = 522,                     /* ZERO  */
  YYSYMBOL_PLAINTEXT = 523,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 524,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 525,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 526,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 527,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 528,                   /* REMOTE  */
  YYSYMBOL_BIRD = 529,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 530,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 531,                   /* PUBLIC  */
  YYSYMBOL_SSH = 532,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 533,                /* TRANSPORT  */
  YYSYMBOL_USER = 534,                     /* USER  */
  YYSYMBOL_EXPIRE = 535,                   /* EXPIRE  */
  YYSYMBOL_PROHIBIT = 536,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 537,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 538,              /* UNREACHABLE  */
  YYSYMBOL_KERNEL = 539,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 540,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 541,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 542,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 543,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 544,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 545,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 546,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 547,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTRESH = 548,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_CWND = 549,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 550,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 551,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 552,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 553,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 554,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 555,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 556,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_LOCK_MTU = 557,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 558,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 559,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 560,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 561,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 562,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 563,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 564,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 565,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 566,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_FEATURE_ECN = 567,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 568,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_SYSLOG = 569,                   /* SYSLOG  */
  YYSYMBOL_TRACE = 570,                    /* TRACE  */
  YYSYMBOL_INFO = 571,                     /* INFO  */
  YYSYMBOL_WARNING = 572,                  /* WARNING  */
  YYSYMBOL_AUTH = 573,                     /* AUTH  */
  YYSYMBOL_FATAL = 574,                    /* FATAL  */
  YYSYMBOL_BUG = 575,                      /* BUG  */
  YYSYMBOL_STDERR = 576,                   /* STDERR  */
  YYSYMBOL_SOFT = 577,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 578,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 579,                     /* UNDO  */
  YYSYMBOL_LATENCY = 580,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 581,                 /* WATCHDOG  */
  YYSYMBOL_THREADS = 582,                  /* THREADS  */
  YYSYMBOL_CONFIGURE = 583,                /* CONFIGURE  */
  YYSYMBOL_DOWN = 584,                     /* DOWN  */
  YYSYMBOL_PERSIST = 585,                  /* PERSIST  */
  YYSYMBOL_SCAN = 586,                     /* SCAN  */
  YYSYMBOL_LEARN = 587,                    /* LEARN  */
  YYSYMBOL_DEVICE = 588,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 589,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 590,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 591,                 /* $accept  */
  YYSYMBOL_cli_cmd = 592,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 593,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 594,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 595,                 /* cmd_HELP  */
  YYSYMBOL_config = 596,                   /* config  */
  YYSYMBOL_conf_entries = 597,             /* conf_entries  */
  YYSYMBOL_conf = 598,                     /* conf  */
  YYSYMBOL_definition = 599,               /* definition  */
  YYSYMBOL_expr = 600,                     /* expr  */
  YYSYMBOL_expr_us = 601,                  /* expr_us  */
  YYSYMBOL_symbol = 602,                   /* symbol  */
  YYSYMBOL_symbol_known = 603,             /* symbol_known  */
  YYSYMBOL_bool = 604,                     /* bool  */
  YYSYMBOL_ipa = 605,                      /* ipa  */
  YYSYMBOL_ipa_scope = 606,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 607,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 608,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 609,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 610,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 611,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 612,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 613,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 614,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 615,                /* net_mpls_  */
  YYSYMBOL_net_ip_ = 616,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 617,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 618,                 /* net_roa_  */
  YYSYMBOL_net_ = 619,                     /* net_  */
  YYSYMBOL_net_ip4 = 620,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 621,                  /* net_ip6  */
  YYSYMBOL_net_ip = 622,                   /* net_ip  */
  YYSYMBOL_net_any = 623,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 624,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 625,        /* label_stack_start  */
  YYSYMBOL_label_stack = 626,              /* label_stack  */
  YYSYMBOL_time = 627,                     /* time  */
  YYSYMBOL_text = 628,                     /* text  */
  YYSYMBOL_opttext = 629,                  /* opttext  */
  YYSYMBOL_text_or_ipa = 630,              /* text_or_ipa  */
  YYSYMBOL_bytestring = 631,               /* bytestring  */
  YYSYMBOL_bytestring_text = 632,          /* bytestring_text  */
  YYSYMBOL_bytestring_expr = 633,          /* bytestring_expr  */
  YYSYMBOL_flow_num_op = 634,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 635,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 636,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 637,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 638,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 639,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 640,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 641,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 642,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 643,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 644,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 645,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 646,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 647,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 648,               /* flow4_item  */
  YYSYMBOL_flow6_item = 649,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 650,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 651,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 652,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 653,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 654,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 655,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 656,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 657,                /* net_flow_  */
  YYSYMBOL_KEYWORD = 658,                  /* KEYWORD  */
  YYSYMBOL_filter_def = 659,               /* filter_def  */
  YYSYMBOL_660_1 = 660,                    /* $@1  */
  YYSYMBOL_filter_eval = 661,              /* filter_eval  */
  YYSYMBOL_custom_attr = 662,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 663,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 664,             /* bt_test_same  */
  YYSYMBOL_type = 665,                     /* type  */
  YYSYMBOL_function_argsn = 666,           /* function_argsn  */
  YYSYMBOL_function_args = 667,            /* function_args  */
  YYSYMBOL_function_vars = 668,            /* function_vars  */
  YYSYMBOL_function_type = 669,            /* function_type  */
  YYSYMBOL_filter_body = 670,              /* filter_body  */
  YYSYMBOL_filter = 671,                   /* filter  */
  YYSYMBOL_672_2 = 672,                    /* $@2  */
  YYSYMBOL_where_filter = 673,             /* where_filter  */
  YYSYMBOL_function_body = 674,            /* function_body  */
  YYSYMBOL_function_def = 675,             /* function_def  */
  YYSYMBOL_676_3 = 676,                    /* $@3  */
  YYSYMBOL_677_4 = 677,                    /* $@4  */
  YYSYMBOL_cmds = 678,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 679,              /* cmds_scoped  */
  YYSYMBOL_680_5 = 680,                    /* $@5  */
  YYSYMBOL_cmd_var = 681,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 682,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 683,                 /* cmds_int  */
  YYSYMBOL_fipa = 684,                     /* fipa  */
  YYSYMBOL_set_atom = 685,                 /* set_atom  */
  YYSYMBOL_switch_atom = 686,              /* switch_atom  */
  YYSYMBOL_cnum = 687,                     /* cnum  */
  YYSYMBOL_pair_item = 688,                /* pair_item  */
  YYSYMBOL_ec_kind = 689,                  /* ec_kind  */
  YYSYMBOL_ec_item = 690,                  /* ec_item  */
  YYSYMBOL_lc_item = 691,                  /* lc_item  */
  YYSYMBOL_set_item = 692,                 /* set_item  */
  YYSYMBOL_switch_item = 693,              /* switch_item  */
  YYSYMBOL_ec_items = 694,                 /* ec_items  */
  YYSYMBOL_set_items = 695,                /* set_items  */
  YYSYMBOL_switch_items = 696,             /* switch_items  */
  YYSYMBOL_fprefix = 697,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 698,              /* fprefix_set  */
  YYSYMBOL_switch_body = 699,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 700,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 701,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 702,            /* bgp_path_tail  */
  YYSYMBOL_constant = 703,                 /* constant  */
  YYSYMBOL_constructor = 704,              /* constructor  */
  YYSYMBOL_var_list_r = 705,               /* var_list_r  */
  YYSYMBOL_var_list = 706,                 /* var_list  */
  YYSYMBOL_function_call = 707,            /* function_call  */
  YYSYMBOL_symbol_value = 708,             /* symbol_value  */
  YYSYMBOL_static_attr = 709,              /* static_attr  */
  YYSYMBOL_term_dot_method = 710,          /* term_dot_method  */
  YYSYMBOL_711_6 = 711,                    /* $@6  */
  YYSYMBOL_method_name_cont = 712,         /* method_name_cont  */
  YYSYMBOL_713_7 = 713,                    /* $@7  */
  YYSYMBOL_term = 714,                     /* term  */
  YYSYMBOL_term_bs = 715,                  /* term_bs  */
  YYSYMBOL_break_command = 716,            /* break_command  */
  YYSYMBOL_var = 717,                      /* var  */
  YYSYMBOL_for_var = 718,                  /* for_var  */
  YYSYMBOL_cmd = 719,                      /* cmd  */
  YYSYMBOL_720_8 = 720,                    /* $@8  */
  YYSYMBOL_721_9 = 721,                    /* $@9  */
  YYSYMBOL_722_10 = 722,                   /* $@10  */
  YYSYMBOL_723_11 = 723,                   /* $@11  */
  YYSYMBOL_get_cf_position = 724,          /* get_cf_position  */
  YYSYMBOL_lvalue = 725,                   /* lvalue  */
  YYSYMBOL_rtrid = 726,                    /* rtrid  */
  YYSYMBOL_idval = 727,                    /* idval  */
  YYSYMBOL_hostname_override = 728,        /* hostname_override  */
  YYSYMBOL_gr_opts = 729,                  /* gr_opts  */
  YYSYMBOL_net_type_base = 730,            /* net_type_base  */
  YYSYMBOL_net_type = 731,                 /* net_type  */
  YYSYMBOL_table = 732,                    /* table  */
  YYSYMBOL_table_start = 733,              /* table_start  */
  YYSYMBOL_table_sorted = 734,             /* table_sorted  */
  YYSYMBOL_table_opt = 735,                /* table_opt  */
  YYSYMBOL_table_opts = 736,               /* table_opts  */
  YYSYMBOL_table_opt_list = 737,           /* table_opt_list  */
  YYSYMBOL_proto_start = 738,              /* proto_start  */
  YYSYMBOL_proto_name = 739,               /* proto_name  */
  YYSYMBOL_proto_item = 740,               /* proto_item  */
  YYSYMBOL_channel_start = 741,            /* channel_start  */
  YYSYMBOL_channel_item_ = 742,            /* channel_item_  */
  YYSYMBOL_channel_item = 743,             /* channel_item  */
  YYSYMBOL_channel_opts = 744,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 745,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 746,              /* channel_end  */
  YYSYMBOL_proto_channel = 747,            /* proto_channel  */
  YYSYMBOL_rtable = 748,                   /* rtable  */
  YYSYMBOL_imexport = 749,                 /* imexport  */
  YYSYMBOL_limit_action = 750,             /* limit_action  */
  YYSYMBOL_limit_spec = 751,               /* limit_spec  */
  YYSYMBOL_debug_default = 752,            /* debug_default  */
  YYSYMBOL_timeformat_which = 753,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 754,          /* timeformat_spec  */
  YYSYMBOL_timeformat_base = 755,          /* timeformat_base  */
  YYSYMBOL_iface_patt_node_init = 756,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 757,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 758,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 759,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 760,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 761,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 762,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 763,               /* iface_patt  */
  YYSYMBOL_tos = 764,                      /* tos  */
  YYSYMBOL_proto = 765,                    /* proto  */
  YYSYMBOL_dev_proto_start = 766,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 767,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 768,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 769,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 770,               /* debug_mask  */
  YYSYMBOL_debug_list = 771,               /* debug_list  */
  YYSYMBOL_debug_flag = 772,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 773,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 774,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 775,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 776,            /* password_list  */
  YYSYMBOL_password_list_body = 777,       /* password_list_body  */
  YYSYMBOL_password_items = 778,           /* password_items  */
  YYSYMBOL_password_item = 779,            /* password_item  */
  YYSYMBOL_pass_key = 780,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 781,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 782,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 783,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 784,        /* password_item_end  */
  YYSYMBOL_bfd_item = 785,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 786,                /* bfd_items  */
  YYSYMBOL_bfd_opts = 787,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 788,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 789,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 790,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 791,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 792,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 793,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 794, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 795,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 796,                   /* r_args  */
  YYSYMBOL_r_args_for = 797,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 798,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 799,              /* export_mode  */
  YYSYMBOL_channel_sym = 800,              /* channel_sym  */
  YYSYMBOL_channel_arg = 801,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 802,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 803,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 804,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 805,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 806,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 807,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 808,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 809,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 810,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 811,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 812,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 813,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 814,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 815,                /* echo_mask  */
  YYSYMBOL_echo_size = 816,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 817,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 818,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 819,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 820,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 821,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 822,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 823,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 824,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 825,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 826,             /* cmd_RESTRICT  */
  YYSYMBOL_proto_patt = 827,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 828,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 829,             /* dynamic_attr  */
  YYSYMBOL_mpls_domain = 830,              /* mpls_domain  */
  YYSYMBOL_mpls_domain_start = 831,        /* mpls_domain_start  */
  YYSYMBOL_mpls_domain_opt = 832,          /* mpls_domain_opt  */
  YYSYMBOL_mpls_domain_opts = 833,         /* mpls_domain_opts  */
  YYSYMBOL_mpls_domain_opt_list = 834,     /* mpls_domain_opt_list  */
  YYSYMBOL_mpls_domain_end = 835,          /* mpls_domain_end  */
  YYSYMBOL_mpls_range = 836,               /* mpls_range  */
  YYSYMBOL_mpls_range_start = 837,         /* mpls_range_start  */
  YYSYMBOL_mpls_range_opt = 838,           /* mpls_range_opt  */
  YYSYMBOL_mpls_range_opts = 839,          /* mpls_range_opts  */
  YYSYMBOL_mpls_range_opt_list = 840,      /* mpls_range_opt_list  */
  YYSYMBOL_mpls_range_end = 841,           /* mpls_range_end  */
  YYSYMBOL_mpls_channel = 842,             /* mpls_channel  */
  YYSYMBOL_mpls_channel_start = 843,       /* mpls_channel_start  */
  YYSYMBOL_mpls_label_policy = 844,        /* mpls_label_policy  */
  YYSYMBOL_mpls_channel_opt = 845,         /* mpls_channel_opt  */
  YYSYMBOL_mpls_channel_opts = 846,        /* mpls_channel_opts  */
  YYSYMBOL_mpls_channel_opt_list = 847,    /* mpls_channel_opt_list  */
  YYSYMBOL_mpls_channel_end = 848,         /* mpls_channel_end  */
  YYSYMBOL_849_12 = 849,                   /* $@12  */
  YYSYMBOL_show_mpls_ranges_args = 850,    /* show_mpls_ranges_args  */
  YYSYMBOL_cmd_SHOW_MPLS_RANGES = 851,     /* cmd_SHOW_MPLS_RANGES  */
  YYSYMBOL_aggregator_proto_start = 852,   /* aggregator_proto_start  */
  YYSYMBOL_aggregator_proto_item = 853,    /* aggregator_proto_item  */
  YYSYMBOL_854_13 = 854,                   /* $@13  */
  YYSYMBOL_aggregator_proto_opts = 855,    /* aggregator_proto_opts  */
  YYSYMBOL_aggregator_proto = 856,         /* aggregator_proto  */
  YYSYMBOL_aggr_list = 857,                /* aggr_list  */
  YYSYMBOL_aggr_item = 858,                /* aggr_item  */
  YYSYMBOL_babel_proto_start = 859,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 860,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 861,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 862,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 863,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 864,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 865,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 866,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 867,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 868,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 869, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 870, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 871,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 872,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 873,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 874,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 875,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 876,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 877,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 878,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 879,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 880,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 881,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 882,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 883,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 884,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 885,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 886,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 887,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 888,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 889,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 890,             /* bfd_neighbor  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 891,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bgp_proto_start = 892,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 893,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 894,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 895,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 896,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 897,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 898,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 899,                /* bgp_proto  */
  YYSYMBOL_900_14 = 900,                   /* $@14  */
  YYSYMBOL_901_15 = 901,                   /* $@15  */
  YYSYMBOL_bgp_afi = 902,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 903,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 904,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 905,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 906,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 907,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 908,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 909,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 910,        /* bgp_proto_channel  */
  YYSYMBOL_l3vpn_channel_start = 911,      /* l3vpn_channel_start  */
  YYSYMBOL_l3vpn_channel = 912,            /* l3vpn_channel  */
  YYSYMBOL_l3vpn_proto_start = 913,        /* l3vpn_proto_start  */
  YYSYMBOL_l3vpn_proto_item = 914,         /* l3vpn_proto_item  */
  YYSYMBOL_l3vpn_proto_opts = 915,         /* l3vpn_proto_opts  */
  YYSYMBOL_l3vpn_proto = 916,              /* l3vpn_proto  */
  YYSYMBOL_l3vpn_targets = 917,            /* l3vpn_targets  */
  YYSYMBOL_mrt_proto_start = 918,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 919,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 920,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 921,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 922,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 923,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 924,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 925,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 926,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 927,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 928,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 929,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 930,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 931,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 932,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 933,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 934,           /* ospf_area_item  */
  YYSYMBOL_935_16 = 935,                   /* $@16  */
  YYSYMBOL_936_17 = 936,                   /* $@17  */
  YYSYMBOL_ospf_stubnet = 937,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 938,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 939,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 940,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 941,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 942,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 943,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 944,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 945,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 946,                /* pref_list  */
  YYSYMBOL_pref_item = 947,                /* pref_item  */
  YYSYMBOL_pref_base = 948,                /* pref_base  */
  YYSYMBOL_pref_opt = 949,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 950,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 951,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 952,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 953,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 954,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 955,     /* ospf_iface_patt_list  */
  YYSYMBOL_956_18 = 956,                   /* $@18  */
  YYSYMBOL_ospf_iface_opts = 957,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 958,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 959,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 960,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 961,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 962,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 963,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 964, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 965,      /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 966,  /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 967,      /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 968,               /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 969,         /* perf_proto_start  */
  YYSYMBOL_perf_proto = 970,               /* perf_proto  */
  YYSYMBOL_perf_proto_item = 971,          /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 972,         /* pipe_proto_start  */
  YYSYMBOL_973_19 = 973,                   /* $@19  */
  YYSYMBOL_pipe_proto = 974,               /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 975,         /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 976,          /* radv_proto_item  */
  YYSYMBOL_977_20 = 977,                   /* $@20  */
  YYSYMBOL_978_21 = 978,                   /* $@21  */
  YYSYMBOL_radv_proto_opts = 979,          /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 980,               /* radv_proto  */
  YYSYMBOL_radv_iface_start = 981,         /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 982,          /* radv_iface_item  */
  YYSYMBOL_983_22 = 983,                   /* $@22  */
  YYSYMBOL_984_23 = 984,                   /* $@23  */
  YYSYMBOL_radv_preference = 985,          /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 986,        /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 987,          /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 988,      /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 989,               /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 990,        /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 991,         /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 992,       /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 993,         /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 994,     /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 995,              /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 996,          /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 997,         /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 998,          /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 999,        /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 1000,         /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 1001,              /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 1002,         /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 1003,        /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 1004,         /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 1005,       /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 1006,         /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 1007,              /* radv_dnssl  */
  YYSYMBOL_radv_mult = 1008,               /* radv_mult  */
  YYSYMBOL_radv_sensitive = 1009,          /* radv_sensitive  */
  YYSYMBOL_rip_variant = 1010,             /* rip_variant  */
  YYSYMBOL_rip_proto_start = 1011,         /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 1012,          /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 1013,          /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 1014,               /* rip_proto  */
  YYSYMBOL_rip_iface_start = 1015,         /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 1016,        /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 1017,          /* rip_iface_item  */
  YYSYMBOL_rip_auth = 1018,                /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 1019,          /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 1020,      /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 1021,               /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 1022, /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 1023,  /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 1024,        /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 1025,              /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 1026,         /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 1027,         /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 1028,      /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 1029,    /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 1030,         /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 1031,          /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 1032, /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_ssh_init = 1033, /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 1034, /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 1035, /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 1036, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 1037,      /* static_proto_start  */
  YYSYMBOL_static_proto = 1038,            /* static_proto  */
  YYSYMBOL_stat_nexthop = 1039,            /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 1040,           /* stat_nexthops  */
  YYSYMBOL_stat_mpls = 1041,               /* stat_mpls  */
  YYSYMBOL_stat_route0 = 1042,             /* stat_route0  */
  YYSYMBOL_1043_24 = 1043,                 /* $@24  */
  YYSYMBOL_stat_route = 1044,              /* stat_route  */
  YYSYMBOL_stat_route_item = 1045,         /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 1046,         /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 1047,     /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 1048,         /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 1049,              /* kern_proto  */
  YYSYMBOL_kern_sys_item = 1050,           /* kern_sys_item  */
  YYSYMBOL_log_begin = 1051,               /* log_begin  */
  YYSYMBOL_log_config = 1052,              /* log_config  */
  YYSYMBOL_syslog_name = 1053,             /* syslog_name  */
  YYSYMBOL_log_limit = 1054,               /* log_limit  */
  YYSYMBOL_log_file = 1055,                /* log_file  */
  YYSYMBOL_log_mask = 1056,                /* log_mask  */
  YYSYMBOL_log_mask_list = 1057,           /* log_mask_list  */
  YYSYMBOL_log_cat = 1058,                 /* log_cat  */
  YYSYMBOL_mrtdump_base = 1059,            /* mrtdump_base  */
  YYSYMBOL_debug_unix = 1060,              /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 1061,           /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 1062,      /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1063,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1064,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1065,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1066,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1067,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1068,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1069,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1070,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1071,        /* kern_proto_start  */
  YYSYMBOL_kern_learn = 1072,              /* kern_learn  */
  YYSYMBOL_kern_mp_limit = 1073,           /* kern_mp_limit  */
  YYSYMBOL_kern_channel = 1074,            /* kern_channel  */
  YYSYMBOL_kern_item = 1075,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1076,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1077,               /* kif_proto  */
  YYSYMBOL_kif_item = 1078,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1079,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1080,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1081,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1082,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1083                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  80
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   10848

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  591
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  493
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2131
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3456

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   824


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    41,     2,     2,     2,    40,     2,     2,
      58,    59,    38,    36,    83,    37,    42,    39,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   152,    57,
      32,    31,    33,   155,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   153,     2,   154,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    84,     2,    85,    34,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    35,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    58,    58,    58,    58,    58,    58,    58,   146,
     147,   150,   152,   155,   160,   163,   171,   172,   173,   179,
     180,   181,   184,   184,   184,   185,   190,   191,   192,   193,
     194,   195,   202,   203,   204,   211,   212,   219,   225,   235,
     248,   267,   273,   279,   287,   295,   301,   301,   302,   302,
     303,   303,   306,   307,   308,   309,   310,   311,   318,   319,
     327,   328,   336,   337,   345,   346,   354,   355,   356,   357,
     358,   368,   376,   377,   386,   394,   395,   402,   403,   407,
     408,   409,   410,   417,   425,   426,   430,   431,   432,   440,
     441,   442,    37,    38,    39,    40,    41,    42,    43,    44,
      48,    49,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    65,    66,    67,    70,    71,    75,    79,    83,
      84,    88,    92,   101,   102,   106,   110,   114,   121,   122,
     126,   127,   128,   129,   133,   136,   139,   145,   149,   150,
     151,   155,   159,   165,   166,   167,   170,   172,   175,   177,
     181,   188,   189,   191,   197,   203,   203,     9,     9,    10,
      10,    11,    11,   400,   402,   402,   415,   417,   420,   421,
     425,   427,   438,   440,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   494,   495,   504,   505,   513,   514,   521,   522,
     525,   528,   532,   532,   545,   552,   558,   561,   565,   561,
     592,   593,   596,   596,   598,   598,   600,   608,   609,   626,
     627,   640,   641,   642,   643,   644,   648,   656,   657,   658,
     659,   663,   666,   667,   668,   669,   670,   671,   672,   673,
     674,   675,   680,   681,   682,   683,   687,   688,   689,   693,
     694,   695,   696,   697,   698,   699,   700,   705,   706,   707,
     708,   709,   713,   714,   715,   716,   717,   721,   722,   726,
     727,   731,   732,   736,   737,   738,   739,   747,   748,   751,
     752,   759,   769,   770,   774,   778,   779,   780,   781,   785,
     786,   787,   788,   789,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   807,   808,   812,   813,   814,   815,
     821,   822,   823,   826,   842,   851,   870,   871,   872,   873,
     874,   875,   876,   877,   878,   879,   880,   881,   882,   885,
     885,   887,   890,   890,   895,   900,   908,   909,   910,   911,
     912,   913,   914,   915,   916,   917,   918,   919,   920,   921,
     922,   923,   924,   926,   927,   928,   930,   932,   934,   936,
     937,   938,   939,   941,   942,   943,   944,   946,   947,   949,
     951,   952,   956,   960,   961,   962,   966,   970,   977,   978,
     982,   985,   988,   991,   997,   999,   991,  1004,  1016,  1032,
    1035,  1040,  1043,  1052,  1055,  1058,  1061,  1062,  1065,  1065,
    1071,  1072,  1076,  1081,  1094,  1095,   163,   166,   167,   171,
     172,   173,   174,   184,   186,   188,   190,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   208,   209,   217,   219,
     221,   226,   228,   232,   233,   238,   239,   240,   241,   244,
     246,   249,   251,   257,   260,   261,   265,   271,   275,   285,
     295,   297,   298,   299,   300,   301,   302,   303,   307,   313,
     318,   319,   320,   321,   322,   323,   324,   325,   330,   331,
     334,   336,   339,   341,   345,   352,   355,   358,   359,   360,
     361,   365,   366,   367,   368,   369,   373,   374,   378,   381,
     382,   383,   388,   391,   392,   393,   394,   398,   399,   400,
     401,   402,   403,   404,   405,   409,   416,   424,   425,   429,
     430,   434,   439,   440,   444,   446,   454,   458,   459,   464,
     466,   473,   474,   475,   476,   477,   481,   489,   495,   496,
     497,   501,   502,   506,   507,   508,   509,   510,   511,   517,
     518,   519,   523,   524,   528,   529,   535,   539,   540,   543,
     545,   549,   550,   553,   553,   555,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   578,   579,   580,   581,   582,
     583,   584,   585,   586,   587,   588,   589,   590,   591,   595,
     603,   604,   605,   606,   607,   608,   609,   612,   614,   618,
     624,   624,   627,   627,   630,   630,   633,   633,   637,   638,
     641,   641,   644,   644,   648,   648,   652,   658,   664,   670,
     677,   683,   690,   695,   700,   705,   710,   714,   718,   722,
     732,   739,   748,   752,   759,   763,   764,   765,   766,   770,
     774,   778,   792,   793,   794,   795,   798,   799,   800,   801,
     806,   807,   808,   809,   810,   811,   812,   813,   814,   815,
     816,   817,   818,   819,   820,   821,   822,   823,   824,   825,
     829,   839,   839,   843,   846,   847,   848,   849,   850,   851,
     856,   856,   858,   858,   860,   860,   862,   862,   864,   864,
     866,   866,   868,   868,   870,   870,   872,   872,   875,   875,
     879,   879,   885,   886,   887,   891,   892,   898,   898,   900,
     900,   902,   902,   904,   904,   906,   906,   908,   908,   912,
     912,   916,   917,   921,   921,   924,   924,   928,   929,   930,
     934,   935,   936,   939,   941,   942,   943,    31,    33,    35,
      38,    41,    43,    46,    48,    51,    54,    56,    67,    68,
      71,    73,    76,    78,    82,    95,    97,   117,   118,   119,
     120,   124,   125,   126,   127,   128,   129,   132,   134,   137,
     139,   142,   142,   147,   153,   176,   184,   194,   194,    29,
      31,    41,    42,    43,    44,    74,    74,    84,    84,    85,
      89,    90,   101,   106,   120,   125,    35,    37,    47,    48,
      49,    50,    51,    52,    55,    57,    61,    65,    66,    67,
      68,    72,    76,    80,    94,   114,   115,   116,   117,   118,
     119,   120,   121,   125,   126,   127,   128,   129,   130,   133,
     135,   138,   140,   144,   147,   152,   153,   154,   158,   159,
     163,   164,   167,   186,   186,    33,    35,    43,    44,    45,
      46,    49,    51,    55,    59,    80,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   173,   175,   178,   180,   185,   187,   191,   191,
     194,   194,   197,   197,   200,   200,    48,    50,    83,    85,
      86,    89,    91,    92,    93,    94,    99,   100,   104,   105,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   121,
     122,   123,   124,   125,   129,   130,   131,   132,   133,   134,
     138,   139,   145,   152,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   214,   214,   215,   216,   217,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   235,
     261,   262,   263,   265,   265,   265,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     306,   318,   320,   323,   325,   329,   336,   339,   341,   343,
     345,   347,   349,   351,   353,   355,   357,   359,   361,   363,
     365,   368,    49,    52,    65,    67,    74,    75,    76,    77,
      78,    79,    80,    81,    84,    86,    90,    94,    95,    26,
      28,    34,    35,    36,    37,    38,    39,    40,    41,    44,
      46,    50,    53,    53,    57,    58,    59,    60,    61,    62,
     212,   215,   216,   217,   220,   236,   237,   241,   242,   246,
     255,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   275,   290,   293,   295,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     308,   309,   309,   310,   311,   312,   316,   317,   321,   329,
     331,   335,   336,   337,   341,   342,   345,   347,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   363,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   423,
     425,   428,   430,   438,   440,   441,   444,   446,   450,   451,
     454,   464,   486,   488,   492,   492,   495,   497,   500,   502,
     506,   509,   510,   511,   512,   515,   515,   518,   518,   521,
     521,   526,   526,   529,   529,   534,   534,   537,   537,   541,
     541,   550,   553,   554,   555,   556,   557,   558,   559,   560,
      24,    26,    40,    41,    42,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    23,    26,    25,    40,    41,
      42,    43,    53,    55,    68,    69,    70,    71,    72,    72,
      73,    73,    74,    75,    76,    79,    81,    85,    89,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     128,   132,   133,   134,   135,   136,   137,   137,   138,   138,
     139,   140,   141,   142,   146,   147,   148,   151,   189,   191,
     194,   196,   200,   203,   215,   216,   217,   218,   222,   229,
     237,   239,   242,   244,   248,   252,   262,   267,   268,   269,
     273,   285,   287,   291,   292,   296,   309,   314,   315,   316,
     320,   332,   334,   338,   339,   344,   345,   349,   350,   353,
     354,    47,    50,    51,    54,    68,    69,    70,    71,    72,
      73,    76,    78,    82,    86,   111,   141,   142,   143,   144,
     145,   146,   147,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   174,   175,   176,   177,   180,   182,   185,
     187,   191,   194,   195,   199,   199,   202,   202,    41,    43,
      50,    52,    54,    58,    59,    60,    61,    62,    63,    64,
      70,    76,    82,    86,    87,    90,    92,   110,   111,   115,
     122,   132,   134,   138,   139,   140,   144,    54,    56,    63,
      64,    65,    66,    67,    68,    76,    80,    85,    90,    93,
      96,   100,   106,   107,   110,   112,   115,   115,   128,   129,
     133,   138,   139,   140,   141,   142,   143,   147,   156,   158,
     161,   163,   167,   167,    23,    26,    27,    28,    31,    32,
      33,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    62,    63,    32,    34,    36,    38,
      45,    46,    49,    51,    55,    65,    66,    70,    71,    75,
      76,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      92,    95,    96,   107,   110,   111,   112,   113,   121,   121,
     124,   124,   131,   131,   134,   134,   137,   137,   140,   140,
     143,   143,   148,   148,   153,   154,   158,   159,   160,    43,
      45,    50,    51,    54,    55,    59,    60,    65,    66,    70,
      71,    72,    73,    77,    84,    85,    96,    98,   101,   102,
     105,   106,   107,   114,   121,   124,   126,   129,   131,   135,
     138,   139
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "IMP", "PO", "PC", "NUM", "ENUM", "IP4", "IP6",
  "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE",
  "CF_SYM_METHOD_ARGS", "TEXT", "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'",
  "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT", "VPN",
  "MPLS", "FROM", "MAX", "AS", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "IN", "FUNCTION", "PRINT", "PRINTN",
  "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP",
  "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "SET", "STRING",
  "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE", "RT", "RO",
  "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "WEIGHT", "GW_MPLS", "ONLINK", "PREFERENCE", "ROA_CHECK",
  "DEFINED", "ADD", "DELETE", "RESET", "PREPEND", "EMPTY", "FILTER",
  "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX", "BT_ASSERT", "BT_TEST_SUITE",
  "BT_CHECK_ASSIGN", "BT_TEST_SAME", "FORMAT", "':'", "'['", "']'", "'?'",
  "ROUTER", "ID", "HOSTNAME", "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG",
  "ALL", "DIRECT", "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF",
  "DEFAULT", "TABLE", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6",
  "VPN4", "VPN6", "ROA4", "ROA6", "SADR", "RECEIVE", "LIMIT", "ACTION",
  "WARN", "BLOCK", "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI",
  "PASSWORD", "KEY", "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS",
  "CHANNELS", "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1",
  "SHA256", "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT",
  "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION",
  "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY",
  "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE",
  "BASE", "LOG", "GRACEFUL", "WAIT", "MIN", "IDLE", "RX", "TX", "INTERVAL",
  "MULTIPLIER", "CHECK", "LINK", "SORTED", "TRIE", "SETTLE", "TIME", "GC",
  "THRESHOLD", "PERIOD", "MPLS_LABEL", "MPLS_POLICY", "MPLS_CLASS",
  "IPV4_MC", "IPV4_MPLS", "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC",
  "VPN4_MPLS", "VPN6_MC", "VPN6_MPLS", "PRI", "SEC", "SHOW", "STATUS",
  "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS", "NEIGHBORS",
  "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN", "RANGE", "STATIC", "DYNAMIC",
  "START", "POLICY", "AGGREGATE", "RANGES", "AGGREGATOR", "MERGE", "BY",
  "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE", "WIRED", "WIRELESS",
  "BUFFER", "PRIORITY", "HOP", "BABEL_METRIC", "ENTRIES", "RANDOMIZE",
  "MAC", "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT", "DECAY", "SEND",
  "TIMESTAMPS", "BFD", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND", "SESSIONS",
  "HOLD", "CONNECT", "RETRY", "KEEPALIVE", "STARTUP", "VIA", "SELF",
  "PATH", "DELAY", "FORGET", "AFTER", "BGP_PATH", "BGP_LOCAL_PREF",
  "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP", "BGP_ATOMIC_AGGR",
  "BGP_AGGREGATOR", "BGP_COMMUNITY", "BGP_EXT_COMMUNITY",
  "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS", "CLIENT", "CLUSTER", "AS4",
  "ADVERTISE", "CAPABILITIES", "PREFER", "OLDER", "MISSING", "LLADDR",
  "DROP", "IGNORE", "ENHANCED", "REFRESH", "INTERPRET", "COMMUNITIES",
  "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST", "IGP", "GATEWAY", "RECURSIVE",
  "MED", "TTL", "SECURITY", "DETERMINISTIC", "SECONDARY", "ALLOW", "PATHS",
  "AWARE", "SETKEY", "CONFEDERATION", "MEMBER", "MULTICAST", "LIVED",
  "STALE", "IBGP", "EBGP", "MANDATORY", "INTERNAL", "EXTERNAL", "SETS",
  "NAME", "DIGITS", "BGP_AIGP", "AIGP", "ORIGINATE", "COST", "ENFORCE",
  "FIRST", "FREE", "VALIDATE", "ROLE", "ROLES", "PEER", "PROVIDER",
  "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC", "GLOBAL",
  "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION", "CHANGE",
  "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF", "L3VPN",
  "TARGET", "DISTINGUISHER", "MRT", "FILENAME", "ALWAYS", "V2", "V3",
  "OSPF", "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID",
  "AREA", "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT",
  "TRANSMIT", "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA",
  "POINTOPOINT", "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC",
  "ELIGIBLE", "POLL", "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE",
  "NORMAL", "STUBNET", "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR",
  "STABILITY", "LSID", "INSTANCE", "REAL", "NETMASK", "LSA", "SUPPRESSION",
  "RFC5838", "PE", "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT", "MODE",
  "PIPE", "RADV", "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER",
  "CONFIG", "LINGER", "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT",
  "VALID", "PREFERRED", "MULT", "LIFETIME", "SKIP", "AUTONOMOUS", "RDNSS",
  "DNSSL", "NS", "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH",
  "PROPAGATE", "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM", "OPTION", "VALUE",
  "NG", "RIP", "INFINITY", "TIMEOUT", "GARBAGE", "VERSION", "SPLIT",
  "HORIZON", "POISON", "REVERSE", "ZERO", "PLAINTEXT", "DEMAND", "CIRCUIT",
  "RIP_METRIC", "RIP_TAG", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH",
  "TRANSPORT", "USER", "EXPIRE", "PROHIBIT", "BLACKHOLE", "UNREACHABLE",
  "KERNEL", "NETLINK", "KRT_PREFSRC", "KRT_REALM", "KRT_SCOPE", "KRT_MTU",
  "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR", "KRT_SSTRESH", "KRT_CWND",
  "KRT_ADVMSS", "KRT_REORDERING", "KRT_HOPLIMIT", "KRT_INITCWND",
  "KRT_RTO_MIN", "KRT_INITRWND", "KRT_QUICKACK", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR", "KRT_LOCK_SSTRESH",
  "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS", "KRT_LOCK_REORDERING",
  "KRT_LOCK_HOPLIMIT", "KRT_LOCK_RTO_MIN", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "SYSLOG", "TRACE", "INFO", "WARNING", "AUTH",
  "FATAL", "BUG", "STDERR", "SOFT", "CONFIRM", "UNDO", "LATENCY",
  "WATCHDOG", "THREADS", "CONFIGURE", "DOWN", "PERSIST", "SCAN", "LEARN",
  "DEVICE", "KRT_SOURCE", "KRT_METRIC", "$accept", "cli_cmd", "cmd_QUIT",
  "cmd_EXIT", "cmd_HELP", "config", "conf_entries", "conf", "definition",
  "expr", "expr_us", "symbol", "symbol_known", "bool", "ipa", "ipa_scope",
  "pxlen4", "net_ip4_", "net_ip6_", "net_ip6_sadr_", "net_vpn4_",
  "net_vpn6_", "net_roa4_", "net_roa6_", "net_mpls_", "net_ip_",
  "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "text_or_ipa", "bytestring", "bytestring_text",
  "bytestring_expr", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_srcdst",
  "flow_num_opts", "flow_num_opt_ext_expr", "flow_num_opt_ext",
  "flow_bmk_opts", "flow_neg", "flow_frag_val", "flow_frag_opts",
  "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "KEYWORD", "filter_def", "$@1",
  "filter_eval", "custom_attr", "bt_test_suite", "bt_test_same", "type",
  "function_argsn", "function_args", "function_vars", "function_type",
  "filter_body", "filter", "$@2", "where_filter", "function_body",
  "function_def", "$@3", "$@4", "cmds", "cmds_scoped", "$@5", "cmd_var",
  "cmd_prep", "cmds_int", "fipa", "set_atom", "switch_atom", "cnum",
  "pair_item", "ec_kind", "ec_item", "lc_item", "set_item", "switch_item",
  "ec_items", "set_items", "switch_items", "fprefix", "fprefix_set",
  "switch_body", "bgp_path_expr", "bgp_path", "bgp_path_tail", "constant",
  "constructor", "var_list_r", "var_list", "function_call", "symbol_value",
  "static_attr", "term_dot_method", "$@6", "method_name_cont", "$@7",
  "term", "term_bs", "break_command", "var", "for_var", "cmd", "$@8",
  "$@9", "$@10", "$@11", "get_cf_position", "lvalue", "rtrid", "idval",
  "hostname_override", "gr_opts", "net_type_base", "net_type", "table",
  "table_start", "table_sorted", "table_opt", "table_opts",
  "table_opt_list", "proto_start", "proto_name", "proto_item",
  "channel_start", "channel_item_", "channel_item", "channel_opts",
  "channel_opt_list", "channel_end", "proto_channel", "rtable", "imexport",
  "limit_action", "limit_spec", "debug_default", "timeformat_which",
  "timeformat_spec", "timeformat_base", "iface_patt_node_init",
  "iface_patt_node_body", "iface_negate", "iface_patt_node",
  "iface_patt_list", "iface_patt_list_nopx", "iface_patt_init",
  "iface_patt", "tos", "proto", "dev_proto_start", "dev_proto",
  "dev_iface_init", "dev_iface_patt", "debug_mask", "debug_list",
  "debug_flag", "mrtdump_mask", "mrtdump_list", "mrtdump_flag",
  "password_list", "password_list_body", "password_items", "password_item",
  "pass_key", "password_item_begin", "password_item_params",
  "password_algorithm", "password_item_end", "bfd_item", "bfd_items",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD",
  "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args",
  "cmd_MRTDUMP", "cmd_RESTRICT", "proto_patt", "proto_patt2",
  "dynamic_attr", "mpls_domain", "mpls_domain_start", "mpls_domain_opt",
  "mpls_domain_opts", "mpls_domain_opt_list", "mpls_domain_end",
  "mpls_range", "mpls_range_start", "mpls_range_opt", "mpls_range_opts",
  "mpls_range_opt_list", "mpls_range_end", "mpls_channel",
  "mpls_channel_start", "mpls_label_policy", "mpls_channel_opt",
  "mpls_channel_opts", "mpls_channel_opt_list", "mpls_channel_end", "$@12",
  "show_mpls_ranges_args", "cmd_SHOW_MPLS_RANGES",
  "aggregator_proto_start", "aggregator_proto_item", "$@13",
  "aggregator_proto_opts", "aggregator_proto", "aggr_list", "aggr_item",
  "babel_proto_start", "babel_proto_item", "babel_proto_opts",
  "babel_proto", "babel_iface_start", "babel_iface_finish",
  "babel_iface_item", "babel_iface_opts", "babel_iface_opt_list",
  "babel_iface", "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "cmd_SHOW_BFD_SESSIONS",
  "bgp_proto_start", "bgp_loc_opts", "bgp_nbr_opts", "bgp_cease_mask",
  "bgp_cease_list", "bgp_cease_flag", "bgp_role_name", "bgp_proto", "$@14",
  "$@15", "bgp_afi", "bgp_channel_start", "bgp_nh", "bgp_lladdr",
  "bgp_channel_item", "bgp_channel_opts", "bgp_channel_opt_list",
  "bgp_channel_end", "bgp_proto_channel", "l3vpn_channel_start",
  "l3vpn_channel", "l3vpn_proto_start", "l3vpn_proto_item",
  "l3vpn_proto_opts", "l3vpn_proto", "l3vpn_targets", "mrt_proto_start",
  "mrt_proto_item", "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP",
  "mrt_dump_args", "ospf_variant", "ospf_proto_start", "ospf_proto",
  "ospf_af_mc", "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "stat_route_item", "stat_route_opts",
  "stat_route_opt_list", "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item",
  "log_begin", "log_config", "syslog_name", "log_limit", "log_file",
  "log_mask", "log_mask_list", "log_cat", "mrtdump_base", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-2919)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1512)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     188,    91,   346,    96,   222,   349,   368,  8312,   363,   463,
     463,   256,   463,   391,   218,   112,  1471,   197,   463,   175,
      16,   511, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,  5328,   257, -2919, -2919, -2919,  5328,  5328,  8312,
    2365,   595,   696,   487,   839, -2919, -2919,   -74, -2919,   503,
   -2919, -2919, -2919, -2919,   275,   542, -2919,   547,  -304,   867,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,   593, -2919,   526,   494, -2919, -2919, -2919,  5916,
    1849, -2919,   749,  5916, -2919,  5916, -2919,  5916, -2919,  5916,
   10443,  5916, -2919,  5916, -2919,  5916,  1823,  5916,  1150,   786,
    1335,  5916, -2919,  5916, -2919,  5916, -2919,  5916,  1995,   260,
   -2919, -2919, -2919,  5916,  5916,   -21, -2919, -2919, -2919,  1377,
   -2919, -2919,   843,   878,   548, -2919, -2919, -2919,   795,   251,
    8312,   925, -2919,  3984,   890,   927, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
     990,   998,  1016,  1027,  1046,  1057,  1064,  1070,  1695, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  1085,  1126,  1149, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    3479, -2919, -2919,  1153, -2919, -2919,   621,  1224,   621, -2919,
    1222,  1222,   463,   463,  1255,   676, -2919,  1258,   991,   599,
     228,  1270, -2919,  1278, -2919,  1263,   535,   972,   102,    -8,
    1138,  1299,  1307,  1310,  1318,  1325,  1340,  1364,  1373, -2919,
     -43, -2919,  1369,  1222, -2919, -2919,  1326,  1384,  1326,  1388,
    1396,   895, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,  1381, -2919,  5328, -2919, -2919,  4050, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919,   867, -2919,  6504,  1392,  1392,  1092,
   -2919, -2919,  1357,   621,   621,   867,  1509, -2919,   676,  1365,
   -2919, -2919, -2919, -2919,   140,  1372,    28,  1231,   867,   867,
   -2919,  8312,  1416, -2919,  5328, -2919,  1404, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,   801, -2919, -2919, -2919,
     964, -2919, -2919, -2919, -2919,  1470,  1427,  1414, -2919,  1343,
    2168,   621, -2919,   163,   839,   676,  1257, -2919,  1458,  1423,
    1464,  1466, -2919, -2919,  1441,  1443,  1445,  1447, -2919, -2919,
   -2919, -2919,   -28,  1190,  1484,  1531,   910,    63,    81,    83,
     101,  1229,   839,  2168,  1188,  1378,   670,  1333,   512,  1195,
    1256,   850,  1023,   261,   137,  1276,  1356,   731,  1360,  1294,
    1327,   905,  1274,  1487,  2168,  1293,  1288,  1331,  1359,  1300,
    1304,   110,  2168,   131,  1267,  1354,  1281,  1627,  1634,  1611,
   -2919,  1613,  1647,  1629,  1636,  1642,  1261, -2919, -2919,  1540,
    1342,   967,  2168,  1573,   867,  2168,  1580,  2168,  1371, -2919,
    1423, -2919,  1697,  1668, -2919,  1671, -2919,  2168,   109,  1740,
     193,  1741,  1143,  1709, -2919,  1710, -2919, -2919,   867,   934,
    1140,  1739,  1585,  1545,  1601,  1716,  1717,  1696,  1698,  1701,
    1702, -2919,  1877,  1533,  1625,  1753,  1761,  1762,   -13,  1713,
   -2919,  1635,  1451,   867,  1650,  1581,  2168,  1576,  1595, -2919,
   -2919, -2919,  1772, -2919,  1778,  1752,  1754, -2919, -2919,  1590,
   -2919,  1787,  1367,  1377,  1377,  8312,  1719,  1377, -2919,  1377,
    1827, -2919,  1828, -2919,  1831,   843,  1812, -2919, -2919,  1818,
     419,  1825,  1813, -2919, -2919, -2919,  1844, -2919,  1786,  2699,
   -2919, -2919,  1739,  8312,  8312,  8312,  8312,  8312,  8312,  8312,
   -2919, -2919,  1812, -2919,  3407, -2919, -2919, -2919, -2919,   848,
   -2919,  1861, -2919, -2919, -2919, -2919,   214, -2919,   427,  8312,
    1853,  1859, -2919,  8312,  8312,  8312,  8312,  8312,  8312,  8312,
    8312,  8312,  8312,  8312,  8312,  8312,  8312, -2919,  1283, -2919,
    1847, -2919, -2919, -2919, -2919, -2919,  1874,  1879,  1880,  1897,
   -2919, -2919,   387, -2919,  1906, -2919, -2919, -2919, -2919,   988,
    1907, -2919,  1908, -2919,  2353, -2919,   959, -2919,  1909,  1263,
    1263,  1263,  1263,  1263,  1263,  1263, -2919,   186,   209,  1911,
    1263,  1263,  1913, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
     226, -2919, -2919,  1918,  1920,   590,  1927, -2919,   895, -2919,
   -2919,   867,  1933,  8312, -2919,  1864, -2919,  2450,   912,  1884,
    1860,  1862, -2919, -2919, -2919, -2919,  8312,  1887, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,   867, -2919, -2919,  1894,
   -2919,   867,  1128, -2919,  1562, -2919,   867,   626,   867,  1292,
   -2919, -2919,  3442, -2919, -2919, -2919, -2919, -2919, -2919,  5916,
   -2919, -2919,  1929, -2919,   967, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,  2168, -2919, -2919, -2919, -2919, -2919,   942, -2919,
   -2919, -2919, -2919, -2919,  1703,  1704,   883, -2919,  1901,   867,
     867, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,    20,
    1905,  1919,   -42,   566,  1711,  1712,  2168,  1594,  1746,  2168,
    1744,    77,  1725,  1924,  1925,  1899, -2919,  1931, -2919, -2919,
   -2919,  1185,  1950,   118,  1201,  1950,   661,  2168,   867,  1734,
    1742,   867,  1743,  2168,  2168,  1834,  2168,  2168,  1939,  2168,
    2168,  2168,  2168,  2168,  2168,  1610,  1951,  2168,  2168,  1949,
    2168,  1955,  1952,  2168,  2168, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919,  2168,   683,  2168, -2919, -2919,
    2168, -2919,  1830,   867, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,   867,   867, -2919,  1997,  1998, -2919, -2919, -2919,
   -2919, -2919, -2919,  1392,  8312, -2919, -2919,  1262,  1832, -2919,
   -2919,  1262, -2919, -2919, -2919,  1262,  2168,  1739, -2919, -2919,
   -2919, -2919, -2919, -2919,   878,   548, -2919, -2919, -2919,  2168,
    1739, -2919, -2919, -2919, -2919,  1465, -2919,   883, -2919, -2919,
   -2919,   207,  1694, -2919,  1973,  2168,  2168, -2919,   867,  1732,
   -2919,   867, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919,   867, -2919,  2013, -2919, -2919, -2919,  3550, -2919, -2919,
    1377,   509, -2919, -2919, -2919, -2919,  1979,  2018, -2919,  1898,
    2001, -2919, -2919,  8312, -2919,  8312, -2919, -2919,   752,  3562,
    2785,  2827,  2903,  3001,  3611,  3643,  1957,   210,  1959,  3679,
   -2919, -2919,  2026,  1946,  2120, -2919,   548, -2919,  1967,  1994,
    4050,  2004,  2005,  2303,  2303,  2303,  3155,  3155,  2303,  2303,
    2303,  2303,  2303,  1087,  1087,  1813,  1813, 10150, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919,   335, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919,   708, -2919, -2919,   253,  2048, -2919, -2919,
   -2919,  1877,  1344,  1392,  1392, -2919,  1886,  1888,   215, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  2039, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919,  1222,  1222,  1222,
    1222,  2059,  1222,  1222,   114,  1263,  1222,  1263,  1222, -2919,
    1222,  1222, -2919,   -43, -2919, -2919, -2919, -2919,  1392,  1008,
     839, -2919, -2919,  2060, -2919, -2919,  4258,  2012,  2058,  2023,
   -2919, -2919,  6504, -2919,   839,  1392, -2919,  2019,  3741, -2919,
   -2919, -2919,  2050,  1348,  1390,   839, -2919,   839, -2919,   -43,
   -2919,  2024,  2025, -2919, -2919, -2919, -2919,   615, -2919, -2919,
   -2919,  2049, -2919,  2002,  2031,  1902, -2919,  1807, -2919,  2033,
   -2919,  2007,   868,  1614,  1109,   867,   867,  2037, -2919,  2038,
    2046,  2168,  1619, -2919, -2919,  1917,  1854,   867,  2057,  2070,
     867,   867,  2078,  2168,  2168,  2079,  1756,   867,  2080,   867,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  5328, -2919,
     867,   867, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    2081, -2919,   867,   867, -2919,  2088,  2090,   867,   867,  2091,
     867,  2092,  2095,   967,  2096,  2097, -2919,  2098,  2101,  2102,
    2103,  2104,  2106,  2168,  1133,  2108,  2109, -2919,  2110, -2919,
    2168,  2111,  2112,  1308, -2919, -2919,  1686, -2919,  2142,   582,
   -2919,   867, -2919, -2919, -2919, -2919,   867, -2919, -2919,   242,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919,  4050, -2919,  1996,
   -2919,  2168, -2919, -2919, -2919,  2124,   594,   292,    38,  2129,
    2132,  2133, -2919,  1950,  2140,  2167,   867,  2168,  2168,   207,
    8927, -2919, -2919,  2011, -2919,   867, -2919,  2002,  2114, -2919,
    1377, -2919, -2919,  1377,  2174, -2919,  2162,  2163,  3139,  2753,
   -2919, -2919, -2919,  8312, -2919,  8312,  8312,  8312,  8312, -2919,
   -2919,  4540,  8312,  7078,  8312, -2919,  2118,  8312, -2919, -2919,
   -2919,  8312, -2919,  2185,  2186, -2919, -2919, -2919, -2919, -2919,
    1847, -2919,   387, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
     843,   756,  1363, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919,  2183,  2183, -2919, -2919,  1153, -2919, -2919,
    2203,  2204,  2205,  2210, -2919,  2211,  2213, -2919, -2919,  2201,
     967, -2919, -2919, -2919,   967,   967,  1222,  2218,  1222,  2222,
    2226,  2227, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    2450,  2450, -2919,  8660,  6504,  2177,  2176,  2153,  2002, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  1050, -2919,
   -2919,  1987, -2919,  1988,  2168,  2168,  1193,  2187, -2919,  2212,
   -2919, -2919, -2919,   621, -2919,  2188,  5328, -2919, -2919, -2919,
   -2919,  2199,  1956,  2075, -2919, -2919,  2191, -2919, -2919,  2093,
   -2919, -2919,  2193, -2919, -2919, -2919, -2919,   883,  1942, -2919,
    2194,  2170,  2214, -2919, -2919, -2919,  2215,   233, -2919,  2221,
     757,   867,  2223, -2919, -2919,  2224,  2225, -2919,  2228,  2229,
   -2919,  2168,  2230, -2919,  2232,  1003,  2233,   194, -2919,   244,
   -2919, -2919, -2919,  1237, -2919, -2919, -2919, -2919,  2234,  2235,
   -2919,  2237, -2919, -2919,  2240, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919,  2242, -2919,  2243, -2919, -2919, -2919,  2244,
   -2919, -2919,   793, -2919,  1392, -2919,  2248, -2919,  1960, -2919,
    1895,  1789,  1089,  1890,  2113,  2119,  2202,  1912,  2136,     8,
    2168,  2168,   185,   867,  2168, -2919,  2253, -2919,  2256,  1892,
    1903,  1030, -2919, -2919, -2919,  1423, -2919,  2268, -2919,  1392,
    1125,   867,   839,  2189, -2919, -2919,  2270, -2919, -2919, -2919,
   -2919,   490,  2168, -2919,   179, -2919,  2065,  1185, -2919,    85,
    2272, -2919,  1865, -2919,  1246, -2919, -2919, -2919, -2919,  1141,
   -2919, -2919, -2919,  1141,  2160,  1836, -2919, -2919,  2290, -2919,
   -2919,  2168,   867, -2919, -2919,  2291,   867, -2919,  2161,  2294,
    2161,  1456,   -10,  2161, -2919, -2919,  2295, -2919,   867, -2919,
   -2919, -2919, -2919,  2167, -2919, -2919,  2312, -2919, -2919, -2919,
    2311, -2919, -2919,  8312,  8312,  2296,  8312, -2919, -2919, -2919,
    8312,  8312, -2919,  2297,  2298,   148,  2300,  2327,  8312, -2919,
    2319,  2331, -2919,   867, -2919, -2919, -2919, -2919, -2919, -2919,
    2324,  2329, -2919,  8312, -2919,  8312,  2609,  2990,  3254,  3814,
    3846,  3885,  4018,   828,   632,  4050,  2281,   844,   298,  2284,
    2350,  3679,  4050, -2919, -2919,  2313, -2919, -2919,  2348,   843,
    1812,  1153, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919,  2366, -2919,  2367, -2919, -2919, -2919,
    6504,  2275, -2919,  6504,  2301, -2919, -2919,  8660, -2919, -2919,
    2323, -2919, -2919,  2362, -2919,  2131,  2135, -2919, -2919,   867,
     867, -2919,  1212,  1397, -2919, -2919, -2919, -2919, -2919,    97,
   -2919,  9542, -2919,  1739, -2919, -2919, -2919,  2236, -2919,   183,
   -2919, -2919,  2306, -2919,   127, -2919,  2168, -2919,   867, -2919,
   -2919,  2208,  1974,  1980, -2919,    41,  1982,  1093,  1117, -2919,
   -2919,  2340,  2341,  2343, -2919, -2919, -2919, -2919, -2919,  2344,
   -2919, -2919, -2919,  2168, -2919,  1295,  2158,   867,   867,  2346,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919,   305,    80, -2919, -2919,   366,   797,  2168,  2168,    27,
    1739,  2168,  2107,   518,  1739, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919,   246,   246,   246,  2381, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  2074, -2919, -2919, -2919,
     867,   867,  2168, -2919,  2325,   867, -2919,  2326,   967, -2919,
   -2919,  2328,   867, -2919, -2919,   867,  2332, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919,  2333, -2919, -2919, -2919,   804,   563,
   -2919,  2168,  2337, -2919, -2919, -2919,  2238, -2919, -2919, -2919,
   -2919,   867,  2345,   867, -2919, -2919, -2919, -2919,  8312, -2919,
    2360, -2919, -2919, -2919,   867, -2919, -2919,  2312,  2396,  2335,
    8660,   637,   656,  3911,  4744,  2583,  2617,  1706, -2919, -2919,
    8312, -2919,  8312,   739, -2919,  8312, -2919,    15,  2399,  2385,
    4144,  4159, -2919, -2919, -2919, -2919,  2357, -2919, -2919,  1507,
    2351, -2919, -2919, -2919, -2919, -2919, -2919,  1916,  2387,  2387,
    1062,  2369, -2919,  1916,  2387,  2387,  1141,  2372,  8312, -2919,
   -2919, -2919, -2919, -2919,  2392,  8312, -2919,  7345, -2919,  2394,
    8312,  2423,  7695,  7962,  2349,  8312, -2919, -2919, -2919,  1216,
   -2919, -2919,   889, -2919, -2919, -2919,  2376,   867,   867, -2919,
   -2919,   843,  1812, -2919, -2919, -2919, -2919,   867, -2919,   867,
    2379, -2919,  8312, -2919, -2919,  2354, -2919, -2919, -2919,  2356,
    2168, -2919, -2919, -2919, -2919, -2919,  2306, -2919, -2919,  5328,
     839,  2125, -2919,  2384,  2035,  2172, -2919, -2919, -2919, -2919,
   -2919, -2919,   233, -2919, -2919, -2919, -2919, -2919, -2919,  2200,
    2206,  2207, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919,   431,   431,   883,  2041, -2919, -2919, -2919,
   -2919, -2919,  2262,  2198, -2919, -2919,  2168, -2919, -2919, -2919,
   -2919, -2919,  1452,  2398, -2919, -2919, -2919, -2919, -2919, -2919,
    2168,  2002,  2370, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  2375, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,   867,  2395,   867, -2919,
    2168, -2919,  4197, -2919, -2919,  2401, -2919, -2919, -2919, -2919,
   -2919, -2919,  2419,  2421, -2919,  9275, -2919, -2919,  6504,  2397,
    8312,  9883,  4776,  4812, -2919, 10150,  4880, -2919,   883,  2425,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  2476,   867,  1571, -2919,
    2405, -2919,   586,   867,  1578,   783, -2919, -2919, -2919, -2919,
    1571,   586,   783,  2407, -2919,  4246,  2431,  2433,   879,   677,
    2434,   945,  2436,  2438,   687,  2443,   777, -2919,  2448, -2919,
   -2919,  8312, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  4366,
    9542, -2919, -2919, -2919, -2919, -2919,   827, -2919, -2919, -2919,
     883,  2195, -2919, -2919, -2919, -2919,   867,   867,   867, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  2168,   867, -2919, -2919,
     536, -2919,  1865, -2919, -2919,   808,   830,    22,   201,    48,
   -2919, -2919, -2919, -2919, -2919,  1999, -2919, -2919, -2919, -2919,
   -2919, -2919,  2454,  2456,  2400,  1219, -2919, -2919,  4050, -2919,
   -2919, -2919, -2919, -2919, -2919,  2458, -2919, -2919, -2919,   867,
   -2919, -2919,   867,  1604,   867, -2919,  2387,  2387,  2478, -2919,
   -2919, -2919, -2919, -2919,  2387,  2387,  2499, -2919, -2919, -2919,
   -2919,  2485,  8312, -2919, -2919, -2919,  2487,  8312, -2919,  8312,
    2516, -2919,  8312, -2919, -2919,  4920, -2919, -2919,  1387, -2919,
   -2919, -2919, -2919, -2919,  2168,  2444,  1347,  2283,   867,   867,
     447, -2919, -2919, -2919,   622,  2445,  2473, -2919,  2168, -2919,
   -2919, -2919, -2919, -2919, -2919,  2398, -2919, -2919,  1074, -2919,
   -2919, -2919,   608, -2919, -2919,  2168,   867,  2168,  2475, -2919,
     867,   867,    17,   867,  2209,   169, -2919,  2477, -2919,  2168,
    2043,  2044,  2168,  2168,  2479,   501, -2919,    12,    21,   921,
     413, -2919,    23, -2919, -2919,  9275, -2919, -2919, -2919,  3407,
   -2919, -2919,  2530, -2919, -2919, -2919, -2919,   450,  8312,  2483,
    2461, -2919, -2919,  2405,   867, -2919,   867,   867,   867,  1578,
    1578, -2919,  2503,  2504,  2505,  2482,  2510,  2515,  2517, -2919,
     867,  2273,   747, -2919,   867,  2276,   336,  2330,   867,  2334,
    2338,  2512,    66,  2278,     9, -2919,  2523, -2919,  1403,  2342,
    2347,  2355, -2919, -2919, -2919,  1424, -2919,  2380, -2919, -2919,
   -2919,  8312, -2919, -2919, -2919, -2919,  1042, -2919, -2919, -2919,
   -2919,  1450, -2919,   867,  2289,   534,  2358,  2123,  2518,   867,
     867,  2168,    94,  2157,  2241,   867,  2168,   867,  2271,   579,
     -53,   867,  2474,  2164, -2919,  2555, -2919,   867,  2556, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,   867,
     867, -2919, -2919, -2919,   867,   867, -2919, -2919, -2919,  2143,
   -2919,    68,   -16,   -62,  -162,  2137,  2146,  2168,  2148,  2382,
    2145,  2336,  2310,  2321,  2126,  2582, -2919,    55,   883,  2584,
   -2919,  2615,    55,  2587, -2919, -2919, -2919,   867, -2919,  2168,
    2363,   557,   -88,   867,  2393,  2168,    53,   883,  2277,  2409,
    2526,   282,  2412,  2413,    93,  2127,  2147,  2141, -2919,  2610,
   -2919,  2138,  2149,   839,  2613, -2919, -2919,  4601,   956,  1434,
   -2919,  4050,  2618,  8312, -2919,  2641,  2643, -2919, -2919, -2919,
   -2919, -2919, -2919,  8312, -2919,  8312, -2919, -2919,  1457, -2919,
   -2919, -2919, -2919,   867,   867,   867,   867,   867, -2919,  2168,
   -2919,   867,   867,  2386,   867,   867,   867,   867,  2168, -2919,
    2389, -2919,  2600,  2631,   867,   867,   867, -2919, -2919,  1482,
    4683,  2664,   211,   867,  2664,  1197,   237,  2608, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919,   128,   867,   867,
   -2919,  2168,  2231, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    2168,   834, -2919, -2919, -2919,   867,   867, -2919,  2168,  2168,
   -2919,   867,  2168, -2919, -2919, -2919, -2919, -2919,  2196,  2196,
    2457,  2451, -2919,   961,   867,   961,  2452,   867,   867,  2460,
     867,  2239, -2919,  2168,   867,   867,  2524,  2168,   804,  2168,
     563,   178, -2919, -2919,   867, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919,   867,   867,   867, -2919,  2168,
    2168, -2919,   867, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    1007,   867,   867, -2919, -2919,   867,   867,  2168, -2919,  2168,
    2168,  2168, -2919, -2919,  2513,  2522, -2919, -2919, -2919,  8312,
   -2919, -2919, -2919,  2591, -2919,  4695,   867,   867,  2657,  2634,
     883,   883, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    2168, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  1403, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  2661,  2664,  2664,  2662,
    2663,  1893,  1904, -2919, -2919, -2919, -2919,  2665,  2664,  2664,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919,  2168,   918, -2919,
    2269, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  2168, -2919,
   -2919,   867,   867, -2919, -2919, -2919, -2919,  2196, -2919,   867,
    2196, -2919,   867, -2919,  2168, -2919, -2919, -2919,   867, -2919,
   -2919, -2919, -2919,   867,  2168, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,  2274, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,   839,   839,  4601,  9275,  2668, -2919, -2919, -2919,
    8312, -2919, -2919, -2919, -2919,  1042,  2669,  2670,  1042,  1042,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
    1042,  2672,  2682, -2919, -2919, -2919,  2293, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  2245, -2919,
   -2919, -2919, -2919, -2919, -2919,  2660, -2919,  1042,  1042, -2919,
   -2919, -2919,  1042,  1042, -2919,  2683,   921,  8312, -2919, -2919,
   -2919, -2919, -2919, -2919,  2686, -2919
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
     541,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2094,     0,   540,   687,   689,   691,  1120,  1122,  1124,  1126,
    1130,  1132,  1134,  1191,  1200,  1202,  1204,  1206,  1208,  1210,
    1212,  1214,  1216,  1218,  1220,  1227,  1229,  1231,  1233,  1235,
    1237,  1239,  1243,  1245,  1297,  1408,  1410,  1412,  1414,  1363,
    1612,  1755,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1944,
    1946,  2012,  2078,  2080,  2082,  2084,  2086,  2088,  2090,  2092,
       1,   539,     0,   957,   543,   954,   955,     0,     0,     0,
       0,     0,     0,     0,     0,   974,   975,     0,   947,   948,
     950,   951,   952,   953,     0,     0,  2048,     0,     0,     0,
     542,   544,   693,   696,   698,   700,   702,   736,   936,   943,
     945,   956,     0,   958,   961,     0,  1018,  1022,   973,   976,
     980,  1257,  1263,   976,  1299,   976,  1365,   976,  1316,   976,
     980,   976,  1582,   976,  1599,   976,   980,   976,   980,     0,
     980,   976,  1802,   976,  1891,   976,  1948,   976,   980,   980,
    2047,  2070,  2073,   976,   976,   980,   688,   690,   692,   823,
     824,   835,   749,   750,   830,   555,   827,   828,     0,     0,
       0,     0,   846,     0,     0,     0,   849,   825,   826,   847,
     848,   850,   851,   852,   853,   854,   855,   857,   858,   856,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1253,
    1254,  1255,  1256,  1407,  1568,  1571,  1570,  1567,  1569,  1572,
    1573,  1574,  1577,  1579,  1575,  1576,  1578,  1580,  1751,  1752,
    1753,  1754,  1889,  1890,  1942,  1943,  2018,  2019,  2020,  2021,
    2022,  2023,  2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,
    2032,  2033,  2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,
    2042,  2043,  2044,  2045,  2130,  2131,   845,   576,   577,   586,
     578,   579,   580,   581,   587,   582,   583,   584,   831,   685,
     686,   585,   829,   839,   884,   885,   901,   883,   886,   888,
       0,   900,   887,  1247,  1249,  1248,     0,     0,     0,  1247,
     608,   608,     0,     0,     0,     0,  1246,     0,     0,  1251,
       0,     0,  1136,     0,  1193,  1129,     0,     0,  1129,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1223,
       0,  1222,  1225,   608,  1614,  2095,  2094,     0,  2094,     0,
       0,  2096,  2091,    39,    40,    41,   553,   552,     2,     3,
       4,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,   146,
     147,   148,   149,   150,   151,   152,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   182,   183,   184,   185,   186,
     187,   188,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,   465,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,     0,   554,     0,   737,   694,   697,   704,   705,
     706,   708,   707,   709,   710,   711,   712,   713,   714,   715,
     716,   717,   718,   719,     0,   720,     0,     0,     0,     0,
     606,   605,     0,     0,     0,     0,   561,   949,     0,     0,
    1024,  1023,  1025,  1026,     0,     0,     0,     0,     0,     0,
     546,     0,     0,   548,     0,   962,   971,  1050,  1949,  1417,
    1978,  1300,  1366,  1317,  1585,  1600,  1621,  1781,  1796,  1803,
    1892,  2100,  2117,  1624,  1894,    13,   977,     0,  1049,     0,
     561,     0,  1056,     0,     0,     0,     0,   988,     0,  1002,
       0,     0,  1261,  1265,     0,     0,     0,     0,  1276,  1527,
    1528,  1416,     0,     0,     0,     0,     0,  1517,  1518,     0,
       0,     0,     0,   561,     0,     0,     0,     0,     0,     0,
       0,   561,     0,  1421,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   561,     0,     0,     0,     0,     0,
       0,     0,   561,     0,     0,     0,     0,     0,     0,  1289,
    1529,  1563,     0,     0,     0,     0,     0,   957,  1620,     0,
       0,     0,   561,     0,     0,   561,     0,   561,  1627,  1631,
    1002,  1632,     0,     0,  1645,     0,  1780,   561,     0,     0,
       0,     0,     0,     0,  1785,     0,  1798,  1795,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1977,     0,     0,     0,     0,     0,     0,  2001,  2010,
    2099,     0,     0,     0,     0,     0,   561,     0,   561,  2109,
    2107,  2108,     0,  2110,     0,     0,     0,  2116,  2123,     0,
    2120,     0,   823,   823,   823,     0,     0,   823,   845,   823,
       0,   812,     0,   568,     0,     0,     0,   571,   572,     0,
       0,     0,   881,   575,   772,   773,     0,   775,     0,     0,
     680,   680,     0,     0,     0,     0,     0,     0,     0,     0,
     751,   754,   750,   753,     0,   832,   756,   576,   577,   803,
     752,   790,   787,   788,   789,   799,     0,   807,     0,   840,
       0,     0,  1219,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   859,     0,  1059,
       0,  1058,  1242,  1240,  1241,   607,     0,     0,     0,     0,
    1234,  1070,     0,  1069,     0,  2093,  1293,  1250,  1252,  1251,
       0,  1131,     0,  1123,     0,  1121,     0,  1128,     0,  1129,
    1129,  1129,  1129,  1129,  1129,  1129,  1771,  1129,  1129,     0,
    1129,  1129,     0,  1213,  1205,  1215,  1207,  1201,  1203,  1209,
    1211,  2066,  2061,  2064,  2062,  2063,  2065,  2067,  2068,  2069,
       0,  2059,  1226,     0,     0,     0,     0,  2087,  2096,  2083,
    2085,  2097,     0,     0,  1259,     0,   726,     0,   721,     0,
       0,     0,   939,   941,   942,  1045,     0,     0,   944,  1019,
    1020,  1021,   557,   559,   558,   560,     0,   556,  2074,     0,
    2072,  1027,     0,  1035,  2051,  2056,  2052,     0,     0,     0,
    2077,  2076,     0,  2046,   960,   969,   959,  1622,  1623,   976,
    1893,   978,     0,  1051,     0,   981,   982,  1036,   987,   986,
     985,   983,   561,  1052,  1000,  1004,  1053,  1054,     0,  1258,
    1307,  1371,  1324,  1444,     0,     0,     0,  1462,     0,     0,
       0,  1521,  1519,  1522,  1520,  1523,  1525,  1524,  1526,     0,
       0,     0,     0,   561,     0,     0,   561,     0,     0,   561,
       0,     0,     0,     0,     0,     0,  1463,     0,   562,   563,
     564,     0,   565,     0,     0,   565,     0,   561,     0,     0,
       0,     0,     0,   561,   561,     0,   561,   561,     0,   561,
     561,   561,   561,   561,   561,     0,     0,   561,   561,     0,
     561,     0,     0,   561,   561,  1445,  1447,  1287,  1291,  1561,
    1565,  1446,  1594,  1609,  1625,   561,   561,   561,  1646,  1633,
     561,  1643,  1640,     0,  1634,  1628,  1629,  1004,  1626,  1648,
    1782,  1792,     0,     0,  1791,     0,     0,  1788,  1793,  1794,
    1784,  1783,   995,   732,     0,  1009,  1010,     0,     0,  1008,
     990,     0,   991,  1006,   989,     0,   561,     0,  1799,  1800,
    1815,  1901,  1951,  1979,     0,     0,   595,   594,  1996,   561,
       0,  1980,  1981,  1982,  2003,     0,  2002,     0,  2006,  2004,
    2005,  1992,  1998,  2008,     0,   561,   561,  2016,     0,     0,
    2111,     0,  2104,  2103,  2113,  2014,  2102,  2101,  2118,  1036,
    2121,     0,  2119,     0,   815,   821,   819,     0,   749,   750,
     823,     0,   820,   822,   814,   567,   569,     0,   889,     0,
       0,   890,   774,     0,   866,     0,   681,   682,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   761,
     804,   805,     0,     0,     0,   833,     0,   834,   843,     0,
     841,     0,     0,   878,   876,   874,   871,   872,   873,   875,
     877,   879,   880,   867,   868,   869,   870,     0,  1187,  1185,
    1186,  1170,  1173,  1177,  1180,  1183,  1184,  1171,  1172,  1174,
    1175,  1176,  1178,  1179,  1181,  1182,  1188,  1189,  1190,  1063,
    1064,  1065,  1067,  1068,  1066,     0,  1061,  1232,  1228,  1236,
    1238,  1074,  1075,     0,  1072,  1244,     0,     0,  1125,  1133,
    1135,     0,     0,   732,     0,  1146,     0,  1167,     0,  1148,
    1147,  1152,  1153,  1166,  1168,  1169,  1137,  1145,     0,  1192,
    1199,  1195,  1196,  1197,  1198,  1194,  2013,   608,   608,   608,
     608,     0,   608,   608,     0,  1129,   608,  1129,   608,  1756,
     608,   608,  1217,     0,  1224,  1221,  1230,  1613,   732,     0,
       0,  1618,  2089,     0,  2098,  2079,     0,   722,   728,     0,
     695,   730,     0,   699,     0,     0,  1036,     0,     0,   937,
    2075,  2071,     0,  1029,  1032,     0,  2055,     0,  2054,     0,
    2057,     0,     0,   549,   550,   551,   547,     0,  1797,   979,
     984,  1039,  1042,  1057,     0,     0,  1005,     0,  1264,     0,
    1260,  1272,   980,   980,   980,     0,     0,     0,  1453,     0,
       0,   561,   561,  1492,  1494,     0,     0,     0,     0,     0,
       0,     0,     0,   561,   561,     0,     0,     0,     0,     0,
    1510,  1509,  1117,  1512,  1464,   593,   592,  1421,     0,  1421,
       0,     0,  1450,  1424,  1425,  1439,  1440,  1441,  1442,  1443,
       0,  1418,     0,     0,  1448,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1491,     0,     0,     0,
       0,     0,     0,   561,     0,     0,     0,  1493,     0,  1457,
     561,     0,     0,     0,  1275,  1004,     0,  1566,   980,   980,
    1635,     0,  1638,  1637,  1642,  1636,     0,  1644,  1630,     0,
    1790,  1789,  1786,  1787,   731,  1007,   726,   734,  1017,  1011,
     993,   561,   994,   992,   997,     0,   980,   980,   980,  1994,
       0,     0,  1987,   565,  1999,     0,     0,   561,   561,  1993,
       0,  1985,  2114,  2105,  2015,     0,  2112,  1044,  2127,  2122,
     823,   813,   817,   823,     0,   569,     0,     0,     0,     0,
     676,   678,   897,     0,   882,     0,     0,     0,     0,   902,
     899,     0,     0,     0,     0,   755,     0,     0,   791,   800,
     808,     0,   844,     0,     0,   861,   862,   864,   860,   865,
       0,  1060,     0,  1071,  1298,  1295,  1296,  1294,  1127,  1139,
    1164,  1165,     0,  1161,  1162,  1163,  1157,  1155,  1156,  1138,
    1154,  1144,  1151,     0,     0,  1141,  1140,   555,  1149,  1150,
       0,     0,     0,     0,  1364,     0,     0,  1770,  1779,     0,
       0,  1774,  1777,  1772,     0,     0,   608,     0,   608,     0,
       0,     0,  2060,  1617,  1616,  1615,  1619,  2081,   545,   724,
       0,     0,   738,   740,     0,     0,     0,     0,  1046,   938,
     940,  1028,  1030,  1031,  1033,  1034,  2050,  2053,     0,  2049,
     946,     0,   972,     0,   561,   561,     0,     0,  1040,   608,
    1036,  1055,  1003,     0,   998,     0,     0,  1262,  1270,  1274,
    1309,     0,     0,     0,  1301,  1302,     0,  1373,  1374,     0,
    1367,  1368,     0,  1326,  1331,  1333,  1333,     0,     0,  1318,
       0,     0,     0,  1476,  1475,  1474,     0,     0,  1426,     0,
     561,     0,     0,  1502,  1501,     0,     0,  1508,     0,     0,
    1488,   561,     0,  1465,     0,     0,     0,     0,   566,     0,
    1422,  1423,  1515,     0,  1419,  1420,  1467,  1459,     0,     0,
    1480,     0,  1469,  1455,     0,  1456,  1490,  1472,  1495,  1471,
    1470,  1507,  1473,     0,  1496,     0,  1498,  1499,  1458,     0,
    1468,  1516,     0,  1290,     0,  1281,     0,  1292,     0,  1564,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     561,   561,   561,     0,   561,  1536,     0,  1596,     0,     0,
       0,     0,  1583,  1586,  1588,  1002,  1587,     0,  1611,   732,
       0,     0,     0,     0,  1605,  1601,     0,  1639,  1641,  1647,
    1741,     0,   561,  1661,   561,  1659,     0,     0,  1651,   561,
       0,  1665,  1742,   733,     0,  1016,   996,  1801,  1817,     0,
    1818,  1808,  1810,     0,     0,     0,  1804,  1805,     0,  1903,
    1904,   561,     0,  1895,  1896,     0,     0,  1950,  1963,     0,
    1963,     0,     0,  1963,  1953,  1954,     0,  1957,     0,  1997,
    1983,  1984,  1986,     0,   601,   602,  1988,  1990,  1989,  1991,
     555,   742,  2011,   840,   840,     0,     0,   903,   904,   905,
       0,     0,   913,     0,     0,     0,     0,   934,   840,  2007,
       0,   935,  2009,     0,  2115,  2017,  2125,  2129,   816,   818,
       0,     0,   891,     0,   836,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   761,     0,     0,     0,     0,
       0,     0,   842,   573,   574,     0,  1062,  1073,     0,  1158,
    1159,     0,  1142,  1143,  1415,  1409,  1411,  1413,  1760,  1758,
    1775,  1778,  1773,  1776,     0,  1762,     0,  1766,  1945,  1947,
       0,   729,   726,     0,     0,   746,   747,   741,   744,   745,
       0,  1581,   701,     0,  2058,     0,     0,   963,   964,     0,
       0,   970,  1037,     0,  1041,  1043,   999,  1001,  1267,     0,
    1266,     0,  1305,     0,  1308,  1036,  1369,     0,  1372,  1319,
    1036,  1320,  1351,  1321,  1355,  1322,   561,  1325,     0,  1482,
    1484,     0,     0,     0,  1430,     0,     0,     0,     0,  1428,
    1485,     0,     0,     0,  1503,  1460,  1481,  1486,  1489,     0,
    1466,  1477,  1119,   561,  1116,     0,     0,     0,     0,     0,
    1513,  1452,  1451,  1449,  1479,  1478,  1461,  1454,  1500,  1497,
    1514,     0,     0,  1282,  1288,     0,   561,   561,   561,     0,
       0,   561,     0,     0,     0,  1543,  1544,  1545,  1541,  1557,
    1556,  1558,  1546,  1562,  1589,     0,     0,     0,     0,  1004,
    1595,  1604,  1603,  1602,  1607,  1606,     0,  1610,  1036,  1664,
       0,     0,   561,  1652,     0,     0,  1650,     0,     0,  1668,
    1663,  1667,     0,  1657,  1649,     0,  1675,  1012,  1013,  1014,
    1015,   591,   590,  1853,  1862,  1807,  1036,  1806,     0,     0,
    1813,   561,     0,  1816,  1036,  1900,  1897,  1899,  1902,  1965,
    1964,     0,     0,     0,   610,   611,   612,   609,     0,  1966,
    1955,  1969,  1970,  1958,     0,  1952,  1995,  2000,     0,     0,
     740,     0,     0,     0,     0,     0,     0,     0,   932,   932,
       0,   926,     0,     0,   928,     0,  2106,     0,     0,     0,
       0,     0,   634,   645,   646,   632,     0,   635,   636,     0,
       0,   639,   640,   644,   641,   683,   642,     0,   658,   658,
       0,     0,   684,     0,   658,   658,     0,     0,     0,   894,
     895,   893,   896,   770,     0,     0,   768,     0,   764,     0,
       0,   762,     0,     0,     0,   840,  1160,  1764,  1768,     0,
     721,   739,     0,   735,   748,   727,     0,     0,     0,   967,
     968,   598,   599,   600,   596,   597,  1038,     0,  1273,     0,
       0,  1313,     0,  1315,  1314,  1304,  1310,   726,  1303,  1404,
     561,  1329,  1327,  1328,  1330,  1332,  1351,  1349,  1334,     0,
       0,  1358,  1323,     0,     0,     0,  1433,  1434,  1432,  1436,
    1435,  1437,     0,  1427,  1505,  1504,  1506,  1487,  1115,     0,
       0,     0,  1110,  1114,  1118,  1284,  1285,  1283,  1278,  1280,
    1277,  1279,  1286,   561,   561,     0,     0,  1551,  1552,  1553,
    1554,  1555,     0,     0,  1560,  1547,   561,  1533,  1534,  1535,
    1542,  1559,     0,     0,  1597,  1591,  1592,  1593,  1590,  1584,
     561,  1744,  1748,  1654,  1655,  1653,  1729,  1656,  1729,  1689,
    1669,  1658,  1743,  1676,  1860,  1859,  1850,  1866,  1865,  1873,
    1809,  1875,  1876,  1883,  1811,  1814,     0,  1939,     0,  1960,
     561,  1959,     0,  1956,  1967,     0,  1961,   603,   910,   743,
     924,   925,     0,     0,   918,     0,   809,   909,     0,     0,
       0,     0,     0,     0,   923,     0,     0,  2128,     0,     0,
     570,   892,   837,   838,   633,   637,   638,   643,   628,   626,
     624,   623,   625,   627,   622,   629,   651,     0,   668,   653,
     649,   659,   669,     0,     0,   670,   589,   588,   667,   677,
     673,   674,   675,   671,   679,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   806,     0,   723,
     725,     0,   907,   703,   966,   965,  1269,  1268,  1271,     0,
       0,  1306,  1402,  1375,  1370,  1334,     0,  1354,  1356,  1357,
       0,  1360,  1483,  1431,  1438,  1429,     0,     0,     0,  1531,
    1532,  1530,  1539,  1538,  1537,  1540,   561,     0,  1550,   797,
       0,  1608,  1742,  1746,  1750,     0,     0,     0,  1678,     0,
    1864,  1848,  1847,  1871,  1881,     0,  1937,  1905,  1898,  1962,
     613,  1971,     0,     0,   911,     0,   908,   914,   932,   933,
     934,   932,   935,   917,   920,     0,   919,  2124,  2126,     0,
     647,   631,   630,     0,     0,   630,   658,   658,     0,   660,
     661,   662,   663,   664,   658,   658,     0,   898,   785,   769,
     767,     0,     0,   765,   783,   763,     0,     0,   781,     0,
     779,   778,     0,   776,   863,     0,  1312,  1311,  1376,  1406,
    1353,  1352,  1083,  1084,   561,     0,     0,     0,     0,     0,
       0,  1342,  1076,  1078,     0,  1109,     0,  1359,   561,  1362,
    1111,  1112,  1113,  1548,  1549,     0,  1598,  1745,     0,  1662,
    1732,  1730,  1733,  1660,  1666,   561,     0,   561,     0,  1674,
       0,     0,     0,     0,     0,     0,  1688,     0,  1863,   561,
       0,     0,   561,   561,     0,     0,  1852,  1867,  1877,     0,
       0,  1941,     0,   922,   921,     0,   742,   757,   760,     0,
     927,   759,   795,   792,   793,   794,   801,     0,     0,     0,
       0,   929,   652,   650,     0,   654,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,  1405,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,     0,  1340,  1079,     0,
       0,     0,  1335,  1339,  1343,     0,  1344,     0,  1341,   617,
     616,     0,  1085,   618,   619,   620,  1086,  1082,  1350,  1361,
     798,     0,  1749,     0,     0,     0,     0,     0,     0,     0,
       0,   561,     0,     0,     0,     0,   561,     0,     0,     0,
       0,     0,     0,     0,  1728,     0,  1734,     0,     0,  1672,
    1673,  1671,  1670,  1682,  1679,  1685,  1686,  1687,  1680,     0,
       0,  1683,  1677,  1855,     0,     0,  1854,  1856,  1861,     0,
    1851,     0,     0,     0,     0,     0,     0,   561,     0,     0,
       0,     0,  1836,  1838,     0,     0,  1870,     0,     0,     0,
    1880,     0,     0,     0,   614,  1812,   615,     0,  1940,   561,
       0,     0,     0,     0,     0,   561,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1932,     0,
    1976,     0,     0,     0,     0,   912,   811,   761,     0,     0,
     742,   915,     0,     0,   648,     0,     0,   655,   666,   665,
     784,   766,   782,     0,   780,     0,   777,  1377,     0,  1380,
    1381,  1382,  1379,     0,     0,     0,     0,     0,  1387,   561,
    1378,     0,     0,     0,     0,     0,     0,     0,   561,  1393,
    1394,  1403,     0,     0,     0,     0,     0,  1345,  1346,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1697,  1698,
    1699,  1700,  1701,  1702,  1703,  1704,  1694,     0,     0,     0,
    1722,   561,     0,  1736,  1691,  1709,  1727,  1716,  1717,  1718,
     561,   561,  1690,  1711,  1693,     0,     0,  1695,   561,   561,
    1692,     0,   561,  1747,  1735,  1731,  1681,  1684,  1887,  1887,
       0,     0,  1835,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1823,   561,     0,     0,     0,   561,     0,   561,
       0,     0,  1849,  1874,     0,  1885,  1869,  1868,  1872,  1884,
    1878,  1879,  1882,  1911,  1909,     0,     0,     0,  1925,   561,
     561,  1906,     0,  1930,  1933,  1936,  1935,  1934,  1931,  1910,
     561,     0,     0,  1907,  1908,     0,     0,   561,  1912,   561,
     561,   561,  1938,  1968,     0,     0,  1975,  1972,   758,     0,
     796,   802,   810,     0,   930,     0,     0,     0,     0,     0,
       0,     0,  1385,  1386,  1048,  1047,  1388,  1389,  1383,  1384,
     561,  1397,  1396,  1399,  1398,  1400,  1395,  1077,  1079,  1336,
    1337,  1338,  1347,  1348,   621,   604,     0,     0,     0,     0,
       0,     0,     0,  1105,  1106,  1107,  1108,     0,     0,     0,
    1109,  1720,  1719,  1721,  1724,  1723,  1712,   561,     0,  1710,
       0,  1725,  1708,  1696,  1707,  1706,  1713,  1705,   561,  1857,
    1858,     0,     0,  1844,  1845,  1846,  1831,  1887,  1832,     0,
    1887,  1821,     0,  1825,   561,  1824,  1826,  1827,     0,  1841,
    1837,  1842,  1839,     0,   561,  1886,  1923,  1924,  1926,  1929,
    1916,  1918,     0,  1927,  1921,  1922,  1919,  1920,  1913,  1914,
    1915,  1917,     0,     0,     0,     0,     0,   657,   656,   771,
       0,  1390,  1391,  1392,  1080,  1086,     0,     0,  1086,  1086,
    1095,  1096,  1097,  1098,  1099,  1100,  1101,  1102,  1103,  1104,
    1086,     0,     0,  1081,  1714,  1715,  1738,  1737,  1726,  1888,
    1820,  1833,  1829,  1834,  1830,  1819,  1822,  1828,     0,  1843,
    1928,  1974,  1973,   916,   931,     0,  1091,  1086,  1086,  1093,
    1092,  1094,  1086,  1086,  1739,     0,     0,     0,  1089,  1090,
    1087,  1088,  1740,  1840,     0,   786
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,    -6,
    -869,   -75,    -7,  2003,  -985, -1299, -2919,  -166,  -168,  1134,
    1135,  1136, -2919, -2919, -2919,  -191, -2919, -2919, -1024, -2919,
   -2033, -1337, -1129, -2919, -2919,   576, -2918,  -103,  -290, -2919,
    -693, -2919,  -110,   -58, -1641, -2919,   540,   543,   545,   546,
     266,   -45,   -41,   278, -2152, -1279,   279, -2919, -2919, -2919,
   -2919,  1632, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919,   -69, -2919, -2919, -2919, -2919,   960,
   -1547, -2919, -1177, -2117, -2919, -2919, -2919,   325, -2720, -2919,
   -2919,   510, -2919,  -206,  1235,  -319, -1824, -2673,  2597, -2307,
   -2668,  1239,  -318, -2919,  1677, -2919,  1248, -2919, -2919, -2919,
   -2919, -1026, -2919, -2919, -1203,   286, -1816,  -165, -1544, -2919,
   -2919,   129, -2919,    39, -2828, -2919, -2919, -2919, -1825, -2919,
   -2919, -2919, -2919, -2296,   134, -2919, -1016, -2919, -2919,     0,
    2656, -2919, -2919, -2919, -2919, -2919, -2919, -2919,   -80,  -120,
   -2919,  -136,  -645, -2919, -1021, -1392,  -126, -1101, -1039, -2919,
    -295, -2919, -2919, -2919, -2919, -2919, -2919, -2919,   829, -1290,
   -1423, -2919, -2919, -2705, -2919, -2919, -2919, -2919, -2919,  -293,
   -2919,   917,  -220, -2919,   919, -2196, -2919,  -488, -2853, -2919,
   -2919, -1611, -2919,  -507, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919,  -264, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -1420, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,   314,  1605, -1551, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919,  -149, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919,    75, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,   820,    84,
   -2919, -2919, -2919,   272, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919,  1072,  -449, -2919, -2919,   259, -2919, -2919, -2919,
   -2919, -2919, -2919,   240, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  -665, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919,   216, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919,    65, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919,  -362, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919,  -196,  -212, -2919, -2919, -2919, -2919,
    -371,  -213, -2919, -2919, -2919, -2919,  -370,  -211, -2688, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919,  -999,   409, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  1374, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919,  1165,  1202, -2919, -2919,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,  1021,  1609,
   -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919, -2919,
   -2919, -2919, -2919
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    22,    23,    24,    25,     2,     3,   110,   111,  1287,
    1300,   956,   933,  2761,  2638,  1749,  1123,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,  2708,
    2413,  2880,  1468,  2536,  2175,  2176,  3306,   912,  1196,  2439,
    3065,  2982,  3066,  2697,  2813,  2486,  2487,  2488,  2489,  2490,
    2698,  2699,  2700,  2702,  2703,  2823,  2705,  2491,  2497,  2216,
    2217,  1526,  1860,  1861,   279,   280,   281,   883,   112,  1266,
     113,   114,   115,   116,  2263,  1950,  1668,  1669,  1952,  1670,
    1815,  1816,  1449,  1671,   117,  1265,  2262,  2264,  2449,  2450,
    2265,  2266,  2267,   282,  1161,  2922,  1537,  1162,  1538,  1163,
    1164,  1165,  2926,  2770,  1166,  2927,  1167,  1168,  2795,  1119,
     283,  1120,   284,   285,  1548,  1549,   286,   287,   288,   289,
    1567,  1888,  2235,  2225,   291,  2198,  2268,  2669,  2269,  2457,
    2928,  3273,  2675,  2670,  2200,   118,  1277,   119,   120,   967,
     122,   123,   124,   936,  1977,  1697,  1306,   125,   957,   968,
     969,  1984,  1985,  1705,  1325,  1706,   970,  1454,  1450,  2135,
    1820,   126,   924,   925,   127,  1701,  2284,  1979,  1702,  1847,
    1848,  1676,  1677,  3128,   128,   129,   130,  1317,   971,  1192,
    1595,  1596,  1204,  1603,  1604,  2861,  2862,  3142,  2863,  2864,
    2865,  3157,  3317,  2987,  2339,  2035,  1743,    26,    27,    28,
      29,  1218,    30,    31,    32,  1214,  1909,  1910,  1628,  1588,
     296,    33,  1216,    34,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,   332,  1253,    45,    46,    47,    48,
      49,    50,    51,   297,    52,    53,   298,  1210,   292,   131,
     132,  1709,  1328,   973,  1329,  1710,  1711,  2540,  2289,  1989,
    2290,  1028,  1029,  2592,  2076,  1793,  1408,  1794,  1795,  1606,
      54,   133,  1996,  2547,  1712,   134,  2545,  2546,   135,  2002,
    1713,   136,  2295,  2849,  2966,  2848,  2743,  2296,    55,    56,
      57,    58,   137,  2010,  1714,   138,  2555,  2299,  2300,  2747,
    2866,  2978,  2746,  2558,  2301,  2303,  2561,  2751,  2869,  2305,
      59,   139,  1376,  1373,  2019,  2318,  2319,  1760,   140,  1365,
    2036,  1030,  1031,  2762,  2610,  2096,  1796,  1410,  1797,  1032,
    2105,  2106,   141,  2107,  1798,   142,  2615,   143,  2116,  1799,
     144,    60,  1255,   953,   145,   146,  1426,  1050,  1051,  1052,
    1053,  1054,  1809,  2130,  2397,  2394,  2400,  2401,  2777,  2888,
    2131,  2778,  2897,  2132,  3015,  2775,  2881,  2882,  3018,  3328,
    3445,  3417,  2388,  2406,  2622,  2772,  2878,  2774,  2389,    61,
      62,    63,    64,    65,    66,    67,    68,  1644,   147,   148,
    1065,   149,  1309,   150,   151,  2148,  2418,  2419,  1826,   152,
    2416,  3055,  3218,  3220,  3346,  2906,  2905,  2782,  2417,  2414,
    2904,  2780,  2779,  2635,  2415,  2639,  2783,  3059,  3223,  2907,
    2640,  2643,  2784,  3063,  3229,  2908,  2644,  3226,  3339,   954,
     153,  2155,  1827,   154,  2424,  2911,  3089,  3248,  2910,  2787,
    2425,    69,    70,   155,   156,  1828,  2166,  2431,  2167,  2440,
    2443,  2654,  2655,  2912,  3094,  3263,   157,   158,  1481,  1482,
    2169,  1088,  1829,  1089,  2202,  1840,  1484,    71,   159,  1102,
     926,   160,  1686,  1688,  1297,  1691,  1250,  1251,   161,   162,
      72,    73,    74,    75,    76,    77,    78,    79,   341,  1262,
     163,  1494,  2204,  1103,  1104,   164,   165,  1111,  1499,  2679,
    2467,  2207,  1500
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     266,   919,  1160,   121,  1121,  1194,  1128,   882,  1127,  1087,
    1101,  1197,   885,   886,  1076,  2199,  1889,  1159,  1372,  1375,
    1027,   906,  1064,  1887,  2196,  1418,  1049,  1703,  1063,  1427,
    1075,  1452,  1086,  1100,  1747,  1808,  2985,  1627,  1085,  1099,
    1158,  1528,  1157,  1254,   335,  1110,   290,  2224,  2226,  2228,
    2229,  1241,   910,   974,  1229,   975,   911,   976,  1467,   977,
    1301,  1033,  2441,  1034,  1107,  1035,  1911,  1055,  2614,  2614,
    2614,  1077,  3205,  1078,   930,  1079,  1761,  1080,  1661,   175,
    1474,  2985,   266,  1105,  1106,  1626,  1504,  1505,  1506,  2156,
    1126,  1512,  2411,  1513,     4,     5,     6,  3056,    85,    86,
    2677,   910,    81,   932,   930,   911,  3060,  2884,  3090,   175,
    2420,  1943,   930,   931,  1721,  3143,  1341,   175,  3203,  1242,
    1927,  3134,  2923,  2157,   913,   914,  1217,  2925,   887,  1282,
    1283,  1284,  1285,  2898,  1343,   959,  1345,  2196,  1928,    82,
     960,   961,   915,   931,  1108,  2521,   121,   930,   963,    83,
     930,   931,   175,    84,  1347,   175,    85,    86,  1368,  1369,
    3239,  1370,  1118,  2671,  1432,   308,  1395,  2559,  1291,  1750,
    3208,  2537,  2365,   266,  1751,  1752,   266,  3139,  2588,  2460,
    2567,  2899,  2538,    87,  1929,  3025,   931,   910,   930,   931,
    1467,   911,  1230,   175,   959,     1,  3096,  1725,   930,   960,
     961,  1156,   964,   175,   930,   965,  1169,   963,  1919,   175,
    1217,   928,  1334,    98,    99,   100,   101,   102,   103,  1132,
    1872,  3244,  1139,  1282,  1283,  1284,  1285,   931,   166,  1282,
    1283,  1284,  1285,  1217,  1211,     7,  3310,   931,    88,   175,
      89,    90,   329,   931,    91,  1750,    92,  1435,  3363,  2589,
    1751,  2341,    93,     8,    94,    95,    96,  3245,    97,  1894,
    1835,   964,  3177,   336,   965,  3307,  2602,  1224,   929,  1231,
    1930,    98,    99,   100,   101,   102,   103,   175,     9,    10,
     299,   330,  1368,  1369,   294,  1370,  2889,   337,  1130,  2201,
    3170,  3318,  3188,  1873,  2885,  1750,  2197,  1544,  1700,   910,
    1751,  2342,  3061,   911,  2612,  1335,  2769,  3135,  2510,  1653,
     309,  1654,   310,   978,  3140,    11,  1475,    12,  3209,    13,
      85,    86,   104,   300,   301,   304,   305,  2119,   105,   175,
      14,  2311,   333,  1318,   106,   107,  3026,  2704,  1836,  1726,
    1837,   311,   302,  2704,  1476,  1090,    80,  2551,   312,  1645,
    1433,  1717,    85,    86,  1477,   167,  1825,  2511,  2552,  2553,
     331,    15,  1931,  2590,  2158,    16,  3238,  2591,  1545,  1831,
      17,    18,  1647,  1292,   168,  2366,  3136,  2149,  1915,  1225,
    3272,  2512,  2539,   313,  3030,   314,  1958,   293,  1436,  3396,
    3397,   294,  1131,  2852,  2853,   315,  2159,   306,  2160,  2613,
    3411,  3412,  2201,  2077,   316,   307,  3308,  2120,  2603,  2197,
    3124,  3125,  2121,  3178,  3189,  2886,   959,  1680,  1890,   295,
    1891,   960,   961,  2855,  3206,   317,  2923,  1396,  1722,   963,
    2741,  2925,  3319,  3207,  3240,    98,    99,   100,   101,   102,
     103,  2890,  1342,  2560,  1932,  3143,  1397,  1398,   959,   334,
     930,  2196,  2568,   960,   961,   175,  1519,  2150,  2312,  3137,
    1344,   963,  1346,  2713,  3067,  3027,  1737,    98,    99,   100,
     101,   102,   103,   918,  2887,  1282,  1283,  1284,  1285,  3204,
    1348,   303,  1899,   964,  1852,  1243,   965,   299,  2924,   931,
    1833,   294,  1834,  2242,  2243,  3364,  2891,  2554,  3068,  1091,
    1212,  3246,  2929,  1753,  1754,  2930,   916,  3057,  2678,  1400,
    1546,  3340,  3058,    19,  2122,   964,  3062,   342,   965,  2892,
    1838,  1933,  2442,  1478,  1479,  1480,   295,  1244,  1245,  1246,
    1247,  1248,  1249,  3099,  2172,  1374,  1895,  1896,   884,   318,
    2900,  2901,  3179,  1371,  2902,  2903,  1934,  3257,  2402,  3224,
    1092,  3091,  3092,  1093,  3201,  2593,  3039,  3093,  1945,  1601,
    1520,  1226,  2381,  1810,  1811,  1109,  2161,  3126,  2990,  1125,
    1126,  2162,  2395,  2163,  1227,  1228,  3247,  2369,  1935,  1753,
    1754,  1547,  2896,  3321,  3322,   930,  3040,  1467,  2585,  2586,
     175,  2641,  1544,   338,   339,   340,  1657,  1294,   930,  3041,
    2811,  2815,  3100,   175,  1295,  2852,  2853,  3069,  3168,  3125,
    1282,  1283,  1284,  1285,  1602,  2974,  1198,  1199,  2985,  2875,
    1279,  1280,  2114,  1207,   931,   319,   295,  1208,  2123,  1753,
    1754,  3236,  3125,  2313,  2196,  2855,  3127,   931,  2893,  2894,
    2895,  2314,  2505,  2315,   909,  2316,   175,  2642,  2317,  2975,
    2979,  2980,  2965,   907,    85,    86,  3070,  3071,   937,  3422,
    3072,  3253,  3424,  1853,  2936,  2937,  1189,  2108,  1316,  2816,
    1971,  3042,  2939,  2940,    20,    21,  2124,   108,   109,  2138,
    2981,  2717,  3014,  2719,   917,   938,  2721,  2832,  2724,  2726,
    2876,  2506,  2139,  2125,  2660,  2126,  2594,  2839,  1289,  2127,
    1972,   920,   930,  2128,  2129,  1190,  3073,   175,  1219,  3074,
    1689,  2595,  1762,  2661,  3088,   939,  2201,  1763,  1764,  2596,
    1881,  1201,  3254,  2197,  2109,  1444,  3075,  1282,  1283,  1284,
    1285,  3076,  1658,  1444,   927,  1220,  2833,  3043,   959,  1881,
    2544,   931,  3044,   960,   961,  1321,  2840,  2543,  1357,  3045,
     959,   963,  2151,  2110,   908,   960,   961,  2054,  3077,  2140,
    1202,  1659,  1209,   963,   934,  3126,  2976,  2977,   206,    98,
      99,   100,   101,   102,   103,   935,   930,   940,   921,   922,
     923,   175,  3078,   941,  1191,  1660,   942,  2842,  3126,  1690,
    2399,  1892,  2924,  1893,  3186,  1124,  2674,  2811,  2815,  1094,
    1095,  1282,  1283,  1284,  1285,   964,  2152,   943,   965,  1264,
    2238,  1862,  1221,  2759,  2760,   931,   930,   964,  1727,  1358,
     965,   175,  1881,  1296,  2208,  1368,  1369,  2209,  1370,  1125,
    1126,  1269,  1745,   972,  3169,  1863,  2843,  2111,  1222,  1203,
    2794,  1282,  1283,  1284,  1285,  1096,  1097,  1098,  2607,  2196,
    3079,  1125,  1126,   930,  1745,   931,  1973,  3237,   175,  1304,
    1319,  1320,  1359,   910,  1974,  1975,  2824,   911,  1976,   930,
    1066,  1360,  2549,  3080,   175,  2608,  2609,  2556,  1282,  1283,
    1284,  1285,  1122,  2390,  1540,  1541,   930,  2503,  2637,  1350,
    3081,   175,   931,  2879,  1282,  1283,  1284,  1285,  1267,  2201,
    1270,  1271,  2663,  2508,  1368,  1369,  2197,  1370,   931,  1281,
    1160,  2504,  2851,   944,  2251,  2883,   945,  1124,  2252,  2253,
    2731,   946,  1299,  1299,   266,   931,  2391,  2509,  3082,  3083,
    3084,  3085,  1542,  3086, -1511,  1801,  1129,  3087,  2830,  1368,
    1369,  1728,  1370,   -59,  1133,   175,  2732,  1121,  1121,  1121,
    3064,  2392,  1121,  1990,  1121,  1637,  1638,  1639,  1640,  1641,
    1642,  1643,  2831,  1646,  1648,  1629,  1650,  1651,   947,   -59,
    1302,   -59,   948,   949,  1140,  2917,  2918,  1508,  1509,  2981,
    2451,  2452,  3046,  1630,  3047,  3048,  1272,  2619,  1273,  3049,
    3050,  1274,  3051,  2636,  1354,  2463,  1367,  1355,   -59,  3052,
    3053,  2647,  1068,  3415,  2835,  2112,  2113,   950,  2943,  2383,
    3054,  1141,  1207,  2945,  3269,  2946,  1208,  1401,  2948,  2852,
    2853,  2854,  2304,  1707,   959,  1276,   930,  1708,  2836,   960,
     961,   175,  1453,   951,  1069,  1070,  1944,   963,  1421,  1071,
    2597,  2598,   930,  1452,  3119,  3120,  1631,   175,  1142,  2855,
    1072,  1282,  1283,  1284,  1285,  3121,  1143,  1379,  1802,  1073,
    3016,  2817,  1442,  1380,  2825,   931,  3017,   206,  2856,  2857,
    2817,  2825,  2858,  2859,  1144,  2351,  1443,  1444,  3330,  2352,
    1366,   931,   952,  1125,  2379,  1145,  2706,  1487,  2332,  1363,
    3095,   964,  2141,  2142,   965,  2143,  3151,  1445,  2621,  2196,
    2144,  1632,  1446,  2145,  1146,  1118,  1118,  1118,   266,  1156,
    1118,  1272,  1118,  1273,  2201,  1147,  1274,  1447,  1633,  1634,
    2802,  2197,  1148,  1448,  1889,  1185,  1186,  2800,  1149,  1187,
    1635,  1887,  2321,  1653,  3152,  2274,   266,   266,   266,   266,
     266,   266,   266,  1169,  2991,  2860,  1275,   266,  2075,  1453,
    1276,  2095,   930,  2382,  1507,  1991,  1822,   175,  1992,  2992,
    1823,  2433,   266,  1126,  2444,  2411,   266,   266,   266,   266,
     266,   266,   266,   266,   266,   266,   266,   266,   266,   266,
    1746,  1170,  1529,  1530,  1531,  1532,  1533,  1534,  1535,  2544,
    2064,   931,  2548,  1539,  2003,  1188,  2543,  2333,  1672,  3153,
    2572,  2004,  2573,  1158,  1171,  1157,  1125,  1126,  1550,  1745,
      85,    86,  1553,  1554,  1555,  1556,  1557,  1558,  1559,  1560,
    1561,  1562,  1563,  1564,  1565,  1566,  1307,  1308,  2916,  1698,
    1193,  1443,  1444,  -607,  -607,  1056,  -607,  3154,  2917,  2918,
    1508,  1509,  2334,  3155,  2335,  2336,  1339,  1340,  2337,  2338,
    1195,  3372,  1445,  1384,  1385,  1664,   266,  1446,  1738,  2604,
    2358,  1200,  3156,  2611,  1205,   959,  2852,  2853,  1993,   266,
     960,   961,  1451,  2729,  2005,  2730,  1213,  2919,   963,  1206,
    1299,   930,  1443,  1444,  1215,  1682,   175,  1217,  1762,  3278,
    1687,  3279,  1692,  1763,  2343,  1223,  2855,  1128,  2037,  1127,
    2039,  1232,  1666,  1445,  2920,  1233,   959,  1818,  1446,  1438,
    1439,   960,   961,  1234,  2993,  1678,  1235,  2994,  2995,   963,
     931,  2996,  2997,  1451,  1236,    98,    99,   100,   101,   102,
     103,  1237,   964,  1719,  1720,   965,  1568,  1160,  1160,  1057,
    1693,  1694,  1695,  1569,  1570,  1121,  1238,  1920,  1921,  1922,
    1923,  2998,  1925,  1926,   335,  1159,  1937,  1256,  1939,  1258,
    1940,  1941,  1683,  1684,  2201,  1900,  1901,  1902,  1903,  2999,
    1239,  2197,  1766,   964,  3000,  1769,   965,  1503,  1158,  1240,
    1157,  1936,  2629,  1938,  2239,  2240,  1112,  3001,  1252,  2072,
    1257,   175,  3002,  2073,  1259,  3003,  1112,  1962,  1963,  3311,
    3312,   175,  1260,  1113,  1058,  1114,  3313,  3314,  3315,  3316,
    1261,  2530,  1263,  1113,  1278,  1114,   175,  1807,  2531,  2532,
    1067,  2533,  1290,  2006,  2007,  1115,  1299,  1299,  1059,  1293,
    2008,  2407,  2408,  2409,  2410,  1115,  1814,   266,  2950,  1964,
    1965,  1819,  1068,  3004,  1905,  1819,  1904,  2279,  2280,  1819,
    2377,  2378,  2951,  2917,  2918,  1508,  1509,  2952,  1571,  1572,
    1573,  1574,  1575,  1576,  3343,  3344,  3345,  3005,  2582,  1068,
    1983,  1298,  2953,  1303,  1069,  1070,  1310,  2434,  2435,  1071,
    2436,  1312,  1844,  1817,  2437,  1846,  1368,  1369,  1305,  1370,
    1072,   959,  2919,  1832,  1311,  1849,   960,   961,  1313,  1073,
    1314,  1069,  1070,  1118,   963,  1322,  1071,  1324,  3006,  2570,
    2571,  3007,  3008,  3009,  2438,  1323,   266,  1072,   266,  3010,
    1116,  1326,  1117,  1327,  3011,  1330,  1073,  1331,   930,  1332,
    1116,  1333,  1117,   175,  3012,  1336,  1156,  1156,  2579,  2580,
    3013,  1337,  1577,  1578,  1579,  1580,  1581,  1582,  1583,  1584,
    1585,  1586,  1587,  1282,  1283,  1284,  1285,  1946,   964,  1338,
    3433,   965,  1858,  1349,  1859,  1353,  3435,   931,  1352,  2196,
    2954,  1956,  1134,  1135,  1136,  1137,  1995,  2685,  2686,  2852,
    2853,  1356,  1966,  1361,  1967,  2811,  2812,  2001,  1362,  2074,
    2969,  2970,  1994,  2000,  2009,  2852,  2853,  1955,  1377,  1897,
    1954,  1755,  1756,  1757,  1758,  1759,  1814,  1912,  1378,  2855,
    2764,  1916,  1381,   320,   930,  2688,  2689,  2690,  1382,   175,
    1383,  1918,  1386,  3454,  1391,  1060,  1061,  1062,  3147,  3148,
    2955,  2956,  3280,  3281,  2957,  2691,  2692,  2693,   930,  1282,
    1283,  1284,  1285,   175,   321,  1387,  2254,  1389,  2256,  2104,
    1390,  1814,  1392,   931,  2819,  2820,  2821,  2822,  2734,  2735,
    3108,  3109,  1402,  1282,  1283,  1284,  1285,   322,  1957,   323,
    1393,   324,  1394,  2038,    85,    86,  1403,   931,  2103,  2115,
    1404,  2958,  2959,  2960,  1405,  1121,  3302,  3303,  1121,  2283,
    2286,  1406,  1286,  2807,  2961,  1407,  2962,  1409,  2963,  1997,
    2147,  2154,  2165,  2017,  1411,  2964,  2146,  2153,  2164,  2011,
    2012,  2616,  2617,  1412,  1150,  1151,   172,  1152,  1153,   175,
    1413,  2022,  2694,  2695,  2025,  2026,  1414,  1416,  1417,  1420,
    2667,  2032,  1415,  2034,  1128,  1074,  1127,  1423,  1150,  1151,
    1508,  1509,  1153,   175,  2040,  2041,   325,   326,   327,   328,
    1425,  2078,  1429,  1154,  1428,  1430,  2044,  2045,  1492,  1434,
    1437,  2048,  2049,  1453,  2051,  2867,  1440,  1441,  1455,  1456,
     959,  2079,  1457,  1458,  1459,   960,   961,  1154,  2065,  1998,
    1460,  1469,  1461,   963,  3436,  1462,  1463,  3439,  3440,    98,
      99,   100,   101,   102,   103,  2117,  1470,  1483,  2102,  3441,
    2118,   888,   889,   890,   891,   892,   893,   894,   895,   896,
    1471,   897,   898,   899,   900,   901,   902,   903,  1472,  1473,
    1068,  1488,  1485,  2080,  1489,  1486,  3448,  3449,  1491,  1495,
    2177,  3450,  3451,  2195,  2201,  1496,  1497,   964,  1498,  2205,
     965,  2197,  1501,  1118,  1502,  1514,  1118,  1515,  1983,  1155,
    1516,  1517,  2081,  2082,  1518,  1187,   266,  1071,   266,   266,
     266,   266,  1521,  1522,   266,   266,   266,   266,  1072,  1523,
     266,  1543,  1551,  1510,   266,  1036,  1037,  1073,  1552,  2270,
    1597,  2260,  2261,    85,    86,  1598,  1599,  2870,  2871,  2872,
    3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  1125,  1464,
    1465,  1466,  2218,  1600,  2219,  2220,  2221,  2222,  1038,    85,
      86,  2288,  1605,  1608,  1609,  1636,  2231,  1649,  1999,  1652,
    2232,  2083,  1667,  2084,  1655,  2085,  1656,  2688,  2689,  2690,
     181,  1443,  1444,  1662,   958,   930,  1746,   184,   185,  1665,
     175,  1673,   905,  1674,  1679,  1675,  2195,  2691,  2692,  2693,
    1685,  1681,  1445,  1699,  1733,  1715,  1716,  1446,  1718,  1158,
    2357,  1157,  1723,  1730,  1731,  1150,  1151,  1508,  1509,  1153,
     175,  2412,  1447,  1734,   931,  2412,  1724,  1739,  1448,   959,
    1736,  1740,  1741,  1742,   960,   961,  1767,  1982,  1744,  2972,
    1748,  1773,   963,  2086,  1768,  1770,  1776,  1783,    98,    99,
     100,   101,   102,   103,  1877,   959,  1787,  1784,  1790,  2385,
     960,   961,  1789,  1806,   962,  2323,  1812,  1813,   963,  1589,
    1590,  1591,  1821,  1475,    98,    99,   100,   101,   102,   103,
    1841,  1845,  1850,  1854,  2694,  2695,  1068,  1855,  1857,  1856,
    1871,  2087,  1874,  1592,  1593,  1876,   964,  1594,   978,   965,
    1881,  2088,  2089,  1882,  1898,    85,    86,  1913,  2090,  1914,
    1883,  1884,  1039,  1917,  1983,  1924,  1947,  2353,  1069,  1070,
    2091,  1949,   964,  1071,  1951,   965,  1959,  2092,  1961,  2093,
    1081,  1969,  1970,  2094,  1072,  1980,  1978,  2371,  1981,  1986,
    1987,  1988,  3249,  1073,  2013,  2014,   966,  3400,  3401,  3402,
    3403,  3404,  1814,  2015,  2020,  2384,  2021,  1953,  3405,  3406,
    3407,  3408,  3409,  1040,  2023,  2535,  2031,  2534,   888,   889,
     890,   891,   892,   893,   894,   895,   896,  2024,   897,   898,
     899,   900,   901,   902,   903,  2027,  2030,  2033,  2042,  1150,
    1151,  1508,  1509,  1153,   175,  2046,  2427,  2047,  2050,  2052,
    2429,   959,  2053,  2055,  2056,  2057,   960,   961,  2058,  2059,
    2060,  2061,  2446,  2062,   963,  2066,  2067,  2068,  2070,  2071,
      98,    99,   100,   101,   102,   103,   266,   266,  1154,   266,
    2134,  2137,  2168,   266,   266,  2519,  2174,   930,  2522,  2170,
    2171,   266,   175,  2173,  2203,   978,  2210,  2466,  2206,  2211,
    2212,  2230,    85,    86,  2233,  2234,   266,  2241,   266,  2244,
    2245,  2246,  1282,  1283,  1284,  1285,  2247,  2248,   964,  2249,
    2250,   965,  1550,  1550,  2255,  2454,   931,  2097,  2257,  2455,
    2456,  1082,  2258,  2259,  2271,  2272,  2273,  1550,  2275,  2276,
    2282,  2098,  1083,  2291,  2281,  2287,  2293,  2292,  2294,  2297,
    2298,  2307,  2470,  2308,  2471,  1041,  1042,  1043,  1044,   905,
    2195,  2355,  3288,  3289,  2306,  3291,  3292,  2362,  2363,  2356,
    2359,  2309,  2310,  2529,  1299,  3299,  3300,  3301,  2320,  2374,
    2324,  2325,  2326,  1045,  2360,  2327,  2328,  2330,  1046,  2331,
    2340,  2344,  2345,  1047,  2346,  3391,  3392,  2347,   959,  2348,
    2349,  2350,  2563,   960,   961,  2354,  2361,  2364,  2099,  2100,
    2373,   963,  2375,  2398, -1512, -1512, -1512,    98,    99,   100,
     101,   102,   103,  2376,  2707,  2380,  2386,  2387,  2412,  2404,
    2405,  1299,  2583,  2421, -1512, -1512, -1512, -1512, -1512,  1183,
    1184,  1185,  1186,  3416,  2587,  1187,  2422,  2423,  2428,  2432,
    2430,  2448,  2445,  -933,  2453,  2458,  2459,  2461,  2462,  1610,
    1084,  2464,  2465,  2468,  2507,   964,  2469,  2513,   965,  2514,
    2516,  2515,  2517,  2518,  1125,  1464,  1465,  1466,  2101,  2520,
    2525,  2526,  3374,  2527,  2623,  2624,  2523,  2528,  2668,  2627,
    2557,  2564,  2565,  2550,  2566,  2569,  2631,  2574,  2575,  2632,
    2576,  2577,  2581,  2584,  2618,  2620,   181,  2646,  2606,  2626,
    2628,  2156,  2630,   184,   185,  2657,  2633,  2634,  2680,  2650,
    2658,  2648,  2681,  2684,  2687,  2649,  2709,  2651,  2701,  2714,
    2716,   266,  2720,  2722,  2727,  2733,  2738,  2740,  2656,  1611,
    2742,  2752,  2750,  2195,  2753,  2756,  2662,  2754,  2765,  2766,
    2767,  2757,  2758,   266,  2773,   266,  2612,  2749,   266,  2781,
     888,   889,   890,   891,   892,   893,   894,   895,   896,  1612,
     897,   898,   899,   900,   901,   902,   903,  2652,  2792,  2786,
    2793,  2696,  2808,  2797,  2748,  2791,  2809,  2696,  2814,  2826,
    2828,   266,  2829,  2834,  2837,  1613,  1444,  2838,   266,  2672,
     266,  2673,  2841,   266,  2676,   266,   266,  2844,   266,  2868,
    2909,  2913,  1614,  2914,  2915,  2931,  1615,  2938,  2941,  1616,
    1617,  1299,  1299,  2942,  1618,  2944,  2947,  2971,  2968,  2986,
    2988,  2736,  3022,  2737,  3032,   266,  3038,  2715,  3034,  3035,
    3098,  3029,  3102,  1619,  3103,   888,   889,   890,   891,   892,
     893,   894,   895,   896,  1550,   897,   898,   899,   900,   901,
     902,   903,  3110,  3111,  3112,  3113,  1620,  1621,  1622,  3114,
    1623,  1624,  1625,  3115,  3118,  3123,  3116,  3133,  3129,  3131,
    3141,  2739,  3149,  3132,  1746,  1746,   904,  3144,  3167,  2921,
    3138,  3172,  3145,  2796,  1173,  1174,  1175,  1176,  1177,  3180,
    3146,   905,  3173,  3185,  3192,  3191,  3171,  1158,  1158,  1157,
    1157,  3181,  3193,  3195,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  3200,  3210,  1187,  3211,  3217,  1173,  1174,
    1175,  1176,  1177,  3213,  3214,  3215,  3221,  3216,  3219,  3222,
    2785,  3228,  2788,  2641,  3232,  3242,  3259,  3250,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,  3252,  2195,  1187,
    2472,  3251,  3235,   266,  3255,  3256,  3261,  3262,  3260,  3264,
    3267,  2473,  2474,  2475,  2476,  3274,  2477,  2478,  2479,  3265,
    3276,  2480,  3277,  2481,  2482,  3297,   905,  3290,  3298,  2483,
    2484,  2810,  3305,  3320,  2485,  3296,  2665,  2818,  3338,  2984,
    3327,  2666,  3341,  3342,  3349,  3352,  3382,  3358,  3385,  2798,
    1173,  1174,  1175,  1176,  1177,  3383,  3389,  3390,  3395,  3398,
    3399,  3354,  3410,  3418,   266,  3434,  3437,  3438,  3430,  3442,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  3443,
    3452,  1187,  3444,  3447,  2984,  3455,  1906,  1907,  1908,  2447,
    1299,  1299,  1299,  3453,  2983,  2934,  3446,  2493,  1524,  2710,
    2494,  2874,  2495,  2496,  1173,  1174,  1175,  1176,  1177,  2935,
    2845,  2933,  2711,  1527,  2712,  2659,  2133,  2524,  1878,  3270,
    1138,  3271,  1525,  1879,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,  1511,  1880,  1187,  1173,  1174,  1175,  1176,
    1177,  2728,  1048,  2932,  2805,  2801,  2696,  2236,  2696,  2285,
    3394,  2237,  2214,  3413,  1607,  2847,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,   266,  2302,  1187,  2745,  2850,
     266,  2755,   266,  2043,  2763,   266,  2215,  2877,  1173,  1174,
    1175,  1176,  1177,  3348,  2776,  3202,  3227,  3360,  3230,  2653,
    3362,  3231,  1299,  2973,  1968,  1942,  1839,  1118,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,  1663,  1865,  1187,
       0,     0,     0,  2412,     0,     0,     0,     0,     0,     0,
    3020,     0,     0,     0,  3023,  3024,     0,  3028,     0,  3031,
       0,     0,  2921,  2921,     0,     0,     0,     0,     0,     0,
       0,     0,  1118,     0,     0,     0,     0,     0,  2195,     0,
    1866,     0,   266,     0,  1173,  1174,  1175,  1176,  1177,  1288,
       0,   266,     0,     0,     0,     0,     0,     0,  3104,     0,
    3105,  3106,  3107,     0,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,     0,  3117,  1187,     0,     0,  3122,     0,
       0,     0,  3130,     0,     0,     0,     0,     0,  3097,     0,
       0,     0,     0,  1315,     0,     0,     0,  3101,     0,     0,
       0,     0,     0,     0,   266,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1867,  3166,     0,     0,
    3266,     0,     0,  3174,  3175,     0,  1351,     0,     0,  3182,
       0,  3184,     0,  3187,  1364,  3190,     0,     0,     0,     0,
       0,  3194,  1173,  1174,  1175,  1176,  1177,  1388,     0,     0,
    3150,     0,     0,  3196,  3197,  1399,     0,     0,  3198,  3199,
       0,     0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,  2472,     0,  1187,     0,  1419,     0,     0,  1422,     0,
    1424,  3225,  2473,  2474,  2475,  2476,  3225,  2477,  2478,  2479,
    1431,  3233,  2480,     0,  2481,  2482,     0,  3241,     0,     0,
    2483,  2484,     0,     0,     0,  2492,     0,     0,  3258,     0,
       0,     0,     0,     0,  1868,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   266,     0,     0,  1490,
       0,  1493,     0,     0,     0,     0,   266,     0,   266,     0,
       0,     0,     0,     0,     0,     0,     0,  3282,  3283,  3284,
    3285,  3286,     0,     0,     0,  1299,  1299,     0,  1299,  1299,
    3293,  3294,     0,     0,     0,     0,     0,     0,  1299,  1299,
    1299,     0,  3275,     0,     0,     0,     0,  3309,     0,     0,
    1173,  1174,  1175,  1176,  1177,     0,     0,     0,     0,     0,
       0,  3323,  3324,  3325,     0,     0,  1173,  1174,  1175,     0,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,  3332,
    3333,  1187,     0,     0,     0,  3336,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,     0,     0,  1187,  3347,     0,
       0,  3350,  3351,     0,  3353,     0,     0,     0,  3356,  3357,
       0,     0,     0,     0,     0,     0,     0,     0,  3365,     0,
       0,     0,  2213,     0,     0,     0,     0,     0,     0,  3366,
    3367,  3368,     0,     0,     0,     0,  3371,     0,     0,     0,
       0,     0,     0,     0,     0,  1299,  3375,     0,     0,  3376,
    3377,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   266,     0,     0,  1173,  1174,  1175,  1176,  1177,
    3387,  3388,     0,     0,     0,     0,     0,     0,     0,  3431,
    3432,  2984,     0,     0,     0,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,     0,     0,  1187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3384,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1704,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3420,  3421,  2498,     0,     0,
       0,     0,     0,  3423,     0,     0,  3425,     0,     0,     0,
       0,     0,  3427,     0,     0,     0,  1729,  3428,     0,  1732,
       0,     0,  1735,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2195,     0,
    1765,     0,     0,   266,     0,     0,  1771,  1772,     0,  1774,
    1775,     0,  1777,  1778,  1779,  1780,  1781,  1782,     0,     0,
    1785,  1786,     0,  1788,     0,     0,  1791,  1792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1800,  1803,
    1804,     0,     0,  1805,   169,     0,   170,   171,   172,   173,
     174,   175,     0,     0,     0,   176,   177,     0,     0,  1118,
     266,     0,     0,   178,   179,  1536,     0,     0,   180,     0,
       0,     0,     0,  1173,  1174,  1175,  1176,  1177,     0,  1824,
     181,   182,     0,     0,     0,   183,     0,   184,   185,     0,
       0,   186,  1830,  1178,  1179,  1180,  1181,  1182,  1183,  1184,
    1185,  1186,     0,     0,  1187,  1172,     0,     0,  1842,  1843,
    1173,  1174,  1175,  1176,  1177,     0,     0,     0,     0,     0,
       0,  1696,     0,     0,     0,     0,     0,     0,     0,     0,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,
       0,  1187,     0,     0,     0,   187,   188,  1134,  1135,  1136,
    1137,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,     0,   204,     0,   205,
       0,     0,     0,   206,     0,     0,     0,     0,   207,     0,
     208,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,     0,
       0,     0,     0,  1173,  1174,  1175,  1176,  1177,     0,     0,
       0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
       0,     0,  1187,  1178,  1179,  1180,  1181,  1182,  1183,  1184,
    1185,  1186,     0,     0,  1187,     0,     0,     0,     0,  1851,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1864,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
       0,     0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,     0,     0,  1187,  1173,  1174,  1175,  1176,  1177,     0,
       0,     0,     0,   210,   211,   212,     0,     0,     0,     0,
    1869,     0,     0,     0,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,     0,     0,  1187,     0,     0,     0,     0,
    1173,  1174,  1175,  1176,  1177,     0,     0,     0,     0,     0,
       0,     0,  1870,     0,     0,     0,     0,     0,     0,   213,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,
       0,  1187,     0,     0,  2016,  2018,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2028,  2029,  1875,     0,
       0,     0,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,     0,     0,  1187,     0,     0,  2063,     0,     0,     0,
       0,     0,     0,  2069,     0,     0,     0,   226,     0,     0,
    1960,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2136,  1173,  1174,  1175,  1176,  1177,
       0,     0,     0,     0,     0,   228,   229,   230,   231,     0,
    2178,  2179,     0,     0,     0,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,     0,     0,  1187,  1173,  1174,  1175,
    1176,  1177,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2499,     0,     0,     0,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,     0,     0,  1187,     0,
       0,     0,     0,     0,     0,     0,  1173,  1174,  1175,  1176,
    1177,     0,     0,     0,     0,  2500,     0,     0,     0,     0,
       0,     0,     0,     0,   232,   233,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,     0,     0,  1187,     0,     0,
       0,     0,     0,   234,   235,   175,     0,     0,     0,     0,
       0,     0,     0,     0,  2501,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,     0,  2277,  2278,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   264,   265,     0,     0,
       0,   169,     0,   170,   171,   172,   173,   174,   175,     0,
       0,     0,   176,   177,     0,     0,     0,     0,     0,     0,
     178,   179,     0,  2322,     0,   180,     0,     0,     0,  1173,
    1174,  1175,  1176,  1177,  2329,     0,     0,   181,   182,     0,
       0,     0,   183,     0,   184,   185,     0,     0,   186,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,     0,
    1187,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2502,     0,     0,
       0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
       0,     0,  1187,  2367,  2368,  2370,     0,  2372,     0,     0,
       0,     0,   187,   188,  1134,  1135,  1136,  1137,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,     0,   204,  2393,   205,  2396,     0,     0,
     206,     0,  2403,     0,     0,   207,     0,   208,     0,     0,
       0,   209,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2426,  1173,  1174,  1175,  1176,  1177,
       0,     0,     0,     0,     0,     0,     0,   210,   211,   212,
    1173,  1174,  1175,  1176,  1177,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,     0,     0,  1187,     0,     0,     0,
    1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,
       0,  1187,     0,  2682,     0,     0,     0,     0,  1173,  1174,
    1175,  1176,  1177,   213,   209,     0,     0,     0,  2683,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1178,  1179,
    1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,     0,  1187,
     210,   211,   212,     0,     0,     0,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,  2790,  1173,  1174,  1175,
    1176,  1177,     0,     0,     0,     0,     0,     0,     0,  1173,
    1174,  1175,  1176,  1177,   224,   225,     0,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,   213,     0,  1187,  1178,
    1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,     0,     0,
    1187,   226,     0,     0,     0,  2827,     0,     0,     0,  2562,
       0,     0,     0,     0,     0,  1948,     0,   227,     0,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,     0,
       0,     0,     0,     0,     0,     0,  2578,     0,     0,   228,
     229,   230,   231,     0,     0,     0,     0,   224,   225,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2599,
    2600,  2601,     0,     0,  2605,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   226,     0,     0,  1173,  1174,  1175,
    1176,  1177,     0,     0,     0,     0,     0,     0,     0,     0,
     227,     0,     0,     0,     0,  2625,     0,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,     0,     0,  1187,     0,
       0,     0,   228,   229,   230,   231,     0,     0,   232,   233,
       0,     0,     0,     0,  2645,  2846,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   234,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   232,   233,     0,     0,     0,     0,     0,     0,     0,
     264,   265,     0,     0,     0,     0,     0,     0,     0,     0,
     234,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,  2744,     0,     0,     0,   169,     0,   170,
     171,   172,   173,   174,   175,     0,     0,     0,   176,   177,
       0,     0,     0,   264,   265,     0,   178,   179,  2223,     0,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   181,   182,     0,     0,     0,   183,     0,
     184,   185,     0,     0,   186,     0,     0,     0,     0,  2768,
       0,     0,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,
       0,     0,     0,  2771,     0,     0,     0,     0,     0,     0,
       0,     0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,
    1186,     0,     0,  1187,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2789,     0,     0,     0,     0,   187,   188,
    3268,     0,     0,     0,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,     0,
     204,     0,   205,     0,     0,     0,   206,     0,     0,     0,
       0,   207,     0,   208,  1173,  1174,  1175,  1176,  1177,     0,
       0,     0,     0,     0,     0,     0,  1173,  1174,  1175,  1176,
    1177,     0,     0,     0,  1178,  1179,  1180,  1181,  1182,  1183,
    1184,  1185,  1186,     0,     0,  1187,  1178,  1179,  1180,  1181,
    1182,  1183,  1184,  1185,  1186,     0,     0,  1187,     0,     0,
       0,     0,  3304,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3386,  1173,  1174,  1175,  1176,  1177,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2873,
     209,     0,     0,     0,     0,  1178,  1179,  1180,  1181,  1182,
    1183,  1184,  1185,  1186,     0,     0,  1187,  1173,  1174,  1175,
    1176,  1177,     0,     0,     0,     0,   210,   211,   212,     0,
       0,  2664,     0,     0,     0,     0,     0,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,     0,     0,  1187,     0,
       0,     0,     0,  1173,  1174,  1175,  1176,  1177,     0,     0,
       0,     0,     0,  2803,     0,     0,     0,     0,     0,     0,
       0,     0,   213,  1178,  1179,  1180,  1181,  1182,  1183,  1184,
    1185,  1186,     0,     0,  1187,     0,     0,  2967,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2804,
       0,  2989,     0,     0,     0,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,     0,     0,     0,  3019,     0,
    3021,  1173,  1174,  1175,  1176,  1177,     0,     0,     0,     0,
       0,     0,  3033,   224,   225,  3036,  3037,     0,     0,     0,
       0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
       0,     0,  1187,     0,     0,     0,     0,     0,     0,     0,
     226,  1173,  1174,  1175,  1176,  1177,     0,  2806,     0,     0,
       0,     0,     0,     0,     0,     0,   227,     0,     0,     0,
       0,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
       0,     0,  1187,     0,     0,     0,     0,     0,   228,   229,
     230,   231,     0,     0,     0,     0,     0,  2949,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3176,     0,     0,     0,     0,  3183,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
    3212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,   235,     0,     0,
       0,     0,  3234,     0,     0,     0,     0,     0,  3243,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   264,
     265,     0,  3287,     0,     0,     0,     0,     0,     0,     0,
       0,  3295,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3326,     0,     0,     0,     0,     0,
       0,     0,     0,  3329,  3331,     0,     0,     0,     0,     0,
       0,  3334,  3335,     0,     0,  3337,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3355,     0,     0,     0,
    3359,     0,  3361,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3369,  3370,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3373,     0,     0,     0,     0,     0,     0,
    3378,     0,  3379,  3380,  3381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3393,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3414,   343,   344,   345,     0,     0,     0,     0,     0,     0,
       0,  3419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   346,   347,     0,     0,     0,  3426,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3429,     0,     0,
       0,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,     0,     0,     0,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,     0,     0,     0,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
       0,     0,     0,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   642,   643,   644,   645,
     646,   647,   648,   649,   650,   651,   652,   653,   654,   655,
     656,   657,   658,   659,   660,   661,   662,   663,   664,   665,
     666,   667,   668,   669,   670,   671,   672,   673,   674,   675,
     676,   677,   678,   679,   680,   681,   682,   683,   684,   685,
     686,   687,   688,   689,   690,   691,   692,   693,   694,   695,
     696,   697,   698,   699,   700,   701,   702,   703,   704,   705,
     706,   707,   708,   709,   710,   711,   712,   713,   714,   715,
     716,   717,   718,     0,     0,   719,   720,   721,   722,   723,
     724,   725,   726,   727,   728,   729,   730,   731,   732,   733,
     734,   735,   736,   737,   738,   739,   740,   741,   742,   743,
     744,   745,   746,   747,   748,   749,   750,   751,   752,   753,
     754,   755,   756,   757,   758,   759,   760,   761,   762,   763,
     764,   765,   766,   767,   768,   769,   770,   771,   772,   773,
     774,   775,   776,   777,   778,   779,   780,   781,   782,   783,
     784,   785,   786,   787,   788,   789,   790,   791,   792,   793,
     794,   795,   796,   797,   798,   799,   800,   801,   802,   803,
       0,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   819,   820,   821,   822,
     823,   824,   825,   826,   827,   828,   829,   830,   831,   832,
     833,   834,   835,   836,   837,   838,   839,   840,   841,   842,
     843,   844,   845,   846,   847,   848,   849,   850,   851,   852,
     853,   854,   855,   856,   857,   858,   859,   860,   861,   862,
     863,   864,   865,   866,   867,   868,   869,   870,   871,   872,
     873,   874,   875,   876,   877,   878,   879,   880,   881,   343,
     344,   345,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     346,   347,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     955,   360,   361,     0,     0,     0,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,     0,
       0,     0,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,     0,     0,
       0,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   642,   643,   644,   645,   646,   647,
     648,   649,   650,   651,   652,   653,   654,   655,   656,   657,
     658,   659,   660,   661,   662,   663,   664,   665,   666,   667,
     668,   669,   670,   671,   672,   673,   674,   675,   676,   677,
     678,   679,   680,   681,   682,   683,   684,   685,   686,   687,
     688,   689,   690,   691,   692,   693,   694,   695,   696,   697,
     698,   699,   700,   701,   702,   703,   704,   705,   706,   707,
     708,   709,   710,   711,   712,   713,   714,   715,   716,   717,
     718,     0,     0,   719,   720,   721,   722,   723,   724,   725,
     726,   727,   728,   729,   730,   731,   732,   733,   734,   735,
     736,   737,   738,   739,   740,   741,   742,   743,   744,   745,
     746,   747,   748,   749,   750,   751,   752,   753,   754,   755,
     756,   757,   758,   759,   760,   761,   762,   763,   764,   765,
     766,   767,   768,   769,   770,   771,   772,   773,   774,   775,
     776,   777,   778,   779,   780,   781,   782,   783,   784,   785,
     786,   787,   788,   789,   790,   791,   792,   793,   794,   795,
     796,   797,   798,   799,   800,   801,   802,   803,     0,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,   839,   840,   841,   842,   843,   844,
     845,   846,   847,   848,   849,   850,   851,   852,   853,   854,
     855,   856,   857,   858,   859,   860,   861,   862,   863,   864,
     865,   866,   867,   868,   869,   870,   871,   872,   873,   874,
     875,   876,   877,   878,   879,   880,   881,   343,   344,   345,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   346,   347,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,     0,     0,     0,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,     0,     0,     0,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,  1268,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,     0,     0,     0,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   667,   668,   669,
     670,   671,   672,   673,   674,   675,   676,   677,   678,   679,
     680,   681,   682,   683,   684,   685,   686,   687,   688,   689,
     690,   691,   692,   693,   694,   695,   696,   697,   698,   699,
     700,   701,   702,   703,   704,   705,   706,   707,   708,   709,
     710,   711,   712,   713,   714,   715,   716,   717,   718,     0,
       0,   719,   720,   721,   722,   723,   724,   725,   726,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   746,   747,
     748,   749,   750,   751,   752,   753,   754,   755,   756,   757,
     758,   759,   760,   761,   762,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   774,   775,   776,   777,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   789,   790,   791,   792,   793,   794,   795,   796,   797,
     798,   799,   800,   801,   802,   803,     0,   804,   805,   806,
     807,   808,   809,   810,   811,   812,   813,   814,   815,   816,
     817,   818,   819,   820,   821,   822,   823,   824,   825,   826,
     827,   828,   829,   830,   831,   832,   833,   834,   835,   836,
     837,   838,   839,   840,   841,   842,   843,   844,   845,   846,
     847,   848,   849,   850,   851,   852,   853,   854,   855,   856,
     857,   858,   859,   860,   861,   862,   863,   864,   865,   866,
     867,   868,   869,   870,   871,   872,   873,   874,   875,   876,
     877,   878,   879,   880,   881,   169,     0,   170,   171,   172,
     173,   174,   175,     0,     0,     0,   176,   177,     0,     0,
       0,     0,     0,     0,   178,   179,  2227,     0,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,     0,     0,   183,     0,   184,   185,
       0,     0,   186,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,   188,     0,     0,
       0,     0,   189,   190,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,     0,   204,     0,
     205,     0,     0,     0,   206,     0,     0,     0,     0,   207,
       0,   208,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   209,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,   211,   212,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   169,     0,   170,   171,   172,   173,   174,   175,
       0,     0,     0,   176,   177,     0,     0,     0,     0,     0,
     213,   178,   179,  2718,     0,     0,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,     0,     0,   183,     0,   184,   185,     0,     0,   186,
       0,     0,     0,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,     0,     0,     0,   226,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   227,   204,     0,   205,     0,     0,
       0,   206,     0,     0,     0,     0,   207,     0,   208,     0,
       0,     0,     0,     0,     0,     0,   228,   229,   230,   231,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   232,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,   211,   212,   234,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   264,   265,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,   169,     0,   170,   171,   172,   173,   174,   175,
       0,     0,     0,   176,   177,     0,     0,     0,     0,     0,
       0,   178,   179,  2723,     0,   226,   180,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   227,     0,   183,     0,   184,   185,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   187,   188,     0,     0,     0,     0,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,     0,   204,     0,   205,     0,     0,
       0,   206,     0,     0,     0,     0,   207,     0,   208,     0,
       0,     0,   232,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,   264,   265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,   211,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   169,
       0,   170,   171,   172,   173,   174,   175,     0,     0,     0,
     176,   177,     0,     0,     0,     0,     0,   213,   178,   179,
    2725,     0,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,     0,     0,
     183,     0,   184,   185,     0,     0,   186,     0,     0,     0,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,   188,     0,     0,     0,   226,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   227,   204,     0,   205,     0,     0,     0,   206,     0,
       0,     0,     0,   207,     0,   208,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   211,
     212,   234,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   264,   265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,   169,
       0,   170,   171,   172,   173,   174,   175,     0,     0,     0,
     176,   177,     0,     0,     0,     0,     0,     0,   178,   179,
       0,     0,   226,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   227,     0,
     183,     0,   184,   185,     0,     0,   186,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     187,   188,     0,     0,     0,     0,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,     0,   204,     0,   205,     0,     0,     0,   206,     0,
       0,     0,     0,   207,     0,   208,     0,     0,     0,   232,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,   264,   265,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   211,
     212,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
       0,     0,     0,     0,  2180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   226,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   182,     0,     0,     0,   227,     0,
       0,     0,     0,     0,   186,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,  2181,     0,     0,     0,  2183,  2184,
    2185,  2186,  2187,  2188,  2189,   888,   889,   890,   891,   892,
     893,   894,   895,   896,     0,   897,   898,   899,   900,   901,
     902,   903,  2190,     0,     0,  2191,  2192,     0,     0,     0,
       0,     0,     0,     0,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2193,     0,  2194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,     0,     0,     0,     0,     0,   905,     0,     0,     0,
       0,   264,   265,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,   211,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   182,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   186,     0,     0,     0,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,     0,     0,     0,     0,     0,
       0,  2181,  2182,     0,     0,  2183,  2184,  2185,  2186,  2187,
    2188,  2189,     0,   224,   225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2190,
       0,     0,  2191,  2192,     0,     0,     0,     0,     0,     0,
     226,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,     0,     0,     0,     0,   227,     0,     0,     0,
       0,     0,     0,     0,  2193,     0,  2194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   209,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   210,   211,   212,   234,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   213,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   264,
     265,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,     0,     0,     0,     0,  2180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   226,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   182,
       0,     0,     0,   227,     0,     0,     0,     0,     0,   186,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,   229,   230,   231,  2181,
       0,     0,     0,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2190,     0,     0,
    2191,  2192,     0,     0,     0,     0,     0,     0,     0,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2193,     0,  2194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   232,   233,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   264,   265,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,   211,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2541,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   213,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   182,     0,     0,     0,
    2542,     0,     0,     0,     0,     0,   186,     0,     0,     0,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   226,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,     0,     0,     0,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   228,   229,   230,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   209,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   232,   233,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,   211,
     212,   234,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   264,   265,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,  2799,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   226,     0,     0,     0,     0,   182,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   186,   227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     228,   229,   230,   231,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   232,
     233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   234,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,     0,     0,   209,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   264,   265,     0,     0,     0,     0,     0,     0,   210,
     211,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1885,  1886,     0,     0,
       0,     0,     0,     0,     0,   213,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   182,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   186,     0,     0,     0,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   224,   225,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   226,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,     0,     0,     0,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   228,   229,   230,   231,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     209,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     232,   233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   210,   211,   212,   234,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   213,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   264,   265,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,     0,   978,     0,     0,     0,
       0,     0,     0,   979,   980,     0,     0,     0,     0,     0,
       0,     0,     0,   224,   225,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   981,     0,
       0,     0,     0,     0,     0,     0,     0,   982,     0,     0,
     226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   983,
       0,     0,     0,     0,     0,     0,     0,     0,   228,   229,
     230,   231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   959,
       0,     0,     0,     0,   960,   961,     0,   984,   985,     0,
       0,     0,   963,   986,     0,     0,     0,     0,   987,   988,
     989,   990,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   991,     0,     0,     0,   992,     0,   993,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   232,   233,     0,
       0,     0,     0,     0,     0,     0,   964,     0,     0,   965,
       0,     0,     0,     0,     0,     0,   234,   235,   994,     0,
       0,     0,   995,     0,   996,     0,     0,     0,     0,     0,
     997,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,     0,
       0,     0,     0,   998,     0,     0,     0,   999,  1000,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   264,
     265,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1001,  1002,  1003,     0,
    1004,     0,     0,     0,  1005,     0,     0,  1006,  1007,     0,
    1008,  1009,     0,     0,  1010,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1011,
    1012,     0,     0,     0,  1013,  1014,  1015,     0,     0,     0,
       0,     0,     0,     0,  1016,     0,     0,     0,  1017,     0,
       0,  1018,  1019,     0,  1020,     0,  1021,     0,     0,  1022,
    1023,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1024,     0,  1025,
       0,     0,     0,     0,     0,     0,     0,     0,  1026
};

static const yytype_int16 yycheck[] =
{
       7,   104,   208,     3,   169,   298,   174,    82,   174,   158,
     159,   301,    87,    88,   150,  1840,  1567,   208,  1003,  1004,
     140,    90,   148,  1567,  1840,  1041,   146,  1317,   148,  1050,
     150,  1070,   158,   159,  1371,  1427,  2864,  1214,   158,   159,
     208,  1142,   208,   333,    28,   165,     7,  1871,  1872,  1873,
    1874,    94,    24,   133,   318,   135,    28,   137,  1082,   139,
     929,   141,    72,   143,    85,   145,  1613,   147,  2375,  2376,
    2377,   151,   134,   153,    19,   155,  1375,   157,  1255,    24,
      93,  2909,    89,   163,   164,  1214,  1112,  1113,  1114,    51,
      22,  1117,    24,  1119,     3,     4,     5,    85,    60,    61,
      85,    24,     6,   109,    19,    28,    85,    85,    85,    24,
    2143,  1658,    19,    58,    94,  2968,    53,    24,   134,   162,
       6,    55,  2795,    85,   198,   199,    24,  2795,    89,    44,
      45,    46,    47,    85,    53,   156,    53,  1953,    24,    43,
     161,   162,   216,    58,   165,  2262,   146,    19,   169,    53,
      19,    58,    24,    57,    53,    24,    60,    61,    21,    22,
     248,    24,   169,  2459,    55,    53,    56,    40,    28,    51,
     332,    74,   164,   180,    56,    57,   183,   168,    98,    31,
     139,   133,    85,    87,    70,   168,    58,    24,    19,    58,
    1214,    28,   200,    24,   156,     7,  2916,   239,    19,   161,
     162,   208,   223,    24,    19,   226,    58,   169,  1628,    24,
      24,   515,   240,   175,   176,   177,   178,   179,   180,   180,
      10,   168,   183,    44,    45,    46,    47,    58,     6,    44,
      45,    46,    47,    24,     6,   144,  3154,    58,   142,    24,
     144,   145,    45,    58,   148,    51,   150,    54,    70,   169,
      56,    57,   156,   162,   158,   159,   160,   204,   162,     6,
      53,   223,   168,   247,   226,    54,   239,   165,   572,   277,
     156,   175,   176,   177,   178,   179,   180,    24,   187,   188,
      24,    84,    21,    22,    28,    24,    85,   271,    37,  1840,
    2995,    54,   345,    83,   272,    51,  1840,    83,  1314,    24,
      56,    57,   281,    28,    58,   333,  2613,   241,    10,    83,
     198,    85,   200,    53,   305,   224,   329,   226,   480,   228,
      60,    61,   226,     9,    10,    11,    12,    85,   232,    24,
     239,    98,    18,   170,   238,   239,   319,  2489,   131,   381,
     133,   229,    86,  2495,   357,    85,     0,   164,   236,   163,
     241,  1336,    60,    61,   367,     6,  1457,    59,   175,   176,
     163,   270,   248,   283,   326,   274,  3071,   287,   154,  1470,
     279,   280,   163,   233,     6,   367,   310,    85,   163,   277,
    3100,    83,   285,   271,   215,   273,  1676,    24,   195,  3307,
    3308,    28,   141,   192,   193,   283,   358,     6,   360,   153,
    3318,  3319,  1953,  1795,   292,   187,   195,   165,   381,  1953,
      74,    75,   170,   319,   467,   393,   156,  1286,    83,   163,
      85,   161,   162,   222,   486,   313,  3099,   317,   408,   169,
    2547,  3099,   195,   495,   522,   175,   176,   177,   178,   179,
     180,   240,   379,   316,   330,  3298,   336,   337,   156,   274,
      19,  2267,   411,   161,   162,    24,    37,   165,   225,   393,
     379,   169,   379,  2496,    51,   448,   389,   175,   176,   177,
     178,   179,   180,   198,   452,    44,    45,    46,    47,   495,
     379,   225,  1611,   223,  1510,   528,   226,    24,  2795,    58,
    1475,    28,  1477,  1913,  1914,   317,   295,   314,    85,   239,
     272,   448,  2798,   385,   386,  2801,   580,   495,   493,   378,
      83,  3199,   500,   422,   272,   223,   495,     6,   226,   318,
     313,   407,   532,   536,   537,   538,   163,   570,   571,   572,
     573,   574,   575,    83,  1833,   398,   283,   284,   281,   427,
     492,   493,   448,   282,   496,   497,   432,   454,   463,   494,
     290,   528,   529,   293,   486,   189,    55,   534,  1659,   172,
     141,   459,  2109,  1432,  1433,   586,   528,   231,  2875,    21,
      22,   533,   393,   535,   472,   473,   523,   392,   464,   385,
     386,   154,  2778,   455,   456,    19,    85,  1611,   283,   284,
      24,    28,    83,   577,   578,   579,     6,   569,    19,    98,
      14,    15,   152,    24,   576,   192,   193,   194,    74,    75,
      44,    45,    46,    47,   227,   168,   302,   303,  3446,    83,
     913,   914,  1799,    24,    58,   513,   163,    28,   386,   385,
     386,    74,    75,   400,  2450,   222,   300,    58,   437,   438,
     439,   408,    10,   410,   157,   412,    24,    84,   415,   202,
      28,    29,  2848,    58,    60,    61,   243,   244,   164,  3347,
     247,   379,  3350,   154,  2816,  2817,    45,    85,   961,    83,
      55,   170,  2824,  2825,   583,   584,   434,   581,   582,    85,
      58,  2505,  2878,  2507,   181,   191,  2510,    10,  2512,  2513,
     154,    59,    98,   451,    57,   453,   330,    10,   918,   457,
      85,   159,    19,   461,   462,    84,   293,    24,   173,   296,
      84,   345,    51,    57,  2910,   221,  2267,    56,    57,   353,
      83,    45,   440,  2267,   142,   143,   313,    44,    45,    46,
      47,   318,   142,   143,   187,   200,    59,   236,   156,    83,
    2291,    58,   241,   161,   162,   965,    59,  2291,   236,   248,
     156,   169,   460,   171,    58,   161,   162,  1773,   345,   165,
      84,   171,   163,   169,   171,   231,   319,   320,   146,   175,
     176,   177,   178,   179,   180,   249,    19,   283,   236,   237,
     238,    24,   369,   289,   163,   195,   292,    10,   231,   163,
    2127,    83,  3099,    85,   215,    39,    57,    14,    15,   539,
     540,    44,    45,    46,    47,   223,   514,   313,   226,   884,
      54,    59,   277,   382,   383,    58,    19,   223,   252,   307,
     226,    24,    83,   926,  1850,    21,    22,  1853,    24,    21,
      22,   906,    24,    84,   300,    83,    59,   255,   303,   163,
    2665,    44,    45,    46,    47,   585,   586,   587,   330,  2665,
     437,    21,    22,    19,    24,    58,   241,   300,    24,   934,
     963,   964,   350,    24,   249,   250,    83,    28,   253,    19,
      84,   359,  2295,   460,    24,   357,   358,  2300,    44,    45,
      46,    47,    39,   393,    36,    37,    19,    59,    84,   992,
     477,    24,    58,    85,    44,    45,    46,    47,   904,  2450,
     907,   908,  2453,    59,    21,    22,  2450,    24,    58,   915,
    1116,    83,    85,   419,  1930,    85,   422,    39,  1934,  1935,
      31,   427,   928,   929,   931,    58,   436,    83,   515,   516,
     517,   518,    84,   520,    84,   252,   141,   524,    59,    21,
      22,   375,    24,    31,    19,    24,    57,  1112,  1113,  1114,
      29,   461,  1117,    85,  1119,  1219,  1220,  1221,  1222,  1223,
    1224,  1225,    83,  1227,  1228,     6,  1230,  1231,   474,    57,
     931,    59,   478,   479,    84,    19,    20,    21,    22,    58,
    2183,  2184,   481,    24,   483,   484,    19,  2379,    21,   488,
     489,    24,   491,  2416,   324,  2198,  1002,   327,    86,   498,
     499,  2424,   134,    85,    59,   423,   424,   513,  2832,  2110,
     509,    84,    24,  2837,    58,  2839,    28,  1023,  2842,   192,
     193,   194,  2007,    81,   156,    58,    19,    85,    83,   161,
     162,    24,    24,   539,   166,   167,    28,   169,  1044,   171,
     243,   244,    19,  2082,   297,   298,    87,    24,    58,   222,
     182,    44,    45,    46,    47,   308,    58,   326,   375,   191,
     452,  2702,  1068,   332,  2705,    58,   458,   146,   241,   242,
    2711,  2712,   245,   246,    58,   282,   142,   143,   244,   286,
      57,    58,   588,    21,  2105,    58,    24,  1093,    85,   239,
    2915,   223,   498,   499,   226,   501,    54,   163,  2388,  2915,
     506,   142,   168,   509,    58,  1112,  1113,  1114,  1115,  1116,
    1117,    19,  1119,    21,  2665,    58,    24,   183,   159,   160,
    2671,  2665,    58,   189,  2675,    38,    39,  2671,    58,    42,
     171,  2675,   375,    83,    92,    85,  1143,  1144,  1145,  1146,
    1147,  1148,  1149,    58,    70,   318,    54,  1154,  1793,    24,
      58,  1796,    19,    28,  1115,   287,  1451,    24,   290,    85,
    1455,  2160,  1169,    22,  2163,    24,  1173,  1174,  1175,  1176,
    1177,  1178,  1179,  1180,  1181,  1182,  1183,  1184,  1185,  1186,
    1371,    55,  1143,  1144,  1145,  1146,  1147,  1148,  1149,  2740,
      57,    58,  2293,  1154,    85,    42,  2740,   194,  1267,   157,
      83,    92,    85,  1371,    55,  1371,    21,    22,  1169,    24,
      60,    61,  1173,  1174,  1175,  1176,  1177,  1178,  1179,  1180,
    1181,  1182,  1183,  1184,  1185,  1186,   425,   426,     9,  1309,
       6,   142,   143,    21,    22,    85,    24,   195,    19,    20,
      21,    22,   239,   201,   241,   242,   336,   337,   245,   246,
      28,   244,   163,   348,   349,  1261,  1263,   168,  1361,  2360,
     171,     6,   220,  2364,     6,   156,   192,   193,   400,  1276,
     161,   162,   183,    57,   165,    59,     6,    58,   169,   288,
    1286,    19,   142,   143,     6,  1291,    24,    24,    51,  3113,
    1296,  3115,  1298,    56,    57,   323,   222,  1465,  1747,  1465,
    1749,   163,  1263,   163,    85,     6,   156,    45,   168,   166,
     167,   161,   162,     6,   240,  1276,     6,   243,   244,   169,
      58,   247,   248,   183,     6,   175,   176,   177,   178,   179,
     180,     6,   223,  1339,  1340,   226,    53,  1543,  1544,   189,
      48,    49,    50,    60,    61,  1510,     6,  1637,  1638,  1639,
    1640,   277,  1642,  1643,    28,  1546,  1646,   336,  1648,   338,
    1650,  1651,   234,   235,  2915,    21,    22,    23,    24,   295,
       6,  2915,  1378,   223,   300,  1381,   226,    10,  1546,     6,
    1546,  1645,  2398,  1647,    21,    22,    19,   313,    19,    81,
       6,    24,   318,    85,     6,   321,    19,    49,    50,   202,
     203,    24,     6,    36,   254,    38,   209,   210,   211,   212,
     515,  2280,    31,    36,    57,    38,    24,  1423,    21,    22,
      85,    24,    57,   314,   315,    58,  1432,  1433,   278,    57,
     321,   185,   186,   187,   188,    58,  1443,  1444,    51,    49,
      50,  1447,   134,   369,  1612,  1451,  1612,   254,   255,  1455,
     420,   421,    65,    19,    20,    21,    22,    70,   175,   176,
     177,   178,   179,   180,   503,   504,   505,   393,  2337,   134,
     162,   240,    85,    57,   166,   167,   512,    21,    22,   171,
      24,    54,  1488,  1444,    28,  1491,    21,    22,    84,    24,
     182,   156,    58,    28,    24,  1501,   161,   162,    84,   191,
     157,   166,   167,  1510,   169,   248,   171,    84,   434,   416,
     417,   437,   438,   439,    58,    57,  1523,   182,  1525,   445,
     153,    57,   155,    57,   450,    84,   191,    84,    19,    84,
     153,    84,   155,    24,   460,   345,  1543,  1544,   243,   244,
     466,    57,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    44,    45,    46,    47,  1660,   223,    28,
    3385,   226,  1523,   334,  1525,   187,  3390,    58,   380,  3385,
     183,  1674,   120,   121,   122,   123,  1712,    70,    71,   192,
     193,   248,  1685,   388,  1687,    14,    15,  1713,   332,   281,
     243,   244,  1712,  1713,  1714,   192,   193,  1672,   322,  1606,
    1669,   400,   401,   402,   403,   404,  1613,  1614,   252,   222,
    2595,  1618,   252,   142,    19,    11,    12,    13,   324,    24,
     293,  1628,   348,  3447,   293,   475,   476,   477,   204,   205,
     243,   244,   175,   176,   247,    31,    32,    33,    19,    44,
      45,    46,    47,    24,   173,   158,  1936,   354,  1938,  1798,
     362,  1658,   293,    58,    76,    77,    78,    79,  2527,  2528,
    2939,  2940,   395,    44,    45,    46,    47,   196,  1675,   198,
     370,   200,   368,  1748,    60,    61,   322,    58,  1798,  1799,
     399,   294,   295,   296,    57,  1850,   204,   205,  1853,  1979,
    1983,    57,   183,  2678,   307,    84,   309,    84,   311,    85,
    1826,  1827,  1828,    84,    57,   318,  1826,  1827,  1828,  1715,
    1716,  2376,  2377,    84,    19,    20,    21,    22,    23,    24,
      84,  1727,   118,   119,  1730,  1731,    84,   187,   386,   156,
      24,  1737,   471,  1739,  1902,   400,  1902,   157,    19,    20,
      21,    22,    23,    24,  1750,  1751,   275,   276,   277,   278,
     379,    65,    84,    58,    57,    84,  1762,  1763,   163,    19,
      19,  1767,  1768,    24,  1770,  2750,    57,    57,   183,   224,
     156,    85,   171,    57,    57,   161,   162,    58,  1784,   165,
      84,   248,    84,   169,  3395,    84,    84,  3398,  3399,   175,
     176,   177,   178,   179,   180,  1801,   171,    84,  1798,  3410,
    1806,    95,    96,    97,    98,    99,   100,   101,   102,   103,
      57,   105,   106,   107,   108,   109,   110,   111,    57,    57,
     134,   171,   187,   137,   243,   374,  3437,  3438,   252,    57,
    1836,  3442,  3443,  1840,  3385,    57,    84,   223,    84,  1845,
     226,  3385,   252,  1850,    57,    18,  1853,    19,   162,   154,
      19,    39,   166,   167,    36,    42,  1863,   171,  1865,  1866,
    1867,  1868,    37,    19,  1871,  1872,  1873,  1874,   182,    83,
    1877,    10,    19,   154,  1881,    52,    53,   191,    19,  1954,
       6,  1950,  1951,    60,    61,     6,     6,  2756,  2757,  2758,
     440,   441,   442,   443,   444,   445,   446,   447,    21,    22,
      23,    24,  1863,     6,  1865,  1866,  1867,  1868,    85,    60,
      61,  1986,     6,     6,     6,     6,  1877,     6,   304,     6,
    1881,   235,    58,   237,     6,   239,     6,    11,    12,    13,
      53,   142,   143,     6,    85,    19,  2127,    60,    61,     6,
      24,    57,   236,    83,    57,    83,  1953,    31,    32,    33,
     388,    57,   163,    24,   360,   252,   252,   168,    57,  2127,
     171,  2127,    57,   252,   252,    19,    20,    21,    22,    23,
      24,  2139,   183,   227,    58,  2143,    57,   252,   189,   156,
     236,    57,    57,    84,   161,   162,   252,    85,    57,  2858,
      40,   157,   169,   307,   252,   252,    57,   387,   175,   176,
     177,   178,   179,   180,    58,   156,    57,    56,    56,  2112,
     161,   162,    57,   183,   165,  2021,    19,    19,   169,   172,
     173,   174,   190,   329,   175,   176,   177,   178,   179,   180,
      57,   299,    19,    54,   118,   119,   134,    19,    37,   141,
      83,   355,    83,   196,   197,    19,   223,   200,    53,   226,
      83,   365,   366,    59,     6,    60,    61,   171,   372,   171,
      56,    56,   239,    24,   162,     6,     6,  2074,   166,   167,
     384,    59,   223,   171,    16,   226,    57,   391,    28,   393,
      85,    57,    57,   397,   182,    83,    37,  2093,    57,   282,
      57,    84,  3077,   191,    57,    57,   247,   204,   205,   206,
     207,   208,  2109,    57,   187,  2111,   252,    84,   204,   205,
     206,   207,   208,   290,    57,  2283,   360,  2283,    95,    96,
      97,    98,    99,   100,   101,   102,   103,    57,   105,   106,
     107,   108,   109,   110,   111,    57,    57,    57,    57,    19,
      20,    21,    22,    23,    24,    57,  2152,    57,    57,    57,
    2156,   156,    57,    57,    57,    57,   161,   162,    57,    57,
      57,    57,  2168,    57,   169,    57,    57,    57,    57,    57,
     175,   176,   177,   178,   179,   180,  2183,  2184,    58,  2186,
     184,    57,    53,  2190,  2191,  2260,    19,    19,  2263,    57,
      57,  2198,    24,    53,   183,    53,    22,  2203,    84,    37,
      37,    83,    60,    61,    19,    19,  2213,    24,  2215,     6,
       6,     6,    44,    45,    46,    47,     6,     6,   223,     6,
      19,   226,  2183,  2184,     6,  2186,    58,    85,     6,  2190,
    2191,   236,     6,     6,    57,    59,    83,  2198,   251,   251,
      28,    99,   247,    44,    57,    57,   171,   291,    57,   156,
      57,    57,  2213,    83,  2215,   432,   433,   434,   435,   236,
    2267,   301,  3131,  3132,   322,  3134,  3135,    65,   356,   374,
     380,    57,    57,  2279,  2280,  3144,  3145,  3146,    57,    23,
      57,    57,    57,   460,   171,    57,    57,    57,   465,    57,
      57,    57,    57,   470,    57,  3280,  3281,    57,   156,    57,
      57,    57,  2308,   161,   162,    57,   187,   171,   166,   167,
      57,   169,   420,   248,    11,    12,    13,   175,   176,   177,
     178,   179,   180,   420,  2490,    57,   137,    57,  2496,    57,
     465,  2337,  2338,   173,    31,    32,    33,    34,    35,    36,
      37,    38,    39,  3328,  2351,    42,   510,    57,    57,    55,
     189,    39,    57,    42,    58,    58,    58,    57,    31,     6,
     365,    42,    31,    39,    83,   223,    37,    83,   226,    19,
      22,    58,     6,     6,    21,    22,    23,    24,   236,   104,
      57,    19,  3251,   252,  2390,  2391,    85,   252,  2457,  2395,
      84,   183,   418,   157,   414,   413,  2402,    57,    57,  2405,
      57,    57,   244,    57,    23,   331,    53,    70,   301,    84,
      84,    51,    84,    60,    61,    19,    84,    84,    19,    74,
      85,   183,    37,    66,    73,  2431,    57,  2433,    41,    57,
      38,  2438,    38,    10,    85,    59,    57,    83,  2444,    86,
      84,    57,   317,  2450,   409,   245,  2453,   275,   407,   187,
     252,   245,   245,  2460,    84,  2462,    58,  2560,  2465,    84,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   116,
     105,   106,   107,   108,   109,   110,   111,  2438,    59,    84,
      59,  2487,    57,    86,  2559,    84,    10,  2493,    83,    82,
      59,  2498,    59,    59,    58,   142,   143,    59,  2505,  2460,
    2507,  2462,    59,  2510,  2465,  2512,  2513,    59,  2515,   314,
     511,    57,   159,    57,   114,    57,   163,    39,    19,   166,
     167,  2527,  2528,    38,   171,    38,    10,   244,    84,    84,
      57,  2537,    57,  2539,    57,  2542,    57,  2498,   495,   495,
      10,   332,    59,   190,    83,    95,    96,    97,    98,    99,
     100,   101,   102,   103,  2515,   105,   106,   107,   108,   109,
     110,   111,    59,    59,    59,    83,   213,   214,   215,    59,
     217,   218,   219,    58,   301,   299,    59,    65,   248,   245,
      57,  2542,   202,   245,  2775,  2776,   221,   245,   299,  2795,
     312,   468,   245,  2668,    11,    12,    13,    14,    15,   442,
     245,   236,    84,   332,   440,   131,   248,  2775,  2776,  2775,
    2776,   370,    57,    57,    31,    32,    33,    34,    35,    36,
      37,    38,    39,   480,   487,    42,   480,   317,    11,    12,
      13,    14,    15,   485,   252,   490,   510,   301,   317,    57,
    2646,    57,  2648,    28,    57,   252,   519,   370,    31,    32,
      33,    34,    35,    36,    37,    38,    39,   131,  2665,    42,
      51,   252,   299,  2670,   252,   252,   525,    57,   521,   531,
      57,    62,    63,    64,    65,    57,    67,    68,    69,   530,
      39,    72,    39,    74,    75,    85,   236,   301,    57,    80,
      81,  2697,    28,    85,    85,   306,   113,  2703,   502,  2864,
     469,    84,   245,   252,   252,   245,   193,   183,   117,  2670,
      11,    12,    13,    14,    15,   193,    59,    83,    57,    57,
      57,   482,    57,   454,  2731,    57,    57,    57,   454,    57,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    57,
      57,    42,   449,    83,  2909,    59,  1612,  1612,  1612,  2173,
    2756,  2757,  2758,  3446,  2864,  2813,   511,  2217,    59,  2493,
    2217,  2767,  2217,  2217,    11,    12,    13,    14,    15,  2814,
    2731,  2812,  2494,  1141,  2495,  2450,  1816,  2267,  1543,  3098,
     183,  3099,    83,  1544,    31,    32,    33,    34,    35,    36,
      37,    38,    39,  1116,  1546,    42,    11,    12,    13,    14,
      15,  2515,   146,  2809,  2675,  2671,  2812,  1890,  2814,  1980,
    3298,  1892,    59,  3320,  1209,  2740,    31,    32,    33,    34,
      35,    36,    37,    38,    39,  2832,  2006,    42,  2556,  2745,
    2837,  2572,  2839,  1761,  2594,  2842,    83,  2772,    11,    12,
      13,    14,    15,  3205,  2628,  3041,  3058,  3218,  3061,  2440,
    3220,  3062,  2858,  2859,  1689,  1653,  1482,  2864,    31,    32,
      33,    34,    35,    36,    37,    38,    39,  1258,    83,    42,
      -1,    -1,    -1,  3041,    -1,    -1,    -1,    -1,    -1,    -1,
    2886,    -1,    -1,    -1,  2890,  2891,    -1,  2893,    -1,  2895,
      -1,    -1,  3098,  3099,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2909,    -1,    -1,    -1,    -1,    -1,  2915,    -1,
      83,    -1,  2919,    -1,    11,    12,    13,    14,    15,   916,
      -1,  2928,    -1,    -1,    -1,    -1,    -1,    -1,  2934,    -1,
    2936,  2937,  2938,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,  2950,    42,    -1,    -1,  2954,    -1,
      -1,    -1,  2958,    -1,    -1,    -1,    -1,    -1,  2919,    -1,
      -1,    -1,    -1,   960,    -1,    -1,    -1,  2928,    -1,    -1,
      -1,    -1,    -1,    -1,  2981,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    83,  2993,    -1,    -1,
    3093,    -1,    -1,  2999,  3000,    -1,   993,    -1,    -1,  3005,
      -1,  3007,    -1,  3009,  1001,  3011,    -1,    -1,    -1,    -1,
      -1,  3017,    11,    12,    13,    14,    15,  1014,    -1,    -1,
    2981,    -1,    -1,  3029,  3030,  1022,    -1,    -1,  3034,  3035,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    51,    -1,    42,    -1,  1042,    -1,    -1,  1045,    -1,
    1047,  3057,    62,    63,    64,    65,  3062,    67,    68,    69,
    1057,  3067,    72,    -1,    74,    75,    -1,  3073,    -1,    -1,
      80,    81,    -1,    -1,    -1,    85,    -1,    -1,  3084,    -1,
      -1,    -1,    -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3103,    -1,    -1,  1096,
      -1,  1098,    -1,    -1,    -1,    -1,  3113,    -1,  3115,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3123,  3124,  3125,
    3126,  3127,    -1,    -1,    -1,  3131,  3132,    -1,  3134,  3135,
    3136,  3137,    -1,    -1,    -1,    -1,    -1,    -1,  3144,  3145,
    3146,    -1,  3103,    -1,    -1,    -1,    -1,  3153,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,  3167,  3168,  3169,    -1,    -1,    11,    12,    13,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,  3185,
    3186,    42,    -1,    -1,    -1,  3191,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,  3204,    -1,
      -1,  3207,  3208,    -1,  3210,    -1,    -1,    -1,  3214,  3215,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,
      -1,    -1,    83,    -1,    -1,    -1,    -1,    -1,    -1,  3235,
    3236,  3237,    -1,    -1,    -1,    -1,  3242,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3251,  3252,    -1,    -1,  3255,
    3256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3269,    -1,    -1,    11,    12,    13,    14,    15,
    3276,  3277,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3382,
    3383,  3446,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1322,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3341,  3342,    83,    -1,    -1,
      -1,    -1,    -1,  3349,    -1,    -1,  3352,    -1,    -1,    -1,
      -1,    -1,  3358,    -1,    -1,    -1,  1353,  3363,    -1,  1356,
      -1,    -1,  1359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3385,    -1,
    1377,    -1,    -1,  3390,    -1,    -1,  1383,  1384,    -1,  1386,
    1387,    -1,  1389,  1390,  1391,  1392,  1393,  1394,    -1,    -1,
    1397,  1398,    -1,  1400,    -1,    -1,  1403,  1404,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1415,  1416,
    1417,    -1,    -1,  1420,    17,    -1,    19,    20,    21,    22,
      23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,  3446,
    3447,    -1,    -1,    36,    37,    38,    -1,    -1,    41,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,  1456,
      53,    54,    -1,    -1,    -1,    58,    -1,    60,    61,    -1,
      -1,    64,  1469,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,     6,    -1,    -1,  1485,  1486,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,    -1,   142,
      -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,   151,    -1,
     153,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    59,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,   256,   257,   258,    -1,    -1,    -1,    -1,
      59,    -1,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,   302,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,  1721,  1722,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1733,  1734,    59,    -1,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     363,   364,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,    -1,  1783,    -1,    -1,    -1,
      -1,    -1,    -1,  1790,    -1,    -1,    -1,   390,    -1,    -1,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1821,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,   428,   429,   430,   431,    -1,
    1837,  1838,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,   526,   527,    24,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,    -1,  1974,  1975,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   589,   590,    -1,    -1,
      -1,    17,    -1,    19,    20,    21,    22,    23,    24,    -1,
      -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    37,    -1,  2020,    -1,    41,    -1,    -1,    -1,    11,
      12,    13,    14,    15,  2031,    -1,    -1,    53,    54,    -1,
      -1,    -1,    58,    -1,    60,    61,    -1,    -1,    64,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,  2090,  2091,  2092,    -1,  2094,    -1,    -1,
      -1,    -1,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,    -1,   140,  2122,   142,  2124,    -1,    -1,
     146,    -1,  2129,    -1,    -1,   151,    -1,   153,    -1,    -1,
      -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2151,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,   258,
      11,    12,    13,    14,    15,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    59,    -1,    -1,    -1,    -1,    11,    12,
      13,    14,    15,   302,   230,    -1,    -1,    -1,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
     256,   257,   258,    -1,    -1,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    59,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      12,    13,    14,    15,   363,   364,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,   302,    -1,    42,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,   390,    -1,    -1,    -1,    59,    -1,    -1,    -1,  2306,
      -1,    -1,    -1,    -1,    -1,    57,    -1,   406,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2333,    -1,    -1,   428,
     429,   430,   431,    -1,    -1,    -1,    -1,   363,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2356,
    2357,  2358,    -1,    -1,  2361,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   390,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,  2392,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,   428,   429,   430,   431,    -1,    -1,   507,   508,
      -1,    -1,    -1,    -1,  2421,    59,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     589,   590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     526,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,  2550,    -1,    -1,    -1,    17,    -1,    19,
      20,    21,    22,    23,    24,    -1,    -1,    -1,    28,    29,
      -1,    -1,    -1,   589,   590,    -1,    36,    37,    38,    -1,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    54,    -1,    -1,    -1,    58,    -1,
      60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,  2606,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,  2620,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2650,    -1,    -1,    -1,    -1,   118,   119,
      59,    -1,    -1,    -1,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,    -1,
     140,    -1,   142,    -1,    -1,    -1,   146,    -1,    -1,    -1,
      -1,   151,    -1,   153,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2766,
     230,    -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,   256,   257,   258,    -1,
      -1,    57,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    57,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,  2854,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    57,
      -1,  2868,    -1,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,    -1,  2885,    -1,
    2887,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,  2899,   363,   364,  2902,  2903,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     390,    11,    12,    13,    14,    15,    -1,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,   428,   429,
     430,   431,    -1,    -1,    -1,    -1,    -1,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,  3006,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,
    3047,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   526,   527,    -1,    -1,
      -1,    -1,  3069,    -1,    -1,    -1,    -1,    -1,  3075,    -1,
      -1,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   589,
     590,    -1,  3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3138,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3171,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3180,  3181,    -1,    -1,    -1,    -1,    -1,
      -1,  3188,  3189,    -1,    -1,  3192,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3213,    -1,    -1,    -1,
    3217,    -1,  3219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3239,  3240,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3250,    -1,    -1,    -1,    -1,    -1,    -1,
    3257,    -1,  3259,  3260,  3261,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3290,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3327,     3,     4,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    25,    -1,    -1,    -1,  3354,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3364,    -1,    -1,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    -1,    -1,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
      -1,    -1,    -1,    -1,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,    -1,    -1,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
      -1,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,     3,
       4,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    -1,    -1,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,    -1,    -1,
      -1,    -1,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,    -1,    -1,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,    -1,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,     3,     4,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    -1,    -1,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,    -1,    -1,    -1,    -1,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,    -1,
      -1,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,    -1,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,    17,    -1,    19,    20,    21,
      22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,    41,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    54,    -1,    -1,    -1,    58,    -1,    60,    61,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   118,   119,    -1,    -1,
      -1,    -1,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,    -1,   140,    -1,
     142,    -1,    -1,    -1,   146,    -1,    -1,    -1,    -1,   151,
      -1,   153,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,   257,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
     302,    36,    37,    38,    -1,    -1,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,
      -1,    -1,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      -1,    -1,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   363,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   119,    -1,    -1,    -1,   390,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   406,   140,    -1,   142,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,   151,    -1,   153,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   428,   429,   430,   431,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,   258,   526,   527,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   589,   590,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,   364,
      -1,    -1,    17,    -1,    19,    20,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,
      -1,    36,    37,    38,    -1,   390,    41,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,
      -1,   406,    -1,    58,    -1,    60,    61,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   428,   429,   430,   431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   118,   119,    -1,    -1,    -1,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,    -1,   140,    -1,   142,    -1,    -1,
      -1,   146,    -1,    -1,    -1,    -1,   151,    -1,   153,    -1,
      -1,    -1,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   526,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   589,   590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,   258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      -1,    19,    20,    21,    22,    23,    24,    -1,    -1,    -1,
      28,    29,    -1,    -1,    -1,    -1,    -1,   302,    36,    37,
      38,    -1,    -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    53,    54,    -1,    -1,    -1,
      58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,   119,    -1,    -1,    -1,   390,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   406,   140,    -1,   142,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,   151,    -1,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   428,   429,   430,   431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
     258,   526,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   589,   590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   363,   364,    -1,    -1,    17,
      -1,    19,    20,    21,    22,    23,    24,    -1,    -1,    -1,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,
      -1,    -1,   390,    41,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    53,    54,    -1,   406,    -1,
      58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     428,   429,   430,   431,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,   119,    -1,    -1,    -1,    -1,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,    -1,   140,    -1,   142,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,   151,    -1,   153,    -1,    -1,    -1,   507,
     508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   589,   590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
     258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   363,   364,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     428,   429,   430,   431,    84,    -1,    -1,    -1,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,    -1,   105,   106,   107,   108,   109,
     110,   111,   112,    -1,    -1,   115,   116,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,   149,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,   589,   590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,   258,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    54,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,    -1,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,    -1,    -1,    -1,
      -1,    84,    85,    -1,    -1,    88,    89,    90,    91,    92,
      93,    94,    -1,   363,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,
      -1,    -1,   115,   116,    -1,    -1,    -1,    -1,    -1,    -1,
     390,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   147,    -1,   149,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   428,   429,
     430,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   256,   257,   258,   526,   527,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   589,
     590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     363,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   390,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   428,   429,   430,   431,    84,
      -1,    -1,    -1,    88,    89,    90,    91,    92,    93,    94,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   112,    -1,    -1,
     115,   116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   147,    -1,   149,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   507,   508,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   526,   527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,   562,
     563,   564,   565,   566,   567,   568,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   589,   590,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   256,   257,   258,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,
      58,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   363,   364,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   390,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   428,   429,   430,   431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   507,   508,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   256,   257,
     258,   526,   527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   302,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   589,   590,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   363,   364,    24,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   390,    -1,    -1,    -1,    -1,    54,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     428,   429,   430,   431,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   124,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,
     508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   526,   527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,    -1,    -1,   230,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   589,   590,    -1,    -1,    -1,    -1,    -1,    -1,   256,
     257,   258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    26,    27,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   302,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    54,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   363,   364,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   390,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,    -1,    -1,    -1,    -1,   406,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   428,   429,   430,   431,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     230,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     507,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,   258,   526,
     527,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   541,   542,   543,   544,   545,   546,
     547,   548,   549,   550,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,   561,   562,   563,   564,   565,   566,
     567,   568,   302,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   589,   590,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    53,    -1,    -1,    -1,
      -1,    -1,    -1,    60,    61,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   363,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    -1,    -1,
     390,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   126,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   428,   429,
     430,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   156,
      -1,    -1,    -1,    -1,   161,   162,    -1,   164,   165,    -1,
      -1,    -1,   169,   170,    -1,    -1,    -1,    -1,   175,   176,
     177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   188,    -1,    -1,    -1,   192,    -1,   194,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   507,   508,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   223,    -1,    -1,   226,
      -1,    -1,    -1,    -1,    -1,    -1,   526,   527,   235,    -1,
      -1,    -1,   239,    -1,   241,    -1,    -1,    -1,    -1,    -1,
     247,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,    -1,
      -1,    -1,    -1,   280,    -1,    -1,    -1,   284,   285,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   589,
     590,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,    -1,    -1,   321,    -1,    -1,   324,   325,    -1,
     327,   328,    -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   346,
     347,    -1,    -1,    -1,   351,   352,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   361,    -1,    -1,    -1,   365,    -1,
      -1,   368,   369,    -1,   371,    -1,   373,    -1,    -1,   376,
     377,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   394,    -1,   396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   405
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   596,   597,     3,     4,     5,   144,   162,   187,
     188,   224,   226,   228,   239,   270,   274,   279,   280,   422,
     583,   584,   592,   593,   594,   595,   788,   789,   790,   791,
     793,   794,   795,   802,   804,   805,   806,   807,   808,   809,
     810,   811,   812,   813,   814,   817,   818,   819,   820,   821,
     822,   823,   825,   826,   851,   869,   870,   871,   872,   891,
     922,   960,   961,   962,   963,   964,   965,   966,   967,  1022,
    1023,  1048,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,
       0,     6,    43,    53,    57,    60,    61,    87,   142,   144,
     145,   148,   150,   156,   158,   159,   160,   162,   175,   176,
     177,   178,   179,   180,   226,   232,   238,   239,   581,   582,
     598,   599,   659,   661,   662,   663,   664,   675,   726,   728,
     729,   730,   731,   732,   733,   738,   752,   755,   765,   766,
     767,   830,   831,   852,   856,   859,   862,   873,   876,   892,
     899,   913,   916,   918,   921,   925,   926,   969,   970,   972,
     974,   975,   980,  1011,  1014,  1024,  1025,  1037,  1038,  1049,
    1052,  1059,  1060,  1071,  1076,  1077,     6,     6,     6,    17,
      19,    20,    21,    22,    23,    24,    28,    29,    36,    37,
      41,    53,    54,    58,    60,    61,    64,   118,   119,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   140,   142,   146,   151,   153,   230,
     256,   257,   258,   302,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   363,   364,   390,   406,   428,   429,
     430,   431,   507,   508,   526,   527,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   589,   590,   603,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   655,
     656,   657,   684,   701,   703,   704,   707,   708,   709,   710,
     714,   715,   829,    24,    28,   163,   801,   824,   827,    24,
     827,   827,    86,   225,   827,   827,     6,   187,    53,   198,
     200,   229,   236,   271,   273,   283,   292,   313,   427,   513,
     142,   173,   196,   198,   200,   275,   276,   277,   278,    45,
      84,   163,   815,   827,   274,    28,   247,   271,   577,   578,
     579,  1069,     6,     3,     4,     5,    24,    25,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,   546,   547,   548,
     549,   550,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   602,   658,   281,   602,   602,   714,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   105,   106,   107,
     108,   109,   110,   111,   221,   236,   665,    58,    58,   157,
      24,    28,   628,   198,   199,   216,   580,   181,   198,   628,
     159,   236,   237,   238,   753,   754,  1051,   187,   515,   572,
      19,    58,   600,   603,   171,   249,   734,   164,   191,   221,
     283,   289,   292,   313,   419,   422,   427,   474,   478,   479,
     513,   539,   588,   924,  1010,    54,   602,   739,    85,   156,
     161,   162,   165,   169,   223,   226,   247,   730,   740,   741,
     747,   769,    84,   834,   739,   739,   739,   739,    53,    60,
      61,    85,    94,   126,   164,   165,   170,   175,   176,   177,
     178,   188,   192,   194,   235,   239,   241,   247,   280,   284,
     285,   313,   314,   315,   317,   321,   324,   325,   327,   328,
     331,   346,   347,   351,   352,   353,   361,   365,   368,   369,
     371,   373,   376,   377,   394,   396,   405,   740,   842,   843,
     902,   903,   910,   739,   739,   739,    52,    53,    85,   239,
     290,   432,   433,   434,   435,   460,   465,   470,   731,   740,
     928,   929,   930,   931,   932,   739,    85,   189,   254,   278,
     475,   476,   477,   740,   747,   971,    84,    85,   134,   166,
     167,   171,   182,   191,   400,   740,   742,   739,   739,   739,
     739,    85,   236,   247,   365,   740,   747,   842,  1042,  1044,
      85,   239,   290,   293,   539,   540,   585,   586,   587,   740,
     747,   842,  1050,  1074,  1075,   739,   739,    85,   165,   586,
     740,  1078,    19,    36,    38,    58,   153,   155,   603,   700,
     702,   708,    39,   607,    39,    21,    22,   608,   609,   141,
      37,   141,   714,    19,   120,   121,   122,   123,   689,   714,
      84,    84,    58,    58,    58,    58,    58,    58,    58,    58,
      19,    20,    22,    23,    58,   154,   603,   608,   609,   616,
     684,   685,   688,   690,   691,   692,   695,   697,   698,    58,
      55,    55,     6,    11,    12,    13,    14,    15,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    42,    42,    45,
      84,   163,   770,     6,   770,    28,   629,   629,   827,   827,
       6,    45,    84,   163,   773,     6,   288,    24,    28,   163,
     828,     6,   272,     6,   796,     6,   803,    24,   792,   173,
     200,   277,   303,   323,   165,   277,   459,   472,   473,   792,
     200,   277,   163,     6,     6,     6,     6,     6,     6,     6,
       6,    94,   162,   528,   570,   571,   572,   573,   574,   575,
    1057,  1058,    19,   816,   629,   923,  1069,     6,  1069,     6,
       6,   515,  1070,    31,   602,   676,   660,   600,   104,   602,
     603,   603,    19,    21,    24,    54,    58,   727,    57,   770,
     770,   600,    44,    45,    46,    47,   183,   600,   604,   773,
      57,    28,   233,    57,   569,   576,   628,  1055,   240,   600,
     601,   601,   714,    57,   602,    84,   737,   425,   426,   973,
     512,    24,    54,    84,   157,   604,   770,   768,   170,   628,
     628,   773,   248,    57,    84,   745,    57,    57,   833,   835,
      84,    84,    84,    84,   240,   333,   345,    57,    28,   336,
     337,    53,   379,    53,   379,    53,   379,    53,   379,   334,
     628,   604,   380,   187,   324,   327,   248,   236,   307,   350,
     359,   388,   332,   239,   604,   900,    57,   600,    21,    22,
      24,   282,   605,   894,   398,   605,   893,   322,   252,   326,
     332,   252,   324,   293,   348,   349,   348,   158,   604,   354,
     362,   293,   293,   370,   368,    56,   317,   336,   337,   604,
     378,   600,   395,   322,   399,    57,    57,    84,   847,    84,
     908,    57,    84,    84,    84,   471,   187,   386,   727,   604,
     156,   600,   604,   157,   604,   379,   927,   745,    57,    84,
      84,   604,    55,   241,    19,    54,   195,    19,   166,   167,
      57,    57,   600,   142,   143,   163,   168,   183,   189,   673,
     749,   183,   749,    24,   748,   183,   224,   171,    57,    57,
      84,    84,    84,    84,    22,    23,    24,   619,   623,   248,
     171,    57,    57,    57,    93,   329,   357,   367,   536,   537,
     538,  1039,  1040,    84,  1047,   187,   374,   600,   171,   243,
     604,   252,   163,   604,  1072,    57,    57,    84,    84,  1079,
    1083,   252,    57,    10,   702,   702,   702,   714,    21,    22,
     154,   695,   702,   702,    18,    19,    19,    39,    36,    37,
     141,    37,    19,    83,    59,    83,   652,   652,   748,   714,
     714,   714,   714,   714,   714,   714,    38,   687,   689,   714,
      36,    37,    84,    10,    83,   154,    83,   154,   705,   706,
     714,    19,    19,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   711,    53,    60,
      61,   175,   176,   177,   178,   179,   180,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   800,   172,
     173,   174,   196,   197,   200,   771,   772,     6,     6,     6,
       6,   172,   227,   774,   775,     6,   850,   828,     6,     6,
       6,    86,   116,   142,   159,   163,   166,   167,   171,   190,
     213,   214,   215,   217,   218,   219,   623,   673,   799,     6,
      24,    87,   142,   159,   160,   171,     6,   792,   792,   792,
     792,   792,   792,   792,   968,   163,   792,   163,   792,     6,
     792,   792,     6,    83,    85,     6,     6,     6,   142,   171,
     195,   673,     6,  1070,   600,     6,   714,    58,   667,   668,
     670,   674,   665,    57,    83,    83,   762,   763,   714,    57,
     601,    57,   600,   234,   235,   388,  1053,   600,  1054,    84,
     163,  1056,   600,    48,    49,    50,    59,   736,   739,    24,
     727,   756,   759,   760,   604,   744,   746,    81,    85,   832,
     836,   837,   855,   861,   875,   252,   252,   605,    57,   600,
     600,    94,   408,    57,    57,   239,   381,   252,   375,   604,
     252,   252,   604,   360,   227,   604,   236,   389,   628,   252,
      57,    57,    84,   787,    57,    24,   616,   622,    40,   606,
      51,    56,    57,   385,   386,   400,   401,   402,   403,   404,
     898,   606,    51,    56,    57,   604,   600,   252,   252,   600,
     252,   604,   604,   157,   604,   604,    57,   604,   604,   604,
     604,   604,   604,   387,    56,   604,   604,    57,   604,    57,
      56,   604,   604,   846,   848,   849,   907,   909,   915,   920,
     604,   252,   375,   604,   604,   604,   183,   600,   746,   933,
     601,   601,    19,    19,   603,   671,   672,   714,    45,   600,
     751,   190,   751,   751,   604,   748,   979,  1013,  1026,  1043,
     604,   748,    28,   605,   605,    53,   131,   133,   313,  1039,
    1046,    57,   604,   604,   600,   299,   600,   760,   761,   600,
      19,    59,   702,   154,    54,    19,   141,    37,   714,   714,
     653,   654,    59,    83,    59,    83,    83,    83,    83,    59,
      59,    83,    10,    83,    83,    59,    19,    58,   685,   692,
     697,    83,    59,    56,    56,    26,    27,   709,   712,   829,
      83,    85,    83,    85,     6,   283,   284,   603,     6,   623,
      21,    22,    23,    24,   608,   609,   610,   611,   612,   797,
     798,   671,   603,   171,   171,   163,   603,    24,   603,   801,
     629,   629,   629,   629,     6,   629,   629,     6,    24,    70,
     156,   248,   330,   407,   432,   464,   792,   629,   792,   629,
     629,   629,  1058,   671,    28,   748,   628,     6,    57,    59,
     666,    16,   669,    84,   665,   602,   628,   603,   760,    57,
      59,    28,    49,    50,    49,    50,   628,   628,  1057,    57,
      57,    55,    85,   241,   249,   250,   253,   735,    37,   758,
      83,    57,    85,   162,   742,   743,   282,    57,    84,   840,
      85,   287,   290,   400,   740,   742,   853,    85,   165,   304,
     740,   747,   860,    85,    92,   165,   314,   315,   321,   740,
     874,   600,   600,    57,    57,    57,   604,    84,   604,   895,
     187,   252,   600,    57,    57,   600,   600,    57,   604,   604,
      57,   360,   600,    57,   600,   786,   901,   894,   602,   894,
     600,   600,    57,   893,   600,   600,    57,    57,   600,   600,
      57,   600,    57,    57,   727,    57,    57,    57,    57,    57,
      57,    57,    57,   604,    57,   600,    57,    57,    57,   604,
      57,    57,    81,    85,   281,   743,   845,   746,    65,    85,
     137,   166,   167,   235,   237,   239,   307,   355,   365,   366,
     372,   384,   391,   393,   397,   743,   906,    85,    99,   166,
     167,   236,   730,   740,   842,   911,   912,   914,    85,   142,
     171,   255,   423,   424,   673,   740,   919,   600,   600,    85,
     165,   170,   272,   386,   434,   451,   453,   457,   461,   462,
     934,   941,   944,   670,   184,   750,   604,    57,    85,    98,
     165,   498,   499,   501,   506,   509,   740,   747,   976,    85,
     165,   460,   514,   740,   747,  1012,    51,    85,   326,   358,
     360,   528,   533,   535,   740,   747,  1027,  1029,    53,  1041,
      57,    57,   606,    53,    19,   625,   626,   600,   604,   604,
      24,    84,    85,    88,    89,    90,    91,    92,    93,    94,
     112,   115,   116,   147,   149,   603,   707,   709,   716,   719,
     725,   829,  1045,   183,  1073,   600,    84,  1082,   702,   702,
      22,    37,    37,    83,    59,    83,   650,   651,   714,   714,
     714,   714,   714,    38,   687,   714,   687,    38,   687,   687,
      83,   714,   714,    19,    19,   713,   772,   775,    54,    21,
      22,    24,   801,   801,     6,     6,     6,     6,     6,     6,
      19,   727,   727,   727,   629,     6,   629,     6,     6,     6,
     665,   665,   677,   665,   678,   681,   682,   683,   717,   719,
     602,    57,    59,    83,    85,   251,   251,   604,   604,   254,
     255,    57,    28,   629,   757,   759,   770,    57,   602,   839,
     841,    44,   291,   171,    57,   863,   868,   156,    57,   878,
     879,   885,   879,   886,   605,   890,   322,    57,    83,    57,
      57,    98,   225,   400,   408,   410,   412,   415,   896,   897,
      57,   375,   604,   600,    57,    57,    57,    57,    57,   604,
      57,    57,    85,   194,   239,   241,   242,   245,   246,   785,
      57,    57,    57,    57,    57,    57,    57,    57,    57,    57,
      57,   282,   286,   603,    57,   301,   374,   171,   171,   380,
     171,   187,    65,   356,   171,   164,   367,   604,   604,   392,
     604,   600,   604,    57,    23,   420,   420,   420,   421,   745,
      57,   671,    28,   748,   600,   628,   137,    57,   953,   959,
     393,   436,   461,   604,   936,   393,   604,   935,   248,   622,
     937,   938,   463,   604,    57,   465,   954,   185,   186,   187,
     188,    24,   609,   621,   990,   995,   981,   989,   977,   978,
     621,   173,   510,    57,  1015,  1021,   604,   600,    57,   600,
     189,  1028,    55,  1028,    21,    22,    24,    28,    58,   630,
    1030,    72,   532,  1031,  1028,    57,   600,   626,    39,   679,
     680,   705,   705,    58,   714,   714,   714,   720,    58,    58,
      31,    57,    31,   705,    42,    31,   600,  1081,    39,    37,
     714,   714,    51,    62,    63,    64,    65,    67,    68,    69,
      72,    74,    75,    80,    81,    85,   636,   637,   638,   639,
     640,   648,    85,   637,   638,   639,   640,   649,    83,    59,
      59,    59,    59,    59,    83,    10,    59,    83,    59,    83,
      10,    59,    83,    83,    19,    58,    22,     6,     6,   602,
     104,   674,   602,    85,   682,    57,    19,   252,   252,   600,
     601,    21,    22,    24,   608,   609,   624,    74,    85,   285,
     838,    24,    58,   709,   829,   857,   858,   854,   748,   761,
     157,   164,   175,   176,   314,   877,   761,    84,   884,    40,
     316,   887,   604,   600,   183,   418,   414,   139,   411,   413,
     416,   417,    83,    85,    57,    57,    57,    57,   604,   243,
     244,   244,   601,   600,    57,   283,   284,   603,    98,   169,
     283,   287,   844,   189,   330,   345,   353,   243,   244,   604,
     604,   604,   239,   381,   748,   604,   301,   330,   357,   358,
     905,   748,    58,   153,   690,   917,   917,   917,    23,   746,
     331,   760,   955,   600,   600,   604,    84,   600,    84,   727,
      84,   600,   600,    84,    84,   994,   761,    84,   605,   996,
    1001,    28,    84,  1002,  1007,   604,    70,   761,   183,   600,
      74,   600,   714,  1029,  1032,  1033,   600,    19,    85,   678,
      57,    57,   603,   829,    57,   113,    84,    24,   665,   718,
     724,   724,   714,   714,    57,   723,   714,    85,   493,  1080,
      19,    37,    59,    59,    66,    70,    71,    73,    11,    12,
      13,    31,    32,    33,   118,   119,   600,   634,   641,   642,
     643,    41,   644,   645,   645,   647,    24,   608,   620,    57,
     641,   644,   647,   621,    57,   714,    38,   687,    38,   687,
      38,   687,    10,    38,   687,    38,   687,    85,   706,    57,
      59,    31,    57,    59,   601,   601,   600,   600,    57,   714,
      83,   674,    84,   867,   604,   884,   883,   880,   602,   628,
     317,   888,    57,   409,   275,   897,   245,   245,   245,   382,
     383,   604,   904,   904,   605,   407,   187,   252,   604,   690,
     694,   604,   956,    84,   958,   946,   946,   939,   942,   993,
     992,    84,   988,   997,  1003,   600,    84,  1020,   600,   604,
      59,    84,    59,    59,   719,   699,   602,    86,   714,    24,
     709,   725,   829,    57,    57,   712,    57,   605,    57,    10,
     600,    14,    15,   635,    83,    15,    83,   635,   600,    76,
      77,    78,    79,   646,    83,   635,    82,    59,    59,    59,
      59,    83,    10,    59,    59,    59,    83,    58,    59,    10,
      59,    59,    10,    59,    59,   714,    59,   858,   866,   864,
     880,    85,   192,   193,   194,   222,   241,   242,   245,   246,
     318,   776,   777,   779,   780,   781,   881,   605,   314,   889,
     601,   601,   601,   604,   600,    83,   154,   954,   957,    85,
     622,   947,   948,    85,    85,   272,   393,   452,   940,    85,
     240,   295,   318,   437,   438,   439,   776,   943,    85,   133,
     492,   493,   496,   497,   991,   987,   986,  1000,  1006,   511,
    1019,  1016,  1034,    57,    57,   114,     9,    19,    20,    58,
      85,   684,   686,   688,   690,   691,   693,   696,   721,   724,
     724,    57,   600,   643,   634,   642,   645,   645,    39,   645,
     645,    19,    38,   687,    38,   687,   687,    10,   687,    57,
      51,    65,    70,    85,   183,   243,   244,   247,   294,   295,
     296,   307,   309,   311,   318,   776,   865,   604,    84,   243,
     244,   244,   601,   600,   168,   202,   319,   320,   882,    28,
      29,    58,   632,   633,   708,   715,    84,   784,    57,   604,
     690,    70,    85,   240,   243,   244,   247,   248,   277,   295,
     300,   313,   318,   321,   369,   393,   434,   437,   438,   439,
     445,   450,   460,   466,   776,   945,   452,   458,   949,   604,
     600,   604,    57,   600,   600,   168,   319,   448,   600,   332,
     215,   600,    57,   604,   495,   495,   604,   604,    57,    55,
      85,    98,   170,   236,   241,   248,   481,   483,   484,   488,
     489,   491,   498,   499,   509,   982,    85,   495,   500,   998,
      85,   281,   495,  1004,    29,   631,   633,    51,    85,   194,
     243,   244,   247,   293,   296,   313,   318,   345,   369,   437,
     460,   477,   515,   516,   517,   518,   520,   524,   776,  1017,
      85,   528,   529,   534,  1035,   719,   679,   714,    10,    83,
     152,   714,    59,    83,   600,   600,   600,   600,   646,   646,
      59,    59,    59,    83,    59,    58,    59,   600,   301,   297,
     298,   308,   600,   299,    74,    75,   231,   300,   764,   248,
     600,   245,   245,    65,    55,   241,   310,   393,   312,   168,
     305,    57,   778,   779,   245,   245,   245,   204,   205,   202,
     714,    54,    92,   157,   195,   201,   220,   782,   440,   441,
     442,   443,   444,   445,   446,   447,   600,   299,    74,   300,
     764,   248,   468,    84,   600,   600,   604,   168,   319,   448,
     442,   370,   600,   604,   600,   332,   215,   600,   345,   467,
     600,   131,   440,    57,   600,    57,   600,   600,   600,   600,
     480,   486,   995,   134,   495,   134,   486,   495,   332,   480,
     487,   480,   604,   485,   252,   490,   301,   317,   983,   317,
     984,   510,    57,   999,   494,   600,  1008,   996,    57,  1005,
    1002,  1008,    57,   600,   604,   299,    74,   300,   764,   248,
     522,   600,   252,   604,   168,   204,   448,   523,  1018,   605,
     370,   252,   131,   379,   440,   252,   252,   454,   600,   519,
     521,   525,    57,  1036,   531,   530,   628,    57,    59,    58,
     686,   693,   679,   722,    57,   714,    39,    39,   687,   687,
     175,   176,   600,   600,   600,   600,   600,   604,   601,   601,
     301,   601,   601,   600,   600,   604,   306,    85,    57,   601,
     601,   601,   204,   205,    59,    28,   627,    54,   195,   600,
     627,   202,   203,   209,   210,   211,   212,   783,    54,   195,
      85,   455,   456,   600,   600,   600,   604,   469,   950,   604,
     244,   604,   600,   600,   604,   604,   600,   604,   502,  1009,
    1009,   245,   252,   503,   504,   505,   985,   600,   985,   252,
     600,   600,   245,   600,   482,   604,   600,   600,   183,   604,
    1001,   604,  1007,    70,   317,   600,   600,   600,   600,   604,
     604,   600,   244,   604,   601,   600,   600,   600,   604,   604,
     604,   604,   193,   193,   714,   117,    59,   600,   600,    59,
      83,   605,   605,   604,   778,    57,   627,   627,    57,    57,
     204,   205,   206,   207,   208,   204,   205,   206,   207,   208,
      57,   627,   627,   784,   604,    85,   605,   952,   454,   604,
     600,   600,  1009,   600,  1009,   600,   604,   600,   600,   604,
     454,   628,   628,   719,    57,   687,   782,    57,    57,   782,
     782,   782,    57,    57,   449,   951,   511,    83,   782,   782,
     782,   782,    57,   631,   687,    59
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   591,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   658,
     658,   658,   658,   658,   658,   658,   658,   658,   658,   596,
     596,   597,   597,   598,   598,   599,   600,   600,   600,   601,
     601,   601,   602,   602,   602,   603,   604,   604,   604,   604,
     604,   604,   605,   605,   605,   606,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   616,   617,   617,
     618,   618,   619,   619,   619,   619,   619,   619,   620,   620,
     621,   621,   622,   622,   623,   623,   624,   624,   624,   624,
     624,   625,   626,   626,   627,   628,   628,   629,   629,   630,
     630,   630,   630,   630,   631,   631,   632,   632,   632,   633,
     633,   633,   634,   634,   634,   634,   634,   634,   634,   634,
     635,   635,   636,   636,   636,   636,   636,   636,   636,   636,
     636,   636,   637,   638,   639,   640,   640,   641,   641,   641,
     641,   642,   642,   643,   643,   644,   644,   644,   645,   645,
     646,   646,   646,   646,   647,   647,   647,   648,   648,   648,
     648,   649,   649,   649,   649,   649,   650,   650,   651,   651,
     652,   653,   654,   655,   656,   657,   657,   592,   593,   592,
     594,   592,   595,   598,   660,   659,   598,   661,   598,   662,
     598,   663,   598,   664,   665,   665,   665,   665,   665,   665,
     665,   665,   665,   665,   665,   665,   665,   665,   665,   665,
     665,   665,   666,   666,   667,   667,   668,   668,   669,   669,
     670,   671,   672,   671,   673,   674,   598,   676,   677,   675,
     678,   678,   680,   679,   681,   681,   682,   683,   683,   684,
     684,   685,   685,   685,   685,   685,   685,   686,   686,   686,
     686,   687,   688,   688,   688,   688,   688,   688,   688,   688,
     688,   688,   689,   689,   689,   689,   690,   690,   690,   691,
     691,   691,   691,   691,   691,   691,   691,   692,   692,   692,
     692,   692,   693,   693,   693,   693,   693,   694,   694,   695,
     695,   696,   696,   697,   697,   697,   697,   698,   698,   699,
     699,   699,   700,   700,   701,   702,   702,   702,   702,   702,
     702,   702,   702,   702,   703,   703,   703,   703,   703,   703,
     703,   703,   703,   703,   703,   703,   704,   704,   704,   704,
     705,   705,   705,   706,   707,   708,   709,   709,   709,   709,
     709,   709,   709,   709,   709,   709,   709,   709,   709,   711,
     710,   712,   713,   712,   712,   712,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   714,   714,   714,   714,   714,   714,   714,   714,
     714,   714,   715,   716,   716,   716,   717,   717,   718,   718,
     719,   719,   719,   720,   721,   722,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   719,   719,   723,   719,
     719,   719,   724,   725,   725,   725,   598,   726,   726,   727,
     727,   727,   727,   598,   728,   598,   729,   730,   730,   730,
     730,   730,   730,   730,   730,   730,   731,   731,   598,   732,
     733,   734,   734,   735,   735,   735,   735,   735,   735,   736,
     736,   737,   737,   598,   738,   738,   739,   739,   739,   739,
     740,   740,   740,   740,   740,   740,   740,   740,   741,   742,
     742,   742,   742,   742,   742,   742,   742,   742,   743,   743,
     744,   744,   745,   745,   746,   747,   748,   749,   749,   749,
     749,   750,   750,   750,   750,   750,   751,   751,   598,   752,
     752,   752,   598,   753,   753,   753,   753,   754,   754,   754,
     754,   754,   754,   754,   754,   755,   756,   757,   757,   758,
     758,   759,   760,   760,   761,   762,   763,   764,   764,   765,
     766,   767,   767,   767,   767,   767,   768,   769,   770,   770,
     770,   771,   771,   772,   772,   772,   772,   772,   772,   773,
     773,   773,   774,   774,   775,   775,   776,   777,   777,   778,
     778,   779,   779,   780,   780,   781,   782,   782,   782,   782,
     782,   782,   782,   782,   782,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   784,
     785,   785,   785,   785,   785,   785,   785,   786,   786,   787,
     592,   788,   592,   789,   592,   790,   592,   791,   792,   792,
     592,   793,   592,   794,   592,   795,   796,   796,   796,   796,
     796,   796,   796,   796,   796,   796,   796,   796,   796,   796,
     796,   796,   796,   796,   797,   797,   797,   797,   797,   797,
     797,   797,   798,   798,   798,   798,   799,   799,   799,   799,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     800,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     801,   592,   802,   803,   803,   803,   803,   803,   803,   803,
     592,   804,   592,   805,   592,   806,   592,   807,   592,   808,
     592,   809,   592,   810,   592,   811,   592,   812,   592,   813,
     592,   814,   815,   815,   815,   816,   816,   592,   817,   592,
     818,   592,   819,   592,   820,   592,   821,   592,   822,   592,
     823,   824,   824,   592,   825,   592,   826,   827,   827,   827,
     828,   828,   828,   829,   829,   829,   829,   598,   830,   831,
     832,   833,   833,   834,   834,   835,   836,   837,   838,   838,
     839,   839,   840,   840,   841,   842,   843,   844,   844,   844,
     844,   845,   845,   845,   845,   845,   845,   846,   846,   847,
     847,   849,   848,   850,   850,   850,   850,   592,   851,   765,
     852,   853,   853,   853,   853,   854,   853,   855,   855,   856,
     857,   857,   858,   858,   858,   858,   765,   873,   874,   874,
     874,   874,   874,   874,   875,   875,   876,   877,   877,   877,
     877,   878,   878,   879,   880,   881,   881,   881,   881,   881,
     881,   881,   881,   882,   882,   882,   882,   882,   882,   883,
     883,   884,   884,   885,   886,   887,   887,   887,   888,   888,
     889,   889,   890,   592,   891,   765,   859,   860,   860,   860,
     860,   861,   861,   862,   863,   864,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   865,   865,   865,   865,   865,   865,   865,   865,
     865,   865,   866,   866,   867,   867,   868,   829,   592,   869,
     592,   870,   592,   871,   592,   872,   765,   892,   893,   893,
     893,   894,   894,   894,   894,   894,   895,   895,   896,   896,
     897,   897,   897,   897,   897,   897,   897,   897,   897,   898,
     898,   898,   898,   898,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   899,   899,   899,   899,   899,   899,   899,   899,   899,
     899,   900,   901,   899,   899,   899,   899,   902,   902,   902,
     902,   902,   902,   902,   902,   902,   902,   902,   902,   903,
     904,   904,   904,   905,   905,   905,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   906,   906,   906,   906,   906,   906,   906,   906,   906,
     906,   907,   907,   908,   908,   909,   910,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   662,   765,   911,   912,   913,   914,   914,   914,   914,
     914,   914,   914,   914,   915,   915,   916,   917,   917,   765,
     918,   919,   919,   919,   919,   919,   919,   919,   919,   920,
     920,   921,   592,   922,   923,   923,   923,   923,   923,   923,
     765,   924,   924,   924,   925,   926,   926,   927,   927,   928,
     929,   930,   930,   930,   930,   930,   930,   930,   930,   930,
     930,   930,   930,   930,   930,   930,   931,   932,   933,   933,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   935,
     934,   936,   934,   934,   934,   934,   937,   937,   938,   939,
     939,   940,   940,   940,   941,   941,   942,   942,   943,   943,
     943,   943,   943,   943,   943,   943,   943,   943,   943,   944,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   945,
     945,   945,   945,   945,   945,   945,   945,   945,   945,   946,
     946,   947,   948,   949,   949,   949,   950,   950,   951,   951,
     952,   953,   954,   954,   956,   955,   957,   957,   958,   958,
     959,   829,   829,   829,   829,   592,   960,   592,   961,   592,
     962,   592,   963,   592,   964,   592,   965,   592,   966,   592,
     967,   968,   968,   968,   968,   968,   968,   968,   968,   968,
     765,   969,   970,   970,   970,   971,   971,   971,   971,   971,
     971,   971,   971,   971,   971,   765,   973,   972,   974,   974,
     974,   974,   765,   975,   976,   976,   976,   976,   977,   976,
     978,   976,   976,   976,   976,   979,   979,   980,   981,   982,
     982,   982,   982,   982,   982,   982,   982,   982,   982,   982,
     982,   982,   982,   982,   982,   982,   983,   982,   984,   982,
     982,   982,   982,   982,   985,   985,   985,   986,   987,   987,
     988,   988,   989,   990,   991,   991,   991,   991,   991,   992,
     993,   993,   994,   994,   995,   996,   997,   998,   998,   998,
     999,  1000,  1000,  1001,  1001,  1002,  1003,  1004,  1004,  1004,
    1005,  1006,  1006,  1007,  1007,  1008,  1008,  1009,  1009,   829,
     829,   765,  1010,  1010,  1011,  1012,  1012,  1012,  1012,  1012,
    1012,  1013,  1013,  1014,  1015,  1016,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1018,  1018,  1018,  1018,  1019,  1019,  1020,
    1020,  1021,   829,   829,   592,  1022,   592,  1023,   765,  1024,
    1025,  1026,  1026,  1027,  1027,  1027,  1027,  1027,  1027,  1027,
    1027,  1027,  1027,  1028,  1028,  1029,  1030,  1031,  1031,  1032,
    1033,  1034,  1034,  1035,  1035,  1035,  1036,   765,  1037,  1038,
    1038,  1038,  1038,  1038,  1038,  1038,  1039,  1039,  1039,  1039,
    1039,  1039,  1040,  1040,  1041,  1041,  1043,  1042,  1044,  1044,
    1044,  1044,  1044,  1044,  1044,  1044,  1044,  1045,  1046,  1046,
    1047,  1047,   592,  1048,  1049,  1050,  1050,  1050,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   598,   598,  1051,  1052,
    1053,  1053,  1054,  1054,  1055,  1055,  1055,  1056,  1056,  1057,
    1057,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,  1058,
     598,  1059,  1059,   598,  1060,  1060,  1060,  1060,   592,  1061,
     592,  1062,   592,  1063,   592,  1064,   592,  1065,   592,  1066,
     592,  1067,   592,  1068,  1069,  1069,  1070,  1070,  1070,   765,
    1071,  1049,  1049,  1072,  1072,  1073,  1073,  1074,  1074,  1075,
    1075,  1075,  1075,  1075,  1075,  1075,   765,  1076,  1077,  1077,
    1078,  1078,  1078,  1079,  1080,  1081,  1081,  1082,  1082,  1083,
     829,   829
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       2,     0,     2,     1,     1,     5,     1,     3,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     1,     1,     1,     0,     2,     2,     2,     3,
       7,     2,     2,     5,     5,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     2,     2,     1,
       1,     1,     1,     2,     1,     1,     1,     2,     4,     1,
       3,     1,     3,     1,     3,     4,     6,     6,     0,     1,
       1,     1,     1,     1,     2,     4,     4,     2,     2,     2,
       2,     2,     4,     2,     2,     2,     0,     3,     0,     3,
       0,     0,     0,     6,     6,     1,     1,     1,     2,     1,
       2,     1,     2,     1,     0,     4,     1,     2,     1,     4,
       1,     6,     1,     8,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     0,     4,     2,     5,     0,     4,     0,     2,
       1,     1,     0,     2,     2,     4,     1,     0,     0,     7,
       0,     1,     0,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     1,     1,     3,     1,     1,     3,     1,
       1,     1,     5,     7,     5,     7,     9,     7,     5,     7,
       5,    11,     1,     1,     2,     1,     7,     9,     7,     7,
       9,     7,     9,     7,     9,     7,    15,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     3,     1,     3,     1,
       3,     1,     3,     1,     2,     2,     6,     1,     3,     0,
       4,     3,     1,     3,     3,     2,     4,     3,     4,     2,
       2,     2,     2,     0,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     1,     5,     7,     7,     1,
       0,     1,     3,     1,     4,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     0,
       4,     1,     0,     5,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     4,     1,     1,     1,     1,     1,     1,     3,
       3,     5,     7,     6,     6,     6,     6,     4,     8,     4,
       1,     1,     4,     1,     1,     1,     5,     3,     2,     1,
       3,     4,     6,     0,     0,     0,     9,     4,     3,     4,
       4,     5,     5,     3,     3,     3,     2,     5,     0,     5,
       7,     9,     0,     1,     1,     1,     1,     4,     5,     1,
       3,     1,     1,     1,     3,     1,     5,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       3,     0,     1,     2,     2,     4,     4,     3,     3,     0,
       3,     0,     3,     1,     1,     1,     0,     1,     2,     3,
       0,     2,     2,     2,     3,     2,     2,     2,     1,     2,
       2,     2,     3,     3,     3,     2,     4,     3,     1,     2,
       0,     3,     0,     3,     0,     3,     1,     2,     1,     1,
       1,     0,     2,     2,     2,     2,     2,     1,     1,     3,
       3,     3,     1,     1,     1,     1,     1,     2,     4,     3,
       4,     4,     3,     4,     4,     3,     0,     1,     2,     0,
       1,     3,     1,     3,     1,     0,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     5,     0,     3,     1,     1,
       3,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     3,     1,     1,     1,     4,     1,     0,
       3,     5,     2,     1,     1,     2,     0,     5,     5,     5,
       5,     4,     4,     4,     4,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     1,     1,     1,     1,     0,
       2,     4,     4,     4,     2,     2,     1,     0,     3,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     4,     0,     2,     2,     2,     2,     2,     2,
       1,     3,     1,     3,     1,     3,     1,     3,     1,     3,
       1,     3,     1,     3,     1,     3,     1,     4,     1,     3,
       1,     4,     1,     1,     3,     0,     1,     1,     4,     1,
       4,     1,     4,     1,     3,     1,     4,     1,     4,     1,
       3,     2,     2,     1,     4,     1,     2,     1,     1,     1,
       1,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       1,     0,     3,     0,     3,     0,     3,     3,     2,     2,
       0,     3,     0,     3,     0,     3,     1,     1,     1,     1,
       1,     1,     2,     3,     3,     3,     3,     0,     3,     0,
       3,     0,     2,     0,     2,     2,     2,     1,     5,     1,
       2,     1,     1,     3,     3,     0,     4,     0,     3,     5,
       1,     3,     3,     1,     1,     1,     1,     2,     1,     2,
       2,     2,     2,     3,     0,     3,     5,     1,     1,     1,
       1,     0,     2,     0,     0,     2,     4,     4,     4,     2,
       2,     2,     1,     1,     1,     2,     2,     3,     3,     0,
       3,     0,     3,     4,     3,     0,     2,     2,     0,     2,
       0,     2,     4,     1,     5,     1,     2,     1,     1,     2,
       4,     0,     3,     5,     0,     0,     0,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     3,
       4,     4,     4,     2,     2,     3,     3,     3,     3,     3,
       3,     1,     0,     3,     0,     3,     4,     1,     1,     6,
       1,     6,     1,     6,     1,     6,     2,     2,     0,     3,
       3,     0,     3,     3,     2,     2,     1,     3,     1,     3,
       1,     3,     2,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     4,     6,
       4,     6,     6,     4,     6,     5,     5,     4,     5,     5,
       6,     6,     3,     3,     4,     5,     6,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     5,     6,     6,     6,
       5,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     4,     4,     4,     4,     5,     5,     6,     5,     5,
       6,     5,     5,     6,     7,     7,     7,     5,     5,     4,
       4,     0,     0,     6,     6,     5,     5,     1,     1,     2,
       2,     2,     2,     2,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     4,     4,
       4,     2,     3,     2,     2,     2,     2,     3,     5,     5,
       4,     3,     3,     3,     3,     3,     2,     2,     2,     3,
       3,     0,     3,     0,     3,     0,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     6,     1,     1,     3,     2,     1,     1,     1,     2,
       3,     3,     3,     3,     0,     3,     5,     1,     3,     1,
       2,     1,     2,     2,     2,     1,     2,     2,     4,     0,
       3,     5,     1,     4,     0,     3,     3,     3,     2,     3,
       2,     1,     2,     2,     2,     3,     3,     0,     1,     2,
       3,     1,     1,     2,     2,     3,     3,     3,     3,     4,
       2,     4,     3,     2,     3,     1,     2,     4,     0,     3,
       2,     1,     2,     3,     3,     3,     3,     2,     3,     0,
       5,     0,     5,     2,     2,     1,     4,     1,     1,     0,
       3,     2,     2,     2,     5,     2,     0,     3,     0,     2,
       2,     3,     2,     2,     3,     2,     2,     2,     1,     3,
       2,     2,     2,     2,     2,     2,     3,     2,     2,     2,
       2,     2,     2,     2,     2,     3,     3,     3,     3,     2,
       3,     2,     3,     3,     4,     4,     2,     2,     2,     3,
       3,     3,     2,     3,     3,     3,     4,     2,     1,     0,
       2,     3,     1,     0,     1,     2,     0,     2,     0,     1,
       3,     0,     0,     2,     0,     3,     0,     3,     0,     3,
       3,     1,     1,     1,     1,     1,     4,     1,     6,     1,
       6,     1,     6,     1,     7,     1,     6,     1,     7,     1,
       5,     0,     2,     3,     2,     3,     3,     2,     3,     2,
       2,     2,     3,     3,     3,     1,     3,     3,     2,     3,
       3,     2,     2,     2,     2,     2,     0,     4,     2,     3,
       3,     5,     1,     2,     1,     1,     2,     2,     0,     3,
       0,     3,     6,     2,     3,     0,     3,     5,     0,     4,
       4,     3,     4,     2,     3,     3,     3,     3,     4,     4,
       4,     3,     3,     4,     4,     2,     0,     3,     0,     3,
       6,     3,     3,     4,     1,     1,     1,     0,     0,     3,
       0,     3,     4,     1,     2,     2,     2,     4,     4,     0,
       0,     3,     0,     3,     3,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     0,     0,     2,     2,
       0,     0,     3,     1,     5,     1,     2,     0,     2,     1,
       1,     1,     1,     2,     2,     1,     1,     2,     4,     2,
       2,     0,     3,     5,     0,     0,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     2,     3,     3,     4,     3,
       2,     2,     1,     1,     1,     1,     1,     0,     3,     0,
       3,     4,     1,     1,     1,     6,     1,     6,     1,     2,
       5,     0,     3,     1,     1,     2,     3,     1,     2,     3,
       3,     3,     4,     0,     1,     2,     1,     2,     6,     0,
       0,     0,     3,     4,     4,     2,     0,     2,     2,     3,
       3,     3,     3,     5,     5,     4,     3,     2,     3,     3,
       3,     3,     1,     2,     0,     2,     0,     4,     2,     3,
       5,     1,     2,     2,     2,     2,     2,     1,     0,     2,
       0,     3,     1,     4,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     0,     5,
       2,     0,     0,     2,     2,     2,     1,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     1,     3,     4,     3,     3,     1,     4,
       1,     5,     1,     3,     1,     3,     1,     3,     1,     4,
       1,     2,     1,     3,     0,     1,     0,     1,     2,     2,
       2,     3,     3,     1,     1,     0,     2,     1,     1,     1,
       1,     2,     3,     2,     3,     4,     2,     2,     3,     3,
       1,     2,     3,     0,     2,     0,     3,     0,     3,     3,
       1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 539: /* config: conf_entries END  */
#line 146 "conf/confbase.Y"
                         { return 0; }
#line 7814 "obj/conf/cf-parse.tab.c"
    break;

  case 540: /* config: CLI_MARKER cli_cmd  */
#line 147 "conf/confbase.Y"
                      { return 0; }
#line 7820 "obj/conf/cf-parse.tab.c"
    break;

  case 545: /* definition: DEFINE symbol '=' term ';'  */
#line 163 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 7830 "obj/conf/cf-parse.tab.c"
    break;

  case 547: /* expr: '(' term ')'  */
#line 172 "conf/confbase.Y"
                { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 7836 "obj/conf/cf-parse.tab.c"
    break;

  case 548: /* expr: symbol_known  */
#line 173 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 7844 "obj/conf/cf-parse.tab.c"
    break;

  case 549: /* expr_us: expr S  */
#line 179 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 7850 "obj/conf/cf-parse.tab.c"
    break;

  case 550: /* expr_us: expr MS  */
#line 180 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 7856 "obj/conf/cf-parse.tab.c"
    break;

  case 551: /* expr_us: expr US  */
#line 181 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 7862 "obj/conf/cf-parse.tab.c"
    break;

  case 556: /* bool: expr  */
#line 190 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 7868 "obj/conf/cf-parse.tab.c"
    break;

  case 557: /* bool: ON  */
#line 191 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 7874 "obj/conf/cf-parse.tab.c"
    break;

  case 558: /* bool: YES  */
#line 192 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 7880 "obj/conf/cf-parse.tab.c"
    break;

  case 559: /* bool: OFF  */
#line 193 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 7886 "obj/conf/cf-parse.tab.c"
    break;

  case 560: /* bool: NO  */
#line 194 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 7892 "obj/conf/cf-parse.tab.c"
    break;

  case 561: /* bool: %empty  */
#line 195 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 7898 "obj/conf/cf-parse.tab.c"
    break;

  case 562: /* ipa: IP4  */
#line 202 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 7904 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* ipa: IP6  */
#line 203 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 7910 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* ipa: CF_SYM_KNOWN  */
#line 204 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 7919 "obj/conf/cf-parse.tab.c"
    break;

  case 565: /* ipa_scope: %empty  */
#line 211 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 7925 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* ipa_scope: '%' symbol  */
#line 212 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 7931 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* pxlen4: '/' NUM  */
#line 219 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 7940 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* net_ip4_: IP4 pxlen4  */
#line 226 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 7953 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* net_ip6_: IP6 '/' NUM  */
#line 236 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 7969 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 249 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 7991 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* net_vpn4_: VPN_RD net_ip4_  */
#line 268 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8000 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* net_vpn6_: VPN_RD net_ip6_  */
#line 274 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8009 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 280 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8020 "obj/conf/cf-parse.tab.c"
    break;

  case 574: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 288 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8031 "obj/conf/cf-parse.tab.c"
    break;

  case 575: /* net_mpls_: MPLS NUM  */
#line 296 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8040 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* net_: net_ip_  */
#line 306 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8046 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* net_ip4: CF_SYM_KNOWN  */
#line 319 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8056 "obj/conf/cf-parse.tab.c"
    break;

  case 591: /* net_ip6: CF_SYM_KNOWN  */
#line 328 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8066 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* net_ip: CF_SYM_KNOWN  */
#line 337 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8076 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* net_any: CF_SYM_KNOWN  */
#line 346 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8086 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* net_or_ipa: IP4  */
#line 356 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8092 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* net_or_ipa: IP6  */
#line 357 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8098 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* net_or_ipa: CF_SYM_KNOWN  */
#line 358 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8111 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* label_stack_start: NUM  */
#line 369 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8121 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* label_stack: label_stack '/' NUM  */
#line 377 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8132 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* time: TEXT  */
#line 386 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8142 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* text: CF_SYM_KNOWN  */
#line 395 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8151 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* opttext: %empty  */
#line 403 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 8157 "obj/conf/cf-parse.tab.c"
    break;

  case 609: /* text_or_ipa: TEXT  */
#line 407 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8163 "obj/conf/cf-parse.tab.c"
    break;

  case 610: /* text_or_ipa: IP4  */
#line 408 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8169 "obj/conf/cf-parse.tab.c"
    break;

  case 611: /* text_or_ipa: IP6  */
#line 409 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8175 "obj/conf/cf-parse.tab.c"
    break;

  case 612: /* text_or_ipa: CF_SYM_KNOWN  */
#line 410 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8187 "obj/conf/cf-parse.tab.c"
    break;

  case 613: /* text_or_ipa: '(' term ')'  */
#line 417 "conf/confbase.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8197 "obj/conf/cf-parse.tab.c"
    break;

  case 615: /* bytestring: bytestring_expr  */
#line 426 "conf/confbase.Y"
                   { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8203 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* bytestring_text: BYTETEXT  */
#line 430 "conf/confbase.Y"
            { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8209 "obj/conf/cf-parse.tab.c"
    break;

  case 617: /* bytestring_text: TEXT  */
#line 431 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8215 "obj/conf/cf-parse.tab.c"
    break;

  case 618: /* bytestring_text: bytestring_expr  */
#line 432 "conf/confbase.Y"
                   {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8225 "obj/conf/cf-parse.tab.c"
    break;

  case 621: /* bytestring_expr: '(' term ')'  */
#line 442 "conf/confbase.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 8231 "obj/conf/cf-parse.tab.c"
    break;

  case 622: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 8237 "obj/conf/cf-parse.tab.c"
    break;

  case 623: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 8243 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 8249 "obj/conf/cf-parse.tab.c"
    break;

  case 625: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 8255 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 8261 "obj/conf/cf-parse.tab.c"
    break;

  case 627: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 8267 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 8273 "obj/conf/cf-parse.tab.c"
    break;

  case 629: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 8279 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 8285 "obj/conf/cf-parse.tab.c"
    break;

  case 631: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 8291 "obj/conf/cf-parse.tab.c"
    break;

  case 632: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8297 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8303 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8309 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8315 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8321 "obj/conf/cf-parse.tab.c"
    break;

  case 637: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8327 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8333 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8339 "obj/conf/cf-parse.tab.c"
    break;

  case 640: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8345 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8351 "obj/conf/cf-parse.tab.c"
    break;

  case 642: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8357 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8363 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8369 "obj/conf/cf-parse.tab.c"
    break;

  case 645: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8375 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8381 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8390 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8399 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8408 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8419 "obj/conf/cf-parse.tab.c"
    break;

  case 655: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8428 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8437 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8446 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 8452 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 8458 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 8464 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 8470 "obj/conf/cf-parse.tab.c"
    break;

  case 662: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 8476 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 8482 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8490 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8498 "obj/conf/cf-parse.tab.c"
    break;

  case 666: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8506 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8515 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 8524 "obj/conf/cf-parse.tab.c"
    break;

  case 672: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 8535 "obj/conf/cf-parse.tab.c"
    break;

  case 680: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 8546 "obj/conf/cf-parse.tab.c"
    break;

  case 681: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 8552 "obj/conf/cf-parse.tab.c"
    break;

  case 682: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 8558 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 8567 "obj/conf/cf-parse.tab.c"
    break;

  case 684: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 8576 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* $@1: %empty  */
#line 402 "filter/config.Y"
                 {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 8586 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* filter_def: FILTER symbol $@1 filter_body  */
#line 406 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 8598 "obj/conf/cf-parse.tab.c"
    break;

  case 697: /* filter_eval: EVAL term  */
#line 417 "filter/config.Y"
             { cf_eval_int((yyvsp[0].x)); }
#line 8604 "obj/conf/cf-parse.tab.c"
    break;

  case 699: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 421 "filter/config.Y"
                                       {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 8612 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* bt_test_suite: BT_TEST_SUITE '(' symbol_known ',' text ')'  */
#line 427 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 8626 "obj/conf/cf-parse.tab.c"
    break;

  case 703: /* bt_test_same: BT_TEST_SAME '(' symbol_known ',' symbol_known ',' NUM ')'  */
#line 440 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 8642 "obj/conf/cf-parse.tab.c"
    break;

  case 704: /* type: INT  */
#line 454 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 8648 "obj/conf/cf-parse.tab.c"
    break;

  case 705: /* type: BOOL  */
#line 455 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 8654 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* type: IP  */
#line 456 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 8660 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* type: RD  */
#line 457 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 8666 "obj/conf/cf-parse.tab.c"
    break;

  case 708: /* type: PREFIX  */
#line 458 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 8672 "obj/conf/cf-parse.tab.c"
    break;

  case 709: /* type: PAIR  */
#line 459 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 8678 "obj/conf/cf-parse.tab.c"
    break;

  case 710: /* type: QUAD  */
#line 460 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 8684 "obj/conf/cf-parse.tab.c"
    break;

  case 711: /* type: EC  */
#line 461 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 8690 "obj/conf/cf-parse.tab.c"
    break;

  case 712: /* type: LC  */
#line 462 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 8696 "obj/conf/cf-parse.tab.c"
    break;

  case 713: /* type: STRING  */
#line 463 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 8702 "obj/conf/cf-parse.tab.c"
    break;

  case 714: /* type: BYTESTRING  */
#line 464 "filter/config.Y"
              { (yyval.i) = T_BYTESTRING; }
#line 8708 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* type: BGPMASK  */
#line 465 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 8714 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* type: BGPPATH  */
#line 466 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 8720 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* type: CLIST  */
#line 467 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 8726 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* type: ECLIST  */
#line 468 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 8732 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* type: LCLIST  */
#line 469 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 8738 "obj/conf/cf-parse.tab.c"
    break;

  case 720: /* type: ROUTE  */
#line 470 "filter/config.Y"
         { (yyval.i) = T_ROUTE; }
#line 8744 "obj/conf/cf-parse.tab.c"
    break;

  case 721: /* type: type SET  */
#line 471 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 8769 "obj/conf/cf-parse.tab.c"
    break;

  case 722: /* function_argsn: %empty  */
#line 494 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 8775 "obj/conf/cf-parse.tab.c"
    break;

  case 723: /* function_argsn: function_argsn type symbol ';'  */
#line 495 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8786 "obj/conf/cf-parse.tab.c"
    break;

  case 724: /* function_args: '(' ')'  */
#line 504 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 8792 "obj/conf/cf-parse.tab.c"
    break;

  case 725: /* function_args: '(' function_argsn type symbol ')'  */
#line 505 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 8802 "obj/conf/cf-parse.tab.c"
    break;

  case 726: /* function_vars: %empty  */
#line 513 "filter/config.Y"
               { (yyval.i) = 0; }
#line 8808 "obj/conf/cf-parse.tab.c"
    break;

  case 727: /* function_vars: function_vars type symbol ';'  */
#line 514 "filter/config.Y"
                                 {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 8817 "obj/conf/cf-parse.tab.c"
    break;

  case 728: /* function_type: %empty  */
#line 521 "filter/config.Y"
               { (yyval.i) = T_VOID; }
#line 8823 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* function_type: IMP type  */
#line 522 "filter/config.Y"
            { (yyval.i) = (yyvsp[0].i); }
#line 8829 "obj/conf/cf-parse.tab.c"
    break;

  case 731: /* filter: symbol_known  */
#line 528 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 8838 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* $@2: %empty  */
#line 532 "filter/config.Y"
   {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 8847 "obj/conf/cf-parse.tab.c"
    break;

  case 733: /* filter: $@2 filter_body  */
#line 535 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 8859 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* where_filter: WHERE term  */
#line 545 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 8868 "obj/conf/cf-parse.tab.c"
    break;

  case 735: /* function_body: function_vars '{' cmds '}'  */
#line 552 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 8877 "obj/conf/cf-parse.tab.c"
    break;

  case 737: /* $@3: %empty  */
#line 561 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 8887 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* $@4: %empty  */
#line 565 "filter/config.Y"
                                 {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 8909 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* function_def: FUNCTION symbol $@3 function_args function_type $@4 function_body  */
#line 581 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 8921 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* cmds: %empty  */
#line 592 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 8927 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* cmds: cmds_int  */
#line 593 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 8933 "obj/conf/cf-parse.tab.c"
    break;

  case 742: /* $@5: %empty  */
#line 596 "filter/config.Y"
             { cf_push_soft_scope(new_config); }
#line 8939 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* cmds_scoped: $@5 cmds  */
#line 596 "filter/config.Y"
                                                      { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 8945 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* cmd_prep: cmd_var  */
#line 600 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 8956 "obj/conf/cf-parse.tab.c"
    break;

  case 748: /* cmds_int: cmds_int cmd_prep  */
#line 609 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 8972 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* fipa: IP4  */
#line 626 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8978 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* fipa: IP6  */
#line 627 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8984 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* set_atom: NUM  */
#line 640 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 8990 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* set_atom: fipa  */
#line 641 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 8996 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* set_atom: VPN_RD  */
#line 642 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 9002 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* set_atom: ENUM  */
#line 643 "filter/config.Y"
          { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9008 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* set_atom: '(' term ')'  */
#line 644 "filter/config.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type)) cf_error("Set-incompatible type");
   }
#line 9017 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* set_atom: symbol_known  */
#line 648 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s)))) cf_error("%s: set-incompatible type", (yyvsp[0].s)->name);
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9027 "obj/conf/cf-parse.tab.c"
    break;

  case 757: /* switch_atom: NUM  */
#line 656 "filter/config.Y"
         { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9033 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* switch_atom: '(' term ')'  */
#line 657 "filter/config.Y"
                { (yyval.v) = cf_eval((yyvsp[-1].x), T_INT); }
#line 9039 "obj/conf/cf-parse.tab.c"
    break;

  case 759: /* switch_atom: fipa  */
#line 658 "filter/config.Y"
         { (yyval.v) = (yyvsp[0].v); }
#line 9045 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* switch_atom: ENUM  */
#line 659 "filter/config.Y"
         { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9051 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* cnum: term  */
#line 663 "filter/config.Y"
        { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9057 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* pair_item: '(' cnum ',' cnum ')'  */
#line 666 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9063 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 667 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9069 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* pair_item: '(' cnum ',' '*' ')'  */
#line 668 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9075 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 669 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9081 "obj/conf/cf-parse.tab.c"
    break;

  case 766: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 670 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9087 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 671 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9093 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* pair_item: '(' '*' ',' cnum ')'  */
#line 672 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9099 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 673 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9105 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* pair_item: '(' '*' ',' '*' ')'  */
#line 674 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9111 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 676 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9117 "obj/conf/cf-parse.tab.c"
    break;

  case 772: /* ec_kind: RT  */
#line 680 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 9123 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* ec_kind: RO  */
#line 681 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 9129 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* ec_kind: UNKNOWN NUM  */
#line 682 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 9135 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* ec_kind: GENERIC  */
#line 683 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 9141 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 687 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9147 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 688 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9153 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 689 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9159 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 693 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9165 "obj/conf/cf-parse.tab.c"
    break;

  case 780: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 694 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9171 "obj/conf/cf-parse.tab.c"
    break;

  case 781: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 695 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9177 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 696 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9183 "obj/conf/cf-parse.tab.c"
    break;

  case 783: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 697 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9189 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 698 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9195 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 699 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9201 "obj/conf/cf-parse.tab.c"
    break;

  case 786: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 701 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9207 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* set_item: set_atom  */
#line 708 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9213 "obj/conf/cf-parse.tab.c"
    break;

  case 791: /* set_item: set_atom DDOT set_atom  */
#line 709 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9219 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* switch_item: switch_atom  */
#line 716 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9225 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* switch_item: switch_atom DDOT switch_atom  */
#line 717 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9231 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* ec_items: ec_items ',' ec_item  */
#line 722 "filter/config.Y"
                        { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9237 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* set_items: set_items ',' set_item  */
#line 727 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9243 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* switch_items: switch_items ',' switch_item  */
#line 732 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9249 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* fprefix: net_ip_  */
#line 736 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9255 "obj/conf/cf-parse.tab.c"
    break;

  case 804: /* fprefix: net_ip_ '+'  */
#line 737 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9261 "obj/conf/cf-parse.tab.c"
    break;

  case 805: /* fprefix: net_ip_ '-'  */
#line 738 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9267 "obj/conf/cf-parse.tab.c"
    break;

  case 806: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 739 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9277 "obj/conf/cf-parse.tab.c"
    break;

  case 807: /* fprefix_set: fprefix  */
#line 747 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9283 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* fprefix_set: fprefix_set ',' fprefix  */
#line 748 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9289 "obj/conf/cf-parse.tab.c"
    break;

  case 809: /* switch_body: %empty  */
#line 751 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 9295 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 752 "filter/config.Y"
                                             {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9307 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 759 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9319 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* bgp_path_expr: symbol_value  */
#line 769 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 9325 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* bgp_path_expr: '(' term ')'  */
#line 770 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 9331 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* bgp_path: PO bgp_path_tail PC  */
#line 774 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 9337 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* bgp_path_tail: NUM bgp_path_tail  */
#line 778 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9343 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 779 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9349 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 780 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9355 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 781 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9364 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* bgp_path_tail: '*' bgp_path_tail  */
#line 785 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9370 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* bgp_path_tail: '?' bgp_path_tail  */
#line 786 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9376 "obj/conf/cf-parse.tab.c"
    break;

  case 821: /* bgp_path_tail: '+' bgp_path_tail  */
#line 787 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9382 "obj/conf/cf-parse.tab.c"
    break;

  case 822: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 788 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9388 "obj/conf/cf-parse.tab.c"
    break;

  case 823: /* bgp_path_tail: %empty  */
#line 789 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 9394 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* constant: NUM  */
#line 793 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9400 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* constant: TRUE  */
#line 794 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9406 "obj/conf/cf-parse.tab.c"
    break;

  case 826: /* constant: FALSE  */
#line 795 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9412 "obj/conf/cf-parse.tab.c"
    break;

  case 827: /* constant: TEXT  */
#line 796 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9418 "obj/conf/cf-parse.tab.c"
    break;

  case 828: /* constant: BYTETEXT  */
#line 797 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9424 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* constant: fipa  */
#line 798 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9430 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* constant: VPN_RD  */
#line 799 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 9436 "obj/conf/cf-parse.tab.c"
    break;

  case 831: /* constant: net_  */
#line 800 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9442 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* constant: '[' ']'  */
#line 801 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9448 "obj/conf/cf-parse.tab.c"
    break;

  case 833: /* constant: '[' set_items ']'  */
#line 802 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9458 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* constant: '[' fprefix_set ']'  */
#line 807 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9464 "obj/conf/cf-parse.tab.c"
    break;

  case 835: /* constant: ENUM  */
#line 808 "filter/config.Y"
          { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9470 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* constructor: '(' term ',' term ')'  */
#line 812 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9476 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 813 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9482 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* constructor: '(' term ',' term ',' term ')'  */
#line 814 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9488 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* constructor: bgp_path  */
#line 815 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9494 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* var_list_r: %empty  */
#line 821 "filter/config.Y"
               { (yyval.x) = NULL; }
#line 9500 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* var_list_r: term  */
#line 822 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 9506 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* var_list_r: var_list_r ',' term  */
#line 823 "filter/config.Y"
                       { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9512 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* var_list: var_list_r  */
#line 827 "filter/config.Y"
   {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9529 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* function_call: symbol_known '(' var_list ')'  */
#line 843 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 9540 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* symbol_value: symbol_known  */
#line 852 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 9560 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* static_attr: FROM  */
#line 870 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 9566 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* static_attr: GW  */
#line 871 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 9572 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* static_attr: NET  */
#line 872 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 9578 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* static_attr: PROTO  */
#line 873 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 9584 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* static_attr: SOURCE  */
#line 874 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 9590 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* static_attr: SCOPE  */
#line 875 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 9596 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* static_attr: DEST  */
#line 876 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 9602 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* static_attr: IFNAME  */
#line 877 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 9608 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* static_attr: IFINDEX  */
#line 878 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 9614 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* static_attr: WEIGHT  */
#line 879 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 9620 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* static_attr: PREFERENCE  */
#line 880 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 9626 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* static_attr: GW_MPLS  */
#line 881 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 9632 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* static_attr: ONLINK  */
#line 882 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 9638 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* $@6: %empty  */
#line 885 "filter/config.Y"
                          { f_method_call_start((yyvsp[-1].x)); }
#line 9644 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* term_dot_method: term '.' $@6 method_name_cont  */
#line 885 "filter/config.Y"
                                                                        { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 9650 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* method_name_cont: CF_SYM_METHOD_BARE  */
#line 887 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 9658 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* $@7: %empty  */
#line 890 "filter/config.Y"
                      {
     f_method_call_args();
   }
#line 9666 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* method_name_cont: CF_SYM_METHOD_ARGS $@7 '(' var_list ')'  */
#line 892 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 9674 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* method_name_cont: static_attr  */
#line 895 "filter/config.Y"
               {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 9684 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* method_name_cont: dynamic_attr  */
#line 900 "filter/config.Y"
                {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 9694 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* term: '(' term ')'  */
#line 908 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 9700 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* term: term '+' term  */
#line 909 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9706 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* term: term '-' term  */
#line 910 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9712 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* term: term '*' term  */
#line 911 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9718 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* term: term '/' term  */
#line 912 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9724 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* term: term AND term  */
#line 913 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9730 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* term: term OR term  */
#line 914 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9736 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* term: term '=' term  */
#line 915 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9742 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* term: term NEQ term  */
#line 916 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9748 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* term: term '<' term  */
#line 917 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9754 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* term: term LEQ term  */
#line 918 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9760 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* term: term '>' term  */
#line 919 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9766 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* term: term GEQ term  */
#line 920 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 9772 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* term: term '~' term  */
#line 921 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9778 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* term: term NMA term  */
#line 922 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 9784 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* term: '!' term  */
#line 923 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 9790 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* term: DEFINED '(' term ')'  */
#line 924 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 9796 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* term: symbol_value  */
#line 926 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 9802 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* term: constant  */
#line 927 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 9808 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* term: constructor  */
#line 928 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 9814 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* term: static_attr  */
#line 930 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 9820 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* term: dynamic_attr  */
#line 932 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 9826 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* term: '+' EMPTY '+'  */
#line 936 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 9832 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* term: '-' EMPTY '-'  */
#line 937 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 9838 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* term: '-' '-' EMPTY '-' '-'  */
#line 938 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 9844 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 939 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 9850 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* term: PREPEND '(' term ',' term ')'  */
#line 941 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9856 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* term: ADD '(' term ',' term ')'  */
#line 942 "filter/config.Y"
                             { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9862 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* term: DELETE '(' term ',' term ')'  */
#line 943 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9868 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* term: FILTER '(' term ',' term ')'  */
#line 944 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9874 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* term: ROA_CHECK '(' rtable ')'  */
#line 946 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 9880 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 947 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 9886 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* term: FORMAT '(' term ')'  */
#line 949 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 9892 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* term_bs: FROM_HEX '(' term ')'  */
#line 956 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 9898 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* break_command: ACCEPT  */
#line 960 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 9904 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* break_command: REJECT  */
#line 961 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 9910 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* break_command: ERROR  */
#line 962 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 9916 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* var: type symbol '=' term ';'  */
#line 966 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 9925 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* var: type symbol ';'  */
#line 970 "filter/config.Y"
                   {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 9934 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* for_var: type symbol  */
#line 977 "filter/config.Y"
               { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 9940 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* for_var: CF_SYM_KNOWN  */
#line 978 "filter/config.Y"
                { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 9946 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* cmd: '{' cmds_scoped '}'  */
#line 982 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 9954 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* cmd: IF term THEN cmd  */
#line 985 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 9962 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* cmd: IF term THEN cmd ELSE cmd  */
#line 988 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 9970 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* $@8: %empty  */
#line 991 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 9980 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* $@9: %empty  */
#line 997 "filter/config.Y"
   { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 9986 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* $@10: %empty  */
#line 999 "filter/config.Y"
   { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 9992 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* cmd: FOR $@8 for_var IN $@9 term $@10 DO cmd  */
#line 1000 "filter/config.Y"
          {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10001 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* cmd: symbol_known '=' term ';'  */
#line 1004 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10018 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* cmd: RETURN term ';'  */
#line 1016 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10039 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* cmd: dynamic_attr '=' term ';'  */
#line 1032 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10047 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* cmd: static_attr '=' term ';'  */
#line 1035 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10057 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 1040 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10065 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* cmd: UNSET '(' symbol_known ')' ';'  */
#line 1043 "filter/config.Y"
                                  {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10079 "obj/conf/cf-parse.tab.c"
    break;

  case 923: /* cmd: break_command var_list_r ';'  */
#line 1052 "filter/config.Y"
                                {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10087 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* cmd: PRINT var_list_r ';'  */
#line 1055 "filter/config.Y"
                        {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10095 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* cmd: PRINTN var_list_r ';'  */
#line 1058 "filter/config.Y"
                         {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10103 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* cmd: function_call ';'  */
#line 1061 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10109 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* cmd: CASE term '{' switch_body '}'  */
#line 1062 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10117 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* $@11: %empty  */
#line 1065 "filter/config.Y"
              {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10125 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* cmd: lvalue '.' $@11 method_name_cont ';'  */
#line 1067 "filter/config.Y"
                          {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10134 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 1071 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10140 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 1072 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10146 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* get_cf_position: %empty  */
#line 1076 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 10154 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* lvalue: CF_SYM_KNOWN  */
#line 1081 "filter/config.Y"
                {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10172 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* lvalue: static_attr  */
#line 1094 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10178 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* lvalue: dynamic_attr  */
#line 1095 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10184 "obj/conf/cf-parse.tab.c"
    break;

  case 937: /* rtrid: ROUTER ID idval ';'  */
#line 166 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 10190 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 167 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 10196 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* idval: NUM  */
#line 171 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 10202 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* idval: '(' term ')'  */
#line 172 "nest/config.Y"
                { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10208 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* idval: IP4  */
#line 173 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10214 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* idval: CF_SYM_KNOWN  */
#line 174 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10227 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* hostname_override: HOSTNAME text ';'  */
#line 186 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 10233 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 190 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 10239 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* net_type_base: IPV4  */
#line 196 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 10245 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* net_type_base: IPV6  */
#line 197 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 10251 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* net_type_base: IPV6 SADR  */
#line 198 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 10257 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* net_type_base: VPN4  */
#line 199 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 10263 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* net_type_base: VPN6  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 10269 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* net_type_base: ROA4  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 10275 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* net_type_base: ROA6  */
#line 202 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 10281 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* net_type_base: FLOW4  */
#line 203 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 10287 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* net_type_base: FLOW6  */
#line 204 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 10293 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* net_type: MPLS  */
#line 209 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 10299 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* table_start: net_type TABLE symbol  */
#line 221 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10307 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* table_sorted: SORTED  */
#line 228 "nest/config.Y"
          { this_table->sorted = 1; }
#line 10313 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* table_opt: SORTED bool  */
#line 232 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 10319 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* table_opt: TRIE bool  */
#line 233 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10329 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* table_opt: MIN SETTLE TIME expr_us  */
#line 238 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 10335 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* table_opt: MAX SETTLE TIME expr_us  */
#line 239 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 10341 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* table_opt: GC THRESHOLD expr  */
#line 240 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 10347 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* table_opt: GC PERIOD expr_us  */
#line 241 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10353 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* conf: proto  */
#line 257 "nest/config.Y"
            { proto_postconfig(); }
#line 10359 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* proto_start: PROTOCOL  */
#line 260 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 10365 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* proto_start: TEMPLATE  */
#line 261 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 10371 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* proto_name: %empty  */
#line 265 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10382 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* proto_name: symbol  */
#line 271 "nest/config.Y"
          {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10391 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* proto_name: FROM CF_SYM_KNOWN  */
#line 275 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10406 "obj/conf/cf-parse.tab.c"
    break;

  case 979: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 285 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10419 "obj/conf/cf-parse.tab.c"
    break;

  case 981: /* proto_item: DISABLED bool  */
#line 297 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 10425 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* proto_item: DEBUG debug_mask  */
#line 298 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 10431 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* proto_item: MRTDUMP mrtdump_mask  */
#line 299 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 10437 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* proto_item: ROUTER ID idval  */
#line 300 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 10443 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* proto_item: DESCRIPTION text  */
#line 301 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 10449 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* proto_item: VRF text  */
#line 302 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10455 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* proto_item: VRF DEFAULT  */
#line 303 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10461 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* channel_start: net_type_base  */
#line 308 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10469 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* channel_item_: TABLE rtable  */
#line 313 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10479 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* channel_item_: IMPORT imexport  */
#line 318 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 10485 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* channel_item_: EXPORT imexport  */
#line 319 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 10491 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 320 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10497 "obj/conf/cf-parse.tab.c"
    break;

  case 993: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 321 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 10503 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 322 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 10509 "obj/conf/cf-parse.tab.c"
    break;

  case 995: /* channel_item_: PREFERENCE expr  */
#line 323 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 10515 "obj/conf/cf-parse.tab.c"
    break;

  case 996: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 324 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 10521 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* channel_item_: RPKI RELOAD bool  */
#line 325 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 10527 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* channel_item: DEBUG debug_mask  */
#line 331 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 10533 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* channel_end: %empty  */
#line 345 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 10544 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* rtable: CF_SYM_KNOWN  */
#line 355 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 10550 "obj/conf/cf-parse.tab.c"
    break;

  case 1007: /* imexport: FILTER filter  */
#line 358 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 10556 "obj/conf/cf-parse.tab.c"
    break;

  case 1009: /* imexport: ALL  */
#line 360 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 10562 "obj/conf/cf-parse.tab.c"
    break;

  case 1010: /* imexport: NONE  */
#line 361 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 10568 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* limit_action: %empty  */
#line 365 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 10574 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* limit_action: ACTION WARN  */
#line 366 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 10580 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* limit_action: ACTION BLOCK  */
#line 367 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 10586 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* limit_action: ACTION RESTART  */
#line 368 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 10592 "obj/conf/cf-parse.tab.c"
    break;

  case 1015: /* limit_action: ACTION DISABLE  */
#line 369 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 10598 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* limit_spec: expr limit_action  */
#line 373 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 10604 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* limit_spec: OFF  */
#line 374 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 10610 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 381 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 10616 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 382 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 10622 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* debug_default: DEBUG COMMANDS expr  */
#line 383 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 10628 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* timeformat_which: ROUTE  */
#line 391 "nest/config.Y"
         { (yyval.tf) = &new_config->tf_route; }
#line 10634 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* timeformat_which: PROTOCOL  */
#line 392 "nest/config.Y"
            { (yyval.tf) = &new_config->tf_proto; }
#line 10640 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* timeformat_which: BASE  */
#line 393 "nest/config.Y"
        { (yyval.tf) = &new_config->tf_base; }
#line 10646 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* timeformat_which: LOG  */
#line 394 "nest/config.Y"
       { (yyval.tf) = &new_config->tf_log; }
#line 10652 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* timeformat_spec: timeformat_which TEXT  */
#line 398 "nest/config.Y"
                         { *(yyvsp[-1].tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 10658 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* timeformat_spec: timeformat_which TEXT expr TEXT  */
#line 399 "nest/config.Y"
                                   { *(yyvsp[-3].tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 10664 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* timeformat_spec: timeformat_which ISO SHORT  */
#line 400 "nest/config.Y"
                                 { *(yyvsp[-2].tf) = TM_ISO_SHORT_S; }
#line 10670 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* timeformat_spec: timeformat_which ISO SHORT MS  */
#line 401 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_MS; }
#line 10676 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* timeformat_spec: timeformat_which ISO SHORT US  */
#line 402 "nest/config.Y"
                                 { *(yyvsp[-3].tf) = TM_ISO_SHORT_US; }
#line 10682 "obj/conf/cf-parse.tab.c"
    break;

  case 1032: /* timeformat_spec: timeformat_which ISO LONG  */
#line 403 "nest/config.Y"
                                { *(yyvsp[-2].tf) = TM_ISO_LONG_S; }
#line 10688 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* timeformat_spec: timeformat_which ISO LONG MS  */
#line 404 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_MS; }
#line 10694 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* timeformat_spec: timeformat_which ISO LONG US  */
#line 405 "nest/config.Y"
                                { *(yyvsp[-3].tf) = TM_ISO_LONG_US; }
#line 10700 "obj/conf/cf-parse.tab.c"
    break;

  case 1036: /* iface_patt_node_init: %empty  */
#line 416 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 10710 "obj/conf/cf-parse.tab.c"
    break;

  case 1037: /* iface_patt_node_body: TEXT  */
#line 424 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 10716 "obj/conf/cf-parse.tab.c"
    break;

  case 1038: /* iface_patt_node_body: opttext net_or_ipa  */
#line 425 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 10722 "obj/conf/cf-parse.tab.c"
    break;

  case 1039: /* iface_negate: %empty  */
#line 429 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 10728 "obj/conf/cf-parse.tab.c"
    break;

  case 1040: /* iface_negate: '-'  */
#line 430 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 10734 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* iface_patt_list_nopx: iface_patt_list  */
#line 444 "nest/config.Y"
                                      { iface_patt_check(); }
#line 10740 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* iface_patt_init: %empty  */
#line 446 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 10750 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* tos: CLASS expr  */
#line 458 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 10756 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* tos: DSCP expr  */
#line 459 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 10762 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* dev_proto_start: proto_start DIRECT  */
#line 466 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 10771 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 477 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 10777 "obj/conf/cf-parse.tab.c"
    break;

  case 1056: /* dev_iface_init: %empty  */
#line 481 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 10787 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* debug_mask: ALL  */
#line 495 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 10793 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* debug_mask: OFF  */
#line 496 "nest/config.Y"
       { (yyval.i) = 0; }
#line 10799 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* debug_mask: '{' debug_list '}'  */
#line 497 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 10805 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* debug_list: debug_list ',' debug_flag  */
#line 502 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10811 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* debug_flag: STATES  */
#line 506 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 10817 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* debug_flag: ROUTES  */
#line 507 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 10823 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* debug_flag: FILTERS  */
#line 508 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 10829 "obj/conf/cf-parse.tab.c"
    break;

  case 1066: /* debug_flag: INTERFACES  */
#line 509 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 10835 "obj/conf/cf-parse.tab.c"
    break;

  case 1067: /* debug_flag: EVENTS  */
#line 510 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 10841 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* debug_flag: PACKETS  */
#line 511 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 10847 "obj/conf/cf-parse.tab.c"
    break;

  case 1069: /* mrtdump_mask: ALL  */
#line 517 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 10853 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* mrtdump_mask: OFF  */
#line 518 "nest/config.Y"
       { (yyval.i) = 0; }
#line 10859 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 519 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 10865 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 524 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 10871 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* mrtdump_flag: STATES  */
#line 528 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 10877 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* mrtdump_flag: MESSAGES  */
#line 529 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 10883 "obj/conf/cf-parse.tab.c"
    break;

  case 1085: /* password_item_begin: pass_key bytestring_text  */
#line 556 "nest/config.Y"
{
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 10896 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* password_item_params: %empty  */
#line 566 "nest/config.Y"
               { }
#line 10902 "obj/conf/cf-parse.tab.c"
    break;

  case 1087: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 567 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 10908 "obj/conf/cf-parse.tab.c"
    break;

  case 1088: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 568 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 10914 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 569 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 10920 "obj/conf/cf-parse.tab.c"
    break;

  case 1090: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 570 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 10926 "obj/conf/cf-parse.tab.c"
    break;

  case 1091: /* password_item_params: FROM time ';' password_item_params  */
#line 571 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 10932 "obj/conf/cf-parse.tab.c"
    break;

  case 1092: /* password_item_params: TO time ';' password_item_params  */
#line 572 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 10938 "obj/conf/cf-parse.tab.c"
    break;

  case 1093: /* password_item_params: ID expr ';' password_item_params  */
#line 573 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 10944 "obj/conf/cf-parse.tab.c"
    break;

  case 1094: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 574 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 10950 "obj/conf/cf-parse.tab.c"
    break;

  case 1095: /* password_algorithm: KEYED MD5  */
#line 578 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 10956 "obj/conf/cf-parse.tab.c"
    break;

  case 1096: /* password_algorithm: KEYED SHA1  */
#line 579 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 10962 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* password_algorithm: KEYED SHA256  */
#line 580 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 10968 "obj/conf/cf-parse.tab.c"
    break;

  case 1098: /* password_algorithm: KEYED SHA384  */
#line 581 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 10974 "obj/conf/cf-parse.tab.c"
    break;

  case 1099: /* password_algorithm: KEYED SHA512  */
#line 582 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 10980 "obj/conf/cf-parse.tab.c"
    break;

  case 1100: /* password_algorithm: HMAC MD5  */
#line 583 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 10986 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* password_algorithm: HMAC SHA1  */
#line 584 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 10992 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* password_algorithm: HMAC SHA256  */
#line 585 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 10998 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* password_algorithm: HMAC SHA384  */
#line 586 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 11004 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* password_algorithm: HMAC SHA512  */
#line 587 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 11010 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* password_algorithm: BLAKE2S128  */
#line 588 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 11016 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* password_algorithm: BLAKE2S256  */
#line 589 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 11022 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* password_algorithm: BLAKE2B256  */
#line 590 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 11028 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* password_algorithm: BLAKE2B512  */
#line 591 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 11034 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* password_item_end: %empty  */
#line 595 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 11042 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* bfd_item: INTERVAL expr_us  */
#line 603 "nest/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11048 "obj/conf/cf-parse.tab.c"
    break;

  case 1111: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 604 "nest/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 11054 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 605 "nest/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 11060 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 606 "nest/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 11066 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* bfd_item: MULTIPLIER expr  */
#line 607 "nest/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 11072 "obj/conf/cf-parse.tab.c"
    break;

  case 1115: /* bfd_item: PASSIVE bool  */
#line 608 "nest/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 11078 "obj/conf/cf-parse.tab.c"
    break;

  case 1116: /* bfd_item: GRACEFUL  */
#line 609 "nest/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 11084 "obj/conf/cf-parse.tab.c"
    break;

  case 1121: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 625 "nest/config.Y"
{ cmd_show_status(); }
#line 11090 "obj/conf/cf-parse.tab.c"
    break;

  case 1123: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 628 "nest/config.Y"
{ cmd_show_memory(); }
#line 11096 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 631 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11102 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 634 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11108 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* optproto: CF_SYM_KNOWN  */
#line 637 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11114 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* optproto: %empty  */
#line 638 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 11120 "obj/conf/cf-parse.tab.c"
    break;

  case 1131: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 642 "nest/config.Y"
{ if_show(); }
#line 11126 "obj/conf/cf-parse.tab.c"
    break;

  case 1133: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 645 "nest/config.Y"
{ if_show_summary(); }
#line 11132 "obj/conf/cf-parse.tab.c"
    break;

  case 1135: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 649 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 11138 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* r_args: %empty  */
#line 652 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11149 "obj/conf/cf-parse.tab.c"
    break;

  case 1137: /* r_args: r_args net_any  */
#line 658 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11160 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* r_args: r_args FOR r_args_for  */
#line 664 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11171 "obj/conf/cf-parse.tab.c"
    break;

  case 1139: /* r_args: r_args IN net_any  */
#line 670 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11183 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* r_args: r_args TABLE symbol_known  */
#line 677 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11194 "obj/conf/cf-parse.tab.c"
    break;

  case 1141: /* r_args: r_args TABLE ALL  */
#line 683 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11206 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 690 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11216 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 695 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11226 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* r_args: r_args FILTER filter  */
#line 700 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11236 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* r_args: r_args where_filter  */
#line 705 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11246 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* r_args: r_args ALL  */
#line 710 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11255 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* r_args: r_args PRIMARY  */
#line 714 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11264 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* r_args: r_args FILTERED  */
#line 718 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11273 "obj/conf/cf-parse.tab.c"
    break;

  case 1149: /* r_args: r_args export_mode symbol_known  */
#line 722 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11288 "obj/conf/cf-parse.tab.c"
    break;

  case 1150: /* r_args: r_args export_mode channel_arg  */
#line 732 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11300 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* r_args: r_args PROTOCOL symbol_known  */
#line 739 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11314 "obj/conf/cf-parse.tab.c"
    break;

  case 1152: /* r_args: r_args STATS  */
#line 748 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11323 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* r_args: r_args COUNT  */
#line 752 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11332 "obj/conf/cf-parse.tab.c"
    break;

  case 1154: /* r_args_for: r_args_for_val  */
#line 759 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11341 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* r_args_for: VPN_RD IP4  */
#line 766 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11350 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* r_args_for: VPN_RD IP6  */
#line 770 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11359 "obj/conf/cf-parse.tab.c"
    break;

  case 1160: /* r_args_for: IP6 FROM IP6  */
#line 774 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11368 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* r_args_for: CF_SYM_KNOWN  */
#line 778 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11384 "obj/conf/cf-parse.tab.c"
    break;

  case 1164: /* r_args_for_val: IP4  */
#line 794 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11390 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* r_args_for_val: IP6  */
#line 795 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11396 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* export_mode: PREEXPORT  */
#line 798 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 11402 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* export_mode: EXPORT  */
#line 799 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 11408 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* export_mode: NOEXPORT  */
#line 800 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 11414 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* export_mode: EXPORTED  */
#line 801 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 11420 "obj/conf/cf-parse.tab.c"
    break;

  case 1170: /* channel_sym: IPV4  */
#line 806 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 11426 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* channel_sym: IPV4_MC  */
#line 807 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 11432 "obj/conf/cf-parse.tab.c"
    break;

  case 1172: /* channel_sym: IPV4_MPLS  */
#line 808 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 11438 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* channel_sym: IPV6  */
#line 809 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 11444 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* channel_sym: IPV6_MC  */
#line 810 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 11450 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* channel_sym: IPV6_MPLS  */
#line 811 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 11456 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* channel_sym: IPV6_SADR  */
#line 812 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 11462 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* channel_sym: VPN4  */
#line 813 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 11468 "obj/conf/cf-parse.tab.c"
    break;

  case 1178: /* channel_sym: VPN4_MC  */
#line 814 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 11474 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* channel_sym: VPN4_MPLS  */
#line 815 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 11480 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* channel_sym: VPN6  */
#line 816 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 11486 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* channel_sym: VPN6_MC  */
#line 817 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 11492 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* channel_sym: VPN6_MPLS  */
#line 818 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 11498 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* channel_sym: ROA4  */
#line 819 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 11504 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* channel_sym: ROA6  */
#line 820 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 11510 "obj/conf/cf-parse.tab.c"
    break;

  case 1185: /* channel_sym: FLOW4  */
#line 821 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 11516 "obj/conf/cf-parse.tab.c"
    break;

  case 1186: /* channel_sym: FLOW6  */
#line 822 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 11522 "obj/conf/cf-parse.tab.c"
    break;

  case 1187: /* channel_sym: MPLS  */
#line 823 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 11528 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* channel_sym: PRI  */
#line 824 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 11534 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* channel_sym: SEC  */
#line 825 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 11540 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 829 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 11552 "obj/conf/cf-parse.tab.c"
    break;

  case 1192: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 840 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 11558 "obj/conf/cf-parse.tab.c"
    break;

  case 1193: /* sym_args: %empty  */
#line 843 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 11566 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* sym_args: sym_args TABLE  */
#line 846 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 11572 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* sym_args: sym_args FUNCTION  */
#line 847 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 11578 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* sym_args: sym_args FILTER  */
#line 848 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 11584 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* sym_args: sym_args PROTOCOL  */
#line 849 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 11590 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* sym_args: sym_args TEMPLATE  */
#line 850 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 11596 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* sym_args: sym_args CF_SYM_KNOWN  */
#line 851 "nest/config.Y"
                         { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 11602 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* cmd_DUMP_RESOURCES: DUMP RESOURCES END  */
#line 857 "nest/config.Y"
{ rdump(&root_pool); cli_msg(0, ""); }
#line 11608 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* cmd_DUMP_SOCKETS: DUMP SOCKETS END  */
#line 859 "nest/config.Y"
{ sk_dump_all(); cli_msg(0, ""); }
#line 11614 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* cmd_DUMP_EVENTS: DUMP EVENTS END  */
#line 861 "nest/config.Y"
{ io_log_dump(); cli_msg(0, ""); }
#line 11620 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* cmd_DUMP_INTERFACES: DUMP INTERFACES END  */
#line 863 "nest/config.Y"
{ if_dump_all(); cli_msg(0, ""); }
#line 11626 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS END  */
#line 865 "nest/config.Y"
{ neigh_dump_all(); cli_msg(0, ""); }
#line 11632 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES END  */
#line 867 "nest/config.Y"
{ rta_dump_all(); cli_msg(0, ""); }
#line 11638 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* cmd_DUMP_ROUTES: DUMP ROUTES END  */
#line 869 "nest/config.Y"
{ rt_dump_all(); cli_msg(0, ""); }
#line 11644 "obj/conf/cf-parse.tab.c"
    break;

  case 1215: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS END  */
#line 871 "nest/config.Y"
{ protos_dump_all(); cli_msg(0, ""); }
#line 11650 "obj/conf/cf-parse.tab.c"
    break;

  case 1217: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL END  */
#line 873 "nest/config.Y"
{ filters_dump_all(); cli_msg(0, ""); }
#line 11656 "obj/conf/cf-parse.tab.c"
    break;

  case 1219: /* cmd_EVAL: EVAL term END  */
#line 876 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 11662 "obj/conf/cf-parse.tab.c"
    break;

  case 1221: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 879 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 11671 "obj/conf/cf-parse.tab.c"
    break;

  case 1222: /* echo_mask: ALL  */
#line 885 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11677 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* echo_mask: OFF  */
#line 886 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11683 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* echo_mask: '{' log_mask_list '}'  */
#line 887 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 11689 "obj/conf/cf-parse.tab.c"
    break;

  case 1225: /* echo_size: %empty  */
#line 891 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 11695 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* echo_size: NUM  */
#line 892 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 11704 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 899 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11710 "obj/conf/cf-parse.tab.c"
    break;

  case 1230: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 901 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11716 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 903 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 11722 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 905 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 11728 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 907 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 11734 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 909 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 11740 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* cmd_DEBUG: DEBUG debug_args END  */
#line 913 "nest/config.Y"
{ /* Done in debug_args */  }
#line 11746 "obj/conf/cf-parse.tab.c"
    break;

  case 1241: /* debug_args: proto_patt debug_mask  */
#line 916 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 11752 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* debug_args: channel_arg debug_mask  */
#line 917 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 11758 "obj/conf/cf-parse.tab.c"
    break;

  case 1244: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 922 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 11764 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* cmd_RESTRICT: RESTRICT END  */
#line 925 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 11770 "obj/conf/cf-parse.tab.c"
    break;

  case 1247: /* proto_patt: CF_SYM_KNOWN  */
#line 928 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11776 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* proto_patt: ALL  */
#line 929 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11782 "obj/conf/cf-parse.tab.c"
    break;

  case 1249: /* proto_patt: TEXT  */
#line 930 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11788 "obj/conf/cf-parse.tab.c"
    break;

  case 1250: /* proto_patt2: CF_SYM_KNOWN  */
#line 934 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 11794 "obj/conf/cf-parse.tab.c"
    break;

  case 1251: /* proto_patt2: %empty  */
#line 935 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 11800 "obj/conf/cf-parse.tab.c"
    break;

  case 1252: /* proto_patt2: TEXT  */
#line 936 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 11806 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* dynamic_attr: IGP_METRIC  */
#line 939 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 11812 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* dynamic_attr: MPLS_LABEL  */
#line 941 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 11818 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* dynamic_attr: MPLS_POLICY  */
#line 942 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 11824 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* dynamic_attr: MPLS_CLASS  */
#line 943 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 11830 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* mpls_domain_start: MPLS DOMAIN symbol  */
#line 35 "nest/mpls.Y"
                                      { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 11836 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* mpls_domain_end: %empty  */
#line 51 "nest/mpls.Y"
                 { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 11842 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* mpls_range_start: LABEL RANGE symbol  */
#line 57 "nest/mpls.Y"
{
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 11855 "obj/conf/cf-parse.tab.c"
    break;

  case 1268: /* mpls_range_opt: START expr  */
#line 67 "nest/mpls.Y"
              { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 11861 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* mpls_range_opt: LENGTH expr  */
#line 68 "nest/mpls.Y"
               { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 11867 "obj/conf/cf-parse.tab.c"
    break;

  case 1274: /* mpls_range_end: %empty  */
#line 82 "nest/mpls.Y"
{
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 11883 "obj/conf/cf-parse.tab.c"
    break;

  case 1276: /* mpls_channel_start: MPLS  */
#line 98 "nest/mpls.Y"
{
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 11905 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* mpls_label_policy: STATIC  */
#line 117 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_STATIC; }
#line 11911 "obj/conf/cf-parse.tab.c"
    break;

  case 1278: /* mpls_label_policy: PREFIX  */
#line 118 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 11917 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* mpls_label_policy: AGGREGATE  */
#line 119 "nest/mpls.Y"
             { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 11923 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* mpls_label_policy: VRF  */
#line 120 "nest/mpls.Y"
       { (yyval.i) = MPLS_POLICY_VRF; }
#line 11929 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* mpls_channel_opt: DOMAIN symbol_known  */
#line 125 "nest/mpls.Y"
                       { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 11935 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* mpls_channel_opt: LABEL RANGE symbol_known  */
#line 126 "nest/mpls.Y"
                            { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 11941 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* mpls_channel_opt: LABEL RANGE STATIC  */
#line 127 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 11947 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* mpls_channel_opt: LABEL RANGE DYNAMIC  */
#line 128 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 11953 "obj/conf/cf-parse.tab.c"
    break;

  case 1286: /* mpls_channel_opt: LABEL POLICY mpls_label_policy  */
#line 129 "nest/mpls.Y"
                                  { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 11959 "obj/conf/cf-parse.tab.c"
    break;

  case 1291: /* $@12: %empty  */
#line 142 "nest/mpls.Y"
                  { mpls_channel_postconfig(this_channel); }
#line 11965 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* show_mpls_ranges_args: %empty  */
#line 147 "nest/mpls.Y"
   {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 11976 "obj/conf/cf-parse.tab.c"
    break;

  case 1294: /* show_mpls_ranges_args: show_mpls_ranges_args symbol_known  */
#line 154 "nest/mpls.Y"
   {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12003 "obj/conf/cf-parse.tab.c"
    break;

  case 1295: /* show_mpls_ranges_args: show_mpls_ranges_args STATIC  */
#line 177 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12015 "obj/conf/cf-parse.tab.c"
    break;

  case 1296: /* show_mpls_ranges_args: show_mpls_ranges_args DYNAMIC  */
#line 185 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12027 "obj/conf/cf-parse.tab.c"
    break;

  case 1298: /* cmd_SHOW_MPLS_RANGES: SHOW MPLS RANGES show_mpls_ranges_args END  */
#line 195 "nest/mpls.Y"
{ mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12033 "obj/conf/cf-parse.tab.c"
    break;

  case 1300: /* aggregator_proto_start: proto_start AGGREGATOR  */
#line 32 "proto/aggregator/config.Y"
{
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12045 "obj/conf/cf-parse.tab.c"
    break;

  case 1303: /* aggregator_proto_item: PEER TABLE rtable  */
#line 43 "proto/aggregator/config.Y"
                     { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12051 "obj/conf/cf-parse.tab.c"
    break;

  case 1304: /* aggregator_proto_item: AGGREGATE ON aggr_list  */
#line 44 "proto/aggregator/config.Y"
                          {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    _Bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12086 "obj/conf/cf-parse.tab.c"
    break;

  case 1305: /* $@13: %empty  */
#line 74 "proto/aggregator/config.Y"
            {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12095 "obj/conf/cf-parse.tab.c"
    break;

  case 1306: /* aggregator_proto_item: MERGE BY $@13 function_body  */
#line 77 "proto/aggregator/config.Y"
                 {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12105 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* aggr_list: aggr_list ',' aggr_item  */
#line 90 "proto/aggregator/config.Y"
                           {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12118 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* aggr_item: '(' term ')'  */
#line 101 "proto/aggregator/config.Y"
                {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12128 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* aggr_item: CF_SYM_KNOWN  */
#line 106 "proto/aggregator/config.Y"
                 {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12147 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* aggr_item: dynamic_attr  */
#line 120 "proto/aggregator/config.Y"
                 {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12157 "obj/conf/cf-parse.tab.c"
    break;

  case 1315: /* aggr_item: static_attr  */
#line 125 "proto/aggregator/config.Y"
                {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12167 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* bfd_proto_start: proto_start BFD  */
#line 38 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12179 "obj/conf/cf-parse.tab.c"
    break;

  case 1323: /* bfd_proto_item: STRICT BIND bool  */
#line 52 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12185 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* bfd_accept_item: IPV4  */
#line 65 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12191 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* bfd_accept_item: IPV6  */
#line 66 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12197 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* bfd_accept_item: DIRECT  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12203 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* bfd_accept_item: MULTIHOP  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12209 "obj/conf/cf-parse.tab.c"
    break;

  case 1331: /* bfd_accept: %empty  */
#line 72 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12218 "obj/conf/cf-parse.tab.c"
    break;

  case 1333: /* bfd_iface_start: %empty  */
#line 80 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12235 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* bfd_iface_finish: %empty  */
#line 94 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12258 "obj/conf/cf-parse.tab.c"
    break;

  case 1335: /* bfd_iface_item: INTERVAL expr_us  */
#line 114 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12264 "obj/conf/cf-parse.tab.c"
    break;

  case 1336: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 115 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12270 "obj/conf/cf-parse.tab.c"
    break;

  case 1337: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12276 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12282 "obj/conf/cf-parse.tab.c"
    break;

  case 1339: /* bfd_iface_item: MULTIPLIER expr  */
#line 118 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12288 "obj/conf/cf-parse.tab.c"
    break;

  case 1340: /* bfd_iface_item: PASSIVE bool  */
#line 119 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12294 "obj/conf/cf-parse.tab.c"
    break;

  case 1341: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 120 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12300 "obj/conf/cf-parse.tab.c"
    break;

  case 1342: /* bfd_iface_item: password_list  */
#line 121 "proto/bfd/config.Y"
                 {}
#line 12306 "obj/conf/cf-parse.tab.c"
    break;

  case 1343: /* bfd_auth_type: NONE  */
#line 125 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 12312 "obj/conf/cf-parse.tab.c"
    break;

  case 1344: /* bfd_auth_type: SIMPLE  */
#line 126 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12318 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* bfd_auth_type: KEYED MD5  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12324 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* bfd_auth_type: KEYED SHA1  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12330 "obj/conf/cf-parse.tab.c"
    break;

  case 1347: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12336 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12342 "obj/conf/cf-parse.tab.c"
    break;

  case 1354: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 148 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 12348 "obj/conf/cf-parse.tab.c"
    break;

  case 1355: /* bfd_neigh_iface: %empty  */
#line 152 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 12354 "obj/conf/cf-parse.tab.c"
    break;

  case 1356: /* bfd_neigh_iface: '%' symbol  */
#line 153 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12360 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* bfd_neigh_iface: DEV text  */
#line 154 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12366 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* bfd_neigh_local: %empty  */
#line 158 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 12372 "obj/conf/cf-parse.tab.c"
    break;

  case 1359: /* bfd_neigh_local: LOCAL ipa  */
#line 159 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 12378 "obj/conf/cf-parse.tab.c"
    break;

  case 1360: /* bfd_neigh_multihop: %empty  */
#line 163 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 12384 "obj/conf/cf-parse.tab.c"
    break;

  case 1361: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 164 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 12390 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 168 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12410 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS optproto END  */
#line 187 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_bfd, p) bfd_show_sessions(p); }
#line 12416 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 12426 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 12432 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 12455 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* babel_iface_finish: %empty  */
#line 80 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 12523 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* babel_iface_item: PORT expr  */
#line 146 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12529 "obj/conf/cf-parse.tab.c"
    break;

  case 1378: /* babel_iface_item: RXCOST expr  */
#line 147 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 12535 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* babel_iface_item: LIMIT expr  */
#line 148 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 12541 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* babel_iface_item: TYPE WIRED  */
#line 149 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 12547 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* babel_iface_item: TYPE WIRELESS  */
#line 150 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 12553 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* babel_iface_item: TYPE TUNNEL  */
#line 151 "proto/babel/config.Y"
               { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 12559 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 152 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 12565 "obj/conf/cf-parse.tab.c"
    break;

  case 1384: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 153 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 12571 "obj/conf/cf-parse.tab.c"
    break;

  case 1385: /* babel_iface_item: RX BUFFER expr  */
#line 154 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 12577 "obj/conf/cf-parse.tab.c"
    break;

  case 1386: /* babel_iface_item: TX LENGTH expr  */
#line 155 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 12583 "obj/conf/cf-parse.tab.c"
    break;

  case 1387: /* babel_iface_item: TX tos  */
#line 156 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 12589 "obj/conf/cf-parse.tab.c"
    break;

  case 1388: /* babel_iface_item: TX PRIORITY expr  */
#line 157 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 12595 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* babel_iface_item: CHECK LINK bool  */
#line 158 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 12601 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 159 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 12607 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 160 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 12613 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 161 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 12619 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* babel_iface_item: AUTHENTICATION NONE  */
#line 162 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 12625 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* babel_iface_item: AUTHENTICATION MAC  */
#line 163 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 12631 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 164 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 12637 "obj/conf/cf-parse.tab.c"
    break;

  case 1396: /* babel_iface_item: RTT MIN expr_us  */
#line 165 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 12643 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* babel_iface_item: RTT MAX expr_us  */
#line 166 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 12649 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* babel_iface_item: RTT COST expr  */
#line 167 "proto/babel/config.Y"
                 { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 12655 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* babel_iface_item: RTT DECAY expr  */
#line 168 "proto/babel/config.Y"
                  { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 12661 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* babel_iface_item: SEND TIMESTAMPS bool  */
#line 169 "proto/babel/config.Y"
                        { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 12667 "obj/conf/cf-parse.tab.c"
    break;

  case 1407: /* dynamic_attr: BABEL_METRIC  */
#line 187 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 12673 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 192 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 12679 "obj/conf/cf-parse.tab.c"
    break;

  case 1411: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 195 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 12685 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 198 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 12691 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 201 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 12697 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* bgp_proto_start: proto_start BGP  */
#line 50 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
   }
#line 12733 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 85 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12739 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 86 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 12745 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 91 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 12751 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 92 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 12757 "obj/conf/cf-parse.tab.c"
    break;

  case 1424: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 93 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 12763 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 94 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 12769 "obj/conf/cf-parse.tab.c"
    break;

  case 1426: /* bgp_cease_mask: bool  */
#line 99 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 12775 "obj/conf/cf-parse.tab.c"
    break;

  case 1427: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 100 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 12781 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 105 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 12787 "obj/conf/cf-parse.tab.c"
    break;

  case 1430: /* bgp_cease_flag: CEASE  */
#line 109 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 12793 "obj/conf/cf-parse.tab.c"
    break;

  case 1431: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 110 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 12799 "obj/conf/cf-parse.tab.c"
    break;

  case 1432: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 111 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 12805 "obj/conf/cf-parse.tab.c"
    break;

  case 1433: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 112 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 12811 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 113 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 12817 "obj/conf/cf-parse.tab.c"
    break;

  case 1435: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 12823 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 12829 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 12835 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 12841 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* bgp_role_name: PEER  */
#line 121 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 12847 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* bgp_role_name: PROVIDER  */
#line 122 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 12853 "obj/conf/cf-parse.tab.c"
    break;

  case 1441: /* bgp_role_name: CUSTOMER  */
#line 123 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 12859 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* bgp_role_name: RS_SERVER  */
#line 124 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 12865 "obj/conf/cf-parse.tab.c"
    break;

  case 1443: /* bgp_role_name: RS_CLIENT  */
#line 125 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 12871 "obj/conf/cf-parse.tab.c"
    break;

  case 1449: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 134 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 12880 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 139 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 12891 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 145 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 12903 "obj/conf/cf-parse.tab.c"
    break;

  case 1453: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 152 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 12909 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 153 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 12915 "obj/conf/cf-parse.tab.c"
    break;

  case 1455: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 154 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 12921 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 155 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 12927 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 156 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 12933 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 157 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 12939 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 158 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 12945 "obj/conf/cf-parse.tab.c"
    break;

  case 1460: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 159 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 12951 "obj/conf/cf-parse.tab.c"
    break;

  case 1461: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 160 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 12957 "obj/conf/cf-parse.tab.c"
    break;

  case 1462: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 161 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 12963 "obj/conf/cf-parse.tab.c"
    break;

  case 1463: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 162 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 12969 "obj/conf/cf-parse.tab.c"
    break;

  case 1464: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 163 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 12975 "obj/conf/cf-parse.tab.c"
    break;

  case 1465: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 164 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 12985 "obj/conf/cf-parse.tab.c"
    break;

  case 1466: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 169 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 12991 "obj/conf/cf-parse.tab.c"
    break;

  case 1467: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 170 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 12997 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 171 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13003 "obj/conf/cf-parse.tab.c"
    break;

  case 1469: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 172 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13009 "obj/conf/cf-parse.tab.c"
    break;

  case 1470: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 173 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13015 "obj/conf/cf-parse.tab.c"
    break;

  case 1471: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 174 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13021 "obj/conf/cf-parse.tab.c"
    break;

  case 1472: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 175 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13027 "obj/conf/cf-parse.tab.c"
    break;

  case 1473: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 176 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13033 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 177 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13039 "obj/conf/cf-parse.tab.c"
    break;

  case 1475: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 178 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13045 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 179 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13051 "obj/conf/cf-parse.tab.c"
    break;

  case 1477: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 180 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13057 "obj/conf/cf-parse.tab.c"
    break;

  case 1478: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 181 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13063 "obj/conf/cf-parse.tab.c"
    break;

  case 1479: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 182 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13069 "obj/conf/cf-parse.tab.c"
    break;

  case 1480: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 183 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13075 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 184 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13081 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13087 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 186 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13093 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 187 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13099 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 188 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13105 "obj/conf/cf-parse.tab.c"
    break;

  case 1486: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 189 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13111 "obj/conf/cf-parse.tab.c"
    break;

  case 1487: /* bgp_proto: bgp_proto ENABLE ENHANCED ROUTE REFRESH bool ';'  */
#line 190 "proto/bgp/config.Y"
                                                    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13117 "obj/conf/cf-parse.tab.c"
    break;

  case 1488: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 191 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13123 "obj/conf/cf-parse.tab.c"
    break;

  case 1489: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 192 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13129 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 193 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13135 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 194 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13141 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 195 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 13147 "obj/conf/cf-parse.tab.c"
    break;

  case 1493: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 196 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13153 "obj/conf/cf-parse.tab.c"
    break;

  case 1494: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 197 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13159 "obj/conf/cf-parse.tab.c"
    break;

  case 1495: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 198 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13165 "obj/conf/cf-parse.tab.c"
    break;

  case 1496: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 199 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 13171 "obj/conf/cf-parse.tab.c"
    break;

  case 1497: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 200 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13177 "obj/conf/cf-parse.tab.c"
    break;

  case 1498: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 201 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13183 "obj/conf/cf-parse.tab.c"
    break;

  case 1499: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 202 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13189 "obj/conf/cf-parse.tab.c"
    break;

  case 1500: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 203 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13195 "obj/conf/cf-parse.tab.c"
    break;

  case 1501: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 204 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13201 "obj/conf/cf-parse.tab.c"
    break;

  case 1502: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 205 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13207 "obj/conf/cf-parse.tab.c"
    break;

  case 1503: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 206 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); }
#line 13213 "obj/conf/cf-parse.tab.c"
    break;

  case 1504: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 207 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13219 "obj/conf/cf-parse.tab.c"
    break;

  case 1505: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 208 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13225 "obj/conf/cf-parse.tab.c"
    break;

  case 1506: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 209 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); }
#line 13231 "obj/conf/cf-parse.tab.c"
    break;

  case 1507: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 210 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13237 "obj/conf/cf-parse.tab.c"
    break;

  case 1508: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 211 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13243 "obj/conf/cf-parse.tab.c"
    break;

  case 1509: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 212 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13249 "obj/conf/cf-parse.tab.c"
    break;

  case 1510: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 213 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13255 "obj/conf/cf-parse.tab.c"
    break;

  case 1511: /* $@14: %empty  */
#line 214 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 13261 "obj/conf/cf-parse.tab.c"
    break;

  case 1512: /* $@15: %empty  */
#line 214 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 13267 "obj/conf/cf-parse.tab.c"
    break;

  case 1514: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 215 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13273 "obj/conf/cf-parse.tab.c"
    break;

  case 1515: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 216 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13279 "obj/conf/cf-parse.tab.c"
    break;

  case 1516: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 217 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13285 "obj/conf/cf-parse.tab.c"
    break;

  case 1517: /* bgp_afi: IPV4  */
#line 221 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 13291 "obj/conf/cf-parse.tab.c"
    break;

  case 1518: /* bgp_afi: IPV6  */
#line 222 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 13297 "obj/conf/cf-parse.tab.c"
    break;

  case 1519: /* bgp_afi: IPV4 MULTICAST  */
#line 223 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 13303 "obj/conf/cf-parse.tab.c"
    break;

  case 1520: /* bgp_afi: IPV6 MULTICAST  */
#line 224 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 13309 "obj/conf/cf-parse.tab.c"
    break;

  case 1521: /* bgp_afi: IPV4 MPLS  */
#line 225 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 13315 "obj/conf/cf-parse.tab.c"
    break;

  case 1522: /* bgp_afi: IPV6 MPLS  */
#line 226 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 13321 "obj/conf/cf-parse.tab.c"
    break;

  case 1523: /* bgp_afi: VPN4 MPLS  */
#line 227 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 13327 "obj/conf/cf-parse.tab.c"
    break;

  case 1524: /* bgp_afi: VPN6 MPLS  */
#line 228 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 13333 "obj/conf/cf-parse.tab.c"
    break;

  case 1525: /* bgp_afi: VPN4 MULTICAST  */
#line 229 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 13339 "obj/conf/cf-parse.tab.c"
    break;

  case 1526: /* bgp_afi: VPN6 MULTICAST  */
#line 230 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 13345 "obj/conf/cf-parse.tab.c"
    break;

  case 1527: /* bgp_afi: FLOW4  */
#line 231 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 13351 "obj/conf/cf-parse.tab.c"
    break;

  case 1528: /* bgp_afi: FLOW6  */
#line 232 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 13357 "obj/conf/cf-parse.tab.c"
    break;

  case 1529: /* bgp_channel_start: bgp_afi  */
#line 236 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 13385 "obj/conf/cf-parse.tab.c"
    break;

  case 1530: /* bgp_nh: bool  */
#line 261 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 13391 "obj/conf/cf-parse.tab.c"
    break;

  case 1531: /* bgp_nh: IBGP  */
#line 262 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 13397 "obj/conf/cf-parse.tab.c"
    break;

  case 1532: /* bgp_nh: EBGP  */
#line 263 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 13403 "obj/conf/cf-parse.tab.c"
    break;

  case 1537: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 269 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 13409 "obj/conf/cf-parse.tab.c"
    break;

  case 1538: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 270 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 13415 "obj/conf/cf-parse.tab.c"
    break;

  case 1539: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 271 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 13421 "obj/conf/cf-parse.tab.c"
    break;

  case 1540: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 272 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 13427 "obj/conf/cf-parse.tab.c"
    break;

  case 1541: /* bgp_channel_item: MANDATORY bool  */
#line 273 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 13433 "obj/conf/cf-parse.tab.c"
    break;

  case 1542: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 274 "proto/bgp/config.Y"
                             { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 13439 "obj/conf/cf-parse.tab.c"
    break;

  case 1543: /* bgp_channel_item: GATEWAY DIRECT  */
#line 275 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 13445 "obj/conf/cf-parse.tab.c"
    break;

  case 1544: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 276 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 13451 "obj/conf/cf-parse.tab.c"
    break;

  case 1545: /* bgp_channel_item: SECONDARY bool  */
#line 277 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 13457 "obj/conf/cf-parse.tab.c"
    break;

  case 1546: /* bgp_channel_item: VALIDATE bool  */
#line 278 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 13467 "obj/conf/cf-parse.tab.c"
    break;

  case 1547: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 283 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 13473 "obj/conf/cf-parse.tab.c"
    break;

  case 1548: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 284 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 13479 "obj/conf/cf-parse.tab.c"
    break;

  case 1549: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 285 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); }
#line 13485 "obj/conf/cf-parse.tab.c"
    break;

  case 1550: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 286 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 13491 "obj/conf/cf-parse.tab.c"
    break;

  case 1551: /* bgp_channel_item: ADD PATHS RX  */
#line 287 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 13497 "obj/conf/cf-parse.tab.c"
    break;

  case 1552: /* bgp_channel_item: ADD PATHS TX  */
#line 288 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 13503 "obj/conf/cf-parse.tab.c"
    break;

  case 1553: /* bgp_channel_item: ADD PATHS bool  */
#line 289 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 13509 "obj/conf/cf-parse.tab.c"
    break;

  case 1554: /* bgp_channel_item: IMPORT TABLE bool  */
#line 290 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 13515 "obj/conf/cf-parse.tab.c"
    break;

  case 1555: /* bgp_channel_item: EXPORT TABLE bool  */
#line 291 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 13521 "obj/conf/cf-parse.tab.c"
    break;

  case 1556: /* bgp_channel_item: AIGP bool  */
#line 292 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 13527 "obj/conf/cf-parse.tab.c"
    break;

  case 1557: /* bgp_channel_item: AIGP ORIGINATE  */
#line 293 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 13533 "obj/conf/cf-parse.tab.c"
    break;

  case 1558: /* bgp_channel_item: COST expr  */
#line 294 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 13539 "obj/conf/cf-parse.tab.c"
    break;

  case 1559: /* bgp_channel_item: IGP TABLE rtable  */
#line 295 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 13555 "obj/conf/cf-parse.tab.c"
    break;

  case 1560: /* bgp_channel_item: BASE TABLE rtable  */
#line 306 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 13570 "obj/conf/cf-parse.tab.c"
    break;

  case 1565: /* bgp_channel_end: %empty  */
#line 329 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 13581 "obj/conf/cf-parse.tab.c"
    break;

  case 1567: /* dynamic_attr: BGP_ORIGIN  */
#line 340 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN)); }
#line 13587 "obj/conf/cf-parse.tab.c"
    break;

  case 1568: /* dynamic_attr: BGP_PATH  */
#line 342 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH)); }
#line 13593 "obj/conf/cf-parse.tab.c"
    break;

  case 1569: /* dynamic_attr: BGP_NEXT_HOP  */
#line 344 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP)); }
#line 13599 "obj/conf/cf-parse.tab.c"
    break;

  case 1570: /* dynamic_attr: BGP_MED  */
#line 346 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC)); }
#line 13605 "obj/conf/cf-parse.tab.c"
    break;

  case 1571: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 348 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF)); }
#line 13611 "obj/conf/cf-parse.tab.c"
    break;

  case 1572: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 350 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); }
#line 13617 "obj/conf/cf-parse.tab.c"
    break;

  case 1573: /* dynamic_attr: BGP_AGGREGATOR  */
#line 352 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR)); }
#line 13623 "obj/conf/cf-parse.tab.c"
    break;

  case 1574: /* dynamic_attr: BGP_COMMUNITY  */
#line 354 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY)); }
#line 13629 "obj/conf/cf-parse.tab.c"
    break;

  case 1575: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 356 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID)); }
#line 13635 "obj/conf/cf-parse.tab.c"
    break;

  case 1576: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 358 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST)); }
#line 13641 "obj/conf/cf-parse.tab.c"
    break;

  case 1577: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 360 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY)); }
#line 13647 "obj/conf/cf-parse.tab.c"
    break;

  case 1578: /* dynamic_attr: BGP_AIGP  */
#line 362 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP)); }
#line 13653 "obj/conf/cf-parse.tab.c"
    break;

  case 1579: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 364 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); }
#line 13659 "obj/conf/cf-parse.tab.c"
    break;

  case 1580: /* dynamic_attr: BGP_OTC  */
#line 366 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER)); }
#line 13665 "obj/conf/cf-parse.tab.c"
    break;

  case 1581: /* custom_attr: ATTRIBUTE BGP expr type symbol ';'  */
#line 368 "proto/bgp/config.Y"
                                                {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 13683 "obj/conf/cf-parse.tab.c"
    break;

  case 1583: /* l3vpn_channel_start: net_type_base  */
#line 53 "proto/l3vpn/config.Y"
{
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 13699 "obj/conf/cf-parse.tab.c"
    break;

  case 1585: /* l3vpn_proto_start: proto_start L3VPN  */
#line 68 "proto/l3vpn/config.Y"
{
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 13707 "obj/conf/cf-parse.tab.c"
    break;

  case 1589: /* l3vpn_proto_item: RD VPN_RD  */
#line 77 "proto/l3vpn/config.Y"
             { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 13713 "obj/conf/cf-parse.tab.c"
    break;

  case 1590: /* l3vpn_proto_item: ROUTE DISTINGUISHER VPN_RD  */
#line 78 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 13719 "obj/conf/cf-parse.tab.c"
    break;

  case 1591: /* l3vpn_proto_item: IMPORT TARGET l3vpn_targets  */
#line 79 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 13725 "obj/conf/cf-parse.tab.c"
    break;

  case 1592: /* l3vpn_proto_item: EXPORT TARGET l3vpn_targets  */
#line 80 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13731 "obj/conf/cf-parse.tab.c"
    break;

  case 1593: /* l3vpn_proto_item: ROUTE TARGET l3vpn_targets  */
#line 81 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 13737 "obj/conf/cf-parse.tab.c"
    break;

  case 1597: /* l3vpn_targets: ec_item  */
#line 94 "proto/l3vpn/config.Y"
           { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 13743 "obj/conf/cf-parse.tab.c"
    break;

  case 1598: /* l3vpn_targets: '[' ec_items ']'  */
#line 95 "proto/l3vpn/config.Y"
                    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 13749 "obj/conf/cf-parse.tab.c"
    break;

  case 1600: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 13757 "obj/conf/cf-parse.tab.c"
    break;

  case 1602: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 13763 "obj/conf/cf-parse.tab.c"
    break;

  case 1603: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 13769 "obj/conf/cf-parse.tab.c"
    break;

  case 1604: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 13775 "obj/conf/cf-parse.tab.c"
    break;

  case 1605: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 13781 "obj/conf/cf-parse.tab.c"
    break;

  case 1606: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 13787 "obj/conf/cf-parse.tab.c"
    break;

  case 1607: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 13793 "obj/conf/cf-parse.tab.c"
    break;

  case 1608: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 13799 "obj/conf/cf-parse.tab.c"
    break;

  case 1611: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 13805 "obj/conf/cf-parse.tab.c"
    break;

  case 1613: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 13811 "obj/conf/cf-parse.tab.c"
    break;

  case 1614: /* mrt_dump_args: %empty  */
#line 57 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 13817 "obj/conf/cf-parse.tab.c"
    break;

  case 1615: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 58 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 13823 "obj/conf/cf-parse.tab.c"
    break;

  case 1616: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 59 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 13829 "obj/conf/cf-parse.tab.c"
    break;

  case 1617: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 60 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 13835 "obj/conf/cf-parse.tab.c"
    break;

  case 1618: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 61 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 13841 "obj/conf/cf-parse.tab.c"
    break;

  case 1619: /* mrt_dump_args: mrt_dump_args TO text  */
#line 62 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 13847 "obj/conf/cf-parse.tab.c"
    break;

  case 1620: /* proto: ospf_proto '}'  */
#line 212 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 13853 "obj/conf/cf-parse.tab.c"
    break;

  case 1621: /* ospf_variant: OSPF  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 13859 "obj/conf/cf-parse.tab.c"
    break;

  case 1622: /* ospf_variant: OSPF V2  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 13865 "obj/conf/cf-parse.tab.c"
    break;

  case 1623: /* ospf_variant: OSPF V3  */
#line 217 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 13871 "obj/conf/cf-parse.tab.c"
    break;

  case 1624: /* ospf_proto_start: proto_start ospf_variant  */
#line 221 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 13889 "obj/conf/cf-parse.tab.c"
    break;

  case 1627: /* ospf_af_mc: %empty  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 13895 "obj/conf/cf-parse.tab.c"
    break;

  case 1628: /* ospf_af_mc: MULTICAST  */
#line 242 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 13901 "obj/conf/cf-parse.tab.c"
    break;

  case 1629: /* ospf_channel_start: net_type ospf_af_mc  */
#line 247 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 13913 "obj/conf/cf-parse.tab.c"
    break;

  case 1632: /* ospf_proto_item: ospf_channel  */
#line 259 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 13919 "obj/conf/cf-parse.tab.c"
    break;

  case 1633: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 260 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 13925 "obj/conf/cf-parse.tab.c"
    break;

  case 1634: /* ospf_proto_item: RFC5838 bool  */
#line 261 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 13931 "obj/conf/cf-parse.tab.c"
    break;

  case 1635: /* ospf_proto_item: VPN PE bool  */
#line 262 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 13937 "obj/conf/cf-parse.tab.c"
    break;

  case 1636: /* ospf_proto_item: STUB ROUTER bool  */
#line 263 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 13943 "obj/conf/cf-parse.tab.c"
    break;

  case 1637: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 264 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 13949 "obj/conf/cf-parse.tab.c"
    break;

  case 1638: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 265 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 13955 "obj/conf/cf-parse.tab.c"
    break;

  case 1639: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 266 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 13961 "obj/conf/cf-parse.tab.c"
    break;

  case 1640: /* ospf_proto_item: ECMP bool  */
#line 267 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 13967 "obj/conf/cf-parse.tab.c"
    break;

  case 1641: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 268 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 13973 "obj/conf/cf-parse.tab.c"
    break;

  case 1642: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 269 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 13979 "obj/conf/cf-parse.tab.c"
    break;

  case 1643: /* ospf_proto_item: TICK expr  */
#line 270 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 13985 "obj/conf/cf-parse.tab.c"
    break;

  case 1644: /* ospf_proto_item: INSTANCE ID expr  */
#line 271 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 13991 "obj/conf/cf-parse.tab.c"
    break;

  case 1646: /* ospf_area_start: AREA idval  */
#line 275 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14009 "obj/conf/cf-parse.tab.c"
    break;

  case 1647: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 290 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 14015 "obj/conf/cf-parse.tab.c"
    break;

  case 1650: /* ospf_area_item: STUB bool  */
#line 299 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14021 "obj/conf/cf-parse.tab.c"
    break;

  case 1651: /* ospf_area_item: NSSA  */
#line 300 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 14027 "obj/conf/cf-parse.tab.c"
    break;

  case 1652: /* ospf_area_item: SUMMARY bool  */
#line 301 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 14033 "obj/conf/cf-parse.tab.c"
    break;

  case 1653: /* ospf_area_item: DEFAULT NSSA bool  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 14039 "obj/conf/cf-parse.tab.c"
    break;

  case 1654: /* ospf_area_item: DEFAULT COST expr  */
#line 303 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14045 "obj/conf/cf-parse.tab.c"
    break;

  case 1655: /* ospf_area_item: DEFAULT COST2 expr  */
#line 304 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14051 "obj/conf/cf-parse.tab.c"
    break;

  case 1656: /* ospf_area_item: STUB COST expr  */
#line 305 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14057 "obj/conf/cf-parse.tab.c"
    break;

  case 1657: /* ospf_area_item: TRANSLATOR bool  */
#line 306 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 14063 "obj/conf/cf-parse.tab.c"
    break;

  case 1658: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 307 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 14069 "obj/conf/cf-parse.tab.c"
    break;

  case 1659: /* $@16: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 14075 "obj/conf/cf-parse.tab.c"
    break;

  case 1661: /* $@17: %empty  */
#line 309 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 14081 "obj/conf/cf-parse.tab.c"
    break;

  case 1668: /* ospf_stubnet_start: net_ip  */
#line 321 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14092 "obj/conf/cf-parse.tab.c"
    break;

  case 1671: /* ospf_stubnet_item: HIDDEN bool  */
#line 335 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 14098 "obj/conf/cf-parse.tab.c"
    break;

  case 1672: /* ospf_stubnet_item: SUMMARY bool  */
#line 336 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 14104 "obj/conf/cf-parse.tab.c"
    break;

  case 1673: /* ospf_stubnet_item: COST expr  */
#line 337 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 14110 "obj/conf/cf-parse.tab.c"
    break;

  case 1674: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 341 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 14116 "obj/conf/cf-parse.tab.c"
    break;

  case 1675: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 342 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 14122 "obj/conf/cf-parse.tab.c"
    break;

  case 1679: /* ospf_vlink_item: HELLO expr  */
#line 351 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14128 "obj/conf/cf-parse.tab.c"
    break;

  case 1680: /* ospf_vlink_item: RETRANSMIT expr  */
#line 352 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14134 "obj/conf/cf-parse.tab.c"
    break;

  case 1681: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 353 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14140 "obj/conf/cf-parse.tab.c"
    break;

  case 1682: /* ospf_vlink_item: WAIT expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14146 "obj/conf/cf-parse.tab.c"
    break;

  case 1683: /* ospf_vlink_item: DEAD expr  */
#line 355 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14152 "obj/conf/cf-parse.tab.c"
    break;

  case 1684: /* ospf_vlink_item: DEAD COUNT expr  */
#line 356 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14158 "obj/conf/cf-parse.tab.c"
    break;

  case 1685: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 357 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14164 "obj/conf/cf-parse.tab.c"
    break;

  case 1686: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 358 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14170 "obj/conf/cf-parse.tab.c"
    break;

  case 1687: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 359 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14176 "obj/conf/cf-parse.tab.c"
    break;

  case 1689: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 364 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14196 "obj/conf/cf-parse.tab.c"
    break;

  case 1690: /* ospf_iface_item: COST expr  */
#line 382 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14202 "obj/conf/cf-parse.tab.c"
    break;

  case 1691: /* ospf_iface_item: HELLO expr  */
#line 383 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14208 "obj/conf/cf-parse.tab.c"
    break;

  case 1692: /* ospf_iface_item: POLL expr  */
#line 384 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14214 "obj/conf/cf-parse.tab.c"
    break;

  case 1693: /* ospf_iface_item: RETRANSMIT expr  */
#line 385 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14220 "obj/conf/cf-parse.tab.c"
    break;

  case 1694: /* ospf_iface_item: WAIT expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14226 "obj/conf/cf-parse.tab.c"
    break;

  case 1695: /* ospf_iface_item: DEAD expr  */
#line 387 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14232 "obj/conf/cf-parse.tab.c"
    break;

  case 1696: /* ospf_iface_item: DEAD COUNT expr  */
#line 388 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14238 "obj/conf/cf-parse.tab.c"
    break;

  case 1697: /* ospf_iface_item: TYPE BROADCAST  */
#line 389 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14244 "obj/conf/cf-parse.tab.c"
    break;

  case 1698: /* ospf_iface_item: TYPE BCAST  */
#line 390 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 14250 "obj/conf/cf-parse.tab.c"
    break;

  case 1699: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 391 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14256 "obj/conf/cf-parse.tab.c"
    break;

  case 1700: /* ospf_iface_item: TYPE NBMA  */
#line 392 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 14262 "obj/conf/cf-parse.tab.c"
    break;

  case 1701: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 393 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14268 "obj/conf/cf-parse.tab.c"
    break;

  case 1702: /* ospf_iface_item: TYPE PTP  */
#line 394 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 14274 "obj/conf/cf-parse.tab.c"
    break;

  case 1703: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 395 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14280 "obj/conf/cf-parse.tab.c"
    break;

  case 1704: /* ospf_iface_item: TYPE PTMP  */
#line 396 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 14286 "obj/conf/cf-parse.tab.c"
    break;

  case 1705: /* ospf_iface_item: REAL BROADCAST bool  */
#line 397 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 14292 "obj/conf/cf-parse.tab.c"
    break;

  case 1706: /* ospf_iface_item: PTP NETMASK bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 14298 "obj/conf/cf-parse.tab.c"
    break;

  case 1707: /* ospf_iface_item: PTP ADDRESS bool  */
#line 399 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 14304 "obj/conf/cf-parse.tab.c"
    break;

  case 1708: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 400 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14310 "obj/conf/cf-parse.tab.c"
    break;

  case 1709: /* ospf_iface_item: PRIORITY expr  */
#line 401 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 14316 "obj/conf/cf-parse.tab.c"
    break;

  case 1710: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 402 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 14322 "obj/conf/cf-parse.tab.c"
    break;

  case 1711: /* ospf_iface_item: STUB bool  */
#line 403 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 14328 "obj/conf/cf-parse.tab.c"
    break;

  case 1712: /* ospf_iface_item: CHECK LINK bool  */
#line 404 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 14334 "obj/conf/cf-parse.tab.c"
    break;

  case 1713: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 405 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 14340 "obj/conf/cf-parse.tab.c"
    break;

  case 1714: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 406 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 14346 "obj/conf/cf-parse.tab.c"
    break;

  case 1716: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 408 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 14352 "obj/conf/cf-parse.tab.c"
    break;

  case 1717: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 409 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14358 "obj/conf/cf-parse.tab.c"
    break;

  case 1718: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 410 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14364 "obj/conf/cf-parse.tab.c"
    break;

  case 1719: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 411 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 14370 "obj/conf/cf-parse.tab.c"
    break;

  case 1720: /* ospf_iface_item: RX BUFFER LARGE  */
#line 412 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 14376 "obj/conf/cf-parse.tab.c"
    break;

  case 1721: /* ospf_iface_item: RX BUFFER expr  */
#line 413 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 14382 "obj/conf/cf-parse.tab.c"
    break;

  case 1722: /* ospf_iface_item: TX tos  */
#line 414 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 14388 "obj/conf/cf-parse.tab.c"
    break;

  case 1723: /* ospf_iface_item: TX PRIORITY expr  */
#line 415 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 14394 "obj/conf/cf-parse.tab.c"
    break;

  case 1724: /* ospf_iface_item: TX LENGTH expr  */
#line 416 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 14400 "obj/conf/cf-parse.tab.c"
    break;

  case 1725: /* ospf_iface_item: TTL SECURITY bool  */
#line 417 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 14406 "obj/conf/cf-parse.tab.c"
    break;

  case 1726: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 418 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 14412 "obj/conf/cf-parse.tab.c"
    break;

  case 1727: /* ospf_iface_item: BFD bool  */
#line 419 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 14418 "obj/conf/cf-parse.tab.c"
    break;

  case 1732: /* pref_base: net_ip  */
#line 431 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 14428 "obj/conf/cf-parse.tab.c"
    break;

  case 1734: /* pref_opt: HIDDEN  */
#line 440 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 14434 "obj/conf/cf-parse.tab.c"
    break;

  case 1735: /* pref_opt: TAG expr  */
#line 441 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 14440 "obj/conf/cf-parse.tab.c"
    break;

  case 1738: /* nbma_eligible: %empty  */
#line 450 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14446 "obj/conf/cf-parse.tab.c"
    break;

  case 1739: /* nbma_eligible: ELIGIBLE  */
#line 451 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 14452 "obj/conf/cf-parse.tab.c"
    break;

  case 1740: /* nbma_item: ipa nbma_eligible ';'  */
#line 455 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 14463 "obj/conf/cf-parse.tab.c"
    break;

  case 1741: /* ospf_iface_start: %empty  */
#line 464 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 14488 "obj/conf/cf-parse.tab.c"
    break;

  case 1743: /* ospf_instance_id: INSTANCE expr  */
#line 488 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14494 "obj/conf/cf-parse.tab.c"
    break;

  case 1744: /* $@18: %empty  */
#line 492 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 14500 "obj/conf/cf-parse.tab.c"
    break;

  case 1750: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 506 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 14506 "obj/conf/cf-parse.tab.c"
    break;

  case 1751: /* dynamic_attr: OSPF_METRIC1  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 14512 "obj/conf/cf-parse.tab.c"
    break;

  case 1752: /* dynamic_attr: OSPF_METRIC2  */
#line 510 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 14518 "obj/conf/cf-parse.tab.c"
    break;

  case 1753: /* dynamic_attr: OSPF_TAG  */
#line 511 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 14524 "obj/conf/cf-parse.tab.c"
    break;

  case 1754: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 512 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 14530 "obj/conf/cf-parse.tab.c"
    break;

  case 1756: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 14536 "obj/conf/cf-parse.tab.c"
    break;

  case 1758: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 519 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 14542 "obj/conf/cf-parse.tab.c"
    break;

  case 1760: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 522 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 14548 "obj/conf/cf-parse.tab.c"
    break;

  case 1762: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 527 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 14554 "obj/conf/cf-parse.tab.c"
    break;

  case 1764: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 530 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 14560 "obj/conf/cf-parse.tab.c"
    break;

  case 1766: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 535 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 14566 "obj/conf/cf-parse.tab.c"
    break;

  case 1768: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 538 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 14572 "obj/conf/cf-parse.tab.c"
    break;

  case 1770: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 542 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 14583 "obj/conf/cf-parse.tab.c"
    break;

  case 1771: /* lsadb_args: %empty  */
#line 550 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 14591 "obj/conf/cf-parse.tab.c"
    break;

  case 1772: /* lsadb_args: lsadb_args GLOBAL  */
#line 553 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 14597 "obj/conf/cf-parse.tab.c"
    break;

  case 1773: /* lsadb_args: lsadb_args AREA idval  */
#line 554 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 14603 "obj/conf/cf-parse.tab.c"
    break;

  case 1774: /* lsadb_args: lsadb_args LINK  */
#line 555 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 14609 "obj/conf/cf-parse.tab.c"
    break;

  case 1775: /* lsadb_args: lsadb_args TYPE NUM  */
#line 556 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 14615 "obj/conf/cf-parse.tab.c"
    break;

  case 1776: /* lsadb_args: lsadb_args LSID idval  */
#line 557 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 14621 "obj/conf/cf-parse.tab.c"
    break;

  case 1777: /* lsadb_args: lsadb_args SELF  */
#line 558 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 14627 "obj/conf/cf-parse.tab.c"
    break;

  case 1778: /* lsadb_args: lsadb_args ROUTER idval  */
#line 559 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 14633 "obj/conf/cf-parse.tab.c"
    break;

  case 1779: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 560 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 14639 "obj/conf/cf-parse.tab.c"
    break;

  case 1781: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 14655 "obj/conf/cf-parse.tab.c"
    break;

  case 1785: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14661 "obj/conf/cf-parse.tab.c"
    break;

  case 1786: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 14667 "obj/conf/cf-parse.tab.c"
    break;

  case 1787: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 14673 "obj/conf/cf-parse.tab.c"
    break;

  case 1788: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 14679 "obj/conf/cf-parse.tab.c"
    break;

  case 1789: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 14685 "obj/conf/cf-parse.tab.c"
    break;

  case 1790: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 14691 "obj/conf/cf-parse.tab.c"
    break;

  case 1791: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 14697 "obj/conf/cf-parse.tab.c"
    break;

  case 1792: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 14703 "obj/conf/cf-parse.tab.c"
    break;

  case 1793: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 14709 "obj/conf/cf-parse.tab.c"
    break;

  case 1794: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 14715 "obj/conf/cf-parse.tab.c"
    break;

  case 1795: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 14721 "obj/conf/cf-parse.tab.c"
    break;

  case 1796: /* $@19: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 14729 "obj/conf/cf-parse.tab.c"
    break;

  case 1797: /* pipe_proto_start: proto_start PIPE $@19 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 14742 "obj/conf/cf-parse.tab.c"
    break;

  case 1801: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 14748 "obj/conf/cf-parse.tab.c"
    break;

  case 1803: /* radv_proto_start: proto_start RADV  */
#line 56 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 14763 "obj/conf/cf-parse.tab.c"
    break;

  case 1807: /* radv_proto_item: PREFIX radv_prefix  */
#line 71 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 14769 "obj/conf/cf-parse.tab.c"
    break;

  case 1808: /* $@20: %empty  */
#line 72 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 14775 "obj/conf/cf-parse.tab.c"
    break;

  case 1809: /* radv_proto_item: RDNSS $@20 radv_rdnss  */
#line 72 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 14781 "obj/conf/cf-parse.tab.c"
    break;

  case 1810: /* $@21: %empty  */
#line 73 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 14787 "obj/conf/cf-parse.tab.c"
    break;

  case 1811: /* radv_proto_item: DNSSL $@21 radv_dnssl  */
#line 73 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 14793 "obj/conf/cf-parse.tab.c"
    break;

  case 1812: /* radv_proto_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 74 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 14799 "obj/conf/cf-parse.tab.c"
    break;

  case 1813: /* radv_proto_item: TRIGGER net_ip6  */
#line 75 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 14805 "obj/conf/cf-parse.tab.c"
    break;

  case 1814: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 76 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 14811 "obj/conf/cf-parse.tab.c"
    break;

  case 1818: /* radv_iface_start: %empty  */
#line 89 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 14838 "obj/conf/cf-parse.tab.c"
    break;

  case 1819: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 113 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 14844 "obj/conf/cf-parse.tab.c"
    break;

  case 1820: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 114 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 14850 "obj/conf/cf-parse.tab.c"
    break;

  case 1821: /* radv_iface_item: MIN DELAY expr  */
#line 115 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 14856 "obj/conf/cf-parse.tab.c"
    break;

  case 1822: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 116 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 14862 "obj/conf/cf-parse.tab.c"
    break;

  case 1823: /* radv_iface_item: MANAGED bool  */
#line 117 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 14868 "obj/conf/cf-parse.tab.c"
    break;

  case 1824: /* radv_iface_item: OTHER CONFIG bool  */
#line 118 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 14874 "obj/conf/cf-parse.tab.c"
    break;

  case 1825: /* radv_iface_item: LINK MTU expr  */
#line 119 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 14880 "obj/conf/cf-parse.tab.c"
    break;

  case 1826: /* radv_iface_item: REACHABLE TIME expr  */
#line 120 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 14886 "obj/conf/cf-parse.tab.c"
    break;

  case 1827: /* radv_iface_item: RETRANS TIMER expr  */
#line 121 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 14892 "obj/conf/cf-parse.tab.c"
    break;

  case 1828: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 14898 "obj/conf/cf-parse.tab.c"
    break;

  case 1829: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 123 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14908 "obj/conf/cf-parse.tab.c"
    break;

  case 1830: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 128 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 14917 "obj/conf/cf-parse.tab.c"
    break;

  case 1831: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 132 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 14923 "obj/conf/cf-parse.tab.c"
    break;

  case 1832: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 133 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 14929 "obj/conf/cf-parse.tab.c"
    break;

  case 1833: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 134 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 14935 "obj/conf/cf-parse.tab.c"
    break;

  case 1834: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 135 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 14941 "obj/conf/cf-parse.tab.c"
    break;

  case 1835: /* radv_iface_item: PREFIX radv_prefix  */
#line 136 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 14947 "obj/conf/cf-parse.tab.c"
    break;

  case 1836: /* $@22: %empty  */
#line 137 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 14953 "obj/conf/cf-parse.tab.c"
    break;

  case 1837: /* radv_iface_item: RDNSS $@22 radv_rdnss  */
#line 137 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 14959 "obj/conf/cf-parse.tab.c"
    break;

  case 1838: /* $@23: %empty  */
#line 138 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 14965 "obj/conf/cf-parse.tab.c"
    break;

  case 1839: /* radv_iface_item: DNSSL $@23 radv_dnssl  */
#line 138 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 14971 "obj/conf/cf-parse.tab.c"
    break;

  case 1840: /* radv_iface_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 139 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 14977 "obj/conf/cf-parse.tab.c"
    break;

  case 1841: /* radv_iface_item: RDNSS LOCAL bool  */
#line 140 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 14983 "obj/conf/cf-parse.tab.c"
    break;

  case 1842: /* radv_iface_item: DNSSL LOCAL bool  */
#line 141 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 14989 "obj/conf/cf-parse.tab.c"
    break;

  case 1843: /* radv_iface_item: CUSTOM OPTION LOCAL bool  */
#line 142 "proto/radv/config.Y"
                            { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 14995 "obj/conf/cf-parse.tab.c"
    break;

  case 1844: /* radv_preference: LOW  */
#line 146 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 15001 "obj/conf/cf-parse.tab.c"
    break;

  case 1845: /* radv_preference: MEDIUM  */
#line 147 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 15007 "obj/conf/cf-parse.tab.c"
    break;

  case 1846: /* radv_preference: HIGH  */
#line 148 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 15013 "obj/conf/cf-parse.tab.c"
    break;

  case 1847: /* radv_iface_finish: %empty  */
#line 151 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15054 "obj/conf/cf-parse.tab.c"
    break;

  case 1853: /* radv_prefix_start: net_ip6  */
#line 204 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15068 "obj/conf/cf-parse.tab.c"
    break;

  case 1854: /* radv_prefix_item: SKIP bool  */
#line 215 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15074 "obj/conf/cf-parse.tab.c"
    break;

  case 1855: /* radv_prefix_item: ONLINK bool  */
#line 216 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15080 "obj/conf/cf-parse.tab.c"
    break;

  case 1856: /* radv_prefix_item: AUTONOMOUS bool  */
#line 217 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15086 "obj/conf/cf-parse.tab.c"
    break;

  case 1857: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 218 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15095 "obj/conf/cf-parse.tab.c"
    break;

  case 1858: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 222 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15104 "obj/conf/cf-parse.tab.c"
    break;

  case 1859: /* radv_prefix_finish: %empty  */
#line 229 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15116 "obj/conf/cf-parse.tab.c"
    break;

  case 1865: /* radv_rdnss_node: ipa  */
#line 253 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15128 "obj/conf/cf-parse.tab.c"
    break;

  case 1866: /* radv_rdnss_start: %empty  */
#line 262 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15137 "obj/conf/cf-parse.tab.c"
    break;

  case 1869: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 269 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15143 "obj/conf/cf-parse.tab.c"
    break;

  case 1870: /* radv_rdnss_finish: %empty  */
#line 273 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15159 "obj/conf/cf-parse.tab.c"
    break;

  case 1875: /* radv_dnssl_node: TEXT  */
#line 297 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15174 "obj/conf/cf-parse.tab.c"
    break;

  case 1876: /* radv_dnssl_start: %empty  */
#line 309 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15183 "obj/conf/cf-parse.tab.c"
    break;

  case 1879: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 316 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15189 "obj/conf/cf-parse.tab.c"
    break;

  case 1880: /* radv_dnssl_finish: %empty  */
#line 320 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15205 "obj/conf/cf-parse.tab.c"
    break;

  case 1885: /* radv_mult: expr  */
#line 344 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15211 "obj/conf/cf-parse.tab.c"
    break;

  case 1886: /* radv_mult: MULT expr  */
#line 345 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15217 "obj/conf/cf-parse.tab.c"
    break;

  case 1887: /* radv_sensitive: %empty  */
#line 349 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 15223 "obj/conf/cf-parse.tab.c"
    break;

  case 1888: /* radv_sensitive: SENSITIVE bool  */
#line 350 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 15229 "obj/conf/cf-parse.tab.c"
    break;

  case 1889: /* dynamic_attr: RA_PREFERENCE  */
#line 353 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 15235 "obj/conf/cf-parse.tab.c"
    break;

  case 1890: /* dynamic_attr: RA_LIFETIME  */
#line 354 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 15241 "obj/conf/cf-parse.tab.c"
    break;

  case 1892: /* rip_variant: RIP  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 15247 "obj/conf/cf-parse.tab.c"
    break;

  case 1893: /* rip_variant: RIP NG  */
#line 51 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 15253 "obj/conf/cf-parse.tab.c"
    break;

  case 1894: /* rip_proto_start: proto_start rip_variant  */
#line 55 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 15269 "obj/conf/cf-parse.tab.c"
    break;

  case 1897: /* rip_proto_item: ECMP bool  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 15275 "obj/conf/cf-parse.tab.c"
    break;

  case 1898: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 15281 "obj/conf/cf-parse.tab.c"
    break;

  case 1899: /* rip_proto_item: INFINITY expr  */
#line 72 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 15287 "obj/conf/cf-parse.tab.c"
    break;

  case 1904: /* rip_iface_start: %empty  */
#line 86 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 15315 "obj/conf/cf-parse.tab.c"
    break;

  case 1905: /* rip_iface_finish: %empty  */
#line 111 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 15348 "obj/conf/cf-parse.tab.c"
    break;

  case 1906: /* rip_iface_item: METRIC expr  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 15354 "obj/conf/cf-parse.tab.c"
    break;

  case 1907: /* rip_iface_item: MODE MULTICAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 15360 "obj/conf/cf-parse.tab.c"
    break;

  case 1908: /* rip_iface_item: MODE BROADCAST  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 15366 "obj/conf/cf-parse.tab.c"
    break;

  case 1909: /* rip_iface_item: PASSIVE bool  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 15372 "obj/conf/cf-parse.tab.c"
    break;

  case 1910: /* rip_iface_item: ADDRESS ipa  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 15378 "obj/conf/cf-parse.tab.c"
    break;

  case 1911: /* rip_iface_item: PORT expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 15384 "obj/conf/cf-parse.tab.c"
    break;

  case 1912: /* rip_iface_item: VERSION expr  */
#line 147 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 15393 "obj/conf/cf-parse.tab.c"
    break;

  case 1913: /* rip_iface_item: VERSION ONLY bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 15399 "obj/conf/cf-parse.tab.c"
    break;

  case 1914: /* rip_iface_item: SPLIT HORIZON bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 15405 "obj/conf/cf-parse.tab.c"
    break;

  case 1915: /* rip_iface_item: POISON REVERSE bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 15411 "obj/conf/cf-parse.tab.c"
    break;

  case 1916: /* rip_iface_item: CHECK ZERO bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 15417 "obj/conf/cf-parse.tab.c"
    break;

  case 1917: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 15423 "obj/conf/cf-parse.tab.c"
    break;

  case 1918: /* rip_iface_item: UPDATE TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 15429 "obj/conf/cf-parse.tab.c"
    break;

  case 1919: /* rip_iface_item: TIMEOUT TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 15435 "obj/conf/cf-parse.tab.c"
    break;

  case 1920: /* rip_iface_item: GARBAGE TIME expr  */
#line 158 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 15441 "obj/conf/cf-parse.tab.c"
    break;

  case 1921: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 159 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 15447 "obj/conf/cf-parse.tab.c"
    break;

  case 1922: /* rip_iface_item: ECMP WEIGHT expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15453 "obj/conf/cf-parse.tab.c"
    break;

  case 1923: /* rip_iface_item: RX BUFFER expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 15459 "obj/conf/cf-parse.tab.c"
    break;

  case 1924: /* rip_iface_item: TX LENGTH expr  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 15465 "obj/conf/cf-parse.tab.c"
    break;

  case 1925: /* rip_iface_item: TX tos  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 15471 "obj/conf/cf-parse.tab.c"
    break;

  case 1926: /* rip_iface_item: TX PRIORITY expr  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 15477 "obj/conf/cf-parse.tab.c"
    break;

  case 1927: /* rip_iface_item: TTL SECURITY bool  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 15483 "obj/conf/cf-parse.tab.c"
    break;

  case 1928: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 15489 "obj/conf/cf-parse.tab.c"
    break;

  case 1929: /* rip_iface_item: CHECK LINK bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 15495 "obj/conf/cf-parse.tab.c"
    break;

  case 1930: /* rip_iface_item: BFD bool  */
#line 168 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15501 "obj/conf/cf-parse.tab.c"
    break;

  case 1931: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 169 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 15507 "obj/conf/cf-parse.tab.c"
    break;

  case 1932: /* rip_iface_item: password_list  */
#line 170 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 15513 "obj/conf/cf-parse.tab.c"
    break;

  case 1933: /* rip_auth: NONE  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 15519 "obj/conf/cf-parse.tab.c"
    break;

  case 1934: /* rip_auth: PLAINTEXT  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 15525 "obj/conf/cf-parse.tab.c"
    break;

  case 1935: /* rip_auth: CRYPTOGRAPHIC  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15531 "obj/conf/cf-parse.tab.c"
    break;

  case 1936: /* rip_auth: MD5  */
#line 177 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 15537 "obj/conf/cf-parse.tab.c"
    break;

  case 1942: /* dynamic_attr: RIP_METRIC  */
#line 194 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 15543 "obj/conf/cf-parse.tab.c"
    break;

  case 1943: /* dynamic_attr: RIP_TAG  */
#line 195 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 15549 "obj/conf/cf-parse.tab.c"
    break;

  case 1945: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 200 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 15555 "obj/conf/cf-parse.tab.c"
    break;

  case 1947: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 203 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 15561 "obj/conf/cf-parse.tab.c"
    break;

  case 1949: /* rpki_proto_start: proto_start RPKI  */
#line 43 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
}
#line 15572 "obj/conf/cf-parse.tab.c"
    break;

  case 1950: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 50 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 15578 "obj/conf/cf-parse.tab.c"
    break;

  case 1959: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 64 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 15589 "obj/conf/cf-parse.tab.c"
    break;

  case 1960: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 70 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 15600 "obj/conf/cf-parse.tab.c"
    break;

  case 1961: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 76 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 15611 "obj/conf/cf-parse.tab.c"
    break;

  case 1962: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 82 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 15617 "obj/conf/cf-parse.tab.c"
    break;

  case 1963: /* rpki_keep_interval: %empty  */
#line 86 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 15623 "obj/conf/cf-parse.tab.c"
    break;

  case 1964: /* rpki_keep_interval: KEEP  */
#line 87 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 15629 "obj/conf/cf-parse.tab.c"
    break;

  case 1965: /* rpki_proto_item_port: PORT expr  */
#line 90 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 15635 "obj/conf/cf-parse.tab.c"
    break;

  case 1966: /* rpki_cache_addr: text_or_ipa  */
#line 93 "proto/rpki/config.Y"
{
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 15655 "obj/conf/cf-parse.tab.c"
    break;

  case 1969: /* rpki_transport_tcp_init: %empty  */
#line 115 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 15665 "obj/conf/cf-parse.tab.c"
    break;

  case 1970: /* rpki_transport_ssh_init: %empty  */
#line 122 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 15679 "obj/conf/cf-parse.tab.c"
    break;

  case 1973: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 138 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 15685 "obj/conf/cf-parse.tab.c"
    break;

  case 1974: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 139 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 15691 "obj/conf/cf-parse.tab.c"
    break;

  case 1975: /* rpki_transport_ssh_item: USER text  */
#line 140 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 15697 "obj/conf/cf-parse.tab.c"
    break;

  case 1976: /* rpki_transport_ssh_check: %empty  */
#line 144 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 15706 "obj/conf/cf-parse.tab.c"
    break;

  case 1978: /* static_proto_start: proto_start STATIC  */
#line 57 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 15715 "obj/conf/cf-parse.tab.c"
    break;

  case 1981: /* static_proto: static_proto proto_channel ';'  */
#line 65 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 15721 "obj/conf/cf-parse.tab.c"
    break;

  case 1983: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 67 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 15727 "obj/conf/cf-parse.tab.c"
    break;

  case 1984: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 68 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 15740 "obj/conf/cf-parse.tab.c"
    break;

  case 1985: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 76 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 15746 "obj/conf/cf-parse.tab.c"
    break;

  case 1986: /* stat_nexthop: VIA ipa ipa_scope  */
#line 80 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 15756 "obj/conf/cf-parse.tab.c"
    break;

  case 1987: /* stat_nexthop: VIA TEXT  */
#line 85 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 15766 "obj/conf/cf-parse.tab.c"
    break;

  case 1988: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 90 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 15774 "obj/conf/cf-parse.tab.c"
    break;

  case 1989: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 93 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
  }
#line 15782 "obj/conf/cf-parse.tab.c"
    break;

  case 1990: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 96 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 15791 "obj/conf/cf-parse.tab.c"
    break;

  case 1991: /* stat_nexthop: stat_nexthop BFD bool  */
#line 100 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
  }
#line 15799 "obj/conf/cf-parse.tab.c"
    break;

  case 1995: /* stat_mpls: MPLS expr  */
#line 112 "proto/static/config.Y"
             { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 15805 "obj/conf/cf-parse.tab.c"
    break;

  case 1996: /* $@24: %empty  */
#line 115 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 15820 "obj/conf/cf-parse.tab.c"
    break;

  case 1999: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 129 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 15829 "obj/conf/cf-parse.tab.c"
    break;

  case 2000: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 133 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 15839 "obj/conf/cf-parse.tab.c"
    break;

  case 2001: /* stat_route: stat_route0  */
#line 138 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 15845 "obj/conf/cf-parse.tab.c"
    break;

  case 2002: /* stat_route: stat_route0 DROP  */
#line 139 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 15851 "obj/conf/cf-parse.tab.c"
    break;

  case 2003: /* stat_route: stat_route0 REJECT  */
#line 140 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 15857 "obj/conf/cf-parse.tab.c"
    break;

  case 2004: /* stat_route: stat_route0 BLACKHOLE  */
#line 141 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 15863 "obj/conf/cf-parse.tab.c"
    break;

  case 2005: /* stat_route: stat_route0 UNREACHABLE  */
#line 142 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 15869 "obj/conf/cf-parse.tab.c"
    break;

  case 2006: /* stat_route: stat_route0 PROHIBIT  */
#line 143 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 15875 "obj/conf/cf-parse.tab.c"
    break;

  case 2007: /* stat_route_item: cmd  */
#line 147 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 15887 "obj/conf/cf-parse.tab.c"
    break;

  case 2013: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 168 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 15893 "obj/conf/cf-parse.tab.c"
    break;

  case 2015: /* kern_sys_item: KERNEL TABLE expr  */
#line 26 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 15899 "obj/conf/cf-parse.tab.c"
    break;

  case 2016: /* kern_sys_item: METRIC expr  */
#line 27 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 15905 "obj/conf/cf-parse.tab.c"
    break;

  case 2017: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 28 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 15911 "obj/conf/cf-parse.tab.c"
    break;

  case 2018: /* dynamic_attr: KRT_PREFSRC  */
#line 31 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 15917 "obj/conf/cf-parse.tab.c"
    break;

  case 2019: /* dynamic_attr: KRT_REALM  */
#line 32 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 15923 "obj/conf/cf-parse.tab.c"
    break;

  case 2020: /* dynamic_attr: KRT_SCOPE  */
#line 33 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 15929 "obj/conf/cf-parse.tab.c"
    break;

  case 2021: /* dynamic_attr: KRT_MTU  */
#line 35 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 15935 "obj/conf/cf-parse.tab.c"
    break;

  case 2022: /* dynamic_attr: KRT_WINDOW  */
#line 36 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 15941 "obj/conf/cf-parse.tab.c"
    break;

  case 2023: /* dynamic_attr: KRT_RTT  */
#line 37 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 15947 "obj/conf/cf-parse.tab.c"
    break;

  case 2024: /* dynamic_attr: KRT_RTTVAR  */
#line 38 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 15953 "obj/conf/cf-parse.tab.c"
    break;

  case 2025: /* dynamic_attr: KRT_SSTRESH  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTRESH); }
#line 15959 "obj/conf/cf-parse.tab.c"
    break;

  case 2026: /* dynamic_attr: KRT_CWND  */
#line 40 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 15965 "obj/conf/cf-parse.tab.c"
    break;

  case 2027: /* dynamic_attr: KRT_ADVMSS  */
#line 41 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 15971 "obj/conf/cf-parse.tab.c"
    break;

  case 2028: /* dynamic_attr: KRT_REORDERING  */
#line 42 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 15977 "obj/conf/cf-parse.tab.c"
    break;

  case 2029: /* dynamic_attr: KRT_HOPLIMIT  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 15983 "obj/conf/cf-parse.tab.c"
    break;

  case 2030: /* dynamic_attr: KRT_INITCWND  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 15989 "obj/conf/cf-parse.tab.c"
    break;

  case 2031: /* dynamic_attr: KRT_RTO_MIN  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 15995 "obj/conf/cf-parse.tab.c"
    break;

  case 2032: /* dynamic_attr: KRT_INITRWND  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16001 "obj/conf/cf-parse.tab.c"
    break;

  case 2033: /* dynamic_attr: KRT_QUICKACK  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16007 "obj/conf/cf-parse.tab.c"
    break;

  case 2034: /* dynamic_attr: KRT_LOCK_MTU  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16013 "obj/conf/cf-parse.tab.c"
    break;

  case 2035: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16019 "obj/conf/cf-parse.tab.c"
    break;

  case 2036: /* dynamic_attr: KRT_LOCK_RTT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16025 "obj/conf/cf-parse.tab.c"
    break;

  case 2037: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16031 "obj/conf/cf-parse.tab.c"
    break;

  case 2038: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16037 "obj/conf/cf-parse.tab.c"
    break;

  case 2039: /* dynamic_attr: KRT_LOCK_CWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16043 "obj/conf/cf-parse.tab.c"
    break;

  case 2040: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16049 "obj/conf/cf-parse.tab.c"
    break;

  case 2041: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 58 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16055 "obj/conf/cf-parse.tab.c"
    break;

  case 2042: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 59 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16061 "obj/conf/cf-parse.tab.c"
    break;

  case 2043: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 60 "sysdep/linux/netlink.Y"
                               { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16067 "obj/conf/cf-parse.tab.c"
    break;

  case 2044: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 62 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16073 "obj/conf/cf-parse.tab.c"
    break;

  case 2045: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 63 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr(3, T_BOOL, EA_KRT_FEATURES); }
#line 16079 "obj/conf/cf-parse.tab.c"
    break;

  case 2048: /* log_begin: %empty  */
#line 36 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 16085 "obj/conf/cf-parse.tab.c"
    break;

  case 2049: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 38 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 16094 "obj/conf/cf-parse.tab.c"
    break;

  case 2050: /* syslog_name: NAME text  */
#line 45 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 16100 "obj/conf/cf-parse.tab.c"
    break;

  case 2051: /* syslog_name: %empty  */
#line 46 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 16106 "obj/conf/cf-parse.tab.c"
    break;

  case 2053: /* log_limit: expr text  */
#line 51 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 16112 "obj/conf/cf-parse.tab.c"
    break;

  case 2054: /* log_file: text log_limit  */
#line 55 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 16127 "obj/conf/cf-parse.tab.c"
    break;

  case 2055: /* log_file: SYSLOG syslog_name  */
#line 65 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 16133 "obj/conf/cf-parse.tab.c"
    break;

  case 2056: /* log_file: STDERR  */
#line 66 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 16139 "obj/conf/cf-parse.tab.c"
    break;

  case 2057: /* log_mask: ALL  */
#line 70 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 16145 "obj/conf/cf-parse.tab.c"
    break;

  case 2058: /* log_mask: '{' log_mask_list '}'  */
#line 71 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 16151 "obj/conf/cf-parse.tab.c"
    break;

  case 2059: /* log_mask_list: log_cat  */
#line 75 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 16157 "obj/conf/cf-parse.tab.c"
    break;

  case 2060: /* log_mask_list: log_mask_list ',' log_cat  */
#line 76 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 16163 "obj/conf/cf-parse.tab.c"
    break;

  case 2061: /* log_cat: DEBUG  */
#line 80 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 16169 "obj/conf/cf-parse.tab.c"
    break;

  case 2062: /* log_cat: TRACE  */
#line 81 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 16175 "obj/conf/cf-parse.tab.c"
    break;

  case 2063: /* log_cat: INFO  */
#line 82 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 16181 "obj/conf/cf-parse.tab.c"
    break;

  case 2064: /* log_cat: REMOTE  */
#line 83 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 16187 "obj/conf/cf-parse.tab.c"
    break;

  case 2065: /* log_cat: WARNING  */
#line 84 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 16193 "obj/conf/cf-parse.tab.c"
    break;

  case 2066: /* log_cat: ERROR  */
#line 85 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 16199 "obj/conf/cf-parse.tab.c"
    break;

  case 2067: /* log_cat: AUTH  */
#line 86 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 16205 "obj/conf/cf-parse.tab.c"
    break;

  case 2068: /* log_cat: FATAL  */
#line 87 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 16211 "obj/conf/cf-parse.tab.c"
    break;

  case 2069: /* log_cat: BUG  */
#line 88 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 16217 "obj/conf/cf-parse.tab.c"
    break;

  case 2071: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 95 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 16223 "obj/conf/cf-parse.tab.c"
    break;

  case 2072: /* mrtdump_base: MRTDUMP text ';'  */
#line 96 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 16236 "obj/conf/cf-parse.tab.c"
    break;

  case 2074: /* debug_unix: DEBUG LATENCY bool  */
#line 110 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 16242 "obj/conf/cf-parse.tab.c"
    break;

  case 2075: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 111 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 16248 "obj/conf/cf-parse.tab.c"
    break;

  case 2076: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 112 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 16254 "obj/conf/cf-parse.tab.c"
    break;

  case 2077: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 113 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 16260 "obj/conf/cf-parse.tab.c"
    break;

  case 2079: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 122 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 16266 "obj/conf/cf-parse.tab.c"
    break;

  case 2081: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 125 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 16272 "obj/conf/cf-parse.tab.c"
    break;

  case 2083: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 132 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 16278 "obj/conf/cf-parse.tab.c"
    break;

  case 2085: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 135 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 16284 "obj/conf/cf-parse.tab.c"
    break;

  case 2087: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 138 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 16290 "obj/conf/cf-parse.tab.c"
    break;

  case 2089: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 141 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 16296 "obj/conf/cf-parse.tab.c"
    break;

  case 2091: /* cmd_DOWN: DOWN END  */
#line 144 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 16302 "obj/conf/cf-parse.tab.c"
    break;

  case 2093: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 149 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 16308 "obj/conf/cf-parse.tab.c"
    break;

  case 2094: /* cfg_name: %empty  */
#line 153 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 16314 "obj/conf/cf-parse.tab.c"
    break;

  case 2096: /* cfg_timeout: %empty  */
#line 158 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 16320 "obj/conf/cf-parse.tab.c"
    break;

  case 2097: /* cfg_timeout: TIMEOUT  */
#line 159 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 16326 "obj/conf/cf-parse.tab.c"
    break;

  case 2098: /* cfg_timeout: TIMEOUT expr  */
#line 160 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 16332 "obj/conf/cf-parse.tab.c"
    break;

  case 2100: /* kern_proto_start: proto_start KERNEL  */
#line 45 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 16340 "obj/conf/cf-parse.tab.c"
    break;

  case 2103: /* kern_learn: bool  */
#line 54 "sysdep/unix/krt.Y"
        { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 16346 "obj/conf/cf-parse.tab.c"
    break;

  case 2104: /* kern_learn: ALL  */
#line 55 "sysdep/unix/krt.Y"
        { (yyval.i) = KRT_LEARN_ALL; }
#line 16352 "obj/conf/cf-parse.tab.c"
    break;

  case 2105: /* kern_mp_limit: %empty  */
#line 59 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 16358 "obj/conf/cf-parse.tab.c"
    break;

  case 2106: /* kern_mp_limit: LIMIT expr  */
#line 60 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 16364 "obj/conf/cf-parse.tab.c"
    break;

  case 2110: /* kern_item: kern_channel  */
#line 71 "sysdep/unix/krt.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 16370 "obj/conf/cf-parse.tab.c"
    break;

  case 2111: /* kern_item: PERSIST bool  */
#line 72 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 16376 "obj/conf/cf-parse.tab.c"
    break;

  case 2112: /* kern_item: SCAN TIME expr  */
#line 73 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 16385 "obj/conf/cf-parse.tab.c"
    break;

  case 2113: /* kern_item: LEARN kern_learn  */
#line 77 "sysdep/unix/krt.Y"
                    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 16397 "obj/conf/cf-parse.tab.c"
    break;

  case 2114: /* kern_item: GRACEFUL RESTART bool  */
#line 84 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 16403 "obj/conf/cf-parse.tab.c"
    break;

  case 2115: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 85 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 16415 "obj/conf/cf-parse.tab.c"
    break;

  case 2117: /* kif_proto_start: proto_start DEVICE  */
#line 98 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 16421 "obj/conf/cf-parse.tab.c"
    break;

  case 2122: /* kif_item: SCAN TIME expr  */
#line 107 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 16430 "obj/conf/cf-parse.tab.c"
    break;

  case 2123: /* kif_iface_start: %empty  */
#line 114 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 16440 "obj/conf/cf-parse.tab.c"
    break;

  case 2124: /* kif_iface_item: PREFERRED ipa  */
#line 121 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 16446 "obj/conf/cf-parse.tab.c"
    break;

  case 2130: /* dynamic_attr: KRT_SOURCE  */
#line 138 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 16452 "obj/conf/cf-parse.tab.c"
    break;

  case 2131: /* dynamic_attr: KRT_METRIC  */
#line 139 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 16458 "obj/conf/cf-parse.tab.c"
    break;


#line 16462 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 58 "conf/gen_parser.m4"

#line 446 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 946 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 189 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 384 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 66 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 563 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 149 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 170 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 66 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 163 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

