#line 533 "filter/decl.m4"


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmisleading-indentation"
#endif

#include "nest/bird.h"
#include "filter/filter.h"
#include "filter/f-inst.h"

/* Instruction codes to string */
static const char * const f_instruction_name_str[] = {
#line 291 "filter/f-inst.c"
 /* Code enum to string for FI_ADD */
#line 291
  [FI_ADD] = "FI_ADD",
#line 296 "filter/f-inst.c"
 /* Code enum to string for FI_SUBTRACT */
#line 296
  [FI_SUBTRACT] = "FI_SUBTRACT",
#line 301 "filter/f-inst.c"
 /* Code enum to string for FI_MULTIPLY */
#line 301
  [FI_MULTIPLY] = "FI_MULTIPLY",
#line 307 "filter/f-inst.c"
 /* Code enum to string for FI_DIVIDE */
#line 307
  [FI_DIVIDE] = "FI_DIVIDE",
#line 317 "filter/f-inst.c"
 /* Code enum to string for FI_AND */
#line 317
  [FI_AND] = "FI_AND",
#line 328 "filter/f-inst.c"
 /* Code enum to string for FI_OR */
#line 328
  [FI_OR] = "FI_OR",
#line 338 "filter/f-inst.c"
 /* Code enum to string for FI_PAIR_CONSTRUCT */
#line 338
  [FI_PAIR_CONSTRUCT] = "FI_PAIR_CONSTRUCT",
#line 378 "filter/f-inst.c"
 /* Code enum to string for FI_EC_CONSTRUCT */
#line 378
  [FI_EC_CONSTRUCT] = "FI_EC_CONSTRUCT",
#line 385 "filter/f-inst.c"
 /* Code enum to string for FI_LC_CONSTRUCT */
#line 385
  [FI_LC_CONSTRUCT] = "FI_LC_CONSTRUCT",
#line 435 "filter/f-inst.c"
 /* Code enum to string for FI_PATHMASK_CONSTRUCT */
#line 435
  [FI_PATHMASK_CONSTRUCT] = "FI_PATHMASK_CONSTRUCT",
#line 442 "filter/f-inst.c"
 /* Code enum to string for FI_NEQ */
#line 442
  [FI_NEQ] = "FI_NEQ",
#line 449 "filter/f-inst.c"
 /* Code enum to string for FI_EQ */
#line 449
  [FI_EQ] = "FI_EQ",
#line 460 "filter/f-inst.c"
 /* Code enum to string for FI_LT */
#line 460
  [FI_LT] = "FI_LT",
#line 471 "filter/f-inst.c"
 /* Code enum to string for FI_LTE */
#line 471
  [FI_LTE] = "FI_LTE",
#line 476 "filter/f-inst.c"
 /* Code enum to string for FI_NOT */
#line 476
  [FI_NOT] = "FI_NOT",
#line 485 "filter/f-inst.c"
 /* Code enum to string for FI_MATCH */
#line 485
  [FI_MATCH] = "FI_MATCH",
#line 494 "filter/f-inst.c"
 /* Code enum to string for FI_NOT_MATCH */
#line 494
  [FI_NOT_MATCH] = "FI_NOT_MATCH",
#line 499 "filter/f-inst.c"
 /* Code enum to string for FI_DEFINED */
#line 499
  [FI_DEFINED] = "FI_DEFINED",
#line 500 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__type */
#line 500
  [FI_METHOD__T_NET__type] = "FI_METHOD__T_NET__type",
#line 503 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_IP__is_v4 */
#line 503
  [FI_METHOD__T_IP__is_v4] = "FI_METHOD__T_IP__is_v4",
#line 516 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_INIT */
#line 516
  [FI_VAR_INIT] = "FI_VAR_INIT",
#line 527 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_INIT0 */
#line 527
  [FI_VAR_INIT0] = "FI_VAR_INIT0",
#line 536 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_SET */
#line 536
  [FI_VAR_SET] = "FI_VAR_SET",
#line 543 "filter/f-inst.c"
 /* Code enum to string for FI_VAR_GET */
#line 543
  [FI_VAR_GET] = "FI_VAR_GET",
#line 556 "filter/f-inst.c"
 /* Code enum to string for FI_CONSTANT */
#line 556
  [FI_CONSTANT] = "FI_CONSTANT",
#line 557 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__empty */
#line 557
  [FI_METHOD__T_PATH__empty] = "FI_METHOD__T_PATH__empty",
#line 558 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__empty */
#line 558
  [FI_METHOD__T_CLIST__empty] = "FI_METHOD__T_CLIST__empty",
#line 559 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__empty */
#line 559
  [FI_METHOD__T_ECLIST__empty] = "FI_METHOD__T_ECLIST__empty",
#line 562 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__empty */
#line 562
  [FI_METHOD__T_LCLIST__empty] = "FI_METHOD__T_LCLIST__empty",
#line 584 "filter/f-inst.c"
 /* Code enum to string for FI_FOR_LOOP_START */
#line 584
  [FI_FOR_LOOP_START] = "FI_FOR_LOOP_START",
#line 593 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_FOR_NEXT */
#line 593
  [FI_PATH_FOR_NEXT] = "FI_PATH_FOR_NEXT",
#line 602 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FOR_NEXT */
#line 602
  [FI_CLIST_FOR_NEXT] = "FI_CLIST_FOR_NEXT",
#line 611 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FOR_NEXT */
#line 611
  [FI_ECLIST_FOR_NEXT] = "FI_ECLIST_FOR_NEXT",
#line 620 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FOR_NEXT */
#line 620
  [FI_LCLIST_FOR_NEXT] = "FI_LCLIST_FOR_NEXT",
#line 636 "filter/f-inst.c"
 /* Code enum to string for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
  [FI_ROUTES_BLOCK_FOR_NEXT] = "FI_ROUTES_BLOCK_FOR_NEXT",
#line 644 "filter/f-inst.c"
 /* Code enum to string for FI_CONDITION */
#line 644
  [FI_CONDITION] = "FI_CONDITION",
#line 652 "filter/f-inst.c"
 /* Code enum to string for FI_PRINT */
#line 652
  [FI_PRINT] = "FI_PRINT",
#line 659 "filter/f-inst.c"
 /* Code enum to string for FI_FLUSH */
#line 659
  [FI_FLUSH] = "FI_FLUSH",
#line 673 "filter/f-inst.c"
 /* Code enum to string for FI_DIE */
#line 673
  [FI_DIE] = "FI_DIE",
#line 703 "filter/f-inst.c"
 /* Code enum to string for FI_RTA_GET */
#line 703
  [FI_RTA_GET] = "FI_RTA_GET",
#line 818 "filter/f-inst.c"
 /* Code enum to string for FI_RTA_SET */
#line 818
  [FI_RTA_SET] = "FI_RTA_SET",
#line 870 "filter/f-inst.c"
 /* Code enum to string for FI_EA_GET */
#line 870
  [FI_EA_GET] = "FI_EA_GET",
#line 940 "filter/f-inst.c"
 /* Code enum to string for FI_EA_SET */
#line 940
  [FI_EA_SET] = "FI_EA_SET",
#line 950 "filter/f-inst.c"
 /* Code enum to string for FI_EA_UNSET */
#line 950
  [FI_EA_UNSET] = "FI_EA_UNSET",
#line 951 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__len */
#line 951
  [FI_METHOD__T_NET__len] = "FI_METHOD__T_NET__len",
#line 952 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__len */
#line 952
  [FI_METHOD__T_PATH__len] = "FI_METHOD__T_PATH__len",
#line 953 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__len */
#line 953
  [FI_METHOD__T_CLIST__len] = "FI_METHOD__T_CLIST__len",
#line 954 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__len */
#line 954
  [FI_METHOD__T_ECLIST__len] = "FI_METHOD__T_ECLIST__len",
#line 956 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__len */
#line 956
  [FI_METHOD__T_LCLIST__len] = "FI_METHOD__T_LCLIST__len",
#line 992 "filter/f-inst.c"
 /* Code enum to string for FI_NET_SRC */
#line 992
  [FI_NET_SRC] = "FI_NET_SRC",
#line 1029 "filter/f-inst.c"
 /* Code enum to string for FI_NET_DST */
#line 1029
  [FI_NET_DST] = "FI_NET_DST",
#line 1039 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__maxlen */
#line 1039
  [FI_METHOD__T_NET__maxlen] = "FI_METHOD__T_NET__maxlen",
#line 1049 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__asn */
#line 1049
  [FI_METHOD__T_NET__asn] = "FI_METHOD__T_NET__asn",
#line 1051 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_NET__ip */
#line 1051
  [FI_METHOD__T_NET__ip] = "FI_METHOD__T_NET__ip",
#line 1060 "filter/f-inst.c"
 /* Code enum to string for FI_ROUTE_DISTINGUISHER */
#line 1060
  [FI_ROUTE_DISTINGUISHER] = "FI_ROUTE_DISTINGUISHER",
#line 1063 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__first */
#line 1063
  [FI_METHOD__T_PATH__first] = "FI_METHOD__T_PATH__first",
#line 1066 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__last */
#line 1066
  [FI_METHOD__T_PATH__last] = "FI_METHOD__T_PATH__last",
#line 1069 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
  [FI_METHOD__T_PATH__last_nonaggregated] = "FI_METHOD__T_PATH__last_nonaggregated",
#line 1072 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PAIR__asn */
#line 1072
  [FI_METHOD__T_PAIR__asn] = "FI_METHOD__T_PAIR__asn",
#line 1075 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_PAIR__data */
#line 1075
  [FI_METHOD__T_PAIR__data] = "FI_METHOD__T_PAIR__data",
#line 1078 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__asn */
#line 1078
  [FI_METHOD__T_LC__asn] = "FI_METHOD__T_LC__asn",
#line 1081 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__data1 */
#line 1081
  [FI_METHOD__T_LC__data1] = "FI_METHOD__T_LC__data1",
#line 1084 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LC__data2 */
#line 1084
  [FI_METHOD__T_LC__data2] = "FI_METHOD__T_LC__data2",
#line 1087 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__min */
#line 1087
  [FI_METHOD__T_CLIST__min] = "FI_METHOD__T_CLIST__min",
#line 1090 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_CLIST__max */
#line 1090
  [FI_METHOD__T_CLIST__max] = "FI_METHOD__T_CLIST__max",
#line 1093 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__min */
#line 1093
  [FI_METHOD__T_ECLIST__min] = "FI_METHOD__T_ECLIST__min",
#line 1096 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_ECLIST__max */
#line 1096
  [FI_METHOD__T_ECLIST__max] = "FI_METHOD__T_ECLIST__max",
#line 1099 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__min */
#line 1099
  [FI_METHOD__T_LCLIST__min] = "FI_METHOD__T_LCLIST__min",
#line 1101 "filter/f-inst.c"
 /* Code enum to string for FI_METHOD__T_LCLIST__max */
#line 1101
  [FI_METHOD__T_LCLIST__max] = "FI_METHOD__T_LCLIST__max",
#line 1127 "filter/f-inst.c"
 /* Code enum to string for FI_RETURN */
#line 1127
  [FI_RETURN] = "FI_RETURN",
#line 1186 "filter/f-inst.c"
 /* Code enum to string for FI_CALL */
#line 1186
  [FI_CALL] = "FI_CALL",
#line 1191 "filter/f-inst.c"
 /* Code enum to string for FI_DROP_RESULT */
#line 1191
  [FI_DROP_RESULT] = "FI_DROP_RESULT",
#line 1232 "filter/f-inst.c"
 /* Code enum to string for FI_SWITCH */
#line 1232
  [FI_SWITCH] = "FI_SWITCH",
#line 1241 "filter/f-inst.c"
 /* Code enum to string for FI_IP_MASK */
#line 1241
  [FI_IP_MASK] = "FI_IP_MASK",
#line 1249 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_PREPEND */
#line 1249
  [FI_PATH_PREPEND] = "FI_PATH_PREPEND",
#line 1256 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_PAIR */
#line 1256
  [FI_CLIST_ADD_PAIR] = "FI_CLIST_ADD_PAIR",
#line 1270 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_IP */
#line 1270
  [FI_CLIST_ADD_IP] = "FI_CLIST_ADD_IP",
#line 1277 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_QUAD */
#line 1277
  [FI_CLIST_ADD_QUAD] = "FI_CLIST_ADD_QUAD",
#line 1284 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_ADD_CLIST */
#line 1284
  [FI_CLIST_ADD_CLIST] = "FI_CLIST_ADD_CLIST",
#line 1291 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_ADD_EC */
#line 1291
  [FI_ECLIST_ADD_EC] = "FI_ECLIST_ADD_EC",
#line 1298 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_ADD_ECLIST */
#line 1298
  [FI_ECLIST_ADD_ECLIST] = "FI_ECLIST_ADD_ECLIST",
#line 1305 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_ADD_LC */
#line 1305
  [FI_LCLIST_ADD_LC] = "FI_LCLIST_ADD_LC",
#line 1312 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_ADD_LCLIST */
#line 1312
  [FI_LCLIST_ADD_LCLIST] = "FI_LCLIST_ADD_LCLIST",
#line 1319 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_DELETE_INT */
#line 1319
  [FI_PATH_DELETE_INT] = "FI_PATH_DELETE_INT",
#line 1331 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_DELETE_SET */
#line 1331
  [FI_PATH_DELETE_SET] = "FI_PATH_DELETE_SET",
#line 1338 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_PAIR */
#line 1338
  [FI_CLIST_DELETE_PAIR] = "FI_CLIST_DELETE_PAIR",
#line 1352 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_IP */
#line 1352
  [FI_CLIST_DELETE_IP] = "FI_CLIST_DELETE_IP",
#line 1359 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_QUAD */
#line 1359
  [FI_CLIST_DELETE_QUAD] = "FI_CLIST_DELETE_QUAD",
#line 1366 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_CLIST */
#line 1366
  [FI_CLIST_DELETE_CLIST] = "FI_CLIST_DELETE_CLIST",
#line 1377 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_DELETE_SET */
#line 1377
  [FI_CLIST_DELETE_SET] = "FI_CLIST_DELETE_SET",
#line 1384 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_EC */
#line 1384
  [FI_ECLIST_DELETE_EC] = "FI_ECLIST_DELETE_EC",
#line 1391 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_ECLIST */
#line 1391
  [FI_ECLIST_DELETE_ECLIST] = "FI_ECLIST_DELETE_ECLIST",
#line 1402 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_DELETE_SET */
#line 1402
  [FI_ECLIST_DELETE_SET] = "FI_ECLIST_DELETE_SET",
#line 1409 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_LC */
#line 1409
  [FI_LCLIST_DELETE_LC] = "FI_LCLIST_DELETE_LC",
#line 1416 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_LCLIST */
#line 1416
  [FI_LCLIST_DELETE_LCLIST] = "FI_LCLIST_DELETE_LCLIST",
#line 1427 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_DELETE_SET */
#line 1427
  [FI_LCLIST_DELETE_SET] = "FI_LCLIST_DELETE_SET",
#line 1438 "filter/f-inst.c"
 /* Code enum to string for FI_PATH_FILTER_SET */
#line 1438
  [FI_PATH_FILTER_SET] = "FI_PATH_FILTER_SET",
#line 1445 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FILTER_CLIST */
#line 1445
  [FI_CLIST_FILTER_CLIST] = "FI_CLIST_FILTER_CLIST",
#line 1456 "filter/f-inst.c"
 /* Code enum to string for FI_CLIST_FILTER_SET */
#line 1456
  [FI_CLIST_FILTER_SET] = "FI_CLIST_FILTER_SET",
#line 1463 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FILTER_ECLIST */
#line 1463
  [FI_ECLIST_FILTER_ECLIST] = "FI_ECLIST_FILTER_ECLIST",
#line 1474 "filter/f-inst.c"
 /* Code enum to string for FI_ECLIST_FILTER_SET */
#line 1474
  [FI_ECLIST_FILTER_SET] = "FI_ECLIST_FILTER_SET",
#line 1481 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FILTER_LCLIST */
#line 1481
  [FI_LCLIST_FILTER_LCLIST] = "FI_LCLIST_FILTER_LCLIST",
#line 1492 "filter/f-inst.c"
 /* Code enum to string for FI_LCLIST_FILTER_SET */
#line 1492
  [FI_LCLIST_FILTER_SET] = "FI_LCLIST_FILTER_SET",
#line 1522 "filter/f-inst.c"
 /* Code enum to string for FI_ROA_CHECK_IMPLICIT */
#line 1522
  [FI_ROA_CHECK_IMPLICIT] = "FI_ROA_CHECK_IMPLICIT",
#line 1544 "filter/f-inst.c"
 /* Code enum to string for FI_ROA_CHECK_EXPLICIT */
#line 1544
  [FI_ROA_CHECK_EXPLICIT] = "FI_ROA_CHECK_EXPLICIT",
#line 1559 "filter/f-inst.c"
 /* Code enum to string for FI_FROM_HEX */
#line 1559
  [FI_FROM_HEX] = "FI_FROM_HEX",
#line 1564 "filter/f-inst.c"
 /* Code enum to string for FI_FORMAT */
#line 1564
  [FI_FORMAT] = "FI_FORMAT",
#line 820 "filter/decl.m4"
 /* Code enum to string for FI_ASSERT */
#line 820
  [FI_ASSERT] = "FI_ASSERT",
#line 546 "filter/decl.m4"

};

const char *
f_instruction_name_(enum f_instruction_code fi)
{
  if (fi < (sizeof(f_instruction_name_str) / sizeof(f_instruction_name_str[0])))
    return f_instruction_name_str[fi];
  else
    bug("Got unknown instruction code: %d", fi);
}

static inline struct f_inst *
fi_new(enum f_instruction_code fi_code)
{
  struct f_inst *what = tmp_allocz(sizeof(struct f_inst));
  what->lineno = ifs->lino;
  what->size = 1;
  what->fi_code = fi_code;
  return what;
}

static inline struct f_inst *
fi_constant(struct f_inst *what, struct f_val val)
{
  what->fi_code = FI_CONSTANT;
  what->i_FI_CONSTANT.val = val;
  return what;
}

int
f_const_promotion_(struct f_inst *arg, enum f_type want, int update)
{
  if (arg->fi_code != FI_CONSTANT)
    return 0;

  struct f_val *c = &arg->i_FI_CONSTANT.val;

  if ((c->type == T_IP) && ipa_is_ip4(c->val.ip) && (want == T_QUAD)) {
    if (update)
      *c = (struct f_val) {
        .type = T_QUAD,
        .val.i = ipa_to_u32(c->val.ip),
      };
    return 1;
  }

  else if ((c->type == T_SET) && (!c->val.t) && (want == T_PREFIX_SET)) {
    if (update)
      *c = f_const_empty_prefix_set;
    return 1;
  }

  return 0;
}

#define v1 whati->f1->i_FI_CONSTANT.val
#define v2 whati->f2->i_FI_CONSTANT.val
#define v3 whati->f3->i_FI_CONSTANT.val
#define vv(i) items[i]->i_FI_CONSTANT.val
#define runtime(fmt, ...) cf_error("filter preevaluation, line %d: " fmt, ifs->lino, ##__VA_ARGS__)
#define fpool cfg_mem
#define falloc(size) cfg_alloc(size)
/* Instruction constructors */
#line 291 "filter/f-inst.c"
 /* Constructor for FI_ADD */
#line 291
struct f_inst *
#line 287 "filter/f-inst.c"
NONNULL(2)
#line 288 "filter/f-inst.c"
NONNULL(3)
#line 291 "filter/f-inst.c"
f_new_inst_FI_ADD(enum f_instruction_code fi_code
#line 287 "filter/f-inst.c"
  , struct f_inst * f1
#line 288 "filter/f-inst.c"
  , struct f_inst * f2
#line 291 "filter/f-inst.c"
)
#line 291
  {
#line 291
    /* Allocate the structure */
#line 291
    struct f_inst *what = fi_new(fi_code);
#line 291
    uint constargs = 1;
#line 291

#line 291
    /* Initialize all the members */
#line 291
  #define whati (&(what->i_FI_ADD))
#line 291
  #line 287 "filter/f-inst.c"
whati->f1 = f1;
#line 287
const struct f_inst *child1 = f1;
#line 287
do {
#line 287
  what->size += child1->size;
#line 287

#line 287
  if (child1->fi_code != FI_CONSTANT)
#line 287
    constargs = 0;
#line 287

#line 287
} while (child1 = child1->next);
#line 287

#line 287 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 287
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 287
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 288 "filter/f-inst.c"
whati->f2 = f2;
#line 288
const struct f_inst *child2 = f2;
#line 288
do {
#line 288
  what->size += child2->size;
#line 288

#line 288
  if (child2->fi_code != FI_CONSTANT)
#line 288
    constargs = 0;
#line 288

#line 288
} while (child2 = child2->next);
#line 288 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 288
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 288
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 289 "filter/f-inst.c"
what->type = T_INT;

#line 291 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 291
    if (!constargs)
#line 291
      return what;
#line 291

#line 291
    /* Try to pre-calculate the result */
#line 291
    #line 286 "filter/f-inst.c"
 {
    
#line 287 "filter/f-inst.c"
 #line 287 "filter/f-inst.c"
 ;
#line 288 "filter/f-inst.c"
    
#line 288 "filter/f-inst.c"
 #line 288 "filter/f-inst.c"
 ;
#line 289 "filter/f-inst.c"
     
#line 289 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i + v2.val.i } );
  }
  
  #undef whati
#line 291 "filter/f-inst.c"
  }
#line 291

#line 291

#line 296 "filter/f-inst.c"
 /* Constructor for FI_SUBTRACT */
#line 296
struct f_inst *
#line 292 "filter/f-inst.c"
NONNULL(2)
#line 293 "filter/f-inst.c"
NONNULL(3)
#line 296 "filter/f-inst.c"
f_new_inst_FI_SUBTRACT(enum f_instruction_code fi_code
#line 292 "filter/f-inst.c"
  , struct f_inst * f1
#line 293 "filter/f-inst.c"
  , struct f_inst * f2
#line 296 "filter/f-inst.c"
)
#line 296
  {
#line 296
    /* Allocate the structure */
#line 296
    struct f_inst *what = fi_new(fi_code);
#line 296
    uint constargs = 1;
#line 296

#line 296
    /* Initialize all the members */
#line 296
  #define whati (&(what->i_FI_SUBTRACT))
#line 296
  #line 292 "filter/f-inst.c"
whati->f1 = f1;
#line 292
const struct f_inst *child1 = f1;
#line 292
do {
#line 292
  what->size += child1->size;
#line 292

#line 292
  if (child1->fi_code != FI_CONSTANT)
#line 292
    constargs = 0;
#line 292

#line 292
} while (child1 = child1->next);
#line 292

#line 292 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 292
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 292
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 293 "filter/f-inst.c"
whati->f2 = f2;
#line 293
const struct f_inst *child2 = f2;
#line 293
do {
#line 293
  what->size += child2->size;
#line 293

#line 293
  if (child2->fi_code != FI_CONSTANT)
#line 293
    constargs = 0;
#line 293

#line 293
} while (child2 = child2->next);
#line 293 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 293
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 293
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 294 "filter/f-inst.c"
what->type = T_INT;

#line 296 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 296
    if (!constargs)
#line 296
      return what;
#line 296

#line 296
    /* Try to pre-calculate the result */
#line 296
    #line 291 "filter/f-inst.c"
 {
    
#line 292 "filter/f-inst.c"
 #line 292 "filter/f-inst.c"
 ;
#line 293 "filter/f-inst.c"
    
#line 293 "filter/f-inst.c"
 #line 293 "filter/f-inst.c"
 ;
#line 294 "filter/f-inst.c"
     
#line 294 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i - v2.val.i } );
  }
  
  #undef whati
#line 296 "filter/f-inst.c"
  }
#line 296

#line 296

#line 301 "filter/f-inst.c"
 /* Constructor for FI_MULTIPLY */
#line 301
struct f_inst *
#line 297 "filter/f-inst.c"
NONNULL(2)
#line 298 "filter/f-inst.c"
NONNULL(3)
#line 301 "filter/f-inst.c"
f_new_inst_FI_MULTIPLY(enum f_instruction_code fi_code
#line 297 "filter/f-inst.c"
  , struct f_inst * f1
#line 298 "filter/f-inst.c"
  , struct f_inst * f2
#line 301 "filter/f-inst.c"
)
#line 301
  {
#line 301
    /* Allocate the structure */
#line 301
    struct f_inst *what = fi_new(fi_code);
#line 301
    uint constargs = 1;
#line 301

#line 301
    /* Initialize all the members */
#line 301
  #define whati (&(what->i_FI_MULTIPLY))
#line 301
  #line 297 "filter/f-inst.c"
whati->f1 = f1;
#line 297
const struct f_inst *child1 = f1;
#line 297
do {
#line 297
  what->size += child1->size;
#line 297

#line 297
  if (child1->fi_code != FI_CONSTANT)
#line 297
    constargs = 0;
#line 297

#line 297
} while (child1 = child1->next);
#line 297

#line 297 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 297
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 297
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 298 "filter/f-inst.c"
whati->f2 = f2;
#line 298
const struct f_inst *child2 = f2;
#line 298
do {
#line 298
  what->size += child2->size;
#line 298

#line 298
  if (child2->fi_code != FI_CONSTANT)
#line 298
    constargs = 0;
#line 298

#line 298
} while (child2 = child2->next);
#line 298 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 298
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 298
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 299 "filter/f-inst.c"
what->type = T_INT;

#line 301 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 301
    if (!constargs)
#line 301
      return what;
#line 301

#line 301
    /* Try to pre-calculate the result */
#line 301
    #line 296 "filter/f-inst.c"
 {
    
#line 297 "filter/f-inst.c"
 #line 297 "filter/f-inst.c"
 ;
#line 298 "filter/f-inst.c"
    
#line 298 "filter/f-inst.c"
 #line 298 "filter/f-inst.c"
 ;
#line 299 "filter/f-inst.c"
     
#line 299 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i * v2.val.i } );
  }
  
  #undef whati
#line 301 "filter/f-inst.c"
  }
#line 301

#line 301

#line 307 "filter/f-inst.c"
 /* Constructor for FI_DIVIDE */
#line 307
struct f_inst *
#line 302 "filter/f-inst.c"
NONNULL(2)
#line 303 "filter/f-inst.c"
NONNULL(3)
#line 307 "filter/f-inst.c"
f_new_inst_FI_DIVIDE(enum f_instruction_code fi_code
#line 302 "filter/f-inst.c"
  , struct f_inst * f1
#line 303 "filter/f-inst.c"
  , struct f_inst * f2
#line 307 "filter/f-inst.c"
)
#line 307
  {
#line 307
    /* Allocate the structure */
#line 307
    struct f_inst *what = fi_new(fi_code);
#line 307
    uint constargs = 1;
#line 307

#line 307
    /* Initialize all the members */
#line 307
  #define whati (&(what->i_FI_DIVIDE))
#line 307
  #line 302 "filter/f-inst.c"
whati->f1 = f1;
#line 302
const struct f_inst *child1 = f1;
#line 302
do {
#line 302
  what->size += child1->size;
#line 302

#line 302
  if (child1->fi_code != FI_CONSTANT)
#line 302
    constargs = 0;
#line 302

#line 302
} while (child1 = child1->next);
#line 302

#line 302 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 302
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 302
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 303 "filter/f-inst.c"
whati->f2 = f2;
#line 303
const struct f_inst *child2 = f2;
#line 303
do {
#line 303
  what->size += child2->size;
#line 303

#line 303
  if (child2->fi_code != FI_CONSTANT)
#line 303
    constargs = 0;
#line 303

#line 303
} while (child2 = child2->next);
#line 303 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 303
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 303
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 305 "filter/f-inst.c"
what->type = T_INT;

#line 307 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 307
    if (!constargs)
#line 307
      return what;
#line 307

#line 307
    /* Try to pre-calculate the result */
#line 307
    #line 301 "filter/f-inst.c"
 {
    
#line 302 "filter/f-inst.c"
 #line 302 "filter/f-inst.c"
 ;
#line 303 "filter/f-inst.c"
    
#line 303 "filter/f-inst.c"
 #line 303 "filter/f-inst.c"
 ;
#line 304 "filter/f-inst.c"
    if (v2.val.i == 0) runtime( "Mother told me not to divide by 0" );
     
#line 305 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i / v2.val.i } );
  }
  
  #undef whati
#line 307 "filter/f-inst.c"
  }
#line 307

#line 307

#line 317 "filter/f-inst.c"
 /* Constructor for FI_AND */
#line 317
struct f_inst *
#line 308 "filter/f-inst.c"
NONNULL(2)
#line 317 "filter/f-inst.c"
f_new_inst_FI_AND(enum f_instruction_code fi_code
#line 308 "filter/f-inst.c"
  , struct f_inst * f1
#line 313 "filter/f-inst.c"
  , struct f_inst * f2
#line 317 "filter/f-inst.c"
)
#line 317
  {
#line 317
    /* Allocate the structure */
#line 317
    struct f_inst *what = fi_new(fi_code);
#line 317
    uint constargs = 1;
#line 317

#line 317
    /* Initialize all the members */
#line 317
  #define whati (&(what->i_FI_AND))
#line 317
  #line 308 "filter/f-inst.c"
whati->f1 = f1;
#line 308
const struct f_inst *child1 = f1;
#line 308
do {
#line 308
  what->size += child1->size;
#line 308

#line 308
  if (child1->fi_code != FI_CONSTANT)
#line 308
    constargs = 0;
#line 308

#line 308
} while (child1 = child1->next);
#line 308

#line 308 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 308
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 308
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 309 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 309
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 309
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 310 "filter/f-inst.c"
what->type = T_BOOL;
#line 313 "filter/f-inst.c"
whati->f2 = f2;

#line 317 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 317
    if (!constargs)
#line 317
      return what;
#line 317

#line 317
    /* Try to pre-calculate the result */
#line 317
    #line 307 "filter/f-inst.c"
 {
    
#line 308 "filter/f-inst.c"
 #line 308 "filter/f-inst.c"
 ;
#line 309 "filter/f-inst.c"
    #line 309 "filter/f-inst.c"
;
     
#line 310 "filter/f-inst.c"
;

    if (v1.val.i)
      
#line 313 "filter/f-inst.c"
return whati->f2
#line 313
;
    else
      return fi_constant(what, v1);
  }
  
  #undef whati
#line 317 "filter/f-inst.c"
  }
#line 317

#line 317

#line 328 "filter/f-inst.c"
 /* Constructor for FI_OR */
#line 328
struct f_inst *
#line 318 "filter/f-inst.c"
NONNULL(2)
#line 328 "filter/f-inst.c"
f_new_inst_FI_OR(enum f_instruction_code fi_code
#line 318 "filter/f-inst.c"
  , struct f_inst * f1
#line 323 "filter/f-inst.c"
  , struct f_inst * f2
#line 328 "filter/f-inst.c"
)
#line 328
  {
#line 328
    /* Allocate the structure */
#line 328
    struct f_inst *what = fi_new(fi_code);
#line 328
    uint constargs = 1;
#line 328

#line 328
    /* Initialize all the members */
#line 328
  #define whati (&(what->i_FI_OR))
#line 328
  #line 318 "filter/f-inst.c"
whati->f1 = f1;
#line 318
const struct f_inst *child1 = f1;
#line 318
do {
#line 318
  what->size += child1->size;
#line 318

#line 318
  if (child1->fi_code != FI_CONSTANT)
#line 318
    constargs = 0;
#line 318

#line 318
} while (child1 = child1->next);
#line 318

#line 318 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 318
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 318
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 319 "filter/f-inst.c"
if (f2->type && (f2->type != (T_BOOL)) && !f_const_promotion(f2, (T_BOOL)))
#line 319
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 319
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f2->type));
#line 320 "filter/f-inst.c"
what->type = T_BOOL;
#line 323 "filter/f-inst.c"
whati->f2 = f2;

#line 328 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 328
    if (!constargs)
#line 328
      return what;
#line 328

#line 328
    /* Try to pre-calculate the result */
#line 328
    #line 317 "filter/f-inst.c"
 {
    
#line 318 "filter/f-inst.c"
 #line 318 "filter/f-inst.c"
 ;
#line 319 "filter/f-inst.c"
    #line 319 "filter/f-inst.c"
;
     
#line 320 "filter/f-inst.c"
;

    if (!v1.val.i)
      
#line 323 "filter/f-inst.c"
return whati->f2
#line 323
;
    else
      return fi_constant(what, v1);
  }

  
  #undef whati
#line 328 "filter/f-inst.c"
  }
#line 328

#line 328

#line 338 "filter/f-inst.c"
 /* Constructor for FI_PAIR_CONSTRUCT */
#line 338
struct f_inst *
#line 329 "filter/f-inst.c"
NONNULL(2)
#line 330 "filter/f-inst.c"
NONNULL(3)
#line 338 "filter/f-inst.c"
f_new_inst_FI_PAIR_CONSTRUCT(enum f_instruction_code fi_code
#line 329 "filter/f-inst.c"
  , struct f_inst * f1
#line 330 "filter/f-inst.c"
  , struct f_inst * f2
#line 338 "filter/f-inst.c"
)
#line 338
  {
#line 338
    /* Allocate the structure */
#line 338
    struct f_inst *what = fi_new(fi_code);
#line 338
    uint constargs = 1;
#line 338

#line 338
    /* Initialize all the members */
#line 338
  #define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 338
  #line 329 "filter/f-inst.c"
whati->f1 = f1;
#line 329
const struct f_inst *child1 = f1;
#line 329
do {
#line 329
  what->size += child1->size;
#line 329

#line 329
  if (child1->fi_code != FI_CONSTANT)
#line 329
    constargs = 0;
#line 329

#line 329
} while (child1 = child1->next);
#line 329

#line 329 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 329
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 329
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 330 "filter/f-inst.c"
whati->f2 = f2;
#line 330
const struct f_inst *child2 = f2;
#line 330
do {
#line 330
  what->size += child2->size;
#line 330

#line 330
  if (child2->fi_code != FI_CONSTANT)
#line 330
    constargs = 0;
#line 330

#line 330
} while (child2 = child2->next);
#line 330 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 330
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 330
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 335 "filter/f-inst.c"
what->type = T_PAIR;

#line 338 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 338
    if (!constargs)
#line 338
      return what;
#line 338

#line 338
    /* Try to pre-calculate the result */
#line 338
    #line 328 "filter/f-inst.c"
 {
    
#line 329 "filter/f-inst.c"
 #line 329 "filter/f-inst.c"
 ;
#line 330 "filter/f-inst.c"
    
#line 330 "filter/f-inst.c"
 #line 330 "filter/f-inst.c"
 ;
#line 331 "filter/f-inst.c"
    uint u1 = v1.val.i;
    uint u2 = v2.val.i;
    if ((u1 > 0xFFFF) || (u2 > 0xFFFF))
      runtime( "Can't operate with value out of bounds in pair constructor" );
     
#line 335 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = (u1 << 16) | u2 } );
  }

  
  #undef whati
#line 338 "filter/f-inst.c"
  }
#line 338

#line 338

#line 378 "filter/f-inst.c"
 /* Constructor for FI_EC_CONSTRUCT */
#line 378
struct f_inst *
#line 339 "filter/f-inst.c"
NONNULL(2)
#line 340 "filter/f-inst.c"
NONNULL(3)
#line 378 "filter/f-inst.c"
f_new_inst_FI_EC_CONSTRUCT(enum f_instruction_code fi_code
#line 339 "filter/f-inst.c"
  , struct f_inst * f1
#line 340 "filter/f-inst.c"
  , struct f_inst * f2
#line 342 "filter/f-inst.c"
  , enum ec_subtype ecs
#line 378 "filter/f-inst.c"
)
#line 378
  {
#line 378
    /* Allocate the structure */
#line 378
    struct f_inst *what = fi_new(fi_code);
#line 378
    uint constargs = 1;
#line 378

#line 378
    /* Initialize all the members */
#line 378
  #define whati (&(what->i_FI_EC_CONSTRUCT))
#line 378
  #line 339 "filter/f-inst.c"
whati->f1 = f1;
#line 339
const struct f_inst *child1 = f1;
#line 339
do {
#line 339
  what->size += child1->size;
#line 339

#line 339
  if (child1->fi_code != FI_CONSTANT)
#line 339
    constargs = 0;
#line 339

#line 339
} while (child1 = child1->next);
#line 339

#line 340 "filter/f-inst.c"
whati->f2 = f2;
#line 340
const struct f_inst *child2 = f2;
#line 340
do {
#line 340
  what->size += child2->size;
#line 340

#line 340
  if (child2->fi_code != FI_CONSTANT)
#line 340
    constargs = 0;
#line 340

#line 340
} while (child2 = child2->next);
#line 340 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 340
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 340
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 342 "filter/f-inst.c"
whati->ecs = ecs;
#line 363 "filter/f-inst.c"
what->type = T_EC;

#line 378 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 378
    if (!constargs)
#line 378
      return what;
#line 378

#line 378
    /* Try to pre-calculate the result */
#line 378
    #line 338 "filter/f-inst.c"
 {
    
#line 339 "filter/f-inst.c"
;
    
#line 340 "filter/f-inst.c"
 #line 340 "filter/f-inst.c"
 ;
#line 341 "filter/f-inst.c"

    #line 342 "filter/f-inst.c"
;

    int ipv4_used;
    u32 key, val;

    if (v1.type == T_INT) {
      ipv4_used = 0; key = v1.val.i;
    }
    else if (v1.type == T_QUAD) {
      ipv4_used = 1; key = v1.val.i;
    }
    /* IP->Quad implicit conversion */
    else if (val_is_ip4(&v1)) {
      ipv4_used = 1; key = ipa_to_u32(v1.val.ip);
    }
    else
      runtime("Argument 1 of EC constructor must be integer or IPv4 address, got 0x%02x", v1.type);

    val = v2.val.i;

    if (ecs == EC_GENERIC)
       
#line 363 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_generic(key, val) } );
    else if (ipv4_used)
      if (val <= 0xFFFF)
	 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_ip4(ecs, key, val) } );
      else
	runtime("4-byte value %u can't be used with IP-address key in extended community", val);
    else if (key < 0x10000)
       return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_as2(ecs, key, val) } );
    else
      if (val <= 0xFFFF)
	 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ec_as4(ecs, key, val) } );
      else
	runtime("4-byte value %u can't be used with 4-byte ASN in extended community", val);
  }

  
  #undef whati
#line 378 "filter/f-inst.c"
  }
#line 378

#line 378

#line 385 "filter/f-inst.c"
 /* Constructor for FI_LC_CONSTRUCT */
#line 385
struct f_inst *
#line 379 "filter/f-inst.c"
NONNULL(2)
#line 380 "filter/f-inst.c"
NONNULL(3)
#line 381 "filter/f-inst.c"
NONNULL(4)
#line 385 "filter/f-inst.c"
f_new_inst_FI_LC_CONSTRUCT(enum f_instruction_code fi_code
#line 379 "filter/f-inst.c"
  , struct f_inst * f1
#line 380 "filter/f-inst.c"
  , struct f_inst * f2
#line 381 "filter/f-inst.c"
  , struct f_inst * f3
#line 385 "filter/f-inst.c"
)
#line 385
  {
#line 385
    /* Allocate the structure */
#line 385
    struct f_inst *what = fi_new(fi_code);
#line 385
    uint constargs = 1;
#line 385

#line 385
    /* Initialize all the members */
#line 385
  #define whati (&(what->i_FI_LC_CONSTRUCT))
#line 385
  #line 379 "filter/f-inst.c"
whati->f1 = f1;
#line 379
const struct f_inst *child1 = f1;
#line 379
do {
#line 379
  what->size += child1->size;
#line 379

#line 379
  if (child1->fi_code != FI_CONSTANT)
#line 379
    constargs = 0;
#line 379

#line 379
} while (child1 = child1->next);
#line 379

#line 379 "filter/f-inst.c"
if (f1->type && (f1->type != (T_INT)) && !f_const_promotion(f1, (T_INT)))
#line 379
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 379
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f1->type));
#line 380 "filter/f-inst.c"
whati->f2 = f2;
#line 380
const struct f_inst *child2 = f2;
#line 380
do {
#line 380
  what->size += child2->size;
#line 380

#line 380
  if (child2->fi_code != FI_CONSTANT)
#line 380
    constargs = 0;
#line 380

#line 380
} while (child2 = child2->next);
#line 380 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 380
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 380
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 381 "filter/f-inst.c"
whati->f3 = f3;
#line 381
const struct f_inst *child3 = f3;
#line 381
do {
#line 381
  what->size += child3->size;
#line 381

#line 381
  if (child3->fi_code != FI_CONSTANT)
#line 381
    constargs = 0;
#line 381

#line 381
} while (child3 = child3->next);
#line 381 "filter/f-inst.c"
if (f3->type && (f3->type != (T_INT)) && !f_const_promotion(f3, (T_INT)))
#line 381
  cf_error("Argument 3 of %s must be of type %s, got type %s",
#line 381
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f3->type));
#line 382 "filter/f-inst.c"
what->type = T_LC;

#line 385 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 385
    if (!constargs)
#line 385
      return what;
#line 385

#line 385
    /* Try to pre-calculate the result */
#line 385
    #line 378 "filter/f-inst.c"
 {
    
#line 379 "filter/f-inst.c"
 #line 379 "filter/f-inst.c"
 ;
#line 380 "filter/f-inst.c"
    
#line 380 "filter/f-inst.c"
 #line 380 "filter/f-inst.c"
 ;
#line 381 "filter/f-inst.c"
    
#line 381 "filter/f-inst.c"
 #line 381 "filter/f-inst.c"
 ;
#line 382 "filter/f-inst.c"
     
#line 382 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = (lcomm) { v1.val.i, v2.val.i, v3.val.i } } );
  }

  
  #undef whati
#line 385 "filter/f-inst.c"
  }
#line 385

#line 385

#line 435 "filter/f-inst.c"
 /* Constructor for FI_PATHMASK_CONSTRUCT */
#line 435
struct f_inst *
#line 435
f_new_inst_FI_PATHMASK_CONSTRUCT(enum f_instruction_code fi_code
#line 386 "filter/f-inst.c"
  , struct f_inst * fvar
#line 435 "filter/f-inst.c"
)
#line 435
  {
#line 435
    /* Allocate the structure */
#line 435
    struct f_inst *what = fi_new(fi_code);
#line 435
    uint constargs = 1;
#line 435

#line 435
    /* Initialize all the members */
#line 435
  #define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 435
  #line 386 "filter/f-inst.c"
whati->varcount = 0;
#line 386
whati->fvar = fvar;
#line 386
for (const struct f_inst *child = fvar; child; child = child->next, whati->varcount++) {
#line 386
  what->size += child->size;
#line 386

#line 386
  if (child->fi_code != FI_CONSTANT)
#line 386
    constargs = 0;
#line 386

#line 386
}
#line 386

#line 386
  const struct f_inst **items = NULL;
#line 386
  if (constargs && whati->varcount) {
#line 386
    items = alloca(whati->varcount * sizeof(struct f_inst *));
#line 386
    const struct f_inst *child = fvar;
#line 386
    for (uint i=0; child; i++)
#line 386
      child = (items[i] = child)->next;
#line 386
  }
#line 386

#line 430 "filter/f-inst.c"
what->type = T_PATH_MASK;

#line 435 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 435
    if (!constargs)
#line 435
      return what;
#line 435

#line 435
    /* Try to pre-calculate the result */
#line 435
    #line 385 "filter/f-inst.c"
 {
    
#line 386 "filter/f-inst.c"

#line 386

#line 386
;

    struct f_path_mask *pm = falloc(sizeof(struct f_path_mask) + whati->varcount * sizeof(struct f_path_mask_item));
    pm->len = whati->varcount;

    for (uint i=0; i<whati->varcount; i++) {
      switch (vv(i).type) {
	case T_PATH_MASK_ITEM:
	  if (vv(i).val.pmi.kind == PM_LOOP)
	  {
	    if (i == 0)
	      runtime("Path mask iterator '+' cannot be first");

	    /* We want PM_LOOP as prefix operator */
	    pm->item[i] = pm->item[i - 1];
	    pm->item[i - 1] = vv(i).val.pmi;
	    break;
	  }

	  pm->item[i] = vv(i).val.pmi;
	  break;

	case T_INT:
	  pm->item[i] = (struct f_path_mask_item) {
	    .asn = vv(i).val.i,
	    .kind = PM_ASN,
	  };
	  break;

	case T_SET:
	  if (!path_set_type(vv(i).val.t))
	    runtime("Only integer sets allowed in path mask");

	  pm->item[i] = (struct f_path_mask_item) {
	    .set = vv(i).val.t,
	    .kind = PM_ASN_SET,
	  };
	  break;

	default:
	  runtime( "Error resolving path mask template: value not an integer" );
      }
    }

     
#line 430 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH_MASK, .val.path_mask = pm } );
  }

/* Relational operators */

  
  #undef whati
#line 435 "filter/f-inst.c"
  }
#line 435

#line 435

#line 442 "filter/f-inst.c"
 /* Constructor for FI_NEQ */
#line 442
struct f_inst *
#line 436 "filter/f-inst.c"
NONNULL(2)
#line 437 "filter/f-inst.c"
NONNULL(3)
#line 442 "filter/f-inst.c"
f_new_inst_FI_NEQ(enum f_instruction_code fi_code
#line 436 "filter/f-inst.c"
  , struct f_inst * f1
#line 437 "filter/f-inst.c"
  , struct f_inst * f2
#line 442 "filter/f-inst.c"
)
#line 442
  {
#line 442
    /* Allocate the structure */
#line 442
    struct f_inst *what = fi_new(fi_code);
#line 442
    uint constargs = 1;
#line 442

#line 442
    /* Initialize all the members */
#line 442
  #define whati (&(what->i_FI_NEQ))
#line 442
  #line 436 "filter/f-inst.c"
whati->f1 = f1;
#line 436
const struct f_inst *child1 = f1;
#line 436
do {
#line 436
  what->size += child1->size;
#line 436

#line 436
  if (child1->fi_code != FI_CONSTANT)
#line 436
    constargs = 0;
#line 436

#line 436
} while (child1 = child1->next);
#line 436

#line 437 "filter/f-inst.c"
whati->f2 = f2;
#line 437
const struct f_inst *child2 = f2;
#line 437
do {
#line 437
  what->size += child2->size;
#line 437

#line 437
  if (child2->fi_code != FI_CONSTANT)
#line 437
    constargs = 0;
#line 437

#line 437
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type))
#line 438 "filter/f-inst.c"
   (void) (f_const_promotion(f2, f1->type) || f_const_promotion(f1, f2->type));
#line 439 "filter/f-inst.c"
what->type = T_BOOL;

#line 442 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 442
    if (!constargs)
#line 442
      return what;
#line 442

#line 442
    /* Try to pre-calculate the result */
#line 442
    #line 435 "filter/f-inst.c"
 {
    
#line 436 "filter/f-inst.c"
;
    
#line 437 "filter/f-inst.c"
;
    #line 438 "filter/f-inst.c"
;
     
#line 439 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !val_same(&v1, &v2) } );
  }

  
  #undef whati
#line 442 "filter/f-inst.c"
  }
#line 442

#line 442

#line 449 "filter/f-inst.c"
 /* Constructor for FI_EQ */
#line 449
struct f_inst *
#line 443 "filter/f-inst.c"
NONNULL(2)
#line 444 "filter/f-inst.c"
NONNULL(3)
#line 449 "filter/f-inst.c"
f_new_inst_FI_EQ(enum f_instruction_code fi_code
#line 443 "filter/f-inst.c"
  , struct f_inst * f1
#line 444 "filter/f-inst.c"
  , struct f_inst * f2
#line 449 "filter/f-inst.c"
)
#line 449
  {
#line 449
    /* Allocate the structure */
#line 449
    struct f_inst *what = fi_new(fi_code);
#line 449
    uint constargs = 1;
#line 449

#line 449
    /* Initialize all the members */
#line 449
  #define whati (&(what->i_FI_EQ))
#line 449
  #line 443 "filter/f-inst.c"
whati->f1 = f1;
#line 443
const struct f_inst *child1 = f1;
#line 443
do {
#line 443
  what->size += child1->size;
#line 443

#line 443
  if (child1->fi_code != FI_CONSTANT)
#line 443
    constargs = 0;
#line 443

#line 443
} while (child1 = child1->next);
#line 443

#line 444 "filter/f-inst.c"
whati->f2 = f2;
#line 444
const struct f_inst *child2 = f2;
#line 444
do {
#line 444
  what->size += child2->size;
#line 444

#line 444
  if (child2->fi_code != FI_CONSTANT)
#line 444
    constargs = 0;
#line 444

#line 444
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type))
#line 445 "filter/f-inst.c"
   (void) (f_const_promotion(f2, f1->type) || f_const_promotion(f1, f2->type));
#line 446 "filter/f-inst.c"
what->type = T_BOOL;

#line 449 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 449
    if (!constargs)
#line 449
      return what;
#line 449

#line 449
    /* Try to pre-calculate the result */
#line 449
    #line 442 "filter/f-inst.c"
 {
    
#line 443 "filter/f-inst.c"
;
    
#line 444 "filter/f-inst.c"
;
    #line 445 "filter/f-inst.c"
;
     
#line 446 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = val_same(&v1, &v2) } );
  }

  
  #undef whati
#line 449 "filter/f-inst.c"
  }
#line 449

#line 449

#line 460 "filter/f-inst.c"
 /* Constructor for FI_LT */
#line 460
struct f_inst *
#line 450 "filter/f-inst.c"
NONNULL(2)
#line 451 "filter/f-inst.c"
NONNULL(3)
#line 460 "filter/f-inst.c"
f_new_inst_FI_LT(enum f_instruction_code fi_code
#line 450 "filter/f-inst.c"
  , struct f_inst * f1
#line 451 "filter/f-inst.c"
  , struct f_inst * f2
#line 460 "filter/f-inst.c"
)
#line 460
  {
#line 460
    /* Allocate the structure */
#line 460
    struct f_inst *what = fi_new(fi_code);
#line 460
    uint constargs = 1;
#line 460

#line 460
    /* Initialize all the members */
#line 460
  #define whati (&(what->i_FI_LT))
#line 460
  #line 450 "filter/f-inst.c"
whati->f1 = f1;
#line 450
const struct f_inst *child1 = f1;
#line 450
do {
#line 450
  what->size += child1->size;
#line 450

#line 450
  if (child1->fi_code != FI_CONSTANT)
#line 450
    constargs = 0;
#line 450

#line 450
} while (child1 = child1->next);
#line 450

#line 451 "filter/f-inst.c"
whati->f2 = f2;
#line 451
const struct f_inst *child2 = f2;
#line 451
do {
#line 451
  what->size += child2->size;
#line 451

#line 451
  if (child2->fi_code != FI_CONSTANT)
#line 451
    constargs = 0;
#line 451

#line 451
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type) &&
#line 452 "filter/f-inst.c"
   !f_const_promotion(f2, f1->type) && !f_const_promotion(f1, f2->type))
#line 452
  cf_error("Arguments 1 and 2 of %s must be of the same type", f_instruction_name(what->fi_code));
#line 457 "filter/f-inst.c"
what->type = T_BOOL;

#line 460 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 460
    if (!constargs)
#line 460
      return what;
#line 460

#line 460
    /* Try to pre-calculate the result */
#line 460
    #line 449 "filter/f-inst.c"
 {
    
#line 450 "filter/f-inst.c"
;
    
#line 451 "filter/f-inst.c"
;
    #line 452 "filter/f-inst.c"
;

    int i = val_compare(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "Can't compare values of incompatible types" );
     
#line 457 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (i == -1) } );
  }

  
  #undef whati
#line 460 "filter/f-inst.c"
  }
#line 460

#line 460

#line 471 "filter/f-inst.c"
 /* Constructor for FI_LTE */
#line 471
struct f_inst *
#line 461 "filter/f-inst.c"
NONNULL(2)
#line 462 "filter/f-inst.c"
NONNULL(3)
#line 471 "filter/f-inst.c"
f_new_inst_FI_LTE(enum f_instruction_code fi_code
#line 461 "filter/f-inst.c"
  , struct f_inst * f1
#line 462 "filter/f-inst.c"
  , struct f_inst * f2
#line 471 "filter/f-inst.c"
)
#line 471
  {
#line 471
    /* Allocate the structure */
#line 471
    struct f_inst *what = fi_new(fi_code);
#line 471
    uint constargs = 1;
#line 471

#line 471
    /* Initialize all the members */
#line 471
  #define whati (&(what->i_FI_LTE))
#line 471
  #line 461 "filter/f-inst.c"
whati->f1 = f1;
#line 461
const struct f_inst *child1 = f1;
#line 461
do {
#line 461
  what->size += child1->size;
#line 461

#line 461
  if (child1->fi_code != FI_CONSTANT)
#line 461
    constargs = 0;
#line 461

#line 461
} while (child1 = child1->next);
#line 461

#line 462 "filter/f-inst.c"
whati->f2 = f2;
#line 462
const struct f_inst *child2 = f2;
#line 462
do {
#line 462
  what->size += child2->size;
#line 462

#line 462
  if (child2->fi_code != FI_CONSTANT)
#line 462
    constargs = 0;
#line 462

#line 462
} while (child2 = child2->next);
if (f1->type && f2->type && (f1->type != f2->type) &&
#line 463 "filter/f-inst.c"
   !f_const_promotion(f2, f1->type) && !f_const_promotion(f1, f2->type))
#line 463
  cf_error("Arguments 1 and 2 of %s must be of the same type", f_instruction_name(what->fi_code));
#line 468 "filter/f-inst.c"
what->type = T_BOOL;

#line 471 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 471
    if (!constargs)
#line 471
      return what;
#line 471

#line 471
    /* Try to pre-calculate the result */
#line 471
    #line 460 "filter/f-inst.c"
 {
    
#line 461 "filter/f-inst.c"
;
    
#line 462 "filter/f-inst.c"
;
    #line 463 "filter/f-inst.c"
;

    int i = val_compare(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "Can't compare values of incompatible types" );
     
#line 468 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (i != 1) } );
  }

  
  #undef whati
#line 471 "filter/f-inst.c"
  }
#line 471

#line 471

#line 476 "filter/f-inst.c"
 /* Constructor for FI_NOT */
#line 476
struct f_inst *
#line 472 "filter/f-inst.c"
NONNULL(2)
#line 476 "filter/f-inst.c"
f_new_inst_FI_NOT(enum f_instruction_code fi_code
#line 472 "filter/f-inst.c"
  , struct f_inst * f1
#line 476 "filter/f-inst.c"
)
#line 476
  {
#line 476
    /* Allocate the structure */
#line 476
    struct f_inst *what = fi_new(fi_code);
#line 476
    uint constargs = 1;
#line 476

#line 476
    /* Initialize all the members */
#line 476
  #define whati (&(what->i_FI_NOT))
#line 476
  #line 472 "filter/f-inst.c"
whati->f1 = f1;
#line 472
const struct f_inst *child1 = f1;
#line 472
do {
#line 472
  what->size += child1->size;
#line 472

#line 472
  if (child1->fi_code != FI_CONSTANT)
#line 472
    constargs = 0;
#line 472

#line 472
} while (child1 = child1->next);
#line 472

#line 472 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 472
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 472
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 473 "filter/f-inst.c"
what->type = T_BOOL;

#line 476 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 476
    if (!constargs)
#line 476
      return what;
#line 476

#line 476
    /* Try to pre-calculate the result */
#line 476
    #line 471 "filter/f-inst.c"
 {
    
#line 472 "filter/f-inst.c"
 #line 472 "filter/f-inst.c"
 ;
#line 473 "filter/f-inst.c"
     
#line 473 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !v1.val.i } );
  }

  
  #undef whati
#line 476 "filter/f-inst.c"
  }
#line 476

#line 476

#line 485 "filter/f-inst.c"
 /* Constructor for FI_MATCH */
#line 485
struct f_inst *
#line 477 "filter/f-inst.c"
NONNULL(2)
#line 478 "filter/f-inst.c"
NONNULL(3)
#line 485 "filter/f-inst.c"
f_new_inst_FI_MATCH(enum f_instruction_code fi_code
#line 477 "filter/f-inst.c"
  , struct f_inst * f1
#line 478 "filter/f-inst.c"
  , struct f_inst * f2
#line 485 "filter/f-inst.c"
)
#line 485
  {
#line 485
    /* Allocate the structure */
#line 485
    struct f_inst *what = fi_new(fi_code);
#line 485
    uint constargs = 1;
#line 485

#line 485
    /* Initialize all the members */
#line 485
  #define whati (&(what->i_FI_MATCH))
#line 485
  #line 477 "filter/f-inst.c"
whati->f1 = f1;
#line 477
const struct f_inst *child1 = f1;
#line 477
do {
#line 477
  what->size += child1->size;
#line 477

#line 477
  if (child1->fi_code != FI_CONSTANT)
#line 477
    constargs = 0;
#line 477

#line 477
} while (child1 = child1->next);
#line 477

#line 478 "filter/f-inst.c"
whati->f2 = f2;
#line 478
const struct f_inst *child2 = f2;
#line 478
do {
#line 478
  what->size += child2->size;
#line 478

#line 478
  if (child2->fi_code != FI_CONSTANT)
#line 478
    constargs = 0;
#line 478

#line 478
} while (child2 = child2->next);
#line 482 "filter/f-inst.c"
what->type = T_BOOL;

#line 485 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 485
    if (!constargs)
#line 485
      return what;
#line 485

#line 485
    /* Try to pre-calculate the result */
#line 485
    #line 476 "filter/f-inst.c"
 {
    
#line 477 "filter/f-inst.c"
;
    
#line 478 "filter/f-inst.c"
;
    int i = val_in_range(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "~ applied on unknown type pair" );
     
#line 482 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !!i } );
  }

  
  #undef whati
#line 485 "filter/f-inst.c"
  }
#line 485

#line 485

#line 494 "filter/f-inst.c"
 /* Constructor for FI_NOT_MATCH */
#line 494
struct f_inst *
#line 486 "filter/f-inst.c"
NONNULL(2)
#line 487 "filter/f-inst.c"
NONNULL(3)
#line 494 "filter/f-inst.c"
f_new_inst_FI_NOT_MATCH(enum f_instruction_code fi_code
#line 486 "filter/f-inst.c"
  , struct f_inst * f1
#line 487 "filter/f-inst.c"
  , struct f_inst * f2
#line 494 "filter/f-inst.c"
)
#line 494
  {
#line 494
    /* Allocate the structure */
#line 494
    struct f_inst *what = fi_new(fi_code);
#line 494
    uint constargs = 1;
#line 494

#line 494
    /* Initialize all the members */
#line 494
  #define whati (&(what->i_FI_NOT_MATCH))
#line 494
  #line 486 "filter/f-inst.c"
whati->f1 = f1;
#line 486
const struct f_inst *child1 = f1;
#line 486
do {
#line 486
  what->size += child1->size;
#line 486

#line 486
  if (child1->fi_code != FI_CONSTANT)
#line 486
    constargs = 0;
#line 486

#line 486
} while (child1 = child1->next);
#line 486

#line 487 "filter/f-inst.c"
whati->f2 = f2;
#line 487
const struct f_inst *child2 = f2;
#line 487
do {
#line 487
  what->size += child2->size;
#line 487

#line 487
  if (child2->fi_code != FI_CONSTANT)
#line 487
    constargs = 0;
#line 487

#line 487
} while (child2 = child2->next);
#line 491 "filter/f-inst.c"
what->type = T_BOOL;

#line 494 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 494
    if (!constargs)
#line 494
      return what;
#line 494

#line 494
    /* Try to pre-calculate the result */
#line 494
    #line 485 "filter/f-inst.c"
 {
    
#line 486 "filter/f-inst.c"
;
    
#line 487 "filter/f-inst.c"
;
    int i = val_in_range(&v1, &v2);
    if (i == F_CMP_ERROR)
      runtime( "!~ applied on unknown type pair" );
     
#line 491 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = !i } );
  }

  
  #undef whati
#line 494 "filter/f-inst.c"
  }
#line 494

#line 494

#line 499 "filter/f-inst.c"
 /* Constructor for FI_DEFINED */
#line 499
struct f_inst *
#line 495 "filter/f-inst.c"
NONNULL(2)
#line 499 "filter/f-inst.c"
f_new_inst_FI_DEFINED(enum f_instruction_code fi_code
#line 495 "filter/f-inst.c"
  , struct f_inst * f1
#line 499 "filter/f-inst.c"
)
#line 499
  {
#line 499
    /* Allocate the structure */
#line 499
    struct f_inst *what = fi_new(fi_code);
#line 499
    uint constargs = 1;
#line 499

#line 499
    /* Initialize all the members */
#line 499
  #define whati (&(what->i_FI_DEFINED))
#line 499
  #line 495 "filter/f-inst.c"
whati->f1 = f1;
#line 495
const struct f_inst *child1 = f1;
#line 495
do {
#line 495
  what->size += child1->size;
#line 495

#line 495
  if (child1->fi_code != FI_CONSTANT)
#line 495
    constargs = 0;
#line 495

#line 495
} while (child1 = child1->next);
#line 495

#line 496 "filter/f-inst.c"
what->type = T_BOOL;

#line 499 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 499
    if (!constargs)
#line 499
      return what;
#line 499

#line 499
    /* Try to pre-calculate the result */
#line 499
    #line 494 "filter/f-inst.c"
 {
    
#line 495 "filter/f-inst.c"
;
     
#line 496 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = (v1.type != T_VOID) && !val_is_undefined(v1) } );
  }

  
  #undef whati
#line 499 "filter/f-inst.c"
  }
#line 499

#line 499

#line 500 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__type */
#line 500
struct f_inst *
#line 499 "filter/f-inst.c"
NONNULL(2)
#line 500 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__type(enum f_instruction_code fi_code
#line 499 "filter/f-inst.c"
  , struct f_inst * f1
#line 500 "filter/f-inst.c"
)
#line 500
  {
#line 500
    /* Allocate the structure */
#line 500
    struct f_inst *what = fi_new(fi_code);
#line 500
    uint constargs = 1;
#line 500

#line 500
    /* Initialize all the members */
#line 500
  #define whati (&(what->i_FI_METHOD__T_NET__type))
#line 500
  #line 499 "filter/f-inst.c"
whati->f1 = f1;
#line 499
const struct f_inst *child1 = f1;
#line 499
do {
#line 499
  what->size += child1->size;
#line 499

#line 499
  if (child1->fi_code != FI_CONSTANT)
#line 499
    constargs = 0;
#line 499

#line 499
} while (child1 = child1->next);
#line 499

#line 499 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 499
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 499
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 499 "filter/f-inst.c"
what->type = T_ENUM_NETTYPE;

#line 500 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 500
    if (!constargs)
#line 500
      return what;
#line 500

#line 500
    /* Try to pre-calculate the result */
#line 500
    #line 499 "filter/f-inst.c"
 {
#line 499
  
#line 499 "filter/f-inst.c"
 #line 499 "filter/f-inst.c"
 ;
#line 499 "filter/f-inst.c"
    
#line 499 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ENUM_NETTYPE, .val.i = v1.val.net->type } ) 
#line 499
  #line 499 "filter/f-inst.c"
;
#line 499
};
  
  #undef whati
#line 500 "filter/f-inst.c"
  }
#line 500

#line 500

#line 503 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_IP__is_v4 */
#line 503
struct f_inst *
#line 500 "filter/f-inst.c"
NONNULL(2)
#line 503 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_IP__is_v4(enum f_instruction_code fi_code
#line 500 "filter/f-inst.c"
  , struct f_inst * f1
#line 503 "filter/f-inst.c"
)
#line 503
  {
#line 503
    /* Allocate the structure */
#line 503
    struct f_inst *what = fi_new(fi_code);
#line 503
    uint constargs = 1;
#line 503

#line 503
    /* Initialize all the members */
#line 503
  #define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 503
  #line 500 "filter/f-inst.c"
whati->f1 = f1;
#line 500
const struct f_inst *child1 = f1;
#line 500
do {
#line 500
  what->size += child1->size;
#line 500

#line 500
  if (child1->fi_code != FI_CONSTANT)
#line 500
    constargs = 0;
#line 500

#line 500
} while (child1 = child1->next);
#line 500

#line 500 "filter/f-inst.c"
if (f1->type && (f1->type != (T_IP)) && !f_const_promotion(f1, (T_IP)))
#line 500
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 500
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f1->type));
#line 500 "filter/f-inst.c"
what->type = T_BOOL;

#line 503 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 503
    if (!constargs)
#line 503
      return what;
#line 503

#line 503
    /* Try to pre-calculate the result */
#line 503
    #line 500 "filter/f-inst.c"
 {
#line 500
  
#line 500 "filter/f-inst.c"
 #line 500 "filter/f-inst.c"
 ;
#line 500 "filter/f-inst.c"
    
#line 500 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BOOL, .val.i = ipa_is_ip4(v1.val.ip) } ) 
#line 500
  #line 500 "filter/f-inst.c"
;
#line 500
};

  /* Add initialized variable */
  
  #undef whati
#line 503 "filter/f-inst.c"
  }
#line 503

#line 503

#line 516 "filter/f-inst.c"
 /* Constructor for FI_VAR_INIT */
#line 516
struct f_inst *
#line 505 "filter/f-inst.c"
NONNULL(2)
#line 516 "filter/f-inst.c"
f_new_inst_FI_VAR_INIT(enum f_instruction_code fi_code
#line 505 "filter/f-inst.c"
  , struct f_inst * f1
#line 506 "filter/f-inst.c"
  , struct symbol * sym
#line 516 "filter/f-inst.c"
)
#line 516
  {
#line 516
    /* Allocate the structure */
#line 516
    struct f_inst *what = fi_new(fi_code);
#line 516
    
#line 516

#line 516
    /* Initialize all the members */
#line 516
  #define whati (&(what->i_FI_VAR_INIT))
#line 516
  #line 505 "filter/f-inst.c"
whati->f1 = f1;
#line 505
const struct f_inst *child1 = f1;
#line 505
do {
#line 505
  what->size += child1->size;
#line 505

#line 505
} while (child1 = child1->next);
#line 505

#line 506 "filter/f-inst.c"
whati->sym = sym;
#line 507 "filter/f-inst.c"
if (f1->type && (f1->type != (sym->class & 0xff)) && !f_const_promotion(f1, (sym->class & 0xff)))
#line 507
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 507
	   f_instruction_name(what->fi_code), f_type_name(sym->class & 0xff), f_type_name(f1->type));

#line 516 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 516
    
#line 516
      return what;
#line 516

#line 516
    /* Try to pre-calculate the result */
#line 516
      #undef whati
#line 516
  }
#line 516

#line 516

#line 527 "filter/f-inst.c"
 /* Constructor for FI_VAR_INIT0 */
#line 527
struct f_inst *
#line 527
f_new_inst_FI_VAR_INIT0(enum f_instruction_code fi_code
#line 518 "filter/f-inst.c"
  , struct symbol * sym
#line 527 "filter/f-inst.c"
)
#line 527
  {
#line 527
    /* Allocate the structure */
#line 527
    struct f_inst *what = fi_new(fi_code);
#line 527
    
#line 527

#line 527
    /* Initialize all the members */
#line 527
  #define whati (&(what->i_FI_VAR_INIT0))
#line 527
  #line 518 "filter/f-inst.c"
whati->sym = sym;

#line 527 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 527
    
#line 527
      return what;
#line 527

#line 527
    /* Try to pre-calculate the result */
#line 527
      #undef whati
#line 527
  }
#line 527

#line 527

#line 536 "filter/f-inst.c"
 /* Constructor for FI_VAR_SET */
#line 536
struct f_inst *
#line 529 "filter/f-inst.c"
NONNULL(2)
#line 536 "filter/f-inst.c"
f_new_inst_FI_VAR_SET(enum f_instruction_code fi_code
#line 529 "filter/f-inst.c"
  , struct f_inst * f1
#line 530 "filter/f-inst.c"
  , struct symbol * sym
#line 536 "filter/f-inst.c"
)
#line 536
  {
#line 536
    /* Allocate the structure */
#line 536
    struct f_inst *what = fi_new(fi_code);
#line 536
    
#line 536

#line 536
    /* Initialize all the members */
#line 536
  #define whati (&(what->i_FI_VAR_SET))
#line 536
  #line 529 "filter/f-inst.c"
whati->f1 = f1;
#line 529
const struct f_inst *child1 = f1;
#line 529
do {
#line 529
  what->size += child1->size;
#line 529

#line 529
} while (child1 = child1->next);
#line 529

#line 530 "filter/f-inst.c"
whati->sym = sym;
#line 531 "filter/f-inst.c"
if (f1->type && (f1->type != (sym->class & 0xff)) && !f_const_promotion(f1, (sym->class & 0xff)))
#line 531
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 531
	   f_instruction_name(what->fi_code), f_type_name(sym->class & 0xff), f_type_name(f1->type));

#line 536 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 536
    
#line 536
      return what;
#line 536

#line 536
    /* Try to pre-calculate the result */
#line 536
      #undef whati
#line 536
  }
#line 536

#line 536

#line 543 "filter/f-inst.c"
 /* Constructor for FI_VAR_GET */
#line 543
struct f_inst *
#line 543
f_new_inst_FI_VAR_GET(enum f_instruction_code fi_code
#line 537 "filter/f-inst.c"
  , struct symbol * sym
#line 543 "filter/f-inst.c"
)
#line 543
  {
#line 543
    /* Allocate the structure */
#line 543
    struct f_inst *what = fi_new(fi_code);
#line 543
    
#line 543

#line 543
    /* Initialize all the members */
#line 543
  #define whati (&(what->i_FI_VAR_GET))
#line 543
  #line 537 "filter/f-inst.c"
whati->sym = sym;
#line 539 "filter/f-inst.c"
what->type = sym->class & 0xff;

#line 543 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 543
    
#line 543
      return what;
#line 543

#line 543
    /* Try to pre-calculate the result */
#line 543
      #undef whati
#line 543
  }
#line 543

#line 543

#line 556 "filter/f-inst.c"
 /* Constructor for FI_CONSTANT */
#line 556
struct f_inst *
#line 556
f_new_inst_FI_CONSTANT(enum f_instruction_code fi_code
#line 544 "filter/f-inst.c"
  , struct f_val val
#line 556 "filter/f-inst.c"
)
#line 556
  {
#line 556
    /* Allocate the structure */
#line 556
    struct f_inst *what = fi_new(fi_code);
#line 556
    uint constargs = 1;
#line 556

#line 556
    /* Initialize all the members */
#line 556
  #define whati (&(what->i_FI_CONSTANT))
#line 556
  #line 544 "filter/f-inst.c"
whati->val = val;
#line 552 "filter/f-inst.c"
what->type = val.type;

#line 556 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 556
    if (!constargs)
#line 556
      return what;
#line 556

#line 556
    /* Try to pre-calculate the result */
#line 556
    #line 543 "filter/f-inst.c"
 {
    #line 550 "filter/f-inst.c"
;

     
#line 552 "filter/f-inst.c"
;
    return fi_constant(what, val);
  }

  
  #undef whati
#line 556 "filter/f-inst.c"
  }
#line 556

#line 556

#line 557 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__empty */
#line 557
struct f_inst *
#line 556 "filter/f-inst.c"
NONNULL(2)
#line 557 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__empty(enum f_instruction_code fi_code
#line 556 "filter/f-inst.c"
  , struct f_inst * f1
#line 557 "filter/f-inst.c"
)
#line 557
  {
#line 557
    /* Allocate the structure */
#line 557
    struct f_inst *what = fi_new(fi_code);
#line 557
    uint constargs = 1;
#line 557

#line 557
    /* Initialize all the members */
#line 557
  #define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 557
  #line 556 "filter/f-inst.c"
whati->f1 = f1;
#line 556
const struct f_inst *child1 = f1;
#line 556
do {
#line 556
  what->size += child1->size;
#line 556

#line 556
  if (child1->fi_code != FI_CONSTANT)
#line 556
    constargs = 0;
#line 556

#line 556
} while (child1 = child1->next);
#line 556

#line 556 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 556
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 556
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 556 "filter/f-inst.c"
what->type = T_PATH;

#line 557 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 557
    if (!constargs)
#line 557
      return what;
#line 557

#line 557
    /* Try to pre-calculate the result */
#line 557
    #line 556 "filter/f-inst.c"
 {
#line 556
  
#line 556 "filter/f-inst.c"
 #line 556 "filter/f-inst.c"
 ;
#line 556 "filter/f-inst.c"
    
#line 556 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad = &null_adata } ) 
#line 556
  #line 556 "filter/f-inst.c"
;
#line 556
};
  
  #undef whati
#line 557 "filter/f-inst.c"
  }
#line 557

#line 557

#line 558 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__empty */
#line 558
struct f_inst *
#line 557 "filter/f-inst.c"
NONNULL(2)
#line 558 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__empty(enum f_instruction_code fi_code
#line 557 "filter/f-inst.c"
  , struct f_inst * f1
#line 558 "filter/f-inst.c"
)
#line 558
  {
#line 558
    /* Allocate the structure */
#line 558
    struct f_inst *what = fi_new(fi_code);
#line 558
    uint constargs = 1;
#line 558

#line 558
    /* Initialize all the members */
#line 558
  #define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 558
  #line 557 "filter/f-inst.c"
whati->f1 = f1;
#line 557
const struct f_inst *child1 = f1;
#line 557
do {
#line 557
  what->size += child1->size;
#line 557

#line 557
  if (child1->fi_code != FI_CONSTANT)
#line 557
    constargs = 0;
#line 557

#line 557
} while (child1 = child1->next);
#line 557

#line 557 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 557
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 557
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 557 "filter/f-inst.c"
what->type = T_CLIST;

#line 558 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 558
    if (!constargs)
#line 558
      return what;
#line 558

#line 558
    /* Try to pre-calculate the result */
#line 558
    #line 557 "filter/f-inst.c"
 {
#line 557
  
#line 557 "filter/f-inst.c"
 #line 557 "filter/f-inst.c"
 ;
#line 557 "filter/f-inst.c"
    
#line 557 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad = &null_adata } ) 
#line 557
  #line 557 "filter/f-inst.c"
;
#line 557
};
  
  #undef whati
#line 558 "filter/f-inst.c"
  }
#line 558

#line 558

#line 559 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__empty */
#line 559
struct f_inst *
#line 558 "filter/f-inst.c"
NONNULL(2)
#line 559 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__empty(enum f_instruction_code fi_code
#line 558 "filter/f-inst.c"
  , struct f_inst * f1
#line 559 "filter/f-inst.c"
)
#line 559
  {
#line 559
    /* Allocate the structure */
#line 559
    struct f_inst *what = fi_new(fi_code);
#line 559
    uint constargs = 1;
#line 559

#line 559
    /* Initialize all the members */
#line 559
  #define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 559
  #line 558 "filter/f-inst.c"
whati->f1 = f1;
#line 558
const struct f_inst *child1 = f1;
#line 558
do {
#line 558
  what->size += child1->size;
#line 558

#line 558
  if (child1->fi_code != FI_CONSTANT)
#line 558
    constargs = 0;
#line 558

#line 558
} while (child1 = child1->next);
#line 558

#line 558 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 558
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 558
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 558 "filter/f-inst.c"
what->type = T_ECLIST;

#line 559 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 559
    if (!constargs)
#line 559
      return what;
#line 559

#line 559
    /* Try to pre-calculate the result */
#line 559
    #line 558 "filter/f-inst.c"
 {
#line 558
  
#line 558 "filter/f-inst.c"
 #line 558 "filter/f-inst.c"
 ;
#line 558 "filter/f-inst.c"
    
#line 558 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad = &null_adata } ) 
#line 558
  #line 558 "filter/f-inst.c"
;
#line 558
};
  
  #undef whati
#line 559 "filter/f-inst.c"
  }
#line 559

#line 559

#line 562 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__empty */
#line 562
struct f_inst *
#line 559 "filter/f-inst.c"
NONNULL(2)
#line 562 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__empty(enum f_instruction_code fi_code
#line 559 "filter/f-inst.c"
  , struct f_inst * f1
#line 562 "filter/f-inst.c"
)
#line 562
  {
#line 562
    /* Allocate the structure */
#line 562
    struct f_inst *what = fi_new(fi_code);
#line 562
    uint constargs = 1;
#line 562

#line 562
    /* Initialize all the members */
#line 562
  #define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 562
  #line 559 "filter/f-inst.c"
whati->f1 = f1;
#line 559
const struct f_inst *child1 = f1;
#line 559
do {
#line 559
  what->size += child1->size;
#line 559

#line 559
  if (child1->fi_code != FI_CONSTANT)
#line 559
    constargs = 0;
#line 559

#line 559
} while (child1 = child1->next);
#line 559

#line 559 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 559
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 559
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 559 "filter/f-inst.c"
what->type = T_LCLIST;

#line 562 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 562
    if (!constargs)
#line 562
      return what;
#line 562

#line 562
    /* Try to pre-calculate the result */
#line 562
    #line 559 "filter/f-inst.c"
 {
#line 559
  
#line 559 "filter/f-inst.c"
 #line 559 "filter/f-inst.c"
 ;
#line 559 "filter/f-inst.c"
    
#line 559 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad = &null_adata } ) 
#line 559
  #line 559 "filter/f-inst.c"
;
#line 559
};

  /* Common loop begin instruction, always created by f_for_cycle() */
  
  #undef whati
#line 562 "filter/f-inst.c"
  }
#line 562

#line 562

#line 584 "filter/f-inst.c"
 /* Constructor for FI_FOR_LOOP_START */
#line 584
struct f_inst *
#line 584
f_new_inst_FI_FOR_LOOP_START(enum f_instruction_code fi_code
#line 564 "filter/f-inst.c"
  , struct symbol * sym
#line 584 "filter/f-inst.c"
)
#line 584
  {
#line 584
    /* Allocate the structure */
#line 584
    struct f_inst *what = fi_new(fi_code);
#line 584
    
#line 584

#line 584
    /* Initialize all the members */
#line 584
  #define whati (&(what->i_FI_FOR_LOOP_START))
#line 584
  #line 564 "filter/f-inst.c"
whati->sym = sym;
#line 580 "filter/f-inst.c"
what->type = T_VOID;

#line 584 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 584
    
#line 584
      return what;
#line 584

#line 584
    /* Try to pre-calculate the result */
#line 584
      #undef whati
#line 584
  }
#line 584

#line 584

#line 593 "filter/f-inst.c"
 /* Constructor for FI_PATH_FOR_NEXT */
#line 593
struct f_inst *
#line 586 "filter/f-inst.c"
NONNULL(2)
#line 593 "filter/f-inst.c"
f_new_inst_FI_PATH_FOR_NEXT(enum f_instruction_code fi_code
#line 586 "filter/f-inst.c"
  , struct f_inst * f1
#line 588 "filter/f-inst.c"
  , struct f_inst * f2
#line 593 "filter/f-inst.c"
)
#line 593
  {
#line 593
    /* Allocate the structure */
#line 593
    struct f_inst *what = fi_new(fi_code);
#line 593
    
#line 593

#line 593
    /* Initialize all the members */
#line 593
  #define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 593
  #line 586 "filter/f-inst.c"
whati->f1 = f1;
#line 586
const struct f_inst *child1 = f1;
#line 586
do {
#line 586
  what->size += child1->size;
#line 586

#line 586
} while (child1 = child1->next);
#line 586

#line 586 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 586
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 586
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 588 "filter/f-inst.c"
whati->f2 = f2;

#line 593 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 593
    
#line 593
      return what;
#line 593

#line 593
    /* Try to pre-calculate the result */
#line 593
      #undef whati
#line 593
  }
#line 593

#line 593

#line 602 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FOR_NEXT */
#line 602
struct f_inst *
#line 595 "filter/f-inst.c"
NONNULL(2)
#line 602 "filter/f-inst.c"
f_new_inst_FI_CLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 595 "filter/f-inst.c"
  , struct f_inst * f1
#line 597 "filter/f-inst.c"
  , struct f_inst * f2
#line 602 "filter/f-inst.c"
)
#line 602
  {
#line 602
    /* Allocate the structure */
#line 602
    struct f_inst *what = fi_new(fi_code);
#line 602
    
#line 602

#line 602
    /* Initialize all the members */
#line 602
  #define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 602
  #line 595 "filter/f-inst.c"
whati->f1 = f1;
#line 595
const struct f_inst *child1 = f1;
#line 595
do {
#line 595
  what->size += child1->size;
#line 595

#line 595
} while (child1 = child1->next);
#line 595

#line 595 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 595
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 595
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 597 "filter/f-inst.c"
whati->f2 = f2;

#line 602 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 602
    
#line 602
      return what;
#line 602

#line 602
    /* Try to pre-calculate the result */
#line 602
      #undef whati
#line 602
  }
#line 602

#line 602

#line 611 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FOR_NEXT */
#line 611
struct f_inst *
#line 604 "filter/f-inst.c"
NONNULL(2)
#line 611 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 604 "filter/f-inst.c"
  , struct f_inst * f1
#line 606 "filter/f-inst.c"
  , struct f_inst * f2
#line 611 "filter/f-inst.c"
)
#line 611
  {
#line 611
    /* Allocate the structure */
#line 611
    struct f_inst *what = fi_new(fi_code);
#line 611
    
#line 611

#line 611
    /* Initialize all the members */
#line 611
  #define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 611
  #line 604 "filter/f-inst.c"
whati->f1 = f1;
#line 604
const struct f_inst *child1 = f1;
#line 604
do {
#line 604
  what->size += child1->size;
#line 604

#line 604
} while (child1 = child1->next);
#line 604

#line 604 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 604
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 604
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 606 "filter/f-inst.c"
whati->f2 = f2;

#line 611 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 611
    
#line 611
      return what;
#line 611

#line 611
    /* Try to pre-calculate the result */
#line 611
      #undef whati
#line 611
  }
#line 611

#line 611

#line 620 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FOR_NEXT */
#line 620
struct f_inst *
#line 613 "filter/f-inst.c"
NONNULL(2)
#line 620 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FOR_NEXT(enum f_instruction_code fi_code
#line 613 "filter/f-inst.c"
  , struct f_inst * f1
#line 615 "filter/f-inst.c"
  , struct f_inst * f2
#line 620 "filter/f-inst.c"
)
#line 620
  {
#line 620
    /* Allocate the structure */
#line 620
    struct f_inst *what = fi_new(fi_code);
#line 620
    
#line 620

#line 620
    /* Initialize all the members */
#line 620
  #define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 620
  #line 613 "filter/f-inst.c"
whati->f1 = f1;
#line 613
const struct f_inst *child1 = f1;
#line 613
do {
#line 613
  what->size += child1->size;
#line 613

#line 613
} while (child1 = child1->next);
#line 613

#line 613 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 613
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 613
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 615 "filter/f-inst.c"
whati->f2 = f2;

#line 620 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 620
    
#line 620
      return what;
#line 620

#line 620
    /* Try to pre-calculate the result */
#line 620
      #undef whati
#line 620
  }
#line 620

#line 620

#line 636 "filter/f-inst.c"
 /* Constructor for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
struct f_inst *
#line 622 "filter/f-inst.c"
NONNULL(2)
#line 636 "filter/f-inst.c"
f_new_inst_FI_ROUTES_BLOCK_FOR_NEXT(enum f_instruction_code fi_code
#line 622 "filter/f-inst.c"
  , struct f_inst * f1
#line 630 "filter/f-inst.c"
  , struct f_inst * f2
#line 636 "filter/f-inst.c"
)
#line 636
  {
#line 636
    /* Allocate the structure */
#line 636
    struct f_inst *what = fi_new(fi_code);
#line 636
    
#line 636

#line 636
    /* Initialize all the members */
#line 636
  #define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
  #line 622 "filter/f-inst.c"
whati->f1 = f1;
#line 622
const struct f_inst *child1 = f1;
#line 622
do {
#line 622
  what->size += child1->size;
#line 622

#line 622
} while (child1 = child1->next);
#line 622

#line 622 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTES_BLOCK)) && !f_const_promotion(f1, (T_ROUTES_BLOCK)))
#line 622
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 622
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTES_BLOCK), f_type_name(f1->type));
#line 630 "filter/f-inst.c"
whati->f2 = f2;

#line 636 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 636
    
#line 636
      return what;
#line 636

#line 636
    /* Try to pre-calculate the result */
#line 636
      #undef whati
#line 636
  }
#line 636

#line 636

#line 644 "filter/f-inst.c"
 /* Constructor for FI_CONDITION */
#line 644
struct f_inst *
#line 637 "filter/f-inst.c"
NONNULL(2)
#line 644 "filter/f-inst.c"
f_new_inst_FI_CONDITION(enum f_instruction_code fi_code
#line 637 "filter/f-inst.c"
  , struct f_inst * f1
#line 639 "filter/f-inst.c"
  , struct f_inst * f2
#line 641 "filter/f-inst.c"
  , struct f_inst * f3
#line 644 "filter/f-inst.c"
)
#line 644
  {
#line 644
    /* Allocate the structure */
#line 644
    struct f_inst *what = fi_new(fi_code);
#line 644
    uint constargs = 1;
#line 644

#line 644
    /* Initialize all the members */
#line 644
  #define whati (&(what->i_FI_CONDITION))
#line 644
  #line 637 "filter/f-inst.c"
whati->f1 = f1;
#line 637
const struct f_inst *child1 = f1;
#line 637
do {
#line 637
  what->size += child1->size;
#line 637

#line 637
  if (child1->fi_code != FI_CONSTANT)
#line 637
    constargs = 0;
#line 637

#line 637
} while (child1 = child1->next);
#line 637

#line 637 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 637
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 637
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 639 "filter/f-inst.c"
whati->f2 = f2;
#line 641 "filter/f-inst.c"
whati->f3 = f3;

#line 644 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 644
    if (!constargs)
#line 644
      return what;
#line 644

#line 644
    /* Try to pre-calculate the result */
#line 644
    #line 636 "filter/f-inst.c"
 {
    
#line 637 "filter/f-inst.c"
 #line 637 "filter/f-inst.c"
 ;
#line 638 "filter/f-inst.c"
    if (v1.val.i)
      
#line 639 "filter/f-inst.c"
return whati->f2
#line 639
;
    else
      
#line 641 "filter/f-inst.c"
return whati->f3
#line 641
;
  }

  
  #undef whati
#line 644 "filter/f-inst.c"
  }
#line 644

#line 644

#line 652 "filter/f-inst.c"
 /* Constructor for FI_PRINT */
#line 652
struct f_inst *
#line 646 "filter/f-inst.c"
NONNULL(2)
#line 652 "filter/f-inst.c"
f_new_inst_FI_PRINT(enum f_instruction_code fi_code
#line 646 "filter/f-inst.c"
  , struct f_inst * f1
#line 652 "filter/f-inst.c"
)
#line 652
  {
#line 652
    /* Allocate the structure */
#line 652
    struct f_inst *what = fi_new(fi_code);
#line 652
    
#line 652

#line 652
    /* Initialize all the members */
#line 652
  #define whati (&(what->i_FI_PRINT))
#line 652
  #line 646 "filter/f-inst.c"
whati->f1 = f1;
#line 646
const struct f_inst *child1 = f1;
#line 646
do {
#line 646
  what->size += child1->size;
#line 646

#line 646
} while (child1 = child1->next);
#line 646


#line 652 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 652
    
#line 652
      return what;
#line 652

#line 652
    /* Try to pre-calculate the result */
#line 652
      #undef whati
#line 652
  }
#line 652

#line 652

#line 659 "filter/f-inst.c"
 /* Constructor for FI_FLUSH */
#line 659
struct f_inst *
#line 659
f_new_inst_FI_FLUSH(enum f_instruction_code fi_code
#line 659
)
#line 659
  {
#line 659
    /* Allocate the structure */
#line 659
    struct f_inst *what = fi_new(fi_code);
#line 659
    
#line 659

#line 659
    /* Initialize all the members */
#line 659
  #define whati (&(what->i_FI_FLUSH))
#line 659
  
#line 659
    /* If not constant, return the instruction itself */
#line 659
    
#line 659
      return what;
#line 659

#line 659
    /* Try to pre-calculate the result */
#line 659
      #undef whati
#line 659
  }
#line 659

#line 659

#line 673 "filter/f-inst.c"
 /* Constructor for FI_DIE */
#line 673
struct f_inst *
#line 673
f_new_inst_FI_DIE(enum f_instruction_code fi_code
#line 661 "filter/f-inst.c"
  , enum filter_return fret
#line 673 "filter/f-inst.c"
)
#line 673
  {
#line 673
    /* Allocate the structure */
#line 673
    struct f_inst *what = fi_new(fi_code);
#line 673
    
#line 673

#line 673
    /* Initialize all the members */
#line 673
  #define whati (&(what->i_FI_DIE))
#line 673
  #line 661 "filter/f-inst.c"
whati->fret = fret;

#line 673 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 673
    
#line 673
      return what;
#line 673

#line 673
    /* Try to pre-calculate the result */
#line 673
      #undef whati
#line 673
  }
#line 673

#line 673

#line 703 "filter/f-inst.c"
 /* Constructor for FI_RTA_GET */
#line 703
struct f_inst *
#line 676 "filter/f-inst.c"
NONNULL(2)
#line 703 "filter/f-inst.c"
f_new_inst_FI_RTA_GET(enum f_instruction_code fi_code
#line 676 "filter/f-inst.c"
  , struct f_inst * f1
#line 677 "filter/f-inst.c"
  , struct f_static_attr sa
#line 703 "filter/f-inst.c"
)
#line 703
  {
#line 703
    /* Allocate the structure */
#line 703
    struct f_inst *what = fi_new(fi_code);
#line 703
    
#line 703

#line 703
    /* Initialize all the members */
#line 703
  #define whati (&(what->i_FI_RTA_GET))
#line 703
  #line 676 "filter/f-inst.c"
whati->f1 = f1;
#line 676
const struct f_inst *child1 = f1;
#line 676
do {
#line 676
  what->size += child1->size;
#line 676

#line 676
} while (child1 = child1->next);
#line 676

#line 676 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTE)) && !f_const_promotion(f1, (T_ROUTE)))
#line 676
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 676
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTE), f_type_name(f1->type));
#line 677 "filter/f-inst.c"
whati->sa = sa;
#line 683 "filter/f-inst.c"
what->type = sa.f_type;

#line 703 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 703
    
#line 703
      return what;
#line 703

#line 703
    /* Try to pre-calculate the result */
#line 703
      #undef whati
#line 703
  }
#line 703

#line 703

#line 818 "filter/f-inst.c"
 /* Constructor for FI_RTA_SET */
#line 818
struct f_inst *
#line 705 "filter/f-inst.c"
NONNULL(2)
#line 818 "filter/f-inst.c"
f_new_inst_FI_RTA_SET(enum f_instruction_code fi_code
#line 705 "filter/f-inst.c"
  , struct f_inst * f1
#line 706 "filter/f-inst.c"
  , struct f_static_attr sa
#line 818 "filter/f-inst.c"
)
#line 818
  {
#line 818
    /* Allocate the structure */
#line 818
    struct f_inst *what = fi_new(fi_code);
#line 818
    
#line 818

#line 818
    /* Initialize all the members */
#line 818
  #define whati (&(what->i_FI_RTA_SET))
#line 818
  #line 705 "filter/f-inst.c"
whati->f1 = f1;
#line 705
const struct f_inst *child1 = f1;
#line 705
do {
#line 705
  what->size += child1->size;
#line 705

#line 705
} while (child1 = child1->next);
#line 705

#line 706 "filter/f-inst.c"
whati->sa = sa;
#line 707 "filter/f-inst.c"
if (f1->type && (f1->type != (sa.f_type)) && !f_const_promotion(f1, (sa.f_type)))
#line 707
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 707
	   f_instruction_name(what->fi_code), f_type_name(sa.f_type), f_type_name(f1->type));

#line 818 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 818
    
#line 818
      return what;
#line 818

#line 818
    /* Try to pre-calculate the result */
#line 818
      #undef whati
#line 818
  }
#line 818

#line 818

#line 870 "filter/f-inst.c"
 /* Constructor for FI_EA_GET */
#line 870
struct f_inst *
#line 821 "filter/f-inst.c"
NONNULL(2)
#line 870 "filter/f-inst.c"
f_new_inst_FI_EA_GET(enum f_instruction_code fi_code
#line 821 "filter/f-inst.c"
  , struct f_inst * f1
#line 822 "filter/f-inst.c"
  , struct f_dynamic_attr da
#line 870 "filter/f-inst.c"
)
#line 870
  {
#line 870
    /* Allocate the structure */
#line 870
    struct f_inst *what = fi_new(fi_code);
#line 870
    
#line 870

#line 870
    /* Initialize all the members */
#line 870
  #define whati (&(what->i_FI_EA_GET))
#line 870
  #line 821 "filter/f-inst.c"
whati->f1 = f1;
#line 821
const struct f_inst *child1 = f1;
#line 821
do {
#line 821
  what->size += child1->size;
#line 821

#line 821
} while (child1 = child1->next);
#line 821

#line 821 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ROUTE)) && !f_const_promotion(f1, (T_ROUTE)))
#line 821
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 821
	   f_instruction_name(what->fi_code), f_type_name(T_ROUTE), f_type_name(f1->type));
#line 822 "filter/f-inst.c"
whati->da = da;
#line 823 "filter/f-inst.c"
what->type = da.f_type;

#line 870 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 870
    
#line 870
      return what;
#line 870

#line 870
    /* Try to pre-calculate the result */
#line 870
      #undef whati
#line 870
  }
#line 870

#line 870

#line 940 "filter/f-inst.c"
 /* Constructor for FI_EA_SET */
#line 940
struct f_inst *
#line 873 "filter/f-inst.c"
NONNULL(2)
#line 940 "filter/f-inst.c"
f_new_inst_FI_EA_SET(enum f_instruction_code fi_code
#line 873 "filter/f-inst.c"
  , struct f_inst * f1
#line 874 "filter/f-inst.c"
  , struct f_dynamic_attr da
#line 940 "filter/f-inst.c"
)
#line 940
  {
#line 940
    /* Allocate the structure */
#line 940
    struct f_inst *what = fi_new(fi_code);
#line 940
    
#line 940

#line 940
    /* Initialize all the members */
#line 940
  #define whati (&(what->i_FI_EA_SET))
#line 940
  #line 873 "filter/f-inst.c"
whati->f1 = f1;
#line 873
const struct f_inst *child1 = f1;
#line 873
do {
#line 873
  what->size += child1->size;
#line 873

#line 873
} while (child1 = child1->next);
#line 873

#line 874 "filter/f-inst.c"
whati->da = da;
#line 875 "filter/f-inst.c"
if (f1->type && (f1->type != (da.f_type)) && !f_const_promotion(f1, (da.f_type)))
#line 875
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 875
	   f_instruction_name(what->fi_code), f_type_name(da.f_type), f_type_name(f1->type));
;
#line 878 "filter/f-inst.c"
      if (da.f_type == T_ENUM_EMPTY)
	cf_error("Setting opaque attribute is not allowed");

    
#line 940 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 940
    
#line 940
      return what;
#line 940

#line 940
    /* Try to pre-calculate the result */
#line 940
      #undef whati
#line 940
  }
#line 940

#line 940

#line 950 "filter/f-inst.c"
 /* Constructor for FI_EA_UNSET */
#line 950
struct f_inst *
#line 950
f_new_inst_FI_EA_UNSET(enum f_instruction_code fi_code
#line 941 "filter/f-inst.c"
  , struct f_dynamic_attr da
#line 950 "filter/f-inst.c"
)
#line 950
  {
#line 950
    /* Allocate the structure */
#line 950
    struct f_inst *what = fi_new(fi_code);
#line 950
    
#line 950

#line 950
    /* Initialize all the members */
#line 950
  #define whati (&(what->i_FI_EA_UNSET))
#line 950
  #line 941 "filter/f-inst.c"
whati->da = da;

#line 950 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 950
    
#line 950
      return what;
#line 950

#line 950
    /* Try to pre-calculate the result */
#line 950
      #undef whati
#line 950
  }
#line 950

#line 950

#line 951 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__len */
#line 951
struct f_inst *
#line 950 "filter/f-inst.c"
NONNULL(2)
#line 951 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__len(enum f_instruction_code fi_code
#line 950 "filter/f-inst.c"
  , struct f_inst * f1
#line 951 "filter/f-inst.c"
)
#line 951
  {
#line 951
    /* Allocate the structure */
#line 951
    struct f_inst *what = fi_new(fi_code);
#line 951
    uint constargs = 1;
#line 951

#line 951
    /* Initialize all the members */
#line 951
  #define whati (&(what->i_FI_METHOD__T_NET__len))
#line 951
  #line 950 "filter/f-inst.c"
whati->f1 = f1;
#line 950
const struct f_inst *child1 = f1;
#line 950
do {
#line 950
  what->size += child1->size;
#line 950

#line 950
  if (child1->fi_code != FI_CONSTANT)
#line 950
    constargs = 0;
#line 950

#line 950
} while (child1 = child1->next);
#line 950

#line 950 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 950
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 950
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 950 "filter/f-inst.c"
what->type = T_INT;

#line 951 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 951
    if (!constargs)
#line 951
      return what;
#line 951

#line 951
    /* Try to pre-calculate the result */
#line 951
    #line 950 "filter/f-inst.c"
 {
#line 950
  
#line 950 "filter/f-inst.c"
 #line 950 "filter/f-inst.c"
 ;
#line 950 "filter/f-inst.c"
    
#line 950 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = net_pxlen(v1.val.net) } ) 
#line 950
  #line 950 "filter/f-inst.c"
;
#line 950
};
  
  #undef whati
#line 951 "filter/f-inst.c"
  }
#line 951

#line 951

#line 952 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__len */
#line 952
struct f_inst *
#line 951 "filter/f-inst.c"
NONNULL(2)
#line 952 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__len(enum f_instruction_code fi_code
#line 951 "filter/f-inst.c"
  , struct f_inst * f1
#line 952 "filter/f-inst.c"
)
#line 952
  {
#line 952
    /* Allocate the structure */
#line 952
    struct f_inst *what = fi_new(fi_code);
#line 952
    uint constargs = 1;
#line 952

#line 952
    /* Initialize all the members */
#line 952
  #define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 952
  #line 951 "filter/f-inst.c"
whati->f1 = f1;
#line 951
const struct f_inst *child1 = f1;
#line 951
do {
#line 951
  what->size += child1->size;
#line 951

#line 951
  if (child1->fi_code != FI_CONSTANT)
#line 951
    constargs = 0;
#line 951

#line 951
} while (child1 = child1->next);
#line 951

#line 951 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 951
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 951
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 951 "filter/f-inst.c"
what->type = T_INT;

#line 952 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 952
    if (!constargs)
#line 952
      return what;
#line 952

#line 952
    /* Try to pre-calculate the result */
#line 952
    #line 951 "filter/f-inst.c"
 {
#line 951
  
#line 951 "filter/f-inst.c"
 #line 951 "filter/f-inst.c"
 ;
#line 951 "filter/f-inst.c"
    
#line 951 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = as_path_getlen(v1.val.ad) } ) 
#line 951
  #line 951 "filter/f-inst.c"
;
#line 951
};
  
  #undef whati
#line 952 "filter/f-inst.c"
  }
#line 952

#line 952

#line 953 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__len */
#line 953
struct f_inst *
#line 952 "filter/f-inst.c"
NONNULL(2)
#line 953 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__len(enum f_instruction_code fi_code
#line 952 "filter/f-inst.c"
  , struct f_inst * f1
#line 953 "filter/f-inst.c"
)
#line 953
  {
#line 953
    /* Allocate the structure */
#line 953
    struct f_inst *what = fi_new(fi_code);
#line 953
    uint constargs = 1;
#line 953

#line 953
    /* Initialize all the members */
#line 953
  #define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 953
  #line 952 "filter/f-inst.c"
whati->f1 = f1;
#line 952
const struct f_inst *child1 = f1;
#line 952
do {
#line 952
  what->size += child1->size;
#line 952

#line 952
  if (child1->fi_code != FI_CONSTANT)
#line 952
    constargs = 0;
#line 952

#line 952
} while (child1 = child1->next);
#line 952

#line 952 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 952
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 952
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 952 "filter/f-inst.c"
what->type = T_INT;

#line 953 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 953
    if (!constargs)
#line 953
      return what;
#line 953

#line 953
    /* Try to pre-calculate the result */
#line 953
    #line 952 "filter/f-inst.c"
 {
#line 952
  
#line 952 "filter/f-inst.c"
 #line 952 "filter/f-inst.c"
 ;
#line 952 "filter/f-inst.c"
    
#line 952 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = int_set_get_size(v1.val.ad) } ) 
#line 952
  #line 952 "filter/f-inst.c"
;
#line 952
};
  
  #undef whati
#line 953 "filter/f-inst.c"
  }
#line 953

#line 953

#line 954 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__len */
#line 954
struct f_inst *
#line 953 "filter/f-inst.c"
NONNULL(2)
#line 954 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__len(enum f_instruction_code fi_code
#line 953 "filter/f-inst.c"
  , struct f_inst * f1
#line 954 "filter/f-inst.c"
)
#line 954
  {
#line 954
    /* Allocate the structure */
#line 954
    struct f_inst *what = fi_new(fi_code);
#line 954
    uint constargs = 1;
#line 954

#line 954
    /* Initialize all the members */
#line 954
  #define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 954
  #line 953 "filter/f-inst.c"
whati->f1 = f1;
#line 953
const struct f_inst *child1 = f1;
#line 953
do {
#line 953
  what->size += child1->size;
#line 953

#line 953
  if (child1->fi_code != FI_CONSTANT)
#line 953
    constargs = 0;
#line 953

#line 953
} while (child1 = child1->next);
#line 953

#line 953 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 953
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 953
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 953 "filter/f-inst.c"
what->type = T_INT;

#line 954 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 954
    if (!constargs)
#line 954
      return what;
#line 954

#line 954
    /* Try to pre-calculate the result */
#line 954
    #line 953 "filter/f-inst.c"
 {
#line 953
  
#line 953 "filter/f-inst.c"
 #line 953 "filter/f-inst.c"
 ;
#line 953 "filter/f-inst.c"
    
#line 953 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ec_set_get_size(v1.val.ad) } ) 
#line 953
  #line 953 "filter/f-inst.c"
;
#line 953
};
  
  #undef whati
#line 954 "filter/f-inst.c"
  }
#line 954

#line 954

#line 956 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__len */
#line 956
struct f_inst *
#line 954 "filter/f-inst.c"
NONNULL(2)
#line 956 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__len(enum f_instruction_code fi_code
#line 954 "filter/f-inst.c"
  , struct f_inst * f1
#line 956 "filter/f-inst.c"
)
#line 956
  {
#line 956
    /* Allocate the structure */
#line 956
    struct f_inst *what = fi_new(fi_code);
#line 956
    uint constargs = 1;
#line 956

#line 956
    /* Initialize all the members */
#line 956
  #define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 956
  #line 954 "filter/f-inst.c"
whati->f1 = f1;
#line 954
const struct f_inst *child1 = f1;
#line 954
do {
#line 954
  what->size += child1->size;
#line 954

#line 954
  if (child1->fi_code != FI_CONSTANT)
#line 954
    constargs = 0;
#line 954

#line 954
} while (child1 = child1->next);
#line 954

#line 954 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 954
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 954
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 954 "filter/f-inst.c"
what->type = T_INT;

#line 956 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 956
    if (!constargs)
#line 956
      return what;
#line 956

#line 956
    /* Try to pre-calculate the result */
#line 956
    #line 954 "filter/f-inst.c"
 {
#line 954
  
#line 954 "filter/f-inst.c"
 #line 954 "filter/f-inst.c"
 ;
#line 954 "filter/f-inst.c"
    
#line 954 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = lc_set_get_size(v1.val.ad) } ) 
#line 954
  #line 954 "filter/f-inst.c"
;
#line 954
};

  
  #undef whati
#line 956 "filter/f-inst.c"
  }
#line 956

#line 956

#line 992 "filter/f-inst.c"
 /* Constructor for FI_NET_SRC */
#line 992
struct f_inst *
#line 957 "filter/f-inst.c"
NONNULL(2)
#line 992 "filter/f-inst.c"
f_new_inst_FI_NET_SRC(enum f_instruction_code fi_code
#line 957 "filter/f-inst.c"
  , struct f_inst * f1
#line 992 "filter/f-inst.c"
)
#line 992
  {
#line 992
    /* Allocate the structure */
#line 992
    struct f_inst *what = fi_new(fi_code);
#line 992
    uint constargs = 1;
#line 992

#line 992
    /* Initialize all the members */
#line 992
  #define whati (&(what->i_FI_NET_SRC))
#line 992
  #line 957 "filter/f-inst.c"
whati->f1 = f1;
#line 957
const struct f_inst *child1 = f1;
#line 957
do {
#line 957
  what->size += child1->size;
#line 957

#line 957
  if (child1->fi_code != FI_CONSTANT)
#line 957
    constargs = 0;
#line 957

#line 957
} while (child1 = child1->next);
#line 957

#line 957 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 957
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 957
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 989 "filter/f-inst.c"
what->type = T_NET;

#line 992 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 992
    if (!constargs)
#line 992
      return what;
#line 992

#line 992
    /* Try to pre-calculate the result */
#line 992
    #line 956 "filter/f-inst.c"
 { 	/* Get src prefix */
    
#line 957 "filter/f-inst.c"
 #line 957 "filter/f-inst.c"
 ;
#line 958 "filter/f-inst.c"
    #line 958 "filter/f-inst.c"
;

    net_addr_union *net = (void *) v1.val.net;
    net_addr *src = falloc(sizeof(net_addr_ip6));
    const byte *part;

    switch(v1.val.net->type) {
    case NET_FLOW4:
      part = flow4_get_part(&net->flow4, FLOW_TYPE_SRC_PREFIX);
      if (part)
	net_fill_ip4(src, flow_read_ip4_part(part), flow_read_pxlen(part));
      else
	net_fill_ip4(src, IP4_NONE, 0);
      break;

    case NET_FLOW6:
      part = flow6_get_part(&net->flow6, FLOW_TYPE_SRC_PREFIX);
      if (part)
	net_fill_ip6(src, flow_read_ip6_part(part), flow_read_pxlen(part));
      else
	net_fill_ip6(src, IP6_NONE, 0);
      break;

    case NET_IP6_SADR:
      net_fill_ip6(src, net->ip6_sadr.src_prefix, net->ip6_sadr.src_pxlen);
      break;

    default:
      runtime( "Flow or SADR expected" );
    }

     
#line 989 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_NET, .val.net = src } );
  }

  
  #undef whati
#line 992 "filter/f-inst.c"
  }
#line 992

#line 992

#line 1029 "filter/f-inst.c"
 /* Constructor for FI_NET_DST */
#line 1029
struct f_inst *
#line 993 "filter/f-inst.c"
NONNULL(2)
#line 1029 "filter/f-inst.c"
f_new_inst_FI_NET_DST(enum f_instruction_code fi_code
#line 993 "filter/f-inst.c"
  , struct f_inst * f1
#line 1029 "filter/f-inst.c"
)
#line 1029
  {
#line 1029
    /* Allocate the structure */
#line 1029
    struct f_inst *what = fi_new(fi_code);
#line 1029
    uint constargs = 1;
#line 1029

#line 1029
    /* Initialize all the members */
#line 1029
  #define whati (&(what->i_FI_NET_DST))
#line 1029
  #line 993 "filter/f-inst.c"
whati->f1 = f1;
#line 993
const struct f_inst *child1 = f1;
#line 993
do {
#line 993
  what->size += child1->size;
#line 993

#line 993
  if (child1->fi_code != FI_CONSTANT)
#line 993
    constargs = 0;
#line 993

#line 993
} while (child1 = child1->next);
#line 993

#line 993 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 993
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 993
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1025 "filter/f-inst.c"
what->type = T_NET;

#line 1029 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1029
    if (!constargs)
#line 1029
      return what;
#line 1029

#line 1029
    /* Try to pre-calculate the result */
#line 1029
    #line 992 "filter/f-inst.c"
 { 	/* Get dst prefix */
    
#line 993 "filter/f-inst.c"
 #line 993 "filter/f-inst.c"
 ;
#line 994 "filter/f-inst.c"
    #line 994 "filter/f-inst.c"
;

    net_addr_union *net = (void *) v1.val.net;
    net_addr *dst = falloc(sizeof(net_addr_ip6));
    const byte *part;

    switch(v1.val.net->type) {
    case NET_FLOW4:
      part = flow4_get_part(&net->flow4, FLOW_TYPE_DST_PREFIX);
      if (part)
	net_fill_ip4(dst, flow_read_ip4_part(part), flow_read_pxlen(part));
      else
	net_fill_ip4(dst, IP4_NONE, 0);
      break;

    case NET_FLOW6:
      part = flow6_get_part(&net->flow6, FLOW_TYPE_DST_PREFIX);
      if (part)
	net_fill_ip6(dst, flow_read_ip6_part(part), flow_read_pxlen(part));
      else
	net_fill_ip6(dst, IP6_NONE, 0);
      break;

    case NET_IP6_SADR:
      net_fill_ip6(dst, net->ip6_sadr.dst_prefix, net->ip6_sadr.dst_pxlen);
      break;

    default:
      runtime( "Flow or SADR expected" );
    }

     
#line 1025 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_NET, .val.net = dst } );
  }

  /* Get ROA max prefix length */
  
  #undef whati
#line 1029 "filter/f-inst.c"
  }
#line 1029

#line 1029

#line 1039 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__maxlen */
#line 1039
struct f_inst *
#line 1029 "filter/f-inst.c"
NONNULL(2)
#line 1039 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__maxlen(enum f_instruction_code fi_code
#line 1029 "filter/f-inst.c"
  , struct f_inst * f1
#line 1039 "filter/f-inst.c"
)
#line 1039
  {
#line 1039
    /* Allocate the structure */
#line 1039
    struct f_inst *what = fi_new(fi_code);
#line 1039
    uint constargs = 1;
#line 1039

#line 1039
    /* Initialize all the members */
#line 1039
  #define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1039
  #line 1029 "filter/f-inst.c"
whati->f1 = f1;
#line 1029
const struct f_inst *child1 = f1;
#line 1029
do {
#line 1029
  what->size += child1->size;
#line 1029

#line 1029
  if (child1->fi_code != FI_CONSTANT)
#line 1029
    constargs = 0;
#line 1029

#line 1029
} while (child1 = child1->next);
#line 1029

#line 1029 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1029
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1029
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1029 "filter/f-inst.c"
what->type = T_INT;

#line 1039 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1039
    if (!constargs)
#line 1039
      return what;
#line 1039

#line 1039
    /* Try to pre-calculate the result */
#line 1039
    #line 1029 "filter/f-inst.c"
 {
#line 1029
  
#line 1029 "filter/f-inst.c"
 #line 1029 "filter/f-inst.c"
 ;
#line 1029 "filter/f-inst.c"
  
#line 1029
    if (!net_is_roa(v1.val.net))
#line 1029
      runtime( "ROA expected" );
#line 1029

#line 1029
     
#line 1029 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = (v1.val.net->type == NET_ROA4) ?
#line 1029
      ((net_addr_roa4 *) v1.val.net)->max_pxlen :
#line 1029
      ((net_addr_roa6 *) v1.val.net)->max_pxlen } );
#line 1029
  
#line 1029
  #line 1029 "filter/f-inst.c"
;
#line 1029
};
#line 1037

  /* Get ROA ASN */
  
  #undef whati
#line 1039 "filter/f-inst.c"
  }
#line 1039

#line 1039

#line 1049 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__asn */
#line 1049
struct f_inst *
#line 1039 "filter/f-inst.c"
NONNULL(2)
#line 1049 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__asn(enum f_instruction_code fi_code
#line 1039 "filter/f-inst.c"
  , struct f_inst * f1
#line 1049 "filter/f-inst.c"
)
#line 1049
  {
#line 1049
    /* Allocate the structure */
#line 1049
    struct f_inst *what = fi_new(fi_code);
#line 1049
    uint constargs = 1;
#line 1049

#line 1049
    /* Initialize all the members */
#line 1049
  #define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1049
  #line 1039 "filter/f-inst.c"
whati->f1 = f1;
#line 1039
const struct f_inst *child1 = f1;
#line 1039
do {
#line 1039
  what->size += child1->size;
#line 1039

#line 1039
  if (child1->fi_code != FI_CONSTANT)
#line 1039
    constargs = 0;
#line 1039

#line 1039
} while (child1 = child1->next);
#line 1039

#line 1039 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1039
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1039
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1039 "filter/f-inst.c"
what->type = T_INT;

#line 1049 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1049
    if (!constargs)
#line 1049
      return what;
#line 1049

#line 1049
    /* Try to pre-calculate the result */
#line 1049
    #line 1039 "filter/f-inst.c"
 {
#line 1039
  
#line 1039 "filter/f-inst.c"
 #line 1039 "filter/f-inst.c"
 ;
#line 1039 "filter/f-inst.c"
  
#line 1039
        if (!net_is_roa(v1.val.net))
#line 1039
          runtime( "ROA expected" );
#line 1039

#line 1039
         
#line 1039 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = (v1.val.net->type == NET_ROA4) ?
#line 1039
          ((net_addr_roa4 *) v1.val.net)->asn :
#line 1039
          ((net_addr_roa6 *) v1.val.net)->asn } );
#line 1039
  
#line 1039
  #line 1039 "filter/f-inst.c"
;
#line 1039
};
#line 1047

  /* Convert prefix to IP */
  
  #undef whati
#line 1049 "filter/f-inst.c"
  }
#line 1049

#line 1049

#line 1051 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_NET__ip */
#line 1051
struct f_inst *
#line 1049 "filter/f-inst.c"
NONNULL(2)
#line 1051 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_NET__ip(enum f_instruction_code fi_code
#line 1049 "filter/f-inst.c"
  , struct f_inst * f1
#line 1051 "filter/f-inst.c"
)
#line 1051
  {
#line 1051
    /* Allocate the structure */
#line 1051
    struct f_inst *what = fi_new(fi_code);
#line 1051
    uint constargs = 1;
#line 1051

#line 1051
    /* Initialize all the members */
#line 1051
  #define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1051
  #line 1049 "filter/f-inst.c"
whati->f1 = f1;
#line 1049
const struct f_inst *child1 = f1;
#line 1049
do {
#line 1049
  what->size += child1->size;
#line 1049

#line 1049
  if (child1->fi_code != FI_CONSTANT)
#line 1049
    constargs = 0;
#line 1049

#line 1049
} while (child1 = child1->next);
#line 1049

#line 1049 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1049
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1049
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1049 "filter/f-inst.c"
what->type = T_IP;

#line 1051 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1051
    if (!constargs)
#line 1051
      return what;
#line 1051

#line 1051
    /* Try to pre-calculate the result */
#line 1051
    #line 1049 "filter/f-inst.c"
 {
#line 1049
  
#line 1049 "filter/f-inst.c"
 #line 1049 "filter/f-inst.c"
 ;
#line 1049 "filter/f-inst.c"
    
#line 1049 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip = net_prefix(v1.val.net) } ) 
#line 1049
  #line 1049 "filter/f-inst.c"
;
#line 1049
};

  
  #undef whati
#line 1051 "filter/f-inst.c"
  }
#line 1051

#line 1051

#line 1060 "filter/f-inst.c"
 /* Constructor for FI_ROUTE_DISTINGUISHER */
#line 1060
struct f_inst *
#line 1052 "filter/f-inst.c"
NONNULL(2)
#line 1060 "filter/f-inst.c"
f_new_inst_FI_ROUTE_DISTINGUISHER(enum f_instruction_code fi_code
#line 1052 "filter/f-inst.c"
  , struct f_inst * f1
#line 1060 "filter/f-inst.c"
)
#line 1060
  {
#line 1060
    /* Allocate the structure */
#line 1060
    struct f_inst *what = fi_new(fi_code);
#line 1060
    uint constargs = 1;
#line 1060

#line 1060
    /* Initialize all the members */
#line 1060
  #define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1060
  #line 1052 "filter/f-inst.c"
whati->f1 = f1;
#line 1052
const struct f_inst *child1 = f1;
#line 1052
do {
#line 1052
  what->size += child1->size;
#line 1052

#line 1052
  if (child1->fi_code != FI_CONSTANT)
#line 1052
    constargs = 0;
#line 1052

#line 1052
} while (child1 = child1->next);
#line 1052

#line 1052 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1052
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1052
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1056 "filter/f-inst.c"
what->type = T_RD;

#line 1060 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1060
    if (!constargs)
#line 1060
      return what;
#line 1060

#line 1060
    /* Try to pre-calculate the result */
#line 1060
    #line 1051 "filter/f-inst.c"
 {
    
#line 1052 "filter/f-inst.c"
 #line 1052 "filter/f-inst.c"
 ;
#line 1053 "filter/f-inst.c"
    #line 1053 "filter/f-inst.c"
;
    if (!net_is_vpn(v1.val.net))
      runtime( "VPN address expected" );
     
#line 1056 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_RD, .val.ec = net_rd(v1.val.net) } );
  }

  /* Get first ASN from AS PATH */
  
  #undef whati
#line 1060 "filter/f-inst.c"
  }
#line 1060

#line 1060

#line 1063 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__first */
#line 1063
struct f_inst *
#line 1060 "filter/f-inst.c"
NONNULL(2)
#line 1063 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__first(enum f_instruction_code fi_code
#line 1060 "filter/f-inst.c"
  , struct f_inst * f1
#line 1063 "filter/f-inst.c"
)
#line 1063
  {
#line 1063
    /* Allocate the structure */
#line 1063
    struct f_inst *what = fi_new(fi_code);
#line 1063
    uint constargs = 1;
#line 1063

#line 1063
    /* Initialize all the members */
#line 1063
  #define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1063
  #line 1060 "filter/f-inst.c"
whati->f1 = f1;
#line 1060
const struct f_inst *child1 = f1;
#line 1060
do {
#line 1060
  what->size += child1->size;
#line 1060

#line 1060
  if (child1->fi_code != FI_CONSTANT)
#line 1060
    constargs = 0;
#line 1060

#line 1060
} while (child1 = child1->next);
#line 1060

#line 1060 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1060
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1060
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1060 "filter/f-inst.c"
what->type = T_INT;

#line 1063 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1063
    if (!constargs)
#line 1063
      return what;
#line 1063

#line 1063
    /* Try to pre-calculate the result */
#line 1063
    #line 1060 "filter/f-inst.c"
 {
#line 1060
  
#line 1060 "filter/f-inst.c"
 #line 1060 "filter/f-inst.c"
 ;
#line 1060 "filter/f-inst.c"
    
#line 1060 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ({ u32 as = 0; as_path_get_first(v1.val.ad, &as); as; }) } ) 
#line 1060
  #line 1060 "filter/f-inst.c"
;
#line 1060
};

  /* Get last ASN from AS PATH */
  
  #undef whati
#line 1063 "filter/f-inst.c"
  }
#line 1063

#line 1063

#line 1066 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__last */
#line 1066
struct f_inst *
#line 1063 "filter/f-inst.c"
NONNULL(2)
#line 1066 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__last(enum f_instruction_code fi_code
#line 1063 "filter/f-inst.c"
  , struct f_inst * f1
#line 1066 "filter/f-inst.c"
)
#line 1066
  {
#line 1066
    /* Allocate the structure */
#line 1066
    struct f_inst *what = fi_new(fi_code);
#line 1066
    uint constargs = 1;
#line 1066

#line 1066
    /* Initialize all the members */
#line 1066
  #define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1066
  #line 1063 "filter/f-inst.c"
whati->f1 = f1;
#line 1063
const struct f_inst *child1 = f1;
#line 1063
do {
#line 1063
  what->size += child1->size;
#line 1063

#line 1063
  if (child1->fi_code != FI_CONSTANT)
#line 1063
    constargs = 0;
#line 1063

#line 1063
} while (child1 = child1->next);
#line 1063

#line 1063 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1063
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1063
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1063 "filter/f-inst.c"
what->type = T_INT;

#line 1066 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1066
    if (!constargs)
#line 1066
      return what;
#line 1066

#line 1066
    /* Try to pre-calculate the result */
#line 1066
    #line 1063 "filter/f-inst.c"
 {
#line 1063
  
#line 1063 "filter/f-inst.c"
 #line 1063 "filter/f-inst.c"
 ;
#line 1063 "filter/f-inst.c"
    
#line 1063 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = ({ u32 as = 0; as_path_get_last(v1.val.ad, &as); as; }) } ) 
#line 1063
  #line 1063 "filter/f-inst.c"
;
#line 1063
};

  /* Get last ASN from non-aggregated part of AS PATH */
  
  #undef whati
#line 1066 "filter/f-inst.c"
  }
#line 1066

#line 1066

#line 1069 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
struct f_inst *
#line 1066 "filter/f-inst.c"
NONNULL(2)
#line 1069 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PATH__last_nonaggregated(enum f_instruction_code fi_code
#line 1066 "filter/f-inst.c"
  , struct f_inst * f1
#line 1069 "filter/f-inst.c"
)
#line 1069
  {
#line 1069
    /* Allocate the structure */
#line 1069
    struct f_inst *what = fi_new(fi_code);
#line 1069
    uint constargs = 1;
#line 1069

#line 1069
    /* Initialize all the members */
#line 1069
  #define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
  #line 1066 "filter/f-inst.c"
whati->f1 = f1;
#line 1066
const struct f_inst *child1 = f1;
#line 1066
do {
#line 1066
  what->size += child1->size;
#line 1066

#line 1066
  if (child1->fi_code != FI_CONSTANT)
#line 1066
    constargs = 0;
#line 1066

#line 1066
} while (child1 = child1->next);
#line 1066

#line 1066 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1066
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1066
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1066 "filter/f-inst.c"
what->type = T_INT;

#line 1069 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1069
    if (!constargs)
#line 1069
      return what;
#line 1069

#line 1069
    /* Try to pre-calculate the result */
#line 1069
    #line 1066 "filter/f-inst.c"
 {
#line 1066
  
#line 1066 "filter/f-inst.c"
 #line 1066 "filter/f-inst.c"
 ;
#line 1066 "filter/f-inst.c"
    
#line 1066 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = as_path_get_last_nonaggregated(v1.val.ad) } ) 
#line 1066
  #line 1066 "filter/f-inst.c"
;
#line 1066
};

  /* Get ASN part from the standard community ASN */
  
  #undef whati
#line 1069 "filter/f-inst.c"
  }
#line 1069

#line 1069

#line 1072 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PAIR__asn */
#line 1072
struct f_inst *
#line 1069 "filter/f-inst.c"
NONNULL(2)
#line 1072 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PAIR__asn(enum f_instruction_code fi_code
#line 1069 "filter/f-inst.c"
  , struct f_inst * f1
#line 1072 "filter/f-inst.c"
)
#line 1072
  {
#line 1072
    /* Allocate the structure */
#line 1072
    struct f_inst *what = fi_new(fi_code);
#line 1072
    uint constargs = 1;
#line 1072

#line 1072
    /* Initialize all the members */
#line 1072
  #define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1072
  #line 1069 "filter/f-inst.c"
whati->f1 = f1;
#line 1069
const struct f_inst *child1 = f1;
#line 1069
do {
#line 1069
  what->size += child1->size;
#line 1069

#line 1069
  if (child1->fi_code != FI_CONSTANT)
#line 1069
    constargs = 0;
#line 1069

#line 1069
} while (child1 = child1->next);
#line 1069

#line 1069 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PAIR)) && !f_const_promotion(f1, (T_PAIR)))
#line 1069
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1069
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f1->type));
#line 1069 "filter/f-inst.c"
what->type = T_INT;

#line 1072 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1072
    if (!constargs)
#line 1072
      return what;
#line 1072

#line 1072
    /* Try to pre-calculate the result */
#line 1072
    #line 1069 "filter/f-inst.c"
 {
#line 1069
  
#line 1069 "filter/f-inst.c"
 #line 1069 "filter/f-inst.c"
 ;
#line 1069 "filter/f-inst.c"
    
#line 1069 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i >> 16 } ) 
#line 1069
  #line 1069 "filter/f-inst.c"
;
#line 1069
};

  /* Get data part from the standard community */
  
  #undef whati
#line 1072 "filter/f-inst.c"
  }
#line 1072

#line 1072

#line 1075 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_PAIR__data */
#line 1075
struct f_inst *
#line 1072 "filter/f-inst.c"
NONNULL(2)
#line 1075 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_PAIR__data(enum f_instruction_code fi_code
#line 1072 "filter/f-inst.c"
  , struct f_inst * f1
#line 1075 "filter/f-inst.c"
)
#line 1075
  {
#line 1075
    /* Allocate the structure */
#line 1075
    struct f_inst *what = fi_new(fi_code);
#line 1075
    uint constargs = 1;
#line 1075

#line 1075
    /* Initialize all the members */
#line 1075
  #define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1075
  #line 1072 "filter/f-inst.c"
whati->f1 = f1;
#line 1072
const struct f_inst *child1 = f1;
#line 1072
do {
#line 1072
  what->size += child1->size;
#line 1072

#line 1072
  if (child1->fi_code != FI_CONSTANT)
#line 1072
    constargs = 0;
#line 1072

#line 1072
} while (child1 = child1->next);
#line 1072

#line 1072 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PAIR)) && !f_const_promotion(f1, (T_PAIR)))
#line 1072
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1072
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f1->type));
#line 1072 "filter/f-inst.c"
what->type = T_INT;

#line 1075 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1075
    if (!constargs)
#line 1075
      return what;
#line 1075

#line 1075
    /* Try to pre-calculate the result */
#line 1075
    #line 1072 "filter/f-inst.c"
 {
#line 1072
  
#line 1072 "filter/f-inst.c"
 #line 1072 "filter/f-inst.c"
 ;
#line 1072 "filter/f-inst.c"
    
#line 1072 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.i & 0xFFFF } ) 
#line 1072
  #line 1072 "filter/f-inst.c"
;
#line 1072
};

  /* Get ASN part from the large community */
  
  #undef whati
#line 1075 "filter/f-inst.c"
  }
#line 1075

#line 1075

#line 1078 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__asn */
#line 1078
struct f_inst *
#line 1075 "filter/f-inst.c"
NONNULL(2)
#line 1078 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__asn(enum f_instruction_code fi_code
#line 1075 "filter/f-inst.c"
  , struct f_inst * f1
#line 1078 "filter/f-inst.c"
)
#line 1078
  {
#line 1078
    /* Allocate the structure */
#line 1078
    struct f_inst *what = fi_new(fi_code);
#line 1078
    uint constargs = 1;
#line 1078

#line 1078
    /* Initialize all the members */
#line 1078
  #define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1078
  #line 1075 "filter/f-inst.c"
whati->f1 = f1;
#line 1075
const struct f_inst *child1 = f1;
#line 1075
do {
#line 1075
  what->size += child1->size;
#line 1075

#line 1075
  if (child1->fi_code != FI_CONSTANT)
#line 1075
    constargs = 0;
#line 1075

#line 1075
} while (child1 = child1->next);
#line 1075

#line 1075 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1075
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1075
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1075 "filter/f-inst.c"
what->type = T_INT;

#line 1078 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1078
    if (!constargs)
#line 1078
      return what;
#line 1078

#line 1078
    /* Try to pre-calculate the result */
#line 1078
    #line 1075 "filter/f-inst.c"
 {
#line 1075
  
#line 1075 "filter/f-inst.c"
 #line 1075 "filter/f-inst.c"
 ;
#line 1075 "filter/f-inst.c"
    
#line 1075 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.asn } ) 
#line 1075
  #line 1075 "filter/f-inst.c"
;
#line 1075
};

  /* Get data1 part from the large community */
  
  #undef whati
#line 1078 "filter/f-inst.c"
  }
#line 1078

#line 1078

#line 1081 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__data1 */
#line 1081
struct f_inst *
#line 1078 "filter/f-inst.c"
NONNULL(2)
#line 1081 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__data1(enum f_instruction_code fi_code
#line 1078 "filter/f-inst.c"
  , struct f_inst * f1
#line 1081 "filter/f-inst.c"
)
#line 1081
  {
#line 1081
    /* Allocate the structure */
#line 1081
    struct f_inst *what = fi_new(fi_code);
#line 1081
    uint constargs = 1;
#line 1081

#line 1081
    /* Initialize all the members */
#line 1081
  #define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1081
  #line 1078 "filter/f-inst.c"
whati->f1 = f1;
#line 1078
const struct f_inst *child1 = f1;
#line 1078
do {
#line 1078
  what->size += child1->size;
#line 1078

#line 1078
  if (child1->fi_code != FI_CONSTANT)
#line 1078
    constargs = 0;
#line 1078

#line 1078
} while (child1 = child1->next);
#line 1078

#line 1078 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1078
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1078
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1078 "filter/f-inst.c"
what->type = T_INT;

#line 1081 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1081
    if (!constargs)
#line 1081
      return what;
#line 1081

#line 1081
    /* Try to pre-calculate the result */
#line 1081
    #line 1078 "filter/f-inst.c"
 {
#line 1078
  
#line 1078 "filter/f-inst.c"
 #line 1078 "filter/f-inst.c"
 ;
#line 1078 "filter/f-inst.c"
    
#line 1078 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.ldp1 } ) 
#line 1078
  #line 1078 "filter/f-inst.c"
;
#line 1078
};

  /* Get data2 part from the large community */
  
  #undef whati
#line 1081 "filter/f-inst.c"
  }
#line 1081

#line 1081

#line 1084 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LC__data2 */
#line 1084
struct f_inst *
#line 1081 "filter/f-inst.c"
NONNULL(2)
#line 1084 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LC__data2(enum f_instruction_code fi_code
#line 1081 "filter/f-inst.c"
  , struct f_inst * f1
#line 1084 "filter/f-inst.c"
)
#line 1084
  {
#line 1084
    /* Allocate the structure */
#line 1084
    struct f_inst *what = fi_new(fi_code);
#line 1084
    uint constargs = 1;
#line 1084

#line 1084
    /* Initialize all the members */
#line 1084
  #define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1084
  #line 1081 "filter/f-inst.c"
whati->f1 = f1;
#line 1081
const struct f_inst *child1 = f1;
#line 1081
do {
#line 1081
  what->size += child1->size;
#line 1081

#line 1081
  if (child1->fi_code != FI_CONSTANT)
#line 1081
    constargs = 0;
#line 1081

#line 1081
} while (child1 = child1->next);
#line 1081

#line 1081 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LC)) && !f_const_promotion(f1, (T_LC)))
#line 1081
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1081
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f1->type));
#line 1081 "filter/f-inst.c"
what->type = T_INT;

#line 1084 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1084
    if (!constargs)
#line 1084
      return what;
#line 1084

#line 1084
    /* Try to pre-calculate the result */
#line 1084
    #line 1081 "filter/f-inst.c"
 {
#line 1081
  
#line 1081 "filter/f-inst.c"
 #line 1081 "filter/f-inst.c"
 ;
#line 1081 "filter/f-inst.c"
    
#line 1081 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_INT, .val.i = v1.val.lc.ldp2 } ) 
#line 1081
  #line 1081 "filter/f-inst.c"
;
#line 1081
};

  /* Get minimum element from clist */
  
  #undef whati
#line 1084 "filter/f-inst.c"
  }
#line 1084

#line 1084

#line 1087 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__min */
#line 1087
struct f_inst *
#line 1084 "filter/f-inst.c"
NONNULL(2)
#line 1087 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__min(enum f_instruction_code fi_code
#line 1084 "filter/f-inst.c"
  , struct f_inst * f1
#line 1087 "filter/f-inst.c"
)
#line 1087
  {
#line 1087
    /* Allocate the structure */
#line 1087
    struct f_inst *what = fi_new(fi_code);
#line 1087
    uint constargs = 1;
#line 1087

#line 1087
    /* Initialize all the members */
#line 1087
  #define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1087
  #line 1084 "filter/f-inst.c"
whati->f1 = f1;
#line 1084
const struct f_inst *child1 = f1;
#line 1084
do {
#line 1084
  what->size += child1->size;
#line 1084

#line 1084
  if (child1->fi_code != FI_CONSTANT)
#line 1084
    constargs = 0;
#line 1084

#line 1084
} while (child1 = child1->next);
#line 1084

#line 1084 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1084
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1084
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1084 "filter/f-inst.c"
what->type = T_PAIR;

#line 1087 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1087
    if (!constargs)
#line 1087
      return what;
#line 1087

#line 1087
    /* Try to pre-calculate the result */
#line 1087
    #line 1084 "filter/f-inst.c"
 {
#line 1084
  
#line 1084 "filter/f-inst.c"
 #line 1084 "filter/f-inst.c"
 ;
#line 1084 "filter/f-inst.c"
    
#line 1084 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = ({ u32 val = 0; int_set_min(v1.val.ad, &val); val; }) } ) 
#line 1084
  #line 1084 "filter/f-inst.c"
;
#line 1084
};

  /* Get maximum element from clist */
  
  #undef whati
#line 1087 "filter/f-inst.c"
  }
#line 1087

#line 1087

#line 1090 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_CLIST__max */
#line 1090
struct f_inst *
#line 1087 "filter/f-inst.c"
NONNULL(2)
#line 1090 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_CLIST__max(enum f_instruction_code fi_code
#line 1087 "filter/f-inst.c"
  , struct f_inst * f1
#line 1090 "filter/f-inst.c"
)
#line 1090
  {
#line 1090
    /* Allocate the structure */
#line 1090
    struct f_inst *what = fi_new(fi_code);
#line 1090
    uint constargs = 1;
#line 1090

#line 1090
    /* Initialize all the members */
#line 1090
  #define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1090
  #line 1087 "filter/f-inst.c"
whati->f1 = f1;
#line 1087
const struct f_inst *child1 = f1;
#line 1087
do {
#line 1087
  what->size += child1->size;
#line 1087

#line 1087
  if (child1->fi_code != FI_CONSTANT)
#line 1087
    constargs = 0;
#line 1087

#line 1087
} while (child1 = child1->next);
#line 1087

#line 1087 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1087
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1087
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1087 "filter/f-inst.c"
what->type = T_PAIR;

#line 1090 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1090
    if (!constargs)
#line 1090
      return what;
#line 1090

#line 1090
    /* Try to pre-calculate the result */
#line 1090
    #line 1087 "filter/f-inst.c"
 {
#line 1087
  
#line 1087 "filter/f-inst.c"
 #line 1087 "filter/f-inst.c"
 ;
#line 1087 "filter/f-inst.c"
    
#line 1087 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PAIR, .val.i = ({ u32 val = 0; int_set_max(v1.val.ad, &val); val; }) } ) 
#line 1087
  #line 1087 "filter/f-inst.c"
;
#line 1087
};

  /* Get minimum element from eclist */
  
  #undef whati
#line 1090 "filter/f-inst.c"
  }
#line 1090

#line 1090

#line 1093 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__min */
#line 1093
struct f_inst *
#line 1090 "filter/f-inst.c"
NONNULL(2)
#line 1093 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__min(enum f_instruction_code fi_code
#line 1090 "filter/f-inst.c"
  , struct f_inst * f1
#line 1093 "filter/f-inst.c"
)
#line 1093
  {
#line 1093
    /* Allocate the structure */
#line 1093
    struct f_inst *what = fi_new(fi_code);
#line 1093
    uint constargs = 1;
#line 1093

#line 1093
    /* Initialize all the members */
#line 1093
  #define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1093
  #line 1090 "filter/f-inst.c"
whati->f1 = f1;
#line 1090
const struct f_inst *child1 = f1;
#line 1090
do {
#line 1090
  what->size += child1->size;
#line 1090

#line 1090
  if (child1->fi_code != FI_CONSTANT)
#line 1090
    constargs = 0;
#line 1090

#line 1090
} while (child1 = child1->next);
#line 1090

#line 1090 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1090
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1090
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1090 "filter/f-inst.c"
what->type = T_EC;

#line 1093 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1093
    if (!constargs)
#line 1093
      return what;
#line 1093

#line 1093
    /* Try to pre-calculate the result */
#line 1093
    #line 1090 "filter/f-inst.c"
 {
#line 1090
  
#line 1090 "filter/f-inst.c"
 #line 1090 "filter/f-inst.c"
 ;
#line 1090 "filter/f-inst.c"
    
#line 1090 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ({ u64 val = 0; ec_set_min(v1.val.ad, &val); val; }) } ) 
#line 1090
  #line 1090 "filter/f-inst.c"
;
#line 1090
};

  /* Get maximum element from eclist */
  
  #undef whati
#line 1093 "filter/f-inst.c"
  }
#line 1093

#line 1093

#line 1096 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_ECLIST__max */
#line 1096
struct f_inst *
#line 1093 "filter/f-inst.c"
NONNULL(2)
#line 1096 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_ECLIST__max(enum f_instruction_code fi_code
#line 1093 "filter/f-inst.c"
  , struct f_inst * f1
#line 1096 "filter/f-inst.c"
)
#line 1096
  {
#line 1096
    /* Allocate the structure */
#line 1096
    struct f_inst *what = fi_new(fi_code);
#line 1096
    uint constargs = 1;
#line 1096

#line 1096
    /* Initialize all the members */
#line 1096
  #define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1096
  #line 1093 "filter/f-inst.c"
whati->f1 = f1;
#line 1093
const struct f_inst *child1 = f1;
#line 1093
do {
#line 1093
  what->size += child1->size;
#line 1093

#line 1093
  if (child1->fi_code != FI_CONSTANT)
#line 1093
    constargs = 0;
#line 1093

#line 1093
} while (child1 = child1->next);
#line 1093

#line 1093 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1093
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1093
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1093 "filter/f-inst.c"
what->type = T_EC;

#line 1096 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1096
    if (!constargs)
#line 1096
      return what;
#line 1096

#line 1096
    /* Try to pre-calculate the result */
#line 1096
    #line 1093 "filter/f-inst.c"
 {
#line 1093
  
#line 1093 "filter/f-inst.c"
 #line 1093 "filter/f-inst.c"
 ;
#line 1093 "filter/f-inst.c"
    
#line 1093 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_EC, .val.ec = ({ u64 val = 0; ec_set_max(v1.val.ad, &val); val; }) } ) 
#line 1093
  #line 1093 "filter/f-inst.c"
;
#line 1093
};

  /* Get minimum element from lclist */
  
  #undef whati
#line 1096 "filter/f-inst.c"
  }
#line 1096

#line 1096

#line 1099 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__min */
#line 1099
struct f_inst *
#line 1096 "filter/f-inst.c"
NONNULL(2)
#line 1099 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__min(enum f_instruction_code fi_code
#line 1096 "filter/f-inst.c"
  , struct f_inst * f1
#line 1099 "filter/f-inst.c"
)
#line 1099
  {
#line 1099
    /* Allocate the structure */
#line 1099
    struct f_inst *what = fi_new(fi_code);
#line 1099
    uint constargs = 1;
#line 1099

#line 1099
    /* Initialize all the members */
#line 1099
  #define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1099
  #line 1096 "filter/f-inst.c"
whati->f1 = f1;
#line 1096
const struct f_inst *child1 = f1;
#line 1096
do {
#line 1096
  what->size += child1->size;
#line 1096

#line 1096
  if (child1->fi_code != FI_CONSTANT)
#line 1096
    constargs = 0;
#line 1096

#line 1096
} while (child1 = child1->next);
#line 1096

#line 1096 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1096
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1096
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1096 "filter/f-inst.c"
what->type = T_LC;

#line 1099 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1099
    if (!constargs)
#line 1099
      return what;
#line 1099

#line 1099
    /* Try to pre-calculate the result */
#line 1099
    #line 1096 "filter/f-inst.c"
 {
#line 1096
  
#line 1096 "filter/f-inst.c"
 #line 1096 "filter/f-inst.c"
 ;
#line 1096 "filter/f-inst.c"
    
#line 1096 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = ({ lcomm val = {}; lc_set_min(v1.val.ad, &val); val; }) } ) 
#line 1096
  #line 1096 "filter/f-inst.c"
;
#line 1096
};

  /* Get maximum element from lclist */
  
  #undef whati
#line 1099 "filter/f-inst.c"
  }
#line 1099

#line 1099

#line 1101 "filter/f-inst.c"
 /* Constructor for FI_METHOD__T_LCLIST__max */
#line 1101
struct f_inst *
#line 1099 "filter/f-inst.c"
NONNULL(2)
#line 1101 "filter/f-inst.c"
f_new_inst_FI_METHOD__T_LCLIST__max(enum f_instruction_code fi_code
#line 1099 "filter/f-inst.c"
  , struct f_inst * f1
#line 1101 "filter/f-inst.c"
)
#line 1101
  {
#line 1101
    /* Allocate the structure */
#line 1101
    struct f_inst *what = fi_new(fi_code);
#line 1101
    uint constargs = 1;
#line 1101

#line 1101
    /* Initialize all the members */
#line 1101
  #define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1101
  #line 1099 "filter/f-inst.c"
whati->f1 = f1;
#line 1099
const struct f_inst *child1 = f1;
#line 1099
do {
#line 1099
  what->size += child1->size;
#line 1099

#line 1099
  if (child1->fi_code != FI_CONSTANT)
#line 1099
    constargs = 0;
#line 1099

#line 1099
} while (child1 = child1->next);
#line 1099

#line 1099 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1099
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1099
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1099 "filter/f-inst.c"
what->type = T_LC;

#line 1101 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1101
    if (!constargs)
#line 1101
      return what;
#line 1101

#line 1101
    /* Try to pre-calculate the result */
#line 1101
    #line 1099 "filter/f-inst.c"
 {
#line 1099
  
#line 1099 "filter/f-inst.c"
 #line 1099 "filter/f-inst.c"
 ;
#line 1099 "filter/f-inst.c"
    
#line 1099 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LC, .val.lc = ({ lcomm val = {}; lc_set_max(v1.val.ad, &val); val; }) } ) 
#line 1099
  #line 1099 "filter/f-inst.c"
;
#line 1099
};

  
  #undef whati
#line 1101 "filter/f-inst.c"
  }
#line 1101

#line 1101

#line 1127 "filter/f-inst.c"
 /* Constructor for FI_RETURN */
#line 1127
struct f_inst *
#line 1104 "filter/f-inst.c"
NONNULL(2)
#line 1127 "filter/f-inst.c"
f_new_inst_FI_RETURN(enum f_instruction_code fi_code
#line 1104 "filter/f-inst.c"
  , struct f_inst * f1
#line 1127 "filter/f-inst.c"
)
#line 1127
  {
#line 1127
    /* Allocate the structure */
#line 1127
    struct f_inst *what = fi_new(fi_code);
#line 1127
    
#line 1127

#line 1127
    /* Initialize all the members */
#line 1127
  #define whati (&(what->i_FI_RETURN))
#line 1127
  #line 1104 "filter/f-inst.c"
whati->f1 = f1;
#line 1104
const struct f_inst *child1 = f1;
#line 1104
do {
#line 1104
  what->size += child1->size;
#line 1104

#line 1104
} while (child1 = child1->next);
#line 1104


#line 1127 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1127
    
#line 1127
      return what;
#line 1127

#line 1127
    /* Try to pre-calculate the result */
#line 1127
      #undef whati
#line 1127
  }
#line 1127

#line 1127

#line 1186 "filter/f-inst.c"
 /* Constructor for FI_CALL */
#line 1186
struct f_inst *
#line 1186
f_new_inst_FI_CALL(enum f_instruction_code fi_code
#line 1129 "filter/f-inst.c"
  , struct f_inst * fvar
#line 1130 "filter/f-inst.c"
  , struct symbol * sym
#line 1186 "filter/f-inst.c"
)
#line 1186
  {
#line 1186
    /* Allocate the structure */
#line 1186
    struct f_inst *what = fi_new(fi_code);
#line 1186
    
#line 1186

#line 1186
    /* Initialize all the members */
#line 1186
  #define whati (&(what->i_FI_CALL))
#line 1186
  #line 1129 "filter/f-inst.c"
whati->varcount = 0;
#line 1129
whati->fvar = fvar;
#line 1129
for (const struct f_inst *child = fvar; child; child = child->next, whati->varcount++) {
#line 1129
  what->size += child->size;
#line 1129

#line 1129
}
#line 1129

#line 1130 "filter/f-inst.c"
whati->sym = sym;
#line 1131 "filter/f-inst.c"
what->type = sym->function->return_type;

#line 1134 "filter/f-inst.c"
    ASSERT(sym->class == SYM_FUNCTION);

    if (whati->varcount != sym->function->args)
      cf_error("Function '%s' expects %u arguments, got %u arguments",
	       sym->name, sym->function->args, whati->varcount);

    /* Typecheck individual arguments */
    struct f_inst *a = fvar;
    struct f_arg *b = sym->function->arg_list;
    for (uint i = 1; a && b; a = a->next, b = b->next, i++)
    {
      enum f_type b_type = b->arg->class & 0xff;

      if (a->type && (a->type != b_type) && !f_const_promotion(a, b_type))
	cf_error("Argument %u of '%s' must be %s, got %s",
		 i, sym->name, f_type_name(b_type), f_type_name(a->type));
    }
    ASSERT(!a && !b);

    /* Add implicit void slot for the return value */
    struct f_inst *tmp = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_VOID });
    tmp->next = whati->fvar;
    whati->fvar = tmp;
    what->size += tmp->size;

    /* Mark recursive calls, they have dummy f_line */
    if (!sym->function->len)
      what->flags |= FIF_RECURSIVE;

    
#line 1186 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1186
    
#line 1186
      return what;
#line 1186

#line 1186
    /* Try to pre-calculate the result */
#line 1186
      #undef whati
#line 1186
  }
#line 1186

#line 1186

#line 1191 "filter/f-inst.c"
 /* Constructor for FI_DROP_RESULT */
#line 1191
struct f_inst *
#line 1188 "filter/f-inst.c"
NONNULL(2)
#line 1191 "filter/f-inst.c"
f_new_inst_FI_DROP_RESULT(enum f_instruction_code fi_code
#line 1188 "filter/f-inst.c"
  , struct f_inst * f1
#line 1191 "filter/f-inst.c"
)
#line 1191
  {
#line 1191
    /* Allocate the structure */
#line 1191
    struct f_inst *what = fi_new(fi_code);
#line 1191
    
#line 1191

#line 1191
    /* Initialize all the members */
#line 1191
  #define whati (&(what->i_FI_DROP_RESULT))
#line 1191
  #line 1188 "filter/f-inst.c"
whati->f1 = f1;
#line 1188
const struct f_inst *child1 = f1;
#line 1188
do {
#line 1188
  what->size += child1->size;
#line 1188

#line 1188
} while (child1 = child1->next);
#line 1188


#line 1191 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1191
    
#line 1191
      return what;
#line 1191

#line 1191
    /* Try to pre-calculate the result */
#line 1191
      #undef whati
#line 1191
  }
#line 1191

#line 1191

#line 1232 "filter/f-inst.c"
 /* Constructor for FI_SWITCH */
#line 1232
struct f_inst *
#line 1192 "filter/f-inst.c"
NONNULL(2)
#line 1232 "filter/f-inst.c"
f_new_inst_FI_SWITCH(enum f_instruction_code fi_code
#line 1192 "filter/f-inst.c"
  , struct f_inst * f1
#line 1194 "filter/f-inst.c"
  , struct f_tree * tree
#line 1232 "filter/f-inst.c"
)
#line 1232
  {
#line 1232
    /* Allocate the structure */
#line 1232
    struct f_inst *what = fi_new(fi_code);
#line 1232
    uint constargs = 1;
#line 1232

#line 1232
    /* Initialize all the members */
#line 1232
  #define whati (&(what->i_FI_SWITCH))
#line 1232
  #line 1192 "filter/f-inst.c"
whati->f1 = f1;
#line 1192
const struct f_inst *child1 = f1;
#line 1192
do {
#line 1192
  what->size += child1->size;
#line 1192

#line 1192
  if (child1->fi_code != FI_CONSTANT)
#line 1192
    constargs = 0;
#line 1192

#line 1192
} while (child1 = child1->next);
#line 1192

#line 1194 "filter/f-inst.c"
whati->tree = tree;

#line 1232 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1232
    if (!constargs)
#line 1232
      return what;
#line 1232

#line 1232
    /* Try to pre-calculate the result */
#line 1232
    #line 1191 "filter/f-inst.c"
 {
    
#line 1192 "filter/f-inst.c"
;

    #line 1194 "filter/f-inst.c"
;

    
#line 1218 "filter/f-inst.c"
    /* In parse-time use find_tree_linear(), in runtime use find_tree() */
    const struct f_tree *t = find_tree_linear(tree, &v1);
    if (!t) {
      v1.type = T_VOID;
      t = find_tree_linear(tree, &v1);
      if (!t) {
	debug( "No else statement?\n");
	return NULL;
      }
    }

    return t->data ;
#line 1230 "filter/f-inst.c"
  }

  
  #undef whati
#line 1232 "filter/f-inst.c"
  }
#line 1232

#line 1232

#line 1241 "filter/f-inst.c"
 /* Constructor for FI_IP_MASK */
#line 1241
struct f_inst *
#line 1233 "filter/f-inst.c"
NONNULL(2)
#line 1234 "filter/f-inst.c"
NONNULL(3)
#line 1241 "filter/f-inst.c"
f_new_inst_FI_IP_MASK(enum f_instruction_code fi_code
#line 1233 "filter/f-inst.c"
  , struct f_inst * f1
#line 1234 "filter/f-inst.c"
  , struct f_inst * f2
#line 1241 "filter/f-inst.c"
)
#line 1241
  {
#line 1241
    /* Allocate the structure */
#line 1241
    struct f_inst *what = fi_new(fi_code);
#line 1241
    uint constargs = 1;
#line 1241

#line 1241
    /* Initialize all the members */
#line 1241
  #define whati (&(what->i_FI_IP_MASK))
#line 1241
  #line 1233 "filter/f-inst.c"
whati->f1 = f1;
#line 1233
const struct f_inst *child1 = f1;
#line 1233
do {
#line 1233
  what->size += child1->size;
#line 1233

#line 1233
  if (child1->fi_code != FI_CONSTANT)
#line 1233
    constargs = 0;
#line 1233

#line 1233
} while (child1 = child1->next);
#line 1233

#line 1233 "filter/f-inst.c"
if (f1->type && (f1->type != (T_IP)) && !f_const_promotion(f1, (T_IP)))
#line 1233
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1233
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f1->type));
#line 1234 "filter/f-inst.c"
whati->f2 = f2;
#line 1234
const struct f_inst *child2 = f2;
#line 1234
do {
#line 1234
  what->size += child2->size;
#line 1234

#line 1234
  if (child2->fi_code != FI_CONSTANT)
#line 1234
    constargs = 0;
#line 1234

#line 1234
} while (child2 = child2->next);
#line 1234 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1234
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1234
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1236 "filter/f-inst.c"
what->type = T_IP;

#line 1241 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1241
    if (!constargs)
#line 1241
      return what;
#line 1241

#line 1241
    /* Try to pre-calculate the result */
#line 1241
    #line 1232 "filter/f-inst.c"
 { /* IP.MASK(val) */
    
#line 1233 "filter/f-inst.c"
 #line 1233 "filter/f-inst.c"
 ;
#line 1234 "filter/f-inst.c"
    
#line 1234 "filter/f-inst.c"
 #line 1234 "filter/f-inst.c"
 ;
#line 1235 "filter/f-inst.c"
    #line 1235 "filter/f-inst.c"
;
     
#line 1236 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_IP, .val.ip =  ipa_is_ip4(v1.val.ip) ?
#line 1236
      ipa_from_ip4(ip4_and(ipa_to_ip4(v1.val.ip), ip4_mkmask(v2.val.i))) :
#line 1236
      ipa_from_ip6(ip6_and(ipa_to_ip6(v1.val.ip), ip6_mkmask(v2.val.i)))  } );
#line 1239
  }

  
  #undef whati
#line 1241 "filter/f-inst.c"
  }
#line 1241

#line 1241

#line 1249 "filter/f-inst.c"
 /* Constructor for FI_PATH_PREPEND */
#line 1249
struct f_inst *
#line 1242 "filter/f-inst.c"
NONNULL(2)
#line 1243 "filter/f-inst.c"
NONNULL(3)
#line 1249 "filter/f-inst.c"
f_new_inst_FI_PATH_PREPEND(enum f_instruction_code fi_code
#line 1242 "filter/f-inst.c"
  , struct f_inst * f1
#line 1243 "filter/f-inst.c"
  , struct f_inst * f2
#line 1249 "filter/f-inst.c"
)
#line 1249
  {
#line 1249
    /* Allocate the structure */
#line 1249
    struct f_inst *what = fi_new(fi_code);
#line 1249
    uint constargs = 1;
#line 1249

#line 1249
    /* Initialize all the members */
#line 1249
  #define whati (&(what->i_FI_PATH_PREPEND))
#line 1249
  #line 1242 "filter/f-inst.c"
whati->f1 = f1;
#line 1242
const struct f_inst *child1 = f1;
#line 1242
do {
#line 1242
  what->size += child1->size;
#line 1242

#line 1242
  if (child1->fi_code != FI_CONSTANT)
#line 1242
    constargs = 0;
#line 1242

#line 1242
} while (child1 = child1->next);
#line 1242

#line 1242 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1242
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1242
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1243 "filter/f-inst.c"
whati->f2 = f2;
#line 1243
const struct f_inst *child2 = f2;
#line 1243
do {
#line 1243
  what->size += child2->size;
#line 1243

#line 1243
  if (child2->fi_code != FI_CONSTANT)
#line 1243
    constargs = 0;
#line 1243

#line 1243
} while (child2 = child2->next);
#line 1243 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1243
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1243
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1245 "filter/f-inst.c"
what->type = T_PATH;

#line 1249 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1249
    if (!constargs)
#line 1249
      return what;
#line 1249

#line 1249
    /* Try to pre-calculate the result */
#line 1249
    #line 1241 "filter/f-inst.c"
 {	/* Path prepend */
    
#line 1242 "filter/f-inst.c"
 #line 1242 "filter/f-inst.c"
 ;
#line 1243 "filter/f-inst.c"
    
#line 1243 "filter/f-inst.c"
 #line 1243 "filter/f-inst.c"
 ;
#line 1244 "filter/f-inst.c"
    #line 1244 "filter/f-inst.c"
;
     
#line 1245 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_prepend(fpool, v1.val.ad, v2.val.i)  } );
  }

  /* Community list add */
  
  #undef whati
#line 1249 "filter/f-inst.c"
  }
#line 1249

#line 1249

#line 1256 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_PAIR */
#line 1256
struct f_inst *
#line 1250 "filter/f-inst.c"
NONNULL(2)
#line 1251 "filter/f-inst.c"
NONNULL(3)
#line 1256 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_PAIR(enum f_instruction_code fi_code
#line 1250 "filter/f-inst.c"
  , struct f_inst * f1
#line 1251 "filter/f-inst.c"
  , struct f_inst * f2
#line 1256 "filter/f-inst.c"
)
#line 1256
  {
#line 1256
    /* Allocate the structure */
#line 1256
    struct f_inst *what = fi_new(fi_code);
#line 1256
    uint constargs = 1;
#line 1256

#line 1256
    /* Initialize all the members */
#line 1256
  #define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1256
  #line 1250 "filter/f-inst.c"
whati->f1 = f1;
#line 1250
const struct f_inst *child1 = f1;
#line 1250
do {
#line 1250
  what->size += child1->size;
#line 1250

#line 1250
  if (child1->fi_code != FI_CONSTANT)
#line 1250
    constargs = 0;
#line 1250

#line 1250
} while (child1 = child1->next);
#line 1250

#line 1250 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1250
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1250
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1251 "filter/f-inst.c"
whati->f2 = f2;
#line 1251
const struct f_inst *child2 = f2;
#line 1251
do {
#line 1251
  what->size += child2->size;
#line 1251

#line 1251
  if (child2->fi_code != FI_CONSTANT)
#line 1251
    constargs = 0;
#line 1251

#line 1251
} while (child2 = child2->next);
#line 1251 "filter/f-inst.c"
if (f2->type && (f2->type != (T_PAIR)) && !f_const_promotion(f2, (T_PAIR)))
#line 1251
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1251
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f2->type));
#line 1253 "filter/f-inst.c"
what->type = T_CLIST;

#line 1256 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1256
    if (!constargs)
#line 1256
      return what;
#line 1256

#line 1256
    /* Try to pre-calculate the result */
#line 1256
    #line 1249 "filter/f-inst.c"
 {
    
#line 1250 "filter/f-inst.c"
 #line 1250 "filter/f-inst.c"
 ;
#line 1251 "filter/f-inst.c"
    
#line 1251 "filter/f-inst.c"
 #line 1251 "filter/f-inst.c"
 ;
#line 1252 "filter/f-inst.c"
    #line 1252 "filter/f-inst.c"
;
     
#line 1253 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1256 "filter/f-inst.c"
  }
#line 1256

#line 1256

#line 1270 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_IP */
#line 1270
struct f_inst *
#line 1257 "filter/f-inst.c"
NONNULL(2)
#line 1258 "filter/f-inst.c"
NONNULL(3)
#line 1270 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_IP(enum f_instruction_code fi_code
#line 1257 "filter/f-inst.c"
  , struct f_inst * f1
#line 1258 "filter/f-inst.c"
  , struct f_inst * f2
#line 1270 "filter/f-inst.c"
)
#line 1270
  {
#line 1270
    /* Allocate the structure */
#line 1270
    struct f_inst *what = fi_new(fi_code);
#line 1270
    uint constargs = 1;
#line 1270

#line 1270
    /* Initialize all the members */
#line 1270
  #define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1270
  #line 1257 "filter/f-inst.c"
whati->f1 = f1;
#line 1257
const struct f_inst *child1 = f1;
#line 1257
do {
#line 1257
  what->size += child1->size;
#line 1257

#line 1257
  if (child1->fi_code != FI_CONSTANT)
#line 1257
    constargs = 0;
#line 1257

#line 1257
} while (child1 = child1->next);
#line 1257

#line 1257 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1257
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1257
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1258 "filter/f-inst.c"
whati->f2 = f2;
#line 1258
const struct f_inst *child2 = f2;
#line 1258
do {
#line 1258
  what->size += child2->size;
#line 1258

#line 1258
  if (child2->fi_code != FI_CONSTANT)
#line 1258
    constargs = 0;
#line 1258

#line 1258
} while (child2 = child2->next);
#line 1258 "filter/f-inst.c"
if (f2->type && (f2->type != (T_IP)) && !f_const_promotion(f2, (T_IP)))
#line 1258
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1258
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f2->type));
;
#line 1262 "filter/f-inst.c"
    /* IP->Quad implicit conversion, must be before FI_CLIST_ADD_QUAD */
    cf_warn("Method add(clist, ip) is deprecated, please use add(clist, quad)");

    #line 1267 "filter/f-inst.c"
what->type = T_CLIST;

#line 1270 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1270
    if (!constargs)
#line 1270
      return what;
#line 1270

#line 1270
    /* Try to pre-calculate the result */
#line 1270
    #line 1256 "filter/f-inst.c"
 {
    
#line 1257 "filter/f-inst.c"
 #line 1257 "filter/f-inst.c"
 ;
#line 1258 "filter/f-inst.c"
    
#line 1258 "filter/f-inst.c"
 #line 1258 "filter/f-inst.c"
 ;
#line 1259 "filter/f-inst.c"
    #line 1259 "filter/f-inst.c"
;

    ;
#line 1266 "filter/f-inst.c"
    if (!val_is_ip4(&v2)) runtime("Mismatched IP type");
     
#line 1267 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, ipa_to_u32(v2.val.ip))  } );
  }

  
  #undef whati
#line 1270 "filter/f-inst.c"
  }
#line 1270

#line 1270

#line 1277 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_QUAD */
#line 1277
struct f_inst *
#line 1271 "filter/f-inst.c"
NONNULL(2)
#line 1272 "filter/f-inst.c"
NONNULL(3)
#line 1277 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_QUAD(enum f_instruction_code fi_code
#line 1271 "filter/f-inst.c"
  , struct f_inst * f1
#line 1272 "filter/f-inst.c"
  , struct f_inst * f2
#line 1277 "filter/f-inst.c"
)
#line 1277
  {
#line 1277
    /* Allocate the structure */
#line 1277
    struct f_inst *what = fi_new(fi_code);
#line 1277
    uint constargs = 1;
#line 1277

#line 1277
    /* Initialize all the members */
#line 1277
  #define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1277
  #line 1271 "filter/f-inst.c"
whati->f1 = f1;
#line 1271
const struct f_inst *child1 = f1;
#line 1271
do {
#line 1271
  what->size += child1->size;
#line 1271

#line 1271
  if (child1->fi_code != FI_CONSTANT)
#line 1271
    constargs = 0;
#line 1271

#line 1271
} while (child1 = child1->next);
#line 1271

#line 1271 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1271
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1271
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1272 "filter/f-inst.c"
whati->f2 = f2;
#line 1272
const struct f_inst *child2 = f2;
#line 1272
do {
#line 1272
  what->size += child2->size;
#line 1272

#line 1272
  if (child2->fi_code != FI_CONSTANT)
#line 1272
    constargs = 0;
#line 1272

#line 1272
} while (child2 = child2->next);
#line 1272 "filter/f-inst.c"
if (f2->type && (f2->type != (T_QUAD)) && !f_const_promotion(f2, (T_QUAD)))
#line 1272
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1272
	   f_instruction_name(what->fi_code), f_type_name(T_QUAD), f_type_name(f2->type));
#line 1274 "filter/f-inst.c"
what->type = T_CLIST;

#line 1277 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1277
    if (!constargs)
#line 1277
      return what;
#line 1277

#line 1277
    /* Try to pre-calculate the result */
#line 1277
    #line 1270 "filter/f-inst.c"
 {
    
#line 1271 "filter/f-inst.c"
 #line 1271 "filter/f-inst.c"
 ;
#line 1272 "filter/f-inst.c"
    
#line 1272 "filter/f-inst.c"
 #line 1272 "filter/f-inst.c"
 ;
#line 1273 "filter/f-inst.c"
    #line 1273 "filter/f-inst.c"
;
     
#line 1274 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_add(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1277 "filter/f-inst.c"
  }
#line 1277

#line 1277

#line 1284 "filter/f-inst.c"
 /* Constructor for FI_CLIST_ADD_CLIST */
#line 1284
struct f_inst *
#line 1278 "filter/f-inst.c"
NONNULL(2)
#line 1279 "filter/f-inst.c"
NONNULL(3)
#line 1284 "filter/f-inst.c"
f_new_inst_FI_CLIST_ADD_CLIST(enum f_instruction_code fi_code
#line 1278 "filter/f-inst.c"
  , struct f_inst * f1
#line 1279 "filter/f-inst.c"
  , struct f_inst * f2
#line 1284 "filter/f-inst.c"
)
#line 1284
  {
#line 1284
    /* Allocate the structure */
#line 1284
    struct f_inst *what = fi_new(fi_code);
#line 1284
    uint constargs = 1;
#line 1284

#line 1284
    /* Initialize all the members */
#line 1284
  #define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1284
  #line 1278 "filter/f-inst.c"
whati->f1 = f1;
#line 1278
const struct f_inst *child1 = f1;
#line 1278
do {
#line 1278
  what->size += child1->size;
#line 1278

#line 1278
  if (child1->fi_code != FI_CONSTANT)
#line 1278
    constargs = 0;
#line 1278

#line 1278
} while (child1 = child1->next);
#line 1278

#line 1278 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1278
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1278
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1279 "filter/f-inst.c"
whati->f2 = f2;
#line 1279
const struct f_inst *child2 = f2;
#line 1279
do {
#line 1279
  what->size += child2->size;
#line 1279

#line 1279
  if (child2->fi_code != FI_CONSTANT)
#line 1279
    constargs = 0;
#line 1279

#line 1279
} while (child2 = child2->next);
#line 1279 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1279
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1279
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1281 "filter/f-inst.c"
what->type = T_CLIST;

#line 1284 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1284
    if (!constargs)
#line 1284
      return what;
#line 1284

#line 1284
    /* Try to pre-calculate the result */
#line 1284
    #line 1277 "filter/f-inst.c"
 {
    
#line 1278 "filter/f-inst.c"
 #line 1278 "filter/f-inst.c"
 ;
#line 1279 "filter/f-inst.c"
    
#line 1279 "filter/f-inst.c"
 #line 1279 "filter/f-inst.c"
 ;
#line 1280 "filter/f-inst.c"
    #line 1280 "filter/f-inst.c"
;
     
#line 1281 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1284 "filter/f-inst.c"
  }
#line 1284

#line 1284

#line 1291 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_ADD_EC */
#line 1291
struct f_inst *
#line 1285 "filter/f-inst.c"
NONNULL(2)
#line 1286 "filter/f-inst.c"
NONNULL(3)
#line 1291 "filter/f-inst.c"
f_new_inst_FI_ECLIST_ADD_EC(enum f_instruction_code fi_code
#line 1285 "filter/f-inst.c"
  , struct f_inst * f1
#line 1286 "filter/f-inst.c"
  , struct f_inst * f2
#line 1291 "filter/f-inst.c"
)
#line 1291
  {
#line 1291
    /* Allocate the structure */
#line 1291
    struct f_inst *what = fi_new(fi_code);
#line 1291
    uint constargs = 1;
#line 1291

#line 1291
    /* Initialize all the members */
#line 1291
  #define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1291
  #line 1285 "filter/f-inst.c"
whati->f1 = f1;
#line 1285
const struct f_inst *child1 = f1;
#line 1285
do {
#line 1285
  what->size += child1->size;
#line 1285

#line 1285
  if (child1->fi_code != FI_CONSTANT)
#line 1285
    constargs = 0;
#line 1285

#line 1285
} while (child1 = child1->next);
#line 1285

#line 1285 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1285
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1285
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1286 "filter/f-inst.c"
whati->f2 = f2;
#line 1286
const struct f_inst *child2 = f2;
#line 1286
do {
#line 1286
  what->size += child2->size;
#line 1286

#line 1286
  if (child2->fi_code != FI_CONSTANT)
#line 1286
    constargs = 0;
#line 1286

#line 1286
} while (child2 = child2->next);
#line 1286 "filter/f-inst.c"
if (f2->type && (f2->type != (T_EC)) && !f_const_promotion(f2, (T_EC)))
#line 1286
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1286
	   f_instruction_name(what->fi_code), f_type_name(T_EC), f_type_name(f2->type));
#line 1288 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1291 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1291
    if (!constargs)
#line 1291
      return what;
#line 1291

#line 1291
    /* Try to pre-calculate the result */
#line 1291
    #line 1284 "filter/f-inst.c"
 {
    
#line 1285 "filter/f-inst.c"
 #line 1285 "filter/f-inst.c"
 ;
#line 1286 "filter/f-inst.c"
    
#line 1286 "filter/f-inst.c"
 #line 1286 "filter/f-inst.c"
 ;
#line 1287 "filter/f-inst.c"
    #line 1287 "filter/f-inst.c"
;
     
#line 1288 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_add(fpool, v1.val.ad, v2.val.ec)  } );
  }

  
  #undef whati
#line 1291 "filter/f-inst.c"
  }
#line 1291

#line 1291

#line 1298 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_ADD_ECLIST */
#line 1298
struct f_inst *
#line 1292 "filter/f-inst.c"
NONNULL(2)
#line 1293 "filter/f-inst.c"
NONNULL(3)
#line 1298 "filter/f-inst.c"
f_new_inst_FI_ECLIST_ADD_ECLIST(enum f_instruction_code fi_code
#line 1292 "filter/f-inst.c"
  , struct f_inst * f1
#line 1293 "filter/f-inst.c"
  , struct f_inst * f2
#line 1298 "filter/f-inst.c"
)
#line 1298
  {
#line 1298
    /* Allocate the structure */
#line 1298
    struct f_inst *what = fi_new(fi_code);
#line 1298
    uint constargs = 1;
#line 1298

#line 1298
    /* Initialize all the members */
#line 1298
  #define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1298
  #line 1292 "filter/f-inst.c"
whati->f1 = f1;
#line 1292
const struct f_inst *child1 = f1;
#line 1292
do {
#line 1292
  what->size += child1->size;
#line 1292

#line 1292
  if (child1->fi_code != FI_CONSTANT)
#line 1292
    constargs = 0;
#line 1292

#line 1292
} while (child1 = child1->next);
#line 1292

#line 1292 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1292
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1292
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1293 "filter/f-inst.c"
whati->f2 = f2;
#line 1293
const struct f_inst *child2 = f2;
#line 1293
do {
#line 1293
  what->size += child2->size;
#line 1293

#line 1293
  if (child2->fi_code != FI_CONSTANT)
#line 1293
    constargs = 0;
#line 1293

#line 1293
} while (child2 = child2->next);
#line 1293 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1293
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1293
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1295 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1298 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1298
    if (!constargs)
#line 1298
      return what;
#line 1298

#line 1298
    /* Try to pre-calculate the result */
#line 1298
    #line 1291 "filter/f-inst.c"
 {
    
#line 1292 "filter/f-inst.c"
 #line 1292 "filter/f-inst.c"
 ;
#line 1293 "filter/f-inst.c"
    
#line 1293 "filter/f-inst.c"
 #line 1293 "filter/f-inst.c"
 ;
#line 1294 "filter/f-inst.c"
    #line 1294 "filter/f-inst.c"
;
     
#line 1295 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1298 "filter/f-inst.c"
  }
#line 1298

#line 1298

#line 1305 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_ADD_LC */
#line 1305
struct f_inst *
#line 1299 "filter/f-inst.c"
NONNULL(2)
#line 1300 "filter/f-inst.c"
NONNULL(3)
#line 1305 "filter/f-inst.c"
f_new_inst_FI_LCLIST_ADD_LC(enum f_instruction_code fi_code
#line 1299 "filter/f-inst.c"
  , struct f_inst * f1
#line 1300 "filter/f-inst.c"
  , struct f_inst * f2
#line 1305 "filter/f-inst.c"
)
#line 1305
  {
#line 1305
    /* Allocate the structure */
#line 1305
    struct f_inst *what = fi_new(fi_code);
#line 1305
    uint constargs = 1;
#line 1305

#line 1305
    /* Initialize all the members */
#line 1305
  #define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1305
  #line 1299 "filter/f-inst.c"
whati->f1 = f1;
#line 1299
const struct f_inst *child1 = f1;
#line 1299
do {
#line 1299
  what->size += child1->size;
#line 1299

#line 1299
  if (child1->fi_code != FI_CONSTANT)
#line 1299
    constargs = 0;
#line 1299

#line 1299
} while (child1 = child1->next);
#line 1299

#line 1299 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1299
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1299
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1300 "filter/f-inst.c"
whati->f2 = f2;
#line 1300
const struct f_inst *child2 = f2;
#line 1300
do {
#line 1300
  what->size += child2->size;
#line 1300

#line 1300
  if (child2->fi_code != FI_CONSTANT)
#line 1300
    constargs = 0;
#line 1300

#line 1300
} while (child2 = child2->next);
#line 1300 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LC)) && !f_const_promotion(f2, (T_LC)))
#line 1300
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1300
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f2->type));
#line 1302 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1305 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1305
    if (!constargs)
#line 1305
      return what;
#line 1305

#line 1305
    /* Try to pre-calculate the result */
#line 1305
    #line 1298 "filter/f-inst.c"
 {
    
#line 1299 "filter/f-inst.c"
 #line 1299 "filter/f-inst.c"
 ;
#line 1300 "filter/f-inst.c"
    
#line 1300 "filter/f-inst.c"
 #line 1300 "filter/f-inst.c"
 ;
#line 1301 "filter/f-inst.c"
    #line 1301 "filter/f-inst.c"
;
     
#line 1302 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_add(fpool, v1.val.ad, v2.val.lc)  } );
  }

  
  #undef whati
#line 1305 "filter/f-inst.c"
  }
#line 1305

#line 1305

#line 1312 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_ADD_LCLIST */
#line 1312
struct f_inst *
#line 1306 "filter/f-inst.c"
NONNULL(2)
#line 1307 "filter/f-inst.c"
NONNULL(3)
#line 1312 "filter/f-inst.c"
f_new_inst_FI_LCLIST_ADD_LCLIST(enum f_instruction_code fi_code
#line 1306 "filter/f-inst.c"
  , struct f_inst * f1
#line 1307 "filter/f-inst.c"
  , struct f_inst * f2
#line 1312 "filter/f-inst.c"
)
#line 1312
  {
#line 1312
    /* Allocate the structure */
#line 1312
    struct f_inst *what = fi_new(fi_code);
#line 1312
    uint constargs = 1;
#line 1312

#line 1312
    /* Initialize all the members */
#line 1312
  #define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1312
  #line 1306 "filter/f-inst.c"
whati->f1 = f1;
#line 1306
const struct f_inst *child1 = f1;
#line 1306
do {
#line 1306
  what->size += child1->size;
#line 1306

#line 1306
  if (child1->fi_code != FI_CONSTANT)
#line 1306
    constargs = 0;
#line 1306

#line 1306
} while (child1 = child1->next);
#line 1306

#line 1306 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1306
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1306
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1307 "filter/f-inst.c"
whati->f2 = f2;
#line 1307
const struct f_inst *child2 = f2;
#line 1307
do {
#line 1307
  what->size += child2->size;
#line 1307

#line 1307
  if (child2->fi_code != FI_CONSTANT)
#line 1307
    constargs = 0;
#line 1307

#line 1307
} while (child2 = child2->next);
#line 1307 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1307
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1307
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1309 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1312 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1312
    if (!constargs)
#line 1312
      return what;
#line 1312

#line 1312
    /* Try to pre-calculate the result */
#line 1312
    #line 1305 "filter/f-inst.c"
 {
    
#line 1306 "filter/f-inst.c"
 #line 1306 "filter/f-inst.c"
 ;
#line 1307 "filter/f-inst.c"
    
#line 1307 "filter/f-inst.c"
 #line 1307 "filter/f-inst.c"
 ;
#line 1308 "filter/f-inst.c"
    #line 1308 "filter/f-inst.c"
;
     
#line 1309 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_union(fpool, v1.val.ad, v2.val.ad)  } );
  }

  
  #undef whati
#line 1312 "filter/f-inst.c"
  }
#line 1312

#line 1312

#line 1319 "filter/f-inst.c"
 /* Constructor for FI_PATH_DELETE_INT */
#line 1319
struct f_inst *
#line 1313 "filter/f-inst.c"
NONNULL(2)
#line 1314 "filter/f-inst.c"
NONNULL(3)
#line 1319 "filter/f-inst.c"
f_new_inst_FI_PATH_DELETE_INT(enum f_instruction_code fi_code
#line 1313 "filter/f-inst.c"
  , struct f_inst * f1
#line 1314 "filter/f-inst.c"
  , struct f_inst * f2
#line 1319 "filter/f-inst.c"
)
#line 1319
  {
#line 1319
    /* Allocate the structure */
#line 1319
    struct f_inst *what = fi_new(fi_code);
#line 1319
    uint constargs = 1;
#line 1319

#line 1319
    /* Initialize all the members */
#line 1319
  #define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1319
  #line 1313 "filter/f-inst.c"
whati->f1 = f1;
#line 1313
const struct f_inst *child1 = f1;
#line 1313
do {
#line 1313
  what->size += child1->size;
#line 1313

#line 1313
  if (child1->fi_code != FI_CONSTANT)
#line 1313
    constargs = 0;
#line 1313

#line 1313
} while (child1 = child1->next);
#line 1313

#line 1313 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1313
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1313
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1314 "filter/f-inst.c"
whati->f2 = f2;
#line 1314
const struct f_inst *child2 = f2;
#line 1314
do {
#line 1314
  what->size += child2->size;
#line 1314

#line 1314
  if (child2->fi_code != FI_CONSTANT)
#line 1314
    constargs = 0;
#line 1314

#line 1314
} while (child2 = child2->next);
#line 1314 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1314
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1314
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1316 "filter/f-inst.c"
what->type = T_PATH;

#line 1319 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1319
    if (!constargs)
#line 1319
      return what;
#line 1319

#line 1319
    /* Try to pre-calculate the result */
#line 1319
    #line 1312 "filter/f-inst.c"
 {
    
#line 1313 "filter/f-inst.c"
 #line 1313 "filter/f-inst.c"
 ;
#line 1314 "filter/f-inst.c"
    
#line 1314 "filter/f-inst.c"
 #line 1314 "filter/f-inst.c"
 ;
#line 1315 "filter/f-inst.c"
    #line 1315 "filter/f-inst.c"
;
     
#line 1316 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1319 "filter/f-inst.c"
  }
#line 1319

#line 1319

#line 1331 "filter/f-inst.c"
 /* Constructor for FI_PATH_DELETE_SET */
#line 1331
struct f_inst *
#line 1320 "filter/f-inst.c"
NONNULL(2)
#line 1321 "filter/f-inst.c"
NONNULL(3)
#line 1331 "filter/f-inst.c"
f_new_inst_FI_PATH_DELETE_SET(enum f_instruction_code fi_code
#line 1320 "filter/f-inst.c"
  , struct f_inst * f1
#line 1321 "filter/f-inst.c"
  , struct f_inst * f2
#line 1331 "filter/f-inst.c"
)
#line 1331
  {
#line 1331
    /* Allocate the structure */
#line 1331
    struct f_inst *what = fi_new(fi_code);
#line 1331
    uint constargs = 1;
#line 1331

#line 1331
    /* Initialize all the members */
#line 1331
  #define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1331
  #line 1320 "filter/f-inst.c"
whati->f1 = f1;
#line 1320
const struct f_inst *child1 = f1;
#line 1320
do {
#line 1320
  what->size += child1->size;
#line 1320

#line 1320
  if (child1->fi_code != FI_CONSTANT)
#line 1320
    constargs = 0;
#line 1320

#line 1320
} while (child1 = child1->next);
#line 1320

#line 1320 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1320
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1320
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1321 "filter/f-inst.c"
whati->f2 = f2;
#line 1321
const struct f_inst *child2 = f2;
#line 1321
do {
#line 1321
  what->size += child2->size;
#line 1321

#line 1321
  if (child2->fi_code != FI_CONSTANT)
#line 1321
    constargs = 0;
#line 1321

#line 1321
} while (child2 = child2->next);
#line 1321 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1321
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1321
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1327 "filter/f-inst.c"
what->type = T_PATH;

#line 1331 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1331
    if (!constargs)
#line 1331
      return what;
#line 1331

#line 1331
    /* Try to pre-calculate the result */
#line 1331
    #line 1319 "filter/f-inst.c"
 {
    
#line 1320 "filter/f-inst.c"
 #line 1320 "filter/f-inst.c"
 ;
#line 1321 "filter/f-inst.c"
    
#line 1321 "filter/f-inst.c"
 #line 1321 "filter/f-inst.c"
 ;
#line 1322 "filter/f-inst.c"
    #line 1322 "filter/f-inst.c"
;

    if (!path_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1327 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  /* Community list delete */
  
  #undef whati
#line 1331 "filter/f-inst.c"
  }
#line 1331

#line 1331

#line 1338 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_PAIR */
#line 1338
struct f_inst *
#line 1332 "filter/f-inst.c"
NONNULL(2)
#line 1333 "filter/f-inst.c"
NONNULL(3)
#line 1338 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_PAIR(enum f_instruction_code fi_code
#line 1332 "filter/f-inst.c"
  , struct f_inst * f1
#line 1333 "filter/f-inst.c"
  , struct f_inst * f2
#line 1338 "filter/f-inst.c"
)
#line 1338
  {
#line 1338
    /* Allocate the structure */
#line 1338
    struct f_inst *what = fi_new(fi_code);
#line 1338
    uint constargs = 1;
#line 1338

#line 1338
    /* Initialize all the members */
#line 1338
  #define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1338
  #line 1332 "filter/f-inst.c"
whati->f1 = f1;
#line 1332
const struct f_inst *child1 = f1;
#line 1332
do {
#line 1332
  what->size += child1->size;
#line 1332

#line 1332
  if (child1->fi_code != FI_CONSTANT)
#line 1332
    constargs = 0;
#line 1332

#line 1332
} while (child1 = child1->next);
#line 1332

#line 1332 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1332
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1332
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1333 "filter/f-inst.c"
whati->f2 = f2;
#line 1333
const struct f_inst *child2 = f2;
#line 1333
do {
#line 1333
  what->size += child2->size;
#line 1333

#line 1333
  if (child2->fi_code != FI_CONSTANT)
#line 1333
    constargs = 0;
#line 1333

#line 1333
} while (child2 = child2->next);
#line 1333 "filter/f-inst.c"
if (f2->type && (f2->type != (T_PAIR)) && !f_const_promotion(f2, (T_PAIR)))
#line 1333
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1333
	   f_instruction_name(what->fi_code), f_type_name(T_PAIR), f_type_name(f2->type));
#line 1335 "filter/f-inst.c"
what->type = T_CLIST;

#line 1338 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1338
    if (!constargs)
#line 1338
      return what;
#line 1338

#line 1338
    /* Try to pre-calculate the result */
#line 1338
    #line 1331 "filter/f-inst.c"
 {
    
#line 1332 "filter/f-inst.c"
 #line 1332 "filter/f-inst.c"
 ;
#line 1333 "filter/f-inst.c"
    
#line 1333 "filter/f-inst.c"
 #line 1333 "filter/f-inst.c"
 ;
#line 1334 "filter/f-inst.c"
    #line 1334 "filter/f-inst.c"
;
     
#line 1335 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1338 "filter/f-inst.c"
  }
#line 1338

#line 1338

#line 1352 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_IP */
#line 1352
struct f_inst *
#line 1339 "filter/f-inst.c"
NONNULL(2)
#line 1340 "filter/f-inst.c"
NONNULL(3)
#line 1352 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_IP(enum f_instruction_code fi_code
#line 1339 "filter/f-inst.c"
  , struct f_inst * f1
#line 1340 "filter/f-inst.c"
  , struct f_inst * f2
#line 1352 "filter/f-inst.c"
)
#line 1352
  {
#line 1352
    /* Allocate the structure */
#line 1352
    struct f_inst *what = fi_new(fi_code);
#line 1352
    uint constargs = 1;
#line 1352

#line 1352
    /* Initialize all the members */
#line 1352
  #define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1352
  #line 1339 "filter/f-inst.c"
whati->f1 = f1;
#line 1339
const struct f_inst *child1 = f1;
#line 1339
do {
#line 1339
  what->size += child1->size;
#line 1339

#line 1339
  if (child1->fi_code != FI_CONSTANT)
#line 1339
    constargs = 0;
#line 1339

#line 1339
} while (child1 = child1->next);
#line 1339

#line 1339 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1339
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1339
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1340 "filter/f-inst.c"
whati->f2 = f2;
#line 1340
const struct f_inst *child2 = f2;
#line 1340
do {
#line 1340
  what->size += child2->size;
#line 1340

#line 1340
  if (child2->fi_code != FI_CONSTANT)
#line 1340
    constargs = 0;
#line 1340

#line 1340
} while (child2 = child2->next);
#line 1340 "filter/f-inst.c"
if (f2->type && (f2->type != (T_IP)) && !f_const_promotion(f2, (T_IP)))
#line 1340
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1340
	   f_instruction_name(what->fi_code), f_type_name(T_IP), f_type_name(f2->type));
;
#line 1344 "filter/f-inst.c"
    /* IP->Quad implicit conversion, must be before FI_CLIST_DELETE_QUAD */
    cf_warn("Method delete(clist, ip) is deprecated, please use delete(clist, quad)");

    #line 1349 "filter/f-inst.c"
what->type = T_CLIST;

#line 1352 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1352
    if (!constargs)
#line 1352
      return what;
#line 1352

#line 1352
    /* Try to pre-calculate the result */
#line 1352
    #line 1338 "filter/f-inst.c"
 {
    
#line 1339 "filter/f-inst.c"
 #line 1339 "filter/f-inst.c"
 ;
#line 1340 "filter/f-inst.c"
    
#line 1340 "filter/f-inst.c"
 #line 1340 "filter/f-inst.c"
 ;
#line 1341 "filter/f-inst.c"
    #line 1341 "filter/f-inst.c"
;

    ;
#line 1348 "filter/f-inst.c"
    if (!val_is_ip4(&v2)) runtime("Mismatched IP type");
     
#line 1349 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, ipa_to_u32(v2.val.ip))  } );
  }

  
  #undef whati
#line 1352 "filter/f-inst.c"
  }
#line 1352

#line 1352

#line 1359 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_QUAD */
#line 1359
struct f_inst *
#line 1353 "filter/f-inst.c"
NONNULL(2)
#line 1354 "filter/f-inst.c"
NONNULL(3)
#line 1359 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_QUAD(enum f_instruction_code fi_code
#line 1353 "filter/f-inst.c"
  , struct f_inst * f1
#line 1354 "filter/f-inst.c"
  , struct f_inst * f2
#line 1359 "filter/f-inst.c"
)
#line 1359
  {
#line 1359
    /* Allocate the structure */
#line 1359
    struct f_inst *what = fi_new(fi_code);
#line 1359
    uint constargs = 1;
#line 1359

#line 1359
    /* Initialize all the members */
#line 1359
  #define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1359
  #line 1353 "filter/f-inst.c"
whati->f1 = f1;
#line 1353
const struct f_inst *child1 = f1;
#line 1353
do {
#line 1353
  what->size += child1->size;
#line 1353

#line 1353
  if (child1->fi_code != FI_CONSTANT)
#line 1353
    constargs = 0;
#line 1353

#line 1353
} while (child1 = child1->next);
#line 1353

#line 1353 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1353
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1353
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1354 "filter/f-inst.c"
whati->f2 = f2;
#line 1354
const struct f_inst *child2 = f2;
#line 1354
do {
#line 1354
  what->size += child2->size;
#line 1354

#line 1354
  if (child2->fi_code != FI_CONSTANT)
#line 1354
    constargs = 0;
#line 1354

#line 1354
} while (child2 = child2->next);
#line 1354 "filter/f-inst.c"
if (f2->type && (f2->type != (T_QUAD)) && !f_const_promotion(f2, (T_QUAD)))
#line 1354
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1354
	   f_instruction_name(what->fi_code), f_type_name(T_QUAD), f_type_name(f2->type));
#line 1356 "filter/f-inst.c"
what->type = T_CLIST;

#line 1359 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1359
    if (!constargs)
#line 1359
      return what;
#line 1359

#line 1359
    /* Try to pre-calculate the result */
#line 1359
    #line 1352 "filter/f-inst.c"
 {
    
#line 1353 "filter/f-inst.c"
 #line 1353 "filter/f-inst.c"
 ;
#line 1354 "filter/f-inst.c"
    
#line 1354 "filter/f-inst.c"
 #line 1354 "filter/f-inst.c"
 ;
#line 1355 "filter/f-inst.c"
    #line 1355 "filter/f-inst.c"
;
     
#line 1356 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  int_set_del(fpool, v1.val.ad, v2.val.i)  } );
  }

  
  #undef whati
#line 1359 "filter/f-inst.c"
  }
#line 1359

#line 1359

#line 1366 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_CLIST */
#line 1366
struct f_inst *
#line 1360 "filter/f-inst.c"
NONNULL(2)
#line 1361 "filter/f-inst.c"
NONNULL(3)
#line 1366 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_CLIST(enum f_instruction_code fi_code
#line 1360 "filter/f-inst.c"
  , struct f_inst * f1
#line 1361 "filter/f-inst.c"
  , struct f_inst * f2
#line 1366 "filter/f-inst.c"
)
#line 1366
  {
#line 1366
    /* Allocate the structure */
#line 1366
    struct f_inst *what = fi_new(fi_code);
#line 1366
    uint constargs = 1;
#line 1366

#line 1366
    /* Initialize all the members */
#line 1366
  #define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1366
  #line 1360 "filter/f-inst.c"
whati->f1 = f1;
#line 1360
const struct f_inst *child1 = f1;
#line 1360
do {
#line 1360
  what->size += child1->size;
#line 1360

#line 1360
  if (child1->fi_code != FI_CONSTANT)
#line 1360
    constargs = 0;
#line 1360

#line 1360
} while (child1 = child1->next);
#line 1360

#line 1360 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1360
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1360
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1361 "filter/f-inst.c"
whati->f2 = f2;
#line 1361
const struct f_inst *child2 = f2;
#line 1361
do {
#line 1361
  what->size += child2->size;
#line 1361

#line 1361
  if (child2->fi_code != FI_CONSTANT)
#line 1361
    constargs = 0;
#line 1361

#line 1361
} while (child2 = child2->next);
#line 1361 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1361
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1361
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1363 "filter/f-inst.c"
what->type = T_CLIST;

#line 1366 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1366
    if (!constargs)
#line 1366
      return what;
#line 1366

#line 1366
    /* Try to pre-calculate the result */
#line 1366
    #line 1359 "filter/f-inst.c"
 {
    
#line 1360 "filter/f-inst.c"
 #line 1360 "filter/f-inst.c"
 ;
#line 1361 "filter/f-inst.c"
    
#line 1361 "filter/f-inst.c"
 #line 1361 "filter/f-inst.c"
 ;
#line 1362 "filter/f-inst.c"
    #line 1362 "filter/f-inst.c"
;
     
#line 1363 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1366 "filter/f-inst.c"
  }
#line 1366

#line 1366

#line 1377 "filter/f-inst.c"
 /* Constructor for FI_CLIST_DELETE_SET */
#line 1377
struct f_inst *
#line 1367 "filter/f-inst.c"
NONNULL(2)
#line 1368 "filter/f-inst.c"
NONNULL(3)
#line 1377 "filter/f-inst.c"
f_new_inst_FI_CLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1367 "filter/f-inst.c"
  , struct f_inst * f1
#line 1368 "filter/f-inst.c"
  , struct f_inst * f2
#line 1377 "filter/f-inst.c"
)
#line 1377
  {
#line 1377
    /* Allocate the structure */
#line 1377
    struct f_inst *what = fi_new(fi_code);
#line 1377
    uint constargs = 1;
#line 1377

#line 1377
    /* Initialize all the members */
#line 1377
  #define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1377
  #line 1367 "filter/f-inst.c"
whati->f1 = f1;
#line 1367
const struct f_inst *child1 = f1;
#line 1367
do {
#line 1367
  what->size += child1->size;
#line 1367

#line 1367
  if (child1->fi_code != FI_CONSTANT)
#line 1367
    constargs = 0;
#line 1367

#line 1367
} while (child1 = child1->next);
#line 1367

#line 1367 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1367
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1367
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1368 "filter/f-inst.c"
whati->f2 = f2;
#line 1368
const struct f_inst *child2 = f2;
#line 1368
do {
#line 1368
  what->size += child2->size;
#line 1368

#line 1368
  if (child2->fi_code != FI_CONSTANT)
#line 1368
    constargs = 0;
#line 1368

#line 1368
} while (child2 = child2->next);
#line 1368 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1368
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1368
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1374 "filter/f-inst.c"
what->type = T_CLIST;

#line 1377 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1377
    if (!constargs)
#line 1377
      return what;
#line 1377

#line 1377
    /* Try to pre-calculate the result */
#line 1377
    #line 1366 "filter/f-inst.c"
 {
    
#line 1367 "filter/f-inst.c"
 #line 1367 "filter/f-inst.c"
 ;
#line 1368 "filter/f-inst.c"
    
#line 1368 "filter/f-inst.c"
 #line 1368 "filter/f-inst.c"
 ;
#line 1369 "filter/f-inst.c"
    #line 1369 "filter/f-inst.c"
;

    if (!clist_set_type(v2.val.t, &(struct f_val){}))
      runtime("Mismatched set type");

     
#line 1374 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1377 "filter/f-inst.c"
  }
#line 1377

#line 1377

#line 1384 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_EC */
#line 1384
struct f_inst *
#line 1378 "filter/f-inst.c"
NONNULL(2)
#line 1379 "filter/f-inst.c"
NONNULL(3)
#line 1384 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_EC(enum f_instruction_code fi_code
#line 1378 "filter/f-inst.c"
  , struct f_inst * f1
#line 1379 "filter/f-inst.c"
  , struct f_inst * f2
#line 1384 "filter/f-inst.c"
)
#line 1384
  {
#line 1384
    /* Allocate the structure */
#line 1384
    struct f_inst *what = fi_new(fi_code);
#line 1384
    uint constargs = 1;
#line 1384

#line 1384
    /* Initialize all the members */
#line 1384
  #define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1384
  #line 1378 "filter/f-inst.c"
whati->f1 = f1;
#line 1378
const struct f_inst *child1 = f1;
#line 1378
do {
#line 1378
  what->size += child1->size;
#line 1378

#line 1378
  if (child1->fi_code != FI_CONSTANT)
#line 1378
    constargs = 0;
#line 1378

#line 1378
} while (child1 = child1->next);
#line 1378

#line 1378 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1378
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1378
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1379 "filter/f-inst.c"
whati->f2 = f2;
#line 1379
const struct f_inst *child2 = f2;
#line 1379
do {
#line 1379
  what->size += child2->size;
#line 1379

#line 1379
  if (child2->fi_code != FI_CONSTANT)
#line 1379
    constargs = 0;
#line 1379

#line 1379
} while (child2 = child2->next);
#line 1379 "filter/f-inst.c"
if (f2->type && (f2->type != (T_EC)) && !f_const_promotion(f2, (T_EC)))
#line 1379
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1379
	   f_instruction_name(what->fi_code), f_type_name(T_EC), f_type_name(f2->type));
#line 1381 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1384 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1384
    if (!constargs)
#line 1384
      return what;
#line 1384

#line 1384
    /* Try to pre-calculate the result */
#line 1384
    #line 1377 "filter/f-inst.c"
 {
    
#line 1378 "filter/f-inst.c"
 #line 1378 "filter/f-inst.c"
 ;
#line 1379 "filter/f-inst.c"
    
#line 1379 "filter/f-inst.c"
 #line 1379 "filter/f-inst.c"
 ;
#line 1380 "filter/f-inst.c"
    #line 1380 "filter/f-inst.c"
;
     
#line 1381 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  ec_set_del(fpool, v1.val.ad, v2.val.ec)  } );
  }

  
  #undef whati
#line 1384 "filter/f-inst.c"
  }
#line 1384

#line 1384

#line 1391 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_ECLIST */
#line 1391
struct f_inst *
#line 1385 "filter/f-inst.c"
NONNULL(2)
#line 1386 "filter/f-inst.c"
NONNULL(3)
#line 1391 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_ECLIST(enum f_instruction_code fi_code
#line 1385 "filter/f-inst.c"
  , struct f_inst * f1
#line 1386 "filter/f-inst.c"
  , struct f_inst * f2
#line 1391 "filter/f-inst.c"
)
#line 1391
  {
#line 1391
    /* Allocate the structure */
#line 1391
    struct f_inst *what = fi_new(fi_code);
#line 1391
    uint constargs = 1;
#line 1391

#line 1391
    /* Initialize all the members */
#line 1391
  #define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1391
  #line 1385 "filter/f-inst.c"
whati->f1 = f1;
#line 1385
const struct f_inst *child1 = f1;
#line 1385
do {
#line 1385
  what->size += child1->size;
#line 1385

#line 1385
  if (child1->fi_code != FI_CONSTANT)
#line 1385
    constargs = 0;
#line 1385

#line 1385
} while (child1 = child1->next);
#line 1385

#line 1385 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1385
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1385
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1386 "filter/f-inst.c"
whati->f2 = f2;
#line 1386
const struct f_inst *child2 = f2;
#line 1386
do {
#line 1386
  what->size += child2->size;
#line 1386

#line 1386
  if (child2->fi_code != FI_CONSTANT)
#line 1386
    constargs = 0;
#line 1386

#line 1386
} while (child2 = child2->next);
#line 1386 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1386
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1386
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1388 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1391 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1391
    if (!constargs)
#line 1391
      return what;
#line 1391

#line 1391
    /* Try to pre-calculate the result */
#line 1391
    #line 1384 "filter/f-inst.c"
 {
    
#line 1385 "filter/f-inst.c"
 #line 1385 "filter/f-inst.c"
 ;
#line 1386 "filter/f-inst.c"
    
#line 1386 "filter/f-inst.c"
 #line 1386 "filter/f-inst.c"
 ;
#line 1387 "filter/f-inst.c"
    #line 1387 "filter/f-inst.c"
;
     
#line 1388 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1391 "filter/f-inst.c"
  }
#line 1391

#line 1391

#line 1402 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_DELETE_SET */
#line 1402
struct f_inst *
#line 1392 "filter/f-inst.c"
NONNULL(2)
#line 1393 "filter/f-inst.c"
NONNULL(3)
#line 1402 "filter/f-inst.c"
f_new_inst_FI_ECLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1392 "filter/f-inst.c"
  , struct f_inst * f1
#line 1393 "filter/f-inst.c"
  , struct f_inst * f2
#line 1402 "filter/f-inst.c"
)
#line 1402
  {
#line 1402
    /* Allocate the structure */
#line 1402
    struct f_inst *what = fi_new(fi_code);
#line 1402
    uint constargs = 1;
#line 1402

#line 1402
    /* Initialize all the members */
#line 1402
  #define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1402
  #line 1392 "filter/f-inst.c"
whati->f1 = f1;
#line 1392
const struct f_inst *child1 = f1;
#line 1392
do {
#line 1392
  what->size += child1->size;
#line 1392

#line 1392
  if (child1->fi_code != FI_CONSTANT)
#line 1392
    constargs = 0;
#line 1392

#line 1392
} while (child1 = child1->next);
#line 1392

#line 1392 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1392
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1392
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1393 "filter/f-inst.c"
whati->f2 = f2;
#line 1393
const struct f_inst *child2 = f2;
#line 1393
do {
#line 1393
  what->size += child2->size;
#line 1393

#line 1393
  if (child2->fi_code != FI_CONSTANT)
#line 1393
    constargs = 0;
#line 1393

#line 1393
} while (child2 = child2->next);
#line 1393 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1393
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1393
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1399 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1402 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1402
    if (!constargs)
#line 1402
      return what;
#line 1402

#line 1402
    /* Try to pre-calculate the result */
#line 1402
    #line 1391 "filter/f-inst.c"
 {
    
#line 1392 "filter/f-inst.c"
 #line 1392 "filter/f-inst.c"
 ;
#line 1393 "filter/f-inst.c"
    
#line 1393 "filter/f-inst.c"
 #line 1393 "filter/f-inst.c"
 ;
#line 1394 "filter/f-inst.c"
    #line 1394 "filter/f-inst.c"
;

    if (!eclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1399 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1402 "filter/f-inst.c"
  }
#line 1402

#line 1402

#line 1409 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_LC */
#line 1409
struct f_inst *
#line 1403 "filter/f-inst.c"
NONNULL(2)
#line 1404 "filter/f-inst.c"
NONNULL(3)
#line 1409 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_LC(enum f_instruction_code fi_code
#line 1403 "filter/f-inst.c"
  , struct f_inst * f1
#line 1404 "filter/f-inst.c"
  , struct f_inst * f2
#line 1409 "filter/f-inst.c"
)
#line 1409
  {
#line 1409
    /* Allocate the structure */
#line 1409
    struct f_inst *what = fi_new(fi_code);
#line 1409
    uint constargs = 1;
#line 1409

#line 1409
    /* Initialize all the members */
#line 1409
  #define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1409
  #line 1403 "filter/f-inst.c"
whati->f1 = f1;
#line 1403
const struct f_inst *child1 = f1;
#line 1403
do {
#line 1403
  what->size += child1->size;
#line 1403

#line 1403
  if (child1->fi_code != FI_CONSTANT)
#line 1403
    constargs = 0;
#line 1403

#line 1403
} while (child1 = child1->next);
#line 1403

#line 1403 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1403
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1403
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1404 "filter/f-inst.c"
whati->f2 = f2;
#line 1404
const struct f_inst *child2 = f2;
#line 1404
do {
#line 1404
  what->size += child2->size;
#line 1404

#line 1404
  if (child2->fi_code != FI_CONSTANT)
#line 1404
    constargs = 0;
#line 1404

#line 1404
} while (child2 = child2->next);
#line 1404 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LC)) && !f_const_promotion(f2, (T_LC)))
#line 1404
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1404
	   f_instruction_name(what->fi_code), f_type_name(T_LC), f_type_name(f2->type));
#line 1406 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1409 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1409
    if (!constargs)
#line 1409
      return what;
#line 1409

#line 1409
    /* Try to pre-calculate the result */
#line 1409
    #line 1402 "filter/f-inst.c"
 {
    
#line 1403 "filter/f-inst.c"
 #line 1403 "filter/f-inst.c"
 ;
#line 1404 "filter/f-inst.c"
    
#line 1404 "filter/f-inst.c"
 #line 1404 "filter/f-inst.c"
 ;
#line 1405 "filter/f-inst.c"
    #line 1405 "filter/f-inst.c"
;
     
#line 1406 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lc_set_del(fpool, v1.val.ad, v2.val.lc)  } );
  }

  
  #undef whati
#line 1409 "filter/f-inst.c"
  }
#line 1409

#line 1409

#line 1416 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_LCLIST */
#line 1416
struct f_inst *
#line 1410 "filter/f-inst.c"
NONNULL(2)
#line 1411 "filter/f-inst.c"
NONNULL(3)
#line 1416 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_LCLIST(enum f_instruction_code fi_code
#line 1410 "filter/f-inst.c"
  , struct f_inst * f1
#line 1411 "filter/f-inst.c"
  , struct f_inst * f2
#line 1416 "filter/f-inst.c"
)
#line 1416
  {
#line 1416
    /* Allocate the structure */
#line 1416
    struct f_inst *what = fi_new(fi_code);
#line 1416
    uint constargs = 1;
#line 1416

#line 1416
    /* Initialize all the members */
#line 1416
  #define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1416
  #line 1410 "filter/f-inst.c"
whati->f1 = f1;
#line 1410
const struct f_inst *child1 = f1;
#line 1410
do {
#line 1410
  what->size += child1->size;
#line 1410

#line 1410
  if (child1->fi_code != FI_CONSTANT)
#line 1410
    constargs = 0;
#line 1410

#line 1410
} while (child1 = child1->next);
#line 1410

#line 1410 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1410
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1410
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1411 "filter/f-inst.c"
whati->f2 = f2;
#line 1411
const struct f_inst *child2 = f2;
#line 1411
do {
#line 1411
  what->size += child2->size;
#line 1411

#line 1411
  if (child2->fi_code != FI_CONSTANT)
#line 1411
    constargs = 0;
#line 1411

#line 1411
} while (child2 = child2->next);
#line 1411 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1411
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1411
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1413 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1416 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1416
    if (!constargs)
#line 1416
      return what;
#line 1416

#line 1416
    /* Try to pre-calculate the result */
#line 1416
    #line 1409 "filter/f-inst.c"
 {
    
#line 1410 "filter/f-inst.c"
 #line 1410 "filter/f-inst.c"
 ;
#line 1411 "filter/f-inst.c"
    
#line 1411 "filter/f-inst.c"
 #line 1411 "filter/f-inst.c"
 ;
#line 1412 "filter/f-inst.c"
    #line 1412 "filter/f-inst.c"
;
     
#line 1413 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1416 "filter/f-inst.c"
  }
#line 1416

#line 1416

#line 1427 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_DELETE_SET */
#line 1427
struct f_inst *
#line 1417 "filter/f-inst.c"
NONNULL(2)
#line 1418 "filter/f-inst.c"
NONNULL(3)
#line 1427 "filter/f-inst.c"
f_new_inst_FI_LCLIST_DELETE_SET(enum f_instruction_code fi_code
#line 1417 "filter/f-inst.c"
  , struct f_inst * f1
#line 1418 "filter/f-inst.c"
  , struct f_inst * f2
#line 1427 "filter/f-inst.c"
)
#line 1427
  {
#line 1427
    /* Allocate the structure */
#line 1427
    struct f_inst *what = fi_new(fi_code);
#line 1427
    uint constargs = 1;
#line 1427

#line 1427
    /* Initialize all the members */
#line 1427
  #define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1427
  #line 1417 "filter/f-inst.c"
whati->f1 = f1;
#line 1417
const struct f_inst *child1 = f1;
#line 1417
do {
#line 1417
  what->size += child1->size;
#line 1417

#line 1417
  if (child1->fi_code != FI_CONSTANT)
#line 1417
    constargs = 0;
#line 1417

#line 1417
} while (child1 = child1->next);
#line 1417

#line 1417 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1417
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1417
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1418 "filter/f-inst.c"
whati->f2 = f2;
#line 1418
const struct f_inst *child2 = f2;
#line 1418
do {
#line 1418
  what->size += child2->size;
#line 1418

#line 1418
  if (child2->fi_code != FI_CONSTANT)
#line 1418
    constargs = 0;
#line 1418

#line 1418
} while (child2 = child2->next);
#line 1418 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1418
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1418
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1424 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1427 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1427
    if (!constargs)
#line 1427
      return what;
#line 1427

#line 1427
    /* Try to pre-calculate the result */
#line 1427
    #line 1416 "filter/f-inst.c"
 {
    
#line 1417 "filter/f-inst.c"
 #line 1417 "filter/f-inst.c"
 ;
#line 1418 "filter/f-inst.c"
    
#line 1418 "filter/f-inst.c"
 #line 1418 "filter/f-inst.c"
 ;
#line 1419 "filter/f-inst.c"
    #line 1419 "filter/f-inst.c"
;

    if (!lclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1424 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 0)  } );
  }

  
  #undef whati
#line 1427 "filter/f-inst.c"
  }
#line 1427

#line 1427

#line 1438 "filter/f-inst.c"
 /* Constructor for FI_PATH_FILTER_SET */
#line 1438
struct f_inst *
#line 1428 "filter/f-inst.c"
NONNULL(2)
#line 1429 "filter/f-inst.c"
NONNULL(3)
#line 1438 "filter/f-inst.c"
f_new_inst_FI_PATH_FILTER_SET(enum f_instruction_code fi_code
#line 1428 "filter/f-inst.c"
  , struct f_inst * f1
#line 1429 "filter/f-inst.c"
  , struct f_inst * f2
#line 1438 "filter/f-inst.c"
)
#line 1438
  {
#line 1438
    /* Allocate the structure */
#line 1438
    struct f_inst *what = fi_new(fi_code);
#line 1438
    uint constargs = 1;
#line 1438

#line 1438
    /* Initialize all the members */
#line 1438
  #define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1438
  #line 1428 "filter/f-inst.c"
whati->f1 = f1;
#line 1428
const struct f_inst *child1 = f1;
#line 1428
do {
#line 1428
  what->size += child1->size;
#line 1428

#line 1428
  if (child1->fi_code != FI_CONSTANT)
#line 1428
    constargs = 0;
#line 1428

#line 1428
} while (child1 = child1->next);
#line 1428

#line 1428 "filter/f-inst.c"
if (f1->type && (f1->type != (T_PATH)) && !f_const_promotion(f1, (T_PATH)))
#line 1428
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1428
	   f_instruction_name(what->fi_code), f_type_name(T_PATH), f_type_name(f1->type));
#line 1429 "filter/f-inst.c"
whati->f2 = f2;
#line 1429
const struct f_inst *child2 = f2;
#line 1429
do {
#line 1429
  what->size += child2->size;
#line 1429

#line 1429
  if (child2->fi_code != FI_CONSTANT)
#line 1429
    constargs = 0;
#line 1429

#line 1429
} while (child2 = child2->next);
#line 1429 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1429
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1429
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1435 "filter/f-inst.c"
what->type = T_PATH;

#line 1438 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1438
    if (!constargs)
#line 1438
      return what;
#line 1438

#line 1438
    /* Try to pre-calculate the result */
#line 1438
    #line 1427 "filter/f-inst.c"
 {
    
#line 1428 "filter/f-inst.c"
 #line 1428 "filter/f-inst.c"
 ;
#line 1429 "filter/f-inst.c"
    
#line 1429 "filter/f-inst.c"
 #line 1429 "filter/f-inst.c"
 ;
#line 1430 "filter/f-inst.c"
    #line 1430 "filter/f-inst.c"
;

    if (!path_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1435 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_PATH, .val.ad =  as_path_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1438 "filter/f-inst.c"
  }
#line 1438

#line 1438

#line 1445 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FILTER_CLIST */
#line 1445
struct f_inst *
#line 1439 "filter/f-inst.c"
NONNULL(2)
#line 1440 "filter/f-inst.c"
NONNULL(3)
#line 1445 "filter/f-inst.c"
f_new_inst_FI_CLIST_FILTER_CLIST(enum f_instruction_code fi_code
#line 1439 "filter/f-inst.c"
  , struct f_inst * f1
#line 1440 "filter/f-inst.c"
  , struct f_inst * f2
#line 1445 "filter/f-inst.c"
)
#line 1445
  {
#line 1445
    /* Allocate the structure */
#line 1445
    struct f_inst *what = fi_new(fi_code);
#line 1445
    uint constargs = 1;
#line 1445

#line 1445
    /* Initialize all the members */
#line 1445
  #define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1445
  #line 1439 "filter/f-inst.c"
whati->f1 = f1;
#line 1439
const struct f_inst *child1 = f1;
#line 1439
do {
#line 1439
  what->size += child1->size;
#line 1439

#line 1439
  if (child1->fi_code != FI_CONSTANT)
#line 1439
    constargs = 0;
#line 1439

#line 1439
} while (child1 = child1->next);
#line 1439

#line 1439 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1439
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1439
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1440 "filter/f-inst.c"
whati->f2 = f2;
#line 1440
const struct f_inst *child2 = f2;
#line 1440
do {
#line 1440
  what->size += child2->size;
#line 1440

#line 1440
  if (child2->fi_code != FI_CONSTANT)
#line 1440
    constargs = 0;
#line 1440

#line 1440
} while (child2 = child2->next);
#line 1440 "filter/f-inst.c"
if (f2->type && (f2->type != (T_CLIST)) && !f_const_promotion(f2, (T_CLIST)))
#line 1440
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1440
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f2->type));
#line 1442 "filter/f-inst.c"
what->type = T_CLIST;

#line 1445 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1445
    if (!constargs)
#line 1445
      return what;
#line 1445

#line 1445
    /* Try to pre-calculate the result */
#line 1445
    #line 1438 "filter/f-inst.c"
 {
    
#line 1439 "filter/f-inst.c"
 #line 1439 "filter/f-inst.c"
 ;
#line 1440 "filter/f-inst.c"
    
#line 1440 "filter/f-inst.c"
 #line 1440 "filter/f-inst.c"
 ;
#line 1441 "filter/f-inst.c"
    #line 1441 "filter/f-inst.c"
;
     
#line 1442 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1445 "filter/f-inst.c"
  }
#line 1445

#line 1445

#line 1456 "filter/f-inst.c"
 /* Constructor for FI_CLIST_FILTER_SET */
#line 1456
struct f_inst *
#line 1446 "filter/f-inst.c"
NONNULL(2)
#line 1447 "filter/f-inst.c"
NONNULL(3)
#line 1456 "filter/f-inst.c"
f_new_inst_FI_CLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1446 "filter/f-inst.c"
  , struct f_inst * f1
#line 1447 "filter/f-inst.c"
  , struct f_inst * f2
#line 1456 "filter/f-inst.c"
)
#line 1456
  {
#line 1456
    /* Allocate the structure */
#line 1456
    struct f_inst *what = fi_new(fi_code);
#line 1456
    uint constargs = 1;
#line 1456

#line 1456
    /* Initialize all the members */
#line 1456
  #define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1456
  #line 1446 "filter/f-inst.c"
whati->f1 = f1;
#line 1446
const struct f_inst *child1 = f1;
#line 1446
do {
#line 1446
  what->size += child1->size;
#line 1446

#line 1446
  if (child1->fi_code != FI_CONSTANT)
#line 1446
    constargs = 0;
#line 1446

#line 1446
} while (child1 = child1->next);
#line 1446

#line 1446 "filter/f-inst.c"
if (f1->type && (f1->type != (T_CLIST)) && !f_const_promotion(f1, (T_CLIST)))
#line 1446
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1446
	   f_instruction_name(what->fi_code), f_type_name(T_CLIST), f_type_name(f1->type));
#line 1447 "filter/f-inst.c"
whati->f2 = f2;
#line 1447
const struct f_inst *child2 = f2;
#line 1447
do {
#line 1447
  what->size += child2->size;
#line 1447

#line 1447
  if (child2->fi_code != FI_CONSTANT)
#line 1447
    constargs = 0;
#line 1447

#line 1447
} while (child2 = child2->next);
#line 1447 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1447
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1447
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1453 "filter/f-inst.c"
what->type = T_CLIST;

#line 1456 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1456
    if (!constargs)
#line 1456
      return what;
#line 1456

#line 1456
    /* Try to pre-calculate the result */
#line 1456
    #line 1445 "filter/f-inst.c"
 {
    
#line 1446 "filter/f-inst.c"
 #line 1446 "filter/f-inst.c"
 ;
#line 1447 "filter/f-inst.c"
    
#line 1447 "filter/f-inst.c"
 #line 1447 "filter/f-inst.c"
 ;
#line 1448 "filter/f-inst.c"
    #line 1448 "filter/f-inst.c"
;

    if (!clist_set_type(v2.val.t, &(struct f_val){}))
      runtime("Mismatched set type");

     
#line 1453 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_CLIST, .val.ad =  clist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1456 "filter/f-inst.c"
  }
#line 1456

#line 1456

#line 1463 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FILTER_ECLIST */
#line 1463
struct f_inst *
#line 1457 "filter/f-inst.c"
NONNULL(2)
#line 1458 "filter/f-inst.c"
NONNULL(3)
#line 1463 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FILTER_ECLIST(enum f_instruction_code fi_code
#line 1457 "filter/f-inst.c"
  , struct f_inst * f1
#line 1458 "filter/f-inst.c"
  , struct f_inst * f2
#line 1463 "filter/f-inst.c"
)
#line 1463
  {
#line 1463
    /* Allocate the structure */
#line 1463
    struct f_inst *what = fi_new(fi_code);
#line 1463
    uint constargs = 1;
#line 1463

#line 1463
    /* Initialize all the members */
#line 1463
  #define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1463
  #line 1457 "filter/f-inst.c"
whati->f1 = f1;
#line 1457
const struct f_inst *child1 = f1;
#line 1457
do {
#line 1457
  what->size += child1->size;
#line 1457

#line 1457
  if (child1->fi_code != FI_CONSTANT)
#line 1457
    constargs = 0;
#line 1457

#line 1457
} while (child1 = child1->next);
#line 1457

#line 1457 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1457
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1457
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1458 "filter/f-inst.c"
whati->f2 = f2;
#line 1458
const struct f_inst *child2 = f2;
#line 1458
do {
#line 1458
  what->size += child2->size;
#line 1458

#line 1458
  if (child2->fi_code != FI_CONSTANT)
#line 1458
    constargs = 0;
#line 1458

#line 1458
} while (child2 = child2->next);
#line 1458 "filter/f-inst.c"
if (f2->type && (f2->type != (T_ECLIST)) && !f_const_promotion(f2, (T_ECLIST)))
#line 1458
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1458
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f2->type));
#line 1460 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1463 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1463
    if (!constargs)
#line 1463
      return what;
#line 1463

#line 1463
    /* Try to pre-calculate the result */
#line 1463
    #line 1456 "filter/f-inst.c"
 {
    
#line 1457 "filter/f-inst.c"
 #line 1457 "filter/f-inst.c"
 ;
#line 1458 "filter/f-inst.c"
    
#line 1458 "filter/f-inst.c"
 #line 1458 "filter/f-inst.c"
 ;
#line 1459 "filter/f-inst.c"
    #line 1459 "filter/f-inst.c"
;
     
#line 1460 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1463 "filter/f-inst.c"
  }
#line 1463

#line 1463

#line 1474 "filter/f-inst.c"
 /* Constructor for FI_ECLIST_FILTER_SET */
#line 1474
struct f_inst *
#line 1464 "filter/f-inst.c"
NONNULL(2)
#line 1465 "filter/f-inst.c"
NONNULL(3)
#line 1474 "filter/f-inst.c"
f_new_inst_FI_ECLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1464 "filter/f-inst.c"
  , struct f_inst * f1
#line 1465 "filter/f-inst.c"
  , struct f_inst * f2
#line 1474 "filter/f-inst.c"
)
#line 1474
  {
#line 1474
    /* Allocate the structure */
#line 1474
    struct f_inst *what = fi_new(fi_code);
#line 1474
    uint constargs = 1;
#line 1474

#line 1474
    /* Initialize all the members */
#line 1474
  #define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1474
  #line 1464 "filter/f-inst.c"
whati->f1 = f1;
#line 1464
const struct f_inst *child1 = f1;
#line 1464
do {
#line 1464
  what->size += child1->size;
#line 1464

#line 1464
  if (child1->fi_code != FI_CONSTANT)
#line 1464
    constargs = 0;
#line 1464

#line 1464
} while (child1 = child1->next);
#line 1464

#line 1464 "filter/f-inst.c"
if (f1->type && (f1->type != (T_ECLIST)) && !f_const_promotion(f1, (T_ECLIST)))
#line 1464
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1464
	   f_instruction_name(what->fi_code), f_type_name(T_ECLIST), f_type_name(f1->type));
#line 1465 "filter/f-inst.c"
whati->f2 = f2;
#line 1465
const struct f_inst *child2 = f2;
#line 1465
do {
#line 1465
  what->size += child2->size;
#line 1465

#line 1465
  if (child2->fi_code != FI_CONSTANT)
#line 1465
    constargs = 0;
#line 1465

#line 1465
} while (child2 = child2->next);
#line 1465 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1465
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1465
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1471 "filter/f-inst.c"
what->type = T_ECLIST;

#line 1474 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1474
    if (!constargs)
#line 1474
      return what;
#line 1474

#line 1474
    /* Try to pre-calculate the result */
#line 1474
    #line 1463 "filter/f-inst.c"
 {
    
#line 1464 "filter/f-inst.c"
 #line 1464 "filter/f-inst.c"
 ;
#line 1465 "filter/f-inst.c"
    
#line 1465 "filter/f-inst.c"
 #line 1465 "filter/f-inst.c"
 ;
#line 1466 "filter/f-inst.c"
    #line 1466 "filter/f-inst.c"
;

    if (!eclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1471 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_ECLIST, .val.ad =  eclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1474 "filter/f-inst.c"
  }
#line 1474

#line 1474

#line 1481 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FILTER_LCLIST */
#line 1481
struct f_inst *
#line 1475 "filter/f-inst.c"
NONNULL(2)
#line 1476 "filter/f-inst.c"
NONNULL(3)
#line 1481 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FILTER_LCLIST(enum f_instruction_code fi_code
#line 1475 "filter/f-inst.c"
  , struct f_inst * f1
#line 1476 "filter/f-inst.c"
  , struct f_inst * f2
#line 1481 "filter/f-inst.c"
)
#line 1481
  {
#line 1481
    /* Allocate the structure */
#line 1481
    struct f_inst *what = fi_new(fi_code);
#line 1481
    uint constargs = 1;
#line 1481

#line 1481
    /* Initialize all the members */
#line 1481
  #define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1481
  #line 1475 "filter/f-inst.c"
whati->f1 = f1;
#line 1475
const struct f_inst *child1 = f1;
#line 1475
do {
#line 1475
  what->size += child1->size;
#line 1475

#line 1475
  if (child1->fi_code != FI_CONSTANT)
#line 1475
    constargs = 0;
#line 1475

#line 1475
} while (child1 = child1->next);
#line 1475

#line 1475 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1475
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1475
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1476 "filter/f-inst.c"
whati->f2 = f2;
#line 1476
const struct f_inst *child2 = f2;
#line 1476
do {
#line 1476
  what->size += child2->size;
#line 1476

#line 1476
  if (child2->fi_code != FI_CONSTANT)
#line 1476
    constargs = 0;
#line 1476

#line 1476
} while (child2 = child2->next);
#line 1476 "filter/f-inst.c"
if (f2->type && (f2->type != (T_LCLIST)) && !f_const_promotion(f2, (T_LCLIST)))
#line 1476
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1476
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f2->type));
#line 1478 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1481 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1481
    if (!constargs)
#line 1481
      return what;
#line 1481

#line 1481
    /* Try to pre-calculate the result */
#line 1481
    #line 1474 "filter/f-inst.c"
 {
    
#line 1475 "filter/f-inst.c"
 #line 1475 "filter/f-inst.c"
 ;
#line 1476 "filter/f-inst.c"
    
#line 1476 "filter/f-inst.c"
 #line 1476 "filter/f-inst.c"
 ;
#line 1477 "filter/f-inst.c"
    #line 1477 "filter/f-inst.c"
;
     
#line 1478 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1481 "filter/f-inst.c"
  }
#line 1481

#line 1481

#line 1492 "filter/f-inst.c"
 /* Constructor for FI_LCLIST_FILTER_SET */
#line 1492
struct f_inst *
#line 1482 "filter/f-inst.c"
NONNULL(2)
#line 1483 "filter/f-inst.c"
NONNULL(3)
#line 1492 "filter/f-inst.c"
f_new_inst_FI_LCLIST_FILTER_SET(enum f_instruction_code fi_code
#line 1482 "filter/f-inst.c"
  , struct f_inst * f1
#line 1483 "filter/f-inst.c"
  , struct f_inst * f2
#line 1492 "filter/f-inst.c"
)
#line 1492
  {
#line 1492
    /* Allocate the structure */
#line 1492
    struct f_inst *what = fi_new(fi_code);
#line 1492
    uint constargs = 1;
#line 1492

#line 1492
    /* Initialize all the members */
#line 1492
  #define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1492
  #line 1482 "filter/f-inst.c"
whati->f1 = f1;
#line 1482
const struct f_inst *child1 = f1;
#line 1482
do {
#line 1482
  what->size += child1->size;
#line 1482

#line 1482
  if (child1->fi_code != FI_CONSTANT)
#line 1482
    constargs = 0;
#line 1482

#line 1482
} while (child1 = child1->next);
#line 1482

#line 1482 "filter/f-inst.c"
if (f1->type && (f1->type != (T_LCLIST)) && !f_const_promotion(f1, (T_LCLIST)))
#line 1482
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1482
	   f_instruction_name(what->fi_code), f_type_name(T_LCLIST), f_type_name(f1->type));
#line 1483 "filter/f-inst.c"
whati->f2 = f2;
#line 1483
const struct f_inst *child2 = f2;
#line 1483
do {
#line 1483
  what->size += child2->size;
#line 1483

#line 1483
  if (child2->fi_code != FI_CONSTANT)
#line 1483
    constargs = 0;
#line 1483

#line 1483
} while (child2 = child2->next);
#line 1483 "filter/f-inst.c"
if (f2->type && (f2->type != (T_SET)) && !f_const_promotion(f2, (T_SET)))
#line 1483
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1483
	   f_instruction_name(what->fi_code), f_type_name(T_SET), f_type_name(f2->type));
#line 1489 "filter/f-inst.c"
what->type = T_LCLIST;

#line 1492 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1492
    if (!constargs)
#line 1492
      return what;
#line 1492

#line 1492
    /* Try to pre-calculate the result */
#line 1492
    #line 1481 "filter/f-inst.c"
 {
    
#line 1482 "filter/f-inst.c"
 #line 1482 "filter/f-inst.c"
 ;
#line 1483 "filter/f-inst.c"
    
#line 1483 "filter/f-inst.c"
 #line 1483 "filter/f-inst.c"
 ;
#line 1484 "filter/f-inst.c"
    #line 1484 "filter/f-inst.c"
;

    if (!lclist_set_type(v2.val.t))
      runtime("Mismatched set type");

     
#line 1489 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_LCLIST, .val.ad =  lclist_filter(fpool, v1.val.ad, &v2, 1)  } );
  }

  
  #undef whati
#line 1492 "filter/f-inst.c"
  }
#line 1492

#line 1492

#line 1522 "filter/f-inst.c"
 /* Constructor for FI_ROA_CHECK_IMPLICIT */
#line 1522
struct f_inst *
#line 1522
f_new_inst_FI_ROA_CHECK_IMPLICIT(enum f_instruction_code fi_code
#line 1494 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1522 "filter/f-inst.c"
)
#line 1522
  {
#line 1522
    /* Allocate the structure */
#line 1522
    struct f_inst *what = fi_new(fi_code);
#line 1522
    
#line 1522

#line 1522
    /* Initialize all the members */
#line 1522
  #define whati (&(what->i_FI_ROA_CHECK_IMPLICIT))
#line 1522
  #line 1494 "filter/f-inst.c"
whati->rtc = rtc;
#line 1517 "filter/f-inst.c"
what->type = T_ENUM_ROA;

#line 1522 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1522
    
#line 1522
      return what;
#line 1522

#line 1522
    /* Try to pre-calculate the result */
#line 1522
      #undef whati
#line 1522
  }
#line 1522

#line 1522

#line 1544 "filter/f-inst.c"
 /* Constructor for FI_ROA_CHECK_EXPLICIT */
#line 1544
struct f_inst *
#line 1524 "filter/f-inst.c"
NONNULL(2)
#line 1525 "filter/f-inst.c"
NONNULL(3)
#line 1544 "filter/f-inst.c"
f_new_inst_FI_ROA_CHECK_EXPLICIT(enum f_instruction_code fi_code
#line 1524 "filter/f-inst.c"
  , struct f_inst * f1
#line 1525 "filter/f-inst.c"
  , struct f_inst * f2
#line 1526 "filter/f-inst.c"
  , struct rtable_config * rtc
#line 1544 "filter/f-inst.c"
)
#line 1544
  {
#line 1544
    /* Allocate the structure */
#line 1544
    struct f_inst *what = fi_new(fi_code);
#line 1544
    
#line 1544

#line 1544
    /* Initialize all the members */
#line 1544
  #define whati (&(what->i_FI_ROA_CHECK_EXPLICIT))
#line 1544
  #line 1524 "filter/f-inst.c"
whati->f1 = f1;
#line 1524
const struct f_inst *child1 = f1;
#line 1524
do {
#line 1524
  what->size += child1->size;
#line 1524

#line 1524
} while (child1 = child1->next);
#line 1524

#line 1524 "filter/f-inst.c"
if (f1->type && (f1->type != (T_NET)) && !f_const_promotion(f1, (T_NET)))
#line 1524
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1524
	   f_instruction_name(what->fi_code), f_type_name(T_NET), f_type_name(f1->type));
#line 1525 "filter/f-inst.c"
whati->f2 = f2;
#line 1525
const struct f_inst *child2 = f2;
#line 1525
do {
#line 1525
  what->size += child2->size;
#line 1525

#line 1525
} while (child2 = child2->next);
#line 1525 "filter/f-inst.c"
if (f2->type && (f2->type != (T_INT)) && !f_const_promotion(f2, (T_INT)))
#line 1525
  cf_error("Argument 2 of %s must be of type %s, got type %s",
#line 1525
	   f_instruction_name(what->fi_code), f_type_name(T_INT), f_type_name(f2->type));
#line 1526 "filter/f-inst.c"
whati->rtc = rtc;
#line 1538 "filter/f-inst.c"
what->type = T_ENUM_ROA;

#line 1544 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1544
    
#line 1544
      return what;
#line 1544

#line 1544
    /* Try to pre-calculate the result */
#line 1544
      #undef whati
#line 1544
  }
#line 1544

#line 1544

#line 1559 "filter/f-inst.c"
 /* Constructor for FI_FROM_HEX */
#line 1559
struct f_inst *
#line 1545 "filter/f-inst.c"
NONNULL(2)
#line 1559 "filter/f-inst.c"
f_new_inst_FI_FROM_HEX(enum f_instruction_code fi_code
#line 1545 "filter/f-inst.c"
  , struct f_inst * f1
#line 1559 "filter/f-inst.c"
)
#line 1559
  {
#line 1559
    /* Allocate the structure */
#line 1559
    struct f_inst *what = fi_new(fi_code);
#line 1559
    uint constargs = 1;
#line 1559

#line 1559
    /* Initialize all the members */
#line 1559
  #define whati (&(what->i_FI_FROM_HEX))
#line 1559
  #line 1545 "filter/f-inst.c"
whati->f1 = f1;
#line 1545
const struct f_inst *child1 = f1;
#line 1545
do {
#line 1545
  what->size += child1->size;
#line 1545

#line 1545
  if (child1->fi_code != FI_CONSTANT)
#line 1545
    constargs = 0;
#line 1545

#line 1545
} while (child1 = child1->next);
#line 1545

#line 1545 "filter/f-inst.c"
if (f1->type && (f1->type != (T_STRING)) && !f_const_promotion(f1, (T_STRING)))
#line 1545
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1545
	   f_instruction_name(what->fi_code), f_type_name(T_STRING), f_type_name(f1->type));
#line 1556 "filter/f-inst.c"
what->type = T_BYTESTRING;

#line 1559 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1559
    if (!constargs)
#line 1559
      return what;
#line 1559

#line 1559
    /* Try to pre-calculate the result */
#line 1559
    #line 1544 "filter/f-inst.c"
 {	/* Convert hex text to bytestring */
    
#line 1545 "filter/f-inst.c"
 #line 1545 "filter/f-inst.c"
 ;
#line 1546 "filter/f-inst.c"

    int len = bstrhextobin(v1.val.s, NULL);
    if (len < 0)
      runtime("Invalid hex string");

    struct adata *bs;
    bs = falloc(sizeof(struct adata) + len);
    bs->length = bstrhextobin(v1.val.s, bs->data);
    ASSERT(bs->length == (size_t) len);

     
#line 1556 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_BYTESTRING, .val.bs = bs } );
  }

  
  #undef whati
#line 1559 "filter/f-inst.c"
  }
#line 1559

#line 1559

#line 1564 "filter/f-inst.c"
 /* Constructor for FI_FORMAT */
#line 1564
struct f_inst *
#line 1560 "filter/f-inst.c"
NONNULL(2)
#line 1564 "filter/f-inst.c"
f_new_inst_FI_FORMAT(enum f_instruction_code fi_code
#line 1560 "filter/f-inst.c"
  , struct f_inst * f1
#line 1564 "filter/f-inst.c"
)
#line 1564
  {
#line 1564
    /* Allocate the structure */
#line 1564
    struct f_inst *what = fi_new(fi_code);
#line 1564
    uint constargs = 1;
#line 1564

#line 1564
    /* Initialize all the members */
#line 1564
  #define whati (&(what->i_FI_FORMAT))
#line 1564
  #line 1560 "filter/f-inst.c"
whati->f1 = f1;
#line 1560
const struct f_inst *child1 = f1;
#line 1560
do {
#line 1560
  what->size += child1->size;
#line 1560

#line 1560
  if (child1->fi_code != FI_CONSTANT)
#line 1560
    constargs = 0;
#line 1560

#line 1560
} while (child1 = child1->next);
#line 1560

#line 1561 "filter/f-inst.c"
what->type = T_STRING;

#line 1564 "filter/f-inst.c"
    /* If not constant, return the instruction itself */
#line 1564
    if (!constargs)
#line 1564
      return what;
#line 1564

#line 1564
    /* Try to pre-calculate the result */
#line 1564
    #line 1559 "filter/f-inst.c"
 {	/* Format */
    
#line 1560 "filter/f-inst.c"
;
     
#line 1561 "filter/f-inst.c"
 return fi_constant(what,  (struct f_val) { .type = T_STRING, .val.s = val_format_str(fpool, &v1) } );
  }

  
  #undef whati
#line 1564 "filter/f-inst.c"
  }
#line 1564

#line 1564

#line 820 "filter/decl.m4"
 /* Constructor for FI_ASSERT */
#line 820
struct f_inst *
#line 1566 "filter/f-inst.c"
NONNULL(2)
#line 820 "filter/decl.m4"
f_new_inst_FI_ASSERT(enum f_instruction_code fi_code
#line 1566 "filter/f-inst.c"
  , struct f_inst * f1
#line 1568 "filter/f-inst.c"
  , char * s
#line 820 "filter/decl.m4"
)
#line 820
  {
#line 820
    /* Allocate the structure */
#line 820
    struct f_inst *what = fi_new(fi_code);
#line 820
    
#line 820

#line 820
    /* Initialize all the members */
#line 820
  #define whati (&(what->i_FI_ASSERT))
#line 820
  #line 1566 "filter/f-inst.c"
whati->f1 = f1;
#line 1566
const struct f_inst *child1 = f1;
#line 1566
do {
#line 1566
  what->size += child1->size;
#line 1566

#line 1566
} while (child1 = child1->next);
#line 1566

#line 1566 "filter/f-inst.c"
if (f1->type && (f1->type != (T_BOOL)) && !f_const_promotion(f1, (T_BOOL)))
#line 1566
  cf_error("Argument 1 of %s must be of type %s, got type %s",
#line 1566
	   f_instruction_name(what->fi_code), f_type_name(T_BOOL), f_type_name(f1->type));
#line 1568 "filter/f-inst.c"
whati->s = s;

#line 820 "filter/decl.m4"
    /* If not constant, return the instruction itself */
#line 820
    
#line 820
      return what;
#line 820

#line 820
    /* Try to pre-calculate the result */
#line 820
      #undef whati
#line 820
  }
#line 820

#line 820

#line 610 "filter/decl.m4"

#undef v1
#undef v2
#undef v3
#undef vv

/* Method constructor wrappers */
#line 291 "filter/f-inst.c"

#line 296 "filter/f-inst.c"

#line 301 "filter/f-inst.c"

#line 307 "filter/f-inst.c"

#line 317 "filter/f-inst.c"

#line 328 "filter/f-inst.c"

#line 338 "filter/f-inst.c"

#line 378 "filter/f-inst.c"

#line 385 "filter/f-inst.c"

#line 435 "filter/f-inst.c"

#line 442 "filter/f-inst.c"

#line 449 "filter/f-inst.c"

#line 460 "filter/f-inst.c"

#line 471 "filter/f-inst.c"

#line 476 "filter/f-inst.c"

#line 485 "filter/f-inst.c"

#line 494 "filter/f-inst.c"

#line 499 "filter/f-inst.c"

#line 500 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__type */
#line 500
struct f_inst * NONNULL(1)
#line 500
f_new_method_FI_METHOD__T_NET__type(struct f_inst *obj, struct f_inst *args)
#line 500
  {
#line 500
    /* Unwind the arguments (1) */
#line 500
        if (args) cf_error("Too many arguments");
#line 499 "filter/f-inst.c"

#line 499

    return f_new_inst(FI_METHOD__T_NET__type, obj
#line 500 "filter/f-inst.c"

#line 500
    );
#line 500
  }
#line 500

#line 503 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_IP__is_v4 */
#line 503
struct f_inst * NONNULL(1)
#line 503
f_new_method_FI_METHOD__T_IP__is_v4(struct f_inst *obj, struct f_inst *args)
#line 503
  {
#line 503
    /* Unwind the arguments (1) */
#line 503
        if (args) cf_error("Too many arguments");
#line 500 "filter/f-inst.c"

#line 500

    return f_new_inst(FI_METHOD__T_IP__is_v4, obj
#line 503 "filter/f-inst.c"

#line 503
    );
#line 503
  }
#line 503

#line 516 "filter/f-inst.c"

#line 527 "filter/f-inst.c"

#line 536 "filter/f-inst.c"

#line 543 "filter/f-inst.c"

#line 556 "filter/f-inst.c"

#line 557 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__empty */
#line 557
struct f_inst * NONNULL(1)
#line 557
f_new_method_FI_METHOD__T_PATH__empty(struct f_inst *obj, struct f_inst *args)
#line 557
  {
#line 557
    /* Unwind the arguments (1) */
#line 557
        if (args) cf_error("Too many arguments");
#line 556 "filter/f-inst.c"

#line 556

    return f_new_inst(FI_METHOD__T_PATH__empty, obj
#line 557 "filter/f-inst.c"

#line 557
    );
#line 557
  }
#line 557

#line 558 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__empty */
#line 558
struct f_inst * NONNULL(1)
#line 558
f_new_method_FI_METHOD__T_CLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 558
  {
#line 558
    /* Unwind the arguments (1) */
#line 558
        if (args) cf_error("Too many arguments");
#line 557 "filter/f-inst.c"

#line 557

    return f_new_inst(FI_METHOD__T_CLIST__empty, obj
#line 558 "filter/f-inst.c"

#line 558
    );
#line 558
  }
#line 558

#line 559 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__empty */
#line 559
struct f_inst * NONNULL(1)
#line 559
f_new_method_FI_METHOD__T_ECLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 559
  {
#line 559
    /* Unwind the arguments (1) */
#line 559
        if (args) cf_error("Too many arguments");
#line 558 "filter/f-inst.c"

#line 558

    return f_new_inst(FI_METHOD__T_ECLIST__empty, obj
#line 559 "filter/f-inst.c"

#line 559
    );
#line 559
  }
#line 559

#line 562 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__empty */
#line 562
struct f_inst * NONNULL(1)
#line 562
f_new_method_FI_METHOD__T_LCLIST__empty(struct f_inst *obj, struct f_inst *args)
#line 562
  {
#line 562
    /* Unwind the arguments (1) */
#line 562
        if (args) cf_error("Too many arguments");
#line 559 "filter/f-inst.c"

#line 559

    return f_new_inst(FI_METHOD__T_LCLIST__empty, obj
#line 562 "filter/f-inst.c"

#line 562
    );
#line 562
  }
#line 562

#line 584 "filter/f-inst.c"

#line 593 "filter/f-inst.c"
 /* Method constructor for FI_PATH_FOR_NEXT */
#line 593
struct f_inst * NONNULL(1)
#line 593
f_new_method_FI_PATH_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 593
  {
#line 593
    /* Unwind the arguments (2) */
#line 593
    #line 588 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 588
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_FOR_NEXT */
#line 588
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 590 "filter/f-inst.c"

#line 590

    return f_new_inst(FI_PATH_FOR_NEXT, obj
#line 588 "filter/f-inst.c"
    , arg2
#line 593 "filter/f-inst.c"

#line 593
    );
#line 593
  }
#line 593

#line 602 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FOR_NEXT */
#line 602
struct f_inst * NONNULL(1)
#line 602
f_new_method_FI_CLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 602
  {
#line 602
    /* Unwind the arguments (2) */
#line 602
    #line 597 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 597
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FOR_NEXT */
#line 597
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 599 "filter/f-inst.c"

#line 599

    return f_new_inst(FI_CLIST_FOR_NEXT, obj
#line 597 "filter/f-inst.c"
    , arg2
#line 602 "filter/f-inst.c"

#line 602
    );
#line 602
  }
#line 602

#line 611 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FOR_NEXT */
#line 611
struct f_inst * NONNULL(1)
#line 611
f_new_method_FI_ECLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 611
  {
#line 611
    /* Unwind the arguments (2) */
#line 611
    #line 606 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 606
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FOR_NEXT */
#line 606
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 608 "filter/f-inst.c"

#line 608

    return f_new_inst(FI_ECLIST_FOR_NEXT, obj
#line 606 "filter/f-inst.c"
    , arg2
#line 611 "filter/f-inst.c"

#line 611
    );
#line 611
  }
#line 611

#line 620 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FOR_NEXT */
#line 620
struct f_inst * NONNULL(1)
#line 620
f_new_method_FI_LCLIST_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 620
  {
#line 620
    /* Unwind the arguments (2) */
#line 620
    #line 615 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 615
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FOR_NEXT */
#line 615
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 617 "filter/f-inst.c"

#line 617

    return f_new_inst(FI_LCLIST_FOR_NEXT, obj
#line 615 "filter/f-inst.c"
    , arg2
#line 620 "filter/f-inst.c"

#line 620
    );
#line 620
  }
#line 620

#line 636 "filter/f-inst.c"
 /* Method constructor for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
struct f_inst * NONNULL(1)
#line 636
f_new_method_FI_ROUTES_BLOCK_FOR_NEXT(struct f_inst *obj, struct f_inst *args)
#line 636
  {
#line 636
    /* Unwind the arguments (2) */
#line 636
    #line 630 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 630
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ROUTES_BLOCK_FOR_NEXT */
#line 630
  args = NULL; /* The rest is the line itself */
    if (args) cf_error("Too many arguments");
#line 633 "filter/f-inst.c"

#line 633

    return f_new_inst(FI_ROUTES_BLOCK_FOR_NEXT, obj
#line 630 "filter/f-inst.c"
    , arg2
#line 636 "filter/f-inst.c"

#line 636
    );
#line 636
  }
#line 636

#line 644 "filter/f-inst.c"

#line 652 "filter/f-inst.c"

#line 659 "filter/f-inst.c"

#line 673 "filter/f-inst.c"

#line 703 "filter/f-inst.c"

#line 818 "filter/f-inst.c"

#line 870 "filter/f-inst.c"

#line 940 "filter/f-inst.c"

#line 950 "filter/f-inst.c"

#line 951 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__len */
#line 951
struct f_inst * NONNULL(1)
#line 951
f_new_method_FI_METHOD__T_NET__len(struct f_inst *obj, struct f_inst *args)
#line 951
  {
#line 951
    /* Unwind the arguments (1) */
#line 951
        if (args) cf_error("Too many arguments");
#line 950 "filter/f-inst.c"

#line 950

    return f_new_inst(FI_METHOD__T_NET__len, obj
#line 951 "filter/f-inst.c"

#line 951
    );
#line 951
  }
#line 951

#line 952 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__len */
#line 952
struct f_inst * NONNULL(1)
#line 952
f_new_method_FI_METHOD__T_PATH__len(struct f_inst *obj, struct f_inst *args)
#line 952
  {
#line 952
    /* Unwind the arguments (1) */
#line 952
        if (args) cf_error("Too many arguments");
#line 951 "filter/f-inst.c"

#line 951

    return f_new_inst(FI_METHOD__T_PATH__len, obj
#line 952 "filter/f-inst.c"

#line 952
    );
#line 952
  }
#line 952

#line 953 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__len */
#line 953
struct f_inst * NONNULL(1)
#line 953
f_new_method_FI_METHOD__T_CLIST__len(struct f_inst *obj, struct f_inst *args)
#line 953
  {
#line 953
    /* Unwind the arguments (1) */
#line 953
        if (args) cf_error("Too many arguments");
#line 952 "filter/f-inst.c"

#line 952

    return f_new_inst(FI_METHOD__T_CLIST__len, obj
#line 953 "filter/f-inst.c"

#line 953
    );
#line 953
  }
#line 953

#line 954 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__len */
#line 954
struct f_inst * NONNULL(1)
#line 954
f_new_method_FI_METHOD__T_ECLIST__len(struct f_inst *obj, struct f_inst *args)
#line 954
  {
#line 954
    /* Unwind the arguments (1) */
#line 954
        if (args) cf_error("Too many arguments");
#line 953 "filter/f-inst.c"

#line 953

    return f_new_inst(FI_METHOD__T_ECLIST__len, obj
#line 954 "filter/f-inst.c"

#line 954
    );
#line 954
  }
#line 954

#line 956 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__len */
#line 956
struct f_inst * NONNULL(1)
#line 956
f_new_method_FI_METHOD__T_LCLIST__len(struct f_inst *obj, struct f_inst *args)
#line 956
  {
#line 956
    /* Unwind the arguments (1) */
#line 956
        if (args) cf_error("Too many arguments");
#line 954 "filter/f-inst.c"

#line 954

    return f_new_inst(FI_METHOD__T_LCLIST__len, obj
#line 956 "filter/f-inst.c"

#line 956
    );
#line 956
  }
#line 956

#line 992 "filter/f-inst.c"
 /* Method constructor for FI_NET_SRC */
#line 992
struct f_inst * NONNULL(1)
#line 992
f_new_method_FI_NET_SRC(struct f_inst *obj, struct f_inst *args)
#line 992
  {
#line 992
    /* Unwind the arguments (1) */
#line 992
        if (args) cf_error("Too many arguments");
#line 958 "filter/f-inst.c"

#line 958

    return f_new_inst(FI_NET_SRC, obj
#line 992 "filter/f-inst.c"

#line 992
    );
#line 992
  }
#line 992

#line 1029 "filter/f-inst.c"
 /* Method constructor for FI_NET_DST */
#line 1029
struct f_inst * NONNULL(1)
#line 1029
f_new_method_FI_NET_DST(struct f_inst *obj, struct f_inst *args)
#line 1029
  {
#line 1029
    /* Unwind the arguments (1) */
#line 1029
        if (args) cf_error("Too many arguments");
#line 994 "filter/f-inst.c"

#line 994

    return f_new_inst(FI_NET_DST, obj
#line 1029 "filter/f-inst.c"

#line 1029
    );
#line 1029
  }
#line 1029

#line 1039 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__maxlen */
#line 1039
struct f_inst * NONNULL(1)
#line 1039
f_new_method_FI_METHOD__T_NET__maxlen(struct f_inst *obj, struct f_inst *args)
#line 1039
  {
#line 1039
    /* Unwind the arguments (1) */
#line 1039
        if (args) cf_error("Too many arguments");
#line 1029 "filter/f-inst.c"

#line 1029

    return f_new_inst(FI_METHOD__T_NET__maxlen, obj
#line 1039 "filter/f-inst.c"

#line 1039
    );
#line 1039
  }
#line 1039

#line 1049 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__asn */
#line 1049
struct f_inst * NONNULL(1)
#line 1049
f_new_method_FI_METHOD__T_NET__asn(struct f_inst *obj, struct f_inst *args)
#line 1049
  {
#line 1049
    /* Unwind the arguments (1) */
#line 1049
        if (args) cf_error("Too many arguments");
#line 1039 "filter/f-inst.c"

#line 1039

    return f_new_inst(FI_METHOD__T_NET__asn, obj
#line 1049 "filter/f-inst.c"

#line 1049
    );
#line 1049
  }
#line 1049

#line 1051 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_NET__ip */
#line 1051
struct f_inst * NONNULL(1)
#line 1051
f_new_method_FI_METHOD__T_NET__ip(struct f_inst *obj, struct f_inst *args)
#line 1051
  {
#line 1051
    /* Unwind the arguments (1) */
#line 1051
        if (args) cf_error("Too many arguments");
#line 1049 "filter/f-inst.c"

#line 1049

    return f_new_inst(FI_METHOD__T_NET__ip, obj
#line 1051 "filter/f-inst.c"

#line 1051
    );
#line 1051
  }
#line 1051

#line 1060 "filter/f-inst.c"
 /* Method constructor for FI_ROUTE_DISTINGUISHER */
#line 1060
struct f_inst * NONNULL(1)
#line 1060
f_new_method_FI_ROUTE_DISTINGUISHER(struct f_inst *obj, struct f_inst *args)
#line 1060
  {
#line 1060
    /* Unwind the arguments (1) */
#line 1060
        if (args) cf_error("Too many arguments");
#line 1053 "filter/f-inst.c"

#line 1053

    return f_new_inst(FI_ROUTE_DISTINGUISHER, obj
#line 1060 "filter/f-inst.c"

#line 1060
    );
#line 1060
  }
#line 1060

#line 1063 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__first */
#line 1063
struct f_inst * NONNULL(1)
#line 1063
f_new_method_FI_METHOD__T_PATH__first(struct f_inst *obj, struct f_inst *args)
#line 1063
  {
#line 1063
    /* Unwind the arguments (1) */
#line 1063
        if (args) cf_error("Too many arguments");
#line 1060 "filter/f-inst.c"

#line 1060

    return f_new_inst(FI_METHOD__T_PATH__first, obj
#line 1063 "filter/f-inst.c"

#line 1063
    );
#line 1063
  }
#line 1063

#line 1066 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__last */
#line 1066
struct f_inst * NONNULL(1)
#line 1066
f_new_method_FI_METHOD__T_PATH__last(struct f_inst *obj, struct f_inst *args)
#line 1066
  {
#line 1066
    /* Unwind the arguments (1) */
#line 1066
        if (args) cf_error("Too many arguments");
#line 1063 "filter/f-inst.c"

#line 1063

    return f_new_inst(FI_METHOD__T_PATH__last, obj
#line 1066 "filter/f-inst.c"

#line 1066
    );
#line 1066
  }
#line 1066

#line 1069 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
struct f_inst * NONNULL(1)
#line 1069
f_new_method_FI_METHOD__T_PATH__last_nonaggregated(struct f_inst *obj, struct f_inst *args)
#line 1069
  {
#line 1069
    /* Unwind the arguments (1) */
#line 1069
        if (args) cf_error("Too many arguments");
#line 1066 "filter/f-inst.c"

#line 1066

    return f_new_inst(FI_METHOD__T_PATH__last_nonaggregated, obj
#line 1069 "filter/f-inst.c"

#line 1069
    );
#line 1069
  }
#line 1069

#line 1072 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PAIR__asn */
#line 1072
struct f_inst * NONNULL(1)
#line 1072
f_new_method_FI_METHOD__T_PAIR__asn(struct f_inst *obj, struct f_inst *args)
#line 1072
  {
#line 1072
    /* Unwind the arguments (1) */
#line 1072
        if (args) cf_error("Too many arguments");
#line 1069 "filter/f-inst.c"

#line 1069

    return f_new_inst(FI_METHOD__T_PAIR__asn, obj
#line 1072 "filter/f-inst.c"

#line 1072
    );
#line 1072
  }
#line 1072

#line 1075 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_PAIR__data */
#line 1075
struct f_inst * NONNULL(1)
#line 1075
f_new_method_FI_METHOD__T_PAIR__data(struct f_inst *obj, struct f_inst *args)
#line 1075
  {
#line 1075
    /* Unwind the arguments (1) */
#line 1075
        if (args) cf_error("Too many arguments");
#line 1072 "filter/f-inst.c"

#line 1072

    return f_new_inst(FI_METHOD__T_PAIR__data, obj
#line 1075 "filter/f-inst.c"

#line 1075
    );
#line 1075
  }
#line 1075

#line 1078 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__asn */
#line 1078
struct f_inst * NONNULL(1)
#line 1078
f_new_method_FI_METHOD__T_LC__asn(struct f_inst *obj, struct f_inst *args)
#line 1078
  {
#line 1078
    /* Unwind the arguments (1) */
#line 1078
        if (args) cf_error("Too many arguments");
#line 1075 "filter/f-inst.c"

#line 1075

    return f_new_inst(FI_METHOD__T_LC__asn, obj
#line 1078 "filter/f-inst.c"

#line 1078
    );
#line 1078
  }
#line 1078

#line 1081 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__data1 */
#line 1081
struct f_inst * NONNULL(1)
#line 1081
f_new_method_FI_METHOD__T_LC__data1(struct f_inst *obj, struct f_inst *args)
#line 1081
  {
#line 1081
    /* Unwind the arguments (1) */
#line 1081
        if (args) cf_error("Too many arguments");
#line 1078 "filter/f-inst.c"

#line 1078

    return f_new_inst(FI_METHOD__T_LC__data1, obj
#line 1081 "filter/f-inst.c"

#line 1081
    );
#line 1081
  }
#line 1081

#line 1084 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LC__data2 */
#line 1084
struct f_inst * NONNULL(1)
#line 1084
f_new_method_FI_METHOD__T_LC__data2(struct f_inst *obj, struct f_inst *args)
#line 1084
  {
#line 1084
    /* Unwind the arguments (1) */
#line 1084
        if (args) cf_error("Too many arguments");
#line 1081 "filter/f-inst.c"

#line 1081

    return f_new_inst(FI_METHOD__T_LC__data2, obj
#line 1084 "filter/f-inst.c"

#line 1084
    );
#line 1084
  }
#line 1084

#line 1087 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__min */
#line 1087
struct f_inst * NONNULL(1)
#line 1087
f_new_method_FI_METHOD__T_CLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1087
  {
#line 1087
    /* Unwind the arguments (1) */
#line 1087
        if (args) cf_error("Too many arguments");
#line 1084 "filter/f-inst.c"

#line 1084

    return f_new_inst(FI_METHOD__T_CLIST__min, obj
#line 1087 "filter/f-inst.c"

#line 1087
    );
#line 1087
  }
#line 1087

#line 1090 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_CLIST__max */
#line 1090
struct f_inst * NONNULL(1)
#line 1090
f_new_method_FI_METHOD__T_CLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1090
  {
#line 1090
    /* Unwind the arguments (1) */
#line 1090
        if (args) cf_error("Too many arguments");
#line 1087 "filter/f-inst.c"

#line 1087

    return f_new_inst(FI_METHOD__T_CLIST__max, obj
#line 1090 "filter/f-inst.c"

#line 1090
    );
#line 1090
  }
#line 1090

#line 1093 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__min */
#line 1093
struct f_inst * NONNULL(1)
#line 1093
f_new_method_FI_METHOD__T_ECLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1093
  {
#line 1093
    /* Unwind the arguments (1) */
#line 1093
        if (args) cf_error("Too many arguments");
#line 1090 "filter/f-inst.c"

#line 1090

    return f_new_inst(FI_METHOD__T_ECLIST__min, obj
#line 1093 "filter/f-inst.c"

#line 1093
    );
#line 1093
  }
#line 1093

#line 1096 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_ECLIST__max */
#line 1096
struct f_inst * NONNULL(1)
#line 1096
f_new_method_FI_METHOD__T_ECLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1096
  {
#line 1096
    /* Unwind the arguments (1) */
#line 1096
        if (args) cf_error("Too many arguments");
#line 1093 "filter/f-inst.c"

#line 1093

    return f_new_inst(FI_METHOD__T_ECLIST__max, obj
#line 1096 "filter/f-inst.c"

#line 1096
    );
#line 1096
  }
#line 1096

#line 1099 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__min */
#line 1099
struct f_inst * NONNULL(1)
#line 1099
f_new_method_FI_METHOD__T_LCLIST__min(struct f_inst *obj, struct f_inst *args)
#line 1099
  {
#line 1099
    /* Unwind the arguments (1) */
#line 1099
        if (args) cf_error("Too many arguments");
#line 1096 "filter/f-inst.c"

#line 1096

    return f_new_inst(FI_METHOD__T_LCLIST__min, obj
#line 1099 "filter/f-inst.c"

#line 1099
    );
#line 1099
  }
#line 1099

#line 1101 "filter/f-inst.c"
 /* Method constructor for FI_METHOD__T_LCLIST__max */
#line 1101
struct f_inst * NONNULL(1)
#line 1101
f_new_method_FI_METHOD__T_LCLIST__max(struct f_inst *obj, struct f_inst *args)
#line 1101
  {
#line 1101
    /* Unwind the arguments (1) */
#line 1101
        if (args) cf_error("Too many arguments");
#line 1099 "filter/f-inst.c"

#line 1099

    return f_new_inst(FI_METHOD__T_LCLIST__max, obj
#line 1101 "filter/f-inst.c"

#line 1101
    );
#line 1101
  }
#line 1101

#line 1127 "filter/f-inst.c"

#line 1186 "filter/f-inst.c"

#line 1191 "filter/f-inst.c"

#line 1232 "filter/f-inst.c"

#line 1241 "filter/f-inst.c"
 /* Method constructor for FI_IP_MASK */
#line 1241
struct f_inst * NONNULL(1)
#line 1241
f_new_method_FI_IP_MASK(struct f_inst *obj, struct f_inst *args)
#line 1241
  {
#line 1241
    /* Unwind the arguments (2) */
#line 1241
    #line 1234 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1234
  if (args == NULL) cf_error("Not enough arguments"); /* FI_IP_MASK */
#line 1234
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1235 "filter/f-inst.c"

#line 1235

    return f_new_inst(FI_IP_MASK, obj
#line 1234 "filter/f-inst.c"
    , arg2
#line 1241 "filter/f-inst.c"

#line 1241
    );
#line 1241
  }
#line 1241

#line 1249 "filter/f-inst.c"
 /* Method constructor for FI_PATH_PREPEND */
#line 1249
struct f_inst * NONNULL(1)
#line 1249
f_new_method_FI_PATH_PREPEND(struct f_inst *obj, struct f_inst *args)
#line 1249
  {
#line 1249
    /* Unwind the arguments (2) */
#line 1249
    #line 1243 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1243
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_PREPEND */
#line 1243
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1244 "filter/f-inst.c"

#line 1244

    return f_new_inst(FI_PATH_PREPEND, obj
#line 1243 "filter/f-inst.c"
    , arg2
#line 1249 "filter/f-inst.c"

#line 1249
    );
#line 1249
  }
#line 1249

#line 1256 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_PAIR */
#line 1256
struct f_inst * NONNULL(1)
#line 1256
f_new_method_FI_CLIST_ADD_PAIR(struct f_inst *obj, struct f_inst *args)
#line 1256
  {
#line 1256
    /* Unwind the arguments (2) */
#line 1256
    #line 1251 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1251
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_PAIR */
#line 1251
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1252 "filter/f-inst.c"

#line 1252

    return f_new_inst(FI_CLIST_ADD_PAIR, obj
#line 1251 "filter/f-inst.c"
    , arg2
#line 1256 "filter/f-inst.c"

#line 1256
    );
#line 1256
  }
#line 1256

#line 1270 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_IP */
#line 1270
struct f_inst * NONNULL(1)
#line 1270
f_new_method_FI_CLIST_ADD_IP(struct f_inst *obj, struct f_inst *args)
#line 1270
  {
#line 1270
    /* Unwind the arguments (2) */
#line 1270
    #line 1258 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1258
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_IP */
#line 1258
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1259 "filter/f-inst.c"

#line 1259

    return f_new_inst(FI_CLIST_ADD_IP, obj
#line 1258 "filter/f-inst.c"
    , arg2
#line 1270 "filter/f-inst.c"

#line 1270
    );
#line 1270
  }
#line 1270

#line 1277 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_QUAD */
#line 1277
struct f_inst * NONNULL(1)
#line 1277
f_new_method_FI_CLIST_ADD_QUAD(struct f_inst *obj, struct f_inst *args)
#line 1277
  {
#line 1277
    /* Unwind the arguments (2) */
#line 1277
    #line 1272 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1272
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_QUAD */
#line 1272
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1273 "filter/f-inst.c"

#line 1273

    return f_new_inst(FI_CLIST_ADD_QUAD, obj
#line 1272 "filter/f-inst.c"
    , arg2
#line 1277 "filter/f-inst.c"

#line 1277
    );
#line 1277
  }
#line 1277

#line 1284 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_ADD_CLIST */
#line 1284
struct f_inst * NONNULL(1)
#line 1284
f_new_method_FI_CLIST_ADD_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1284
  {
#line 1284
    /* Unwind the arguments (2) */
#line 1284
    #line 1279 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1279
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_ADD_CLIST */
#line 1279
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1280 "filter/f-inst.c"

#line 1280

    return f_new_inst(FI_CLIST_ADD_CLIST, obj
#line 1279 "filter/f-inst.c"
    , arg2
#line 1284 "filter/f-inst.c"

#line 1284
    );
#line 1284
  }
#line 1284

#line 1291 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_ADD_EC */
#line 1291
struct f_inst * NONNULL(1)
#line 1291
f_new_method_FI_ECLIST_ADD_EC(struct f_inst *obj, struct f_inst *args)
#line 1291
  {
#line 1291
    /* Unwind the arguments (2) */
#line 1291
    #line 1286 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1286
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_ADD_EC */
#line 1286
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1287 "filter/f-inst.c"

#line 1287

    return f_new_inst(FI_ECLIST_ADD_EC, obj
#line 1286 "filter/f-inst.c"
    , arg2
#line 1291 "filter/f-inst.c"

#line 1291
    );
#line 1291
  }
#line 1291

#line 1298 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_ADD_ECLIST */
#line 1298
struct f_inst * NONNULL(1)
#line 1298
f_new_method_FI_ECLIST_ADD_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1298
  {
#line 1298
    /* Unwind the arguments (2) */
#line 1298
    #line 1293 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1293
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_ADD_ECLIST */
#line 1293
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1294 "filter/f-inst.c"

#line 1294

    return f_new_inst(FI_ECLIST_ADD_ECLIST, obj
#line 1293 "filter/f-inst.c"
    , arg2
#line 1298 "filter/f-inst.c"

#line 1298
    );
#line 1298
  }
#line 1298

#line 1305 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_ADD_LC */
#line 1305
struct f_inst * NONNULL(1)
#line 1305
f_new_method_FI_LCLIST_ADD_LC(struct f_inst *obj, struct f_inst *args)
#line 1305
  {
#line 1305
    /* Unwind the arguments (2) */
#line 1305
    #line 1300 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1300
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_ADD_LC */
#line 1300
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1301 "filter/f-inst.c"

#line 1301

    return f_new_inst(FI_LCLIST_ADD_LC, obj
#line 1300 "filter/f-inst.c"
    , arg2
#line 1305 "filter/f-inst.c"

#line 1305
    );
#line 1305
  }
#line 1305

#line 1312 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_ADD_LCLIST */
#line 1312
struct f_inst * NONNULL(1)
#line 1312
f_new_method_FI_LCLIST_ADD_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1312
  {
#line 1312
    /* Unwind the arguments (2) */
#line 1312
    #line 1307 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1307
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_ADD_LCLIST */
#line 1307
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1308 "filter/f-inst.c"

#line 1308

    return f_new_inst(FI_LCLIST_ADD_LCLIST, obj
#line 1307 "filter/f-inst.c"
    , arg2
#line 1312 "filter/f-inst.c"

#line 1312
    );
#line 1312
  }
#line 1312

#line 1319 "filter/f-inst.c"
 /* Method constructor for FI_PATH_DELETE_INT */
#line 1319
struct f_inst * NONNULL(1)
#line 1319
f_new_method_FI_PATH_DELETE_INT(struct f_inst *obj, struct f_inst *args)
#line 1319
  {
#line 1319
    /* Unwind the arguments (2) */
#line 1319
    #line 1314 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1314
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_DELETE_INT */
#line 1314
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1315 "filter/f-inst.c"

#line 1315

    return f_new_inst(FI_PATH_DELETE_INT, obj
#line 1314 "filter/f-inst.c"
    , arg2
#line 1319 "filter/f-inst.c"

#line 1319
    );
#line 1319
  }
#line 1319

#line 1331 "filter/f-inst.c"
 /* Method constructor for FI_PATH_DELETE_SET */
#line 1331
struct f_inst * NONNULL(1)
#line 1331
f_new_method_FI_PATH_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1331
  {
#line 1331
    /* Unwind the arguments (2) */
#line 1331
    #line 1321 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1321
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_DELETE_SET */
#line 1321
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1322 "filter/f-inst.c"

#line 1322

    return f_new_inst(FI_PATH_DELETE_SET, obj
#line 1321 "filter/f-inst.c"
    , arg2
#line 1331 "filter/f-inst.c"

#line 1331
    );
#line 1331
  }
#line 1331

#line 1338 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_PAIR */
#line 1338
struct f_inst * NONNULL(1)
#line 1338
f_new_method_FI_CLIST_DELETE_PAIR(struct f_inst *obj, struct f_inst *args)
#line 1338
  {
#line 1338
    /* Unwind the arguments (2) */
#line 1338
    #line 1333 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1333
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_PAIR */
#line 1333
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1334 "filter/f-inst.c"

#line 1334

    return f_new_inst(FI_CLIST_DELETE_PAIR, obj
#line 1333 "filter/f-inst.c"
    , arg2
#line 1338 "filter/f-inst.c"

#line 1338
    );
#line 1338
  }
#line 1338

#line 1352 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_IP */
#line 1352
struct f_inst * NONNULL(1)
#line 1352
f_new_method_FI_CLIST_DELETE_IP(struct f_inst *obj, struct f_inst *args)
#line 1352
  {
#line 1352
    /* Unwind the arguments (2) */
#line 1352
    #line 1340 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1340
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_IP */
#line 1340
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1341 "filter/f-inst.c"

#line 1341

    return f_new_inst(FI_CLIST_DELETE_IP, obj
#line 1340 "filter/f-inst.c"
    , arg2
#line 1352 "filter/f-inst.c"

#line 1352
    );
#line 1352
  }
#line 1352

#line 1359 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_QUAD */
#line 1359
struct f_inst * NONNULL(1)
#line 1359
f_new_method_FI_CLIST_DELETE_QUAD(struct f_inst *obj, struct f_inst *args)
#line 1359
  {
#line 1359
    /* Unwind the arguments (2) */
#line 1359
    #line 1354 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1354
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_QUAD */
#line 1354
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1355 "filter/f-inst.c"

#line 1355

    return f_new_inst(FI_CLIST_DELETE_QUAD, obj
#line 1354 "filter/f-inst.c"
    , arg2
#line 1359 "filter/f-inst.c"

#line 1359
    );
#line 1359
  }
#line 1359

#line 1366 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_CLIST */
#line 1366
struct f_inst * NONNULL(1)
#line 1366
f_new_method_FI_CLIST_DELETE_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1366
  {
#line 1366
    /* Unwind the arguments (2) */
#line 1366
    #line 1361 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1361
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_CLIST */
#line 1361
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1362 "filter/f-inst.c"

#line 1362

    return f_new_inst(FI_CLIST_DELETE_CLIST, obj
#line 1361 "filter/f-inst.c"
    , arg2
#line 1366 "filter/f-inst.c"

#line 1366
    );
#line 1366
  }
#line 1366

#line 1377 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_DELETE_SET */
#line 1377
struct f_inst * NONNULL(1)
#line 1377
f_new_method_FI_CLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1377
  {
#line 1377
    /* Unwind the arguments (2) */
#line 1377
    #line 1368 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1368
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_DELETE_SET */
#line 1368
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1369 "filter/f-inst.c"

#line 1369

    return f_new_inst(FI_CLIST_DELETE_SET, obj
#line 1368 "filter/f-inst.c"
    , arg2
#line 1377 "filter/f-inst.c"

#line 1377
    );
#line 1377
  }
#line 1377

#line 1384 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_EC */
#line 1384
struct f_inst * NONNULL(1)
#line 1384
f_new_method_FI_ECLIST_DELETE_EC(struct f_inst *obj, struct f_inst *args)
#line 1384
  {
#line 1384
    /* Unwind the arguments (2) */
#line 1384
    #line 1379 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1379
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_EC */
#line 1379
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1380 "filter/f-inst.c"

#line 1380

    return f_new_inst(FI_ECLIST_DELETE_EC, obj
#line 1379 "filter/f-inst.c"
    , arg2
#line 1384 "filter/f-inst.c"

#line 1384
    );
#line 1384
  }
#line 1384

#line 1391 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_ECLIST */
#line 1391
struct f_inst * NONNULL(1)
#line 1391
f_new_method_FI_ECLIST_DELETE_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1391
  {
#line 1391
    /* Unwind the arguments (2) */
#line 1391
    #line 1386 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1386
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_ECLIST */
#line 1386
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1387 "filter/f-inst.c"

#line 1387

    return f_new_inst(FI_ECLIST_DELETE_ECLIST, obj
#line 1386 "filter/f-inst.c"
    , arg2
#line 1391 "filter/f-inst.c"

#line 1391
    );
#line 1391
  }
#line 1391

#line 1402 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_DELETE_SET */
#line 1402
struct f_inst * NONNULL(1)
#line 1402
f_new_method_FI_ECLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1402
  {
#line 1402
    /* Unwind the arguments (2) */
#line 1402
    #line 1393 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1393
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_DELETE_SET */
#line 1393
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1394 "filter/f-inst.c"

#line 1394

    return f_new_inst(FI_ECLIST_DELETE_SET, obj
#line 1393 "filter/f-inst.c"
    , arg2
#line 1402 "filter/f-inst.c"

#line 1402
    );
#line 1402
  }
#line 1402

#line 1409 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_LC */
#line 1409
struct f_inst * NONNULL(1)
#line 1409
f_new_method_FI_LCLIST_DELETE_LC(struct f_inst *obj, struct f_inst *args)
#line 1409
  {
#line 1409
    /* Unwind the arguments (2) */
#line 1409
    #line 1404 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1404
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_LC */
#line 1404
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1405 "filter/f-inst.c"

#line 1405

    return f_new_inst(FI_LCLIST_DELETE_LC, obj
#line 1404 "filter/f-inst.c"
    , arg2
#line 1409 "filter/f-inst.c"

#line 1409
    );
#line 1409
  }
#line 1409

#line 1416 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_LCLIST */
#line 1416
struct f_inst * NONNULL(1)
#line 1416
f_new_method_FI_LCLIST_DELETE_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1416
  {
#line 1416
    /* Unwind the arguments (2) */
#line 1416
    #line 1411 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1411
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_LCLIST */
#line 1411
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1412 "filter/f-inst.c"

#line 1412

    return f_new_inst(FI_LCLIST_DELETE_LCLIST, obj
#line 1411 "filter/f-inst.c"
    , arg2
#line 1416 "filter/f-inst.c"

#line 1416
    );
#line 1416
  }
#line 1416

#line 1427 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_DELETE_SET */
#line 1427
struct f_inst * NONNULL(1)
#line 1427
f_new_method_FI_LCLIST_DELETE_SET(struct f_inst *obj, struct f_inst *args)
#line 1427
  {
#line 1427
    /* Unwind the arguments (2) */
#line 1427
    #line 1418 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1418
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_DELETE_SET */
#line 1418
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1419 "filter/f-inst.c"

#line 1419

    return f_new_inst(FI_LCLIST_DELETE_SET, obj
#line 1418 "filter/f-inst.c"
    , arg2
#line 1427 "filter/f-inst.c"

#line 1427
    );
#line 1427
  }
#line 1427

#line 1438 "filter/f-inst.c"
 /* Method constructor for FI_PATH_FILTER_SET */
#line 1438
struct f_inst * NONNULL(1)
#line 1438
f_new_method_FI_PATH_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1438
  {
#line 1438
    /* Unwind the arguments (2) */
#line 1438
    #line 1429 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1429
  if (args == NULL) cf_error("Not enough arguments"); /* FI_PATH_FILTER_SET */
#line 1429
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1430 "filter/f-inst.c"

#line 1430

    return f_new_inst(FI_PATH_FILTER_SET, obj
#line 1429 "filter/f-inst.c"
    , arg2
#line 1438 "filter/f-inst.c"

#line 1438
    );
#line 1438
  }
#line 1438

#line 1445 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FILTER_CLIST */
#line 1445
struct f_inst * NONNULL(1)
#line 1445
f_new_method_FI_CLIST_FILTER_CLIST(struct f_inst *obj, struct f_inst *args)
#line 1445
  {
#line 1445
    /* Unwind the arguments (2) */
#line 1445
    #line 1440 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1440
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FILTER_CLIST */
#line 1440
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1441 "filter/f-inst.c"

#line 1441

    return f_new_inst(FI_CLIST_FILTER_CLIST, obj
#line 1440 "filter/f-inst.c"
    , arg2
#line 1445 "filter/f-inst.c"

#line 1445
    );
#line 1445
  }
#line 1445

#line 1456 "filter/f-inst.c"
 /* Method constructor for FI_CLIST_FILTER_SET */
#line 1456
struct f_inst * NONNULL(1)
#line 1456
f_new_method_FI_CLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1456
  {
#line 1456
    /* Unwind the arguments (2) */
#line 1456
    #line 1447 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1447
  if (args == NULL) cf_error("Not enough arguments"); /* FI_CLIST_FILTER_SET */
#line 1447
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1448 "filter/f-inst.c"

#line 1448

    return f_new_inst(FI_CLIST_FILTER_SET, obj
#line 1447 "filter/f-inst.c"
    , arg2
#line 1456 "filter/f-inst.c"

#line 1456
    );
#line 1456
  }
#line 1456

#line 1463 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FILTER_ECLIST */
#line 1463
struct f_inst * NONNULL(1)
#line 1463
f_new_method_FI_ECLIST_FILTER_ECLIST(struct f_inst *obj, struct f_inst *args)
#line 1463
  {
#line 1463
    /* Unwind the arguments (2) */
#line 1463
    #line 1458 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1458
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FILTER_ECLIST */
#line 1458
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1459 "filter/f-inst.c"

#line 1459

    return f_new_inst(FI_ECLIST_FILTER_ECLIST, obj
#line 1458 "filter/f-inst.c"
    , arg2
#line 1463 "filter/f-inst.c"

#line 1463
    );
#line 1463
  }
#line 1463

#line 1474 "filter/f-inst.c"
 /* Method constructor for FI_ECLIST_FILTER_SET */
#line 1474
struct f_inst * NONNULL(1)
#line 1474
f_new_method_FI_ECLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1474
  {
#line 1474
    /* Unwind the arguments (2) */
#line 1474
    #line 1465 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1465
  if (args == NULL) cf_error("Not enough arguments"); /* FI_ECLIST_FILTER_SET */
#line 1465
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1466 "filter/f-inst.c"

#line 1466

    return f_new_inst(FI_ECLIST_FILTER_SET, obj
#line 1465 "filter/f-inst.c"
    , arg2
#line 1474 "filter/f-inst.c"

#line 1474
    );
#line 1474
  }
#line 1474

#line 1481 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FILTER_LCLIST */
#line 1481
struct f_inst * NONNULL(1)
#line 1481
f_new_method_FI_LCLIST_FILTER_LCLIST(struct f_inst *obj, struct f_inst *args)
#line 1481
  {
#line 1481
    /* Unwind the arguments (2) */
#line 1481
    #line 1476 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1476
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FILTER_LCLIST */
#line 1476
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1477 "filter/f-inst.c"

#line 1477

    return f_new_inst(FI_LCLIST_FILTER_LCLIST, obj
#line 1476 "filter/f-inst.c"
    , arg2
#line 1481 "filter/f-inst.c"

#line 1481
    );
#line 1481
  }
#line 1481

#line 1492 "filter/f-inst.c"
 /* Method constructor for FI_LCLIST_FILTER_SET */
#line 1492
struct f_inst * NONNULL(1)
#line 1492
f_new_method_FI_LCLIST_FILTER_SET(struct f_inst *obj, struct f_inst *args)
#line 1492
  {
#line 1492
    /* Unwind the arguments (2) */
#line 1492
    #line 1483 "filter/f-inst.c"
  struct f_inst *arg2 = args;
#line 1483
  if (args == NULL) cf_error("Not enough arguments"); /* FI_LCLIST_FILTER_SET */
#line 1483
  args = args->next;
    if (args) cf_error("Too many arguments");
#line 1484 "filter/f-inst.c"

#line 1484

    return f_new_inst(FI_LCLIST_FILTER_SET, obj
#line 1483 "filter/f-inst.c"
    , arg2
#line 1492 "filter/f-inst.c"

#line 1492
    );
#line 1492
  }
#line 1492

#line 1522 "filter/f-inst.c"

#line 1544 "filter/f-inst.c"

#line 1559 "filter/f-inst.c"

#line 1564 "filter/f-inst.c"

#line 820 "filter/decl.m4"

#line 617 "filter/decl.m4"


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Woverride-init"
#endif

static struct sym_scope f_type_method_scopes[] = {
#line 500 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__type */
#line 500
  [T_NET] = {},
#line 503 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_IP__is_v4 */
#line 503
  [T_IP] = {},
#line 557 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__empty */
#line 557
  [T_PATH] = {},
#line 558 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__empty */
#line 558
  [T_CLIST] = {},
#line 559 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__empty */
#line 559
  [T_ECLIST] = {},
#line 562 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__empty */
#line 562
  [T_LCLIST] = {},
#line 593 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_FOR_NEXT */
#line 593
  [T_PATH] = {},
#line 602 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FOR_NEXT */
#line 602
  [T_CLIST] = {},
#line 611 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FOR_NEXT */
#line 611
  [T_ECLIST] = {},
#line 620 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FOR_NEXT */
#line 620
  [T_LCLIST] = {},
#line 636 "filter/f-inst.c"
 /* Method scope initializator for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
  [T_ROUTES_BLOCK] = {},
#line 951 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__len */
#line 951
  [T_NET] = {},
#line 952 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__len */
#line 952
  [T_PATH] = {},
#line 953 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__len */
#line 953
  [T_CLIST] = {},
#line 954 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__len */
#line 954
  [T_ECLIST] = {},
#line 956 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__len */
#line 956
  [T_LCLIST] = {},
#line 992 "filter/f-inst.c"
 /* Method scope initializator for FI_NET_SRC */
#line 992
  [T_NET] = {},
#line 1029 "filter/f-inst.c"
 /* Method scope initializator for FI_NET_DST */
#line 1029
  [T_NET] = {},
#line 1039 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__maxlen */
#line 1039
  [T_NET] = {},
#line 1049 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__asn */
#line 1049
  [T_NET] = {},
#line 1051 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_NET__ip */
#line 1051
  [T_NET] = {},
#line 1060 "filter/f-inst.c"
 /* Method scope initializator for FI_ROUTE_DISTINGUISHER */
#line 1060
  [T_NET] = {},
#line 1063 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__first */
#line 1063
  [T_PATH] = {},
#line 1066 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__last */
#line 1066
  [T_PATH] = {},
#line 1069 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
  [T_PATH] = {},
#line 1072 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PAIR__asn */
#line 1072
  [T_PAIR] = {},
#line 1075 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_PAIR__data */
#line 1075
  [T_PAIR] = {},
#line 1078 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__asn */
#line 1078
  [T_LC] = {},
#line 1081 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__data1 */
#line 1081
  [T_LC] = {},
#line 1084 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LC__data2 */
#line 1084
  [T_LC] = {},
#line 1087 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__min */
#line 1087
  [T_CLIST] = {},
#line 1090 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_CLIST__max */
#line 1090
  [T_CLIST] = {},
#line 1093 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__min */
#line 1093
  [T_ECLIST] = {},
#line 1096 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_ECLIST__max */
#line 1096
  [T_ECLIST] = {},
#line 1099 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__min */
#line 1099
  [T_LCLIST] = {},
#line 1101 "filter/f-inst.c"
 /* Method scope initializator for FI_METHOD__T_LCLIST__max */
#line 1101
  [T_LCLIST] = {},
#line 1241 "filter/f-inst.c"
 /* Method scope initializator for FI_IP_MASK */
#line 1241
  [T_IP] = {},
#line 1249 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_PREPEND */
#line 1249
  [T_PATH] = {},
#line 1256 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_PAIR */
#line 1256
  [T_CLIST] = {},
#line 1270 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_IP */
#line 1270
  [T_CLIST] = {},
#line 1277 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_QUAD */
#line 1277
  [T_CLIST] = {},
#line 1284 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_ADD_CLIST */
#line 1284
  [T_CLIST] = {},
#line 1291 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_ADD_EC */
#line 1291
  [T_ECLIST] = {},
#line 1298 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_ADD_ECLIST */
#line 1298
  [T_ECLIST] = {},
#line 1305 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_ADD_LC */
#line 1305
  [T_LCLIST] = {},
#line 1312 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_ADD_LCLIST */
#line 1312
  [T_LCLIST] = {},
#line 1319 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_DELETE_INT */
#line 1319
  [T_PATH] = {},
#line 1331 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_DELETE_SET */
#line 1331
  [T_PATH] = {},
#line 1338 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_PAIR */
#line 1338
  [T_CLIST] = {},
#line 1352 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_IP */
#line 1352
  [T_CLIST] = {},
#line 1359 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_QUAD */
#line 1359
  [T_CLIST] = {},
#line 1366 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_CLIST */
#line 1366
  [T_CLIST] = {},
#line 1377 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_DELETE_SET */
#line 1377
  [T_CLIST] = {},
#line 1384 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_EC */
#line 1384
  [T_ECLIST] = {},
#line 1391 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_ECLIST */
#line 1391
  [T_ECLIST] = {},
#line 1402 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_DELETE_SET */
#line 1402
  [T_ECLIST] = {},
#line 1409 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_LC */
#line 1409
  [T_LCLIST] = {},
#line 1416 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_LCLIST */
#line 1416
  [T_LCLIST] = {},
#line 1427 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_DELETE_SET */
#line 1427
  [T_LCLIST] = {},
#line 1438 "filter/f-inst.c"
 /* Method scope initializator for FI_PATH_FILTER_SET */
#line 1438
  [T_PATH] = {},
#line 1445 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FILTER_CLIST */
#line 1445
  [T_CLIST] = {},
#line 1456 "filter/f-inst.c"
 /* Method scope initializator for FI_CLIST_FILTER_SET */
#line 1456
  [T_CLIST] = {},
#line 1463 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FILTER_ECLIST */
#line 1463
  [T_ECLIST] = {},
#line 1474 "filter/f-inst.c"
 /* Method scope initializator for FI_ECLIST_FILTER_SET */
#line 1474
  [T_ECLIST] = {},
#line 1481 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FILTER_LCLIST */
#line 1481
  [T_LCLIST] = {},
#line 1492 "filter/f-inst.c"
 /* Method scope initializator for FI_LCLIST_FILTER_SET */
#line 1492
  [T_LCLIST] = {},
#line 625 "filter/decl.m4"

};

#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic pop
#endif

struct sym_scope *f_type_method_scope(enum f_type t)
{
  return (t < ARRAY_SIZE(f_type_method_scopes)) ? &f_type_method_scopes[t] : NULL;
}

static void
f_register_method(enum f_type t, const byte *name, struct f_method *dsc)
{
  struct sym_scope *scope = &f_type_method_scopes[t];
  struct symbol *sym = cf_find_symbol_scope(scope, name);

  if (!sym)
  {
    sym = cf_new_symbol(scope, global_root_scope_pool, global_root_scope_linpool, name);
    sym->class = SYM_METHOD;
  }

  dsc->sym = sym;
  dsc->next = sym->method;
  sym->method = dsc;
}

void f_type_methods_register(void)
{
  struct f_method *method;

#line 500 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__type */
#line 500
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 500
  method->new_inst = f_new_method_FI_METHOD__T_NET__type;
#line 500
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 500 "filter/f-inst.c"

#line 500
  f_register_method(T_NET, "type", method);
#line 500

#line 500

#line 503 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_IP__is_v4 */
#line 503
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 503
  method->new_inst = f_new_method_FI_METHOD__T_IP__is_v4;
#line 503
  method->arg_num = 1;
  method->args_type[0] = T_IP;
#line 503 "filter/f-inst.c"

#line 503
  f_register_method(T_IP, "is_v4", method);
#line 503

#line 503

#line 557 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__empty */
#line 557
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 557
  method->new_inst = f_new_method_FI_METHOD__T_PATH__empty;
#line 557
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 557 "filter/f-inst.c"

#line 557
  f_register_method(T_PATH, "empty", method);
#line 557

#line 557

#line 558 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__empty */
#line 558
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 558
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__empty;
#line 558
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 558 "filter/f-inst.c"

#line 558
  f_register_method(T_CLIST, "empty", method);
#line 558

#line 558

#line 559 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__empty */
#line 559
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 559
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__empty;
#line 559
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 559 "filter/f-inst.c"

#line 559
  f_register_method(T_ECLIST, "empty", method);
#line 559

#line 559

#line 562 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__empty */
#line 562
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 562
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__empty;
#line 562
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 562 "filter/f-inst.c"

#line 562
  f_register_method(T_LCLIST, "empty", method);
#line 562

#line 562

#line 593 "filter/f-inst.c"
 /* Method registrator for FI_PATH_FOR_NEXT */
#line 593
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 593
  method->new_inst = f_new_method_FI_PATH_FOR_NEXT;
#line 593
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
#line 593 "filter/f-inst.c"

#line 593
  f_register_method(T_PATH, "!for_next", method);
#line 593

#line 593

#line 602 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FOR_NEXT */
#line 602
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 602
  method->new_inst = f_new_method_FI_CLIST_FOR_NEXT;
#line 602
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
#line 602 "filter/f-inst.c"

#line 602
  f_register_method(T_CLIST, "!for_next", method);
#line 602

#line 602

#line 611 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FOR_NEXT */
#line 611
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 611
  method->new_inst = f_new_method_FI_ECLIST_FOR_NEXT;
#line 611
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
#line 611 "filter/f-inst.c"

#line 611
  f_register_method(T_ECLIST, "!for_next", method);
#line 611

#line 611

#line 620 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FOR_NEXT */
#line 620
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 620
  method->new_inst = f_new_method_FI_LCLIST_FOR_NEXT;
#line 620
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
#line 620 "filter/f-inst.c"

#line 620
  f_register_method(T_LCLIST, "!for_next", method);
#line 620

#line 620

#line 636 "filter/f-inst.c"
 /* Method registrator for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 636
  method->new_inst = f_new_method_FI_ROUTES_BLOCK_FOR_NEXT;
#line 636
  method->arg_num = 2;
  method->args_type[0] = T_ROUTES_BLOCK;
#line 636 "filter/f-inst.c"

#line 636
  f_register_method(T_ROUTES_BLOCK, "!for_next", method);
#line 636

#line 636

#line 951 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__len */
#line 951
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 951
  method->new_inst = f_new_method_FI_METHOD__T_NET__len;
#line 951
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 951 "filter/f-inst.c"

#line 951
  f_register_method(T_NET, "len", method);
#line 951

#line 951

#line 952 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__len */
#line 952
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 952
  method->new_inst = f_new_method_FI_METHOD__T_PATH__len;
#line 952
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 952 "filter/f-inst.c"

#line 952
  f_register_method(T_PATH, "len", method);
#line 952

#line 952

#line 953 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__len */
#line 953
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 953
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__len;
#line 953
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 953 "filter/f-inst.c"

#line 953
  f_register_method(T_CLIST, "len", method);
#line 953

#line 953

#line 954 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__len */
#line 954
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 954
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__len;
#line 954
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 954 "filter/f-inst.c"

#line 954
  f_register_method(T_ECLIST, "len", method);
#line 954

#line 954

#line 956 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__len */
#line 956
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 956
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__len;
#line 956
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 956 "filter/f-inst.c"

#line 956
  f_register_method(T_LCLIST, "len", method);
#line 956

#line 956

#line 992 "filter/f-inst.c"
 /* Method registrator for FI_NET_SRC */
#line 992
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 992
  method->new_inst = f_new_method_FI_NET_SRC;
#line 992
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 992 "filter/f-inst.c"

#line 992
  f_register_method(T_NET, "src", method);
#line 992

#line 992

#line 1029 "filter/f-inst.c"
 /* Method registrator for FI_NET_DST */
#line 1029
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1029
  method->new_inst = f_new_method_FI_NET_DST;
#line 1029
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1029 "filter/f-inst.c"

#line 1029
  f_register_method(T_NET, "dst", method);
#line 1029

#line 1029

#line 1039 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__maxlen */
#line 1039
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1039
  method->new_inst = f_new_method_FI_METHOD__T_NET__maxlen;
#line 1039
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1039 "filter/f-inst.c"

#line 1039
  f_register_method(T_NET, "maxlen", method);
#line 1039

#line 1039

#line 1049 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__asn */
#line 1049
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1049
  method->new_inst = f_new_method_FI_METHOD__T_NET__asn;
#line 1049
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1049 "filter/f-inst.c"

#line 1049
  f_register_method(T_NET, "asn", method);
#line 1049

#line 1049

#line 1051 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_NET__ip */
#line 1051
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1051
  method->new_inst = f_new_method_FI_METHOD__T_NET__ip;
#line 1051
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1051 "filter/f-inst.c"

#line 1051
  f_register_method(T_NET, "ip", method);
#line 1051

#line 1051

#line 1060 "filter/f-inst.c"
 /* Method registrator for FI_ROUTE_DISTINGUISHER */
#line 1060
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1060
  method->new_inst = f_new_method_FI_ROUTE_DISTINGUISHER;
#line 1060
  method->arg_num = 1;
  method->args_type[0] = T_NET;
#line 1060 "filter/f-inst.c"

#line 1060
  f_register_method(T_NET, "rd", method);
#line 1060

#line 1060

#line 1063 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__first */
#line 1063
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1063
  method->new_inst = f_new_method_FI_METHOD__T_PATH__first;
#line 1063
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1063 "filter/f-inst.c"

#line 1063
  f_register_method(T_PATH, "first", method);
#line 1063

#line 1063

#line 1066 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__last */
#line 1066
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1066
  method->new_inst = f_new_method_FI_METHOD__T_PATH__last;
#line 1066
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1066 "filter/f-inst.c"

#line 1066
  f_register_method(T_PATH, "last", method);
#line 1066

#line 1066

#line 1069 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1069
  method->new_inst = f_new_method_FI_METHOD__T_PATH__last_nonaggregated;
#line 1069
  method->arg_num = 1;
  method->args_type[0] = T_PATH;
#line 1069 "filter/f-inst.c"

#line 1069
  f_register_method(T_PATH, "last_nonaggregated", method);
#line 1069

#line 1069

#line 1072 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PAIR__asn */
#line 1072
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1072
  method->new_inst = f_new_method_FI_METHOD__T_PAIR__asn;
#line 1072
  method->arg_num = 1;
  method->args_type[0] = T_PAIR;
#line 1072 "filter/f-inst.c"

#line 1072
  f_register_method(T_PAIR, "asn", method);
#line 1072

#line 1072

#line 1075 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_PAIR__data */
#line 1075
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1075
  method->new_inst = f_new_method_FI_METHOD__T_PAIR__data;
#line 1075
  method->arg_num = 1;
  method->args_type[0] = T_PAIR;
#line 1075 "filter/f-inst.c"

#line 1075
  f_register_method(T_PAIR, "data", method);
#line 1075

#line 1075

#line 1078 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__asn */
#line 1078
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1078
  method->new_inst = f_new_method_FI_METHOD__T_LC__asn;
#line 1078
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1078 "filter/f-inst.c"

#line 1078
  f_register_method(T_LC, "asn", method);
#line 1078

#line 1078

#line 1081 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__data1 */
#line 1081
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1081
  method->new_inst = f_new_method_FI_METHOD__T_LC__data1;
#line 1081
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1081 "filter/f-inst.c"

#line 1081
  f_register_method(T_LC, "data1", method);
#line 1081

#line 1081

#line 1084 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LC__data2 */
#line 1084
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1084
  method->new_inst = f_new_method_FI_METHOD__T_LC__data2;
#line 1084
  method->arg_num = 1;
  method->args_type[0] = T_LC;
#line 1084 "filter/f-inst.c"

#line 1084
  f_register_method(T_LC, "data2", method);
#line 1084

#line 1084

#line 1087 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__min */
#line 1087
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1087
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__min;
#line 1087
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1087 "filter/f-inst.c"

#line 1087
  f_register_method(T_CLIST, "min", method);
#line 1087

#line 1087

#line 1090 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_CLIST__max */
#line 1090
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1090
  method->new_inst = f_new_method_FI_METHOD__T_CLIST__max;
#line 1090
  method->arg_num = 1;
  method->args_type[0] = T_CLIST;
#line 1090 "filter/f-inst.c"

#line 1090
  f_register_method(T_CLIST, "max", method);
#line 1090

#line 1090

#line 1093 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__min */
#line 1093
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1093
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__min;
#line 1093
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1093 "filter/f-inst.c"

#line 1093
  f_register_method(T_ECLIST, "min", method);
#line 1093

#line 1093

#line 1096 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_ECLIST__max */
#line 1096
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1096
  method->new_inst = f_new_method_FI_METHOD__T_ECLIST__max;
#line 1096
  method->arg_num = 1;
  method->args_type[0] = T_ECLIST;
#line 1096 "filter/f-inst.c"

#line 1096
  f_register_method(T_ECLIST, "max", method);
#line 1096

#line 1096

#line 1099 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__min */
#line 1099
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1099
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__min;
#line 1099
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1099 "filter/f-inst.c"

#line 1099
  f_register_method(T_LCLIST, "min", method);
#line 1099

#line 1099

#line 1101 "filter/f-inst.c"
 /* Method registrator for FI_METHOD__T_LCLIST__max */
#line 1101
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 1 * sizeof(enum f_type));
#line 1101
  method->new_inst = f_new_method_FI_METHOD__T_LCLIST__max;
#line 1101
  method->arg_num = 1;
  method->args_type[0] = T_LCLIST;
#line 1101 "filter/f-inst.c"

#line 1101
  f_register_method(T_LCLIST, "max", method);
#line 1101

#line 1101

#line 1241 "filter/f-inst.c"
 /* Method registrator for FI_IP_MASK */
#line 1241
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1241
  method->new_inst = f_new_method_FI_IP_MASK;
#line 1241
  method->arg_num = 2;
  method->args_type[0] = T_IP;
  method->args_type[1] = T_INT;
#line 1241 "filter/f-inst.c"

#line 1241
  f_register_method(T_IP, "mask", method);
#line 1241

#line 1241

#line 1249 "filter/f-inst.c"
 /* Method registrator for FI_PATH_PREPEND */
#line 1249
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1249
  method->new_inst = f_new_method_FI_PATH_PREPEND;
#line 1249
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_INT;
#line 1249 "filter/f-inst.c"

#line 1249
  f_register_method(T_PATH, "prepend", method);
#line 1249

#line 1249

#line 1256 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_PAIR */
#line 1256
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1256
  method->new_inst = f_new_method_FI_CLIST_ADD_PAIR;
#line 1256
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_PAIR;
#line 1256 "filter/f-inst.c"

#line 1256
  f_register_method(T_CLIST, "add", method);
#line 1256

#line 1256

#line 1270 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_IP */
#line 1270
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1270
  method->new_inst = f_new_method_FI_CLIST_ADD_IP;
#line 1270
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_IP;
#line 1270 "filter/f-inst.c"

#line 1270
  f_register_method(T_CLIST, "add", method);
#line 1270

#line 1270

#line 1277 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_QUAD */
#line 1277
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1277
  method->new_inst = f_new_method_FI_CLIST_ADD_QUAD;
#line 1277
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_QUAD;
#line 1277 "filter/f-inst.c"

#line 1277
  f_register_method(T_CLIST, "add", method);
#line 1277

#line 1277

#line 1284 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_ADD_CLIST */
#line 1284
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1284
  method->new_inst = f_new_method_FI_CLIST_ADD_CLIST;
#line 1284
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1284 "filter/f-inst.c"

#line 1284
  f_register_method(T_CLIST, "add", method);
#line 1284

#line 1284

#line 1291 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_ADD_EC */
#line 1291
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1291
  method->new_inst = f_new_method_FI_ECLIST_ADD_EC;
#line 1291
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_EC;
#line 1291 "filter/f-inst.c"

#line 1291
  f_register_method(T_ECLIST, "add", method);
#line 1291

#line 1291

#line 1298 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_ADD_ECLIST */
#line 1298
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1298
  method->new_inst = f_new_method_FI_ECLIST_ADD_ECLIST;
#line 1298
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1298 "filter/f-inst.c"

#line 1298
  f_register_method(T_ECLIST, "add", method);
#line 1298

#line 1298

#line 1305 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_ADD_LC */
#line 1305
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1305
  method->new_inst = f_new_method_FI_LCLIST_ADD_LC;
#line 1305
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LC;
#line 1305 "filter/f-inst.c"

#line 1305
  f_register_method(T_LCLIST, "add", method);
#line 1305

#line 1305

#line 1312 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_ADD_LCLIST */
#line 1312
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1312
  method->new_inst = f_new_method_FI_LCLIST_ADD_LCLIST;
#line 1312
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1312 "filter/f-inst.c"

#line 1312
  f_register_method(T_LCLIST, "add", method);
#line 1312

#line 1312

#line 1319 "filter/f-inst.c"
 /* Method registrator for FI_PATH_DELETE_INT */
#line 1319
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1319
  method->new_inst = f_new_method_FI_PATH_DELETE_INT;
#line 1319
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_INT;
#line 1319 "filter/f-inst.c"

#line 1319
  f_register_method(T_PATH, "delete", method);
#line 1319

#line 1319

#line 1331 "filter/f-inst.c"
 /* Method registrator for FI_PATH_DELETE_SET */
#line 1331
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1331
  method->new_inst = f_new_method_FI_PATH_DELETE_SET;
#line 1331
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_SET;
#line 1331 "filter/f-inst.c"

#line 1331
  f_register_method(T_PATH, "delete", method);
#line 1331

#line 1331

#line 1338 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_PAIR */
#line 1338
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1338
  method->new_inst = f_new_method_FI_CLIST_DELETE_PAIR;
#line 1338
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_PAIR;
#line 1338 "filter/f-inst.c"

#line 1338
  f_register_method(T_CLIST, "delete", method);
#line 1338

#line 1338

#line 1352 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_IP */
#line 1352
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1352
  method->new_inst = f_new_method_FI_CLIST_DELETE_IP;
#line 1352
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_IP;
#line 1352 "filter/f-inst.c"

#line 1352
  f_register_method(T_CLIST, "delete", method);
#line 1352

#line 1352

#line 1359 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_QUAD */
#line 1359
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1359
  method->new_inst = f_new_method_FI_CLIST_DELETE_QUAD;
#line 1359
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_QUAD;
#line 1359 "filter/f-inst.c"

#line 1359
  f_register_method(T_CLIST, "delete", method);
#line 1359

#line 1359

#line 1366 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_CLIST */
#line 1366
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1366
  method->new_inst = f_new_method_FI_CLIST_DELETE_CLIST;
#line 1366
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1366 "filter/f-inst.c"

#line 1366
  f_register_method(T_CLIST, "delete", method);
#line 1366

#line 1366

#line 1377 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_DELETE_SET */
#line 1377
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1377
  method->new_inst = f_new_method_FI_CLIST_DELETE_SET;
#line 1377
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_SET;
#line 1377 "filter/f-inst.c"

#line 1377
  f_register_method(T_CLIST, "delete", method);
#line 1377

#line 1377

#line 1384 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_EC */
#line 1384
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1384
  method->new_inst = f_new_method_FI_ECLIST_DELETE_EC;
#line 1384
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_EC;
#line 1384 "filter/f-inst.c"

#line 1384
  f_register_method(T_ECLIST, "delete", method);
#line 1384

#line 1384

#line 1391 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_ECLIST */
#line 1391
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1391
  method->new_inst = f_new_method_FI_ECLIST_DELETE_ECLIST;
#line 1391
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1391 "filter/f-inst.c"

#line 1391
  f_register_method(T_ECLIST, "delete", method);
#line 1391

#line 1391

#line 1402 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_DELETE_SET */
#line 1402
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1402
  method->new_inst = f_new_method_FI_ECLIST_DELETE_SET;
#line 1402
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_SET;
#line 1402 "filter/f-inst.c"

#line 1402
  f_register_method(T_ECLIST, "delete", method);
#line 1402

#line 1402

#line 1409 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_LC */
#line 1409
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1409
  method->new_inst = f_new_method_FI_LCLIST_DELETE_LC;
#line 1409
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LC;
#line 1409 "filter/f-inst.c"

#line 1409
  f_register_method(T_LCLIST, "delete", method);
#line 1409

#line 1409

#line 1416 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_LCLIST */
#line 1416
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1416
  method->new_inst = f_new_method_FI_LCLIST_DELETE_LCLIST;
#line 1416
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1416 "filter/f-inst.c"

#line 1416
  f_register_method(T_LCLIST, "delete", method);
#line 1416

#line 1416

#line 1427 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_DELETE_SET */
#line 1427
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1427
  method->new_inst = f_new_method_FI_LCLIST_DELETE_SET;
#line 1427
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_SET;
#line 1427 "filter/f-inst.c"

#line 1427
  f_register_method(T_LCLIST, "delete", method);
#line 1427

#line 1427

#line 1438 "filter/f-inst.c"
 /* Method registrator for FI_PATH_FILTER_SET */
#line 1438
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1438
  method->new_inst = f_new_method_FI_PATH_FILTER_SET;
#line 1438
  method->arg_num = 2;
  method->args_type[0] = T_PATH;
  method->args_type[1] = T_SET;
#line 1438 "filter/f-inst.c"

#line 1438
  f_register_method(T_PATH, "filter", method);
#line 1438

#line 1438

#line 1445 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FILTER_CLIST */
#line 1445
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1445
  method->new_inst = f_new_method_FI_CLIST_FILTER_CLIST;
#line 1445
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_CLIST;
#line 1445 "filter/f-inst.c"

#line 1445
  f_register_method(T_CLIST, "filter", method);
#line 1445

#line 1445

#line 1456 "filter/f-inst.c"
 /* Method registrator for FI_CLIST_FILTER_SET */
#line 1456
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1456
  method->new_inst = f_new_method_FI_CLIST_FILTER_SET;
#line 1456
  method->arg_num = 2;
  method->args_type[0] = T_CLIST;
  method->args_type[1] = T_SET;
#line 1456 "filter/f-inst.c"

#line 1456
  f_register_method(T_CLIST, "filter", method);
#line 1456

#line 1456

#line 1463 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FILTER_ECLIST */
#line 1463
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1463
  method->new_inst = f_new_method_FI_ECLIST_FILTER_ECLIST;
#line 1463
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_ECLIST;
#line 1463 "filter/f-inst.c"

#line 1463
  f_register_method(T_ECLIST, "filter", method);
#line 1463

#line 1463

#line 1474 "filter/f-inst.c"
 /* Method registrator for FI_ECLIST_FILTER_SET */
#line 1474
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1474
  method->new_inst = f_new_method_FI_ECLIST_FILTER_SET;
#line 1474
  method->arg_num = 2;
  method->args_type[0] = T_ECLIST;
  method->args_type[1] = T_SET;
#line 1474 "filter/f-inst.c"

#line 1474
  f_register_method(T_ECLIST, "filter", method);
#line 1474

#line 1474

#line 1481 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FILTER_LCLIST */
#line 1481
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1481
  method->new_inst = f_new_method_FI_LCLIST_FILTER_LCLIST;
#line 1481
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_LCLIST;
#line 1481 "filter/f-inst.c"

#line 1481
  f_register_method(T_LCLIST, "filter", method);
#line 1481

#line 1481

#line 1492 "filter/f-inst.c"
 /* Method registrator for FI_LCLIST_FILTER_SET */
#line 1492
  method = lp_allocz(global_root_scope_linpool, sizeof(struct f_method) + 2 * sizeof(enum f_type));
#line 1492
  method->new_inst = f_new_method_FI_LCLIST_FILTER_SET;
#line 1492
  method->arg_num = 2;
  method->args_type[0] = T_LCLIST;
  method->args_type[1] = T_SET;
#line 1492 "filter/f-inst.c"

#line 1492
  f_register_method(T_LCLIST, "filter", method);
#line 1492

#line 1492

#line 658 "filter/decl.m4"


  for (uint i = 0; i < ARRAY_SIZE(f_type_method_scopes); i++)
    f_type_method_scopes[i].readonly = 1;
}

/* Line dumpers */
#define INDENT (((const char *) f_dump_line_indent_str) + sizeof(f_dump_line_indent_str) - (indent) - 1)
static const char f_dump_line_indent_str[] = "                                ";

#line 291 "filter/f-inst.c"
 /* Dump line for FI_ADD */
#line 291
static inline void f_dump_line_item_FI_ADD(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 291

#line 291
{
#line 291
#define item (&(item_->i_FI_ADD))
#line 291
#undef item
#line 291
}
#line 291

#line 296 "filter/f-inst.c"
 /* Dump line for FI_SUBTRACT */
#line 296
static inline void f_dump_line_item_FI_SUBTRACT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 296

#line 296
{
#line 296
#define item (&(item_->i_FI_SUBTRACT))
#line 296
#undef item
#line 296
}
#line 296

#line 301 "filter/f-inst.c"
 /* Dump line for FI_MULTIPLY */
#line 301
static inline void f_dump_line_item_FI_MULTIPLY(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 301

#line 301
{
#line 301
#define item (&(item_->i_FI_MULTIPLY))
#line 301
#undef item
#line 301
}
#line 301

#line 307 "filter/f-inst.c"
 /* Dump line for FI_DIVIDE */
#line 307
static inline void f_dump_line_item_FI_DIVIDE(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 307

#line 307
{
#line 307
#define item (&(item_->i_FI_DIVIDE))
#line 307
#undef item
#line 307
}
#line 307

#line 317 "filter/f-inst.c"
 /* Dump line for FI_AND */
#line 317
static inline void f_dump_line_item_FI_AND(const struct f_line_item *item_, const int indent)
#line 317

#line 317
{
#line 317
#define item (&(item_->i_FI_AND))
#line 313 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 317 "filter/f-inst.c"
#undef item
#line 317
}
#line 317

#line 328 "filter/f-inst.c"
 /* Dump line for FI_OR */
#line 328
static inline void f_dump_line_item_FI_OR(const struct f_line_item *item_, const int indent)
#line 328

#line 328
{
#line 328
#define item (&(item_->i_FI_OR))
#line 323 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 328 "filter/f-inst.c"
#undef item
#line 328
}
#line 328

#line 338 "filter/f-inst.c"
 /* Dump line for FI_PAIR_CONSTRUCT */
#line 338
static inline void f_dump_line_item_FI_PAIR_CONSTRUCT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 338

#line 338
{
#line 338
#define item (&(item_->i_FI_PAIR_CONSTRUCT))
#line 338
#undef item
#line 338
}
#line 338

#line 378 "filter/f-inst.c"
 /* Dump line for FI_EC_CONSTRUCT */
#line 378
static inline void f_dump_line_item_FI_EC_CONSTRUCT(const struct f_line_item *item_, const int indent)
#line 378

#line 378
{
#line 378
#define item (&(item_->i_FI_EC_CONSTRUCT))
#line 342 "filter/f-inst.c"
debug("%s" "ec subtype %s" "\n", INDENT, ec_subtype_str(item->ecs));
#line 342

#line 378 "filter/f-inst.c"
#undef item
#line 378
}
#line 378

#line 385 "filter/f-inst.c"
 /* Dump line for FI_LC_CONSTRUCT */
#line 385
static inline void f_dump_line_item_FI_LC_CONSTRUCT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 385

#line 385
{
#line 385
#define item (&(item_->i_FI_LC_CONSTRUCT))
#line 385
#undef item
#line 385
}
#line 385

#line 435 "filter/f-inst.c"
 /* Dump line for FI_PATHMASK_CONSTRUCT */
#line 435
static inline void f_dump_line_item_FI_PATHMASK_CONSTRUCT(const struct f_line_item *item_, const int indent)
#line 435

#line 435
{
#line 435
#define item (&(item_->i_FI_PATHMASK_CONSTRUCT))
#line 386 "filter/f-inst.c"
  debug("%snumber of varargs %u\n", INDENT, item->varcount);
#line 435 "filter/f-inst.c"
#undef item
#line 435
}
#line 435

#line 442 "filter/f-inst.c"
 /* Dump line for FI_NEQ */
#line 442
static inline void f_dump_line_item_FI_NEQ(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 442

#line 442
{
#line 442
#define item (&(item_->i_FI_NEQ))
#line 442
#undef item
#line 442
}
#line 442

#line 449 "filter/f-inst.c"
 /* Dump line for FI_EQ */
#line 449
static inline void f_dump_line_item_FI_EQ(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 449

#line 449
{
#line 449
#define item (&(item_->i_FI_EQ))
#line 449
#undef item
#line 449
}
#line 449

#line 460 "filter/f-inst.c"
 /* Dump line for FI_LT */
#line 460
static inline void f_dump_line_item_FI_LT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 460

#line 460
{
#line 460
#define item (&(item_->i_FI_LT))
#line 460
#undef item
#line 460
}
#line 460

#line 471 "filter/f-inst.c"
 /* Dump line for FI_LTE */
#line 471
static inline void f_dump_line_item_FI_LTE(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 471

#line 471
{
#line 471
#define item (&(item_->i_FI_LTE))
#line 471
#undef item
#line 471
}
#line 471

#line 476 "filter/f-inst.c"
 /* Dump line for FI_NOT */
#line 476
static inline void f_dump_line_item_FI_NOT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 476

#line 476
{
#line 476
#define item (&(item_->i_FI_NOT))
#line 476
#undef item
#line 476
}
#line 476

#line 485 "filter/f-inst.c"
 /* Dump line for FI_MATCH */
#line 485
static inline void f_dump_line_item_FI_MATCH(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 485

#line 485
{
#line 485
#define item (&(item_->i_FI_MATCH))
#line 485
#undef item
#line 485
}
#line 485

#line 494 "filter/f-inst.c"
 /* Dump line for FI_NOT_MATCH */
#line 494
static inline void f_dump_line_item_FI_NOT_MATCH(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 494

#line 494
{
#line 494
#define item (&(item_->i_FI_NOT_MATCH))
#line 494
#undef item
#line 494
}
#line 494

#line 499 "filter/f-inst.c"
 /* Dump line for FI_DEFINED */
#line 499
static inline void f_dump_line_item_FI_DEFINED(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 499

#line 499
{
#line 499
#define item (&(item_->i_FI_DEFINED))
#line 499
#undef item
#line 499
}
#line 499

#line 500 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__type */
#line 500
static inline void f_dump_line_item_FI_METHOD__T_NET__type(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 500

#line 500
{
#line 500
#define item (&(item_->i_FI_METHOD__T_NET__type))
#line 500
#undef item
#line 500
}
#line 500

#line 503 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_IP__is_v4 */
#line 503
static inline void f_dump_line_item_FI_METHOD__T_IP__is_v4(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 503

#line 503
{
#line 503
#define item (&(item_->i_FI_METHOD__T_IP__is_v4))
#line 503
#undef item
#line 503
}
#line 503

#line 516 "filter/f-inst.c"
 /* Dump line for FI_VAR_INIT */
#line 516
static inline void f_dump_line_item_FI_VAR_INIT(const struct f_line_item *item_, const int indent)
#line 516

#line 516
{
#line 516
#define item (&(item_->i_FI_VAR_INIT))
#line 506 "filter/f-inst.c"
debug("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 506

#line 516 "filter/f-inst.c"
#undef item
#line 516
}
#line 516

#line 527 "filter/f-inst.c"
 /* Dump line for FI_VAR_INIT0 */
#line 527
static inline void f_dump_line_item_FI_VAR_INIT0(const struct f_line_item *item_, const int indent)
#line 527

#line 527
{
#line 527
#define item (&(item_->i_FI_VAR_INIT0))
#line 518 "filter/f-inst.c"
debug("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 518

#line 527 "filter/f-inst.c"
#undef item
#line 527
}
#line 527

#line 536 "filter/f-inst.c"
 /* Dump line for FI_VAR_SET */
#line 536
static inline void f_dump_line_item_FI_VAR_SET(const struct f_line_item *item_, const int indent)
#line 536

#line 536
{
#line 536
#define item (&(item_->i_FI_VAR_SET))
#line 530 "filter/f-inst.c"
debug("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 530

#line 536 "filter/f-inst.c"
#undef item
#line 536
}
#line 536

#line 543 "filter/f-inst.c"
 /* Dump line for FI_VAR_GET */
#line 543
static inline void f_dump_line_item_FI_VAR_GET(const struct f_line_item *item_, const int indent)
#line 543

#line 543
{
#line 543
#define item (&(item_->i_FI_VAR_GET))
#line 537 "filter/f-inst.c"
debug("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 537

#line 543 "filter/f-inst.c"
#undef item
#line 543
}
#line 543

#line 556 "filter/f-inst.c"
 /* Dump line for FI_CONSTANT */
#line 556
static inline void f_dump_line_item_FI_CONSTANT(const struct f_line_item *item_, const int indent)
#line 556

#line 556
{
#line 556
#define item (&(item_->i_FI_CONSTANT))
#line 544 "filter/f-inst.c"
debug("%s" "value %s" "\n", INDENT, val_dump(&(item->val))
#line 544
    );
#line 544

#line 556 "filter/f-inst.c"
#undef item
#line 556
}
#line 556

#line 557 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__empty */
#line 557
static inline void f_dump_line_item_FI_METHOD__T_PATH__empty(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 557

#line 557
{
#line 557
#define item (&(item_->i_FI_METHOD__T_PATH__empty))
#line 557
#undef item
#line 557
}
#line 557

#line 558 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__empty */
#line 558
static inline void f_dump_line_item_FI_METHOD__T_CLIST__empty(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 558

#line 558
{
#line 558
#define item (&(item_->i_FI_METHOD__T_CLIST__empty))
#line 558
#undef item
#line 558
}
#line 558

#line 559 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__empty */
#line 559
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__empty(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 559

#line 559
{
#line 559
#define item (&(item_->i_FI_METHOD__T_ECLIST__empty))
#line 559
#undef item
#line 559
}
#line 559

#line 562 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__empty */
#line 562
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__empty(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 562

#line 562
{
#line 562
#define item (&(item_->i_FI_METHOD__T_LCLIST__empty))
#line 562
#undef item
#line 562
}
#line 562

#line 584 "filter/f-inst.c"
 /* Dump line for FI_FOR_LOOP_START */
#line 584
static inline void f_dump_line_item_FI_FOR_LOOP_START(const struct f_line_item *item_, const int indent)
#line 584

#line 584
{
#line 584
#define item (&(item_->i_FI_FOR_LOOP_START))
#line 564 "filter/f-inst.c"
debug("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 564

#line 584 "filter/f-inst.c"
#undef item
#line 584
}
#line 584

#line 593 "filter/f-inst.c"
 /* Dump line for FI_PATH_FOR_NEXT */
#line 593
static inline void f_dump_line_item_FI_PATH_FOR_NEXT(const struct f_line_item *item_, const int indent)
#line 593

#line 593
{
#line 593
#define item (&(item_->i_FI_PATH_FOR_NEXT))
#line 588 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 593 "filter/f-inst.c"
#undef item
#line 593
}
#line 593

#line 602 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FOR_NEXT */
#line 602
static inline void f_dump_line_item_FI_CLIST_FOR_NEXT(const struct f_line_item *item_, const int indent)
#line 602

#line 602
{
#line 602
#define item (&(item_->i_FI_CLIST_FOR_NEXT))
#line 597 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 602 "filter/f-inst.c"
#undef item
#line 602
}
#line 602

#line 611 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FOR_NEXT */
#line 611
static inline void f_dump_line_item_FI_ECLIST_FOR_NEXT(const struct f_line_item *item_, const int indent)
#line 611

#line 611
{
#line 611
#define item (&(item_->i_FI_ECLIST_FOR_NEXT))
#line 606 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 611 "filter/f-inst.c"
#undef item
#line 611
}
#line 611

#line 620 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FOR_NEXT */
#line 620
static inline void f_dump_line_item_FI_LCLIST_FOR_NEXT(const struct f_line_item *item_, const int indent)
#line 620

#line 620
{
#line 620
#define item (&(item_->i_FI_LCLIST_FOR_NEXT))
#line 615 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 620 "filter/f-inst.c"
#undef item
#line 620
}
#line 620

#line 636 "filter/f-inst.c"
 /* Dump line for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
static inline void f_dump_line_item_FI_ROUTES_BLOCK_FOR_NEXT(const struct f_line_item *item_, const int indent)
#line 636

#line 636
{
#line 636
#define item (&(item_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 630 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 636 "filter/f-inst.c"
#undef item
#line 636
}
#line 636

#line 644 "filter/f-inst.c"
 /* Dump line for FI_CONDITION */
#line 644
static inline void f_dump_line_item_FI_CONDITION(const struct f_line_item *item_, const int indent)
#line 644

#line 644
{
#line 644
#define item (&(item_->i_FI_CONDITION))
#line 639 "filter/f-inst.c"
f_dump_line(item->fl2, indent + 1);
#line 641 "filter/f-inst.c"
f_dump_line(item->fl3, indent + 1);
#line 644 "filter/f-inst.c"
#undef item
#line 644
}
#line 644

#line 652 "filter/f-inst.c"
 /* Dump line for FI_PRINT */
#line 652
static inline void f_dump_line_item_FI_PRINT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 652

#line 652
{
#line 652
#define item (&(item_->i_FI_PRINT))
#line 652
#undef item
#line 652
}
#line 652

#line 659 "filter/f-inst.c"
 /* Dump line for FI_FLUSH */
#line 659
static inline void f_dump_line_item_FI_FLUSH(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 659

#line 659
{
#line 659
#define item (&(item_->i_FI_FLUSH))
#line 659
#undef item
#line 659
}
#line 659

#line 673 "filter/f-inst.c"
 /* Dump line for FI_DIE */
#line 673
static inline void f_dump_line_item_FI_DIE(const struct f_line_item *item_, const int indent)
#line 673

#line 673
{
#line 673
#define item (&(item_->i_FI_DIE))
#line 661 "filter/f-inst.c"
debug("%s" "%s" "\n", INDENT, filter_return_str(item->fret));
#line 661

#line 673 "filter/f-inst.c"
#undef item
#line 673
}
#line 673

#line 703 "filter/f-inst.c"
 /* Dump line for FI_RTA_GET */
#line 703
static inline void f_dump_line_item_FI_RTA_GET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 703

#line 703
{
#line 703
#define item (&(item_->i_FI_RTA_GET))
#line 703
#undef item
#line 703
}
#line 703

#line 818 "filter/f-inst.c"
 /* Dump line for FI_RTA_SET */
#line 818
static inline void f_dump_line_item_FI_RTA_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 818

#line 818
{
#line 818
#define item (&(item_->i_FI_RTA_SET))
#line 818
#undef item
#line 818
}
#line 818

#line 870 "filter/f-inst.c"
 /* Dump line for FI_EA_GET */
#line 870
static inline void f_dump_line_item_FI_EA_GET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 870

#line 870
{
#line 870
#define item (&(item_->i_FI_EA_GET))
#line 870
#undef item
#line 870
}
#line 870

#line 940 "filter/f-inst.c"
 /* Dump line for FI_EA_SET */
#line 940
static inline void f_dump_line_item_FI_EA_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 940

#line 940
{
#line 940
#define item (&(item_->i_FI_EA_SET))
#line 940
#undef item
#line 940
}
#line 940

#line 950 "filter/f-inst.c"
 /* Dump line for FI_EA_UNSET */
#line 950
static inline void f_dump_line_item_FI_EA_UNSET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 950

#line 950
{
#line 950
#define item (&(item_->i_FI_EA_UNSET))
#line 950
#undef item
#line 950
}
#line 950

#line 951 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__len */
#line 951
static inline void f_dump_line_item_FI_METHOD__T_NET__len(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 951

#line 951
{
#line 951
#define item (&(item_->i_FI_METHOD__T_NET__len))
#line 951
#undef item
#line 951
}
#line 951

#line 952 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__len */
#line 952
static inline void f_dump_line_item_FI_METHOD__T_PATH__len(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 952

#line 952
{
#line 952
#define item (&(item_->i_FI_METHOD__T_PATH__len))
#line 952
#undef item
#line 952
}
#line 952

#line 953 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__len */
#line 953
static inline void f_dump_line_item_FI_METHOD__T_CLIST__len(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 953

#line 953
{
#line 953
#define item (&(item_->i_FI_METHOD__T_CLIST__len))
#line 953
#undef item
#line 953
}
#line 953

#line 954 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__len */
#line 954
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__len(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 954

#line 954
{
#line 954
#define item (&(item_->i_FI_METHOD__T_ECLIST__len))
#line 954
#undef item
#line 954
}
#line 954

#line 956 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__len */
#line 956
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__len(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 956

#line 956
{
#line 956
#define item (&(item_->i_FI_METHOD__T_LCLIST__len))
#line 956
#undef item
#line 956
}
#line 956

#line 992 "filter/f-inst.c"
 /* Dump line for FI_NET_SRC */
#line 992
static inline void f_dump_line_item_FI_NET_SRC(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 992

#line 992
{
#line 992
#define item (&(item_->i_FI_NET_SRC))
#line 992
#undef item
#line 992
}
#line 992

#line 1029 "filter/f-inst.c"
 /* Dump line for FI_NET_DST */
#line 1029
static inline void f_dump_line_item_FI_NET_DST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1029

#line 1029
{
#line 1029
#define item (&(item_->i_FI_NET_DST))
#line 1029
#undef item
#line 1029
}
#line 1029

#line 1039 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__maxlen */
#line 1039
static inline void f_dump_line_item_FI_METHOD__T_NET__maxlen(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1039

#line 1039
{
#line 1039
#define item (&(item_->i_FI_METHOD__T_NET__maxlen))
#line 1039
#undef item
#line 1039
}
#line 1039

#line 1049 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__asn */
#line 1049
static inline void f_dump_line_item_FI_METHOD__T_NET__asn(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1049

#line 1049
{
#line 1049
#define item (&(item_->i_FI_METHOD__T_NET__asn))
#line 1049
#undef item
#line 1049
}
#line 1049

#line 1051 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_NET__ip */
#line 1051
static inline void f_dump_line_item_FI_METHOD__T_NET__ip(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1051

#line 1051
{
#line 1051
#define item (&(item_->i_FI_METHOD__T_NET__ip))
#line 1051
#undef item
#line 1051
}
#line 1051

#line 1060 "filter/f-inst.c"
 /* Dump line for FI_ROUTE_DISTINGUISHER */
#line 1060
static inline void f_dump_line_item_FI_ROUTE_DISTINGUISHER(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1060

#line 1060
{
#line 1060
#define item (&(item_->i_FI_ROUTE_DISTINGUISHER))
#line 1060
#undef item
#line 1060
}
#line 1060

#line 1063 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__first */
#line 1063
static inline void f_dump_line_item_FI_METHOD__T_PATH__first(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1063

#line 1063
{
#line 1063
#define item (&(item_->i_FI_METHOD__T_PATH__first))
#line 1063
#undef item
#line 1063
}
#line 1063

#line 1066 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__last */
#line 1066
static inline void f_dump_line_item_FI_METHOD__T_PATH__last(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1066

#line 1066
{
#line 1066
#define item (&(item_->i_FI_METHOD__T_PATH__last))
#line 1066
#undef item
#line 1066
}
#line 1066

#line 1069 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
static inline void f_dump_line_item_FI_METHOD__T_PATH__last_nonaggregated(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1069

#line 1069
{
#line 1069
#define item (&(item_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
#undef item
#line 1069
}
#line 1069

#line 1072 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PAIR__asn */
#line 1072
static inline void f_dump_line_item_FI_METHOD__T_PAIR__asn(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1072

#line 1072
{
#line 1072
#define item (&(item_->i_FI_METHOD__T_PAIR__asn))
#line 1072
#undef item
#line 1072
}
#line 1072

#line 1075 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_PAIR__data */
#line 1075
static inline void f_dump_line_item_FI_METHOD__T_PAIR__data(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1075

#line 1075
{
#line 1075
#define item (&(item_->i_FI_METHOD__T_PAIR__data))
#line 1075
#undef item
#line 1075
}
#line 1075

#line 1078 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__asn */
#line 1078
static inline void f_dump_line_item_FI_METHOD__T_LC__asn(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1078

#line 1078
{
#line 1078
#define item (&(item_->i_FI_METHOD__T_LC__asn))
#line 1078
#undef item
#line 1078
}
#line 1078

#line 1081 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__data1 */
#line 1081
static inline void f_dump_line_item_FI_METHOD__T_LC__data1(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1081

#line 1081
{
#line 1081
#define item (&(item_->i_FI_METHOD__T_LC__data1))
#line 1081
#undef item
#line 1081
}
#line 1081

#line 1084 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LC__data2 */
#line 1084
static inline void f_dump_line_item_FI_METHOD__T_LC__data2(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1084

#line 1084
{
#line 1084
#define item (&(item_->i_FI_METHOD__T_LC__data2))
#line 1084
#undef item
#line 1084
}
#line 1084

#line 1087 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__min */
#line 1087
static inline void f_dump_line_item_FI_METHOD__T_CLIST__min(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1087

#line 1087
{
#line 1087
#define item (&(item_->i_FI_METHOD__T_CLIST__min))
#line 1087
#undef item
#line 1087
}
#line 1087

#line 1090 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_CLIST__max */
#line 1090
static inline void f_dump_line_item_FI_METHOD__T_CLIST__max(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1090

#line 1090
{
#line 1090
#define item (&(item_->i_FI_METHOD__T_CLIST__max))
#line 1090
#undef item
#line 1090
}
#line 1090

#line 1093 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__min */
#line 1093
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__min(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1093

#line 1093
{
#line 1093
#define item (&(item_->i_FI_METHOD__T_ECLIST__min))
#line 1093
#undef item
#line 1093
}
#line 1093

#line 1096 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_ECLIST__max */
#line 1096
static inline void f_dump_line_item_FI_METHOD__T_ECLIST__max(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1096

#line 1096
{
#line 1096
#define item (&(item_->i_FI_METHOD__T_ECLIST__max))
#line 1096
#undef item
#line 1096
}
#line 1096

#line 1099 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__min */
#line 1099
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__min(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1099

#line 1099
{
#line 1099
#define item (&(item_->i_FI_METHOD__T_LCLIST__min))
#line 1099
#undef item
#line 1099
}
#line 1099

#line 1101 "filter/f-inst.c"
 /* Dump line for FI_METHOD__T_LCLIST__max */
#line 1101
static inline void f_dump_line_item_FI_METHOD__T_LCLIST__max(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1101

#line 1101
{
#line 1101
#define item (&(item_->i_FI_METHOD__T_LCLIST__max))
#line 1101
#undef item
#line 1101
}
#line 1101

#line 1127 "filter/f-inst.c"
 /* Dump line for FI_RETURN */
#line 1127
static inline void f_dump_line_item_FI_RETURN(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1127

#line 1127
{
#line 1127
#define item (&(item_->i_FI_RETURN))
#line 1127
#undef item
#line 1127
}
#line 1127

#line 1186 "filter/f-inst.c"
 /* Dump line for FI_CALL */
#line 1186
static inline void f_dump_line_item_FI_CALL(const struct f_line_item *item_, const int indent)
#line 1186

#line 1186
{
#line 1186
#define item (&(item_->i_FI_CALL))
#line 1129 "filter/f-inst.c"
  debug("%snumber of varargs %u\n", INDENT, item->varcount);
#line 1130 "filter/f-inst.c"
debug("%s" "symbol %s" "\n", INDENT, item->sym->name);
#line 1130

#line 1186 "filter/f-inst.c"
#undef item
#line 1186
}
#line 1186

#line 1191 "filter/f-inst.c"
 /* Dump line for FI_DROP_RESULT */
#line 1191
static inline void f_dump_line_item_FI_DROP_RESULT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1191

#line 1191
{
#line 1191
#define item (&(item_->i_FI_DROP_RESULT))
#line 1191
#undef item
#line 1191
}
#line 1191

#line 1232 "filter/f-inst.c"
 /* Dump line for FI_SWITCH */
#line 1232
static inline void f_dump_line_item_FI_SWITCH(const struct f_line_item *item_, const int indent)
#line 1232

#line 1232
{
#line 1232
#define item (&(item_->i_FI_SWITCH))
#line 1194 "filter/f-inst.c"
debug("%s" "tree %p" "\n", INDENT, item->tree);
#line 1194

#line 1232 "filter/f-inst.c"
#undef item
#line 1232
}
#line 1232

#line 1241 "filter/f-inst.c"
 /* Dump line for FI_IP_MASK */
#line 1241
static inline void f_dump_line_item_FI_IP_MASK(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1241

#line 1241
{
#line 1241
#define item (&(item_->i_FI_IP_MASK))
#line 1241
#undef item
#line 1241
}
#line 1241

#line 1249 "filter/f-inst.c"
 /* Dump line for FI_PATH_PREPEND */
#line 1249
static inline void f_dump_line_item_FI_PATH_PREPEND(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1249

#line 1249
{
#line 1249
#define item (&(item_->i_FI_PATH_PREPEND))
#line 1249
#undef item
#line 1249
}
#line 1249

#line 1256 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_PAIR */
#line 1256
static inline void f_dump_line_item_FI_CLIST_ADD_PAIR(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1256

#line 1256
{
#line 1256
#define item (&(item_->i_FI_CLIST_ADD_PAIR))
#line 1256
#undef item
#line 1256
}
#line 1256

#line 1270 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_IP */
#line 1270
static inline void f_dump_line_item_FI_CLIST_ADD_IP(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1270

#line 1270
{
#line 1270
#define item (&(item_->i_FI_CLIST_ADD_IP))
#line 1270
#undef item
#line 1270
}
#line 1270

#line 1277 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_QUAD */
#line 1277
static inline void f_dump_line_item_FI_CLIST_ADD_QUAD(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1277

#line 1277
{
#line 1277
#define item (&(item_->i_FI_CLIST_ADD_QUAD))
#line 1277
#undef item
#line 1277
}
#line 1277

#line 1284 "filter/f-inst.c"
 /* Dump line for FI_CLIST_ADD_CLIST */
#line 1284
static inline void f_dump_line_item_FI_CLIST_ADD_CLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1284

#line 1284
{
#line 1284
#define item (&(item_->i_FI_CLIST_ADD_CLIST))
#line 1284
#undef item
#line 1284
}
#line 1284

#line 1291 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_ADD_EC */
#line 1291
static inline void f_dump_line_item_FI_ECLIST_ADD_EC(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1291

#line 1291
{
#line 1291
#define item (&(item_->i_FI_ECLIST_ADD_EC))
#line 1291
#undef item
#line 1291
}
#line 1291

#line 1298 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_ADD_ECLIST */
#line 1298
static inline void f_dump_line_item_FI_ECLIST_ADD_ECLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1298

#line 1298
{
#line 1298
#define item (&(item_->i_FI_ECLIST_ADD_ECLIST))
#line 1298
#undef item
#line 1298
}
#line 1298

#line 1305 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_ADD_LC */
#line 1305
static inline void f_dump_line_item_FI_LCLIST_ADD_LC(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1305

#line 1305
{
#line 1305
#define item (&(item_->i_FI_LCLIST_ADD_LC))
#line 1305
#undef item
#line 1305
}
#line 1305

#line 1312 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_ADD_LCLIST */
#line 1312
static inline void f_dump_line_item_FI_LCLIST_ADD_LCLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1312

#line 1312
{
#line 1312
#define item (&(item_->i_FI_LCLIST_ADD_LCLIST))
#line 1312
#undef item
#line 1312
}
#line 1312

#line 1319 "filter/f-inst.c"
 /* Dump line for FI_PATH_DELETE_INT */
#line 1319
static inline void f_dump_line_item_FI_PATH_DELETE_INT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1319

#line 1319
{
#line 1319
#define item (&(item_->i_FI_PATH_DELETE_INT))
#line 1319
#undef item
#line 1319
}
#line 1319

#line 1331 "filter/f-inst.c"
 /* Dump line for FI_PATH_DELETE_SET */
#line 1331
static inline void f_dump_line_item_FI_PATH_DELETE_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1331

#line 1331
{
#line 1331
#define item (&(item_->i_FI_PATH_DELETE_SET))
#line 1331
#undef item
#line 1331
}
#line 1331

#line 1338 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_PAIR */
#line 1338
static inline void f_dump_line_item_FI_CLIST_DELETE_PAIR(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1338

#line 1338
{
#line 1338
#define item (&(item_->i_FI_CLIST_DELETE_PAIR))
#line 1338
#undef item
#line 1338
}
#line 1338

#line 1352 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_IP */
#line 1352
static inline void f_dump_line_item_FI_CLIST_DELETE_IP(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1352

#line 1352
{
#line 1352
#define item (&(item_->i_FI_CLIST_DELETE_IP))
#line 1352
#undef item
#line 1352
}
#line 1352

#line 1359 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_QUAD */
#line 1359
static inline void f_dump_line_item_FI_CLIST_DELETE_QUAD(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1359

#line 1359
{
#line 1359
#define item (&(item_->i_FI_CLIST_DELETE_QUAD))
#line 1359
#undef item
#line 1359
}
#line 1359

#line 1366 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_CLIST */
#line 1366
static inline void f_dump_line_item_FI_CLIST_DELETE_CLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1366

#line 1366
{
#line 1366
#define item (&(item_->i_FI_CLIST_DELETE_CLIST))
#line 1366
#undef item
#line 1366
}
#line 1366

#line 1377 "filter/f-inst.c"
 /* Dump line for FI_CLIST_DELETE_SET */
#line 1377
static inline void f_dump_line_item_FI_CLIST_DELETE_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1377

#line 1377
{
#line 1377
#define item (&(item_->i_FI_CLIST_DELETE_SET))
#line 1377
#undef item
#line 1377
}
#line 1377

#line 1384 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_EC */
#line 1384
static inline void f_dump_line_item_FI_ECLIST_DELETE_EC(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1384

#line 1384
{
#line 1384
#define item (&(item_->i_FI_ECLIST_DELETE_EC))
#line 1384
#undef item
#line 1384
}
#line 1384

#line 1391 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_ECLIST */
#line 1391
static inline void f_dump_line_item_FI_ECLIST_DELETE_ECLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1391

#line 1391
{
#line 1391
#define item (&(item_->i_FI_ECLIST_DELETE_ECLIST))
#line 1391
#undef item
#line 1391
}
#line 1391

#line 1402 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_DELETE_SET */
#line 1402
static inline void f_dump_line_item_FI_ECLIST_DELETE_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1402

#line 1402
{
#line 1402
#define item (&(item_->i_FI_ECLIST_DELETE_SET))
#line 1402
#undef item
#line 1402
}
#line 1402

#line 1409 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_LC */
#line 1409
static inline void f_dump_line_item_FI_LCLIST_DELETE_LC(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1409

#line 1409
{
#line 1409
#define item (&(item_->i_FI_LCLIST_DELETE_LC))
#line 1409
#undef item
#line 1409
}
#line 1409

#line 1416 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_LCLIST */
#line 1416
static inline void f_dump_line_item_FI_LCLIST_DELETE_LCLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1416

#line 1416
{
#line 1416
#define item (&(item_->i_FI_LCLIST_DELETE_LCLIST))
#line 1416
#undef item
#line 1416
}
#line 1416

#line 1427 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_DELETE_SET */
#line 1427
static inline void f_dump_line_item_FI_LCLIST_DELETE_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1427

#line 1427
{
#line 1427
#define item (&(item_->i_FI_LCLIST_DELETE_SET))
#line 1427
#undef item
#line 1427
}
#line 1427

#line 1438 "filter/f-inst.c"
 /* Dump line for FI_PATH_FILTER_SET */
#line 1438
static inline void f_dump_line_item_FI_PATH_FILTER_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1438

#line 1438
{
#line 1438
#define item (&(item_->i_FI_PATH_FILTER_SET))
#line 1438
#undef item
#line 1438
}
#line 1438

#line 1445 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FILTER_CLIST */
#line 1445
static inline void f_dump_line_item_FI_CLIST_FILTER_CLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1445

#line 1445
{
#line 1445
#define item (&(item_->i_FI_CLIST_FILTER_CLIST))
#line 1445
#undef item
#line 1445
}
#line 1445

#line 1456 "filter/f-inst.c"
 /* Dump line for FI_CLIST_FILTER_SET */
#line 1456
static inline void f_dump_line_item_FI_CLIST_FILTER_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1456

#line 1456
{
#line 1456
#define item (&(item_->i_FI_CLIST_FILTER_SET))
#line 1456
#undef item
#line 1456
}
#line 1456

#line 1463 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FILTER_ECLIST */
#line 1463
static inline void f_dump_line_item_FI_ECLIST_FILTER_ECLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1463

#line 1463
{
#line 1463
#define item (&(item_->i_FI_ECLIST_FILTER_ECLIST))
#line 1463
#undef item
#line 1463
}
#line 1463

#line 1474 "filter/f-inst.c"
 /* Dump line for FI_ECLIST_FILTER_SET */
#line 1474
static inline void f_dump_line_item_FI_ECLIST_FILTER_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1474

#line 1474
{
#line 1474
#define item (&(item_->i_FI_ECLIST_FILTER_SET))
#line 1474
#undef item
#line 1474
}
#line 1474

#line 1481 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FILTER_LCLIST */
#line 1481
static inline void f_dump_line_item_FI_LCLIST_FILTER_LCLIST(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1481

#line 1481
{
#line 1481
#define item (&(item_->i_FI_LCLIST_FILTER_LCLIST))
#line 1481
#undef item
#line 1481
}
#line 1481

#line 1492 "filter/f-inst.c"
 /* Dump line for FI_LCLIST_FILTER_SET */
#line 1492
static inline void f_dump_line_item_FI_LCLIST_FILTER_SET(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1492

#line 1492
{
#line 1492
#define item (&(item_->i_FI_LCLIST_FILTER_SET))
#line 1492
#undef item
#line 1492
}
#line 1492

#line 1522 "filter/f-inst.c"
 /* Dump line for FI_ROA_CHECK_IMPLICIT */
#line 1522
static inline void f_dump_line_item_FI_ROA_CHECK_IMPLICIT(const struct f_line_item *item_, const int indent)
#line 1522

#line 1522
{
#line 1522
#define item (&(item_->i_FI_ROA_CHECK_IMPLICIT))
#line 1494 "filter/f-inst.c"
debug("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1494

#line 1522 "filter/f-inst.c"
#undef item
#line 1522
}
#line 1522

#line 1544 "filter/f-inst.c"
 /* Dump line for FI_ROA_CHECK_EXPLICIT */
#line 1544
static inline void f_dump_line_item_FI_ROA_CHECK_EXPLICIT(const struct f_line_item *item_, const int indent)
#line 1544

#line 1544
{
#line 1544
#define item (&(item_->i_FI_ROA_CHECK_EXPLICIT))
#line 1526 "filter/f-inst.c"
debug("%s" "route table %s" "\n", INDENT, item->rtc->name);
#line 1526

#line 1544 "filter/f-inst.c"
#undef item
#line 1544
}
#line 1544

#line 1559 "filter/f-inst.c"
 /* Dump line for FI_FROM_HEX */
#line 1559
static inline void f_dump_line_item_FI_FROM_HEX(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1559

#line 1559
{
#line 1559
#define item (&(item_->i_FI_FROM_HEX))
#line 1559
#undef item
#line 1559
}
#line 1559

#line 1564 "filter/f-inst.c"
 /* Dump line for FI_FORMAT */
#line 1564
static inline void f_dump_line_item_FI_FORMAT(const struct f_line_item *item UNUSED, const int indent UNUSED)
#line 1564

#line 1564
{
#line 1564
#define item (&(item_->i_FI_FORMAT))
#line 1564
#undef item
#line 1564
}
#line 1564

#line 820 "filter/decl.m4"
 /* Dump line for FI_ASSERT */
#line 820
static inline void f_dump_line_item_FI_ASSERT(const struct f_line_item *item_, const int indent)
#line 820

#line 820
{
#line 820
#define item (&(item_->i_FI_ASSERT))
#line 1568 "filter/f-inst.c"
debug("%s" "string %s" "\n", INDENT, item->s);
#line 1568

#line 820 "filter/decl.m4"
#undef item
#line 820
}
#line 820

#line 668 "filter/decl.m4"


void f_dump_line(const struct f_line *dest, uint indent)
{
  if (!dest) {
    debug("%sNo filter line (NULL)\n", INDENT);
    return;
  }
  debug("%sFilter line %p (len=%u)\n", INDENT, dest, dest->len);
  for (uint i=0; i<dest->len; i++) {
    const struct f_line_item *item = &dest->items[i];
    debug("%sInstruction %s at line %u\n", INDENT, f_instruction_name_(item->fi_code), item->lineno);
    switch (item->fi_code) {
#line 291 "filter/f-inst.c"
 /* Dump line caller for FI_ADD */
#line 291
case FI_ADD: f_dump_line_item_FI_ADD(item, indent + 1); break;
#line 291

#line 296 "filter/f-inst.c"
 /* Dump line caller for FI_SUBTRACT */
#line 296
case FI_SUBTRACT: f_dump_line_item_FI_SUBTRACT(item, indent + 1); break;
#line 296

#line 301 "filter/f-inst.c"
 /* Dump line caller for FI_MULTIPLY */
#line 301
case FI_MULTIPLY: f_dump_line_item_FI_MULTIPLY(item, indent + 1); break;
#line 301

#line 307 "filter/f-inst.c"
 /* Dump line caller for FI_DIVIDE */
#line 307
case FI_DIVIDE: f_dump_line_item_FI_DIVIDE(item, indent + 1); break;
#line 307

#line 317 "filter/f-inst.c"
 /* Dump line caller for FI_AND */
#line 317
case FI_AND: f_dump_line_item_FI_AND(item, indent + 1); break;
#line 317

#line 328 "filter/f-inst.c"
 /* Dump line caller for FI_OR */
#line 328
case FI_OR: f_dump_line_item_FI_OR(item, indent + 1); break;
#line 328

#line 338 "filter/f-inst.c"
 /* Dump line caller for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT: f_dump_line_item_FI_PAIR_CONSTRUCT(item, indent + 1); break;
#line 338

#line 378 "filter/f-inst.c"
 /* Dump line caller for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT: f_dump_line_item_FI_EC_CONSTRUCT(item, indent + 1); break;
#line 378

#line 385 "filter/f-inst.c"
 /* Dump line caller for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT: f_dump_line_item_FI_LC_CONSTRUCT(item, indent + 1); break;
#line 385

#line 435 "filter/f-inst.c"
 /* Dump line caller for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT: f_dump_line_item_FI_PATHMASK_CONSTRUCT(item, indent + 1); break;
#line 435

#line 442 "filter/f-inst.c"
 /* Dump line caller for FI_NEQ */
#line 442
case FI_NEQ: f_dump_line_item_FI_NEQ(item, indent + 1); break;
#line 442

#line 449 "filter/f-inst.c"
 /* Dump line caller for FI_EQ */
#line 449
case FI_EQ: f_dump_line_item_FI_EQ(item, indent + 1); break;
#line 449

#line 460 "filter/f-inst.c"
 /* Dump line caller for FI_LT */
#line 460
case FI_LT: f_dump_line_item_FI_LT(item, indent + 1); break;
#line 460

#line 471 "filter/f-inst.c"
 /* Dump line caller for FI_LTE */
#line 471
case FI_LTE: f_dump_line_item_FI_LTE(item, indent + 1); break;
#line 471

#line 476 "filter/f-inst.c"
 /* Dump line caller for FI_NOT */
#line 476
case FI_NOT: f_dump_line_item_FI_NOT(item, indent + 1); break;
#line 476

#line 485 "filter/f-inst.c"
 /* Dump line caller for FI_MATCH */
#line 485
case FI_MATCH: f_dump_line_item_FI_MATCH(item, indent + 1); break;
#line 485

#line 494 "filter/f-inst.c"
 /* Dump line caller for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH: f_dump_line_item_FI_NOT_MATCH(item, indent + 1); break;
#line 494

#line 499 "filter/f-inst.c"
 /* Dump line caller for FI_DEFINED */
#line 499
case FI_DEFINED: f_dump_line_item_FI_DEFINED(item, indent + 1); break;
#line 499

#line 500 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type: f_dump_line_item_FI_METHOD__T_NET__type(item, indent + 1); break;
#line 500

#line 503 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4: f_dump_line_item_FI_METHOD__T_IP__is_v4(item, indent + 1); break;
#line 503

#line 516 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_INIT */
#line 516
case FI_VAR_INIT: f_dump_line_item_FI_VAR_INIT(item, indent + 1); break;
#line 516

#line 527 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0: f_dump_line_item_FI_VAR_INIT0(item, indent + 1); break;
#line 527

#line 536 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_SET */
#line 536
case FI_VAR_SET: f_dump_line_item_FI_VAR_SET(item, indent + 1); break;
#line 536

#line 543 "filter/f-inst.c"
 /* Dump line caller for FI_VAR_GET */
#line 543
case FI_VAR_GET: f_dump_line_item_FI_VAR_GET(item, indent + 1); break;
#line 543

#line 556 "filter/f-inst.c"
 /* Dump line caller for FI_CONSTANT */
#line 556
case FI_CONSTANT: f_dump_line_item_FI_CONSTANT(item, indent + 1); break;
#line 556

#line 557 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty: f_dump_line_item_FI_METHOD__T_PATH__empty(item, indent + 1); break;
#line 557

#line 558 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty: f_dump_line_item_FI_METHOD__T_CLIST__empty(item, indent + 1); break;
#line 558

#line 559 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty: f_dump_line_item_FI_METHOD__T_ECLIST__empty(item, indent + 1); break;
#line 559

#line 562 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty: f_dump_line_item_FI_METHOD__T_LCLIST__empty(item, indent + 1); break;
#line 562

#line 584 "filter/f-inst.c"
 /* Dump line caller for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START: f_dump_line_item_FI_FOR_LOOP_START(item, indent + 1); break;
#line 584

#line 593 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT: f_dump_line_item_FI_PATH_FOR_NEXT(item, indent + 1); break;
#line 593

#line 602 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT: f_dump_line_item_FI_CLIST_FOR_NEXT(item, indent + 1); break;
#line 602

#line 611 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT: f_dump_line_item_FI_ECLIST_FOR_NEXT(item, indent + 1); break;
#line 611

#line 620 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT: f_dump_line_item_FI_LCLIST_FOR_NEXT(item, indent + 1); break;
#line 620

#line 636 "filter/f-inst.c"
 /* Dump line caller for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT: f_dump_line_item_FI_ROUTES_BLOCK_FOR_NEXT(item, indent + 1); break;
#line 636

#line 644 "filter/f-inst.c"
 /* Dump line caller for FI_CONDITION */
#line 644
case FI_CONDITION: f_dump_line_item_FI_CONDITION(item, indent + 1); break;
#line 644

#line 652 "filter/f-inst.c"
 /* Dump line caller for FI_PRINT */
#line 652
case FI_PRINT: f_dump_line_item_FI_PRINT(item, indent + 1); break;
#line 652

#line 659 "filter/f-inst.c"
 /* Dump line caller for FI_FLUSH */
#line 659
case FI_FLUSH: f_dump_line_item_FI_FLUSH(item, indent + 1); break;
#line 659

#line 673 "filter/f-inst.c"
 /* Dump line caller for FI_DIE */
#line 673
case FI_DIE: f_dump_line_item_FI_DIE(item, indent + 1); break;
#line 673

#line 703 "filter/f-inst.c"
 /* Dump line caller for FI_RTA_GET */
#line 703
case FI_RTA_GET: f_dump_line_item_FI_RTA_GET(item, indent + 1); break;
#line 703

#line 818 "filter/f-inst.c"
 /* Dump line caller for FI_RTA_SET */
#line 818
case FI_RTA_SET: f_dump_line_item_FI_RTA_SET(item, indent + 1); break;
#line 818

#line 870 "filter/f-inst.c"
 /* Dump line caller for FI_EA_GET */
#line 870
case FI_EA_GET: f_dump_line_item_FI_EA_GET(item, indent + 1); break;
#line 870

#line 940 "filter/f-inst.c"
 /* Dump line caller for FI_EA_SET */
#line 940
case FI_EA_SET: f_dump_line_item_FI_EA_SET(item, indent + 1); break;
#line 940

#line 950 "filter/f-inst.c"
 /* Dump line caller for FI_EA_UNSET */
#line 950
case FI_EA_UNSET: f_dump_line_item_FI_EA_UNSET(item, indent + 1); break;
#line 950

#line 951 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__len */
#line 951
case FI_METHOD__T_NET__len: f_dump_line_item_FI_METHOD__T_NET__len(item, indent + 1); break;
#line 951

#line 952 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__len */
#line 952
case FI_METHOD__T_PATH__len: f_dump_line_item_FI_METHOD__T_PATH__len(item, indent + 1); break;
#line 952

#line 953 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__len */
#line 953
case FI_METHOD__T_CLIST__len: f_dump_line_item_FI_METHOD__T_CLIST__len(item, indent + 1); break;
#line 953

#line 954 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__len */
#line 954
case FI_METHOD__T_ECLIST__len: f_dump_line_item_FI_METHOD__T_ECLIST__len(item, indent + 1); break;
#line 954

#line 956 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__len */
#line 956
case FI_METHOD__T_LCLIST__len: f_dump_line_item_FI_METHOD__T_LCLIST__len(item, indent + 1); break;
#line 956

#line 992 "filter/f-inst.c"
 /* Dump line caller for FI_NET_SRC */
#line 992
case FI_NET_SRC: f_dump_line_item_FI_NET_SRC(item, indent + 1); break;
#line 992

#line 1029 "filter/f-inst.c"
 /* Dump line caller for FI_NET_DST */
#line 1029
case FI_NET_DST: f_dump_line_item_FI_NET_DST(item, indent + 1); break;
#line 1029

#line 1039 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__maxlen */
#line 1039
case FI_METHOD__T_NET__maxlen: f_dump_line_item_FI_METHOD__T_NET__maxlen(item, indent + 1); break;
#line 1039

#line 1049 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__asn */
#line 1049
case FI_METHOD__T_NET__asn: f_dump_line_item_FI_METHOD__T_NET__asn(item, indent + 1); break;
#line 1049

#line 1051 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_NET__ip */
#line 1051
case FI_METHOD__T_NET__ip: f_dump_line_item_FI_METHOD__T_NET__ip(item, indent + 1); break;
#line 1051

#line 1060 "filter/f-inst.c"
 /* Dump line caller for FI_ROUTE_DISTINGUISHER */
#line 1060
case FI_ROUTE_DISTINGUISHER: f_dump_line_item_FI_ROUTE_DISTINGUISHER(item, indent + 1); break;
#line 1060

#line 1063 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__first */
#line 1063
case FI_METHOD__T_PATH__first: f_dump_line_item_FI_METHOD__T_PATH__first(item, indent + 1); break;
#line 1063

#line 1066 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__last */
#line 1066
case FI_METHOD__T_PATH__last: f_dump_line_item_FI_METHOD__T_PATH__last(item, indent + 1); break;
#line 1066

#line 1069 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
case FI_METHOD__T_PATH__last_nonaggregated: f_dump_line_item_FI_METHOD__T_PATH__last_nonaggregated(item, indent + 1); break;
#line 1069

#line 1072 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PAIR__asn */
#line 1072
case FI_METHOD__T_PAIR__asn: f_dump_line_item_FI_METHOD__T_PAIR__asn(item, indent + 1); break;
#line 1072

#line 1075 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_PAIR__data */
#line 1075
case FI_METHOD__T_PAIR__data: f_dump_line_item_FI_METHOD__T_PAIR__data(item, indent + 1); break;
#line 1075

#line 1078 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__asn */
#line 1078
case FI_METHOD__T_LC__asn: f_dump_line_item_FI_METHOD__T_LC__asn(item, indent + 1); break;
#line 1078

#line 1081 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__data1 */
#line 1081
case FI_METHOD__T_LC__data1: f_dump_line_item_FI_METHOD__T_LC__data1(item, indent + 1); break;
#line 1081

#line 1084 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LC__data2 */
#line 1084
case FI_METHOD__T_LC__data2: f_dump_line_item_FI_METHOD__T_LC__data2(item, indent + 1); break;
#line 1084

#line 1087 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__min */
#line 1087
case FI_METHOD__T_CLIST__min: f_dump_line_item_FI_METHOD__T_CLIST__min(item, indent + 1); break;
#line 1087

#line 1090 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_CLIST__max */
#line 1090
case FI_METHOD__T_CLIST__max: f_dump_line_item_FI_METHOD__T_CLIST__max(item, indent + 1); break;
#line 1090

#line 1093 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__min */
#line 1093
case FI_METHOD__T_ECLIST__min: f_dump_line_item_FI_METHOD__T_ECLIST__min(item, indent + 1); break;
#line 1093

#line 1096 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_ECLIST__max */
#line 1096
case FI_METHOD__T_ECLIST__max: f_dump_line_item_FI_METHOD__T_ECLIST__max(item, indent + 1); break;
#line 1096

#line 1099 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__min */
#line 1099
case FI_METHOD__T_LCLIST__min: f_dump_line_item_FI_METHOD__T_LCLIST__min(item, indent + 1); break;
#line 1099

#line 1101 "filter/f-inst.c"
 /* Dump line caller for FI_METHOD__T_LCLIST__max */
#line 1101
case FI_METHOD__T_LCLIST__max: f_dump_line_item_FI_METHOD__T_LCLIST__max(item, indent + 1); break;
#line 1101

#line 1127 "filter/f-inst.c"
 /* Dump line caller for FI_RETURN */
#line 1127
case FI_RETURN: f_dump_line_item_FI_RETURN(item, indent + 1); break;
#line 1127

#line 1186 "filter/f-inst.c"
 /* Dump line caller for FI_CALL */
#line 1186
case FI_CALL: f_dump_line_item_FI_CALL(item, indent + 1); break;
#line 1186

#line 1191 "filter/f-inst.c"
 /* Dump line caller for FI_DROP_RESULT */
#line 1191
case FI_DROP_RESULT: f_dump_line_item_FI_DROP_RESULT(item, indent + 1); break;
#line 1191

#line 1232 "filter/f-inst.c"
 /* Dump line caller for FI_SWITCH */
#line 1232
case FI_SWITCH: f_dump_line_item_FI_SWITCH(item, indent + 1); break;
#line 1232

#line 1241 "filter/f-inst.c"
 /* Dump line caller for FI_IP_MASK */
#line 1241
case FI_IP_MASK: f_dump_line_item_FI_IP_MASK(item, indent + 1); break;
#line 1241

#line 1249 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_PREPEND */
#line 1249
case FI_PATH_PREPEND: f_dump_line_item_FI_PATH_PREPEND(item, indent + 1); break;
#line 1249

#line 1256 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_PAIR */
#line 1256
case FI_CLIST_ADD_PAIR: f_dump_line_item_FI_CLIST_ADD_PAIR(item, indent + 1); break;
#line 1256

#line 1270 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_IP */
#line 1270
case FI_CLIST_ADD_IP: f_dump_line_item_FI_CLIST_ADD_IP(item, indent + 1); break;
#line 1270

#line 1277 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_QUAD */
#line 1277
case FI_CLIST_ADD_QUAD: f_dump_line_item_FI_CLIST_ADD_QUAD(item, indent + 1); break;
#line 1277

#line 1284 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_ADD_CLIST */
#line 1284
case FI_CLIST_ADD_CLIST: f_dump_line_item_FI_CLIST_ADD_CLIST(item, indent + 1); break;
#line 1284

#line 1291 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_ADD_EC */
#line 1291
case FI_ECLIST_ADD_EC: f_dump_line_item_FI_ECLIST_ADD_EC(item, indent + 1); break;
#line 1291

#line 1298 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_ADD_ECLIST */
#line 1298
case FI_ECLIST_ADD_ECLIST: f_dump_line_item_FI_ECLIST_ADD_ECLIST(item, indent + 1); break;
#line 1298

#line 1305 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_ADD_LC */
#line 1305
case FI_LCLIST_ADD_LC: f_dump_line_item_FI_LCLIST_ADD_LC(item, indent + 1); break;
#line 1305

#line 1312 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_ADD_LCLIST */
#line 1312
case FI_LCLIST_ADD_LCLIST: f_dump_line_item_FI_LCLIST_ADD_LCLIST(item, indent + 1); break;
#line 1312

#line 1319 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_DELETE_INT */
#line 1319
case FI_PATH_DELETE_INT: f_dump_line_item_FI_PATH_DELETE_INT(item, indent + 1); break;
#line 1319

#line 1331 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_DELETE_SET */
#line 1331
case FI_PATH_DELETE_SET: f_dump_line_item_FI_PATH_DELETE_SET(item, indent + 1); break;
#line 1331

#line 1338 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_PAIR */
#line 1338
case FI_CLIST_DELETE_PAIR: f_dump_line_item_FI_CLIST_DELETE_PAIR(item, indent + 1); break;
#line 1338

#line 1352 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_IP */
#line 1352
case FI_CLIST_DELETE_IP: f_dump_line_item_FI_CLIST_DELETE_IP(item, indent + 1); break;
#line 1352

#line 1359 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_QUAD */
#line 1359
case FI_CLIST_DELETE_QUAD: f_dump_line_item_FI_CLIST_DELETE_QUAD(item, indent + 1); break;
#line 1359

#line 1366 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_CLIST */
#line 1366
case FI_CLIST_DELETE_CLIST: f_dump_line_item_FI_CLIST_DELETE_CLIST(item, indent + 1); break;
#line 1366

#line 1377 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_DELETE_SET */
#line 1377
case FI_CLIST_DELETE_SET: f_dump_line_item_FI_CLIST_DELETE_SET(item, indent + 1); break;
#line 1377

#line 1384 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_EC */
#line 1384
case FI_ECLIST_DELETE_EC: f_dump_line_item_FI_ECLIST_DELETE_EC(item, indent + 1); break;
#line 1384

#line 1391 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_ECLIST */
#line 1391
case FI_ECLIST_DELETE_ECLIST: f_dump_line_item_FI_ECLIST_DELETE_ECLIST(item, indent + 1); break;
#line 1391

#line 1402 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_DELETE_SET */
#line 1402
case FI_ECLIST_DELETE_SET: f_dump_line_item_FI_ECLIST_DELETE_SET(item, indent + 1); break;
#line 1402

#line 1409 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_LC */
#line 1409
case FI_LCLIST_DELETE_LC: f_dump_line_item_FI_LCLIST_DELETE_LC(item, indent + 1); break;
#line 1409

#line 1416 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_LCLIST */
#line 1416
case FI_LCLIST_DELETE_LCLIST: f_dump_line_item_FI_LCLIST_DELETE_LCLIST(item, indent + 1); break;
#line 1416

#line 1427 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_DELETE_SET */
#line 1427
case FI_LCLIST_DELETE_SET: f_dump_line_item_FI_LCLIST_DELETE_SET(item, indent + 1); break;
#line 1427

#line 1438 "filter/f-inst.c"
 /* Dump line caller for FI_PATH_FILTER_SET */
#line 1438
case FI_PATH_FILTER_SET: f_dump_line_item_FI_PATH_FILTER_SET(item, indent + 1); break;
#line 1438

#line 1445 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FILTER_CLIST */
#line 1445
case FI_CLIST_FILTER_CLIST: f_dump_line_item_FI_CLIST_FILTER_CLIST(item, indent + 1); break;
#line 1445

#line 1456 "filter/f-inst.c"
 /* Dump line caller for FI_CLIST_FILTER_SET */
#line 1456
case FI_CLIST_FILTER_SET: f_dump_line_item_FI_CLIST_FILTER_SET(item, indent + 1); break;
#line 1456

#line 1463 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FILTER_ECLIST */
#line 1463
case FI_ECLIST_FILTER_ECLIST: f_dump_line_item_FI_ECLIST_FILTER_ECLIST(item, indent + 1); break;
#line 1463

#line 1474 "filter/f-inst.c"
 /* Dump line caller for FI_ECLIST_FILTER_SET */
#line 1474
case FI_ECLIST_FILTER_SET: f_dump_line_item_FI_ECLIST_FILTER_SET(item, indent + 1); break;
#line 1474

#line 1481 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FILTER_LCLIST */
#line 1481
case FI_LCLIST_FILTER_LCLIST: f_dump_line_item_FI_LCLIST_FILTER_LCLIST(item, indent + 1); break;
#line 1481

#line 1492 "filter/f-inst.c"
 /* Dump line caller for FI_LCLIST_FILTER_SET */
#line 1492
case FI_LCLIST_FILTER_SET: f_dump_line_item_FI_LCLIST_FILTER_SET(item, indent + 1); break;
#line 1492

#line 1522 "filter/f-inst.c"
 /* Dump line caller for FI_ROA_CHECK_IMPLICIT */
#line 1522
case FI_ROA_CHECK_IMPLICIT: f_dump_line_item_FI_ROA_CHECK_IMPLICIT(item, indent + 1); break;
#line 1522

#line 1544 "filter/f-inst.c"
 /* Dump line caller for FI_ROA_CHECK_EXPLICIT */
#line 1544
case FI_ROA_CHECK_EXPLICIT: f_dump_line_item_FI_ROA_CHECK_EXPLICIT(item, indent + 1); break;
#line 1544

#line 1559 "filter/f-inst.c"
 /* Dump line caller for FI_FROM_HEX */
#line 1559
case FI_FROM_HEX: f_dump_line_item_FI_FROM_HEX(item, indent + 1); break;
#line 1559

#line 1564 "filter/f-inst.c"
 /* Dump line caller for FI_FORMAT */
#line 1564
case FI_FORMAT: f_dump_line_item_FI_FORMAT(item, indent + 1); break;
#line 1564

#line 820 "filter/decl.m4"
 /* Dump line caller for FI_ASSERT */
#line 820
case FI_ASSERT: f_dump_line_item_FI_ASSERT(item, indent + 1); break;
#line 820

#line 681 "filter/decl.m4"

      default: bug("Unknown instruction %x in f_dump_line", item->fi_code);
    }
  }
  debug("%sFilter line %p dump done\n", INDENT, dest);
}

/* Linearize */
static uint
linearize(struct f_line *dest, const struct f_inst *what, uint pos)
{
  for ( ; what; what = what->next) {
    switch (what->fi_code) {
#line 291 "filter/f-inst.c"
 /* Linearize for FI_ADD */
#line 291
case FI_ADD: {
#line 291
#define whati (&(what->i_FI_ADD))
#line 291
#define item (&(dest->items[pos].i_FI_ADD))
#line 291
  #line 287 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 288 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 291 "filter/f-inst.c"
#undef item
#line 291
  dest->items[pos].fi_code = what->fi_code;
#line 291
  dest->items[pos].flags = what->flags;
#line 291
  dest->items[pos].lineno = what->lineno;
#line 291
  break;
#line 291
}
#line 291

#line 296 "filter/f-inst.c"
 /* Linearize for FI_SUBTRACT */
#line 296
case FI_SUBTRACT: {
#line 296
#define whati (&(what->i_FI_SUBTRACT))
#line 296
#define item (&(dest->items[pos].i_FI_SUBTRACT))
#line 296
  #line 292 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 293 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 296 "filter/f-inst.c"
#undef item
#line 296
  dest->items[pos].fi_code = what->fi_code;
#line 296
  dest->items[pos].flags = what->flags;
#line 296
  dest->items[pos].lineno = what->lineno;
#line 296
  break;
#line 296
}
#line 296

#line 301 "filter/f-inst.c"
 /* Linearize for FI_MULTIPLY */
#line 301
case FI_MULTIPLY: {
#line 301
#define whati (&(what->i_FI_MULTIPLY))
#line 301
#define item (&(dest->items[pos].i_FI_MULTIPLY))
#line 301
  #line 297 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 298 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 301 "filter/f-inst.c"
#undef item
#line 301
  dest->items[pos].fi_code = what->fi_code;
#line 301
  dest->items[pos].flags = what->flags;
#line 301
  dest->items[pos].lineno = what->lineno;
#line 301
  break;
#line 301
}
#line 301

#line 307 "filter/f-inst.c"
 /* Linearize for FI_DIVIDE */
#line 307
case FI_DIVIDE: {
#line 307
#define whati (&(what->i_FI_DIVIDE))
#line 307
#define item (&(dest->items[pos].i_FI_DIVIDE))
#line 307
  #line 302 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 303 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 307 "filter/f-inst.c"
#undef item
#line 307
  dest->items[pos].fi_code = what->fi_code;
#line 307
  dest->items[pos].flags = what->flags;
#line 307
  dest->items[pos].lineno = what->lineno;
#line 307
  break;
#line 307
}
#line 307

#line 317 "filter/f-inst.c"
 /* Linearize for FI_AND */
#line 317
case FI_AND: {
#line 317
#define whati (&(what->i_FI_AND))
#line 317
#define item (&(dest->items[pos].i_FI_AND))
#line 317
  #line 308 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 313 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 1);
#undef whati
#line 317 "filter/f-inst.c"
#undef item
#line 317
  dest->items[pos].fi_code = what->fi_code;
#line 317
  dest->items[pos].flags = what->flags;
#line 317
  dest->items[pos].lineno = what->lineno;
#line 317
  break;
#line 317
}
#line 317

#line 328 "filter/f-inst.c"
 /* Linearize for FI_OR */
#line 328
case FI_OR: {
#line 328
#define whati (&(what->i_FI_OR))
#line 328
#define item (&(dest->items[pos].i_FI_OR))
#line 328
  #line 318 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 323 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 1);
#undef whati
#line 328 "filter/f-inst.c"
#undef item
#line 328
  dest->items[pos].fi_code = what->fi_code;
#line 328
  dest->items[pos].flags = what->flags;
#line 328
  dest->items[pos].lineno = what->lineno;
#line 328
  break;
#line 328
}
#line 328

#line 338 "filter/f-inst.c"
 /* Linearize for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT: {
#line 338
#define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 338
#define item (&(dest->items[pos].i_FI_PAIR_CONSTRUCT))
#line 338
  #line 329 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 330 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 338 "filter/f-inst.c"
#undef item
#line 338
  dest->items[pos].fi_code = what->fi_code;
#line 338
  dest->items[pos].flags = what->flags;
#line 338
  dest->items[pos].lineno = what->lineno;
#line 338
  break;
#line 338
}
#line 338

#line 378 "filter/f-inst.c"
 /* Linearize for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT: {
#line 378
#define whati (&(what->i_FI_EC_CONSTRUCT))
#line 378
#define item (&(dest->items[pos].i_FI_EC_CONSTRUCT))
#line 378
  #line 339 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 340 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 342 "filter/f-inst.c"
item->ecs = whati->ecs;
#line 342

#undef whati
#line 378 "filter/f-inst.c"
#undef item
#line 378
  dest->items[pos].fi_code = what->fi_code;
#line 378
  dest->items[pos].flags = what->flags;
#line 378
  dest->items[pos].lineno = what->lineno;
#line 378
  break;
#line 378
}
#line 378

#line 385 "filter/f-inst.c"
 /* Linearize for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT: {
#line 385
#define whati (&(what->i_FI_LC_CONSTRUCT))
#line 385
#define item (&(dest->items[pos].i_FI_LC_CONSTRUCT))
#line 385
  #line 379 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 380 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 381 "filter/f-inst.c"
pos = linearize(dest, whati->f3, pos);
#undef whati
#line 385 "filter/f-inst.c"
#undef item
#line 385
  dest->items[pos].fi_code = what->fi_code;
#line 385
  dest->items[pos].flags = what->flags;
#line 385
  dest->items[pos].lineno = what->lineno;
#line 385
  break;
#line 385
}
#line 385

#line 435 "filter/f-inst.c"
 /* Linearize for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT: {
#line 435
#define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 435
#define item (&(dest->items[pos].i_FI_PATHMASK_CONSTRUCT))
#line 435
  #line 386 "filter/f-inst.c"
  pos = linearize(dest, whati->fvar, pos);
#line 386
  item->varcount = whati->varcount;
#undef whati
#line 435 "filter/f-inst.c"
#undef item
#line 435
  dest->items[pos].fi_code = what->fi_code;
#line 435
  dest->items[pos].flags = what->flags;
#line 435
  dest->items[pos].lineno = what->lineno;
#line 435
  break;
#line 435
}
#line 435

#line 442 "filter/f-inst.c"
 /* Linearize for FI_NEQ */
#line 442
case FI_NEQ: {
#line 442
#define whati (&(what->i_FI_NEQ))
#line 442
#define item (&(dest->items[pos].i_FI_NEQ))
#line 442
  #line 436 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 437 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 442 "filter/f-inst.c"
#undef item
#line 442
  dest->items[pos].fi_code = what->fi_code;
#line 442
  dest->items[pos].flags = what->flags;
#line 442
  dest->items[pos].lineno = what->lineno;
#line 442
  break;
#line 442
}
#line 442

#line 449 "filter/f-inst.c"
 /* Linearize for FI_EQ */
#line 449
case FI_EQ: {
#line 449
#define whati (&(what->i_FI_EQ))
#line 449
#define item (&(dest->items[pos].i_FI_EQ))
#line 449
  #line 443 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 444 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 449 "filter/f-inst.c"
#undef item
#line 449
  dest->items[pos].fi_code = what->fi_code;
#line 449
  dest->items[pos].flags = what->flags;
#line 449
  dest->items[pos].lineno = what->lineno;
#line 449
  break;
#line 449
}
#line 449

#line 460 "filter/f-inst.c"
 /* Linearize for FI_LT */
#line 460
case FI_LT: {
#line 460
#define whati (&(what->i_FI_LT))
#line 460
#define item (&(dest->items[pos].i_FI_LT))
#line 460
  #line 450 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 451 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 460 "filter/f-inst.c"
#undef item
#line 460
  dest->items[pos].fi_code = what->fi_code;
#line 460
  dest->items[pos].flags = what->flags;
#line 460
  dest->items[pos].lineno = what->lineno;
#line 460
  break;
#line 460
}
#line 460

#line 471 "filter/f-inst.c"
 /* Linearize for FI_LTE */
#line 471
case FI_LTE: {
#line 471
#define whati (&(what->i_FI_LTE))
#line 471
#define item (&(dest->items[pos].i_FI_LTE))
#line 471
  #line 461 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 462 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 471 "filter/f-inst.c"
#undef item
#line 471
  dest->items[pos].fi_code = what->fi_code;
#line 471
  dest->items[pos].flags = what->flags;
#line 471
  dest->items[pos].lineno = what->lineno;
#line 471
  break;
#line 471
}
#line 471

#line 476 "filter/f-inst.c"
 /* Linearize for FI_NOT */
#line 476
case FI_NOT: {
#line 476
#define whati (&(what->i_FI_NOT))
#line 476
#define item (&(dest->items[pos].i_FI_NOT))
#line 476
  #line 472 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 476 "filter/f-inst.c"
#undef item
#line 476
  dest->items[pos].fi_code = what->fi_code;
#line 476
  dest->items[pos].flags = what->flags;
#line 476
  dest->items[pos].lineno = what->lineno;
#line 476
  break;
#line 476
}
#line 476

#line 485 "filter/f-inst.c"
 /* Linearize for FI_MATCH */
#line 485
case FI_MATCH: {
#line 485
#define whati (&(what->i_FI_MATCH))
#line 485
#define item (&(dest->items[pos].i_FI_MATCH))
#line 485
  #line 477 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 478 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 485 "filter/f-inst.c"
#undef item
#line 485
  dest->items[pos].fi_code = what->fi_code;
#line 485
  dest->items[pos].flags = what->flags;
#line 485
  dest->items[pos].lineno = what->lineno;
#line 485
  break;
#line 485
}
#line 485

#line 494 "filter/f-inst.c"
 /* Linearize for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH: {
#line 494
#define whati (&(what->i_FI_NOT_MATCH))
#line 494
#define item (&(dest->items[pos].i_FI_NOT_MATCH))
#line 494
  #line 486 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 487 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 494 "filter/f-inst.c"
#undef item
#line 494
  dest->items[pos].fi_code = what->fi_code;
#line 494
  dest->items[pos].flags = what->flags;
#line 494
  dest->items[pos].lineno = what->lineno;
#line 494
  break;
#line 494
}
#line 494

#line 499 "filter/f-inst.c"
 /* Linearize for FI_DEFINED */
#line 499
case FI_DEFINED: {
#line 499
#define whati (&(what->i_FI_DEFINED))
#line 499
#define item (&(dest->items[pos].i_FI_DEFINED))
#line 499
  #line 495 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 499 "filter/f-inst.c"
#undef item
#line 499
  dest->items[pos].fi_code = what->fi_code;
#line 499
  dest->items[pos].flags = what->flags;
#line 499
  dest->items[pos].lineno = what->lineno;
#line 499
  break;
#line 499
}
#line 499

#line 500 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type: {
#line 500
#define whati (&(what->i_FI_METHOD__T_NET__type))
#line 500
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__type))
#line 500
  #line 499 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 500 "filter/f-inst.c"
#undef item
#line 500
  dest->items[pos].fi_code = what->fi_code;
#line 500
  dest->items[pos].flags = what->flags;
#line 500
  dest->items[pos].lineno = what->lineno;
#line 500
  break;
#line 500
}
#line 500

#line 503 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4: {
#line 503
#define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 503
#define item (&(dest->items[pos].i_FI_METHOD__T_IP__is_v4))
#line 503
  #line 500 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 503 "filter/f-inst.c"
#undef item
#line 503
  dest->items[pos].fi_code = what->fi_code;
#line 503
  dest->items[pos].flags = what->flags;
#line 503
  dest->items[pos].lineno = what->lineno;
#line 503
  break;
#line 503
}
#line 503

#line 516 "filter/f-inst.c"
 /* Linearize for FI_VAR_INIT */
#line 516
case FI_VAR_INIT: {
#line 516
#define whati (&(what->i_FI_VAR_INIT))
#line 516
#define item (&(dest->items[pos].i_FI_VAR_INIT))
#line 516
  #line 505 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 506 "filter/f-inst.c"
item->sym = whati->sym;
#line 506

#undef whati
#line 516 "filter/f-inst.c"
#undef item
#line 516
  dest->items[pos].fi_code = what->fi_code;
#line 516
  dest->items[pos].flags = what->flags;
#line 516
  dest->items[pos].lineno = what->lineno;
#line 516
  break;
#line 516
}
#line 516

#line 527 "filter/f-inst.c"
 /* Linearize for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0: {
#line 527
#define whati (&(what->i_FI_VAR_INIT0))
#line 527
#define item (&(dest->items[pos].i_FI_VAR_INIT0))
#line 527
  #line 518 "filter/f-inst.c"
item->sym = whati->sym;
#line 518

#undef whati
#line 527 "filter/f-inst.c"
#undef item
#line 527
  dest->items[pos].fi_code = what->fi_code;
#line 527
  dest->items[pos].flags = what->flags;
#line 527
  dest->items[pos].lineno = what->lineno;
#line 527
  break;
#line 527
}
#line 527

#line 536 "filter/f-inst.c"
 /* Linearize for FI_VAR_SET */
#line 536
case FI_VAR_SET: {
#line 536
#define whati (&(what->i_FI_VAR_SET))
#line 536
#define item (&(dest->items[pos].i_FI_VAR_SET))
#line 536
  #line 529 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 530 "filter/f-inst.c"
item->sym = whati->sym;
#line 530

#undef whati
#line 536 "filter/f-inst.c"
#undef item
#line 536
  dest->items[pos].fi_code = what->fi_code;
#line 536
  dest->items[pos].flags = what->flags;
#line 536
  dest->items[pos].lineno = what->lineno;
#line 536
  break;
#line 536
}
#line 536

#line 543 "filter/f-inst.c"
 /* Linearize for FI_VAR_GET */
#line 543
case FI_VAR_GET: {
#line 543
#define whati (&(what->i_FI_VAR_GET))
#line 543
#define item (&(dest->items[pos].i_FI_VAR_GET))
#line 543
  #line 537 "filter/f-inst.c"
item->sym = whati->sym;
#line 537

#undef whati
#line 543 "filter/f-inst.c"
#undef item
#line 543
  dest->items[pos].fi_code = what->fi_code;
#line 543
  dest->items[pos].flags = what->flags;
#line 543
  dest->items[pos].lineno = what->lineno;
#line 543
  break;
#line 543
}
#line 543

#line 556 "filter/f-inst.c"
 /* Linearize for FI_CONSTANT */
#line 556
case FI_CONSTANT: {
#line 556
#define whati (&(what->i_FI_CONSTANT))
#line 556
#define item (&(dest->items[pos].i_FI_CONSTANT))
#line 556
  #line 544 "filter/f-inst.c"
item->val = whati->val;
#line 544

#undef whati
#line 556 "filter/f-inst.c"
#undef item
#line 556
  dest->items[pos].fi_code = what->fi_code;
#line 556
  dest->items[pos].flags = what->flags;
#line 556
  dest->items[pos].lineno = what->lineno;
#line 556
  break;
#line 556
}
#line 556

#line 557 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty: {
#line 557
#define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 557
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__empty))
#line 557
  #line 556 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 557 "filter/f-inst.c"
#undef item
#line 557
  dest->items[pos].fi_code = what->fi_code;
#line 557
  dest->items[pos].flags = what->flags;
#line 557
  dest->items[pos].lineno = what->lineno;
#line 557
  break;
#line 557
}
#line 557

#line 558 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty: {
#line 558
#define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 558
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__empty))
#line 558
  #line 557 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 558 "filter/f-inst.c"
#undef item
#line 558
  dest->items[pos].fi_code = what->fi_code;
#line 558
  dest->items[pos].flags = what->flags;
#line 558
  dest->items[pos].lineno = what->lineno;
#line 558
  break;
#line 558
}
#line 558

#line 559 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty: {
#line 559
#define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 559
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__empty))
#line 559
  #line 558 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 559 "filter/f-inst.c"
#undef item
#line 559
  dest->items[pos].fi_code = what->fi_code;
#line 559
  dest->items[pos].flags = what->flags;
#line 559
  dest->items[pos].lineno = what->lineno;
#line 559
  break;
#line 559
}
#line 559

#line 562 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty: {
#line 562
#define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 562
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__empty))
#line 562
  #line 559 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 562 "filter/f-inst.c"
#undef item
#line 562
  dest->items[pos].fi_code = what->fi_code;
#line 562
  dest->items[pos].flags = what->flags;
#line 562
  dest->items[pos].lineno = what->lineno;
#line 562
  break;
#line 562
}
#line 562

#line 584 "filter/f-inst.c"
 /* Linearize for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START: {
#line 584
#define whati (&(what->i_FI_FOR_LOOP_START))
#line 584
#define item (&(dest->items[pos].i_FI_FOR_LOOP_START))
#line 584
  #line 564 "filter/f-inst.c"
item->sym = whati->sym;
#line 564

#undef whati
#line 584 "filter/f-inst.c"
#undef item
#line 584
  dest->items[pos].fi_code = what->fi_code;
#line 584
  dest->items[pos].flags = what->flags;
#line 584
  dest->items[pos].lineno = what->lineno;
#line 584
  break;
#line 584
}
#line 584

#line 593 "filter/f-inst.c"
 /* Linearize for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT: {
#line 593
#define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 593
#define item (&(dest->items[pos].i_FI_PATH_FOR_NEXT))
#line 593
  #line 586 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 588 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 593 "filter/f-inst.c"
#undef item
#line 593
  dest->items[pos].fi_code = what->fi_code;
#line 593
  dest->items[pos].flags = what->flags;
#line 593
  dest->items[pos].lineno = what->lineno;
#line 593
  break;
#line 593
}
#line 593

#line 602 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT: {
#line 602
#define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 602
#define item (&(dest->items[pos].i_FI_CLIST_FOR_NEXT))
#line 602
  #line 595 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 597 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 602 "filter/f-inst.c"
#undef item
#line 602
  dest->items[pos].fi_code = what->fi_code;
#line 602
  dest->items[pos].flags = what->flags;
#line 602
  dest->items[pos].lineno = what->lineno;
#line 602
  break;
#line 602
}
#line 602

#line 611 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT: {
#line 611
#define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 611
#define item (&(dest->items[pos].i_FI_ECLIST_FOR_NEXT))
#line 611
  #line 604 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 606 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 611 "filter/f-inst.c"
#undef item
#line 611
  dest->items[pos].fi_code = what->fi_code;
#line 611
  dest->items[pos].flags = what->flags;
#line 611
  dest->items[pos].lineno = what->lineno;
#line 611
  break;
#line 611
}
#line 611

#line 620 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT: {
#line 620
#define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 620
#define item (&(dest->items[pos].i_FI_LCLIST_FOR_NEXT))
#line 620
  #line 613 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 615 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 620 "filter/f-inst.c"
#undef item
#line 620
  dest->items[pos].fi_code = what->fi_code;
#line 620
  dest->items[pos].flags = what->flags;
#line 620
  dest->items[pos].lineno = what->lineno;
#line 620
  break;
#line 620
}
#line 620

#line 636 "filter/f-inst.c"
 /* Linearize for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT: {
#line 636
#define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
#define item (&(dest->items[pos].i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
  #line 622 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 630 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#undef whati
#line 636 "filter/f-inst.c"
#undef item
#line 636
  dest->items[pos].fi_code = what->fi_code;
#line 636
  dest->items[pos].flags = what->flags;
#line 636
  dest->items[pos].lineno = what->lineno;
#line 636
  break;
#line 636
}
#line 636

#line 644 "filter/f-inst.c"
 /* Linearize for FI_CONDITION */
#line 644
case FI_CONDITION: {
#line 644
#define whati (&(what->i_FI_CONDITION))
#line 644
#define item (&(dest->items[pos].i_FI_CONDITION))
#line 644
  #line 637 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 639 "filter/f-inst.c"
item->fl2 = f_linearize(whati->f2, 0);
#line 641 "filter/f-inst.c"
item->fl3 = f_linearize(whati->f3, 0);
#undef whati
#line 644 "filter/f-inst.c"
#undef item
#line 644
  dest->items[pos].fi_code = what->fi_code;
#line 644
  dest->items[pos].flags = what->flags;
#line 644
  dest->items[pos].lineno = what->lineno;
#line 644
  break;
#line 644
}
#line 644

#line 652 "filter/f-inst.c"
 /* Linearize for FI_PRINT */
#line 652
case FI_PRINT: {
#line 652
#define whati (&(what->i_FI_PRINT))
#line 652
#define item (&(dest->items[pos].i_FI_PRINT))
#line 652
  #line 646 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 652 "filter/f-inst.c"
#undef item
#line 652
  dest->items[pos].fi_code = what->fi_code;
#line 652
  dest->items[pos].flags = what->flags;
#line 652
  dest->items[pos].lineno = what->lineno;
#line 652
  break;
#line 652
}
#line 652

#line 659 "filter/f-inst.c"
 /* Linearize for FI_FLUSH */
#line 659
case FI_FLUSH: {
#line 659
#define whati (&(what->i_FI_FLUSH))
#line 659
#define item (&(dest->items[pos].i_FI_FLUSH))
#line 659
  #undef whati
#line 659
#undef item
#line 659
  dest->items[pos].fi_code = what->fi_code;
#line 659
  dest->items[pos].flags = what->flags;
#line 659
  dest->items[pos].lineno = what->lineno;
#line 659
  break;
#line 659
}
#line 659

#line 673 "filter/f-inst.c"
 /* Linearize for FI_DIE */
#line 673
case FI_DIE: {
#line 673
#define whati (&(what->i_FI_DIE))
#line 673
#define item (&(dest->items[pos].i_FI_DIE))
#line 673
  #line 661 "filter/f-inst.c"
item->fret = whati->fret;
#line 661

#undef whati
#line 673 "filter/f-inst.c"
#undef item
#line 673
  dest->items[pos].fi_code = what->fi_code;
#line 673
  dest->items[pos].flags = what->flags;
#line 673
  dest->items[pos].lineno = what->lineno;
#line 673
  break;
#line 673
}
#line 673

#line 703 "filter/f-inst.c"
 /* Linearize for FI_RTA_GET */
#line 703
case FI_RTA_GET: {
#line 703
#define whati (&(what->i_FI_RTA_GET))
#line 703
#define item (&(dest->items[pos].i_FI_RTA_GET))
#line 703
  #line 676 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 677 "filter/f-inst.c"
item->sa = whati->sa;
#line 677

#undef whati
#line 703 "filter/f-inst.c"
#undef item
#line 703
  dest->items[pos].fi_code = what->fi_code;
#line 703
  dest->items[pos].flags = what->flags;
#line 703
  dest->items[pos].lineno = what->lineno;
#line 703
  break;
#line 703
}
#line 703

#line 818 "filter/f-inst.c"
 /* Linearize for FI_RTA_SET */
#line 818
case FI_RTA_SET: {
#line 818
#define whati (&(what->i_FI_RTA_SET))
#line 818
#define item (&(dest->items[pos].i_FI_RTA_SET))
#line 818
  #line 705 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 706 "filter/f-inst.c"
item->sa = whati->sa;
#line 706

#undef whati
#line 818 "filter/f-inst.c"
#undef item
#line 818
  dest->items[pos].fi_code = what->fi_code;
#line 818
  dest->items[pos].flags = what->flags;
#line 818
  dest->items[pos].lineno = what->lineno;
#line 818
  break;
#line 818
}
#line 818

#line 870 "filter/f-inst.c"
 /* Linearize for FI_EA_GET */
#line 870
case FI_EA_GET: {
#line 870
#define whati (&(what->i_FI_EA_GET))
#line 870
#define item (&(dest->items[pos].i_FI_EA_GET))
#line 870
  #line 821 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 822 "filter/f-inst.c"
item->da = whati->da;
#line 822

#undef whati
#line 870 "filter/f-inst.c"
#undef item
#line 870
  dest->items[pos].fi_code = what->fi_code;
#line 870
  dest->items[pos].flags = what->flags;
#line 870
  dest->items[pos].lineno = what->lineno;
#line 870
  break;
#line 870
}
#line 870

#line 940 "filter/f-inst.c"
 /* Linearize for FI_EA_SET */
#line 940
case FI_EA_SET: {
#line 940
#define whati (&(what->i_FI_EA_SET))
#line 940
#define item (&(dest->items[pos].i_FI_EA_SET))
#line 940
  #line 873 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 874 "filter/f-inst.c"
item->da = whati->da;
#line 874

#undef whati
#line 940 "filter/f-inst.c"
#undef item
#line 940
  dest->items[pos].fi_code = what->fi_code;
#line 940
  dest->items[pos].flags = what->flags;
#line 940
  dest->items[pos].lineno = what->lineno;
#line 940
  break;
#line 940
}
#line 940

#line 950 "filter/f-inst.c"
 /* Linearize for FI_EA_UNSET */
#line 950
case FI_EA_UNSET: {
#line 950
#define whati (&(what->i_FI_EA_UNSET))
#line 950
#define item (&(dest->items[pos].i_FI_EA_UNSET))
#line 950
  #line 941 "filter/f-inst.c"
item->da = whati->da;
#line 941

#undef whati
#line 950 "filter/f-inst.c"
#undef item
#line 950
  dest->items[pos].fi_code = what->fi_code;
#line 950
  dest->items[pos].flags = what->flags;
#line 950
  dest->items[pos].lineno = what->lineno;
#line 950
  break;
#line 950
}
#line 950

#line 951 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__len */
#line 951
case FI_METHOD__T_NET__len: {
#line 951
#define whati (&(what->i_FI_METHOD__T_NET__len))
#line 951
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__len))
#line 951
  #line 950 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 951 "filter/f-inst.c"
#undef item
#line 951
  dest->items[pos].fi_code = what->fi_code;
#line 951
  dest->items[pos].flags = what->flags;
#line 951
  dest->items[pos].lineno = what->lineno;
#line 951
  break;
#line 951
}
#line 951

#line 952 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__len */
#line 952
case FI_METHOD__T_PATH__len: {
#line 952
#define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 952
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__len))
#line 952
  #line 951 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 952 "filter/f-inst.c"
#undef item
#line 952
  dest->items[pos].fi_code = what->fi_code;
#line 952
  dest->items[pos].flags = what->flags;
#line 952
  dest->items[pos].lineno = what->lineno;
#line 952
  break;
#line 952
}
#line 952

#line 953 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__len */
#line 953
case FI_METHOD__T_CLIST__len: {
#line 953
#define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 953
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__len))
#line 953
  #line 952 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 953 "filter/f-inst.c"
#undef item
#line 953
  dest->items[pos].fi_code = what->fi_code;
#line 953
  dest->items[pos].flags = what->flags;
#line 953
  dest->items[pos].lineno = what->lineno;
#line 953
  break;
#line 953
}
#line 953

#line 954 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__len */
#line 954
case FI_METHOD__T_ECLIST__len: {
#line 954
#define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 954
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__len))
#line 954
  #line 953 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 954 "filter/f-inst.c"
#undef item
#line 954
  dest->items[pos].fi_code = what->fi_code;
#line 954
  dest->items[pos].flags = what->flags;
#line 954
  dest->items[pos].lineno = what->lineno;
#line 954
  break;
#line 954
}
#line 954

#line 956 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__len */
#line 956
case FI_METHOD__T_LCLIST__len: {
#line 956
#define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 956
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__len))
#line 956
  #line 954 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 956 "filter/f-inst.c"
#undef item
#line 956
  dest->items[pos].fi_code = what->fi_code;
#line 956
  dest->items[pos].flags = what->flags;
#line 956
  dest->items[pos].lineno = what->lineno;
#line 956
  break;
#line 956
}
#line 956

#line 992 "filter/f-inst.c"
 /* Linearize for FI_NET_SRC */
#line 992
case FI_NET_SRC: {
#line 992
#define whati (&(what->i_FI_NET_SRC))
#line 992
#define item (&(dest->items[pos].i_FI_NET_SRC))
#line 992
  #line 957 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 992 "filter/f-inst.c"
#undef item
#line 992
  dest->items[pos].fi_code = what->fi_code;
#line 992
  dest->items[pos].flags = what->flags;
#line 992
  dest->items[pos].lineno = what->lineno;
#line 992
  break;
#line 992
}
#line 992

#line 1029 "filter/f-inst.c"
 /* Linearize for FI_NET_DST */
#line 1029
case FI_NET_DST: {
#line 1029
#define whati (&(what->i_FI_NET_DST))
#line 1029
#define item (&(dest->items[pos].i_FI_NET_DST))
#line 1029
  #line 993 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1029 "filter/f-inst.c"
#undef item
#line 1029
  dest->items[pos].fi_code = what->fi_code;
#line 1029
  dest->items[pos].flags = what->flags;
#line 1029
  dest->items[pos].lineno = what->lineno;
#line 1029
  break;
#line 1029
}
#line 1029

#line 1039 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__maxlen */
#line 1039
case FI_METHOD__T_NET__maxlen: {
#line 1039
#define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1039
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__maxlen))
#line 1039
  #line 1029 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1039 "filter/f-inst.c"
#undef item
#line 1039
  dest->items[pos].fi_code = what->fi_code;
#line 1039
  dest->items[pos].flags = what->flags;
#line 1039
  dest->items[pos].lineno = what->lineno;
#line 1039
  break;
#line 1039
}
#line 1039

#line 1049 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__asn */
#line 1049
case FI_METHOD__T_NET__asn: {
#line 1049
#define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1049
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__asn))
#line 1049
  #line 1039 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1049 "filter/f-inst.c"
#undef item
#line 1049
  dest->items[pos].fi_code = what->fi_code;
#line 1049
  dest->items[pos].flags = what->flags;
#line 1049
  dest->items[pos].lineno = what->lineno;
#line 1049
  break;
#line 1049
}
#line 1049

#line 1051 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_NET__ip */
#line 1051
case FI_METHOD__T_NET__ip: {
#line 1051
#define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1051
#define item (&(dest->items[pos].i_FI_METHOD__T_NET__ip))
#line 1051
  #line 1049 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1051 "filter/f-inst.c"
#undef item
#line 1051
  dest->items[pos].fi_code = what->fi_code;
#line 1051
  dest->items[pos].flags = what->flags;
#line 1051
  dest->items[pos].lineno = what->lineno;
#line 1051
  break;
#line 1051
}
#line 1051

#line 1060 "filter/f-inst.c"
 /* Linearize for FI_ROUTE_DISTINGUISHER */
#line 1060
case FI_ROUTE_DISTINGUISHER: {
#line 1060
#define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1060
#define item (&(dest->items[pos].i_FI_ROUTE_DISTINGUISHER))
#line 1060
  #line 1052 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1060 "filter/f-inst.c"
#undef item
#line 1060
  dest->items[pos].fi_code = what->fi_code;
#line 1060
  dest->items[pos].flags = what->flags;
#line 1060
  dest->items[pos].lineno = what->lineno;
#line 1060
  break;
#line 1060
}
#line 1060

#line 1063 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__first */
#line 1063
case FI_METHOD__T_PATH__first: {
#line 1063
#define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1063
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__first))
#line 1063
  #line 1060 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1063 "filter/f-inst.c"
#undef item
#line 1063
  dest->items[pos].fi_code = what->fi_code;
#line 1063
  dest->items[pos].flags = what->flags;
#line 1063
  dest->items[pos].lineno = what->lineno;
#line 1063
  break;
#line 1063
}
#line 1063

#line 1066 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__last */
#line 1066
case FI_METHOD__T_PATH__last: {
#line 1066
#define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1066
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__last))
#line 1066
  #line 1063 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1066 "filter/f-inst.c"
#undef item
#line 1066
  dest->items[pos].fi_code = what->fi_code;
#line 1066
  dest->items[pos].flags = what->flags;
#line 1066
  dest->items[pos].lineno = what->lineno;
#line 1066
  break;
#line 1066
}
#line 1066

#line 1069 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
case FI_METHOD__T_PATH__last_nonaggregated: {
#line 1069
#define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
#define item (&(dest->items[pos].i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
  #line 1066 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1069 "filter/f-inst.c"
#undef item
#line 1069
  dest->items[pos].fi_code = what->fi_code;
#line 1069
  dest->items[pos].flags = what->flags;
#line 1069
  dest->items[pos].lineno = what->lineno;
#line 1069
  break;
#line 1069
}
#line 1069

#line 1072 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PAIR__asn */
#line 1072
case FI_METHOD__T_PAIR__asn: {
#line 1072
#define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1072
#define item (&(dest->items[pos].i_FI_METHOD__T_PAIR__asn))
#line 1072
  #line 1069 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1072 "filter/f-inst.c"
#undef item
#line 1072
  dest->items[pos].fi_code = what->fi_code;
#line 1072
  dest->items[pos].flags = what->flags;
#line 1072
  dest->items[pos].lineno = what->lineno;
#line 1072
  break;
#line 1072
}
#line 1072

#line 1075 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_PAIR__data */
#line 1075
case FI_METHOD__T_PAIR__data: {
#line 1075
#define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1075
#define item (&(dest->items[pos].i_FI_METHOD__T_PAIR__data))
#line 1075
  #line 1072 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1075 "filter/f-inst.c"
#undef item
#line 1075
  dest->items[pos].fi_code = what->fi_code;
#line 1075
  dest->items[pos].flags = what->flags;
#line 1075
  dest->items[pos].lineno = what->lineno;
#line 1075
  break;
#line 1075
}
#line 1075

#line 1078 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__asn */
#line 1078
case FI_METHOD__T_LC__asn: {
#line 1078
#define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1078
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__asn))
#line 1078
  #line 1075 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1078 "filter/f-inst.c"
#undef item
#line 1078
  dest->items[pos].fi_code = what->fi_code;
#line 1078
  dest->items[pos].flags = what->flags;
#line 1078
  dest->items[pos].lineno = what->lineno;
#line 1078
  break;
#line 1078
}
#line 1078

#line 1081 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__data1 */
#line 1081
case FI_METHOD__T_LC__data1: {
#line 1081
#define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1081
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__data1))
#line 1081
  #line 1078 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1081 "filter/f-inst.c"
#undef item
#line 1081
  dest->items[pos].fi_code = what->fi_code;
#line 1081
  dest->items[pos].flags = what->flags;
#line 1081
  dest->items[pos].lineno = what->lineno;
#line 1081
  break;
#line 1081
}
#line 1081

#line 1084 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LC__data2 */
#line 1084
case FI_METHOD__T_LC__data2: {
#line 1084
#define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1084
#define item (&(dest->items[pos].i_FI_METHOD__T_LC__data2))
#line 1084
  #line 1081 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1084 "filter/f-inst.c"
#undef item
#line 1084
  dest->items[pos].fi_code = what->fi_code;
#line 1084
  dest->items[pos].flags = what->flags;
#line 1084
  dest->items[pos].lineno = what->lineno;
#line 1084
  break;
#line 1084
}
#line 1084

#line 1087 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__min */
#line 1087
case FI_METHOD__T_CLIST__min: {
#line 1087
#define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1087
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__min))
#line 1087
  #line 1084 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1087 "filter/f-inst.c"
#undef item
#line 1087
  dest->items[pos].fi_code = what->fi_code;
#line 1087
  dest->items[pos].flags = what->flags;
#line 1087
  dest->items[pos].lineno = what->lineno;
#line 1087
  break;
#line 1087
}
#line 1087

#line 1090 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_CLIST__max */
#line 1090
case FI_METHOD__T_CLIST__max: {
#line 1090
#define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1090
#define item (&(dest->items[pos].i_FI_METHOD__T_CLIST__max))
#line 1090
  #line 1087 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1090 "filter/f-inst.c"
#undef item
#line 1090
  dest->items[pos].fi_code = what->fi_code;
#line 1090
  dest->items[pos].flags = what->flags;
#line 1090
  dest->items[pos].lineno = what->lineno;
#line 1090
  break;
#line 1090
}
#line 1090

#line 1093 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__min */
#line 1093
case FI_METHOD__T_ECLIST__min: {
#line 1093
#define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1093
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__min))
#line 1093
  #line 1090 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1093 "filter/f-inst.c"
#undef item
#line 1093
  dest->items[pos].fi_code = what->fi_code;
#line 1093
  dest->items[pos].flags = what->flags;
#line 1093
  dest->items[pos].lineno = what->lineno;
#line 1093
  break;
#line 1093
}
#line 1093

#line 1096 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_ECLIST__max */
#line 1096
case FI_METHOD__T_ECLIST__max: {
#line 1096
#define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1096
#define item (&(dest->items[pos].i_FI_METHOD__T_ECLIST__max))
#line 1096
  #line 1093 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1096 "filter/f-inst.c"
#undef item
#line 1096
  dest->items[pos].fi_code = what->fi_code;
#line 1096
  dest->items[pos].flags = what->flags;
#line 1096
  dest->items[pos].lineno = what->lineno;
#line 1096
  break;
#line 1096
}
#line 1096

#line 1099 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__min */
#line 1099
case FI_METHOD__T_LCLIST__min: {
#line 1099
#define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1099
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__min))
#line 1099
  #line 1096 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1099 "filter/f-inst.c"
#undef item
#line 1099
  dest->items[pos].fi_code = what->fi_code;
#line 1099
  dest->items[pos].flags = what->flags;
#line 1099
  dest->items[pos].lineno = what->lineno;
#line 1099
  break;
#line 1099
}
#line 1099

#line 1101 "filter/f-inst.c"
 /* Linearize for FI_METHOD__T_LCLIST__max */
#line 1101
case FI_METHOD__T_LCLIST__max: {
#line 1101
#define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1101
#define item (&(dest->items[pos].i_FI_METHOD__T_LCLIST__max))
#line 1101
  #line 1099 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1101 "filter/f-inst.c"
#undef item
#line 1101
  dest->items[pos].fi_code = what->fi_code;
#line 1101
  dest->items[pos].flags = what->flags;
#line 1101
  dest->items[pos].lineno = what->lineno;
#line 1101
  break;
#line 1101
}
#line 1101

#line 1127 "filter/f-inst.c"
 /* Linearize for FI_RETURN */
#line 1127
case FI_RETURN: {
#line 1127
#define whati (&(what->i_FI_RETURN))
#line 1127
#define item (&(dest->items[pos].i_FI_RETURN))
#line 1127
  #line 1104 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1127 "filter/f-inst.c"
#undef item
#line 1127
  dest->items[pos].fi_code = what->fi_code;
#line 1127
  dest->items[pos].flags = what->flags;
#line 1127
  dest->items[pos].lineno = what->lineno;
#line 1127
  break;
#line 1127
}
#line 1127

#line 1186 "filter/f-inst.c"
 /* Linearize for FI_CALL */
#line 1186
case FI_CALL: {
#line 1186
#define whati (&(what->i_FI_CALL))
#line 1186
#define item (&(dest->items[pos].i_FI_CALL))
#line 1186
  #line 1129 "filter/f-inst.c"
  pos = linearize(dest, whati->fvar, pos);
#line 1129
  item->varcount = whati->varcount;
#line 1130 "filter/f-inst.c"
item->sym = whati->sym;
#line 1130

#undef whati
#line 1186 "filter/f-inst.c"
#undef item
#line 1186
  dest->items[pos].fi_code = what->fi_code;
#line 1186
  dest->items[pos].flags = what->flags;
#line 1186
  dest->items[pos].lineno = what->lineno;
#line 1186
  break;
#line 1186
}
#line 1186

#line 1191 "filter/f-inst.c"
 /* Linearize for FI_DROP_RESULT */
#line 1191
case FI_DROP_RESULT: {
#line 1191
#define whati (&(what->i_FI_DROP_RESULT))
#line 1191
#define item (&(dest->items[pos].i_FI_DROP_RESULT))
#line 1191
  #line 1188 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1191 "filter/f-inst.c"
#undef item
#line 1191
  dest->items[pos].fi_code = what->fi_code;
#line 1191
  dest->items[pos].flags = what->flags;
#line 1191
  dest->items[pos].lineno = what->lineno;
#line 1191
  break;
#line 1191
}
#line 1191

#line 1232 "filter/f-inst.c"
 /* Linearize for FI_SWITCH */
#line 1232
case FI_SWITCH: {
#line 1232
#define whati (&(what->i_FI_SWITCH))
#line 1232
#define item (&(dest->items[pos].i_FI_SWITCH))
#line 1232
  #line 1192 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1194 "filter/f-inst.c"
item->tree = whati->tree;
#line 1194


#line 1197 "filter/f-inst.c"
    /* Linearize all branches in switch */
    struct f_inst *last_inst = NULL;
    struct f_line *last_line = NULL;
    for (struct f_tree *t = whati->tree; t; t = t->left)
    {
      if (t->data != last_inst)
      {
	last_inst = t->data;
	last_line = f_linearize(t->data, 0);
      }

      t->data = last_line;
    }

    /* Balance the tree */
    item->tree = build_tree(whati->tree);

    #undef whati
#line 1232 "filter/f-inst.c"
#undef item
#line 1232
  dest->items[pos].fi_code = what->fi_code;
#line 1232
  dest->items[pos].flags = what->flags;
#line 1232
  dest->items[pos].lineno = what->lineno;
#line 1232
  break;
#line 1232
}
#line 1232

#line 1241 "filter/f-inst.c"
 /* Linearize for FI_IP_MASK */
#line 1241
case FI_IP_MASK: {
#line 1241
#define whati (&(what->i_FI_IP_MASK))
#line 1241
#define item (&(dest->items[pos].i_FI_IP_MASK))
#line 1241
  #line 1233 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1234 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1241 "filter/f-inst.c"
#undef item
#line 1241
  dest->items[pos].fi_code = what->fi_code;
#line 1241
  dest->items[pos].flags = what->flags;
#line 1241
  dest->items[pos].lineno = what->lineno;
#line 1241
  break;
#line 1241
}
#line 1241

#line 1249 "filter/f-inst.c"
 /* Linearize for FI_PATH_PREPEND */
#line 1249
case FI_PATH_PREPEND: {
#line 1249
#define whati (&(what->i_FI_PATH_PREPEND))
#line 1249
#define item (&(dest->items[pos].i_FI_PATH_PREPEND))
#line 1249
  #line 1242 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1243 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1249 "filter/f-inst.c"
#undef item
#line 1249
  dest->items[pos].fi_code = what->fi_code;
#line 1249
  dest->items[pos].flags = what->flags;
#line 1249
  dest->items[pos].lineno = what->lineno;
#line 1249
  break;
#line 1249
}
#line 1249

#line 1256 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_PAIR */
#line 1256
case FI_CLIST_ADD_PAIR: {
#line 1256
#define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1256
#define item (&(dest->items[pos].i_FI_CLIST_ADD_PAIR))
#line 1256
  #line 1250 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1251 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1256 "filter/f-inst.c"
#undef item
#line 1256
  dest->items[pos].fi_code = what->fi_code;
#line 1256
  dest->items[pos].flags = what->flags;
#line 1256
  dest->items[pos].lineno = what->lineno;
#line 1256
  break;
#line 1256
}
#line 1256

#line 1270 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_IP */
#line 1270
case FI_CLIST_ADD_IP: {
#line 1270
#define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1270
#define item (&(dest->items[pos].i_FI_CLIST_ADD_IP))
#line 1270
  #line 1257 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1258 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1270 "filter/f-inst.c"
#undef item
#line 1270
  dest->items[pos].fi_code = what->fi_code;
#line 1270
  dest->items[pos].flags = what->flags;
#line 1270
  dest->items[pos].lineno = what->lineno;
#line 1270
  break;
#line 1270
}
#line 1270

#line 1277 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_QUAD */
#line 1277
case FI_CLIST_ADD_QUAD: {
#line 1277
#define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1277
#define item (&(dest->items[pos].i_FI_CLIST_ADD_QUAD))
#line 1277
  #line 1271 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1272 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1277 "filter/f-inst.c"
#undef item
#line 1277
  dest->items[pos].fi_code = what->fi_code;
#line 1277
  dest->items[pos].flags = what->flags;
#line 1277
  dest->items[pos].lineno = what->lineno;
#line 1277
  break;
#line 1277
}
#line 1277

#line 1284 "filter/f-inst.c"
 /* Linearize for FI_CLIST_ADD_CLIST */
#line 1284
case FI_CLIST_ADD_CLIST: {
#line 1284
#define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1284
#define item (&(dest->items[pos].i_FI_CLIST_ADD_CLIST))
#line 1284
  #line 1278 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1279 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1284 "filter/f-inst.c"
#undef item
#line 1284
  dest->items[pos].fi_code = what->fi_code;
#line 1284
  dest->items[pos].flags = what->flags;
#line 1284
  dest->items[pos].lineno = what->lineno;
#line 1284
  break;
#line 1284
}
#line 1284

#line 1291 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_ADD_EC */
#line 1291
case FI_ECLIST_ADD_EC: {
#line 1291
#define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1291
#define item (&(dest->items[pos].i_FI_ECLIST_ADD_EC))
#line 1291
  #line 1285 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1286 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1291 "filter/f-inst.c"
#undef item
#line 1291
  dest->items[pos].fi_code = what->fi_code;
#line 1291
  dest->items[pos].flags = what->flags;
#line 1291
  dest->items[pos].lineno = what->lineno;
#line 1291
  break;
#line 1291
}
#line 1291

#line 1298 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_ADD_ECLIST */
#line 1298
case FI_ECLIST_ADD_ECLIST: {
#line 1298
#define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1298
#define item (&(dest->items[pos].i_FI_ECLIST_ADD_ECLIST))
#line 1298
  #line 1292 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1293 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1298 "filter/f-inst.c"
#undef item
#line 1298
  dest->items[pos].fi_code = what->fi_code;
#line 1298
  dest->items[pos].flags = what->flags;
#line 1298
  dest->items[pos].lineno = what->lineno;
#line 1298
  break;
#line 1298
}
#line 1298

#line 1305 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_ADD_LC */
#line 1305
case FI_LCLIST_ADD_LC: {
#line 1305
#define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1305
#define item (&(dest->items[pos].i_FI_LCLIST_ADD_LC))
#line 1305
  #line 1299 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1300 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1305 "filter/f-inst.c"
#undef item
#line 1305
  dest->items[pos].fi_code = what->fi_code;
#line 1305
  dest->items[pos].flags = what->flags;
#line 1305
  dest->items[pos].lineno = what->lineno;
#line 1305
  break;
#line 1305
}
#line 1305

#line 1312 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_ADD_LCLIST */
#line 1312
case FI_LCLIST_ADD_LCLIST: {
#line 1312
#define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1312
#define item (&(dest->items[pos].i_FI_LCLIST_ADD_LCLIST))
#line 1312
  #line 1306 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1307 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1312 "filter/f-inst.c"
#undef item
#line 1312
  dest->items[pos].fi_code = what->fi_code;
#line 1312
  dest->items[pos].flags = what->flags;
#line 1312
  dest->items[pos].lineno = what->lineno;
#line 1312
  break;
#line 1312
}
#line 1312

#line 1319 "filter/f-inst.c"
 /* Linearize for FI_PATH_DELETE_INT */
#line 1319
case FI_PATH_DELETE_INT: {
#line 1319
#define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1319
#define item (&(dest->items[pos].i_FI_PATH_DELETE_INT))
#line 1319
  #line 1313 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1314 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1319 "filter/f-inst.c"
#undef item
#line 1319
  dest->items[pos].fi_code = what->fi_code;
#line 1319
  dest->items[pos].flags = what->flags;
#line 1319
  dest->items[pos].lineno = what->lineno;
#line 1319
  break;
#line 1319
}
#line 1319

#line 1331 "filter/f-inst.c"
 /* Linearize for FI_PATH_DELETE_SET */
#line 1331
case FI_PATH_DELETE_SET: {
#line 1331
#define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1331
#define item (&(dest->items[pos].i_FI_PATH_DELETE_SET))
#line 1331
  #line 1320 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1321 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1331 "filter/f-inst.c"
#undef item
#line 1331
  dest->items[pos].fi_code = what->fi_code;
#line 1331
  dest->items[pos].flags = what->flags;
#line 1331
  dest->items[pos].lineno = what->lineno;
#line 1331
  break;
#line 1331
}
#line 1331

#line 1338 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_PAIR */
#line 1338
case FI_CLIST_DELETE_PAIR: {
#line 1338
#define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1338
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_PAIR))
#line 1338
  #line 1332 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1333 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1338 "filter/f-inst.c"
#undef item
#line 1338
  dest->items[pos].fi_code = what->fi_code;
#line 1338
  dest->items[pos].flags = what->flags;
#line 1338
  dest->items[pos].lineno = what->lineno;
#line 1338
  break;
#line 1338
}
#line 1338

#line 1352 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_IP */
#line 1352
case FI_CLIST_DELETE_IP: {
#line 1352
#define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1352
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_IP))
#line 1352
  #line 1339 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1340 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1352 "filter/f-inst.c"
#undef item
#line 1352
  dest->items[pos].fi_code = what->fi_code;
#line 1352
  dest->items[pos].flags = what->flags;
#line 1352
  dest->items[pos].lineno = what->lineno;
#line 1352
  break;
#line 1352
}
#line 1352

#line 1359 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_QUAD */
#line 1359
case FI_CLIST_DELETE_QUAD: {
#line 1359
#define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1359
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_QUAD))
#line 1359
  #line 1353 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1354 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1359 "filter/f-inst.c"
#undef item
#line 1359
  dest->items[pos].fi_code = what->fi_code;
#line 1359
  dest->items[pos].flags = what->flags;
#line 1359
  dest->items[pos].lineno = what->lineno;
#line 1359
  break;
#line 1359
}
#line 1359

#line 1366 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_CLIST */
#line 1366
case FI_CLIST_DELETE_CLIST: {
#line 1366
#define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1366
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_CLIST))
#line 1366
  #line 1360 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1361 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1366 "filter/f-inst.c"
#undef item
#line 1366
  dest->items[pos].fi_code = what->fi_code;
#line 1366
  dest->items[pos].flags = what->flags;
#line 1366
  dest->items[pos].lineno = what->lineno;
#line 1366
  break;
#line 1366
}
#line 1366

#line 1377 "filter/f-inst.c"
 /* Linearize for FI_CLIST_DELETE_SET */
#line 1377
case FI_CLIST_DELETE_SET: {
#line 1377
#define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1377
#define item (&(dest->items[pos].i_FI_CLIST_DELETE_SET))
#line 1377
  #line 1367 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1368 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1377 "filter/f-inst.c"
#undef item
#line 1377
  dest->items[pos].fi_code = what->fi_code;
#line 1377
  dest->items[pos].flags = what->flags;
#line 1377
  dest->items[pos].lineno = what->lineno;
#line 1377
  break;
#line 1377
}
#line 1377

#line 1384 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_EC */
#line 1384
case FI_ECLIST_DELETE_EC: {
#line 1384
#define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1384
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_EC))
#line 1384
  #line 1378 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1379 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1384 "filter/f-inst.c"
#undef item
#line 1384
  dest->items[pos].fi_code = what->fi_code;
#line 1384
  dest->items[pos].flags = what->flags;
#line 1384
  dest->items[pos].lineno = what->lineno;
#line 1384
  break;
#line 1384
}
#line 1384

#line 1391 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_ECLIST */
#line 1391
case FI_ECLIST_DELETE_ECLIST: {
#line 1391
#define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1391
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_ECLIST))
#line 1391
  #line 1385 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1386 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1391 "filter/f-inst.c"
#undef item
#line 1391
  dest->items[pos].fi_code = what->fi_code;
#line 1391
  dest->items[pos].flags = what->flags;
#line 1391
  dest->items[pos].lineno = what->lineno;
#line 1391
  break;
#line 1391
}
#line 1391

#line 1402 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_DELETE_SET */
#line 1402
case FI_ECLIST_DELETE_SET: {
#line 1402
#define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1402
#define item (&(dest->items[pos].i_FI_ECLIST_DELETE_SET))
#line 1402
  #line 1392 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1393 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1402 "filter/f-inst.c"
#undef item
#line 1402
  dest->items[pos].fi_code = what->fi_code;
#line 1402
  dest->items[pos].flags = what->flags;
#line 1402
  dest->items[pos].lineno = what->lineno;
#line 1402
  break;
#line 1402
}
#line 1402

#line 1409 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_LC */
#line 1409
case FI_LCLIST_DELETE_LC: {
#line 1409
#define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1409
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_LC))
#line 1409
  #line 1403 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1404 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1409 "filter/f-inst.c"
#undef item
#line 1409
  dest->items[pos].fi_code = what->fi_code;
#line 1409
  dest->items[pos].flags = what->flags;
#line 1409
  dest->items[pos].lineno = what->lineno;
#line 1409
  break;
#line 1409
}
#line 1409

#line 1416 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_LCLIST */
#line 1416
case FI_LCLIST_DELETE_LCLIST: {
#line 1416
#define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1416
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_LCLIST))
#line 1416
  #line 1410 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1411 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1416 "filter/f-inst.c"
#undef item
#line 1416
  dest->items[pos].fi_code = what->fi_code;
#line 1416
  dest->items[pos].flags = what->flags;
#line 1416
  dest->items[pos].lineno = what->lineno;
#line 1416
  break;
#line 1416
}
#line 1416

#line 1427 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_DELETE_SET */
#line 1427
case FI_LCLIST_DELETE_SET: {
#line 1427
#define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1427
#define item (&(dest->items[pos].i_FI_LCLIST_DELETE_SET))
#line 1427
  #line 1417 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1418 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1427 "filter/f-inst.c"
#undef item
#line 1427
  dest->items[pos].fi_code = what->fi_code;
#line 1427
  dest->items[pos].flags = what->flags;
#line 1427
  dest->items[pos].lineno = what->lineno;
#line 1427
  break;
#line 1427
}
#line 1427

#line 1438 "filter/f-inst.c"
 /* Linearize for FI_PATH_FILTER_SET */
#line 1438
case FI_PATH_FILTER_SET: {
#line 1438
#define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1438
#define item (&(dest->items[pos].i_FI_PATH_FILTER_SET))
#line 1438
  #line 1428 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1429 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1438 "filter/f-inst.c"
#undef item
#line 1438
  dest->items[pos].fi_code = what->fi_code;
#line 1438
  dest->items[pos].flags = what->flags;
#line 1438
  dest->items[pos].lineno = what->lineno;
#line 1438
  break;
#line 1438
}
#line 1438

#line 1445 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FILTER_CLIST */
#line 1445
case FI_CLIST_FILTER_CLIST: {
#line 1445
#define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1445
#define item (&(dest->items[pos].i_FI_CLIST_FILTER_CLIST))
#line 1445
  #line 1439 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1440 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1445 "filter/f-inst.c"
#undef item
#line 1445
  dest->items[pos].fi_code = what->fi_code;
#line 1445
  dest->items[pos].flags = what->flags;
#line 1445
  dest->items[pos].lineno = what->lineno;
#line 1445
  break;
#line 1445
}
#line 1445

#line 1456 "filter/f-inst.c"
 /* Linearize for FI_CLIST_FILTER_SET */
#line 1456
case FI_CLIST_FILTER_SET: {
#line 1456
#define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1456
#define item (&(dest->items[pos].i_FI_CLIST_FILTER_SET))
#line 1456
  #line 1446 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1447 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1456 "filter/f-inst.c"
#undef item
#line 1456
  dest->items[pos].fi_code = what->fi_code;
#line 1456
  dest->items[pos].flags = what->flags;
#line 1456
  dest->items[pos].lineno = what->lineno;
#line 1456
  break;
#line 1456
}
#line 1456

#line 1463 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FILTER_ECLIST */
#line 1463
case FI_ECLIST_FILTER_ECLIST: {
#line 1463
#define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1463
#define item (&(dest->items[pos].i_FI_ECLIST_FILTER_ECLIST))
#line 1463
  #line 1457 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1458 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1463 "filter/f-inst.c"
#undef item
#line 1463
  dest->items[pos].fi_code = what->fi_code;
#line 1463
  dest->items[pos].flags = what->flags;
#line 1463
  dest->items[pos].lineno = what->lineno;
#line 1463
  break;
#line 1463
}
#line 1463

#line 1474 "filter/f-inst.c"
 /* Linearize for FI_ECLIST_FILTER_SET */
#line 1474
case FI_ECLIST_FILTER_SET: {
#line 1474
#define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1474
#define item (&(dest->items[pos].i_FI_ECLIST_FILTER_SET))
#line 1474
  #line 1464 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1465 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1474 "filter/f-inst.c"
#undef item
#line 1474
  dest->items[pos].fi_code = what->fi_code;
#line 1474
  dest->items[pos].flags = what->flags;
#line 1474
  dest->items[pos].lineno = what->lineno;
#line 1474
  break;
#line 1474
}
#line 1474

#line 1481 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FILTER_LCLIST */
#line 1481
case FI_LCLIST_FILTER_LCLIST: {
#line 1481
#define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1481
#define item (&(dest->items[pos].i_FI_LCLIST_FILTER_LCLIST))
#line 1481
  #line 1475 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1476 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1481 "filter/f-inst.c"
#undef item
#line 1481
  dest->items[pos].fi_code = what->fi_code;
#line 1481
  dest->items[pos].flags = what->flags;
#line 1481
  dest->items[pos].lineno = what->lineno;
#line 1481
  break;
#line 1481
}
#line 1481

#line 1492 "filter/f-inst.c"
 /* Linearize for FI_LCLIST_FILTER_SET */
#line 1492
case FI_LCLIST_FILTER_SET: {
#line 1492
#define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1492
#define item (&(dest->items[pos].i_FI_LCLIST_FILTER_SET))
#line 1492
  #line 1482 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1483 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#undef whati
#line 1492 "filter/f-inst.c"
#undef item
#line 1492
  dest->items[pos].fi_code = what->fi_code;
#line 1492
  dest->items[pos].flags = what->flags;
#line 1492
  dest->items[pos].lineno = what->lineno;
#line 1492
  break;
#line 1492
}
#line 1492

#line 1522 "filter/f-inst.c"
 /* Linearize for FI_ROA_CHECK_IMPLICIT */
#line 1522
case FI_ROA_CHECK_IMPLICIT: {
#line 1522
#define whati (&(what->i_FI_ROA_CHECK_IMPLICIT))
#line 1522
#define item (&(dest->items[pos].i_FI_ROA_CHECK_IMPLICIT))
#line 1522
  #line 1494 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1494

#undef whati
#line 1522 "filter/f-inst.c"
#undef item
#line 1522
  dest->items[pos].fi_code = what->fi_code;
#line 1522
  dest->items[pos].flags = what->flags;
#line 1522
  dest->items[pos].lineno = what->lineno;
#line 1522
  break;
#line 1522
}
#line 1522

#line 1544 "filter/f-inst.c"
 /* Linearize for FI_ROA_CHECK_EXPLICIT */
#line 1544
case FI_ROA_CHECK_EXPLICIT: {
#line 1544
#define whati (&(what->i_FI_ROA_CHECK_EXPLICIT))
#line 1544
#define item (&(dest->items[pos].i_FI_ROA_CHECK_EXPLICIT))
#line 1544
  #line 1524 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1525 "filter/f-inst.c"
pos = linearize(dest, whati->f2, pos);
#line 1526 "filter/f-inst.c"
item->rtc = whati->rtc;
#line 1526

#undef whati
#line 1544 "filter/f-inst.c"
#undef item
#line 1544
  dest->items[pos].fi_code = what->fi_code;
#line 1544
  dest->items[pos].flags = what->flags;
#line 1544
  dest->items[pos].lineno = what->lineno;
#line 1544
  break;
#line 1544
}
#line 1544

#line 1559 "filter/f-inst.c"
 /* Linearize for FI_FROM_HEX */
#line 1559
case FI_FROM_HEX: {
#line 1559
#define whati (&(what->i_FI_FROM_HEX))
#line 1559
#define item (&(dest->items[pos].i_FI_FROM_HEX))
#line 1559
  #line 1545 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1559 "filter/f-inst.c"
#undef item
#line 1559
  dest->items[pos].fi_code = what->fi_code;
#line 1559
  dest->items[pos].flags = what->flags;
#line 1559
  dest->items[pos].lineno = what->lineno;
#line 1559
  break;
#line 1559
}
#line 1559

#line 1564 "filter/f-inst.c"
 /* Linearize for FI_FORMAT */
#line 1564
case FI_FORMAT: {
#line 1564
#define whati (&(what->i_FI_FORMAT))
#line 1564
#define item (&(dest->items[pos].i_FI_FORMAT))
#line 1564
  #line 1560 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#undef whati
#line 1564 "filter/f-inst.c"
#undef item
#line 1564
  dest->items[pos].fi_code = what->fi_code;
#line 1564
  dest->items[pos].flags = what->flags;
#line 1564
  dest->items[pos].lineno = what->lineno;
#line 1564
  break;
#line 1564
}
#line 1564

#line 820 "filter/decl.m4"
 /* Linearize for FI_ASSERT */
#line 820
case FI_ASSERT: {
#line 820
#define whati (&(what->i_FI_ASSERT))
#line 820
#define item (&(dest->items[pos].i_FI_ASSERT))
#line 820
  #line 1566 "filter/f-inst.c"
pos = linearize(dest, whati->f1, pos);
#line 1568 "filter/f-inst.c"
item->s = whati->s;
#line 1568

#undef whati
#line 820 "filter/decl.m4"
#undef item
#line 820
  dest->items[pos].fi_code = what->fi_code;
#line 820
  dest->items[pos].flags = what->flags;
#line 820
  dest->items[pos].lineno = what->lineno;
#line 820
  break;
#line 820
}
#line 820

#line 694 "filter/decl.m4"

    }
    pos++;
  }
  return pos;
}

struct f_line *
f_linearize_concat(const struct f_inst * const inst[], uint count, uint results)
{
  uint len = 0;
  for (uint i=0; i<count; i++)
    for (const struct f_inst *what = inst[i]; what; what = what->next)
      len += what->size;

  struct f_line *out = cfg_allocz(sizeof(struct f_line) + sizeof(struct f_line_item)*len);

  for (uint i=0; i<count; i++)
    out->len = linearize(out, inst[i], out->len);

  out->results = results;

#ifdef LOCAL_DEBUG
  f_dump_line(out, 0);
#endif
  return out;
}

/* Filter line comparison */
int
f_same(const struct f_line *fl1, const struct f_line *fl2)
{
  if ((!fl1) && (!fl2))
    return 1;
  if ((!fl1) || (!fl2))
    return 0;
  if (fl1->len != fl2->len)
    return 0;
  for (uint i=0; i<fl1->len; i++) {
#define f1_ (&(fl1->items[i]))
#define f2_ (&(fl2->items[i]))
    if (f1_->fi_code != f2_->fi_code)
      return 0;
    if (f1_->flags != f2_->flags)
      return 0;

    switch(f1_->fi_code) {
#line 291 "filter/f-inst.c"
 /* Comparison for FI_ADD */
#line 291
case FI_ADD:
#line 291
#define f1 (&(f1_->i_FI_ADD))
#line 291
#define f2 (&(f2_->i_FI_ADD))
#line 291
#undef f1
#line 291
#undef f2
#line 291
break;
#line 291

#line 296 "filter/f-inst.c"
 /* Comparison for FI_SUBTRACT */
#line 296
case FI_SUBTRACT:
#line 296
#define f1 (&(f1_->i_FI_SUBTRACT))
#line 296
#define f2 (&(f2_->i_FI_SUBTRACT))
#line 296
#undef f1
#line 296
#undef f2
#line 296
break;
#line 296

#line 301 "filter/f-inst.c"
 /* Comparison for FI_MULTIPLY */
#line 301
case FI_MULTIPLY:
#line 301
#define f1 (&(f1_->i_FI_MULTIPLY))
#line 301
#define f2 (&(f2_->i_FI_MULTIPLY))
#line 301
#undef f1
#line 301
#undef f2
#line 301
break;
#line 301

#line 307 "filter/f-inst.c"
 /* Comparison for FI_DIVIDE */
#line 307
case FI_DIVIDE:
#line 307
#define f1 (&(f1_->i_FI_DIVIDE))
#line 307
#define f2 (&(f2_->i_FI_DIVIDE))
#line 307
#undef f1
#line 307
#undef f2
#line 307
break;
#line 307

#line 317 "filter/f-inst.c"
 /* Comparison for FI_AND */
#line 317
case FI_AND:
#line 317
#define f1 (&(f1_->i_FI_AND))
#line 317
#define f2 (&(f2_->i_FI_AND))
#line 313 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 317 "filter/f-inst.c"
#undef f1
#line 317
#undef f2
#line 317
break;
#line 317

#line 328 "filter/f-inst.c"
 /* Comparison for FI_OR */
#line 328
case FI_OR:
#line 328
#define f1 (&(f1_->i_FI_OR))
#line 328
#define f2 (&(f2_->i_FI_OR))
#line 323 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 328 "filter/f-inst.c"
#undef f1
#line 328
#undef f2
#line 328
break;
#line 328

#line 338 "filter/f-inst.c"
 /* Comparison for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT:
#line 338
#define f1 (&(f1_->i_FI_PAIR_CONSTRUCT))
#line 338
#define f2 (&(f2_->i_FI_PAIR_CONSTRUCT))
#line 338
#undef f1
#line 338
#undef f2
#line 338
break;
#line 338

#line 378 "filter/f-inst.c"
 /* Comparison for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT:
#line 378
#define f1 (&(f1_->i_FI_EC_CONSTRUCT))
#line 378
#define f2 (&(f2_->i_FI_EC_CONSTRUCT))
#line 342 "filter/f-inst.c"
if (f1->ecs != f2->ecs) return 0;
#line 342

#line 342

#line 378 "filter/f-inst.c"
#undef f1
#line 378
#undef f2
#line 378
break;
#line 378

#line 385 "filter/f-inst.c"
 /* Comparison for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT:
#line 385
#define f1 (&(f1_->i_FI_LC_CONSTRUCT))
#line 385
#define f2 (&(f2_->i_FI_LC_CONSTRUCT))
#line 385
#undef f1
#line 385
#undef f2
#line 385
break;
#line 385

#line 435 "filter/f-inst.c"
 /* Comparison for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT:
#line 435
#define f1 (&(f1_->i_FI_PATHMASK_CONSTRUCT))
#line 435
#define f2 (&(f2_->i_FI_PATHMASK_CONSTRUCT))
#line 386 "filter/f-inst.c"
  if (f1->varcount != f2->varcount) return 0;
#line 435 "filter/f-inst.c"
#undef f1
#line 435
#undef f2
#line 435
break;
#line 435

#line 442 "filter/f-inst.c"
 /* Comparison for FI_NEQ */
#line 442
case FI_NEQ:
#line 442
#define f1 (&(f1_->i_FI_NEQ))
#line 442
#define f2 (&(f2_->i_FI_NEQ))
#line 442
#undef f1
#line 442
#undef f2
#line 442
break;
#line 442

#line 449 "filter/f-inst.c"
 /* Comparison for FI_EQ */
#line 449
case FI_EQ:
#line 449
#define f1 (&(f1_->i_FI_EQ))
#line 449
#define f2 (&(f2_->i_FI_EQ))
#line 449
#undef f1
#line 449
#undef f2
#line 449
break;
#line 449

#line 460 "filter/f-inst.c"
 /* Comparison for FI_LT */
#line 460
case FI_LT:
#line 460
#define f1 (&(f1_->i_FI_LT))
#line 460
#define f2 (&(f2_->i_FI_LT))
#line 460
#undef f1
#line 460
#undef f2
#line 460
break;
#line 460

#line 471 "filter/f-inst.c"
 /* Comparison for FI_LTE */
#line 471
case FI_LTE:
#line 471
#define f1 (&(f1_->i_FI_LTE))
#line 471
#define f2 (&(f2_->i_FI_LTE))
#line 471
#undef f1
#line 471
#undef f2
#line 471
break;
#line 471

#line 476 "filter/f-inst.c"
 /* Comparison for FI_NOT */
#line 476
case FI_NOT:
#line 476
#define f1 (&(f1_->i_FI_NOT))
#line 476
#define f2 (&(f2_->i_FI_NOT))
#line 476
#undef f1
#line 476
#undef f2
#line 476
break;
#line 476

#line 485 "filter/f-inst.c"
 /* Comparison for FI_MATCH */
#line 485
case FI_MATCH:
#line 485
#define f1 (&(f1_->i_FI_MATCH))
#line 485
#define f2 (&(f2_->i_FI_MATCH))
#line 485
#undef f1
#line 485
#undef f2
#line 485
break;
#line 485

#line 494 "filter/f-inst.c"
 /* Comparison for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH:
#line 494
#define f1 (&(f1_->i_FI_NOT_MATCH))
#line 494
#define f2 (&(f2_->i_FI_NOT_MATCH))
#line 494
#undef f1
#line 494
#undef f2
#line 494
break;
#line 494

#line 499 "filter/f-inst.c"
 /* Comparison for FI_DEFINED */
#line 499
case FI_DEFINED:
#line 499
#define f1 (&(f1_->i_FI_DEFINED))
#line 499
#define f2 (&(f2_->i_FI_DEFINED))
#line 499
#undef f1
#line 499
#undef f2
#line 499
break;
#line 499

#line 500 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type:
#line 500
#define f1 (&(f1_->i_FI_METHOD__T_NET__type))
#line 500
#define f2 (&(f2_->i_FI_METHOD__T_NET__type))
#line 500
#undef f1
#line 500
#undef f2
#line 500
break;
#line 500

#line 503 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4:
#line 503
#define f1 (&(f1_->i_FI_METHOD__T_IP__is_v4))
#line 503
#define f2 (&(f2_->i_FI_METHOD__T_IP__is_v4))
#line 503
#undef f1
#line 503
#undef f2
#line 503
break;
#line 503

#line 516 "filter/f-inst.c"
 /* Comparison for FI_VAR_INIT */
#line 516
case FI_VAR_INIT:
#line 516
#define f1 (&(f1_->i_FI_VAR_INIT))
#line 516
#define f2 (&(f2_->i_FI_VAR_INIT))
#line 506 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 506

#line 506

#line 516 "filter/f-inst.c"
#undef f1
#line 516
#undef f2
#line 516
break;
#line 516

#line 527 "filter/f-inst.c"
 /* Comparison for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0:
#line 527
#define f1 (&(f1_->i_FI_VAR_INIT0))
#line 527
#define f2 (&(f2_->i_FI_VAR_INIT0))
#line 518 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 518

#line 518

#line 527 "filter/f-inst.c"
#undef f1
#line 527
#undef f2
#line 527
break;
#line 527

#line 536 "filter/f-inst.c"
 /* Comparison for FI_VAR_SET */
#line 536
case FI_VAR_SET:
#line 536
#define f1 (&(f1_->i_FI_VAR_SET))
#line 536
#define f2 (&(f2_->i_FI_VAR_SET))
#line 530 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 530

#line 530

#line 536 "filter/f-inst.c"
#undef f1
#line 536
#undef f2
#line 536
break;
#line 536

#line 543 "filter/f-inst.c"
 /* Comparison for FI_VAR_GET */
#line 543
case FI_VAR_GET:
#line 543
#define f1 (&(f1_->i_FI_VAR_GET))
#line 543
#define f2 (&(f2_->i_FI_VAR_GET))
#line 537 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 537

#line 537

#line 543 "filter/f-inst.c"
#undef f1
#line 543
#undef f2
#line 543
break;
#line 543

#line 556 "filter/f-inst.c"
 /* Comparison for FI_CONSTANT */
#line 556
case FI_CONSTANT:
#line 556
#define f1 (&(f1_->i_FI_CONSTANT))
#line 556
#define f2 (&(f2_->i_FI_CONSTANT))
#line 544 "filter/f-inst.c"
if ( !val_same(&(f1->val), &(f2->val)) ) return 0;
#line 544

#line 544

#line 556 "filter/f-inst.c"
#undef f1
#line 556
#undef f2
#line 556
break;
#line 556

#line 557 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty:
#line 557
#define f1 (&(f1_->i_FI_METHOD__T_PATH__empty))
#line 557
#define f2 (&(f2_->i_FI_METHOD__T_PATH__empty))
#line 557
#undef f1
#line 557
#undef f2
#line 557
break;
#line 557

#line 558 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty:
#line 558
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__empty))
#line 558
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__empty))
#line 558
#undef f1
#line 558
#undef f2
#line 558
break;
#line 558

#line 559 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty:
#line 559
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__empty))
#line 559
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__empty))
#line 559
#undef f1
#line 559
#undef f2
#line 559
break;
#line 559

#line 562 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty:
#line 562
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__empty))
#line 562
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__empty))
#line 562
#undef f1
#line 562
#undef f2
#line 562
break;
#line 562

#line 584 "filter/f-inst.c"
 /* Comparison for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START:
#line 584
#define f1 (&(f1_->i_FI_FOR_LOOP_START))
#line 584
#define f2 (&(f2_->i_FI_FOR_LOOP_START))
#line 564 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 564

#line 564

#line 584 "filter/f-inst.c"
#undef f1
#line 584
#undef f2
#line 584
break;
#line 584

#line 593 "filter/f-inst.c"
 /* Comparison for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT:
#line 593
#define f1 (&(f1_->i_FI_PATH_FOR_NEXT))
#line 593
#define f2 (&(f2_->i_FI_PATH_FOR_NEXT))
#line 588 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 593 "filter/f-inst.c"
#undef f1
#line 593
#undef f2
#line 593
break;
#line 593

#line 602 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT:
#line 602
#define f1 (&(f1_->i_FI_CLIST_FOR_NEXT))
#line 602
#define f2 (&(f2_->i_FI_CLIST_FOR_NEXT))
#line 597 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 602 "filter/f-inst.c"
#undef f1
#line 602
#undef f2
#line 602
break;
#line 602

#line 611 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT:
#line 611
#define f1 (&(f1_->i_FI_ECLIST_FOR_NEXT))
#line 611
#define f2 (&(f2_->i_FI_ECLIST_FOR_NEXT))
#line 606 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 611 "filter/f-inst.c"
#undef f1
#line 611
#undef f2
#line 611
break;
#line 611

#line 620 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT:
#line 620
#define f1 (&(f1_->i_FI_LCLIST_FOR_NEXT))
#line 620
#define f2 (&(f2_->i_FI_LCLIST_FOR_NEXT))
#line 615 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 620 "filter/f-inst.c"
#undef f1
#line 620
#undef f2
#line 620
break;
#line 620

#line 636 "filter/f-inst.c"
 /* Comparison for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT:
#line 636
#define f1 (&(f1_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 636
#define f2 (&(f2_->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 630 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 636 "filter/f-inst.c"
#undef f1
#line 636
#undef f2
#line 636
break;
#line 636

#line 644 "filter/f-inst.c"
 /* Comparison for FI_CONDITION */
#line 644
case FI_CONDITION:
#line 644
#define f1 (&(f1_->i_FI_CONDITION))
#line 644
#define f2 (&(f2_->i_FI_CONDITION))
#line 639 "filter/f-inst.c"
if (!f_same(f1->fl2, f2->fl2)) return 0;
#line 641 "filter/f-inst.c"
if (!f_same(f1->fl3, f2->fl3)) return 0;
#line 644 "filter/f-inst.c"
#undef f1
#line 644
#undef f2
#line 644
break;
#line 644

#line 652 "filter/f-inst.c"
 /* Comparison for FI_PRINT */
#line 652
case FI_PRINT:
#line 652
#define f1 (&(f1_->i_FI_PRINT))
#line 652
#define f2 (&(f2_->i_FI_PRINT))
#line 652
#undef f1
#line 652
#undef f2
#line 652
break;
#line 652

#line 659 "filter/f-inst.c"
 /* Comparison for FI_FLUSH */
#line 659
case FI_FLUSH:
#line 659
#define f1 (&(f1_->i_FI_FLUSH))
#line 659
#define f2 (&(f2_->i_FI_FLUSH))
#line 659
#undef f1
#line 659
#undef f2
#line 659
break;
#line 659

#line 673 "filter/f-inst.c"
 /* Comparison for FI_DIE */
#line 673
case FI_DIE:
#line 673
#define f1 (&(f1_->i_FI_DIE))
#line 673
#define f2 (&(f2_->i_FI_DIE))
#line 661 "filter/f-inst.c"
if (f1->fret != f2->fret) return 0;
#line 661

#line 661

#line 673 "filter/f-inst.c"
#undef f1
#line 673
#undef f2
#line 673
break;
#line 673

#line 703 "filter/f-inst.c"
 /* Comparison for FI_RTA_GET */
#line 703
case FI_RTA_GET:
#line 703
#define f1 (&(f1_->i_FI_RTA_GET))
#line 703
#define f2 (&(f2_->i_FI_RTA_GET))
#line 677 "filter/f-inst.c"
if (f1->sa.sa_code != f2->sa.sa_code) return 0;
#line 677

#line 677

#line 703 "filter/f-inst.c"
#undef f1
#line 703
#undef f2
#line 703
break;
#line 703

#line 818 "filter/f-inst.c"
 /* Comparison for FI_RTA_SET */
#line 818
case FI_RTA_SET:
#line 818
#define f1 (&(f1_->i_FI_RTA_SET))
#line 818
#define f2 (&(f2_->i_FI_RTA_SET))
#line 706 "filter/f-inst.c"
if (f1->sa.sa_code != f2->sa.sa_code) return 0;
#line 706

#line 706

#line 818 "filter/f-inst.c"
#undef f1
#line 818
#undef f2
#line 818
break;
#line 818

#line 870 "filter/f-inst.c"
 /* Comparison for FI_EA_GET */
#line 870
case FI_EA_GET:
#line 870
#define f1 (&(f1_->i_FI_EA_GET))
#line 870
#define f2 (&(f2_->i_FI_EA_GET))
#line 822 "filter/f-inst.c"
if (f1->da.ea_code != f2->da.ea_code) return 0;
#line 822

#line 822

#line 870 "filter/f-inst.c"
#undef f1
#line 870
#undef f2
#line 870
break;
#line 870

#line 940 "filter/f-inst.c"
 /* Comparison for FI_EA_SET */
#line 940
case FI_EA_SET:
#line 940
#define f1 (&(f1_->i_FI_EA_SET))
#line 940
#define f2 (&(f2_->i_FI_EA_SET))
#line 874 "filter/f-inst.c"
if (f1->da.ea_code != f2->da.ea_code) return 0;
#line 874

#line 874

#line 940 "filter/f-inst.c"
#undef f1
#line 940
#undef f2
#line 940
break;
#line 940

#line 950 "filter/f-inst.c"
 /* Comparison for FI_EA_UNSET */
#line 950
case FI_EA_UNSET:
#line 950
#define f1 (&(f1_->i_FI_EA_UNSET))
#line 950
#define f2 (&(f2_->i_FI_EA_UNSET))
#line 941 "filter/f-inst.c"
if (f1->da.ea_code != f2->da.ea_code) return 0;
#line 941

#line 941

#line 950 "filter/f-inst.c"
#undef f1
#line 950
#undef f2
#line 950
break;
#line 950

#line 951 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__len */
#line 951
case FI_METHOD__T_NET__len:
#line 951
#define f1 (&(f1_->i_FI_METHOD__T_NET__len))
#line 951
#define f2 (&(f2_->i_FI_METHOD__T_NET__len))
#line 951
#undef f1
#line 951
#undef f2
#line 951
break;
#line 951

#line 952 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__len */
#line 952
case FI_METHOD__T_PATH__len:
#line 952
#define f1 (&(f1_->i_FI_METHOD__T_PATH__len))
#line 952
#define f2 (&(f2_->i_FI_METHOD__T_PATH__len))
#line 952
#undef f1
#line 952
#undef f2
#line 952
break;
#line 952

#line 953 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__len */
#line 953
case FI_METHOD__T_CLIST__len:
#line 953
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__len))
#line 953
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__len))
#line 953
#undef f1
#line 953
#undef f2
#line 953
break;
#line 953

#line 954 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__len */
#line 954
case FI_METHOD__T_ECLIST__len:
#line 954
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__len))
#line 954
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__len))
#line 954
#undef f1
#line 954
#undef f2
#line 954
break;
#line 954

#line 956 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__len */
#line 956
case FI_METHOD__T_LCLIST__len:
#line 956
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__len))
#line 956
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__len))
#line 956
#undef f1
#line 956
#undef f2
#line 956
break;
#line 956

#line 992 "filter/f-inst.c"
 /* Comparison for FI_NET_SRC */
#line 992
case FI_NET_SRC:
#line 992
#define f1 (&(f1_->i_FI_NET_SRC))
#line 992
#define f2 (&(f2_->i_FI_NET_SRC))
#line 992
#undef f1
#line 992
#undef f2
#line 992
break;
#line 992

#line 1029 "filter/f-inst.c"
 /* Comparison for FI_NET_DST */
#line 1029
case FI_NET_DST:
#line 1029
#define f1 (&(f1_->i_FI_NET_DST))
#line 1029
#define f2 (&(f2_->i_FI_NET_DST))
#line 1029
#undef f1
#line 1029
#undef f2
#line 1029
break;
#line 1029

#line 1039 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__maxlen */
#line 1039
case FI_METHOD__T_NET__maxlen:
#line 1039
#define f1 (&(f1_->i_FI_METHOD__T_NET__maxlen))
#line 1039
#define f2 (&(f2_->i_FI_METHOD__T_NET__maxlen))
#line 1039
#undef f1
#line 1039
#undef f2
#line 1039
break;
#line 1039

#line 1049 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__asn */
#line 1049
case FI_METHOD__T_NET__asn:
#line 1049
#define f1 (&(f1_->i_FI_METHOD__T_NET__asn))
#line 1049
#define f2 (&(f2_->i_FI_METHOD__T_NET__asn))
#line 1049
#undef f1
#line 1049
#undef f2
#line 1049
break;
#line 1049

#line 1051 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_NET__ip */
#line 1051
case FI_METHOD__T_NET__ip:
#line 1051
#define f1 (&(f1_->i_FI_METHOD__T_NET__ip))
#line 1051
#define f2 (&(f2_->i_FI_METHOD__T_NET__ip))
#line 1051
#undef f1
#line 1051
#undef f2
#line 1051
break;
#line 1051

#line 1060 "filter/f-inst.c"
 /* Comparison for FI_ROUTE_DISTINGUISHER */
#line 1060
case FI_ROUTE_DISTINGUISHER:
#line 1060
#define f1 (&(f1_->i_FI_ROUTE_DISTINGUISHER))
#line 1060
#define f2 (&(f2_->i_FI_ROUTE_DISTINGUISHER))
#line 1060
#undef f1
#line 1060
#undef f2
#line 1060
break;
#line 1060

#line 1063 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__first */
#line 1063
case FI_METHOD__T_PATH__first:
#line 1063
#define f1 (&(f1_->i_FI_METHOD__T_PATH__first))
#line 1063
#define f2 (&(f2_->i_FI_METHOD__T_PATH__first))
#line 1063
#undef f1
#line 1063
#undef f2
#line 1063
break;
#line 1063

#line 1066 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__last */
#line 1066
case FI_METHOD__T_PATH__last:
#line 1066
#define f1 (&(f1_->i_FI_METHOD__T_PATH__last))
#line 1066
#define f2 (&(f2_->i_FI_METHOD__T_PATH__last))
#line 1066
#undef f1
#line 1066
#undef f2
#line 1066
break;
#line 1066

#line 1069 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
case FI_METHOD__T_PATH__last_nonaggregated:
#line 1069
#define f1 (&(f1_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
#define f2 (&(f2_->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
#undef f1
#line 1069
#undef f2
#line 1069
break;
#line 1069

#line 1072 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PAIR__asn */
#line 1072
case FI_METHOD__T_PAIR__asn:
#line 1072
#define f1 (&(f1_->i_FI_METHOD__T_PAIR__asn))
#line 1072
#define f2 (&(f2_->i_FI_METHOD__T_PAIR__asn))
#line 1072
#undef f1
#line 1072
#undef f2
#line 1072
break;
#line 1072

#line 1075 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_PAIR__data */
#line 1075
case FI_METHOD__T_PAIR__data:
#line 1075
#define f1 (&(f1_->i_FI_METHOD__T_PAIR__data))
#line 1075
#define f2 (&(f2_->i_FI_METHOD__T_PAIR__data))
#line 1075
#undef f1
#line 1075
#undef f2
#line 1075
break;
#line 1075

#line 1078 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__asn */
#line 1078
case FI_METHOD__T_LC__asn:
#line 1078
#define f1 (&(f1_->i_FI_METHOD__T_LC__asn))
#line 1078
#define f2 (&(f2_->i_FI_METHOD__T_LC__asn))
#line 1078
#undef f1
#line 1078
#undef f2
#line 1078
break;
#line 1078

#line 1081 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__data1 */
#line 1081
case FI_METHOD__T_LC__data1:
#line 1081
#define f1 (&(f1_->i_FI_METHOD__T_LC__data1))
#line 1081
#define f2 (&(f2_->i_FI_METHOD__T_LC__data1))
#line 1081
#undef f1
#line 1081
#undef f2
#line 1081
break;
#line 1081

#line 1084 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LC__data2 */
#line 1084
case FI_METHOD__T_LC__data2:
#line 1084
#define f1 (&(f1_->i_FI_METHOD__T_LC__data2))
#line 1084
#define f2 (&(f2_->i_FI_METHOD__T_LC__data2))
#line 1084
#undef f1
#line 1084
#undef f2
#line 1084
break;
#line 1084

#line 1087 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__min */
#line 1087
case FI_METHOD__T_CLIST__min:
#line 1087
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__min))
#line 1087
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__min))
#line 1087
#undef f1
#line 1087
#undef f2
#line 1087
break;
#line 1087

#line 1090 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_CLIST__max */
#line 1090
case FI_METHOD__T_CLIST__max:
#line 1090
#define f1 (&(f1_->i_FI_METHOD__T_CLIST__max))
#line 1090
#define f2 (&(f2_->i_FI_METHOD__T_CLIST__max))
#line 1090
#undef f1
#line 1090
#undef f2
#line 1090
break;
#line 1090

#line 1093 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__min */
#line 1093
case FI_METHOD__T_ECLIST__min:
#line 1093
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__min))
#line 1093
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__min))
#line 1093
#undef f1
#line 1093
#undef f2
#line 1093
break;
#line 1093

#line 1096 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_ECLIST__max */
#line 1096
case FI_METHOD__T_ECLIST__max:
#line 1096
#define f1 (&(f1_->i_FI_METHOD__T_ECLIST__max))
#line 1096
#define f2 (&(f2_->i_FI_METHOD__T_ECLIST__max))
#line 1096
#undef f1
#line 1096
#undef f2
#line 1096
break;
#line 1096

#line 1099 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__min */
#line 1099
case FI_METHOD__T_LCLIST__min:
#line 1099
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__min))
#line 1099
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__min))
#line 1099
#undef f1
#line 1099
#undef f2
#line 1099
break;
#line 1099

#line 1101 "filter/f-inst.c"
 /* Comparison for FI_METHOD__T_LCLIST__max */
#line 1101
case FI_METHOD__T_LCLIST__max:
#line 1101
#define f1 (&(f1_->i_FI_METHOD__T_LCLIST__max))
#line 1101
#define f2 (&(f2_->i_FI_METHOD__T_LCLIST__max))
#line 1101
#undef f1
#line 1101
#undef f2
#line 1101
break;
#line 1101

#line 1127 "filter/f-inst.c"
 /* Comparison for FI_RETURN */
#line 1127
case FI_RETURN:
#line 1127
#define f1 (&(f1_->i_FI_RETURN))
#line 1127
#define f2 (&(f2_->i_FI_RETURN))
#line 1127
#undef f1
#line 1127
#undef f2
#line 1127
break;
#line 1127

#line 1186 "filter/f-inst.c"
 /* Comparison for FI_CALL */
#line 1186
case FI_CALL:
#line 1186
#define f1 (&(f1_->i_FI_CALL))
#line 1186
#define f2 (&(f2_->i_FI_CALL))
#line 1129 "filter/f-inst.c"
  if (f1->varcount != f2->varcount) return 0;
#line 1130 "filter/f-inst.c"
if (strcmp(f1->sym->name, f2->sym->name) || (f1->sym->class != f2->sym->class)) return 0;
#line 1130

#line 1130


#line 1164 "filter/f-inst.c"
    if (!(f1->sym->flags & SYM_FLAG_SAME) && !(f1_->flags & FIF_RECURSIVE))
      return 0;

    #line 1186 "filter/f-inst.c"
#undef f1
#line 1186
#undef f2
#line 1186
break;
#line 1186

#line 1191 "filter/f-inst.c"
 /* Comparison for FI_DROP_RESULT */
#line 1191
case FI_DROP_RESULT:
#line 1191
#define f1 (&(f1_->i_FI_DROP_RESULT))
#line 1191
#define f2 (&(f2_->i_FI_DROP_RESULT))
#line 1191
#undef f1
#line 1191
#undef f2
#line 1191
break;
#line 1191

#line 1232 "filter/f-inst.c"
 /* Comparison for FI_SWITCH */
#line 1232
case FI_SWITCH:
#line 1232
#define f1 (&(f1_->i_FI_SWITCH))
#line 1232
#define f2 (&(f2_->i_FI_SWITCH))
#line 1194 "filter/f-inst.c"
if (!same_tree(f1->tree, f2->tree)) return 0;
#line 1194

#line 1194

#line 1232 "filter/f-inst.c"
#undef f1
#line 1232
#undef f2
#line 1232
break;
#line 1232

#line 1241 "filter/f-inst.c"
 /* Comparison for FI_IP_MASK */
#line 1241
case FI_IP_MASK:
#line 1241
#define f1 (&(f1_->i_FI_IP_MASK))
#line 1241
#define f2 (&(f2_->i_FI_IP_MASK))
#line 1241
#undef f1
#line 1241
#undef f2
#line 1241
break;
#line 1241

#line 1249 "filter/f-inst.c"
 /* Comparison for FI_PATH_PREPEND */
#line 1249
case FI_PATH_PREPEND:
#line 1249
#define f1 (&(f1_->i_FI_PATH_PREPEND))
#line 1249
#define f2 (&(f2_->i_FI_PATH_PREPEND))
#line 1249
#undef f1
#line 1249
#undef f2
#line 1249
break;
#line 1249

#line 1256 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_PAIR */
#line 1256
case FI_CLIST_ADD_PAIR:
#line 1256
#define f1 (&(f1_->i_FI_CLIST_ADD_PAIR))
#line 1256
#define f2 (&(f2_->i_FI_CLIST_ADD_PAIR))
#line 1256
#undef f1
#line 1256
#undef f2
#line 1256
break;
#line 1256

#line 1270 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_IP */
#line 1270
case FI_CLIST_ADD_IP:
#line 1270
#define f1 (&(f1_->i_FI_CLIST_ADD_IP))
#line 1270
#define f2 (&(f2_->i_FI_CLIST_ADD_IP))
#line 1270
#undef f1
#line 1270
#undef f2
#line 1270
break;
#line 1270

#line 1277 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_QUAD */
#line 1277
case FI_CLIST_ADD_QUAD:
#line 1277
#define f1 (&(f1_->i_FI_CLIST_ADD_QUAD))
#line 1277
#define f2 (&(f2_->i_FI_CLIST_ADD_QUAD))
#line 1277
#undef f1
#line 1277
#undef f2
#line 1277
break;
#line 1277

#line 1284 "filter/f-inst.c"
 /* Comparison for FI_CLIST_ADD_CLIST */
#line 1284
case FI_CLIST_ADD_CLIST:
#line 1284
#define f1 (&(f1_->i_FI_CLIST_ADD_CLIST))
#line 1284
#define f2 (&(f2_->i_FI_CLIST_ADD_CLIST))
#line 1284
#undef f1
#line 1284
#undef f2
#line 1284
break;
#line 1284

#line 1291 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_ADD_EC */
#line 1291
case FI_ECLIST_ADD_EC:
#line 1291
#define f1 (&(f1_->i_FI_ECLIST_ADD_EC))
#line 1291
#define f2 (&(f2_->i_FI_ECLIST_ADD_EC))
#line 1291
#undef f1
#line 1291
#undef f2
#line 1291
break;
#line 1291

#line 1298 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_ADD_ECLIST */
#line 1298
case FI_ECLIST_ADD_ECLIST:
#line 1298
#define f1 (&(f1_->i_FI_ECLIST_ADD_ECLIST))
#line 1298
#define f2 (&(f2_->i_FI_ECLIST_ADD_ECLIST))
#line 1298
#undef f1
#line 1298
#undef f2
#line 1298
break;
#line 1298

#line 1305 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_ADD_LC */
#line 1305
case FI_LCLIST_ADD_LC:
#line 1305
#define f1 (&(f1_->i_FI_LCLIST_ADD_LC))
#line 1305
#define f2 (&(f2_->i_FI_LCLIST_ADD_LC))
#line 1305
#undef f1
#line 1305
#undef f2
#line 1305
break;
#line 1305

#line 1312 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_ADD_LCLIST */
#line 1312
case FI_LCLIST_ADD_LCLIST:
#line 1312
#define f1 (&(f1_->i_FI_LCLIST_ADD_LCLIST))
#line 1312
#define f2 (&(f2_->i_FI_LCLIST_ADD_LCLIST))
#line 1312
#undef f1
#line 1312
#undef f2
#line 1312
break;
#line 1312

#line 1319 "filter/f-inst.c"
 /* Comparison for FI_PATH_DELETE_INT */
#line 1319
case FI_PATH_DELETE_INT:
#line 1319
#define f1 (&(f1_->i_FI_PATH_DELETE_INT))
#line 1319
#define f2 (&(f2_->i_FI_PATH_DELETE_INT))
#line 1319
#undef f1
#line 1319
#undef f2
#line 1319
break;
#line 1319

#line 1331 "filter/f-inst.c"
 /* Comparison for FI_PATH_DELETE_SET */
#line 1331
case FI_PATH_DELETE_SET:
#line 1331
#define f1 (&(f1_->i_FI_PATH_DELETE_SET))
#line 1331
#define f2 (&(f2_->i_FI_PATH_DELETE_SET))
#line 1331
#undef f1
#line 1331
#undef f2
#line 1331
break;
#line 1331

#line 1338 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_PAIR */
#line 1338
case FI_CLIST_DELETE_PAIR:
#line 1338
#define f1 (&(f1_->i_FI_CLIST_DELETE_PAIR))
#line 1338
#define f2 (&(f2_->i_FI_CLIST_DELETE_PAIR))
#line 1338
#undef f1
#line 1338
#undef f2
#line 1338
break;
#line 1338

#line 1352 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_IP */
#line 1352
case FI_CLIST_DELETE_IP:
#line 1352
#define f1 (&(f1_->i_FI_CLIST_DELETE_IP))
#line 1352
#define f2 (&(f2_->i_FI_CLIST_DELETE_IP))
#line 1352
#undef f1
#line 1352
#undef f2
#line 1352
break;
#line 1352

#line 1359 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_QUAD */
#line 1359
case FI_CLIST_DELETE_QUAD:
#line 1359
#define f1 (&(f1_->i_FI_CLIST_DELETE_QUAD))
#line 1359
#define f2 (&(f2_->i_FI_CLIST_DELETE_QUAD))
#line 1359
#undef f1
#line 1359
#undef f2
#line 1359
break;
#line 1359

#line 1366 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_CLIST */
#line 1366
case FI_CLIST_DELETE_CLIST:
#line 1366
#define f1 (&(f1_->i_FI_CLIST_DELETE_CLIST))
#line 1366
#define f2 (&(f2_->i_FI_CLIST_DELETE_CLIST))
#line 1366
#undef f1
#line 1366
#undef f2
#line 1366
break;
#line 1366

#line 1377 "filter/f-inst.c"
 /* Comparison for FI_CLIST_DELETE_SET */
#line 1377
case FI_CLIST_DELETE_SET:
#line 1377
#define f1 (&(f1_->i_FI_CLIST_DELETE_SET))
#line 1377
#define f2 (&(f2_->i_FI_CLIST_DELETE_SET))
#line 1377
#undef f1
#line 1377
#undef f2
#line 1377
break;
#line 1377

#line 1384 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_EC */
#line 1384
case FI_ECLIST_DELETE_EC:
#line 1384
#define f1 (&(f1_->i_FI_ECLIST_DELETE_EC))
#line 1384
#define f2 (&(f2_->i_FI_ECLIST_DELETE_EC))
#line 1384
#undef f1
#line 1384
#undef f2
#line 1384
break;
#line 1384

#line 1391 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_ECLIST */
#line 1391
case FI_ECLIST_DELETE_ECLIST:
#line 1391
#define f1 (&(f1_->i_FI_ECLIST_DELETE_ECLIST))
#line 1391
#define f2 (&(f2_->i_FI_ECLIST_DELETE_ECLIST))
#line 1391
#undef f1
#line 1391
#undef f2
#line 1391
break;
#line 1391

#line 1402 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_DELETE_SET */
#line 1402
case FI_ECLIST_DELETE_SET:
#line 1402
#define f1 (&(f1_->i_FI_ECLIST_DELETE_SET))
#line 1402
#define f2 (&(f2_->i_FI_ECLIST_DELETE_SET))
#line 1402
#undef f1
#line 1402
#undef f2
#line 1402
break;
#line 1402

#line 1409 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_LC */
#line 1409
case FI_LCLIST_DELETE_LC:
#line 1409
#define f1 (&(f1_->i_FI_LCLIST_DELETE_LC))
#line 1409
#define f2 (&(f2_->i_FI_LCLIST_DELETE_LC))
#line 1409
#undef f1
#line 1409
#undef f2
#line 1409
break;
#line 1409

#line 1416 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_LCLIST */
#line 1416
case FI_LCLIST_DELETE_LCLIST:
#line 1416
#define f1 (&(f1_->i_FI_LCLIST_DELETE_LCLIST))
#line 1416
#define f2 (&(f2_->i_FI_LCLIST_DELETE_LCLIST))
#line 1416
#undef f1
#line 1416
#undef f2
#line 1416
break;
#line 1416

#line 1427 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_DELETE_SET */
#line 1427
case FI_LCLIST_DELETE_SET:
#line 1427
#define f1 (&(f1_->i_FI_LCLIST_DELETE_SET))
#line 1427
#define f2 (&(f2_->i_FI_LCLIST_DELETE_SET))
#line 1427
#undef f1
#line 1427
#undef f2
#line 1427
break;
#line 1427

#line 1438 "filter/f-inst.c"
 /* Comparison for FI_PATH_FILTER_SET */
#line 1438
case FI_PATH_FILTER_SET:
#line 1438
#define f1 (&(f1_->i_FI_PATH_FILTER_SET))
#line 1438
#define f2 (&(f2_->i_FI_PATH_FILTER_SET))
#line 1438
#undef f1
#line 1438
#undef f2
#line 1438
break;
#line 1438

#line 1445 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FILTER_CLIST */
#line 1445
case FI_CLIST_FILTER_CLIST:
#line 1445
#define f1 (&(f1_->i_FI_CLIST_FILTER_CLIST))
#line 1445
#define f2 (&(f2_->i_FI_CLIST_FILTER_CLIST))
#line 1445
#undef f1
#line 1445
#undef f2
#line 1445
break;
#line 1445

#line 1456 "filter/f-inst.c"
 /* Comparison for FI_CLIST_FILTER_SET */
#line 1456
case FI_CLIST_FILTER_SET:
#line 1456
#define f1 (&(f1_->i_FI_CLIST_FILTER_SET))
#line 1456
#define f2 (&(f2_->i_FI_CLIST_FILTER_SET))
#line 1456
#undef f1
#line 1456
#undef f2
#line 1456
break;
#line 1456

#line 1463 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FILTER_ECLIST */
#line 1463
case FI_ECLIST_FILTER_ECLIST:
#line 1463
#define f1 (&(f1_->i_FI_ECLIST_FILTER_ECLIST))
#line 1463
#define f2 (&(f2_->i_FI_ECLIST_FILTER_ECLIST))
#line 1463
#undef f1
#line 1463
#undef f2
#line 1463
break;
#line 1463

#line 1474 "filter/f-inst.c"
 /* Comparison for FI_ECLIST_FILTER_SET */
#line 1474
case FI_ECLIST_FILTER_SET:
#line 1474
#define f1 (&(f1_->i_FI_ECLIST_FILTER_SET))
#line 1474
#define f2 (&(f2_->i_FI_ECLIST_FILTER_SET))
#line 1474
#undef f1
#line 1474
#undef f2
#line 1474
break;
#line 1474

#line 1481 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FILTER_LCLIST */
#line 1481
case FI_LCLIST_FILTER_LCLIST:
#line 1481
#define f1 (&(f1_->i_FI_LCLIST_FILTER_LCLIST))
#line 1481
#define f2 (&(f2_->i_FI_LCLIST_FILTER_LCLIST))
#line 1481
#undef f1
#line 1481
#undef f2
#line 1481
break;
#line 1481

#line 1492 "filter/f-inst.c"
 /* Comparison for FI_LCLIST_FILTER_SET */
#line 1492
case FI_LCLIST_FILTER_SET:
#line 1492
#define f1 (&(f1_->i_FI_LCLIST_FILTER_SET))
#line 1492
#define f2 (&(f2_->i_FI_LCLIST_FILTER_SET))
#line 1492
#undef f1
#line 1492
#undef f2
#line 1492
break;
#line 1492

#line 1522 "filter/f-inst.c"
 /* Comparison for FI_ROA_CHECK_IMPLICIT */
#line 1522
case FI_ROA_CHECK_IMPLICIT:
#line 1522
#define f1 (&(f1_->i_FI_ROA_CHECK_IMPLICIT))
#line 1522
#define f2 (&(f2_->i_FI_ROA_CHECK_IMPLICIT))
#line 1494 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1494

#line 1494

#line 1522 "filter/f-inst.c"
#undef f1
#line 1522
#undef f2
#line 1522
break;
#line 1522

#line 1544 "filter/f-inst.c"
 /* Comparison for FI_ROA_CHECK_EXPLICIT */
#line 1544
case FI_ROA_CHECK_EXPLICIT:
#line 1544
#define f1 (&(f1_->i_FI_ROA_CHECK_EXPLICIT))
#line 1544
#define f2 (&(f2_->i_FI_ROA_CHECK_EXPLICIT))
#line 1526 "filter/f-inst.c"
if (strcmp(f1->rtc->name, f2->rtc->name)) return 0;
#line 1526

#line 1526

#line 1544 "filter/f-inst.c"
#undef f1
#line 1544
#undef f2
#line 1544
break;
#line 1544

#line 1559 "filter/f-inst.c"
 /* Comparison for FI_FROM_HEX */
#line 1559
case FI_FROM_HEX:
#line 1559
#define f1 (&(f1_->i_FI_FROM_HEX))
#line 1559
#define f2 (&(f2_->i_FI_FROM_HEX))
#line 1559
#undef f1
#line 1559
#undef f2
#line 1559
break;
#line 1559

#line 1564 "filter/f-inst.c"
 /* Comparison for FI_FORMAT */
#line 1564
case FI_FORMAT:
#line 1564
#define f1 (&(f1_->i_FI_FORMAT))
#line 1564
#define f2 (&(f2_->i_FI_FORMAT))
#line 1564
#undef f1
#line 1564
#undef f2
#line 1564
break;
#line 1564

#line 820 "filter/decl.m4"
 /* Comparison for FI_ASSERT */
#line 820
case FI_ASSERT:
#line 820
#define f1 (&(f1_->i_FI_ASSERT))
#line 820
#define f2 (&(f2_->i_FI_ASSERT))
#line 1568 "filter/f-inst.c"
if (strcmp(f1->s, f2->s)) return 0;
#line 1568

#line 1568

#line 820 "filter/decl.m4"
#undef f1
#line 820
#undef f2
#line 820
break;
#line 820

#line 741 "filter/decl.m4"

    }
  }
#undef f1_
#undef f2_
  return 1;
}


/* Part of FI_SWITCH filter iterator */
static void
f_add_tree_lines(const struct f_tree *t, void *fit_)
{
  struct filter_iterator * fit = fit_;

  if (t->data)
    BUFFER_PUSH(fit->lines) = t->data;
}

/* Filter line iterator */
void
f_add_lines(const struct f_line_item *what, struct filter_iterator *fit)
{
  switch(what->fi_code) {
#line 291 "filter/f-inst.c"
 /* Iteration for FI_ADD */
#line 291
case FI_ADD:
#line 291
#define whati (&(what->i_FI_ADD))
#line 291
#undef whati
#line 291
break;
#line 291

#line 296 "filter/f-inst.c"
 /* Iteration for FI_SUBTRACT */
#line 296
case FI_SUBTRACT:
#line 296
#define whati (&(what->i_FI_SUBTRACT))
#line 296
#undef whati
#line 296
break;
#line 296

#line 301 "filter/f-inst.c"
 /* Iteration for FI_MULTIPLY */
#line 301
case FI_MULTIPLY:
#line 301
#define whati (&(what->i_FI_MULTIPLY))
#line 301
#undef whati
#line 301
break;
#line 301

#line 307 "filter/f-inst.c"
 /* Iteration for FI_DIVIDE */
#line 307
case FI_DIVIDE:
#line 307
#define whati (&(what->i_FI_DIVIDE))
#line 307
#undef whati
#line 307
break;
#line 307

#line 317 "filter/f-inst.c"
 /* Iteration for FI_AND */
#line 317
case FI_AND:
#line 317
#define whati (&(what->i_FI_AND))
#line 313 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 317 "filter/f-inst.c"
#undef whati
#line 317
break;
#line 317

#line 328 "filter/f-inst.c"
 /* Iteration for FI_OR */
#line 328
case FI_OR:
#line 328
#define whati (&(what->i_FI_OR))
#line 323 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 328 "filter/f-inst.c"
#undef whati
#line 328
break;
#line 328

#line 338 "filter/f-inst.c"
 /* Iteration for FI_PAIR_CONSTRUCT */
#line 338
case FI_PAIR_CONSTRUCT:
#line 338
#define whati (&(what->i_FI_PAIR_CONSTRUCT))
#line 338
#undef whati
#line 338
break;
#line 338

#line 378 "filter/f-inst.c"
 /* Iteration for FI_EC_CONSTRUCT */
#line 378
case FI_EC_CONSTRUCT:
#line 378
#define whati (&(what->i_FI_EC_CONSTRUCT))
#line 378
#undef whati
#line 378
break;
#line 378

#line 385 "filter/f-inst.c"
 /* Iteration for FI_LC_CONSTRUCT */
#line 385
case FI_LC_CONSTRUCT:
#line 385
#define whati (&(what->i_FI_LC_CONSTRUCT))
#line 385
#undef whati
#line 385
break;
#line 385

#line 435 "filter/f-inst.c"
 /* Iteration for FI_PATHMASK_CONSTRUCT */
#line 435
case FI_PATHMASK_CONSTRUCT:
#line 435
#define whati (&(what->i_FI_PATHMASK_CONSTRUCT))
#line 435
#undef whati
#line 435
break;
#line 435

#line 442 "filter/f-inst.c"
 /* Iteration for FI_NEQ */
#line 442
case FI_NEQ:
#line 442
#define whati (&(what->i_FI_NEQ))
#line 442
#undef whati
#line 442
break;
#line 442

#line 449 "filter/f-inst.c"
 /* Iteration for FI_EQ */
#line 449
case FI_EQ:
#line 449
#define whati (&(what->i_FI_EQ))
#line 449
#undef whati
#line 449
break;
#line 449

#line 460 "filter/f-inst.c"
 /* Iteration for FI_LT */
#line 460
case FI_LT:
#line 460
#define whati (&(what->i_FI_LT))
#line 460
#undef whati
#line 460
break;
#line 460

#line 471 "filter/f-inst.c"
 /* Iteration for FI_LTE */
#line 471
case FI_LTE:
#line 471
#define whati (&(what->i_FI_LTE))
#line 471
#undef whati
#line 471
break;
#line 471

#line 476 "filter/f-inst.c"
 /* Iteration for FI_NOT */
#line 476
case FI_NOT:
#line 476
#define whati (&(what->i_FI_NOT))
#line 476
#undef whati
#line 476
break;
#line 476

#line 485 "filter/f-inst.c"
 /* Iteration for FI_MATCH */
#line 485
case FI_MATCH:
#line 485
#define whati (&(what->i_FI_MATCH))
#line 485
#undef whati
#line 485
break;
#line 485

#line 494 "filter/f-inst.c"
 /* Iteration for FI_NOT_MATCH */
#line 494
case FI_NOT_MATCH:
#line 494
#define whati (&(what->i_FI_NOT_MATCH))
#line 494
#undef whati
#line 494
break;
#line 494

#line 499 "filter/f-inst.c"
 /* Iteration for FI_DEFINED */
#line 499
case FI_DEFINED:
#line 499
#define whati (&(what->i_FI_DEFINED))
#line 499
#undef whati
#line 499
break;
#line 499

#line 500 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__type */
#line 500
case FI_METHOD__T_NET__type:
#line 500
#define whati (&(what->i_FI_METHOD__T_NET__type))
#line 500
#undef whati
#line 500
break;
#line 500

#line 503 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_IP__is_v4 */
#line 503
case FI_METHOD__T_IP__is_v4:
#line 503
#define whati (&(what->i_FI_METHOD__T_IP__is_v4))
#line 503
#undef whati
#line 503
break;
#line 503

#line 516 "filter/f-inst.c"
 /* Iteration for FI_VAR_INIT */
#line 516
case FI_VAR_INIT:
#line 516
#define whati (&(what->i_FI_VAR_INIT))
#line 516
#undef whati
#line 516
break;
#line 516

#line 527 "filter/f-inst.c"
 /* Iteration for FI_VAR_INIT0 */
#line 527
case FI_VAR_INIT0:
#line 527
#define whati (&(what->i_FI_VAR_INIT0))
#line 527
#undef whati
#line 527
break;
#line 527

#line 536 "filter/f-inst.c"
 /* Iteration for FI_VAR_SET */
#line 536
case FI_VAR_SET:
#line 536
#define whati (&(what->i_FI_VAR_SET))
#line 536
#undef whati
#line 536
break;
#line 536

#line 543 "filter/f-inst.c"
 /* Iteration for FI_VAR_GET */
#line 543
case FI_VAR_GET:
#line 543
#define whati (&(what->i_FI_VAR_GET))
#line 543
#undef whati
#line 543
break;
#line 543

#line 556 "filter/f-inst.c"
 /* Iteration for FI_CONSTANT */
#line 556
case FI_CONSTANT:
#line 556
#define whati (&(what->i_FI_CONSTANT))
#line 556
#undef whati
#line 556
break;
#line 556

#line 557 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__empty */
#line 557
case FI_METHOD__T_PATH__empty:
#line 557
#define whati (&(what->i_FI_METHOD__T_PATH__empty))
#line 557
#undef whati
#line 557
break;
#line 557

#line 558 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__empty */
#line 558
case FI_METHOD__T_CLIST__empty:
#line 558
#define whati (&(what->i_FI_METHOD__T_CLIST__empty))
#line 558
#undef whati
#line 558
break;
#line 558

#line 559 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__empty */
#line 559
case FI_METHOD__T_ECLIST__empty:
#line 559
#define whati (&(what->i_FI_METHOD__T_ECLIST__empty))
#line 559
#undef whati
#line 559
break;
#line 559

#line 562 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__empty */
#line 562
case FI_METHOD__T_LCLIST__empty:
#line 562
#define whati (&(what->i_FI_METHOD__T_LCLIST__empty))
#line 562
#undef whati
#line 562
break;
#line 562

#line 584 "filter/f-inst.c"
 /* Iteration for FI_FOR_LOOP_START */
#line 584
case FI_FOR_LOOP_START:
#line 584
#define whati (&(what->i_FI_FOR_LOOP_START))
#line 584
#undef whati
#line 584
break;
#line 584

#line 593 "filter/f-inst.c"
 /* Iteration for FI_PATH_FOR_NEXT */
#line 593
case FI_PATH_FOR_NEXT:
#line 593
#define whati (&(what->i_FI_PATH_FOR_NEXT))
#line 588 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 593 "filter/f-inst.c"
#undef whati
#line 593
break;
#line 593

#line 602 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FOR_NEXT */
#line 602
case FI_CLIST_FOR_NEXT:
#line 602
#define whati (&(what->i_FI_CLIST_FOR_NEXT))
#line 597 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 602 "filter/f-inst.c"
#undef whati
#line 602
break;
#line 602

#line 611 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FOR_NEXT */
#line 611
case FI_ECLIST_FOR_NEXT:
#line 611
#define whati (&(what->i_FI_ECLIST_FOR_NEXT))
#line 606 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 611 "filter/f-inst.c"
#undef whati
#line 611
break;
#line 611

#line 620 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FOR_NEXT */
#line 620
case FI_LCLIST_FOR_NEXT:
#line 620
#define whati (&(what->i_FI_LCLIST_FOR_NEXT))
#line 615 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 620 "filter/f-inst.c"
#undef whati
#line 620
break;
#line 620

#line 636 "filter/f-inst.c"
 /* Iteration for FI_ROUTES_BLOCK_FOR_NEXT */
#line 636
case FI_ROUTES_BLOCK_FOR_NEXT:
#line 636
#define whati (&(what->i_FI_ROUTES_BLOCK_FOR_NEXT))
#line 630 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 636 "filter/f-inst.c"
#undef whati
#line 636
break;
#line 636

#line 644 "filter/f-inst.c"
 /* Iteration for FI_CONDITION */
#line 644
case FI_CONDITION:
#line 644
#define whati (&(what->i_FI_CONDITION))
#line 639 "filter/f-inst.c"
if (whati->fl2) BUFFER_PUSH(fit->lines) = whati->fl2;
#line 641 "filter/f-inst.c"
if (whati->fl3) BUFFER_PUSH(fit->lines) = whati->fl3;
#line 644 "filter/f-inst.c"
#undef whati
#line 644
break;
#line 644

#line 652 "filter/f-inst.c"
 /* Iteration for FI_PRINT */
#line 652
case FI_PRINT:
#line 652
#define whati (&(what->i_FI_PRINT))
#line 652
#undef whati
#line 652
break;
#line 652

#line 659 "filter/f-inst.c"
 /* Iteration for FI_FLUSH */
#line 659
case FI_FLUSH:
#line 659
#define whati (&(what->i_FI_FLUSH))
#line 659
#undef whati
#line 659
break;
#line 659

#line 673 "filter/f-inst.c"
 /* Iteration for FI_DIE */
#line 673
case FI_DIE:
#line 673
#define whati (&(what->i_FI_DIE))
#line 673
#undef whati
#line 673
break;
#line 673

#line 703 "filter/f-inst.c"
 /* Iteration for FI_RTA_GET */
#line 703
case FI_RTA_GET:
#line 703
#define whati (&(what->i_FI_RTA_GET))
#line 703
#undef whati
#line 703
break;
#line 703

#line 818 "filter/f-inst.c"
 /* Iteration for FI_RTA_SET */
#line 818
case FI_RTA_SET:
#line 818
#define whati (&(what->i_FI_RTA_SET))
#line 818
#undef whati
#line 818
break;
#line 818

#line 870 "filter/f-inst.c"
 /* Iteration for FI_EA_GET */
#line 870
case FI_EA_GET:
#line 870
#define whati (&(what->i_FI_EA_GET))
#line 870
#undef whati
#line 870
break;
#line 870

#line 940 "filter/f-inst.c"
 /* Iteration for FI_EA_SET */
#line 940
case FI_EA_SET:
#line 940
#define whati (&(what->i_FI_EA_SET))
#line 940
#undef whati
#line 940
break;
#line 940

#line 950 "filter/f-inst.c"
 /* Iteration for FI_EA_UNSET */
#line 950
case FI_EA_UNSET:
#line 950
#define whati (&(what->i_FI_EA_UNSET))
#line 950
#undef whati
#line 950
break;
#line 950

#line 951 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__len */
#line 951
case FI_METHOD__T_NET__len:
#line 951
#define whati (&(what->i_FI_METHOD__T_NET__len))
#line 951
#undef whati
#line 951
break;
#line 951

#line 952 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__len */
#line 952
case FI_METHOD__T_PATH__len:
#line 952
#define whati (&(what->i_FI_METHOD__T_PATH__len))
#line 952
#undef whati
#line 952
break;
#line 952

#line 953 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__len */
#line 953
case FI_METHOD__T_CLIST__len:
#line 953
#define whati (&(what->i_FI_METHOD__T_CLIST__len))
#line 953
#undef whati
#line 953
break;
#line 953

#line 954 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__len */
#line 954
case FI_METHOD__T_ECLIST__len:
#line 954
#define whati (&(what->i_FI_METHOD__T_ECLIST__len))
#line 954
#undef whati
#line 954
break;
#line 954

#line 956 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__len */
#line 956
case FI_METHOD__T_LCLIST__len:
#line 956
#define whati (&(what->i_FI_METHOD__T_LCLIST__len))
#line 956
#undef whati
#line 956
break;
#line 956

#line 992 "filter/f-inst.c"
 /* Iteration for FI_NET_SRC */
#line 992
case FI_NET_SRC:
#line 992
#define whati (&(what->i_FI_NET_SRC))
#line 992
#undef whati
#line 992
break;
#line 992

#line 1029 "filter/f-inst.c"
 /* Iteration for FI_NET_DST */
#line 1029
case FI_NET_DST:
#line 1029
#define whati (&(what->i_FI_NET_DST))
#line 1029
#undef whati
#line 1029
break;
#line 1029

#line 1039 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__maxlen */
#line 1039
case FI_METHOD__T_NET__maxlen:
#line 1039
#define whati (&(what->i_FI_METHOD__T_NET__maxlen))
#line 1039
#undef whati
#line 1039
break;
#line 1039

#line 1049 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__asn */
#line 1049
case FI_METHOD__T_NET__asn:
#line 1049
#define whati (&(what->i_FI_METHOD__T_NET__asn))
#line 1049
#undef whati
#line 1049
break;
#line 1049

#line 1051 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_NET__ip */
#line 1051
case FI_METHOD__T_NET__ip:
#line 1051
#define whati (&(what->i_FI_METHOD__T_NET__ip))
#line 1051
#undef whati
#line 1051
break;
#line 1051

#line 1060 "filter/f-inst.c"
 /* Iteration for FI_ROUTE_DISTINGUISHER */
#line 1060
case FI_ROUTE_DISTINGUISHER:
#line 1060
#define whati (&(what->i_FI_ROUTE_DISTINGUISHER))
#line 1060
#undef whati
#line 1060
break;
#line 1060

#line 1063 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__first */
#line 1063
case FI_METHOD__T_PATH__first:
#line 1063
#define whati (&(what->i_FI_METHOD__T_PATH__first))
#line 1063
#undef whati
#line 1063
break;
#line 1063

#line 1066 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__last */
#line 1066
case FI_METHOD__T_PATH__last:
#line 1066
#define whati (&(what->i_FI_METHOD__T_PATH__last))
#line 1066
#undef whati
#line 1066
break;
#line 1066

#line 1069 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PATH__last_nonaggregated */
#line 1069
case FI_METHOD__T_PATH__last_nonaggregated:
#line 1069
#define whati (&(what->i_FI_METHOD__T_PATH__last_nonaggregated))
#line 1069
#undef whati
#line 1069
break;
#line 1069

#line 1072 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PAIR__asn */
#line 1072
case FI_METHOD__T_PAIR__asn:
#line 1072
#define whati (&(what->i_FI_METHOD__T_PAIR__asn))
#line 1072
#undef whati
#line 1072
break;
#line 1072

#line 1075 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_PAIR__data */
#line 1075
case FI_METHOD__T_PAIR__data:
#line 1075
#define whati (&(what->i_FI_METHOD__T_PAIR__data))
#line 1075
#undef whati
#line 1075
break;
#line 1075

#line 1078 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__asn */
#line 1078
case FI_METHOD__T_LC__asn:
#line 1078
#define whati (&(what->i_FI_METHOD__T_LC__asn))
#line 1078
#undef whati
#line 1078
break;
#line 1078

#line 1081 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__data1 */
#line 1081
case FI_METHOD__T_LC__data1:
#line 1081
#define whati (&(what->i_FI_METHOD__T_LC__data1))
#line 1081
#undef whati
#line 1081
break;
#line 1081

#line 1084 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LC__data2 */
#line 1084
case FI_METHOD__T_LC__data2:
#line 1084
#define whati (&(what->i_FI_METHOD__T_LC__data2))
#line 1084
#undef whati
#line 1084
break;
#line 1084

#line 1087 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__min */
#line 1087
case FI_METHOD__T_CLIST__min:
#line 1087
#define whati (&(what->i_FI_METHOD__T_CLIST__min))
#line 1087
#undef whati
#line 1087
break;
#line 1087

#line 1090 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_CLIST__max */
#line 1090
case FI_METHOD__T_CLIST__max:
#line 1090
#define whati (&(what->i_FI_METHOD__T_CLIST__max))
#line 1090
#undef whati
#line 1090
break;
#line 1090

#line 1093 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__min */
#line 1093
case FI_METHOD__T_ECLIST__min:
#line 1093
#define whati (&(what->i_FI_METHOD__T_ECLIST__min))
#line 1093
#undef whati
#line 1093
break;
#line 1093

#line 1096 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_ECLIST__max */
#line 1096
case FI_METHOD__T_ECLIST__max:
#line 1096
#define whati (&(what->i_FI_METHOD__T_ECLIST__max))
#line 1096
#undef whati
#line 1096
break;
#line 1096

#line 1099 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__min */
#line 1099
case FI_METHOD__T_LCLIST__min:
#line 1099
#define whati (&(what->i_FI_METHOD__T_LCLIST__min))
#line 1099
#undef whati
#line 1099
break;
#line 1099

#line 1101 "filter/f-inst.c"
 /* Iteration for FI_METHOD__T_LCLIST__max */
#line 1101
case FI_METHOD__T_LCLIST__max:
#line 1101
#define whati (&(what->i_FI_METHOD__T_LCLIST__max))
#line 1101
#undef whati
#line 1101
break;
#line 1101

#line 1127 "filter/f-inst.c"
 /* Iteration for FI_RETURN */
#line 1127
case FI_RETURN:
#line 1127
#define whati (&(what->i_FI_RETURN))
#line 1127
#undef whati
#line 1127
break;
#line 1127

#line 1186 "filter/f-inst.c"
 /* Iteration for FI_CALL */
#line 1186
case FI_CALL:
#line 1186
#define whati (&(what->i_FI_CALL))

#line 1168 "filter/f-inst.c"
    if (!(what->flags & FIF_RECURSIVE))
      BUFFER_PUSH(fit->lines) = whati->sym->function;

    #line 1186 "filter/f-inst.c"
#undef whati
#line 1186
break;
#line 1186

#line 1191 "filter/f-inst.c"
 /* Iteration for FI_DROP_RESULT */
#line 1191
case FI_DROP_RESULT:
#line 1191
#define whati (&(what->i_FI_DROP_RESULT))
#line 1191
#undef whati
#line 1191
break;
#line 1191

#line 1232 "filter/f-inst.c"
 /* Iteration for FI_SWITCH */
#line 1232
case FI_SWITCH:
#line 1232
#define whati (&(what->i_FI_SWITCH))

#line 1215 "filter/f-inst.c"
    tree_walk(whati->tree, f_add_tree_lines, fit);

    #line 1232 "filter/f-inst.c"
#undef whati
#line 1232
break;
#line 1232

#line 1241 "filter/f-inst.c"
 /* Iteration for FI_IP_MASK */
#line 1241
case FI_IP_MASK:
#line 1241
#define whati (&(what->i_FI_IP_MASK))
#line 1241
#undef whati
#line 1241
break;
#line 1241

#line 1249 "filter/f-inst.c"
 /* Iteration for FI_PATH_PREPEND */
#line 1249
case FI_PATH_PREPEND:
#line 1249
#define whati (&(what->i_FI_PATH_PREPEND))
#line 1249
#undef whati
#line 1249
break;
#line 1249

#line 1256 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_PAIR */
#line 1256
case FI_CLIST_ADD_PAIR:
#line 1256
#define whati (&(what->i_FI_CLIST_ADD_PAIR))
#line 1256
#undef whati
#line 1256
break;
#line 1256

#line 1270 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_IP */
#line 1270
case FI_CLIST_ADD_IP:
#line 1270
#define whati (&(what->i_FI_CLIST_ADD_IP))
#line 1270
#undef whati
#line 1270
break;
#line 1270

#line 1277 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_QUAD */
#line 1277
case FI_CLIST_ADD_QUAD:
#line 1277
#define whati (&(what->i_FI_CLIST_ADD_QUAD))
#line 1277
#undef whati
#line 1277
break;
#line 1277

#line 1284 "filter/f-inst.c"
 /* Iteration for FI_CLIST_ADD_CLIST */
#line 1284
case FI_CLIST_ADD_CLIST:
#line 1284
#define whati (&(what->i_FI_CLIST_ADD_CLIST))
#line 1284
#undef whati
#line 1284
break;
#line 1284

#line 1291 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_ADD_EC */
#line 1291
case FI_ECLIST_ADD_EC:
#line 1291
#define whati (&(what->i_FI_ECLIST_ADD_EC))
#line 1291
#undef whati
#line 1291
break;
#line 1291

#line 1298 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_ADD_ECLIST */
#line 1298
case FI_ECLIST_ADD_ECLIST:
#line 1298
#define whati (&(what->i_FI_ECLIST_ADD_ECLIST))
#line 1298
#undef whati
#line 1298
break;
#line 1298

#line 1305 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_ADD_LC */
#line 1305
case FI_LCLIST_ADD_LC:
#line 1305
#define whati (&(what->i_FI_LCLIST_ADD_LC))
#line 1305
#undef whati
#line 1305
break;
#line 1305

#line 1312 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_ADD_LCLIST */
#line 1312
case FI_LCLIST_ADD_LCLIST:
#line 1312
#define whati (&(what->i_FI_LCLIST_ADD_LCLIST))
#line 1312
#undef whati
#line 1312
break;
#line 1312

#line 1319 "filter/f-inst.c"
 /* Iteration for FI_PATH_DELETE_INT */
#line 1319
case FI_PATH_DELETE_INT:
#line 1319
#define whati (&(what->i_FI_PATH_DELETE_INT))
#line 1319
#undef whati
#line 1319
break;
#line 1319

#line 1331 "filter/f-inst.c"
 /* Iteration for FI_PATH_DELETE_SET */
#line 1331
case FI_PATH_DELETE_SET:
#line 1331
#define whati (&(what->i_FI_PATH_DELETE_SET))
#line 1331
#undef whati
#line 1331
break;
#line 1331

#line 1338 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_PAIR */
#line 1338
case FI_CLIST_DELETE_PAIR:
#line 1338
#define whati (&(what->i_FI_CLIST_DELETE_PAIR))
#line 1338
#undef whati
#line 1338
break;
#line 1338

#line 1352 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_IP */
#line 1352
case FI_CLIST_DELETE_IP:
#line 1352
#define whati (&(what->i_FI_CLIST_DELETE_IP))
#line 1352
#undef whati
#line 1352
break;
#line 1352

#line 1359 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_QUAD */
#line 1359
case FI_CLIST_DELETE_QUAD:
#line 1359
#define whati (&(what->i_FI_CLIST_DELETE_QUAD))
#line 1359
#undef whati
#line 1359
break;
#line 1359

#line 1366 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_CLIST */
#line 1366
case FI_CLIST_DELETE_CLIST:
#line 1366
#define whati (&(what->i_FI_CLIST_DELETE_CLIST))
#line 1366
#undef whati
#line 1366
break;
#line 1366

#line 1377 "filter/f-inst.c"
 /* Iteration for FI_CLIST_DELETE_SET */
#line 1377
case FI_CLIST_DELETE_SET:
#line 1377
#define whati (&(what->i_FI_CLIST_DELETE_SET))
#line 1377
#undef whati
#line 1377
break;
#line 1377

#line 1384 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_EC */
#line 1384
case FI_ECLIST_DELETE_EC:
#line 1384
#define whati (&(what->i_FI_ECLIST_DELETE_EC))
#line 1384
#undef whati
#line 1384
break;
#line 1384

#line 1391 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_ECLIST */
#line 1391
case FI_ECLIST_DELETE_ECLIST:
#line 1391
#define whati (&(what->i_FI_ECLIST_DELETE_ECLIST))
#line 1391
#undef whati
#line 1391
break;
#line 1391

#line 1402 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_DELETE_SET */
#line 1402
case FI_ECLIST_DELETE_SET:
#line 1402
#define whati (&(what->i_FI_ECLIST_DELETE_SET))
#line 1402
#undef whati
#line 1402
break;
#line 1402

#line 1409 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_LC */
#line 1409
case FI_LCLIST_DELETE_LC:
#line 1409
#define whati (&(what->i_FI_LCLIST_DELETE_LC))
#line 1409
#undef whati
#line 1409
break;
#line 1409

#line 1416 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_LCLIST */
#line 1416
case FI_LCLIST_DELETE_LCLIST:
#line 1416
#define whati (&(what->i_FI_LCLIST_DELETE_LCLIST))
#line 1416
#undef whati
#line 1416
break;
#line 1416

#line 1427 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_DELETE_SET */
#line 1427
case FI_LCLIST_DELETE_SET:
#line 1427
#define whati (&(what->i_FI_LCLIST_DELETE_SET))
#line 1427
#undef whati
#line 1427
break;
#line 1427

#line 1438 "filter/f-inst.c"
 /* Iteration for FI_PATH_FILTER_SET */
#line 1438
case FI_PATH_FILTER_SET:
#line 1438
#define whati (&(what->i_FI_PATH_FILTER_SET))
#line 1438
#undef whati
#line 1438
break;
#line 1438

#line 1445 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FILTER_CLIST */
#line 1445
case FI_CLIST_FILTER_CLIST:
#line 1445
#define whati (&(what->i_FI_CLIST_FILTER_CLIST))
#line 1445
#undef whati
#line 1445
break;
#line 1445

#line 1456 "filter/f-inst.c"
 /* Iteration for FI_CLIST_FILTER_SET */
#line 1456
case FI_CLIST_FILTER_SET:
#line 1456
#define whati (&(what->i_FI_CLIST_FILTER_SET))
#line 1456
#undef whati
#line 1456
break;
#line 1456

#line 1463 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FILTER_ECLIST */
#line 1463
case FI_ECLIST_FILTER_ECLIST:
#line 1463
#define whati (&(what->i_FI_ECLIST_FILTER_ECLIST))
#line 1463
#undef whati
#line 1463
break;
#line 1463

#line 1474 "filter/f-inst.c"
 /* Iteration for FI_ECLIST_FILTER_SET */
#line 1474
case FI_ECLIST_FILTER_SET:
#line 1474
#define whati (&(what->i_FI_ECLIST_FILTER_SET))
#line 1474
#undef whati
#line 1474
break;
#line 1474

#line 1481 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FILTER_LCLIST */
#line 1481
case FI_LCLIST_FILTER_LCLIST:
#line 1481
#define whati (&(what->i_FI_LCLIST_FILTER_LCLIST))
#line 1481
#undef whati
#line 1481
break;
#line 1481

#line 1492 "filter/f-inst.c"
 /* Iteration for FI_LCLIST_FILTER_SET */
#line 1492
case FI_LCLIST_FILTER_SET:
#line 1492
#define whati (&(what->i_FI_LCLIST_FILTER_SET))
#line 1492
#undef whati
#line 1492
break;
#line 1492

#line 1522 "filter/f-inst.c"
 /* Iteration for FI_ROA_CHECK_IMPLICIT */
#line 1522
case FI_ROA_CHECK_IMPLICIT:
#line 1522
#define whati (&(what->i_FI_ROA_CHECK_IMPLICIT))
#line 1522
#undef whati
#line 1522
break;
#line 1522

#line 1544 "filter/f-inst.c"
 /* Iteration for FI_ROA_CHECK_EXPLICIT */
#line 1544
case FI_ROA_CHECK_EXPLICIT:
#line 1544
#define whati (&(what->i_FI_ROA_CHECK_EXPLICIT))
#line 1544
#undef whati
#line 1544
break;
#line 1544

#line 1559 "filter/f-inst.c"
 /* Iteration for FI_FROM_HEX */
#line 1559
case FI_FROM_HEX:
#line 1559
#define whati (&(what->i_FI_FROM_HEX))
#line 1559
#undef whati
#line 1559
break;
#line 1559

#line 1564 "filter/f-inst.c"
 /* Iteration for FI_FORMAT */
#line 1564
case FI_FORMAT:
#line 1564
#define whati (&(what->i_FI_FORMAT))
#line 1564
#undef whati
#line 1564
break;
#line 1564

#line 820 "filter/decl.m4"
 /* Iteration for FI_ASSERT */
#line 820
case FI_ASSERT:
#line 820
#define whati (&(what->i_FI_ASSERT))
#line 820
#undef whati
#line 820
break;
#line 820

#line 765 "filter/decl.m4"

  }
}


#if defined(__GNUC__) && __GNUC__ >= 6
#pragma GCC diagnostic pop
#endif

